
DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=610 DEFAULT CHARSET=utf8;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 950, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":[],"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 2, 3, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 4, 11, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 12, 13, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 14, 15, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 16, 17, 1, 'com_config', 'com_config', '{}'),
(7, 1, 18, 87, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(8, 1, 88, 571, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 572, 573, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 574, 575, 1, 'com_installer', 'com_installer', '{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 576, 577, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 578, 579, 1, 'com_login', 'com_login', '{}'),
(13, 1, 580, 581, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 582, 583, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 584, 585, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1},"core.edit":[],"core.edit.state":[]}'),
(16, 1, 586, 587, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 37, 38, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 590, 817, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 818, 825, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(20, 1, 826, 827, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 828, 829, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 830, 831, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 832, 833, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 834, 837, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(26, 1, 838, 839, 1, 'com_wrapper', 'com_wrapper', '{}'),
(33, 1, 900, 901, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34, 8, 105, 134, 2, 'com_content.category.9', 'Pages', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(35, 3, 7, 8, 2, 'com_banners.category.10', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(36, 7, 23, 24, 2, 'com_contact.category.11', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(37, 19, 821, 822, 2, 'com_newsfeeds.category.12', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(40, 3, 9, 10, 2, 'com_banners.category.15', 'Sample Data-Banners', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(41, 7, 25, 86, 2, 'com_contact.category.16', 'Sample Data-Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(42, 19, 823, 824, 2, 'com_newsfeeds.category.17', 'Sample Data-Newsfeeds', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(59, 41, 26, 27, 3, 'com_contact.category.34', 'Park Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(60, 41, 28, 85, 3, 'com_contact.category.35', 'Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(61, 60, 29, 30, 4, 'com_contact.category.36', 'Staff', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(62, 60, 31, 84, 4, 'com_contact.category.37', 'Fruit Encyclopedia', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(63, 62, 32, 33, 5, 'com_contact.category.38', 'A', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(64, 62, 34, 35, 5, 'com_contact.category.39', 'B', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(65, 62, 36, 37, 5, 'com_contact.category.40', 'C', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(66, 62, 38, 39, 5, 'com_contact.category.41', 'D', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(67, 62, 40, 41, 5, 'com_contact.category.42', 'E', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(68, 62, 42, 43, 5, 'com_contact.category.43', 'F', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(69, 62, 44, 45, 5, 'com_contact.category.44', 'G', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(70, 62, 46, 47, 5, 'com_contact.category.45', 'H', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(71, 62, 48, 49, 5, 'com_contact.category.46', 'I', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(72, 62, 50, 51, 5, 'com_contact.category.47', 'J', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(73, 62, 52, 53, 5, 'com_contact.category.48', 'K', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(74, 62, 54, 55, 5, 'com_contact.category.49', 'L', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(75, 62, 56, 57, 5, 'com_contact.category.50', 'M', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(76, 62, 58, 59, 5, 'com_contact.category.51', 'N', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(77, 62, 60, 61, 5, 'com_contact.category.52', 'O', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(78, 62, 62, 63, 5, 'com_contact.category.53', 'P', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(79, 62, 64, 65, 5, 'com_contact.category.54', 'Q', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(80, 62, 66, 67, 5, 'com_contact.category.55', 'R', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(81, 62, 68, 69, 5, 'com_contact.category.56', 'S', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(82, 62, 70, 71, 5, 'com_contact.category.57', 'T', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(83, 62, 72, 73, 5, 'com_contact.category.58', 'U', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(84, 62, 74, 75, 5, 'com_contact.category.59', 'V', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(85, 62, 76, 77, 5, 'com_contact.category.60', 'W', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(86, 62, 78, 79, 5, 'com_contact.category.61', 'X', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(87, 62, 80, 81, 5, 'com_contact.category.62', 'Y', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(88, 62, 82, 83, 5, 'com_contact.category.63', 'Z', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100, 8, 137, 138, 2, 'com_content.category.71', 'Milky Way', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(168, 34, 106, 107, 3, 'com_content.article.67', 'What\'s New in 1.5?', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(169, 24, 835, 836, 2, 'com_users.category.77', 'Uncategorised', ''),
(173, 1, 902, 903, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(174, 1, 904, 905, 1, 'com_tags', 'com_tags', '{"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(176, 203, 142, 153, 3, 'com_content.category.78', 'Layouts', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(177, 176, 143, 144, 4, 'com_content.article.72', 'How to create the 3 columns layout?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(178, 176, 145, 146, 4, 'com_content.article.73', 'How to create the 2 columns layout: Sidebar + Content?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(179, 176, 147, 148, 4, 'com_content.article.74', 'How to create the 2 columns layout: Content + Sidebar', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(180, 176, 149, 150, 4, 'com_content.article.75', 'Full width layout', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(181, 176, 151, 152, 4, 'com_content.article.76', 'Main content', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(182, 184, 155, 156, 4, 'com_content.article.77', 'Page break', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(184, 203, 154, 177, 3, 'com_content.category.79', 'Compatibilities', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(185, 184, 157, 158, 4, 'com_content.article.79', ' Free Joomla Multilingual Extension', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(187, 184, 159, 160, 4, 'com_content.article.81', 'Demo Articles 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(189, 184, 161, 162, 4, 'com_content.article.83', 'Demo Article 5', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(190, 184, 163, 164, 4, 'com_content.article.84', 'Demo Article 6', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(191, 184, 165, 166, 4, 'com_content.article.85', 'Demo Article 7', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(192, 184, 167, 168, 4, 'com_content.article.86', 'Demo Article 8', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(193, 184, 169, 170, 4, 'com_content.article.87', 'Demo Article 9', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(194, 184, 171, 172, 4, 'com_content.article.88', 'Demo Article 10', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(195, 196, 181, 182, 4, 'com_content.article.89', 'JA Social on T3 Framework', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(196, 203, 178, 189, 3, 'com_content.category.80', 'T3 Framework', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(197, 196, 179, 180, 4, 'com_content.article.90', 'JA Teline IV for T3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(198, 196, 183, 184, 4, 'com_content.article.91', 'T3 Framework 2.0.2 released', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(199, 196, 185, 186, 4, 'com_content.article.92', 'Bootstrap 2.1.0 released', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(200, 196, 187, 188, 4, 'com_content.article.93', 'T3 Framework 2.0.1 release ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(201, 184, 173, 174, 4, 'com_content.article.94', 'Demo Article 2', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(202, 184, 175, 176, 4, 'com_content.article.95', 'Demo Article 4', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(203, 8, 141, 564, 2, 'com_content.category.81', 'Joomla Articles', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(204, 1, 906, 907, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(205, 1, 908, 909, 1, 'com_ajax', 'com_ajax', '{}'),
(206, 1, 910, 911, 1, 'com_postinstall', 'com_postinstall', '{}'),
(207, 18, 591, 592, 2, 'com_modules.module.114', 'Main Menu', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(208, 18, 593, 594, 2, 'com_modules.module.1', 'Main Menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(213, 18, 595, 596, 2, 'com_modules.module.96', 'T3 Masthead 1', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(214, 18, 597, 598, 2, 'com_modules.module.97', 'T3 Introduction', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(216, 203, 244, 263, 3, 'com_content.category.83', 'Portfolio', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(217, 203, 264, 269, 3, 'com_content.category.84', 'Corporate', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(218, 203, 270, 357, 3, 'com_content.category.85', 'Magazine', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(219, 203, 358, 359, 3, 'com_content.category.86', 'Shop', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(220, 18, 599, 600, 2, 'com_modules.module.119', 'Product intro', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(221, 18, 601, 602, 2, 'com_modules.module.120', 'Fully Reponsive', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(222, 18, 603, 604, 2, 'com_modules.module.121', 'HTML5, Bootstrap and LESS', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(227, 18, 605, 606, 2, 'com_modules.module.124', 'Community - Events Module', ''),
(228, 18, 607, 608, 2, 'com_modules.module.125', 'Community - Groups Module', ''),
(229, 18, 609, 610, 2, 'com_modules.module.126', 'Community - Members Module', ''),
(230, 18, 611, 612, 2, 'com_modules.module.127', 'Community - Photos Module', ''),
(231, 18, 613, 614, 2, 'com_modules.module.128', 'Community - Quick Search Module', ''),
(232, 18, 615, 616, 2, 'com_modules.module.129', 'Community - Videos Module', ''),
(233, 18, 617, 618, 2, 'com_modules.module.130', 'Community - Whos Online', ''),
(247, 18, 619, 620, 2, 'com_modules.module.39', 'Who\'s Online', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(249, 18, 621, 622, 2, 'com_modules.module.16', 'Login Form', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(250, 18, 623, 624, 2, 'com_modules.module.141', '2 starter themes', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(251, 18, 625, 626, 2, 'com_modules.module.142', 'Flat design', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(252, 18, 627, 628, 2, 'com_modules.module.143', 'Megamenu and Off-canvas', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(256, 18, 629, 630, 2, 'com_modules.module.147', 'Recent Blog Posts (EasyBlog)', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(267, 18, 631, 632, 2, 'com_modules.module.158', 'Online Users', ''),
(268, 18, 633, 634, 2, 'com_modules.module.159', 'Recent Users', ''),
(269, 18, 635, 636, 2, 'com_modules.module.160', 'Recent Albums', ''),
(270, 18, 637, 638, 2, 'com_modules.module.161', 'Leaderboard', ''),
(271, 203, 190, 243, 3, 'com_content.category.87', 'Blog', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(272, 18, 639, 640, 2, 'com_modules.module.27', 'Archived Articles', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(273, 308, 224, 225, 5, 'com_content.article.96', 'Responsive Joomla template bundle - JA Wall released with 3 more styles', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(274, 308, 222, 223, 5, 'com_content.article.97', 'Review: Responsive Joomla template for portfolio - JA Appolio', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(276, 218, 293, 308, 4, 'com_content.category.89', 'Blog ', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(277, 218, 271, 292, 4, 'com_content.category.90', 'T3 Framework and Bootstrap 3', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(278, 218, 309, 324, 4, 'com_content.category.91', 'Joomla deals', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(279, 218, 325, 340, 4, 'com_content.category.92', 'News and updates', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(280, 218, 341, 356, 4, 'com_content.category.93', 'Tutorials', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(281, 276, 294, 295, 5, 'com_content.article.98', 'Choosing your Joomla template framework', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(282, 276, 296, 297, 5, 'com_content.article.99', 'The best free Joomla templates in 2013', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(283, 276, 298, 299, 5, 'com_content.article.100', 'Top 10 responsive Joomla templates from JoomlArt', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(284, 276, 300, 301, 5, 'com_content.article.101', 'Responsive Joomla template bundle - JA Wall in 3 new styles', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(285, 276, 302, 303, 5, 'com_content.article.102', ' Responsive Joomla template for ecommerce - JA Bookshop', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(286, 276, 304, 305, 5, 'com_content.article.103', '1st Batch of Joomla 3.2 compatibility upgrade', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(287, 277, 272, 273, 5, 'com_content.article.104', 'Chossing your Joomla version: Joomla 2.5 or Joomla 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(288, 277, 274, 275, 5, 'com_content.article.105', 'Best Joomla template featuring EasyBlog', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(289, 277, 276, 277, 5, 'com_content.article.106', 'HTC One Max review: An old phone in a new body', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(290, 277, 278, 279, 5, 'com_content.article.107', 'Fingers-on: Snapkeys Q4 is a QWERTY keyboard ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(291, 278, 310, 311, 5, 'com_content.article.108', 'Shopping for last-minute tech gifts? Here\'s our one stop guide', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(292, 278, 312, 313, 5, 'com_content.article.109', 'The best photo printers you can buy today', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(293, 278, 314, 315, 5, 'com_content.article.110', 'JA Magz - Responsive Joomla magazine template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(294, 278, 316, 317, 5, 'com_content.article.111', 'Bootstrap 3.0 and the T3 Framework for Joomla template ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(295, 279, 326, 327, 5, 'com_content.article.112', 'IObit Uninstaller 3 review: Free utility competes with a built-in', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(296, 279, 328, 329, 5, 'com_content.article.113', 'Lucidpress review: Free beta makes typesetting simple', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(297, 279, 330, 331, 5, 'com_content.article.114', 'Responsive Joomla template - JA Teline IV now on T3 Framework', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(298, 279, 332, 333, 5, 'com_content.article.115', 'Free Joomla templates built on the robust T3 Framework', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(299, 279, 334, 335, 5, 'com_content.article.116', 'Purity III - Best free responsive Joomla template for 2014', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(300, 280, 342, 343, 5, 'com_content.article.117', 'What is new in Joomla 3.2 ?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(301, 280, 344, 345, 5, 'com_content.article.118', 'One Year Later: Must-Have Windows 7 Downloads', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(302, 280, 346, 347, 5, 'com_content.article.119', 'Security software showdown! 9 antivirus suites empirically tested', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(303, 280, 348, 349, 5, 'com_content.article.120', 'Responsive Joomla template for Joomla 2.5 & Joomla 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(304, 280, 350, 351, 5, 'com_content.article.121', 'FREE Responsive Joomla extensions for Joomla 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(305, 280, 352, 353, 5, 'com_content.article.122', 'Joomla 3 templates supporting Bootstrap 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(306, 271, 191, 202, 4, 'com_content.category.94', 'News & Update', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(307, 271, 203, 214, 4, 'com_content.category.95', 'Tips & Tutorials', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(308, 271, 215, 226, 4, 'com_content.category.96', 'Reviews', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(309, 271, 227, 242, 4, 'com_content.category.97', 'Joomla Extensions', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(310, 308, 216, 217, 5, 'com_content.article.123', 'The year 2013 in review : A look back', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(311, 306, 192, 193, 5, 'com_content.article.124', 'Purity III - The best free responsive Joomla template for 2014', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(312, 306, 194, 195, 5, 'com_content.article.125', 'T3 Framework video – Introducing Megamenu ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(313, 1, 920, 921, 1, '#__ucm_content.1', '#__ucm_content.1', '[]'),
(314, 306, 196, 197, 5, 'com_content.article.126', 'Added K2 style for 4 Joomla templates: JA Ironis, JA Minisite, JA Graphite, and JA Bistro', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(315, 306, 198, 199, 5, 'com_content.article.127', 'JA Business is compatible with Joomla 2.5 & 3.0', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(316, 1, 922, 923, 1, '#__ucm_content.2', '#__ucm_content.2', '[]'),
(317, 203, 360, 383, 3, 'com_content.category.98', 'Featured projects', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(318, 307, 204, 205, 5, 'com_content.article.128', 'The Biggest Web Design Trends Coming Next Year', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(319, 18, 641, 642, 2, 'com_modules.module.113', 'Demo Content', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(320, 18, 643, 644, 2, 'com_modules.module.26', 'About Joomla', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(321, 317, 361, 362, 4, 'com_content.article.129', 'Fully responsive', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(322, 307, 206, 207, 5, 'com_content.article.130', 'Why Every Small Business Owner or Startup Entrepreneur Should Consider Using a Template for Their We', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(323, 307, 208, 209, 5, 'com_content.article.131', 'Best responsive Joomla templates from JoomlArt in the year 2013', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(324, 308, 218, 219, 5, 'com_content.article.132', '10 Copywriting Errors That Can Ruin a Company’s Website', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(325, 306, 200, 201, 5, 'com_content.article.133', 'Sneakpeek - JoomlArt\'s New Demo Toolbar', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(326, 1, 924, 925, 1, '#__ucm_content.3', '#__ucm_content.3', '[]'),
(327, 307, 210, 211, 5, 'com_content.article.134', 'Review: Responsive Joomla template for book stores- JA Bookshop', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(328, 1, 926, 927, 1, '#__ucm_content.4', '#__ucm_content.4', '[]'),
(329, 308, 220, 221, 5, 'com_content.article.135', 'Responsive Joomla template for movie - JA Obelisk', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(331, 307, 212, 213, 5, 'com_content.article.136', 'How to style modules in Joomla - OSTraining Video Tutorial', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(332, 1, 928, 929, 1, '#__ucm_content.6', '#__ucm_content.6', '[]'),
(333, 309, 228, 229, 5, 'com_content.article.137', 'Easy to use Google translate or Bing translator for your Joomla', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(334, 1, 930, 931, 1, '#__ucm_content.7', '#__ucm_content.7', '[]'),
(335, 309, 230, 231, 5, 'com_content.article.138', 'Introducing JA Multilingual extension for Joomla 2.5 & Joomla 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(336, 1, 932, 933, 1, '#__ucm_content.8', '#__ucm_content.8', '[]'),
(337, 309, 232, 233, 5, 'com_content.article.139', 'Tips to Extend Your Content Types Using CCK For Joomla', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(338, 309, 234, 235, 5, 'com_content.article.140', 'JA Extensions Manager - Upgrades / Rollbacks Made easy - Free for all...', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(339, 309, 236, 237, 5, 'com_content.article.141', 'Meet JA Magz - The Joomla magazine template in 41 languages', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(340, 1, 934, 935, 1, '#__ucm_content.9', '#__ucm_content.9', '[]'),
(341, 309, 238, 239, 5, 'com_content.article.142', 'Joomla extension - JA Multilingual extension for Joomla 2.5 & Joomla 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(342, 1, 936, 937, 1, '#__ucm_content.10', '#__ucm_content.10', '[]'),
(343, 309, 240, 241, 5, 'com_content.article.143', '3 FREE responsive Joomla extensions for Joomla 2.5 & Joomla 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(345, 18, 645, 646, 2, 'com_modules.module.163', 'Blog Categories', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(347, 317, 363, 364, 4, 'com_content.article.144', 'Built on the robust T3 Framework', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(348, 18, 647, 648, 2, 'com_modules.module.165', 'Blog Tags', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(349, 18, 649, 650, 2, 'com_modules.module.166', 'Important Articles ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(350, 1, 938, 939, 1, '#__ucm_content.11', '#__ucm_content.11', '[]'),
(351, 317, 365, 366, 4, 'com_content.article.145', 'A perfect starting point', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(352, 317, 367, 368, 4, 'com_content.article.146', 'Support Bootstrap 3 at core', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(354, 18, 651, 652, 2, 'com_modules.module.167', 'Magazine - Articles', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(355, 317, 369, 370, 4, 'com_content.article.148', 'Easy to customize', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(356, 317, 371, 372, 4, 'com_content.article.149', 'Multiple layouts supported', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(357, 317, 373, 374, 4, 'com_content.article.150', 'A free Joomla 3 template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(358, 317, 375, 376, 4, 'com_content.article.151', 'Highly compatible', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(359, 317, 377, 378, 4, 'com_content.article.152', 'Stunning typography pages', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(360, 1, 940, 941, 1, '#__ucm_content.12', '#__ucm_content.12', '[]'),
(362, 18, 653, 654, 2, 'com_modules.module.168', 'Magazine - Other articles', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(363, 18, 655, 656, 2, 'com_modules.module.169', 'EasyBlog Calendar', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(364, 18, 657, 658, 2, 'com_modules.module.170', 'EasyBlog Archive', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(365, 18, 659, 660, 2, 'com_modules.module.171', 'Blog Categories', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(366, 18, 661, 662, 2, 'com_modules.module.172', 'EasyBlog Tag Cloud', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(367, 18, 663, 664, 2, 'com_modules.module.173', 'EasyBlog New Post Module', ''),
(368, 34, 108, 109, 3, 'com_content.article.153', 'Welcome to JA Purity III', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(371, 18, 665, 666, 2, 'com_modules.module.175', 'MijoShop Orders', ''),
(372, 18, 667, 668, 2, 'com_modules.module.176', 'MijoShop - Quick Icons', ''),
(373, 18, 669, 670, 2, 'com_modules.module.177', 'How we work', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(374, 18, 671, 672, 2, 'com_modules.module.178', 'Success Stories', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(375, 18, 673, 674, 2, 'com_modules.module.179', 'Let\'s connect', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(377, 18, 675, 676, 2, 'com_modules.module.181', 'Slideshow', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(378, 216, 245, 246, 4, 'com_content.article.154', 'JA Bookshop', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(379, 216, 247, 248, 4, 'com_content.article.155', 'JA Appolio', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(380, 216, 249, 250, 4, 'com_content.article.156', 'JA Obelisk', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(381, 216, 251, 252, 4, 'com_content.article.157', 'JA Magz', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(382, 216, 253, 254, 4, 'com_content.article.158', 'JA Muzic', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(383, 216, 255, 256, 4, 'com_content.article.159', 'JA Fixel', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(384, 216, 257, 258, 4, 'com_content.article.160', ' JA Beranis', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(385, 216, 259, 260, 4, 'com_content.article.161', ' JA Smashboard', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(386, 216, 261, 262, 4, 'com_content.article.162', ' JA Hawkstore', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(387, 18, 677, 678, 2, 'com_modules.module.182', 'Testimonials', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(388, 18, 679, 680, 2, 'com_modules.module.183', 'Business Joomla template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(389, 18, 681, 682, 2, 'com_modules.module.184', 'Blog Joomla template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(390, 18, 683, 684, 2, 'com_modules.module.185', 'News Joomla template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(391, 18, 685, 686, 2, 'com_modules.module.90', 'About us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(393, 18, 687, 688, 2, 'com_modules.module.92', 'Follow us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(394, 18, 689, 690, 2, 'com_modules.module.186', 'Categories', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(395, 18, 691, 692, 2, 'com_modules.module.187', 'Featured Products', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(397, 18, 693, 694, 2, 'com_modules.module.189', 'Why we do it', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(398, 18, 695, 696, 2, 'com_modules.module.190', 'Portfolio Joomla template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(399, 18, 697, 698, 2, 'com_modules.module.93', 'Contact us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(400, 18, 699, 700, 2, 'com_modules.module.191', 'Blog post', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(403, 18, 701, 702, 2, 'com_modules.module.192', 'Popular post', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(404, 18, 703, 704, 2, 'com_modules.module.193', 'Sample Banner 1', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(405, 18, 705, 706, 2, 'com_modules.module.194', 'Custom tabs', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(406, 18, 707, 708, 2, 'com_modules.module.101', 'Built on T3 Framework', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(407, 18, 709, 710, 2, 'com_modules.module.102', 'Joomla 3 & Bootstrap 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(408, 18, 711, 712, 2, 'com_modules.module.103', 'A Free Joomla template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(409, 18, 713, 714, 2, 'com_modules.module.104', 'Flat Design & Stunning Typo', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(410, 203, 384, 385, 3, 'com_content.article.163', 'Typography', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(411, 18, 715, 716, 2, 'com_modules.module.195', 'Most read', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(413, 18, 717, 718, 2, 'com_modules.module.45', 'Menu Example', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(414, 18, 719, 720, 2, 'com_modules.module.196', 'Joomla', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(415, 18, 721, 722, 2, 'com_modules.module.197', 'Bootstrap 3', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(416, 18, 723, 724, 2, 'com_modules.module.198', 'Framework', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(417, 18, 725, 726, 2, 'com_modules.module.199', 'Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(418, 277, 280, 281, 5, 'com_content.article.164', 'T-Mobile will pay you to break up with your carrier', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(419, 277, 282, 283, 5, 'com_content.article.165', 'Best Android Phones for Business', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(420, 277, 284, 285, 5, 'com_content.article.166', 'Responsive Joomla template - JA Nex on T3v3 Framework', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(421, 277, 286, 287, 5, 'com_content.article.167', 'The best Joomla templates using Bootstrap 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(422, 18, 727, 728, 2, 'com_modules.module.200', 'Masthead', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(423, 277, 288, 289, 5, 'com_content.article.168', 'Responsive Joomla template for Portfolio - JA Appolio', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(424, 277, 290, 291, 5, 'com_content.article.169', 'Joomla template framework: T3 Framework 2.0.1 release', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(425, 278, 318, 319, 5, 'com_content.article.170', 'Best deals for responsive Joomla templates 2013', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(426, 278, 320, 321, 5, 'com_content.article.171', 'Best Joomla deals on Black Friday 2013 ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(427, 278, 322, 323, 5, 'com_content.article.172', 'Best Joomla deals coupon code for Christmas 2013', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(428, 276, 306, 307, 5, 'com_content.article.173', 'Responsive Joomla template for book stores - JA Bookshop', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(429, 18, 729, 730, 2, 'com_modules.module.94', 'T3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(430, 18, 731, 732, 2, 'com_modules.module.95', 'JoomlArt', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(431, 280, 354, 355, 5, 'com_content.article.174', 'Best Joomla practices for beginners', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(432, 279, 336, 337, 5, 'com_content.article.175', 'Free Joomla template for magazine', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(433, 279, 338, 339, 5, 'com_content.article.176', 'Joomla 3 templates - Best practices for high conversion', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(434, 34, 110, 111, 3, 'com_content.article.177', 'Compatible', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(435, 34, 112, 113, 3, 'com_content.article.178', 'Offline page', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(436, 1, 944, 945, 1, 'com_jaextmanager', 'com_jaextmanager', '{}'),
(438, 34, 114, 115, 3, 'com_content.article.179', 'Features Intro 2', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(443, 18, 733, 734, 2, 'com_modules.module.202', 'Feature 1', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(444, 18, 735, 736, 2, 'com_modules.module.203', 'Supports multiple layouts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(445, 18, 737, 738, 2, 'com_modules.module.204', 'Why Purity III?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(446, 18, 739, 740, 2, 'com_modules.module.205', 'Want to be the first to try our Purity III', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(447, 217, 265, 266, 4, 'com_content.article.183', 'Wanna get your beloved extensions in?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(448, 217, 267, 268, 4, 'com_content.article.184', 'Let\'s get to know Purity III', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(449, 18, 741, 742, 2, 'com_modules.module.206', 'Team members', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(450, 18, 743, 744, 2, 'com_modules.module.207', 'Our partners', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(452, 34, 116, 117, 3, 'com_content.article.185', 'Pricing table', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(453, 34, 118, 119, 3, 'com_content.article.186', 'Support policy', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(454, 203, 386, 559, 3, 'com_content.category.101', 'Glossary', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(461, 18, 745, 746, 2, 'com_modules.module.208', 'Manufacturer', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(463, 203, 560, 563, 3, 'com_content.category.102', 'Compatible extensions', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(464, 454, 387, 388, 4, 'com_content.article.193', 'Access level', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(465, 463, 561, 562, 4, 'com_content.article.194', 'Compatible Extensions', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(466, 454, 389, 390, 4, 'com_content.article.195', 'Anchor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(467, 454, 391, 392, 4, 'com_content.article.196', 'Access Control List', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(468, 454, 393, 394, 4, 'com_content.article.197', 'Language Pack', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(469, 454, 395, 396, 4, 'com_content.article.198', 'Administrator', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(470, 454, 397, 398, 4, 'com_content.article.199', 'Admin template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(471, 454, 399, 400, 4, 'com_content.article.200', 'Language Key', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(472, 454, 401, 402, 4, 'com_content.article.201', 'Alias', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(473, 454, 403, 404, 4, 'com_content.article.202', 'Alternative Menu item', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(474, 454, 405, 406, 4, 'com_content.article.203', 'Apache', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(475, 454, 407, 408, 4, 'com_content.article.204', 'Language Override', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(476, 454, 409, 410, 4, 'com_content.article.205', 'API', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(477, 454, 411, 412, 4, 'com_content.article.206', 'Layout Override', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(478, 454, 413, 414, 4, 'com_content.article.207', 'Article', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(479, 454, 415, 416, 4, 'com_content.article.208', 'LDAP', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(480, 454, 417, 418, 4, 'com_content.article.209', 'Author', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(481, 454, 419, 420, 4, 'com_content.article.210', 'Backend', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(482, 454, 421, 422, 4, 'com_content.article.211', 'Banner', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(483, 454, 423, 424, 4, 'com_content.article.212', 'Blog', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(484, 454, 425, 426, 4, 'com_content.article.213', 'Breadcrumbs', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(485, 454, 427, 428, 4, 'com_content.article.214', 'Manager', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(486, 454, 429, 430, 4, 'com_content.article.215', 'Cache', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(487, 454, 431, 432, 4, 'com_content.article.216', 'Menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(488, 454, 433, 434, 4, 'com_content.article.217', 'Model', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(489, 454, 435, 436, 4, 'com_content.article.218', 'Category', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(490, 454, 437, 438, 4, 'com_content.article.219', 'Category Manager', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(491, 454, 439, 440, 4, 'com_content.article.220', 'Model-View-Controller (MVC)', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(492, 454, 441, 442, 4, 'com_content.article.221', 'Module', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(493, 454, 443, 444, 4, 'com_content.article.222', 'Chrome', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(494, 454, 445, 446, 4, 'com_content.article.223', 'Component', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(495, 454, 447, 448, 4, 'com_content.article.224', 'Configuration.php', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(496, 454, 449, 450, 4, 'com_content.article.225', 'Content Management System', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(497, 454, 451, 452, 4, 'com_content.article.226', 'Controller', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(498, 454, 453, 454, 4, 'com_content.article.227', 'CSS', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(499, 454, 455, 456, 4, 'com_content.article.228', 'Module Class Suffix', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(501, 454, 457, 458, 4, 'com_content.article.230', 'Core', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(502, 454, 459, 460, 4, 'com_content.article.231', 'Module Position', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(504, 454, 461, 462, 4, 'com_content.article.233', 'Administration Control Panel', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(505, 454, 463, 464, 4, 'com_content.article.234', 'Database prefix', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(506, 454, 465, 466, 4, 'com_content.article.235', 'Editor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}');
INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(507, 454, 467, 468, 4, 'com_content.article.236', 'MySQL', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(508, 454, 469, 470, 4, 'com_content.article.237', 'Object Oriented Programming (OOP) ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(509, 454, 471, 472, 4, 'com_content.article.238', 'Options (Parameters) ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(510, 34, 120, 121, 3, 'com_content.article.239', 'Override', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(511, 454, 473, 474, 4, 'com_content.article.240', 'Extension', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(512, 454, 475, 476, 4, 'com_content.article.241', 'FOSS', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(513, 454, 477, 478, 4, 'com_content.article.242', 'Front-end', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(514, 454, 479, 480, 4, 'com_content.article.243', 'Function', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(515, 454, 481, 482, 4, 'com_content.article.244', 'Global Configuration', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(516, 454, 483, 484, 4, 'com_content.article.245', 'GPL', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(517, 454, 485, 486, 4, 'com_content.article.246', 'Page Class Suffix', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(518, 454, 487, 488, 4, 'com_content.article.247', 'Override', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(519, 454, 489, 490, 4, 'com_content.article.248', 'Hack (Core Hack)', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(520, 454, 491, 492, 4, 'com_content.article.249', 'Hit', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(521, 454, 493, 494, 4, 'com_content.article.250', 'HTML5', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(522, 454, 497, 498, 4, 'com_content.article.251', 'Patch', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(523, 454, 495, 496, 4, 'com_content.article.252', 'JavaScript ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(524, 454, 499, 500, 4, 'com_content.article.253', 'JDOC', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(525, 454, 501, 502, 4, 'com_content.article.254', 'JED (Joomla Extensions Directory)', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(526, 454, 503, 504, 4, 'com_content.article.255', 'Plugin', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(527, 454, 505, 506, 4, 'com_content.article.256', 'Poll', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(528, 454, 507, 508, 4, 'com_content.article.257', 'Publisher', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(529, 454, 509, 510, 4, 'com_content.article.258', 'Register users', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(530, 454, 511, 512, 4, 'com_content.article.259', 'Router', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(531, 454, 513, 514, 4, 'com_content.article.260', 'JoomlaDay', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(532, 454, 515, 516, 4, 'com_content.article.261', 'RSS (Really Simple Syndication)', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(533, 454, 517, 518, 4, 'com_content.article.262', 'LAMPP ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(534, 454, 519, 520, 4, 'com_content.article.263', 'Language', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(535, 454, 521, 522, 4, 'com_content.article.264', 'Search engine friendly (SEF)', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(536, 454, 523, 524, 4, 'com_content.article.265', 'Search engine optimization (SEO)', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(537, 454, 525, 526, 4, 'com_content.article.266', 'Split Menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(538, 454, 527, 528, 4, 'com_content.article.267', 'SQL', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(539, 454, 529, 530, 4, 'com_content.article.268', 'Sub category', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(540, 454, 531, 532, 4, 'com_content.article.269', 'Super user', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(541, 454, 533, 534, 4, 'com_content.article.270', 'Template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(542, 454, 535, 536, 4, 'com_content.article.271', 'Template Style', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(543, 454, 537, 538, 4, 'com_content.article.272', 'Template override', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(544, 454, 539, 540, 4, 'com_content.article.273', 'Uncategorize article', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(545, 454, 541, 542, 4, 'com_content.article.274', 'User groups', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(546, 454, 543, 544, 4, 'com_content.article.275', 'View site', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(547, 454, 545, 546, 4, 'com_content.article.276', 'View (MVC)', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(548, 454, 547, 548, 4, 'com_content.article.277', 'Web server', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(549, 454, 549, 550, 4, 'com_content.article.278', 'Wrapper', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(550, 454, 551, 552, 4, 'com_content.article.279', 'WYSIWYG editor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(551, 454, 553, 554, 4, 'com_content.article.280', 'XHTML', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(552, 454, 555, 556, 4, 'com_content.article.281', 'XML', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(553, 454, 557, 558, 4, 'com_content.article.282', 'Module Chrome', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(554, 18, 747, 748, 2, 'com_modules.module.98', 'T3 Features', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(555, 18, 749, 750, 2, 'com_modules.module.210', 'Compatible Extensions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(556, 34, 122, 123, 3, 'com_content.article.283', 'Our team', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(559, 34, 124, 125, 3, 'com_content.article.285', 'Single Article', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(560, 18, 751, 752, 2, 'com_modules.module.31', 'News Flash', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(562, 317, 379, 380, 4, 'com_content.article.287', 'Support RTL language layout', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(563, 18, 753, 754, 2, 'com_modules.module.61', 'Articles Categories', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(564, 18, 755, 756, 2, 'com_modules.module.211', 'Sidebar 1', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(565, 18, 757, 758, 2, 'com_modules.module.212', 'Sidebar 2', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(566, 18, 759, 760, 2, 'com_modules.module.213', 'After content', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(567, 18, 761, 762, 2, 'com_modules.module.214', 'Footer 1', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(568, 18, 763, 764, 2, 'com_modules.module.215', 'Footer 2', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(569, 18, 765, 766, 2, 'com_modules.module.216', 'Footer 5', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(570, 18, 767, 768, 2, 'com_modules.module.217', 'Footer 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(571, 18, 769, 770, 2, 'com_modules.module.218', 'Footer 4', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(572, 18, 771, 772, 2, 'com_modules.module.219', 'Footer 6', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(573, 34, 126, 127, 3, 'com_content.article.288', 'Support policy - style 2', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(575, 317, 381, 382, 4, 'com_content.article.289', 'Downloads', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(576, 18, 773, 774, 2, 'com_modules.module.221', 'Purity III and its stunning typography', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(578, 18, 775, 776, 2, 'com_modules.module.112', 'Purity III - The best free Joomla Template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(580, 18, 777, 778, 2, 'com_modules.module.224', 'T3 Framework', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(581, 18, 779, 780, 2, 'com_modules.module.225', 'Purity III Template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(582, 34, 128, 129, 3, 'com_content.article.290', '404', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(583, 34, 130, 131, 3, 'com_content.article.291', 'Purity III  layouts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(584, 34, 132, 133, 3, 'com_content.article.292', 'Request to be compatible', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(585, 18, 781, 782, 2, 'com_modules.module.226', 'Purity III video', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(586, 18, 783, 784, 2, 'com_modules.module.19', 'User Menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(588, 8, 565, 570, 2, 'com_content.category.104', 'Test', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(589, 588, 566, 567, 3, 'com_content.article.293', 'SOME TITLE', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(590, 588, 568, 569, 3, 'com_content.article.294', 'Another submitted', ''),
(591, 18, 785, 786, 2, 'com_modules.module.228', 'Portfolio Articles ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(593, 18, 787, 788, 2, 'com_modules.module.229', 'Sample Profiles', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(594, 18, 789, 790, 2, 'com_modules.module.230', 'EasySocial Dating Search', ''),
(595, 18, 791, 792, 2, 'com_modules.module.231', 'EasySocial Event Menu', ''),
(596, 18, 793, 794, 2, 'com_modules.module.232', 'EasySocial Events', ''),
(597, 18, 795, 796, 2, 'com_modules.module.233', 'EasySocial Event Categories', ''),
(598, 18, 797, 798, 2, 'com_modules.module.234', 'EasySocial Group Menu', ''),
(599, 18, 799, 800, 2, 'com_modules.module.235', 'EasySocial Groups', ''),
(600, 18, 801, 802, 2, 'com_modules.module.236', 'EasySocial Group Categories', ''),
(601, 18, 803, 804, 2, 'com_modules.module.237', 'EasySocial Recent Photos', ''),
(602, 18, 805, 806, 2, 'com_modules.module.238', 'EasySocial Profile Completeness', ''),
(603, 18, 807, 808, 2, 'com_modules.module.239', 'EasySocial Quick Registration', ''),
(604, 18, 809, 810, 2, 'com_modules.module.240', 'EasySocial Registration Requester', ''),
(607, 18, 811, 812, 2, 'com_modules.module.241', 'JS Nearby Events Search', ''),
(608, 18, 813, 814, 2, 'com_modules.module.242', 'EasySocial Followers', ''),
(609, 18, 815, 816, 2, 'com_modules.module.243', 'EasySocial Friends', '');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__banner_clients` (`id`, `name`, `contact`, `email`, `extrainfo`, `state`, `checked_out`, `checked_out_time`, `metakey`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`) VALUES
(1, 'Joomla!', 'Administrator', 'email@email.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, -1, -1),
(2, 'Shop', 'Example', 'example@example.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, 0, 0),
(3, 'Bookstore', 'Bookstore Example', 'example@example.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, 0, 0);

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) binary NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `version`) VALUES
(2, 3, 0, 'Bootstrap 3', 'shop-1', 0, 35, 0, 'http://getbootstrap.com/', 1, 15, 'Sleek, intuitive, and powerful mobile first front-end framework for faster and easier web development.', '', 0, 1, '', '{"imageurl":"images\\/joomlart\\/old-thumbnail\\/demo-s1.jpg","width":"","height":"","alt":"Bootstrap 3"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', 42, 'Joomla', '2013-11-23 04:43:18', 542, 2),
(3, 2, 0, 'Ultilize LESS', 'shop-2', 0, 35, 0, 'http://lesscss.org/', 1, 15, 'The dynamic stylesheet language.', '', 0, 2, '', '{"imageurl":"images\\/joomlart\\/old-thumbnail\\/demo-s2.jpg","width":"","height":"","alt":"Ultilize LESS"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', 42, 'Joomla', '2013-11-23 04:45:13', 542, 3),
(4, 1, 0, 'JUX', 'support-joomla', 0, 35, 0, 'https://jux.com/', 1, 15, 'Simply the best showcase for you', '', 0, 3, '', '{"imageurl":"images\\/joomlart\\/old-thumbnail\\/demo-s4.jpg","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', 42, 'Joomla', '2013-11-23 04:45:03', 542, 2);

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=105 DEFAULT CHARSET=utf8;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 131, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(9, 34, 1, 83, 84, 1, 'pages', 'com_content', 'Pages', 'pages', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '2014-01-25 08:46:52', 0, '*', 1),
(10, 35, 1, 81, 82, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(11, 36, 1, 77, 78, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(12, 37, 1, 13, 14, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(15, 40, 1, 79, 80, 1, 'sample-data-banners', 'com_banners', 'Sample Data-Banners', 'sample-data-banners', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(16, 41, 1, 15, 76, 1, 'sample-data-contact', 'com_contact', 'Sample Data-Contact', 'sample-data-contact', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(17, 42, 1, 11, 12, 1, 'sample-data-newsfeeds', 'com_newsfeeds', 'Sample Data-Newsfeeds', 'sample-data-newsfeeds', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(34, 59, 16, 16, 17, 2, 'sample-data-contact/park-site', 'com_contact', 'Park Site', 'park-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, 'en-GB', 1),
(35, 60, 16, 18, 75, 2, 'sample-data-contact/shop-site', 'com_contact', 'Shop Site', 'shop-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(36, 61, 35, 19, 20, 3, 'sample-data-contact/shop-site/staff', 'com_contact', 'Staff', 'staff', '', '<p>Please feel free to contact our staff at any time should you need assistance.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(37, 62, 35, 21, 74, 3, 'sample-data-contact/shop-site/fruit-encyclopedia', 'com_contact', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', '<p> </p><p>Our directory of information about different kinds of fruit.</p><p>We love fruit and want the world to know more about all of its many varieties.</p><p>Although it is small now, we work on it whenever we have a chance.</p><p>All of the images can be found in <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>.</p><p><img src="images/sampledata/fruitshop/apple.jpg" border="0" alt="Apples" title="Apples" /></p><p><em>This encyclopedia is implemented using the contact component, each fruit a separate contact and a category for each letter. A CSS style is used to create the horizontal layout of the alphabet headings. </em></p><p><em>If you wanted to, you could allow some users (such as your growers) to have access to just this category in the contact component and let them help you to create new content for the encyclopedia.</em></p><p> </p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(38, 63, 37, 22, 23, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/a', 'com_contact', 'A', 'a', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(39, 64, 37, 24, 25, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/b', 'com_contact', 'B', 'b', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(40, 65, 37, 26, 27, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/c', 'com_contact', 'C', 'c', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(41, 66, 37, 28, 29, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/d', 'com_contact', 'D', 'd', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(42, 67, 37, 30, 31, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/e', 'com_contact', 'E', 'e', '', '', 0, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(43, 68, 37, 32, 33, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/f', 'com_contact', 'F', 'f', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(44, 69, 37, 34, 35, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/g', 'com_contact', 'G', 'g', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(45, 70, 37, 36, 37, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/h', 'com_contact', 'H', 'h', '', '', 0, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(46, 71, 37, 38, 39, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/i', 'com_contact', 'I', 'i', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(47, 72, 37, 40, 41, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/j', 'com_contact', 'J', 'j', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(48, 73, 37, 42, 43, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/k', 'com_contact', 'K', 'k', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(49, 74, 37, 44, 45, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/l', 'com_contact', 'L', 'l', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(50, 75, 37, 46, 47, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/m', 'com_contact', 'M', 'm', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(51, 76, 37, 48, 49, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/n', 'com_contact', 'N', 'n', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(52, 77, 37, 50, 51, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/o', 'com_contact', 'O', 'o', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(53, 78, 37, 52, 53, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/p', 'com_contact', 'P', 'p', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(54, 79, 37, 54, 55, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/q', 'com_contact', 'Q', 'q', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(55, 80, 37, 56, 57, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/r', 'com_contact', 'R', 'r', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(56, 81, 37, 58, 59, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/s', 'com_contact', 'S', 's', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(57, 82, 37, 60, 61, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/t', 'com_contact', 'T', 't', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(58, 83, 37, 62, 63, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/u', 'com_contact', 'U', 'u', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(59, 84, 37, 64, 65, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/v', 'com_contact', 'V', 'v', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(60, 85, 37, 66, 67, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/w', 'com_contact', 'W', 'w', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(61, 86, 37, 68, 69, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/x', 'com_contact', 'X', 'x', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(62, 87, 37, 70, 71, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/y', 'com_contact', 'Y', 'y', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(63, 88, 37, 72, 73, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/z', 'com_contact', 'Z', 'z', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(77, 169, 1, 85, 86, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2011-01-01 00:00:01', 42, '0000-00-00 00:00:00', 0, '*', 1),
(78, 176, 81, 88, 89, 2, 'joomla-articles/layouts', 'com_content', 'Layouts', 'layouts', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-08-23 03:51:18', 42, '2013-11-15 08:44:48', 10, '*', 1),
(79, 184, 81, 90, 91, 2, 'joomla-articles/compatibilities', 'com_content', 'Compatibilities', 'compatibilities', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2013-11-08 04:59:28', 42, '2014-01-25 08:44:55', 54, '*', 1),
(80, 196, 81, 92, 93, 2, 'joomla-articles/t3-framework', 'com_content', 'T3 Framework', 't3-framework', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-11-15 08:24:27', 42, '2014-01-20 09:00:20', 0, '*', 1),
(81, 203, 1, 87, 128, 1, 'joomla-articles', 'com_content', 'Joomla Articles', 'joomla-articles', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-11-15 08:44:19', 42, '2014-01-20 11:13:05', 0, '*', 1),
(83, 216, 81, 104, 105, 2, 'joomla-articles/portfolio', 'com_content', 'Portfolio', 'portfolio', '', '<p>Convallis Nam ante at ac adipiscing libero tincidunt volutpat sagittis quis. Ut eros nibh vel nonummy et Nam turpis a eget nec. Id lacinia Donec ligula et augue interdum eu nulla nonummy Sed. Pede dolor ut quis enim sodales eget ac sollicitudin senectus sed. Tortor platea lobortis facilisis ac dui dui.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":"portfolio"}', '', '', '{"author":"","robots":""}', 42, '2013-12-25 07:29:50', 42, '2014-01-25 08:50:22', 0, '*', 1),
(84, 217, 81, 106, 107, 2, 'joomla-articles/corporate', 'com_content', 'Corporate', 'corporate', '', '<p>Convallis Nam ante at ac adipiscing libero tincidunt volutpat sagittis quis. Ut eros nibh vel nonummy et Nam turpis a eget nec. Id lacinia Donec ligula et augue interdum eu nulla nonummy Sed. Pede dolor ut quis enim sodales eget ac sollicitudin senectus sed. Tortor platea lobortis facilisis ac dui dui.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-25 07:30:14', 42, '2013-12-31 07:30:35', 0, '*', 1),
(85, 218, 81, 108, 119, 2, 'joomla-articles/magazine', 'com_content', 'Magazine', 'magazine', '', '<p>Convallis Nam ante at ac adipiscing libero tincidunt volutpat sagittis quis. Ut eros nibh vel nonummy et Nam turpis a eget nec. Id lacinia Donec ligula et augue interdum eu nulla nonummy Sed. Pede dolor ut quis enim sodales eget ac sollicitudin senectus sed. Tortor platea lobortis facilisis ac dui dui.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"purity_iii:magazine","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-25 07:32:20', 42, '2014-01-06 04:20:14', 0, '*', 1),
(86, 219, 81, 120, 121, 2, 'joomla-articles/shop', 'com_content', 'Shop', 'shop', '', '<p>Convallis Nam ante at ac adipiscing libero tincidunt volutpat sagittis quis. Ut eros nibh vel nonummy et Nam turpis a eget nec. Id lacinia Donec ligula et augue interdum eu nulla nonummy Sed. Pede dolor ut quis enim sodales eget ac sollicitudin senectus sed. Tortor platea lobortis facilisis ac dui dui.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-25 07:32:56', 42, '2013-12-31 07:33:29', 0, '*', 1),
(87, 271, 81, 94, 103, 2, 'joomla-articles/blog', 'com_content', 'Blog', 'blog', '', '<p>Platea scelerisque sagittis parturient mi pellentesque libero auctor urna id a. Venenatis id semper neque In tincidunt mus pretium vitae pulvinar Proin. At elit interdum interdum id Lorem augue Ut ut quis dignissim. Curabitur Curabitur ut enim metus ipsum Nulla vel tincidunt dis nunc. Interdum ipsum Phasellus est laoreet et magna eu suscipit amet Pellentesque. Ipsum Nulla ligula.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-30 09:47:02', 42, '2013-12-30 09:47:20', 0, '*', 1),
(89, 276, 85, 111, 112, 3, 'joomla-articles/magazine/blog', 'com_content', 'Blog ', 'blog', '', '<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel.</p>\r\n\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 04:52:20', 42, '2014-01-20 09:12:49', 0, '*', 1),
(90, 277, 85, 109, 110, 3, 'joomla-articles/magazine/t3-framework-and-bootstrap-3', 'com_content', 'T3 Framework and Bootstrap 3', 't3-framework-and-bootstrap-3', '', '<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 04:54:23', 42, '2014-01-20 09:11:44', 0, '*', 1),
(91, 278, 85, 113, 114, 3, 'joomla-articles/magazine/joomla-deals', 'com_content', 'Joomla deals', 'joomla-deals', '', '<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus.</p>\r\n\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 04:57:01', 42, '2014-01-20 09:13:25', 0, '*', 1),
(92, 279, 85, 115, 116, 3, 'joomla-articles/magazine/news-and-updates', 'com_content', 'News and updates', 'news-and-updates', '', '<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 04:59:13', 42, '2014-01-20 09:14:11', 0, '*', 1),
(93, 280, 85, 117, 118, 3, 'joomla-articles/magazine/tutorials', 'com_content', 'Tutorials', 'tutorials', '', '<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras .</p>\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 04:59:45', 42, '2014-01-20 09:14:39', 0, '*', 1),
(94, 306, 87, 95, 96, 3, 'joomla-articles/blog/news-update', 'com_content', 'News & Update', 'news-update', '', '<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:27:15', 42, '0000-00-00 00:00:00', 0, '*', 1),
(95, 307, 87, 97, 98, 3, 'joomla-articles/blog/ips-tutorials', 'com_content', 'Tips & Tutorials', 'ips-tutorials', '', '<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:27:41', 42, '2013-12-31 07:28:49', 0, '*', 1),
(96, 308, 87, 99, 100, 3, 'joomla-articles/blog/reviews', 'com_content', 'Reviews', 'reviews', '', '<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus .</p>\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:28:13', 42, '0000-00-00 00:00:00', 0, '*', 1),
(97, 309, 87, 101, 102, 3, 'joomla-articles/blog/joomla-extensions', 'com_content', 'Joomla Extensions', 'joomla-extensions', '', '<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit.</p>\r\n', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:29:22', 42, '0000-00-00 00:00:00', 0, '*', 1),
(98, 317, 81, 122, 123, 2, 'joomla-articles/features-demo-1', 'com_content', 'Featured projects', 'features-demo-1', '', '<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:39:37', 42, '2014-01-20 11:13:50', 0, '*', 1),
(101, 454, 81, 124, 125, 2, 'joomla-articles/glossary', 'com_content', 'Glossary', 'glossary', '', 'Sample glossary', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2014-01-16 03:53:34', 0, '0000-00-00 00:00:00', 0, '*', 1),
(102, 463, 81, 126, 127, 2, 'joomla-articles/compatible-extensions', 'com_content', 'Compatible extensions', 'compatible-extensions', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2014-01-16 10:36:28', 42, '2014-01-25 08:45:22', 0, '*', 1),
(104, 588, 1, 129, 130, 1, 'test', 'com_content', 'Test', 'test', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2014-03-10 06:57:42', 0, '0000-00-00 00:00:00', 0, '*', 1);

DROP TABLE IF EXISTS `#__community_activities`;
CREATE TABLE `#__community_activities` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `actor` int(10) unsigned NOT NULL,
  `target` int(10) unsigned NOT NULL,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `app` varchar(200) NOT NULL,
  `verb` varchar(200) NOT NULL,
  `cid` int(10) NOT NULL,
  `groupid` int(10) DEFAULT NULL,
  `eventid` int(10) DEFAULT NULL,
  `group_access` tinyint(4) NOT NULL DEFAULT '0',
  `event_access` tinyint(4) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL,
  `access` tinyint(3) unsigned NOT NULL,
  `params` text NOT NULL,
  `points` int(4) NOT NULL DEFAULT '1',
  `archived` tinyint(3) NOT NULL,
  `location` text NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `longitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `comment_id` int(10) NOT NULL,
  `comment_type` varchar(200) NOT NULL,
  `like_id` int(10) NOT NULL,
  `like_type` varchar(200) NOT NULL,
  `actors` text NOT NULL,
  `updated_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  KEY `actor` (`actor`),
  KEY `target` (`target`),
  KEY `app` (`app`),
  KEY `created` (`created`),
  KEY `archived` (`archived`)
) ENGINE=MyISAM AUTO_INCREMENT=104 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_activities` (`id`, `actor`, `target`, `title`, `content`, `app`, `verb`, `cid`, `groupid`, `eventid`, `group_access`, `event_access`, `created`, `access`, `params`, `points`, `archived`, `location`, `latitude`, `longitude`, `comment_id`, `comment_type`, `like_id`, `like_type`, `actors`, `updated_at`) VALUES
(2, 542, 0, '{actor} created new blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list">And the long updates, releases, upgrades and improvements list</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id ...<div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list">Continue reading</a></div>', 'easyblog', '', 3, 0, 0, 0, 0, '2014-01-02 09:45:04', 0, '', 1, 0, '', 255.000000, 255.000000, 3, 'com_easyblog', 3, 'com_easyblog', '', '2015-03-24 16:39:57'),
(3, 545, 0, '{actor} created new blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu">T3 Framework video – Introducing Megamenu</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem n ...<div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu">Continue reading</a></div>', 'easyblog', '', 4, 0, 0, 0, 0, '2014-01-02 09:50:13', 0, '', 1, 0, '', 255.000000, 255.000000, 4, 'com_easyblog', 4, 'com_easyblog', '', '2015-03-24 16:39:57'),
(4, 546, 0, '{actor} created new blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-christmas-deals-coupon-code-roundup-2013">Best Joomla Christmas deals coupon code roundup 2013</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/news-updates">News & Updates </a>', '&lt;p&gt;Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feug ...<div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-christmas-deals-coupon-code-roundup-2013">Continue reading</a></div>', 'easyblog', '', 5, 0, 0, 0, 0, '2014-01-02 10:09:50', 0, '', 1, 0, '', 255.000000, 255.000000, 5, 'com_easyblog', 5, 'com_easyblog', '', '2015-03-24 16:39:57'),
(5, 542, 0, '{actor} created new blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products">Extended: Christmas SALES with 25% off on all JoomlArt products</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/news-updates">News & Updates </a>', '&lt;p&gt;Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis ...<div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products">Continue reading</a></div>', 'easyblog', '', 6, 0, 0, 0, 0, '2014-01-02 10:10:25', 0, '', 1, 0, '', 255.000000, 255.000000, 6, 'com_easyblog', 6, 'com_easyblog', '', '2015-03-24 16:39:57'),
(6, 542, 0, '{actor} created new blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">10 days left to get your logo retouched free for Christmas</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper mal ...<div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">Continue reading</a></div>', 'easyblog', '', 7, 0, 0, 0, 0, '2014-01-02 10:10:54', 0, '', 1, 0, '', 255.000000, 255.000000, 7, 'com_easyblog', 7, 'com_easyblog', '', '2015-03-24 16:39:57'),
(7, 542, 0, '{actor} created new blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-black-friday-deals-2013-on-everything-joomla-related">Best Joomla Black Friday Deals 2013 on everything Joomla related</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem n ...<div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-black-friday-deals-2013-on-everything-joomla-related">Continue reading</a></div>', 'easyblog', '', 8, 0, 0, 0, 0, '2014-01-02 10:11:42', 0, '', 1, 0, '', 255.000000, 255.000000, 8, 'com_easyblog', 8, 'com_easyblog', '', '2015-03-24 16:39:57'),
(8, 542, 0, '{actor} updated blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-black-friday-deals-2013-on-everything-joomla-related">Best Joomla Black Friday Deals 2013 on everything Joomla related</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem n ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-black-friday-deals-2013-on-everything-joomla-related">Continue reading</a></div>', 'easyblog', '', 8, 0, 0, 0, 0, '2014-01-02 10:15:38', 0, '', 1, 0, '', 255.000000, 255.000000, 8, 'com_easyblog.update', 8, 'com_easyblog', '', '2015-03-24 16:39:57'),
(9, 542, 0, '{actor} updated blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">10 days left to get your logo retouched free for Christmas</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper mal ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">Continue reading</a></div>', 'easyblog', '', 7, 0, 0, 0, 0, '2014-01-02 10:15:48', 0, '', 1, 0, '', 255.000000, 255.000000, 7, 'com_easyblog.update', 7, 'com_easyblog', '', '2015-03-24 16:39:57'),
(10, 545, 0, '{actor} updated blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu">T3 Framework video – Introducing Megamenu</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem n ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu">Continue reading</a></div>', 'easyblog', '', 4, 0, 0, 0, 0, '2014-01-02 10:16:20', 0, '', 1, 0, '', 255.000000, 255.000000, 4, 'com_easyblog.update', 4, 'com_easyblog', '', '2015-03-24 16:39:57'),
(11, 542, 0, '{actor} updated blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list">And the long updates, releases, upgrades and improvements list</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list">Continue reading</a></div>', 'easyblog', '', 3, 0, 0, 0, 0, '2014-01-02 10:16:42', 0, '', 1, 0, '', 255.000000, 255.000000, 3, 'com_easyblog.update', 3, 'com_easyblog', '', '2015-03-24 16:39:57'),
(12, 546, 0, '{actor} created new blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/14-responsive-joomla-templates-10-joomla-extensions-are-now-compatible-with-joomla-3-2">14 Responsive Joomla templates & 10 Joomla extensions are now compatible with Jo...</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem n ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/14-responsive-joomla-templates-10-joomla-extensions-are-now-compatible-with-joomla-3-2">Continue reading</a></div>', 'easyblog', '', 9, 0, 0, 0, 0, '2014-01-02 10:17:20', 0, '', 1, 0, '', 255.000000, 255.000000, 9, 'com_easyblog', 9, 'com_easyblog', '', '2015-03-24 16:39:57'),
(13, 542, 0, '{actor} created new blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">FREE Christmas Logo decoration by JoomlArt Artists</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">Continue reading</a></div>', 'easyblog', '', 10, 0, 0, 0, 0, '2014-01-02 10:17:56', 0, '', 1, 0, '', 255.000000, 255.000000, 10, 'com_easyblog', 10, 'com_easyblog', '', '2015-03-24 16:39:57'),
(14, 545, 0, '{actor} created new blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/easy-to-use-google-translate-or-bing-translator-for-your-joomla">Easy to use Google translate or Bing translator for your Joomla</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/easy-to-use-google-translate-or-bing-translator-for-your-joomla">Continue reading</a></div>', 'easyblog', '', 11, 0, 0, 0, 0, '2014-01-02 10:18:38', 0, '', 1, 0, '', 255.000000, 255.000000, 11, 'com_easyblog', 11, 'com_easyblog', '', '2015-03-24 16:39:57'),
(15, 546, 0, '{actor} created new blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall">Ready for Mobile Commerce with Magento theme JM Megamall</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem n ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall">Continue reading</a></div>', 'easyblog', '', 12, 0, 0, 0, 0, '2014-01-02 10:19:17', 0, '', 1, 0, '', 255.000000, 255.000000, 12, 'com_easyblog', 12, 'com_easyblog', '', '2015-03-24 16:39:57'),
(16, 542, 0, '{actor} created new blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8">Infographic: 5 reasons for upgrading to Magento 1.8</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '&lt;p&gt;Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feug ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8">Continue reading</a></div>', 'easyblog', '', 13, 0, 0, 0, 0, '2014-01-02 10:19:43', 0, '', 1, 0, '', 255.000000, 255.000000, 13, 'com_easyblog', 13, 'com_easyblog', '', '2015-03-24 16:39:57'),
(17, 542, 0, '{actor} created new blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Zoom-in JM Bookshop - responsive Magento theme for bookstores</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '&lt;p&gt;Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Continue reading</a></div>', 'easyblog', '', 14, 0, 0, 0, 0, '2014-01-02 10:20:17', 0, '', 1, 0, '', 255.000000, 255.000000, 14, 'com_easyblog', 14, 'com_easyblog', '', '2015-03-24 16:39:57'),
(19, 542, 0, '{actor} created new blog post <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features">All new JM Basetheme - Magento extension with more responsive features</a> in <a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipisci ...<div style="text-align: right;"><a href="http://10.0.0.59/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features">Continue reading</a></div>', 'easyblog', '', 16, 0, 0, 0, 0, '2014-01-02 10:21:52', 0, '', 1, 0, '', 255.000000, 255.000000, 16, 'com_easyblog', 16, 'com_easyblog', '', '2015-03-24 16:39:57'),
(20, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features">All new JM Basetheme - Magento extension with more responsive features</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-1.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipisci ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features">Continue reading</a></div>', 'easyblog', '', 16, 0, 0, 0, 0, '2014-01-03 09:26:57', 0, '', 1, 0, '', 255.000000, 255.000000, 16, 'com_easyblog.update', 16, 'com_easyblog', '', '2015-03-24 16:39:57'),
(22, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features">All new JM Basetheme - Magento extension with more responsive features</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-1.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features">Continue reading</a></div>', 'easyblog', '', 16, 0, 0, 0, 0, '2014-01-03 09:50:55', 0, '', 1, 0, '', 255.000000, 255.000000, 16, 'com_easyblog.update', 16, 'com_easyblog', '', '2015-03-24 16:39:57'),
(24, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Zoom-in JM Bookshop - responsive Magento theme for bookstores</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-11.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor t ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Continue reading</a></div>', 'easyblog', '', 14, 0, 0, 0, 0, '2014-01-03 09:56:03', 0, '', 1, 0, '', 255.000000, 255.000000, 14, 'com_easyblog.update', 14, 'com_easyblog', '', '2015-03-24 16:39:57'),
(25, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8">Infographic: 5 reasons for upgrading to Magento 1.8</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-23.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tr ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8">Continue reading</a></div>', 'easyblog', '', 13, 0, 0, 0, 0, '2014-01-03 09:56:36', 0, '', 1, 0, '', 255.000000, 255.000000, 13, 'com_easyblog.update', 13, 'com_easyblog', '', '2015-03-24 16:39:57'),
(26, 546, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall">Ready for Mobile Commerce with Magento theme JM Megamall</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-18.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall">Continue reading</a></div>', 'easyblog', '', 12, 0, 0, 0, 0, '2014-01-03 09:57:41', 0, '', 1, 0, '', 255.000000, 255.000000, 12, 'com_easyblog.update', 12, 'com_easyblog', '', '2015-03-24 16:39:57'),
(27, 545, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/easy-to-use-google-translate-or-bing-translator-for-your-joomla">Easy to use Google translate or Bing translator for your Joomla</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/easy-to-use-google-translate-or-bing-translator-for-your-joomla"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-13.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morb ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/easy-to-use-google-translate-or-bing-translator-for-your-joomla">Continue reading</a></div>', 'easyblog', '', 11, 0, 0, 0, 0, '2014-01-03 09:58:23', 0, '', 1, 0, '', 255.000000, 255.000000, 11, 'com_easyblog.update', 11, 'com_easyblog', '', '2015-03-24 16:39:57'),
(28, 546, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall">Ready for Mobile Commerce with Magento theme JM Megamall</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-18.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall">Continue reading</a></div>', 'easyblog', '', 12, 0, 0, 0, 0, '2014-01-03 09:58:45', 0, '', 1, 0, '', 255.000000, 255.000000, 12, 'com_easyblog.update', 12, 'com_easyblog', '', '2015-03-24 16:39:57'),
(29, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Zoom-in JM Bookshop - responsive Magento theme for bookstores</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-11.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor t ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Continue reading</a></div>', 'easyblog', '', 14, 0, 0, 0, 0, '2014-01-03 09:58:54', 0, '', 1, 0, '', 255.000000, 255.000000, 14, 'com_easyblog.update', 14, 'com_easyblog', '', '2015-03-24 16:39:57'),
(30, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">FREE Christmas Logo decoration by JoomlArt Artists</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-16.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morb ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">Continue reading</a></div>', 'easyblog', '', 10, 0, 0, 0, 0, '2014-01-03 09:59:47', 0, '', 1, 0, '', 255.000000, 255.000000, 10, 'com_easyblog.update', 10, 'com_easyblog', '', '2015-03-24 16:39:57'),
(31, 546, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/14-responsive-joomla-templates-10-joomla-extensions-are-now-compatible-with-joomla-3-2">14 Responsive Joomla templates & 10 Joomla extensions are now compatible with Jo...</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/14-responsive-joomla-templates-10-joomla-extensions-are-now-compatible-with-joomla-3-2"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-19.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/14-responsive-joomla-templates-10-joomla-extensions-are-now-compatible-with-joomla-3-2">Continue reading</a></div>', 'easyblog', '', 9, 0, 0, 0, 0, '2014-01-03 10:00:33', 0, '', 1, 0, '', 255.000000, 255.000000, 9, 'com_easyblog.update', 9, 'com_easyblog', '', '2015-03-24 16:39:57'),
(32, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-black-friday-deals-2013-on-everything-joomla-related">Best Joomla Black Friday Deals 2013 on everything Joomla related</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-black-friday-deals-2013-on-everything-joomla-related"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-12.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-black-friday-deals-2013-on-everything-joomla-related">Continue reading</a></div>', 'easyblog', '', 8, 0, 0, 0, 0, '2014-01-03 10:01:09', 0, '', 1, 0, '', 255.000000, 255.000000, 8, 'com_easyblog.update', 8, 'com_easyblog', '', '2015-03-24 16:39:57'),
(33, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">10 days left to get your logo retouched free for Christmas</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-8.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. J ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">Continue reading</a></div>', 'easyblog', '', 7, 0, 0, 0, 0, '2014-01-03 10:01:43', 0, '', 1, 0, '', 255.000000, 255.000000, 7, 'com_easyblog.update', 7, 'com_easyblog', '', '2015-03-24 16:39:57'),
(34, 542, 0, '{actor} featured a blog post titled, <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">FREE Christmas Logo decoration...</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-16.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morb ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">Continue reading</a></div>', 'easyblog', '', 10, 0, 0, 0, 0, '2014-01-03 10:01:55', 0, '', 1, 0, '', 255.000000, 255.000000, 10, 'com_easyblog', 10, 'com_easyblog', '', '2015-03-24 16:39:57'),
(35, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products">Extended: Christmas SALES with 25% off on all JoomlArt products</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/news-updates">News & Updates </a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-17.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor t ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products">Continue reading</a></div>', 'easyblog', '', 6, 0, 0, 0, 0, '2014-01-03 10:02:33', 0, '', 1, 0, '', 255.000000, 255.000000, 6, 'com_easyblog.update', 6, 'com_easyblog', '', '2015-03-24 16:39:57'),
(36, 542, 0, '{actor} featured a blog post titled, <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">10 days left to get your logo ...</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-8.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. J ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">Continue reading</a></div>', 'easyblog', '', 7, 0, 0, 0, 0, '2014-01-03 10:02:40', 0, '', 1, 0, '', 255.000000, 255.000000, 7, 'com_easyblog', 7, 'com_easyblog', '', '2015-03-24 16:39:57'),
(37, 542, 0, '{actor} featured a blog post titled, <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Zoom-in JM Bookshop - responsi...</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-11.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor t ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Continue reading</a></div>', 'easyblog', '', 14, 0, 0, 0, 0, '2014-01-03 10:02:53', 0, '', 1, 0, '', 255.000000, 255.000000, 14, 'com_easyblog', 14, 'com_easyblog', '', '2015-03-24 16:39:57'),
(38, 546, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-christmas-deals-coupon-code-roundup-2013">Best Joomla Christmas deals coupon code roundup 2013</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/news-updates">News & Updates </a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-christmas-deals-coupon-code-roundup-2013"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-10.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tr ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-christmas-deals-coupon-code-roundup-2013">Continue reading</a></div>', 'easyblog', '', 5, 0, 0, 0, 0, '2014-01-03 10:04:03', 0, '', 1, 0, '', 255.000000, 255.000000, 5, 'com_easyblog.update', 5, 'com_easyblog', '', '2015-03-24 16:39:57'),
(39, 545, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu">T3 Framework video – Introducing Megamenu</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-9.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu">Continue reading</a></div>', 'easyblog', '', 4, 0, 0, 0, 0, '2014-01-03 10:04:54', 0, '', 1, 0, '', 255.000000, 255.000000, 4, 'com_easyblog.update', 4, 'com_easyblog', '', '2015-03-24 16:39:57'),
(40, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list">And the long updates, releases, upgrades and improvements list</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-26.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morb ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list">Continue reading</a></div>', 'easyblog', '', 3, 0, 0, 0, 0, '2014-01-03 10:05:38', 0, '', 1, 0, '', 255.000000, 255.000000, 3, 'com_easyblog.update', 3, 'com_easyblog', '', '2015-03-24 16:39:57'),
(43, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8">Infographic: 5 reasons for upgrading to Magento 1.8</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-23.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tr ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8">Continue reading</a></div>', 'easyblog', '', 13, 0, 0, 0, 0, '2014-01-06 03:50:35', 0, '', 1, 0, '', 255.000000, 255.000000, 13, 'com_easyblog.update', 13, 'com_easyblog', '', '2015-03-24 16:39:57'),
(44, 546, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall">Ready for Mobile Commerce with Magento theme JM Megamall</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-18.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall">Continue reading</a></div>', 'easyblog', '', 12, 0, 0, 0, 0, '2014-01-06 03:53:17', 0, '', 1, 0, '', 255.000000, 255.000000, 12, 'com_easyblog.update', 12, 'com_easyblog', '', '2015-03-24 16:39:57'),
(45, 545, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu">T3 Framework video – Introducing Megamenu</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-9.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu">Continue reading</a></div>', 'easyblog', '', 4, 0, 0, 0, 0, '2014-01-06 03:54:41', 0, '', 1, 0, '', 255.000000, 255.000000, 4, 'com_easyblog.update', 4, 'com_easyblog', '', '2015-03-24 16:39:57');
INSERT INTO `#__community_activities` (`id`, `actor`, `target`, `title`, `content`, `app`, `verb`, `cid`, `groupid`, `eventid`, `group_access`, `event_access`, `created`, `access`, `params`, `points`, `archived`, `location`, `latitude`, `longitude`, `comment_id`, `comment_type`, `like_id`, `like_type`, `actors`, `updated_at`) VALUES
(46, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list">And the long updates, releases, upgrades and improvements list</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-26.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morb ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list">Continue reading</a></div>', 'easyblog', '', 3, 0, 0, 0, 0, '2014-01-06 03:55:25', 0, '', 1, 0, '', 255.000000, 255.000000, 3, 'com_easyblog.update', 3, 'com_easyblog', '', '2015-03-24 16:39:57'),
(47, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">10 days left to get your logo retouched free for Christmas</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-8.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. J ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">Continue reading</a></div>', 'easyblog', '', 7, 0, 0, 0, 0, '2014-01-06 03:58:11', 0, '', 1, 0, '', 255.000000, 255.000000, 7, 'com_easyblog.update', 7, 'com_easyblog', '', '2015-03-24 16:39:57'),
(48, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products">Extended: Christmas SALES with 25% off on all JoomlArt products</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/news-updates">News & Updates </a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-17.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor t ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products">Continue reading</a></div>', 'easyblog', '', 6, 0, 0, 0, 0, '2014-01-06 03:58:30', 0, '', 1, 0, '', 255.000000, 255.000000, 6, 'com_easyblog.update', 6, 'com_easyblog', '', '2015-03-24 16:39:57'),
(49, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">FREE Christmas Logo decoration by JoomlArt Artists</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-16.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morb ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">Continue reading</a></div>', 'easyblog', '', 10, 0, 0, 0, 0, '2014-01-06 04:00:26', 0, '', 1, 0, '', 255.000000, 255.000000, 10, 'com_easyblog.update', 10, 'com_easyblog', '', '2015-03-24 16:39:57'),
(50, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">10 days left to get your logo retouched free for Christmas</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-8.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. J ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">Continue reading</a></div>', 'easyblog', '', 7, 0, 0, 0, 0, '2014-01-06 04:00:36', 0, '', 1, 0, '', 255.000000, 255.000000, 7, 'com_easyblog.update', 7, 'com_easyblog', '', '2015-03-24 16:39:57'),
(51, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Zoom-in JM Bookshop - responsive Magento theme for bookstores</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-11.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor t ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Continue reading</a></div>', 'easyblog', '', 14, 0, 0, 0, 0, '2014-01-06 04:00:41', 0, '', 1, 0, '', 255.000000, 255.000000, 14, 'com_easyblog.update', 14, 'com_easyblog', '', '2015-03-24 16:39:57'),
(52, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">10 days left to get your logo retouched free for Christmas</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-8.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc.\r\n\r\nLacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonu ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas">Continue reading</a></div>', 'easyblog', '', 7, 0, 0, 0, 0, '2014-01-06 04:01:44', 0, '', 1, 0, '', 255.000000, 255.000000, 7, 'com_easyblog.update', 7, 'com_easyblog', '', '2015-03-24 16:39:57'),
(53, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">FREE Christmas Logo decoration by JoomlArt Artists</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/tips-tutorials">Tips & Tutorials</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-16.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec .\r\n\r\nDapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidun ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists">Continue reading</a></div>', 'easyblog', '', 10, 0, 0, 0, 0, '2014-01-06 04:01:52', 0, '', 1, 0, '', 255.000000, 255.000000, 10, 'com_easyblog.update', 10, 'com_easyblog', '', '2015-03-24 16:39:57'),
(54, 542, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Zoom-in JM Bookshop - responsive Magento theme for bookstores</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-11.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo.\r\n\r\nPlatea Aliquam gravida Vestibulum pede vitae Mauris so ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Continue reading</a></div>', 'easyblog', '', 14, 0, 0, 0, 0, '2014-01-06 04:02:08', 0, '', 1, 0, '', 255.000000, 255.000000, 14, 'com_easyblog.update', 14, 'com_easyblog', '', '2015-03-24 16:39:57'),
(56, 545, 0, '{actor} updated blog post <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Zoom-in JM Bookshop - responsive Magento theme for bookstores</a> in <a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/categories/listings/magento-themes">Magento Themes</a>', '<a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores"><img src="http://localhost/ja_monthly_temp/canvas/images/easyblog_images/542/2e1ax_default_frontpage_bl-11.jpg" style="margin: 0 5px 5px 0;float: left; height: auto; width: 120px !important;"/></a>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo.\r\n\r\nPlatea Aliquam gravida Vestibulum pede vitae Mauris so ...<div style="clear: both;"></div><div style="text-align: right;"><a href="http://localhost/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores">Continue reading</a></div>', 'easyblog', '', 14, 0, 0, 0, 0, '2014-01-08 03:03:59', 0, '', 1, 0, '', 255.000000, 255.000000, 14, 'com_easyblog.update', 14, 'com_easyblog', '', '2015-03-24 16:39:57'),
(57, 542, 0, '', '', 'photos', '', 1, 0, 0, 0, 0, '2014-01-08 08:45:29', 0, '{"multiUrl":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/542-super-user\\/photos\\/album?albumid=1","photoid":"1","action":"upload","stream":"1","photo_url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/542-super-user\\/photos\\/photo?albumid=1&amp;photoid=1","style":"1"}', 1, 0, '', 255.000000, 255.000000, 1, 'photos', 1, 'photo', '', '2015-03-24 16:39:57'),
(58, 542, 0, '', '', 'videos', '', 2, 0, 0, 0, 0, '2014-01-08 09:02:02', 0, '{"video_url":"index.php?option=com_community&view=videos&task=video&userid=542&videoid=2","style":"1"}', 1, 0, '', 255.000000, 255.000000, 2, 'videos', 2, 'videos', '', '2015-03-24 16:39:57'),
(59, 542, 0, '', '', 'videos', '', 3, 0, 0, 0, 0, '2014-01-08 09:03:53', 0, '{"video_url":"index.php?option=com_community&view=videos&task=video&userid=542&videoid=3","style":"1"}', 1, 0, '', 255.000000, 255.000000, 3, 'videos', 3, 'videos', '', '2015-03-24 16:39:57'),
(60, 542, 0, '', '', 'events', '', 1, 0, 1, 0, 0, '2014-01-08 09:06:37', 0, '{"action":"events.create","event_url":"index.php?option=com_community&view=events&task=viewevent&eventid=1","event_category_url":"index.php?option=com_community&view=events&task=display&categoryid=1"}', 1, 0, 'California', 255.000000, 255.000000, 1, 'groups.event', 1, 'group.event', '', '2015-03-24 16:39:57'),
(61, 542, 0, '', '', 'cover.upload', '', 2, 0, 0, 0, 0, '2014-01-08 09:07:45', 0, '{"attachment":"images\\/cover\\/profile\\/542\\/8a361c63bc88d2f56c0204fd637b37eb.jpg","type":"profile"}', 1, 0, '', 255.000000, 255.000000, 61, 'cover.upload', 61, 'cover.upload', '', '2015-03-24 16:39:57'),
(62, 542, 0, '', '', 'cover.upload', '', 3, 0, 0, 0, 0, '2014-01-08 09:07:46', 0, '{"attachment":"images\\/cover\\/profile\\/542\\/8b338c5bc65edcaa6c404046dce66f10.jpg","type":"profile"}', 1, 0, '', 255.000000, 255.000000, 62, 'cover.upload', 62, 'cover.upload', '', '2015-03-24 16:39:57'),
(63, 542, 0, '', '', 'cover.upload', '', 4, 0, 0, 0, 0, '2014-01-08 09:07:47', 0, '{"attachment":"images\\/cover\\/profile\\/542\\/0103faa3e3a81fb360a4a12bca7e8247.jpg","type":"profile"}', 1, 0, '', 255.000000, 255.000000, 63, 'cover.upload', 63, 'cover.upload', '', '2015-03-24 16:39:57'),
(64, 542, 0, '', '', 'cover.upload', '', 5, 0, 0, 0, 0, '2014-01-08 09:07:48', 0, '{"attachment":"images\\/cover\\/profile\\/542\\/ed51df4e4a781a38fb3c5c4792a50cdf.jpg","type":"profile"}', 1, 0, '', 255.000000, 255.000000, 64, 'cover.upload', 64, 'cover.upload', '', '2015-03-24 16:39:57'),
(65, 542, 0, '', '', 'photos', '', 1, 0, 0, 0, 0, '2014-01-08 09:08:18', 0, '{"multiUrl":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/542-super-user\\/photos\\/album?albumid=1","photoid":"6","action":"upload","stream":"1","photo_url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/542-super-user\\/photos\\/photo?albumid=1&amp;photoid=6","style":"1"}', 1, 0, '', 255.000000, 255.000000, 6, 'photos', 6, 'photo', '', '2015-03-24 16:39:57'),
(66, 545, 0, '', '', 'photos', '', 3, 0, 0, 0, 0, '2014-01-08 09:10:51', 0, '{"multiUrl":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/545-anna\\/photos\\/album?albumid=3","photoid":"8","action":"upload","stream":"1","photo_url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/545-anna\\/photos\\/photo?albumid=3&amp;photoid=8","style":"1"}', 1, 0, '', 255.000000, 255.000000, 8, 'photos', 8, 'photo', '', '2015-03-24 16:39:57'),
(67, 545, 0, '', '', 'cover.upload', '', 9, 0, 0, 0, 0, '2014-01-08 09:11:02', 0, '{"attachment":"images\\/cover\\/profile\\/545\\/86dca8bcb52b4de9db861fb48fdd0638.jpg","type":"profile"}', 1, 0, '', 255.000000, 255.000000, 67, 'cover.upload', 67, 'cover.upload', '', '2015-03-24 16:39:57'),
(69, 545, 0, '', '', 'cover.upload', '', 11, 0, 0, 0, 0, '2014-01-08 09:11:04', 0, '{"attachment":"images\\/cover\\/profile\\/545\\/2c8cd81efd03836e37cda8cc05c74005.jpg","type":"profile"}', 1, 0, '', 255.000000, 255.000000, 69, 'cover.upload', 69, 'cover.upload', '', '2015-03-24 16:39:57'),
(70, 542, 0, '', '', 'cover.upload', '', 12, 0, 0, 0, 0, '2014-01-08 09:11:19', 0, '{"attachment":"images\\/cover\\/profile\\/542\\/20dd5fc1d7f2c11641ef17d7cea4fc46.jpg","type":"profile"}', 1, 0, '', 255.000000, 255.000000, 70, 'cover.upload', 70, 'cover.upload', '', '2015-03-24 16:39:57'),
(87, 545, 0, '{actor} created a new group, <a href=_QQQ_{group_url}_QQQ_>Magento</a> in <a href=_QQQ_{category_url}_QQQ_>General</a>', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur.</p>\r\n<p>Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc.</p>\r\n<p>Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n<p> </p>', 'groups', '', 2, 2, 0, 0, 0, '2014-01-08 09:51:48', 0, '{"action":"group.create","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","category_url":"index.php?option=com_community&view=groups&task=display&categoryid=1"}', 1, 0, '', 255.000000, 255.000000, 87, 'groups.create', 87, '', '', '2015-03-24 16:39:57'),
(72, 545, 542, '', '', 'friends.connect', '', 0, 0, 0, 0, 0, '2014-01-08 09:16:10', 0, '', 1, 0, '', 255.000000, 255.000000, 0, '', 0, '', '', '2015-03-24 16:39:57'),
(73, 542, 0, '{actor} created a new group, <a href=_QQQ_{group_url}_QQQ_>Joomla</a> in <a href=_QQQ_{category_url}_QQQ_>Automotive</a>', '<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et.</p>\r\n<p>Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>', 'groups', '', 1, 1, 0, 0, 0, '2014-01-08 09:18:00', 0, '{"action":"group.create","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","category_url":"index.php?option=com_community&view=groups&task=display&categoryid=4"}', 1, 0, '', 255.000000, 255.000000, 73, 'groups.create', 73, '', '', '2015-03-24 16:39:57'),
(74, 545, 0, '', '', 'videos', '', 4, 0, 0, 0, 0, '2014-01-08 09:18:38', 0, '{"video_url":"index.php?option=com_community&view=videos&task=video&userid=545&videoid=4","style":"1"}', 1, 0, '', 255.000000, 255.000000, 4, 'videos', 4, 'videos', '', '2015-03-24 16:39:57'),
(75, 545, 0, '', '', 'videos', '', 5, 0, 0, 0, 0, '2014-01-08 09:19:04', 0, '{"video_url":"index.php?option=com_community&view=videos&task=video&userid=545&videoid=5","style":"1"}', 1, 0, '', 255.000000, 255.000000, 5, 'videos', 5, 'videos', '', '2015-03-24 16:39:57'),
(76, 542, 0, '', '', 'events', '', 2, 1, 2, 0, 0, '2014-01-08 09:20:45', 0, '{"action":"events.create","event_url":"index.php?option=com_community&view=events&task=viewevent&eventid=2&groupid=1","event_category_url":"index.php?option=com_community&view=events&task=display&categoryid=1&groupid=1"}', 1, 0, 'California', 255.000000, 255.000000, 2, 'events', 2, 'events', '', '2015-03-24 16:39:57'),
(77, 542, 0, 'Nunc eleifend molestie metus sed nullam.', '', 'events.wall', '', 2, 1, 2, 0, 0, '2014-01-08 09:21:50', 0, '', 1, 0, '', 255.000000, 255.000000, 77, 'events.wall', 77, 'events.wall', '', '2015-03-24 16:39:57'),
(79, 545, 0, 'Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.', '', 'groups.wall', '', 1, 1, 0, 0, 0, '2014-01-08 09:24:07', 0, '', 1, 0, '', 255.000000, 255.000000, 79, 'groups.wall', 79, 'groups.wall', '', '2015-03-24 16:39:57'),
(83, 0, 0, '', '', 'groups.join', '', 1, 1, 0, 0, 0, '2014-01-08 09:35:27', 0, '{"group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","action":"group.join","actors":"542,545"}', 1, 0, '', 255.000000, 255.000000, 0, '', 0, '', '{"userid":[{"id":"545"},{"id":"544"}]}', '2015-03-24 16:39:57'),
(85, 542, 0, '', '', 'cover.upload', '', 15, 1, 0, 0, 0, '2014-01-08 09:38:03', 0, '{"attachment":"images\\/cover\\/group\\/1\\/5dce6c82b815fb98f09afa65e6d8d95c.jpg","type":"group"}', 1, 0, '', 255.000000, 255.000000, 85, 'cover.upload', 85, 'cover.upload', '', '2015-03-24 16:39:57'),
(91, 542, 0, 'Cras quis magna justo. Suspendisse amet.', '', 'groups.wall', '', 2, 2, 0, 0, 0, '2014-01-08 09:53:20', 0, '', 1, 0, '', 255.000000, 255.000000, 91, 'groups.wall', 91, 'groups.wall', '', '2015-03-24 16:39:57'),
(90, 0, 0, '', '', 'groups.join', '', 2, 2, 0, 0, 0, '2014-01-08 09:53:05', 0, '{"group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","action":"group.join","actors":"545,542"}', 1, 0, '', 255.000000, 255.000000, 0, '', 0, '', '{"userid":[{"id":"544"},{"id":"542"}]}', '2015-03-24 16:39:57'),
(93, 542, 0, '', 'ccumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curab', 'groups.discussion.reply', '', 1, 2, 0, 0, 0, '2014-01-08 09:56:32', 0, '{"action":"group.discussion.reply","wallid":5,"group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","group_name":"Magento","discuss_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1"}', 1, 0, '', 255.000000, 255.000000, 0, '', 5, 'groups.discussion.reply', '', '2015-03-24 16:39:57'),
(95, 545, 0, '', 'Laoreet Nullam a pretium et et pretium a sed.', 'groups.discussion.reply', '', 1, 2, 0, 0, 0, '2014-01-08 09:57:10', 0, '{"action":"group.discussion.reply","wallid":7,"group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","group_name":"Magento","discuss_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1"}', 1, 0, '', 255.000000, 255.000000, 0, '', 7, 'groups.discussion.reply', '', '2015-03-24 16:39:57'),
(97, 542, 0, '', 'Nullam eros massa, lobortis non posuere.\n', 'groups.discussion.reply', '', 1, 2, 0, 0, 0, '2014-01-08 09:57:57', 0, '{"action":"group.discussion.reply","wallid":9,"group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","group_name":"Magento","discuss_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1"}', 1, 0, '', 255.000000, 255.000000, 0, '', 9, 'groups.discussion.reply', '', '2015-03-24 16:39:57'),
(98, 542, 0, 'Nunc non luctus neque; non auctor metus.', '', 'photos', '', 1, 0, 0, 0, 0, '2014-01-08 09:59:08', 0, '{"multiUrl":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/542-super-user\\/photos\\/album?albumid=1","photoid":"19","action":"upload","stream":"1","photo_url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/542-super-user\\/photos\\/photo?albumid=1&amp;photoid=19","style":"1"}', 1, 0, '', 255.000000, 255.000000, 19, 'photos', 19, 'photo', '', '2015-03-24 16:39:57'),
(100, 542, 0, '', '', 'cover.upload', '', 20, 0, 2, 0, 0, '2014-01-08 10:00:22', 0, '{"attachment":"images\\/cover\\/event\\/2\\/186f4b36d5f162fb519a80d5684f1bc5.jpg","type":"event"}', 1, 0, '', 255.000000, 255.000000, 100, 'cover.upload', 100, 'cover.upload', '', '2015-03-24 16:39:57'),
(101, 545, 0, '', '', 'photos', '', 3, 0, 0, 0, 0, '2014-01-08 10:01:28', 0, '{"multiUrl":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/545-anna\\/photos\\/album?albumid=3","photoid":"22","action":"upload","stream":"1","photo_url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/545-anna\\/photos\\/photo?albumid=3&amp;photoid=22","style":"1"}', 1, 0, '', 255.000000, 255.000000, 22, 'photos', 22, 'photo', '', '2015-03-24 16:39:57'),
(102, 545, 2, '', '', 'photos', '', 11, 2, 0, 0, 0, '2014-01-08 10:02:24', 0, '{"multiUrl":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/545-anna\\/photos\\/album?albumid=11","photoid":"23","action":"upload","stream":"1","photo_url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/545-anna\\/photos\\/photo?albumid=11&amp;photoid=23","style":"1"}', 1, 0, '', 255.000000, 255.000000, 23, 'photos', 23, 'photo', '', '2015-03-24 16:39:57'),
(103, 545, 0, '', '', 'cover.upload', '', 24, 2, 0, 0, 0, '2014-01-08 10:04:05', 0, '{"attachment":"images\\/cover\\/group\\/2\\/db185f543ef03ea745237a9864c89c8f.jpg","type":"group"}', 1, 0, '', 255.000000, 255.000000, 103, 'cover.upload', 103, 'cover.upload', '', '2015-03-24 16:39:57');

DROP TABLE IF EXISTS `#__community_activities_hide`;
CREATE TABLE `#__community_activities_hide` (
  `activity_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_apps`;
CREATE TABLE `#__community_apps` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `userid` int(10) unsigned NOT NULL,
  `apps` varchar(200) NOT NULL,
  `ordering` int(10) unsigned NOT NULL,
  `position` varchar(50) NOT NULL DEFAULT 'content',
  `params` text NOT NULL,
  `privacy` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_userid` (`userid`),
  KEY `idx_user_apps` (`userid`,`apps`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_avatar`;
CREATE TABLE `#__community_avatar` (
  `id` int(10) unsigned NOT NULL,
  `apptype` varchar(255) NOT NULL,
  `path` text NOT NULL,
  `type` tinyint(3) unsigned NOT NULL COMMENT '0 = small, 1 = medium, 2=large',
  UNIQUE KEY `id` (`id`,`apptype`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_badges`;
CREATE TABLE `#__community_badges` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(64) NOT NULL,
  `points` int(11) NOT NULL DEFAULT '0',
  `image` varchar(256) NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `points` (`points`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_badges` (`id`, `title`, `points`, `image`, `published`) VALUES
(1, '0', 0, 'png', 1),
(2, '50', 50, 'png', 1),
(3, '100', 100, 'png', 1),
(4, '200', 200, 'png', 1),
(5, '350', 350, 'png', 1),
(6, '600', 600, 'png', 1);

DROP TABLE IF EXISTS `#__community_blocklist`;
CREATE TABLE `#__community_blocklist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `blocked_userid` int(11) NOT NULL,
  `type` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`),
  KEY `blocked_userid` (`blocked_userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_config`;
CREATE TABLE `#__community_config` (
  `name` varchar(64) NOT NULL,
  `params` longtext NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__community_config` (`name`, `params`) VALUES
('dbversion', '17'),
('config', '{"enablevideos":"1","enableguestsearchvideos":"1","enableprofilevideo":"1","enablevideosupload":"1","videouploadlimit":"500","videosmapdefault":"0","deleteoriginalvideos":"0","videofolder":"images","maxvideouploadsize":"8","ffmpegPath":"","flvtool2":"","qscale":"11","videosSize":"480x360","customCommandForVideo":"","enablevideopseudostream":"0","videodebug":"0","enable_zencoder":"0","zencoder_api_key":"","cfgSection":"video","network_keywords":"","template":"jomsocial"}');

DROP TABLE IF EXISTS `#__community_connect_users`;
CREATE TABLE `#__community_connect_users` (
  `connectid` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `userid` int(11) NOT NULL,
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_connection`;
CREATE TABLE `#__community_connection` (
  `connection_id` int(11) NOT NULL AUTO_INCREMENT,
  `connect_from` int(11) NOT NULL,
  `connect_to` int(11) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `group` int(11) NOT NULL,
  `msg` text NOT NULL,
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`connection_id`),
  KEY `connect_from` (`connect_from`,`connect_to`,`status`,`group`),
  KEY `idx_connect_to` (`connect_to`),
  KEY `idx_connect_from` (`connect_from`),
  KEY `idx_connect_tofrom` (`connect_to`,`connect_from`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_connection` (`connection_id`, `connect_from`, `connect_to`, `status`, `group`, `msg`, `created`) VALUES
(1, 545, 543, 0, 0, 'Hi, I\'d like to add you as friend.', '2014-01-08 09:14:26'),
(3, 545, 542, 1, 0, '', '2014-01-08 09:16:10'),
(4, 542, 545, 1, 0, '', '2014-01-08 09:16:10');

DROP TABLE IF EXISTS `#__community_engagement`;
CREATE TABLE `#__community_engagement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `action` varchar(64) NOT NULL,
  `user_id` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `week` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_engagement` (`id`, `action`, `user_id`, `created`, `week`) VALUES
(1, 'photo.share', 542, '2014-01-08 08:45:31', 2),
(2, 'video.display', 542, '2014-01-08 09:05:14', 2),
(3, 'event.share', 542, '2014-01-08 09:06:40', 2),
(4, 'photo.share', 542, '2014-01-08 09:08:19', 2),
(5, 'photo.share', 545, '2014-01-08 09:10:52', 2),
(6, 'message.share', 542, '2014-01-08 09:21:51', 2),
(7, 'events.wall.comment', 542, '2014-01-08 09:22:00', 2),
(8, 'events.wall.comment', 545, '2014-01-08 09:23:58', 2),
(9, 'message.share', 545, '2014-01-08 09:24:08', 2),
(10, 'photo.share', 544, '2014-01-08 09:27:29', 2),
(11, 'groups.wall.like', 544, '2014-01-08 09:36:05', 2),
(12, 'message.share', 544, '2014-01-08 09:36:06', 2),
(13, 'groups.wall.comment', 544, '2014-01-08 09:36:13', 2),
(14, 'groups.wall.comment', 542, '2014-01-08 09:38:22', 2),
(15, 'groups.wall.like', 542, '2014-01-08 09:38:25', 2),
(16, 'message.share', 542, '2014-01-08 09:53:21', 2),
(17, 'photo.share', 542, '2014-01-08 09:59:10', 2),
(18, 'photo.share', 545, '2014-01-08 10:01:30', 2),
(19, 'photo.share', 545, '2014-01-08 10:02:26', 2),
(20, 'video.display', 545, '2014-01-08 10:04:32', 2),
(21, 'video.share', 544, '2014-01-08 10:05:21', 2),
(22, 'photo.display', 545, '2014-01-08 10:06:42', 2),
(23, 'photo.display', 0, '2014-01-08 10:16:03', 2),
(24, 'event.share', 42, '2015-04-20 07:38:48', 17);

DROP TABLE IF EXISTS `#__community_events`;
CREATE TABLE `#__community_events` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL COMMENT 'parent for recurring event',
  `catid` int(11) unsigned NOT NULL,
  `contentid` int(11) unsigned DEFAULT '0' COMMENT '0 - if type == profile, else it hold the group id',
  `type` varchar(255) NOT NULL DEFAULT 'profile' COMMENT 'profile, group',
  `title` varchar(255) NOT NULL,
  `location` text NOT NULL,
  `summary` text NOT NULL,
  `description` text,
  `creator` int(11) unsigned NOT NULL,
  `startdate` datetime NOT NULL,
  `enddate` datetime NOT NULL,
  `permission` tinyint(4) unsigned NOT NULL DEFAULT '0' COMMENT '0 - Open (Anyone can mark attendence), 1 - Private (Only invited can mark attendence)',
  `avatar` varchar(255) DEFAULT NULL,
  `thumb` varchar(255) DEFAULT NULL,
  `cover` text NOT NULL,
  `invitedcount` int(11) unsigned DEFAULT '0',
  `confirmedcount` int(11) unsigned DEFAULT '0' COMMENT 'treat this as member count as well',
  `declinedcount` int(11) unsigned DEFAULT '0',
  `maybecount` int(11) unsigned DEFAULT '0',
  `wallcount` int(11) unsigned DEFAULT '0',
  `ticket` int(11) unsigned DEFAULT '0' COMMENT 'Represent how many guest can be joined or invited.',
  `allowinvite` tinyint(1) unsigned DEFAULT '1' COMMENT '0 - guest member cannot invite thier friends to join. 1 - yes, guest member can invite any of thier friends to join.',
  `created` datetime DEFAULT NULL,
  `hits` int(11) unsigned DEFAULT '0',
  `published` int(11) unsigned DEFAULT '1',
  `latitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `longitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `offset` varchar(5) DEFAULT NULL,
  `allday` tinyint(11) NOT NULL DEFAULT '0',
  `repeat` varchar(50) DEFAULT NULL COMMENT 'null,daily,weekly,monthly',
  `repeatend` date NOT NULL,
  `params` text NOT NULL,
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `unlisted` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_creator` (`creator`),
  KEY `idx_period` (`startdate`,`enddate`),
  KEY `idx_type` (`type`),
  KEY `idx_catid` (`catid`),
  KEY `idx_published` (`published`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_events` (`id`, `parent`, `catid`, `contentid`, `type`, `title`, `location`, `summary`, `description`, `creator`, `startdate`, `enddate`, `permission`, `avatar`, `thumb`, `cover`, `invitedcount`, `confirmedcount`, `declinedcount`, `maybecount`, `wallcount`, `ticket`, `allowinvite`, `created`, `hits`, `published`, `latitude`, `longitude`, `offset`, `allday`, `repeat`, `repeatend`, `params`, `storage`, `unlisted`) VALUES
(1, 0, 1, 0, 'profile', 'release', 'California', '', 'Cras vitae semper enim, sit amet nullam.', 542, '2014-01-08 00:00:00', '2014-01-08 23:59:59', 0, NULL, NULL, '', 0, 1, 0, 0, 0, 0, 1, '2014-01-08 09:06:37', 0, 1, 36.778259, -119.417931, '0', 1, NULL, '0000-00-00', '', 'file', 0),
(2, 0, 1, 1, 'group', 'Improvement', 'California', '', '<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit.</p>\r\n<p>Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>', 542, '2014-01-08 00:00:00', '2014-01-24 23:59:59', 0, NULL, NULL, 'images/cover/event/2/186f4b36d5f162fb519a80d5684f1bc5.jpg', 0, 1, 0, 0, 0, 0, 0, '2014-01-08 09:20:45', 2, 1, 36.778259, -119.417931, '0', 1, NULL, '0000-00-00', '{"coverPosition":"0px"}', 'file', 0),
(3, 0, 2, 0, 'profile', 'vjjvjvbj', 'hvhv', '', 'vbnvbnvnvbn', 42, '2015-04-20 21:15:00', '2015-04-21 06:15:00', 0, NULL, NULL, '', 0, 1, 0, 0, 0, 0, 1, '2015-04-20 07:38:46', 1, 1, 255.000000, 255.000000, '0', 0, NULL, '0000-00-00', '', 'file', 0);

DROP TABLE IF EXISTS `#__community_events_category`;
CREATE TABLE `#__community_events_category` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_events_category` (`id`, `parent`, `name`, `description`) VALUES
(1, 0, 'General', 'General events'),
(2, 0, 'Birthday', 'Birthday events'),
(3, 0, 'Party', 'Party events');

DROP TABLE IF EXISTS `#__community_events_members`;
CREATE TABLE `#__community_events_members` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `eventid` int(11) unsigned NOT NULL,
  `memberid` int(11) unsigned NOT NULL,
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '[Join / Invite]: 0 - [pending approval/pending invite], 1 - [approved/confirmed], 2 - [rejected/declined], 3 - [maybe/maybe], 4 - [blocked/blocked]',
  `permission` tinyint(1) unsigned NOT NULL DEFAULT '3' COMMENT '1 - creator, 2 - admin, 3 - member',
  `invited_by` int(11) unsigned DEFAULT '0',
  `approval` tinyint(1) unsigned DEFAULT '0' COMMENT '0 - no approval required, 1 - required admin approval',
  `created` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_eventid` (`eventid`),
  KEY `idx_status` (`status`),
  KEY `idx_invitedby` (`invited_by`),
  KEY `idx_permission` (`eventid`,`permission`),
  KEY `idx_member_event` (`eventid`,`memberid`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_events_members` (`id`, `eventid`, `memberid`, `status`, `permission`, `invited_by`, `approval`, `created`) VALUES
(1, 1, 542, 1, 1, 0, 0, '2014-01-08 09:06:37'),
(2, 2, 542, 1, 1, 0, 0, '2014-01-08 09:20:45'),
(3, 3, 42, 1, 1, 0, 0, '2015-04-20 07:38:46');

DROP TABLE IF EXISTS `#__community_featured`;
CREATE TABLE `#__community_featured` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_fields`;
CREATE TABLE `#__community_fields` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `ordering` int(11) DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `min` int(5) NOT NULL,
  `max` int(5) NOT NULL,
  `name` varchar(255) NOT NULL,
  `tips` text NOT NULL,
  `visible` tinyint(1) DEFAULT '0',
  `required` tinyint(1) DEFAULT '0',
  `searchable` tinyint(1) DEFAULT '1',
  `registration` tinyint(1) DEFAULT '1',
  `options` text,
  `fieldcode` varchar(255) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `fieldcode` (`fieldcode`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_fields` (`id`, `type`, `ordering`, `published`, `min`, `max`, `name`, `tips`, `visible`, `required`, `searchable`, `registration`, `options`, `fieldcode`, `params`) VALUES
(1, 'group', 1, 1, 10, 100, 'Basic Information', 'Basic information for user', 1, 1, 1, 1, '', '', ''),
(2, 'gender', 2, 1, 10, 100, 'Gender', 'Select gender', 1, 1, 1, 1, 'COM_COMMUNITY_MALE\nFEMALE', 'FIELD_GENDER', ''),
(3, 'birthdate', 3, 1, 10, 100, 'Birthdate', 'Enter your date of birth so other users can know when to wish you happy birthday ', 1, 0, 1, 1, '', 'FIELD_BIRTHDATE', ''),
(4, 'textarea', 4, 1, 1, 800, 'About me', 'Tell us more about yourself', 1, 1, 1, 1, '', 'FIELD_ABOUTME', ''),
(5, 'group', 5, 1, 10, 100, 'Contact Information', 'Specify your contact details', 1, 1, 1, 1, '', '', ''),
(6, 'text', 6, 1, 10, 100, 'Mobile phone', 'Mobile carrier number that other users can contact you.', 1, 0, 1, 1, '', 'FIELD_MOBILE', ''),
(7, 'text', 7, 1, 10, 100, 'Land phone', 'Contact number that other users can contact you.', 1, 0, 1, 1, '', 'FIELD_LANDPHONE', ''),
(8, 'textarea', 8, 1, 10, 100, 'Address', 'Your Address', 1, 1, 1, 1, '', 'FIELD_ADDRESS', ''),
(9, 'text', 9, 1, 10, 100, 'State', 'Your state', 1, 1, 1, 1, '', 'FIELD_STATE', ''),
(10, 'text', 10, 1, 10, 100, 'City / Town', 'Your city or town name', 1, 1, 1, 1, '', 'FIELD_CITY', ''),
(11, 'country', 11, 1, 10, 100, 'Country', 'Your country', 1, 1, 1, 1, 'Afghanistan\nAlbania\nAlgeria\nAmerican Samoa\nAndorra\nAngola\nAnguilla\nAntarctica\nAntigua and Barbuda\nArgentina\nArmenia\nAruba\nAustralia\nAustria\nAzerbaijan\nBahamas\nBahrain\nBangladesh\nBarbados\nBelarus\nBelgium\nBelize\nBenin\nBermuda\nBhutan\nBolivia\nBosnia and Herzegovina\nBotswana\nBouvet Island\nBrazil\nBritish Indian Ocean Territory\nBrunei Darussalam\nBulgaria\nBurkina Faso\nBurundi\nCambodia\nCameroon\nCanada\nCape Verde\nCayman Islands\nCentral African Republic\nChad\nChile\nChina\nChristmas Island\nCocos (Keeling) Islands\nColombia\nComoros\nCongo\nCook Islands\nCosta Rica\nCote D\'Ivoire (Ivory Coast)\nCroatia (Hrvatska)\nCuba\nCyprus\nCzechoslovakia (former)\nCzech Republic\nDenmark\nDjibouti\nDominica\nDominican Republic\nEast Timor\nEcuador\nEgypt\nEl Salvador\nEquatorial Guinea\nEritrea\nEstonia\nEthiopia\nFalkland Islands (Malvinas)\nFaroe Islands\nFiji\nFinland\nFrance\nFrance, Metropolitan\nFrench Guiana\nFrench Polynesia\nFrench Southern Territories\nGabon\nGambia\nGeorgia\nGermany\nGhana\nGibraltar\nGreat Britain (UK)\nGreece\nGreenland\nGrenada\nGuadeloupe\nGuam\nGuatemala\nGuinea\nGuinea-Bissau\nGuyana\nHaiti\nHeard and McDonald Islands\nHonduras\nHong Kong\nHungary\nIceland\nIndia\nIndonesia\nIran\nIraq\nIreland\nIsrael\nItaly\nJamaica\nJapan\nJordan\nKazakhstan\nKenya\nKiribati\nKorea, North\nSouth Korea\nKuwait\nKyrgyzstan\nLaos\nLatvia\nLebanon\nLesotho\nLiberia\nLibya\nLiechtenstein\nLithuania\nLuxembourg\nMacau\nMacedonia\nMadagascar\nMalawi\nMalaysia\nMaldives\nMali\nMalta\nMarshall Islands\nMartinique\nMauritania\nMauritius\nMayotte\nMexico\nMicronesia\nMoldova\nMonaco\nMongolia\nMontserrat\nMorocco\nMozambique\nMyanmar\nNamibia\nNauru\nNepal\nNetherlands\nNetherlands Antilles\nNeutral Zone\nNew Caledonia\nNew Zealand\nNicaragua\nNiger\nNigeria\nNiue\nNorfolk Island\nNorthern Mariana Islands\nNorway\nOman\nPakistan\nPalau\nPanama\nPapua New Guinea\nParaguay\nPeru\nPhilippines\nPitcairn\nPoland\nPortugal\nPuerto Rico\nQatar\nReunion\nRomania\nRussian Federation\nRwanda\nSaint Kitts and Nevis\nSaint Lucia\nSaint Vincent and the Grenadines\nSamoa\nSan Marino\nSao Tome and Principe\nSaudi Arabia\nSenegal\nSeychelles\nS. Georgia and S. Sandwich Isls.\nSierra Leone\nSingapore\nSlovak Republic\nSlovenia\nSolomon Islands\nSomalia\nSouth Africa\nSpain\nSri Lanka\nSt. Helena\nSt. Pierre and Miquelon\nSudan\nSuriname\nSvalbard and Jan Mayen Islands\nSwaziland\nSweden\nSwitzerland\nSyria\nTaiwan\nTajikistan\nTanzania\nThailand\nTogo\nTokelau\nTonga\nTrinidad and Tobago\nTunisia\nTurkey\nTurkmenistan\nTurks and Caicos Islands\nTuvalu\nUganda\nUkraine\nUnited Arab Emirates\nUnited Kingdom\nUnited States\nUruguay\nUS Minor Outlying Islands\nUSSR (former)\nUzbekistan\nVanuatu\nVatican City State (Holy Sea)\nVenezuela\nViet Nam\nVirgin Islands (British)\nVirgin Islands (U.S.)\nWallis and Futuna Islands\nWestern Sahara\nYemen\nYugoslavia\nZaire\nZambia\nZimbabwe', 'FIELD_COUNTRY', ''),
(12, 'url', 12, 1, 10, 100, 'Website', 'Your website', 1, 1, 1, 1, '', 'FIELD_WEBSITE', ''),
(13, 'group', 13, 1, 10, 100, 'Education', 'Educations', 1, 1, 1, 1, '', '', ''),
(14, 'text', 14, 1, 10, 200, 'College / University', 'Your college or university name', 1, 1, 1, 1, '', 'FIELD_COLLEGE', ''),
(15, 'text', 15, 1, 5, 100, 'Graduation Year', 'Graduation year', 1, 1, 1, 1, '', 'FIELD_GRADUATION', '');

DROP TABLE IF EXISTS `#__community_fields_values`;
CREATE TABLE `#__community_fields_values` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `field_id` int(10) NOT NULL,
  `value` text NOT NULL,
  `access` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`),
  KEY `user_id` (`user_id`),
  KEY `idx_user_fieldid` (`user_id`,`field_id`),
  KEY `access` (`access`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_files`;
CREATE TABLE `#__community_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `groupid` int(11) NOT NULL,
  `discussionid` int(11) NOT NULL,
  `bulletinid` int(11) NOT NULL,
  `eventid` int(11) NOT NULL,
  `profileid` int(11) NOT NULL,
  `filepath` varchar(255) NOT NULL,
  `filesize` int(11) NOT NULL,
  `hits` int(11) NOT NULL,
  `storage` varchar(64) NOT NULL,
  `creator` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `type` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discussionid` (`discussionid`),
  KEY `groupid` (`groupid`),
  KEY `creator` (`creator`),
  KEY `bulletinid` (`bulletinid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups`;
CREATE TABLE `#__community_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `published` tinyint(1) NOT NULL,
  `ownerid` int(11) NOT NULL,
  `categoryid` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `email` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  `approvals` tinyint(1) NOT NULL,
  `created` datetime NOT NULL,
  `avatar` text NOT NULL,
  `thumb` text NOT NULL,
  `cover` text NOT NULL,
  `discusscount` int(11) NOT NULL DEFAULT '0',
  `wallcount` int(11) NOT NULL DEFAULT '0',
  `membercount` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `hits` int(11) NOT NULL,
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `summary` text NOT NULL,
  `unlisted` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_groups` (`id`, `published`, `ownerid`, `categoryid`, `name`, `description`, `email`, `website`, `approvals`, `created`, `avatar`, `thumb`, `cover`, `discusscount`, `wallcount`, `membercount`, `params`, `hits`, `storage`, `summary`, `unlisted`) VALUES
(1, 1, 542, 4, 'Joomla', '<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et.</p>\r\n<p>Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>', '', '', 0, '2014-01-08 09:18:01', '', '', 'images/cover/group/1/5dce6c82b815fb98f09afa65e6d8d95c.jpg', 0, 1, 3, '{"discussordering":0,"photopermission":1,"videopermission":1,"eventpermission":1,"grouprecentphotos":6,"grouprecentvideos":6,"grouprecentevents":6,"newmembernotification":1,"joinrequestnotification":1,"wallnotification":1,"groupdiscussionfilesharing":0,"groupannouncementfilesharing":0,"stream":1,"coverPosition":"0px"}', 4, 'file', '', 0),
(2, 1, 545, 1, 'Magento', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur.</p>\r\n<p>Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc.</p>\r\n<p>Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n<p> </p>', '', '', 0, '2014-01-08 09:51:48', '', '', 'images/cover/group/2/51a33f545315bde371706dc756e7dfeb.jpg', 1, 1, 3, '{"discussordering":0,"photopermission":1,"videopermission":1,"eventpermission":1,"grouprecentphotos":6,"grouprecentvideos":6,"grouprecentevents":6,"newmembernotification":1,"joinrequestnotification":1,"wallnotification":1,"groupdiscussionfilesharing":0,"groupannouncementfilesharing":0,"stream":1,"coverPosition":"-131px"}', 3, 'file', '', 0);

DROP TABLE IF EXISTS `#__community_groups_bulletins`;
CREATE TABLE `#__community_groups_bulletins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `groupid` int(11) NOT NULL,
  `created_by` int(11) NOT NULL,
  `published` tinyint(1) NOT NULL,
  `title` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `date` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `groupid` (`groupid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups_category`;
CREATE TABLE `#__community_groups_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_groups_category` (`id`, `parent`, `name`, `description`) VALUES
(1, 0, 'General', 'General group category.'),
(2, 0, 'Internet', 'Internet group category.'),
(3, 0, 'Business', 'Business groups category'),
(4, 0, 'Automotive', 'Automotive groups category'),
(5, 0, 'Music', 'Music groups category');

DROP TABLE IF EXISTS `#__community_groups_discuss`;
CREATE TABLE `#__community_groups_discuss` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parentid` int(11) NOT NULL DEFAULT '0',
  `groupid` int(11) NOT NULL,
  `creator` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `title` text NOT NULL,
  `message` text NOT NULL,
  `lastreplied` datetime NOT NULL,
  `lock` tinyint(1) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `groupid` (`groupid`),
  KEY `parentid` (`parentid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups_invite`;
CREATE TABLE `#__community_groups_invite` (
  `groupid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `creator` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_groups_members`;
CREATE TABLE `#__community_groups_members` (
  `groupid` int(11) NOT NULL,
  `memberid` int(11) NOT NULL,
  `approved` int(11) NOT NULL,
  `permissions` int(1) NOT NULL,
  KEY `groupid` (`groupid`),
  KEY `idx_memberid` (`memberid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__community_groups_members` (`groupid`, `memberid`, `approved`, `permissions`) VALUES
(1, 542, 1, 1),
(1, 545, 1, 0),
(1, 544, 1, 0),
(2, 545, 1, 1),
(2, 544, 1, 0),
(2, 542, 1, 0);

DROP TABLE IF EXISTS `#__community_hashtag`;
CREATE TABLE `#__community_hashtag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(128) NOT NULL,
  `params` text NOT NULL,
  `created_at` timestamp NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `tag` (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_invitations`;
CREATE TABLE `#__community_invitations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `callback` varchar(255) NOT NULL,
  `cid` int(11) NOT NULL,
  `users` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_likes`;
CREATE TABLE `#__community_likes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `element` varchar(200) NOT NULL,
  `uid` int(10) NOT NULL,
  `like` text NOT NULL,
  `dislike` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `element` (`element`,`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_likes` (`id`, `element`, `uid`, `like`, `dislike`) VALUES
(1, 'groups.wall', 79, '', ''),
(2, 'groups.wall', 84, '542', '');

DROP TABLE IF EXISTS `#__community_location_cache`;
CREATE TABLE `#__community_location_cache` (
  `address` varchar(255) NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `longitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `data` text NOT NULL,
  `status` varchar(2) NOT NULL,
  `created` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__community_location_cache` (`address`, `latitude`, `longitude`, `data`, `status`, `created`) VALUES
('california', 36.778259, -119.417931, '{"results":[{"address_components":[{"long_name":"California","short_name":"CA","types":["administrative_area_level_1","political"]},{"long_name":"United States","short_name":"US","types":["country","political"]}],"formatted_address":"California, USA","geometry":{"bounds":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}},"location":{"lat":36.778261,"lng":-119.4179324},"location_type":"APPROXIMATE","viewport":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}}},"types":["administrative_area_level_1","political"]}],"status":"OK"}', 'OK', '2014-01-08 09:20:54'),
('california', 36.778259, -119.417931, '{"results":[{"address_components":[{"long_name":"California","short_name":"CA","types":["administrative_area_level_1","political"]},{"long_name":"United States","short_name":"US","types":["country","political"]}],"formatted_address":"California, USA","geometry":{"bounds":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}},"location":{"lat":36.778261,"lng":-119.4179324},"location_type":"APPROXIMATE","viewport":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}}},"types":["administrative_area_level_1","political"]}],"status":"OK"}', 'OK', '2014-01-08 09:20:54'),
('california', 36.778259, -119.417931, '{"results":[{"address_components":[{"long_name":"California","short_name":"CA","types":["administrative_area_level_1","political"]},{"long_name":"United States","short_name":"US","types":["country","political"]}],"formatted_address":"California, USA","geometry":{"bounds":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}},"location":{"lat":36.778261,"lng":-119.4179324},"location_type":"APPROXIMATE","viewport":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}}},"types":["administrative_area_level_1","political"]}],"status":"OK"}', 'OK', '2014-01-08 09:20:54'),
('california', 36.778259, -119.417931, '{"results":[{"address_components":[{"long_name":"California","short_name":"CA","types":["administrative_area_level_1","political"]},{"long_name":"United States","short_name":"US","types":["country","political"]}],"formatted_address":"California, USA","geometry":{"bounds":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}},"location":{"lat":36.778261,"lng":-119.4179324},"location_type":"APPROXIMATE","viewport":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}}},"types":["administrative_area_level_1","political"]}],"status":"OK"}', 'OK', '2014-01-08 09:20:54'),
('california', 36.778259, -119.417931, '{"results":[{"address_components":[{"long_name":"California","short_name":"CA","types":["administrative_area_level_1","political"]},{"long_name":"United States","short_name":"US","types":["country","political"]}],"formatted_address":"California, USA","geometry":{"bounds":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}},"location":{"lat":36.778261,"lng":-119.4179324},"location_type":"APPROXIMATE","viewport":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}}},"types":["administrative_area_level_1","political"]}],"status":"OK"}', 'OK', '2014-01-08 09:20:54'),
('california', 36.778259, -119.417931, '{"results":[{"address_components":[{"long_name":"California","short_name":"CA","types":["administrative_area_level_1","political"]},{"long_name":"United States","short_name":"US","types":["country","political"]}],"formatted_address":"California, USA","geometry":{"bounds":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}},"location":{"lat":36.778261,"lng":-119.4179324},"location_type":"APPROXIMATE","viewport":{"northeast":{"lat":42.0095169,"lng":-114.131211},"southwest":{"lat":32.5342321,"lng":-124.4096195}}},"types":["administrative_area_level_1","political"]}],"status":"OK"}', 'OK', '2014-01-08 09:20:54'),
('hvhv', 255.000000, 255.000000, '', 'ZE', '2015-04-20 07:38:51');

DROP TABLE IF EXISTS `#__community_mailq`;
CREATE TABLE `#__community_mailq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `recipient` text NOT NULL,
  `subject` text NOT NULL,
  `body` text NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` datetime NOT NULL,
  `template` varchar(64) NOT NULL,
  `email_type` text,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=28 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_mailq` (`id`, `recipient`, `subject`, `body`, `status`, `created`, `template`, `email_type`, `params`) VALUES
(1, 'khanhlh@gmail.com', 'Anna requested to be your friend.', '\nHi Khanh,\n\nAnna added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Anna as your friend, just go to your Friends Request Page below:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:14:26', 'email.friends.request.html', 'etype_friends_request_connection', '{"url":"index.php?option=com_community&view=friends&task=pending","msg":"Hi, I\'d like to add you as friend.","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(2, 'admin@joom.com', 'Anna requested to be your friend.', '\nHi Super User,\n\nAnna added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Anna as your friend, just go to your Friends Request Page below:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:14:30', 'email.friends.request.html', 'etype_friends_request_connection', '{"url":"index.php?option=com_community&view=friends&task=pending","msg":"Hi, I\'d like to add you as friend.","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(3, 'anna@joom.com', 'You are now friends with Super User.', 'Hi Anna,\n\nSuper User just approved your friend request. You are now friends with Super User.\n\nYou can view Super User\'s profile here:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:16:10', 'email.friends.approve.html', 'etype_friends_create_connection', '{"url":"index.php?option=com_community&view=profile&userid=542","friend":"Super User","friend_url":"index.php?option=com_community&view=profile&userid=542","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(4, 'admin@joom.com', '\nAnna joined your group, Joomla .', 'Hi Super User,\nAnna joined your group, Joomla \n\nTo view the group, follow the link below:\n\n <a href="{url}">{url}</a>', 0, '2014-01-08 09:22:41', 'email.groups.memberjoin.html', 'etype_groups_member_join', '{"url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","user":"Anna","user_url":"index.php?option=com_community&view=profile&userid=545","approved":"1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(5, 'admin@joom.com', 'Anna commented on your group stream', '', 0, '2014-01-08 09:23:58', 'email.group.activitycomment.html', 'etype_groups_activity_add_comment', '{"message":"Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.","url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1&actid=77","stream":"stream","stream_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1&actid=77","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(6, 'admin@joom.com', 'Anna posted in the Joomla group.', 'Hi Super User,\n\nAnna just placed a new post on the wall in the group, Joomla. \n\nMessage:\n\nVestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.\n\n\nYou can read the message at:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:24:07', 'email.groups.post.html', 'etype_groups_wall_create', '{"message":"Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/1-joomla","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(7, 'hero@joom.com', 'Super User requested to be your friend.', '\nHi Hero,\n\nSuper User added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Super User as your friend, just go to your Friends Request Page below:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:32:13', 'email.friends.request.html', 'etype_friends_request_connection', '{"url":"index.php?option=com_community&view=friends&task=pending","msg":"Hi, I\'d like to add you as friend.","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(8, 'hero@joom.com', 'Anna requested to be your friend.', '\nHi Hero,\n\nAnna added you as friend. You still need to approve this request. \n\nHi, I\'d like to add you as friend.\n\nTo add Anna as your friend, just go to your Friends Request Page below:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:32:31', 'email.friends.request.html', 'etype_friends_request_connection', '{"url":"index.php?option=com_community&view=friends&task=pending","msg":"Hi, I\'d like to add you as friend.","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(9, 'anna@joom.com', 'Hero sent you a Private Message.', '\nHi Anna,\n\nHero just sent you a new message.\n\nTitle:\nthanks\n\nTincidunt auctor at eget vel congue vel leo platea ligula mi\n\n\n\nYou can also read your new message on the site here:\n\n<a href="{url}">{url}</a>\n\n\nHave a nice day!\n', 0, '2014-01-08 09:33:14', 'email.inbox.sent.html', 'etype_inbox_create_message', '{"url":"index.php?option=com_community&view=inbox&task=read&msgid=1","message":"Tincidunt auctor at eget vel congue vel leo platea ligula mi","title":"thanks","msg_url":"index.php?option=com_community&view=inbox&task=read&msgid=1","msg":"Private Message","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(10, 'anna@joom.com', 'You are now friends with Hero.', 'Hi Anna,\n\nHero just approved your friend request. You are now friends with Hero.\n\nYou can view Hero\'s profile here:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:34:15', 'email.friends.approve.html', 'etype_friends_create_connection', '{"url":"index.php?option=com_community&view=profile&userid=544","friend":"Hero","friend_url":"index.php?option=com_community&view=profile&userid=544","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(11, 'admin@joom.com', 'You are now friends with Hero.', 'Hi Super User,\n\nHero just approved your friend request. You are now friends with Hero.\n\nYou can view Hero\'s profile here:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:34:17', 'email.friends.approve.html', 'etype_friends_create_connection', '{"url":"index.php?option=com_community&view=profile&userid=544","friend":"Hero","friend_url":"index.php?option=com_community&view=profile&userid=544","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(12, 'admin@joom.com', '\nHero joined your group, Joomla .', 'Hi Super User,\nHero joined your group, Joomla \n\nTo view the group, follow the link below:\n\n <a href="{url}">{url}</a>', 0, '2014-01-08 09:35:27', 'email.groups.memberjoin.html', 'etype_groups_member_join', '{"url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","user":"Hero","user_url":"index.php?option=com_community&view=profile&userid=544","approved":"1","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(13, 'anna@joom.com', 'Hero posted in the Joomla group.', 'Hi Anna,\n\nHero just placed a new post on the wall in the group, Joomla. \n\nMessage:\n\nLacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.\n\n\nYou can read the message at:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:35:59', 'email.groups.post.html', 'etype_groups_wall_create', '{"message":"Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/1-joomla","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(14, 'admin@joom.com', 'Hero posted in the Joomla group.', 'Hi Super User,\n\nHero just placed a new post on the wall in the group, Joomla. \n\nMessage:\n\nLacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.\n\n\nYou can read the message at:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:35:59', 'email.groups.post.html', 'etype_groups_wall_create', '{"message":"Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/1-joomla","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(15, 'hero@joom.com', 'Super User commented on your group stream', '', 0, '2014-01-08 09:38:22', 'email.group.activitycomment.html', 'etype_groups_activity_add_comment', '{"message":"ok","url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1&actid=84","stream":"stream","stream_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1&actid=84","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(16, 'anna@joom.com', '\nHero joined your group, Magento .', 'Hi Anna,\nHero joined your group, Magento \n\nTo view the group, follow the link below:\n\n <a href="{url}">{url}</a>', 0, '2014-01-08 09:53:01', 'email.groups.memberjoin.html', 'etype_groups_member_join', '{"url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","group":"Magento","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","user":"Hero","user_url":"index.php?option=com_community&view=profile&userid=544","approved":"1","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(17, 'anna@joom.com', '\nSuper User joined your group, Magento .', 'Hi Anna,\nSuper User joined your group, Magento \n\nTo view the group, follow the link below:\n\n <a href="{url}">{url}</a>', 0, '2014-01-08 09:53:05', 'email.groups.memberjoin.html', 'etype_groups_member_join', '{"url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","group":"Magento","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","user":"Super User","user_url":"index.php?option=com_community&view=profile&userid=542","approved":"1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(18, 'anna@joom.com', 'Super User posted in the Magento group.', 'Hi Anna,\n\nSuper User just placed a new post on the wall in the group, Magento. \n\nMessage:\n\nCras quis magna justo. Suspendisse amet.\n\n\nYou can read the message at:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:53:20', 'email.groups.post.html', 'etype_groups_wall_create', '{"message":"Cras quis magna justo. Suspendisse amet.","group":"Magento","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/2-magento","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(19, 'hero@joom.com', 'Super User posted in the Magento group.', 'Hi Hero,\n\nSuper User just placed a new post on the wall in the group, Magento. \n\nMessage:\n\nCras quis magna justo. Suspendisse amet.\n\n\nYou can read the message at:\n\n<a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:53:20', 'email.groups.post.html', 'etype_groups_wall_create', '{"message":"Cras quis magna justo. Suspendisse amet.","group":"Magento","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/2-magento","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(20, 'hero@joom.com', 'Super User replied to discussion task.', 'Hi Hero,\n\nSuper User has recently posted a reply in the discussion, task, to which you were participating.\n\nMessage:\nccumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curab\n\nTo post a reply, you may visit the site at <a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:56:32', 'email.groups.discussion.reply.html', 'etype_groups_discussion_reply', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"ccumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curab","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(21, 'hero@joom.com', 'Super User replied to discussion task.', 'Hi Hero,\n\nSuper User has recently posted a reply in the discussion, task, to which you were participating.\n\nMessage:\nok\n\nTo post a reply, you may visit the site at <a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:56:45', 'email.groups.discussion.reply.html', 'etype_groups_discussion_reply', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"ok","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(22, 'admin@joom.com', 'Anna replied to discussion task.', 'Hi Super User,\n\nAnna has recently posted a reply in the discussion, task, to which you were participating.\n\nMessage:\nLaoreet Nullam a pretium et et pretium a sed.\n\nTo post a reply, you may visit the site at <a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:57:10', 'email.groups.discussion.reply.html', 'etype_groups_discussion_reply', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"Laoreet Nullam a pretium et et pretium a sed.","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(23, 'hero@joom.com', 'Anna replied to discussion task.', 'Hi Hero,\n\nAnna has recently posted a reply in the discussion, task, to which you were participating.\n\nMessage:\nLaoreet Nullam a pretium et et pretium a sed.\n\nTo post a reply, you may visit the site at <a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:57:10', 'email.groups.discussion.reply.html', 'etype_groups_discussion_reply', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"Laoreet Nullam a pretium et et pretium a sed.","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(24, 'admin@joom.com', 'Anna replied to discussion task.', 'Hi Super User,\n\nAnna has recently posted a reply in the discussion, task, to which you were participating.\n\nMessage:\ngood\n\nTo post a reply, you may visit the site at <a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:57:27', 'email.groups.discussion.reply.html', 'etype_groups_discussion_reply', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"good","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(25, 'hero@joom.com', 'Anna replied to discussion task.', 'Hi Hero,\n\nAnna has recently posted a reply in the discussion, task, to which you were participating.\n\nMessage:\ngood\n\nTo post a reply, you may visit the site at <a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:57:27', 'email.groups.discussion.reply.html', 'etype_groups_discussion_reply', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"good","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(26, 'anna@joom.com', 'Super User replied to discussion task.', 'Hi Anna,\n\nSuper User has recently posted a reply in the discussion, task, to which you were participating.\n\nMessage:\nNullam eros massa, lobortis non posuere.\n\n\nTo post a reply, you may visit the site at <a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:57:57', 'email.groups.discussion.reply.html', 'etype_groups_discussion_reply', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"Nullam eros massa, lobortis non posuere.\\n","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(27, 'hero@joom.com', 'Super User replied to discussion task.', 'Hi Hero,\n\nSuper User has recently posted a reply in the discussion, task, to which you were participating.\n\nMessage:\nNullam eros massa, lobortis non posuere.\n\n\nTo post a reply, you may visit the site at <a href="{url}">{url}</a>\n\nHave a nice day!', 0, '2014-01-08 09:57:57', 'email.groups.discussion.reply.html', 'etype_groups_discussion_reply', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"Nullam eros massa, lobortis non posuere.\\n","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}');

DROP TABLE IF EXISTS `#__community_memberlist`;
CREATE TABLE `#__community_memberlist` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `condition` varchar(255) NOT NULL,
  `avataronly` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_memberlist_criteria`;
CREATE TABLE `#__community_memberlist_criteria` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `listid` int(11) NOT NULL,
  `field` varchar(255) NOT NULL,
  `condition` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `listid` (`listid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_moods`;
CREATE TABLE `#__community_moods` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(128) NOT NULL,
  `description` varchar(128) NOT NULL,
  `image` varchar(256) DEFAULT NULL,
  `custom` tinyint(4) NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT '1',
  `allowcustomtext` tinyint(4) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=47 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_moods` (`id`, `title`, `description`, `image`, `custom`, `published`, `allowcustomtext`, `ordering`) VALUES
(1, 'happy', 'COM_COMMUNITY_MOOD_HAPPY', NULL, 0, 1, 0, 1),
(2, 'meh', 'COM_COMMUNITY_MOOD_MEH', NULL, 0, 1, 0, 2),
(3, 'sad', 'COM_COMMUNITY_MOOD_SAD', NULL, 0, 1, 0, 3),
(4, 'loved', 'COM_COMMUNITY_MOOD_LOVED', NULL, 0, 1, 0, 4),
(5, 'excited', 'COM_COMMUNITY_MOOD_EXCITED', NULL, 0, 1, 0, 5),
(6, 'pretty', 'COM_COMMUNITY_MOOD_PRETTY', NULL, 0, 1, 0, 6),
(7, 'tired', 'COM_COMMUNITY_MOOD_TIRED', NULL, 0, 1, 0, 7),
(8, 'angry', 'COM_COMMUNITY_MOOD_ANGRY', NULL, 0, 1, 0, 8),
(9, 'speachless', 'COM_COMMUNITY_MOOD_SPEACHLESS', NULL, 0, 1, 0, 9),
(10, 'shocked', 'COM_COMMUNITY_MOOD_SHOCKED', NULL, 0, 1, 0, 10),
(11, 'irretated', 'COM_COMMUNITY_MOOD_IRRETATED', NULL, 0, 1, 0, 11),
(12, 'sick', 'COM_COMMUNITY_MOOD_SICK', NULL, 0, 1, 0, 12),
(13, 'annoyed', 'COM_COMMUNITY_MOOD_ANNOYED', NULL, 0, 1, 0, 13),
(14, 'relieved', 'COM_COMMUNITY_MOOD_RELIEVED', NULL, 0, 1, 0, 14),
(15, 'blessed', 'COM_COMMUNITY_MOOD_BLESSED', NULL, 0, 1, 0, 15),
(16, 'bored', 'COM_COMMUNITY_MOOD_BORED', NULL, 0, 1, 0, 16),
(19, 'COM_COMMUNITY_MOOD_SHORT_HAPPY', 'COM_COMMUNITY_MOOD_HAPPY', 'png', 1, 1, 0, 19),
(20, 'COM_COMMUNITY_MOOD_SHORT_SAD', 'COM_COMMUNITY_MOOD_SAD', 'png', 1, 1, 0, 20),
(21, 'COM_COMMUNITY_MOOD_SHORT_COOL', 'COM_COMMUNITY_MOOD_COOL', 'png', 1, 1, 0, 21),
(22, 'COM_COMMUNITY_MOOD_SHORT_IRRITATED', 'COM_COMMUNITY_MOOD_IRRITATED', 'png', 1, 1, 0, 22),
(23, 'COM_COMMUNITY_MOOD_SHORT_ANNOYED', 'COM_COMMUNITY_MOOD_ANNOYED', 'png', 1, 1, 0, 23),
(24, 'COM_COMMUNITY_MOOD_SHORT_SHOCKED', 'COM_COMMUNITY_MOOD_SHOCKED', 'png', 1, 1, 0, 24),
(25, 'COM_COMMUNITY_MOOD_SHORT_AMUSED', 'COM_COMMUNITY_MOOD_AMUSED', 'png', 1, 1, 0, 25),
(26, 'COM_COMMUNITY_MOOD_SHORT_SPEECHLESS', 'COM_COMMUNITY_MOOD_SPEECHLESS', 'png', 1, 1, 0, 26),
(27, 'COM_COMMUNITY_MOOD_SHORT_RICH', 'COM_COMMUNITY_MOOD_RICH', 'png', 1, 1, 0, 27),
(28, 'COM_COMMUNITY_MOOD_SHORT_CHEEKY', 'COM_COMMUNITY_MOOD_CHEEKY', 'png', 1, 1, 0, 28),
(29, 'COM_COMMUNITY_MOOD_SHORT_ANGRY', 'COM_COMMUNITY_MOOD_ANGRY', 'png', 1, 1, 0, 29),
(30, 'COM_COMMUNITY_MOOD_SHORT_HUNGRY', 'COM_COMMUNITY_MOOD_HUNGRY', 'png', 1, 1, 0, 30),
(31, 'COM_COMMUNITY_MOOD_SHORT_FESTIVE', 'COM_COMMUNITY_MOOD_FESTIVE', 'png', 1, 1, 0, 31),
(32, 'COM_COMMUNITY_MOOD_SHORT_ROYAL', 'COM_COMMUNITY_MOOD_ROYAL', 'png', 1, 1, 0, 32),
(33, 'COM_COMMUNITY_MOOD_SHORT_LOVE', 'COM_COMMUNITY_MOOD_LOVE', 'png', 1, 1, 0, 33),
(34, 'COM_COMMUNITY_MOOD_SHORT_AFRAID', 'COM_COMMUNITY_MOOD_AFRAID', 'png', 1, 1, 0, 34),
(35, 'COM_COMMUNITY_MOOD_SHORT_POWERFUL', 'COM_COMMUNITY_MOOD_POWERFUL', 'png', 1, 1, 0, 35),
(36, 'COM_COMMUNITY_MOOD_SHORT_INVISIBLE', 'COM_COMMUNITY_MOOD_INVISIBLE', 'png', 1, 1, 0, 36),
(37, 'COM_COMMUNITY_MOOD_SHORT_SWEET', 'COM_COMMUNITY_MOOD_SWEET', 'png', 1, 1, 0, 37),
(38, 'COM_COMMUNITY_MOOD_SHORT_THIRSTY', 'COM_COMMUNITY_MOOD_THIRSTY', 'png', 1, 1, 0, 38),
(39, 'COM_COMMUNITY_MOOD_SHORT_CLEAN', 'COM_COMMUNITY_MOOD_CLEAN', 'png', 1, 1, 0, 39),
(40, 'COM_COMMUNITY_MOOD_SHORT_WATCHING', 'COM_COMMUNITY_MOOD_WATCHING', 'png', 1, 1, 0, 40),
(41, 'COM_COMMUNITY_MOOD_SHORT_BORED', 'COM_COMMUNITY_MOOD_BORED', 'png', 1, 1, 0, 41),
(42, 'COM_COMMUNITY_MOOD_SHORT_BUMMED', 'COM_COMMUNITY_MOOD_BUMMED', 'png', 1, 1, 0, 42),
(43, 'COM_COMMUNITY_MOOD_SHORT_INNOVATIVE', 'COM_COMMUNITY_MOOD_INNOVATIVE', 'png', 1, 1, 0, 43),
(44, 'COM_COMMUNITY_MOOD_SHORT_LUCKY', 'COM_COMMUNITY_MOOD_LUCKY', 'png', 1, 1, 0, 44),
(45, 'COM_COMMUNITY_MOOD_SHORT_FOCUSED', 'COM_COMMUNITY_MOOD_FOCUSED', 'png', 1, 1, 0, 45),
(46, 'COM_COMMUNITY_MOOD_SHORT_SURFING', 'COM_COMMUNITY_MOOD_SURFING', 'png', 1, 1, 0, 46);

DROP TABLE IF EXISTS `#__community_msg`;
CREATE TABLE `#__community_msg` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `from` int(10) unsigned NOT NULL,
  `parent` int(10) unsigned NOT NULL,
  `deleted` tinyint(3) unsigned DEFAULT '0',
  `from_name` varchar(45) NOT NULL,
  `posted_on` datetime DEFAULT NULL,
  `subject` tinytext NOT NULL,
  `body` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_msg_recepient`;
CREATE TABLE `#__community_msg_recepient` (
  `msg_id` int(10) unsigned NOT NULL,
  `msg_parent` int(10) unsigned NOT NULL DEFAULT '0',
  `msg_from` int(10) unsigned NOT NULL,
  `to` int(10) unsigned NOT NULL,
  `bcc` tinyint(3) unsigned DEFAULT '0',
  `is_read` tinyint(3) unsigned DEFAULT '0',
  `deleted` tinyint(3) unsigned DEFAULT '0',
  UNIQUE KEY `un` (`msg_id`,`to`),
  KEY `msg_id` (`msg_id`),
  KEY `to` (`to`),
  KEY `idx_isread_to_deleted` (`is_read`,`to`,`deleted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_notifications`;
CREATE TABLE `#__community_notifications` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `actor` int(11) NOT NULL,
  `target` int(11) NOT NULL,
  `content` text NOT NULL,
  `type` varchar(200) NOT NULL,
  `cmd_type` text NOT NULL,
  `status` tinyint(4) NOT NULL,
  `created` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`),
  KEY `status` (`status`),
  KEY `type` (`type`),
  KEY `target` (`target`),
  KEY `actor` (`actor`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_notifications` (`id`, `actor`, `target`, `content`, `type`, `cmd_type`, `status`, `created`, `params`) VALUES
(1, 545, 543, '{actor} requested to be your friend.', '1', 'notif_friends_request_connection', 0, '2014-01-08 09:14:26', '{"url":"index.php?option=com_community&view=friends&task=pending","msg":"Hi, I\'d like to add you as friend.","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(2, 545, 542, '{actor} requested to be your friend.', '1', 'notif_friends_request_connection', 0, '2014-01-08 09:14:30', '{"url":"index.php?option=com_community&view=friends&task=pending","msg":"Hi, I\'d like to add you as friend.","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(3, 542, 545, 'You are now friends with {friend}.', '0', 'notif_friends_create_connection', 0, '2014-01-08 09:16:10', '{"url":"index.php?option=com_community&view=profile&userid=542","friend":"Super User","friend_url":"index.php?option=com_community&view=profile&userid=542","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(4, 545, 542, '\n{user} joined your group, {group} .', '1', 'notif_groups_member_join', 0, '2014-01-08 09:22:41', '{"url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","user":"Anna","user_url":"index.php?option=com_community&view=profile&userid=545","approved":"1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(5, 545, 542, '{actor} posted in the {group} group.', '0', 'notif_groups_wall_create', 0, '2014-01-08 09:24:07', '{"message":"Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/1-joomla","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(6, 542, 544, '{actor} requested to be your friend.', '1', 'notif_friends_request_connection', 0, '2014-01-08 09:32:13', '{"url":"index.php?option=com_community&view=friends&task=pending","msg":"Hi, I\'d like to add you as friend.","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(7, 545, 544, '{actor} requested to be your friend.', '1', 'notif_friends_request_connection', 0, '2014-01-08 09:32:31', '{"url":"index.php?option=com_community&view=friends&task=pending","msg":"Hi, I\'d like to add you as friend.","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(8, 544, 545, '{actor} sent you a {msg}.', '0', 'notif_inbox_create_message', 0, '2014-01-08 09:33:14', '{"url":"index.php?option=com_community&view=inbox&task=read&msgid=1","message":"Tincidunt auctor at eget vel congue vel leo platea ligula mi","title":"thanks","msg_url":"index.php?option=com_community&view=inbox&task=read&msgid=1","msg":"Private Message","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(9, 544, 545, 'You are now friends with {friend}.', '0', 'notif_friends_create_connection', 0, '2014-01-08 09:34:15', '{"url":"index.php?option=com_community&view=profile&userid=544","friend":"Hero","friend_url":"index.php?option=com_community&view=profile&userid=544","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(10, 544, 542, 'You are now friends with {friend}.', '0', 'notif_friends_create_connection', 0, '2014-01-08 09:34:17', '{"url":"index.php?option=com_community&view=profile&userid=544","friend":"Hero","friend_url":"index.php?option=com_community&view=profile&userid=544","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(11, 544, 542, '\n{user} joined your group, {group} .', '1', 'notif_groups_member_join', 0, '2014-01-08 09:35:27', '{"url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","user":"Hero","user_url":"index.php?option=com_community&view=profile&userid=544","approved":"1","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(12, 544, 545, '{actor} posted in the {group} group.', '0', 'notif_groups_wall_create', 0, '2014-01-08 09:35:59', '{"message":"Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/1-joomla","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(13, 544, 542, '{actor} posted in the {group} group.', '0', 'notif_groups_wall_create', 0, '2014-01-08 09:35:59', '{"message":"Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.","group":"Joomla","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=1","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/1-joomla","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(14, 544, 545, '\n{user} joined your group, {group} .', '1', 'notif_groups_member_join', 0, '2014-01-08 09:53:01', '{"url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","group":"Magento","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","user":"Hero","user_url":"index.php?option=com_community&view=profile&userid=544","approved":"1","actor":"Hero","actor_url":"index.php?option=com_community&view=profile&userid=544"}'),
(15, 542, 545, '\n{user} joined your group, {group} .', '1', 'notif_groups_member_join', 0, '2014-01-08 09:53:05', '{"url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","group":"Magento","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","user":"Super User","user_url":"index.php?option=com_community&view=profile&userid=542","approved":"1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(16, 542, 545, '{actor} posted in the {group} group.', '0', 'notif_groups_wall_create', 0, '2014-01-08 09:53:20', '{"message":"Cras quis magna justo. Suspendisse amet.","group":"Magento","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/2-magento","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(17, 542, 544, '{actor} posted in the {group} group.', '0', 'notif_groups_wall_create', 0, '2014-01-08 09:53:20', '{"message":"Cras quis magna justo. Suspendisse amet.","group":"Magento","group_url":"index.php?option=com_community&view=groups&task=viewgroup&groupid=2","url":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/jomsocial\\/groups\\/viewgroup\\/2-magento","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(18, 542, 544, '{actor} replied to discussion {discussion}.', '0', 'notif_groups_discussion_reply', 0, '2014-01-08 09:56:32', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"ccumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curab","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(19, 542, 544, '{actor} replied to discussion {discussion}.', '0', 'notif_groups_discussion_reply', 0, '2014-01-08 09:56:45', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"ok","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(20, 545, 542, '{actor} replied to discussion {discussion}.', '0', 'notif_groups_discussion_reply', 0, '2014-01-08 09:57:10', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"Laoreet Nullam a pretium et et pretium a sed.","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(21, 545, 544, '{actor} replied to discussion {discussion}.', '0', 'notif_groups_discussion_reply', 0, '2014-01-08 09:57:10', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"Laoreet Nullam a pretium et et pretium a sed.","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(22, 545, 542, '{actor} replied to discussion {discussion}.', '0', 'notif_groups_discussion_reply', 0, '2014-01-08 09:57:27', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"good","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(23, 545, 544, '{actor} replied to discussion {discussion}.', '0', 'notif_groups_discussion_reply', 0, '2014-01-08 09:57:27', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"good","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Anna","actor_url":"index.php?option=com_community&view=profile&userid=545"}'),
(24, 542, 545, '{actor} replied to discussion {discussion}.', '0', 'notif_groups_discussion_reply', 0, '2014-01-08 09:57:57', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"Nullam eros massa, lobortis non posuere.\\n","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}'),
(25, 542, 544, '{actor} replied to discussion {discussion}.', '0', 'notif_groups_discussion_reply', 0, '2014-01-08 09:57:57', '{"url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","message":"Nullam eros massa, lobortis non posuere.\\n","title":"task","discussion":"task","discussion_url":"index.php?option=com_community&view=groups&task=viewdiscussion&groupid=2&topicid=1","actor":"Super User","actor_url":"index.php?option=com_community&view=profile&userid=542"}');

DROP TABLE IF EXISTS `#__community_oauth`;
CREATE TABLE `#__community_oauth` (
  `userid` int(11) NOT NULL,
  `requesttoken` text NOT NULL,
  `accesstoken` text NOT NULL,
  `app` varchar(255) NOT NULL,
  PRIMARY KEY (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_photos`;
CREATE TABLE `#__community_photos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `albumid` int(11) NOT NULL,
  `caption` text NOT NULL,
  `published` tinyint(1) NOT NULL,
  `creator` int(11) NOT NULL,
  `permissions` varchar(255) NOT NULL,
  `image` varchar(255) NOT NULL,
  `thumbnail` varchar(255) NOT NULL,
  `original` varchar(255) NOT NULL,
  `filesize` int(11) NOT NULL DEFAULT '0',
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `created` datetime NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `status` varchar(200) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `albumid` (`albumid`),
  KEY `idx_storage` (`storage`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_photos` (`id`, `albumid`, `caption`, `published`, `creator`, `permissions`, `image`, `thumbnail`, `original`, `filesize`, `storage`, `created`, `ordering`, `hits`, `status`, `params`) VALUES
(1, 1, 'bl-25', 1, 542, '0', 'images/photos/542/1/753e940386362d8005a8ea78.jpg', 'images/photos/542/1/thumb_753e940386362d8005a8ea78.jpg', 'images/originalphotos/542/1/753e940386362d8005a8ea78.jpg', 0, 'file', '2014-01-08 08:45:22', 1, 0, 'ready', '{}'),
(2, 2, 'bl-25', 1, 542, '0', 'images/cover/profile/542/8a361c63bc88d2f56c0204fd637b37eb.jpg', 'images/photos/542/1/thumb_753e940386362d8005a8ea78.jpg', 'images/originalphotos/542/1/753e940386362d8005a8ea78.jpg', 0, 'file', '2014-01-08 08:45:22', 1, 0, 'ready', '{}'),
(3, 2, 'bl-25', 1, 542, '0', 'images/cover/profile/542/8b338c5bc65edcaa6c404046dce66f10.jpg', 'images/photos/542/1/thumb_753e940386362d8005a8ea78.jpg', 'images/originalphotos/542/1/753e940386362d8005a8ea78.jpg', 0, 'file', '2014-01-08 08:45:22', 1, 0, 'ready', '{}'),
(4, 2, 'bl-25', 1, 542, '0', 'images/cover/profile/542/0103faa3e3a81fb360a4a12bca7e8247.jpg', 'images/photos/542/1/thumb_753e940386362d8005a8ea78.jpg', 'images/originalphotos/542/1/753e940386362d8005a8ea78.jpg', 0, 'file', '2014-01-08 08:45:22', 1, 0, 'ready', '{}'),
(5, 2, 'bl-25', 1, 542, '0', 'images/cover/profile/542/ed51df4e4a781a38fb3c5c4792a50cdf.jpg', 'images/photos/542/1/thumb_753e940386362d8005a8ea78.jpg', 'images/originalphotos/542/1/753e940386362d8005a8ea78.jpg', 0, 'file', '2014-01-08 08:45:22', 1, 0, 'ready', '{}'),
(6, 1, 'bl-26', 1, 542, '0', 'images/photos/542/1/e8cc1999e12136e6d1d99a08.jpg', 'images/photos/542/1/thumb_e8cc1999e12136e6d1d99a08.jpg', 'images/originalphotos/542/1/e8cc1999e12136e6d1d99a08.jpg', 4096, 'file', '2014-01-08 09:08:13', 2, 0, 'ready', '{}'),
(7, 3, 'bl-21', 1, 545, '0', 'images/photos/545/3/40f596793e1685188f04aa06.jpg', 'images/photos/545/3/thumb_40f596793e1685188f04aa06.jpg', 'images/originalphotos/545/3/40f596793e1685188f04aa06.jpg', 0, 'file', '2014-01-08 09:10:36', 1, 0, 'temp', '{}'),
(8, 3, 'bl-21', 1, 545, '0', 'images/photos/545/3/d2d764b14bacba7889364455.jpg', 'images/photos/545/3/thumb_d2d764b14bacba7889364455.jpg', 'images/originalphotos/545/3/d2d764b14bacba7889364455.jpg', 4096, 'file', '2014-01-08 09:10:45', 2, 0, 'ready', '{}'),
(9, 4, 'bl-21', 1, 545, '0', 'images/cover/profile/545/86dca8bcb52b4de9db861fb48fdd0638.jpg', 'images/photos/545/3/thumb_40f596793e1685188f04aa06.jpg', 'images/originalphotos/545/3/40f596793e1685188f04aa06.jpg', 0, 'file', '2014-01-08 09:10:36', 1, 0, 'temp', '{}'),
(10, 4, 'bl-21', 1, 545, '0', 'images/cover/profile/545/2c8cd81efd03836e37cda8cc05c74005.jpg', 'images/photos/545/3/thumb_40f596793e1685188f04aa06.jpg', 'images/originalphotos/545/3/40f596793e1685188f04aa06.jpg', 0, 'file', '2014-01-08 09:10:36', 1, 0, 'temp', '{}'),
(11, 4, 'bl-21', 1, 545, '0', 'images/cover/profile/545/2c8cd81efd03836e37cda8cc05c74005.jpg', 'images/photos/545/3/thumb_40f596793e1685188f04aa06.jpg', 'images/originalphotos/545/3/40f596793e1685188f04aa06.jpg', 0, 'file', '2014-01-08 09:10:36', 1, 0, 'temp', '{}'),
(12, 2, 'bl-26', 1, 542, '0', 'images/cover/profile/542/20dd5fc1d7f2c11641ef17d7cea4fc46.jpg', 'images/photos/542/1/thumb_e8cc1999e12136e6d1d99a08.jpg', 'images/originalphotos/542/1/e8cc1999e12136e6d1d99a08.jpg', 4096, 'file', '2014-01-08 09:08:13', 2, 0, 'ready', '{}'),
(13, 2, 'bl-26', 1, 542, '0', 'images/cover/profile/542/e17b84360dc33123afc7b45797457ade.jpg', 'images/photos/542/1/thumb_e8cc1999e12136e6d1d99a08.jpg', 'images/originalphotos/542/1/e8cc1999e12136e6d1d99a08.jpg', 4096, 'file', '2014-01-08 09:08:13', 2, 0, 'ready', '{}'),
(14, 0, 'Tincidunt auctor at eget vel congue vel leo platea ligula mi', 1, 544, '0', 'images/photos/544/5/28b1ed7d01dd83de2a7cb95f.jpg', 'images/photos/544/5/thumb_28b1ed7d01dd83de2a7cb95f.jpg', 'images/originalphotos/544/5/28b1ed7d01dd83de2a7cb95f.jpg', 0, 'file', '2014-01-08 09:27:09', 1, 0, 'ready', '{}'),
(15, 7, 'bl-25', 1, 542, '0', 'images/cover/group/1/5dce6c82b815fb98f09afa65e6d8d95c.jpg', 'images/photos/542/1/thumb_753e940386362d8005a8ea78.jpg', 'images/originalphotos/542/1/753e940386362d8005a8ea78.jpg', 0, 'file', '2014-01-08 08:45:22', 1, 0, 'ready', '{}'),
(16, 6, 'bl-25', 1, 542, '0', 'images/cover/group/1/5dce6c82b815fb98f09afa65e6d8d95c.jpg', 'images/photos/542/1/thumb_753e940386362d8005a8ea78.jpg', 'images/originalphotos/542/1/753e940386362d8005a8ea78.jpg', 0, 'file', '2014-01-08 08:45:22', 1, 0, 'ready', '{}'),
(17, 8, 'bl-21', 1, 545, '0', 'images/cover/group/2/7d4a0e66ceef711e0b9fbb8be6f3e55d.jpg', 'images/photos/545/3/thumb_40f596793e1685188f04aa06.jpg', 'images/originalphotos/545/3/40f596793e1685188f04aa06.jpg', 0, 'file', '2014-01-08 09:10:36', 1, 0, 'temp', '{}'),
(18, 8, 'bl-21', 1, 545, '0', 'images/cover/group/2/7d4a0e66ceef711e0b9fbb8be6f3e55d.jpg', 'images/photos/545/3/thumb_40f596793e1685188f04aa06.jpg', 'images/originalphotos/545/3/40f596793e1685188f04aa06.jpg', 0, 'file', '2014-01-08 09:10:36', 1, 0, 'temp', '{}'),
(19, 1, 'Nunc non luctus neque; non auctor metus.', 1, 542, '0', 'images/photos/542/1/457023dfc01fc3d72ebc03ab.jpg', 'images/photos/542/1/thumb_457023dfc01fc3d72ebc03ab.jpg', 'images/originalphotos/542/1/457023dfc01fc3d72ebc03ab.jpg', 4096, 'file', '2014-01-08 09:59:02', 3, 0, 'ready', '{}'),
(20, 10, 'Nunc non luctus neque; non auctor metus.', 1, 542, '0', 'images/cover/event/2/186f4b36d5f162fb519a80d5684f1bc5.jpg', 'images/photos/542/1/thumb_457023dfc01fc3d72ebc03ab.jpg', 'images/originalphotos/542/1/457023dfc01fc3d72ebc03ab.jpg', 4096, 'file', '2014-01-08 09:59:02', 3, 0, 'ready', '{}'),
(21, 9, 'Nunc non luctus neque; non auctor metus.', 1, 542, '0', 'images/cover/event/2/186f4b36d5f162fb519a80d5684f1bc5.jpg', 'images/photos/542/1/thumb_457023dfc01fc3d72ebc03ab.jpg', 'images/originalphotos/542/1/457023dfc01fc3d72ebc03ab.jpg', 4096, 'file', '2014-01-08 09:59:02', 3, 0, 'ready', '{}'),
(22, 3, 'picjumbo.com_IMG_4544', 1, 545, '0', 'images/photos/545/3/9fd1a4d0c86fb7c8d6b23700.jpg', 'images/photos/545/3/thumb_9fd1a4d0c86fb7c8d6b23700.jpg', 'images/originalphotos/545/3/9fd1a4d0c86fb7c8d6b23700.jpg', 4096, 'file', '2014-01-08 10:01:07', 3, 0, 'ready', '{}'),
(23, 11, '', 1, 545, '0', 'images/groupphotos/2/11/a45fccdc2d195d9574b259b1.jpg', 'images/groupphotos/2/11/thumb_a45fccdc2d195d9574b259b1.jpg', 'images/originalphotos/groupphotos/2/11/a45fccdc2d195d9574b259b1.jpg', 0, 'file', '2014-01-08 10:02:19', 1, 1, 'ready', '{}'),
(24, 8, '', 1, 545, '0', 'images/cover/group/2/db185f543ef03ea745237a9864c89c8f.jpg', 'images/groupphotos/2/11/thumb_a45fccdc2d195d9574b259b1.jpg', 'images/originalphotos/groupphotos/2/11/a45fccdc2d195d9574b259b1.jpg', 0, 'file', '2014-01-08 10:02:19', 1, 0, 'ready', '{}'),
(25, 8, '', 1, 545, '0', 'images/cover/group/2/51a33f545315bde371706dc756e7dfeb.jpg', 'images/groupphotos/2/11/thumb_a45fccdc2d195d9574b259b1.jpg', 'images/originalphotos/groupphotos/2/11/a45fccdc2d195d9574b259b1.jpg', 0, 'file', '2014-01-08 10:02:19', 1, 0, 'ready', '{}');

DROP TABLE IF EXISTS `#__community_photos_albums`;
CREATE TABLE `#__community_photos_albums` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) NOT NULL,
  `creator` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `permissions` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `path` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `groupid` int(11) NOT NULL DEFAULT '0',
  `eventid` int(11) NOT NULL DEFAULT '0',
  `hits` int(11) NOT NULL DEFAULT '0',
  `location` text NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `longitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `default` tinyint(1) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `creator` (`creator`),
  KEY `idx_type` (`type`),
  KEY `idx_albumtype` (`id`,`type`),
  KEY `idx_creatortype` (`creator`,`type`),
  KEY `idx_groupid` (`groupid`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_photos_albums` (`id`, `photoid`, `creator`, `name`, `description`, `permissions`, `created`, `path`, `type`, `groupid`, `eventid`, `hits`, `location`, `latitude`, `longitude`, `default`, `params`) VALUES
(1, 1, 542, 'Super User\'s Photos', '', '0', '2014-01-08 08:45:22', 'images/photos/542/', 'user', 0, 0, 0, '', 255.000000, 255.000000, 1, '{"count":"3","lastupdated":"2014-01-08 09:59:02","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/542\\/1\\/thumb_753e940386362d8005a8ea78.jpg"}'),
(2, 13, 542, 'Profile\'s cover', '', '40', '2014-01-08 09:07:45', 'images/cover/profile/542/', 'profile.Cover', 0, 0, 0, '', 255.000000, 255.000000, 0, '{"count":"6","lastupdated":"2014-01-08 09:08:13","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/542\\/1\\/thumb_753e940386362d8005a8ea78.jpg","thumbnail_id":2}'),
(3, 7, 545, 'Anna\'s Photos', '', '0', '2014-01-08 09:10:36', 'images/photos/545/', 'user', 0, 0, 0, '', 255.000000, 255.000000, 1, '{"count":"2","lastupdated":"2014-01-08 10:01:07","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/545\\/3\\/thumb_40f596793e1685188f04aa06.jpg"}'),
(4, 11, 545, 'Profile\'s cover', '', '40', '2014-01-08 09:11:02', 'images/cover/profile/545/', 'profile.Cover', 0, 0, 0, '', 255.000000, 255.000000, 0, '{"count":"0","lastupdated":"2014-01-08 09:10:36","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/545\\/3\\/thumb_40f596793e1685188f04aa06.jpg","thumbnail_id":9}'),
(6, 16, 542, 'Joomla\'s Cover', '', '40', '2014-01-08 09:38:03', 'images/cover/group/1/', 'group.Cover', 1, 0, 0, '', 255.000000, 255.000000, 0, '{"count":"1","lastupdated":"2014-01-08 08:45:22","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/542\\/1\\/thumb_753e940386362d8005a8ea78.jpg","thumbnail_id":16}'),
(7, 15, 542, 'Joomla\'s Cover', '', '40', '2014-01-08 09:38:03', 'images/cover/group/1/', 'group.Cover', 1, 0, 0, '', 255.000000, 255.000000, 0, '{"count":"1","lastupdated":"2014-01-08 08:45:22","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/542\\/1\\/thumb_753e940386362d8005a8ea78.jpg","thumbnail_id":15}'),
(8, 25, 545, 'Magento\'s Cover', '', '40', '2014-01-08 09:52:31', 'images/cover/group/2/', 'group.Cover', 2, 0, 0, '', 255.000000, 255.000000, 0, '{"count":"2","lastupdated":"2014-01-08 10:02:19","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/545\\/3\\/thumb_40f596793e1685188f04aa06.jpg","thumbnail_id":17}'),
(9, 21, 542, 'Improvement\'s Cover', '', '40', '2014-01-08 10:00:21', 'images/cover/event/2/', 'event.Cover', 0, 2, 0, '', 255.000000, 255.000000, 0, '{"count":"1","lastupdated":"2014-01-08 09:59:02","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/542\\/1\\/thumb_457023dfc01fc3d72ebc03ab.jpg","thumbnail_id":21}'),
(10, 20, 542, 'Improvement\'s Cover', '', '40', '2014-01-08 10:00:21', 'images/cover/event/2/', 'event.Cover', 0, 2, 0, '', 255.000000, 255.000000, 0, '{"count":"1","lastupdated":"2014-01-08 09:59:02","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/photos\\/542\\/1\\/thumb_457023dfc01fc3d72ebc03ab.jpg","thumbnail_id":20}'),
(11, 23, 545, 'Magento\'s Photos', '', '0', '2014-01-08 10:02:15', 'images/groupphotos/2/', 'group', 2, 0, 1, '', 255.000000, 255.000000, 1, '{"count":"1","lastupdated":"2014-01-08 10:02:19","thumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/images\\/groupphotos\\/2\\/11\\/thumb_a45fccdc2d195d9574b259b1.jpg"}');

DROP TABLE IF EXISTS `#__community_photos_tag`;
CREATE TABLE `#__community_photos_tag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photoid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `position` varchar(50) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_photoid` (`photoid`),
  KEY `idx_userid` (`userid`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_photo_user` (`photoid`,`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_photos_tokens`;
CREATE TABLE `#__community_photos_tokens` (
  `userid` int(11) NOT NULL,
  `token` varchar(200) NOT NULL,
  `datetime` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_profiles`;
CREATE TABLE `#__community_profiles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `approvals` tinyint(3) NOT NULL,
  `published` tinyint(3) NOT NULL,
  `avatar` text NOT NULL,
  `watermark` text NOT NULL,
  `watermark_hash` varchar(255) NOT NULL,
  `watermark_location` text NOT NULL,
  `thumb` text NOT NULL,
  `created` datetime NOT NULL,
  `create_groups` tinyint(1) DEFAULT '1',
  `create_events` int(11) DEFAULT '1',
  `profile_lock` tinyint(1) DEFAULT '0',
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `approvals` (`approvals`,`published`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_profiles_fields`;
CREATE TABLE `#__community_profiles_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `multiprofile_id` (`parent`),
  KEY `field_id` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_register`;
CREATE TABLE `#__community_register` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `token` varchar(200) NOT NULL,
  `name` varchar(255) NOT NULL,
  `firstname` varchar(180) NOT NULL,
  `lastname` varchar(180) NOT NULL,
  `username` varchar(150) NOT NULL,
  `email` varchar(100) NOT NULL,
  `password` varchar(100) NOT NULL,
  `created` datetime DEFAULT NULL,
  `ip` varchar(25) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_register` (`id`, `token`, `name`, `firstname`, `lastname`, `username`, `email`, `password`, `created`, `ip`) VALUES
(1, '946d63c974893ec156b1abad3d63e30d', 'Khanh', '', '', 'khanhle', 'khanhlh@gmail.com', '34458796695114bbff38a535c6ff8df0:PKQ48JIIlt4RRXzXpgpbuBYLTBWk5iXc', '2014-02-13 10:37:18', '10.0.0.155');

DROP TABLE IF EXISTS `#__community_register_auth_token`;
CREATE TABLE `#__community_register_auth_token` (
  `token` varchar(200) NOT NULL,
  `ip` varchar(255) NOT NULL,
  `auth_key` varchar(200) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`token`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__community_register_auth_token` (`token`, `ip`, `auth_key`, `created`) VALUES
('0e0821ae3952ca405af6f6c26f2df867', '::1', 'ac5c000fc68937320eaf590d6c4121df', '2014-02-13 10:02:29'),
('ecf8a82f9c434696cf2f0a4cd5e1806e', '10.0.0.155', 'bf67b66b0d7bf95247342db2ee9b2b34', '2014-02-13 10:06:41'),
('946d63c974893ec156b1abad3d63e30d', '10.0.0.155', '13de75e5c112851f3d4c27aac19133ac', '2014-02-13 10:37:17');

DROP TABLE IF EXISTS `#__community_reports`;
CREATE TABLE `#__community_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uniquestring` varchar(200) NOT NULL,
  `link` varchar(255) NOT NULL,
  `status` int(1) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_reports_actions`;
CREATE TABLE `#__community_reports_actions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `reportid` int(11) NOT NULL,
  `label` varchar(255) NOT NULL,
  `method` varchar(255) NOT NULL,
  `parameters` varchar(255) NOT NULL,
  `defaultaction` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_reports_reporter`;
CREATE TABLE `#__community_reports_reporter` (
  `reportid` int(11) NOT NULL,
  `message` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `ip` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_storage_s3`;
CREATE TABLE `#__community_storage_s3` (
  `storageid` varchar(255) NOT NULL,
  `resource_path` varchar(255) NOT NULL,
  UNIQUE KEY `storageid` (`storageid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_tags`;
CREATE TABLE `#__community_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `element` varchar(200) NOT NULL,
  `userid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `tag` varchar(200) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_tags_words`;
CREATE TABLE `#__community_tags_words` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tag` varchar(200) NOT NULL,
  `count` int(11) NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_theme`;
CREATE TABLE `#__community_theme` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `key` varchar(32) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `key` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_theme` (`id`, `key`, `value`) VALUES
(3, 'scss', '{"colors":[],"general":{"scss-stream-position":"left","scss-button-style":"flat","scss-avatar-shape":"circle","scss-avatar-style":"bordered"}}'),
(4, 'settings', '{"profile":[],"general":{"enable-frontpage-login":"1","enable-frontpage-image":"1","enable-frontpage-paragraph":"1"}}'),
(5, 'scss-default', '{"colors":{"scss-color-primary":"5677FC","scss-color-secondary":"259B24","scss-color-neutral":"ECF0F1","scss-color-important":"E74C3C","scss-color-info":"E67E22","scss-color-background":"ECF0F1","scss-color-toolbar":"F5F7F7","scss-color-focus-background":"FFFFFF","scss-color-postbox":"FFFFFF","scss-color-postbox-tab":"F5F5F5","scss-color-module-background":"FFFFFF","scss-color-moduletab-background":"E0E7E8","scss-color-dropdown-background":"FFFFFF","scss-color-dropdown-border":"E3E5E7"},"general":{"scss-stream-position":"right","scss-button-style":"flat","scss-avatar-shape":"circle","scss-avatar-style":"bordered"}}');

DROP TABLE IF EXISTS `#__community_user_status`;
CREATE TABLE `#__community_user_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userid` int(11) NOT NULL,
  `status` text NOT NULL,
  `posted_on` int(11) NOT NULL,
  `location` text NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `longitude` float(10,6) NOT NULL DEFAULT '255.000000',
  PRIMARY KEY (`id`),
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_userpoints`;
CREATE TABLE `#__community_userpoints` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rule_name` varchar(255) NOT NULL DEFAULT '',
  `rule_description` text NOT NULL,
  `rule_plugin` varchar(255) NOT NULL DEFAULT '',
  `action_string` varchar(255) NOT NULL DEFAULT '',
  `component` varchar(255) NOT NULL DEFAULT '',
  `access` tinyint(1) NOT NULL DEFAULT '1',
  `points` int(11) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `system` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_userpoints` (`id`, `rule_name`, `rule_description`, `rule_plugin`, `action_string`, `component`, `access`, `points`, `published`, `system`) VALUES
(1, 'Profile Application Added', 'Assign number of points and select wether activity stream item will be created when user add profile application.', 'com_community', 'application.add', '', 1, 0, 1, 1),
(2, 'Profile Application Removed', 'Assign number of points and select wether activity stream item will be created when user remove profile application.', 'com_community', 'application.remove', '', 1, 0, 0, 1),
(3, 'Photo Upload', 'Assign number of points for photo upload action and select wether activity stream item will be created.', 'com_community', 'photo.upload', '', 1, 0, 1, 1),
(4, 'New Group Created', 'Assign number of points when user create new group and select wether activity stream will be created.', 'com_community', 'group.create', '', 1, 3, 1, 1),
(5, 'New Group Discussion', 'Assign number of points when user open new discussion in group and select wether activity stream item for this action will be created.', 'com_community', 'group.discussion.create', '', 1, 2, 1, 1),
(6, 'User Leave The Group', 'Deduct points when registered user leave a group. * There is no activity stream item for this action.', 'com_community', 'group.leave', '', 1, -1, 1, 1),
(7, 'Friend Request Is Approved', 'Assign number of points when user approve friends request and select wether activity stream item for this action will be created.', 'com_community', 'friends.request.approve', '', 1, 1, 1, 1),
(8, 'New Photo Album Created', 'Assign number of points when user creates new album and select wether activity stream item for this action will be created.', 'com_community', 'album.create', '', 1, 1, 1, 1),
(9, 'Post Group Comment', 'Assign number of points when user post from group\'s share box and select wether to create activity stream item for this action.', 'com_community', 'group.wall.create', '', 1, 1, 1, 1),
(10, 'Join Group', 'Assign number of points when user joins the group and select wether to create activity stream item for this action.', 'com_community', 'group.join', '', 1, 1, 1, 1),
(11, 'Reply Group\'s Discussion', 'Assign number of points when registered user replied on group\'s discussion and select wether to create activity stream item for this action.', 'com_community', 'group.discussion.reply', '', 1, 1, 1, 1),
(12, 'Comment Profile From Share Box', 'Assign number of points when user post from Share Box on other people\'s profiles and select wether to create activity stream item for this action.', 'com_community', 'profile.wall.create', '', 1, 1, 1, 1),
(13, 'Post Status From Share Box', 'Assign number of points when user post status from Share Box and select wether to create activity stream item for this action.', 'com_community', 'profile.status.update', '', 1, 1, 1, 1),
(14, 'Profile Updated', 'Assign number of points when profile is updated. There is no activity stream item for this action.', 'com_community', 'profile.save', '', 1, 1, 1, 1),
(15, 'Group Updated', 'Assign number of points when user updates the group information and select wether to create activity stream item for this action.', 'com_community', 'group.updated', '', 1, 1, 1, 1),
(16, 'Change Group Avatar', 'Assign number of points when group admin or owner changes its avatar.', 'com_community', 'group.avatar.upload', '', 1, 0, 1, 1),
(17, 'Create Group\'s Announcement', 'Assign number of points when user publish new announcement in group and select wether to create activity stream item for this action.', 'com_community', 'group.news.create', '', 1, 1, 1, 1),
(18, 'Comment Photo', 'Assign number of points when new photo comment is added and select wether to create activity stream item for this action', 'com_community', 'photos.wall.create', '', 1, 1, 1, 1),
(19, 'Remove Friend', 'Deduct points when registered user remove a friend. There is no activity stream item for this action', 'com_community', 'friends.remove', '', 1, 0, 1, 1),
(20, 'Change Profile Picture', 'Assign number of points when user changes profile picture and select wether to create activity stream item for this action', 'com_community', 'profile.avatar.upload', '', 1, 100, 0, 1),
(21, 'Update Profile Privacy', 'Assign number of points when user update profile privacy. There is no activity stream item for this action.', 'com_community', 'profile.privacy.update', '', 1, 0, 1, 1),
(22, 'Reply Private Message', 'Give points when user reply private message. Naturally, activity stream item for this action does not exist.', 'com_community', 'inbox.message.reply', '', 1, 0, 1, 1),
(23, 'New Private Message', 'Give points when user send a new private message.', 'com_community', 'inbox.message.send', '', 1, 0, 1, 1),
(24, 'Remove Group Member', 'Assign number of points when group owner or admin user remove a group memeber.', 'com_community', 'group.member.remove', '', 1, 0, 1, 1),
(25, 'Delete Announcement', 'Deduct points when user remove announcement in group.', 'com_community', 'group.news.remove', '', 1, 0, 1, 1),
(26, 'Remove Wall Comment', 'Deduct points to original poster when wall comment is removed.', 'com_community', 'wall.remove', '', 1, 0, 1, 1),
(27, 'Delete Photo Album', 'Deduct points when user delete photo album.', 'com_community', 'album.remove', '', 1, 0, 1, 1),
(28, 'Delete Photo', 'Deduct points when user delete a photo.', 'com_community', 'photo.remove', '', 1, 0, 1, 1),
(29, 'Event Updated', 'Assign number of points when user update event information.', 'com_community', 'events.update', '', 1, 1, 1, 1);

DROP TABLE IF EXISTS `#__community_users`;
CREATE TABLE `#__community_users` (
  `userid` int(11) NOT NULL,
  `status` text NOT NULL,
  `status_access` int(11) NOT NULL DEFAULT '0',
  `points` int(11) NOT NULL,
  `posted_on` datetime NOT NULL,
  `avatar` text NOT NULL,
  `thumb` text NOT NULL,
  `cover` text NOT NULL,
  `invite` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `view` int(11) NOT NULL DEFAULT '0',
  `friends` text NOT NULL,
  `groups` text NOT NULL,
  `events` text NOT NULL,
  `friendcount` int(11) NOT NULL DEFAULT '0',
  `alias` varchar(255) NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `longitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `profile_id` int(11) NOT NULL DEFAULT '0',
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `watermark_hash` varchar(255) NOT NULL,
  `search_email` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`userid`),
  KEY `alias` (`alias`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__community_users` (`userid`, `status`, `status_access`, `points`, `posted_on`, `avatar`, `thumb`, `cover`, `invite`, `params`, `view`, `friends`, `groups`, `events`, `friendcount`, `alias`, `latitude`, `longitude`, `profile_id`, `storage`, `watermark_hash`, `search_email`) VALUES
(543, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 1, '', '', '', 0, '543:khanh-le', 255.000000, 255.000000, 0, 'file', '', 1),
(542, '', 0, 10, '0000-00-00 00:00:00', '', '', 'images/cover/profile/542/e17b84360dc33123afc7b45797457ade.jpg', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1,"coverPosition":"-151px","group_activity_1":"6","group_activity_2":"3"}', 1, '544,545', '1,2', '', 1, '542:super-user', 255.000000, 255.000000, 0, 'file', '', 1),
(545, '', 0, 9, '0000-00-00 00:00:00', '', '', 'images/cover/profile/545/2c8cd81efd03836e37cda8cc05c74005.jpg', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1,"coverPosition":"-154px","group_activity_1":"6","group_activity_2":"10"}', 1, '542,544', '1,2', '', 1, '545:anna', 255.000000, 255.000000, 0, 'file', '', 1),
(546, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 0, '', '', '', 0, '546:ninja', 255.000000, 255.000000, 0, 'file', '', 1),
(42, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 0, '', '', '', 0, '42:admin', 255.000000, 255.000000, 0, 'file', '', 1),
(547, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 0, '', '', '', 0, '547:css-magicican', 255.000000, 255.000000, 0, 'file', '', 1),
(553, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 0, '', '', '', 0, '553:alex-phill', 255.000000, 255.000000, 0, 'file', '', 1),
(551, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 0, '', '', '', 0, '551:jenifer-gmail-com', 255.000000, 255.000000, 0, 'file', '', 1),
(550, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 0, '', '', '', 0, '550:john-howe', 255.000000, 255.000000, 0, 'file', '', 1),
(549, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 0, '', '', '', 0, '549:james-co', 255.000000, 255.000000, 0, 'file', '', 1),
(548, '', 0, 0, '0000-00-00 00:00:00', '', '', '', 0, '{"notifyEmailSystem":1,"privacyProfileView":0,"privacyPhotoView":0,"privacyFriendsView":0,"privacyGroupsView":"","privacyVideoView":0,"notifyEmailMessage":1,"notifyEmailApps":1,"notifyWallComment":0,"notif_groups_notify_admin":1,"etype_groups_notify_admin":1,"notif_user_profile_delete":1,"etype_user_profile_delete":1,"notif_system_reports_threshold":1,"etype_system_reports_threshold":1,"notif_profile_activity_add_comment":1,"etype_profile_activity_add_comment":1,"notif_profile_activity_reply_comment":1,"etype_profile_activity_reply_comment":1,"notif_profile_status_update":1,"etype_profile_status_update":1,"notif_profile_like":1,"etype_profile_like":1,"notif_profile_stream_like":1,"etype_profile_stream_like":1,"notif_friends_request_connection":1,"etype_friends_request_connection":1,"notif_friends_create_connection":1,"etype_friends_create_connection":1,"notif_inbox_create_message":1,"etype_inbox_create_message":1,"notif_groups_invite":1,"etype_groups_invite":1,"notif_groups_discussion_reply":1,"etype_groups_discussion_reply":1,"notif_groups_wall_create":1,"etype_groups_wall_create":1,"notif_groups_create_discussion":1,"etype_groups_create_discussion":1,"notif_groups_create_news":1,"etype_groups_create_news":1,"notif_groups_create_album":1,"etype_groups_create_album":1,"notif_groups_create_video":1,"etype_groups_create_video":1,"notif_groups_create_event":1,"etype_groups_create_event":1,"notif_groups_sendmail":1,"etype_groups_sendmail":1,"notif_groups_member_approved":1,"etype_groups_member_approved":1,"notif_groups_member_join":1,"etype_groups_member_join":1,"notif_groups_notify_creator":1,"etype_groups_notify_creator":1,"notif_groups_discussion_newfile":1,"etype_groups_discussion_newfile":1,"notif_groups_activity_add_comment":0,"etype_groups_activity_add_comment":0,"notif_events_notify_admin":1,"etype_events_notify_admin":1,"notif_events_invite":1,"etype_events_invite":1,"notif_events_invitation_approved":1,"etype_events_invitation_approved":1,"notif_events_sendmail":1,"etype_events_sendmail":1,"notif_event_notify_creator":0,"etype_event_notify_creator":0,"notif_event_join_request":1,"etype_event_join_request":1,"notif_events_activity_add_comment":0,"etype_events_activity_add_comment":0,"notif_videos_submit_wall":1,"etype_videos_submit_wall":1,"notif_videos_reply_wall":1,"etype_videos_reply_wall":1,"notif_videos_tagging":1,"etype_videos_tagging":1,"notif_videos_like":1,"etype_videos_like":1,"notif_photos_submit_wall":1,"etype_photos_submit_wall":1,"notif_photos_reply_wall":1,"etype_photos_reply_wall":1,"notif_photos_tagging":1,"etype_photos_tagging":1,"notif_photos_like":1,"etype_photos_like":1,"notif_system_messaging":1,"etype_system_messaging":1,"postFacebookStatus":1}', 0, '', '', '', 0, '548:luna-gardner', 255.000000, 255.000000, 0, 'file', '', 1);

DROP TABLE IF EXISTS `#__community_videos`;
CREATE TABLE `#__community_videos` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(200) NOT NULL,
  `type` varchar(200) NOT NULL DEFAULT 'file',
  `video_id` varchar(200) DEFAULT NULL,
  `description` text NOT NULL,
  `creator` int(11) unsigned NOT NULL,
  `creator_type` varchar(200) NOT NULL DEFAULT 'user',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `permissions` varchar(255) NOT NULL DEFAULT '0',
  `category_id` int(11) unsigned NOT NULL,
  `hits` int(11) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(3) NOT NULL DEFAULT '1',
  `featured` tinyint(3) NOT NULL DEFAULT '0',
  `duration` float unsigned DEFAULT '0',
  `status` varchar(200) NOT NULL DEFAULT 'pending',
  `thumb` varchar(255) DEFAULT NULL,
  `path` varchar(255) DEFAULT NULL,
  `groupid` int(11) unsigned NOT NULL DEFAULT '0',
  `filesize` int(11) NOT NULL DEFAULT '0',
  `storage` varchar(64) NOT NULL DEFAULT 'file',
  `location` text NOT NULL,
  `latitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `longitude` float(10,6) NOT NULL DEFAULT '255.000000',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `creator` (`creator`),
  KEY `idx_groupid` (`groupid`),
  KEY `idx_storage` (`storage`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_videos` (`id`, `title`, `type`, `video_id`, `description`, `creator`, `creator_type`, `created`, `permissions`, `category_id`, `hits`, `published`, `featured`, `duration`, `status`, `thumb`, `path`, `groupid`, `filesize`, `storage`, `location`, `latitude`, `longitude`, `params`) VALUES
(1, 'Joe Johnson Sinks the Miraculous Game-Winner in OKC!', 'youtube', 'iqCF5wtb9_U', 'Joe Johnson sinks the amazing game-winner with Serge Ibaka in his face to give Brooklyn the hard-fought road win.  Visit nba.com/video for more highlights.\n\nAbout the NBA: \nThe NBA is the premier professional basketball league in the United States and Canada. The league is truly global, with games and programming in 215 countries and territories in 47 languages, as well as rosters that currently feature 85 international players from 36 countries and territories. For the 2013-14 season, each of the league\'s 30 teams will play 82 regular-season games, followed by a postseason for those that qualify. \n\nThe NBA consists of the following teams: Atlanta Hawks; Boston Celtics; Brooklyn Nets; Charlotte Bobcats; Chicago Bulls; Cleveland Cavaliers; Dallas Mavericks; Denver Nuggets; Detroit Pistons; Golden State Warriors; Houston Rockets; Indiana Pacers; Los Angeles Clippers; Los Angeles Lakers; Memphis Grizzlies; Miami Heat; Milwaukee Bucks; Minnesota Timberwolves; New Orleans Pelicans; New York Knicks; Oklahoma City Thunder; Orlando Magic; Philadelphia 76ers; Phoenix Suns; Portland Trail Blazers; Sacramento Kings; San Antonio Spurs; Toronto Raptors; Utah Jazz; Washington Wizards. \n\nThe NBA offers real time access to live regular season NBA games with a subscription to NBA LEAGUE PASS, available globally for TV, broadband, and mobile.  Real-time Stats, Scores, Highlights and more are available to fans on web and mobile with NBA Game Time. \n\n\nFor more information, as well as all the latest NBA news and highlights, log onto the league\'s official website at http://www.NBA.com \n\nSubscribe on YouTube:                        http://www.youtube.com/nba\nSubscribe to NBA LEAGUE PASS       http://www.nba.com/leaguepass\nDownload NBA Game Time                 http://www.nba.com/mobile\nLike us on Facebook:                           http://www.facebook.com/nba\nFollow us on Twitter:                            http://www.twitter.com/nba\nFollow us on Instagram:                       http://www.instagram.com/nba\nFollow us on Tumblr                             http://nba.tumblr.com\nShop for NBA Gear:                              http://store.nba.com', 542, 'user', '2014-01-08 08:53:56', '0', 1, 1, 1, 0, 63, 'temp', 'images/videos/542/thumbs/UkISY8pelJa.jpg', 'http://www.youtube.com/watch?v=iqCF5wtb9_U', 0, 0, 'file', '', 255.000000, 255.000000, ''),
(2, 'Blake Griffin Throws Down the Windmill off the Alley-Oop!', 'youtube', 'yyb0hajfUOE', 'Matt Barnes and Blake Griffin get ahead of the pack on the fastbreak, and Griffin finishes with the fancy flush. Visit nba.com/video for more highlights.\n\nAbout the NBA: \nThe NBA is the premier professional basketball league in the United States and Canada. The league is truly global, with games and programming in 215 countries and territories in 47 languages, as well as rosters that currently feature 85 international players from 36 countries and territories. For the 2013-14 season, each of the league\'s 30 teams will play 82 regular-season games, followed by a postseason for those that qualify. \n\nThe NBA consists of the following teams: Atlanta Hawks; Boston Celtics; Brooklyn Nets; Charlotte Bobcats; Chicago Bulls; Cleveland Cavaliers; Dallas Mavericks; Denver Nuggets; Detroit Pistons; Golden State Warriors; Houston Rockets; Indiana Pacers; Los Angeles Clippers; Los Angeles Lakers; Memphis Grizzlies; Miami Heat; Milwaukee Bucks; Minnesota Timberwolves; New Orleans Pelicans; New York Knicks; Oklahoma City Thunder; Orlando Magic; Philadelphia 76ers; Phoenix Suns; Portland Trail Blazers; Sacramento Kings; San Antonio Spurs; Toronto Raptors; Utah Jazz; Washington Wizards. \n\nThe NBA offers real time access to live regular season NBA games with a subscription to NBA LEAGUE PASS, available globally for TV, broadband, and mobile.  Real-time Stats, Scores, Highlights and more are available to fans on web and mobile with NBA Game Time. \n\n\nFor more information, as well as all the latest NBA news and highlights, log onto the league\'s official website at http://www.NBA.com \n\nSubscribe on YouTube:                        http://www.youtube.com/nba\nSubscribe to NBA LEAGUE PASS       http://www.nba.com/leaguepass\nDownload NBA Game Time                 http://www.nba.com/mobile\nLike us on Facebook:                           http://www.facebook.com/nba\nFollow us on Twitter:                            http://www.twitter.com/nba\nFollow us on Instagram:                       http://www.instagram.com/nba\nFollow us on Tumblr                             http://nba.tumblr.com\nShop for NBA Gear:                              http://store.nba.com', 542, 'user', '2014-01-08 09:02:02', '0', 1, 0, 1, 0, 36, 'ready', 'images/videos/542/thumbs/WlVA4WvuEHY.jpg', 'http://youtu.be/yyb0hajfUOE', 0, 0, 'file', '', 255.000000, 255.000000, ''),
(3, 'C.J. Miles Drops 10 3-Pointers to Set a Cavalier Record', 'youtube', 'fNiDbY062vg', 'C.J. Miles drained 10 shots from beyond the arc en route to 34 points to set a franchise record.  Visit nba.com/video for more highlights.\n\nAbout the NBA: \nThe NBA is the premier professional basketball league in the United States and Canada. The league is truly global, with games and programming in 215 countries and territories in 47 languages, as well as rosters that currently feature 85 international players from 36 countries and territories. For the 2013-14 season, each of the league\'s 30 teams will play 82 regular-season games, followed by a postseason for those that qualify. \n\nThe NBA consists of the following teams: Atlanta Hawks; Boston Celtics; Brooklyn Nets; Charlotte Bobcats; Chicago Bulls; Cleveland Cavaliers; Dallas Mavericks; Denver Nuggets; Detroit Pistons; Golden State Warriors; Houston Rockets; Indiana Pacers; Los Angeles Clippers; Los Angeles Lakers; Memphis Grizzlies; Miami Heat; Milwaukee Bucks; Minnesota Timberwolves; New Orleans Pelicans; New York Knicks; Oklahoma City Thunder; Orlando Magic; Philadelphia 76ers; Phoenix Suns; Portland Trail Blazers; Sacramento Kings; San Antonio Spurs; Toronto Raptors; Utah Jazz; Washington Wizards. \n\nThe NBA offers real time access to live regular season NBA games with a subscription to NBA LEAGUE PASS, available globally for TV, broadband, and mobile.  Real-time Stats, Scores, Highlights and more are available to fans on web and mobile with NBA Game Time. \n\n\nFor more information, as well as all the latest NBA news and highlights, log onto the league\'s official website at http://www.NBA.com \n\nSubscribe on YouTube:                        http://www.youtube.com/nba\nSubscribe to NBA LEAGUE PASS       http://www.nba.com/leaguepass\nDownload NBA Game Time                 http://www.nba.com/mobile\nLike us on Facebook:                           http://www.facebook.com/nba\nFollow us on Twitter:                            http://www.twitter.com/nba\nFollow us on Instagram:                       http://www.instagram.com/nba\nFollow us on Tumblr                             http://nba.tumblr.com\nShop for NBA Gear:                              http://store.nba.com', 542, 'user', '2014-01-08 09:03:53', '0', 1, 0, 1, 0, 73, 'ready', 'images/videos/542/thumbs/XPyRT35lytW.jpg', 'http://youtu.be/fNiDbY062vg', 0, 0, 'file', '', 255.000000, 255.000000, ''),
(4, 'NBA Nightly Highlights: January 6th', 'youtube', '8M0GC6-ZtXo', 'Check out the Daily Zap from January 6th, recapping a three game schedule.\n\nAbout the NBA: \nThe NBA is the premier professional basketball league in the United States and Canada. The league is truly global, with games and programming in 215 countries and territories in 47 languages, as well as rosters that currently feature 85 international players from 36 countries and territories. For the 2013-14 season, each of the league\'s 30 teams will play 82 regular-season games, followed by a postseason for those that qualify. \n\nThe NBA consists of the following teams: Atlanta Hawks; Boston Celtics; Brooklyn Nets; Charlotte Bobcats; Chicago Bulls; Cleveland Cavaliers; Dallas Mavericks; Denver Nuggets; Detroit Pistons; Golden State Warriors; Houston Rockets; Indiana Pacers; Los Angeles Clippers; Los Angeles Lakers; Memphis Grizzlies; Miami Heat; Milwaukee Bucks; Minnesota Timberwolves; New Orleans Pelicans; New York Knicks; Oklahoma City Thunder; Orlando Magic; Philadelphia 76ers; Phoenix Suns; Portland Trail Blazers; Sacramento Kings; San Antonio Spurs; Toronto Raptors; Utah Jazz; Washington Wizards. \n\nThe NBA offers real time access to live regular season NBA games with a subscription to NBA LEAGUE PASS, available globally for TV, broadband, and mobile.  Real-time Stats, Scores, Highlights and more are available to fans on web and mobile with NBA Game Time. \n\n\nFor more information, as well as all the latest NBA news and highlights, log onto the league\'s official website at http://www.NBA.com \n\nSubscribe on YouTube:                        http://www.youtube.com/nba\nSubscribe to NBA LEAGUE PASS       http://www.nba.com/leaguepass\nDownload NBA Game Time                 http://www.nba.com/mobile\nLike us on Facebook:                           http://www.facebook.com/nba\nFollow us on Twitter:                            http://www.twitter.com/nba\nFollow us on Instagram:                       http://www.instagram.com/nba\nFollow us on Tumblr                             http://nba.tumblr.com\nShop for NBA Gear:                              http://store.nba.com', 545, 'user', '2014-01-08 09:18:38', '0', 1, 0, 1, 0, 69, 'ready', 'images/videos/545/thumbs/n07oJQfmPTD.jpg', 'http://youtu.be/8M0GC6-ZtXo', 0, 0, 'file', '', 255.000000, 255.000000, ''),
(5, 'LeBron James Kisses a Fan in the Front Row!', 'youtube', 'HnrmJa4fa5s', 'LeBron James shows his love for the fans with a photo pose and a kiss.  Visit nba.com/video for more highlights.\n\nAbout the NBA: \nThe NBA is the premier professional basketball league in the United States and Canada. The league is truly global, with games and programming in 215 countries and territories in 47 languages, as well as rosters that currently feature 85 international players from 36 countries and territories. For the 2013-14 season, each of the league\'s 30 teams will play 82 regular-season games, followed by a postseason for those that qualify. \n\nThe NBA consists of the following teams: Atlanta Hawks; Boston Celtics; Brooklyn Nets; Charlotte Bobcats; Chicago Bulls; Cleveland Cavaliers; Dallas Mavericks; Denver Nuggets; Detroit Pistons; Golden State Warriors; Houston Rockets; Indiana Pacers; Los Angeles Clippers; Los Angeles Lakers; Memphis Grizzlies; Miami Heat; Milwaukee Bucks; Minnesota Timberwolves; New Orleans Pelicans; New York Knicks; Oklahoma City Thunder; Orlando Magic; Philadelphia 76ers; Phoenix Suns; Portland Trail Blazers; Sacramento Kings; San Antonio Spurs; Toronto Raptors; Utah Jazz; Washington Wizards. \n\nThe NBA offers real time access to live regular season NBA games with a subscription to NBA LEAGUE PASS, available globally for TV, broadband, and mobile.  Real-time Stats, Scores, Highlights and more are available to fans on web and mobile with NBA Game Time. \n\n\nFor more information, as well as all the latest NBA news and highlights, log onto the league\'s official website at http://www.NBA.com \n\nSubscribe on YouTube:                        http://www.youtube.com/nba\nSubscribe to NBA LEAGUE PASS       http://www.nba.com/leaguepass\nDownload NBA Game Time                 http://www.nba.com/mobile\nLike us on Facebook:                           http://www.facebook.com/nba\nFollow us on Twitter:                            http://www.twitter.com/nba\nFollow us on Instagram:                       http://www.instagram.com/nba\nFollow us on Tumblr                             http://nba.tumblr.com\nShop for NBA Gear:                              http://store.nba.com', 545, 'user', '2014-01-08 09:19:04', '0', 1, 1, 1, 0, 35, 'ready', 'images/videos/545/thumbs/jQnyLy9h2S8.jpg', 'http://youtu.be/HnrmJa4fa5s', 0, 0, 'file', '', 255.000000, 255.000000, '');

DROP TABLE IF EXISTS `#__community_videos_category`;
CREATE TABLE `#__community_videos_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_videos_category` (`id`, `parent`, `name`, `description`, `published`) VALUES
(1, 0, 'General', 'General video channel', 1);

DROP TABLE IF EXISTS `#__community_videos_tag`;
CREATE TABLE `#__community_videos_tag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `videoid` int(11) NOT NULL,
  `userid` int(11) NOT NULL,
  `position` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__community_wall`;
CREATE TABLE `#__community_wall` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `contentid` int(10) unsigned NOT NULL DEFAULT '0',
  `post_by` int(10) unsigned NOT NULL DEFAULT '0',
  `ip` varchar(45) NOT NULL,
  `comment` text NOT NULL,
  `date` varchar(45) NOT NULL,
  `published` tinyint(1) unsigned NOT NULL,
  `type` varchar(200) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `contentid` (`contentid`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__community_wall` (`id`, `contentid`, `post_by`, `ip`, `comment`, `date`, `published`, `type`, `params`) VALUES
(1, 77, 542, '127.0.0.1', 'Cras tristique pretium sapien cras amet.', '2014-01-08 09:22:00', 1, 'events.wall', ''),
(2, 77, 545, '127.0.0.1', 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.', '2014-01-08 09:23:58', 1, 'events.wall', ''),
(3, 84, 544, '127.0.0.1', 'hoho', '2014-01-08 09:36:13', 1, 'groups.wall', ''),
(4, 84, 542, '127.0.0.1', 'ok', '2014-01-08 09:38:22', 1, 'groups.wall', ''),
(5, 1, 542, '127.0.0.1', 'ccumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curab', '2014-01-08 09:56:32', 1, 'discussions', ''),
(6, 1, 542, '127.0.0.1', 'ok', '2014-01-08 09:56:45', 1, 'discussions', ''),
(7, 1, 545, '127.0.0.1', 'Laoreet Nullam a pretium et et pretium a sed.', '2014-01-08 09:57:10', 1, 'discussions', ''),
(8, 1, 545, '127.0.0.1', 'good', '2014-01-08 09:57:27', 1, 'discussions', ''),
(9, 1, 542, '127.0.0.1', 'Nullam eros massa, lobortis non posuere.\n', '2014-01-08 09:57:57', 1, 'discussions', '');

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) binary NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Contact Name Here', 'name', 'Position', 'Street Address', 'Suburb', 'State', 'Country', 'Zip Code', 'Telephone', 'Fax', '<p>Information about or by the contact.</p>', 'images/joomlart/corporate/sam-11.jpg', 'email@example.com', 1, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Twitter","linka":"http:\\/\\/twitter.com\\/joomla","linkb_name":"YouTube","linkb":"http:\\/\\/www.youtube.com\\/user\\/joomla","linkc_name":"Facebook","linkc":"http:\\/\\/www.facebook.com\\/joomla","linkd_name":"FriendFeed","linkd":"http:\\/\\/friendfeed.com\\/joomla","linke_name":"Scribed","linke":"http:\\/\\/www.scribd.com\\/people\\/view\\/504592-joomla","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 16, 1, '', '', 'last', 'first', 'middle', 'en-GB', '2011-01-01 00:00:01', 42, 'Joomla', '2014-01-22 09:12:28', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 2, 91),
(2, 'Webmaster', 'webmaster', '', '', '', '', '', '', '', '', '', '', 'webmaster@example.com', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"","redirect":""}', 0, 34, 1, '', '', '', '', '', 'en-GB', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(3, 'Owner', 'owner', '', '', '', '', '', '', '', '', '<p>I\'m the owner of this store.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 2, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(4, 'Buyer', 'buyer', '', '', '', '', '', '', '', '', '<p>I am in charge of buying fruit. If you sell good fruit, contact me.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"0","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(5, 'Bananas', 'bananas', 'Scientific Name: Musa', 'Image Credit: Enzik\r\nRights: Creative Commons Share Alike Unported 3.0\r\nSource: http://commons.wikimedia.org/wiki/File:Bananas_-_Morocco.jpg', '', 'Type: Herbaceous', 'Large Producers: India, China, Brasil', '', '', '', '<p>Bananas are a great source of potassium.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/bananas_2.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"show_with_link","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"1","show_email":"","show_street_address":"","show_suburb":"","show_state":"1","show_postcode":"","show_country":"1","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Banana English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Banana","linkb_name":"Wikipedia:  \\u0939\\u093f\\u0928\\u094d\\u0926\\u0940 \\u0915\\u0947\\u0932\\u093e","linkb":"http:\\/\\/hi.wikipedia.org\\/wiki\\/%E0%A4%95%E0%A5%87%E0%A4%B2%E0%A4%BE","linkc_name":"Wikipedia:Banana Portugu\\u00eas","linkc":"http:\\/\\/pt.wikipedia.org\\/wiki\\/Banana","linkd_name":"Wikipedia: \\u0411\\u0430\\u043d\\u0430\\u043d  \\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439","linkd":"http:\\/\\/ru.wikipedia.org\\/\\u0411\\u0430\\u043d\\u0430\\u043d","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 39, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(6, 'Apples', 'apples', 'Scientific Name: Malus domestica', 'Image Credit: Fievet\r\nRights: Public Domain\r\nSource: http://commons.wikimedia.org/wiki/File:Pommes_vertes.JPG', '', 'Family: Rosaceae', 'Large: Producers: China, United States', '', '', '', '<p>Apples are a versatile fruit, used for eating, cooking, and preserving.</p>\r\n<p>There are more that 7500 different kinds of apples grown around the world.</p>', 'images/sampledata/fruitshop/apple.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Apples English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Apple","linkb_name":"Wikipedia: Manzana Espa\\u00f1ol ","linkb":"http:\\/\\/es.wikipedia.org\\/wiki\\/Manzana","linkc_name":"Wikipedia: \\u82f9\\u679c \\u4e2d\\u6587","linkc":"http:\\/\\/zh.wikipedia.org\\/zh\\/\\u82f9\\u679c","linkd_name":"Wikipedia: Tofaa Kiswahili","linkd":"http:\\/\\/sw.wikipedia.org\\/wiki\\/Tofaa","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 38, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(7, 'Tamarind', 'tamarind', 'Scientific Name: Tamarindus indica', 'Image Credit: Franz Eugen Köhler, Köhler\'s Medizinal-Pflanzen \r\nRights: Public Domain\r\nSource:http://commons.wikimedia.org/wiki/File:Koeh-134.jpg', '', 'Family: Fabaceae', 'Large Producers: India, United States', '', '', '', '<p>Tamarinds are a versatile fruit used around the world. In its young form it is used in hot sauces; ripened it is the basis for many refreshing drinks.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/tamarind.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Tamarind English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Tamarind","linkb_name":"Wikipedia: \\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2  \\u09ac\\u09be\\u0982\\u09b2\\u09be  ","linkb":"http:\\/\\/bn.wikipedia.org\\/wiki\\/\\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2 ","linkc_name":"Wikipedia: Tamarinier Fran\\u00e7ais","linkc":"http:\\/\\/fr.wikipedia.org\\/wiki\\/Tamarinier","linkd_name":"Wikipedia:Tamaline lea faka-Tonga","linkd":"http:\\/\\/to.wikipedia.org\\/wiki\\/Tamaline","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 57, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(8, 'Shop Address', 'shop-address', '', '', 'Our City', 'Our Province', 'Our Country', '', '555-555-5555', '', '<p>Here are directions for how to get to our shop.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 35, 1, '', '', '', '', '', '*', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0);

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) binary NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=295 DEFAULT CHARSET=utf8;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(67, 168, 'What\'s New in 1.5?', 'whats-new-in-15', '<p>This article deliberately archived as an example.</p><p>As with previous releases, Joomla! provides a unified and easy-to-use framework for delivering content for Web sites of all kinds. To support the changing nature of the Internet and emerging Web technologies, Joomla! required substantial restructuring of its core functionality and we also used this effort to simplify many challenges within the current user interface. Joomla! 1.5 has many new features.</p>\r\n<p style="margin-bottom: 0in;">In Joomla! 1.5, you\'\'ll notice:</p>\r\n<ul>\r\n<li>Substantially improved usability, manageability, and scalability far beyond the original Mambo foundations</li>\r\n<li>Expanded accessibility to support internationalisation, double-byte characters and right-to-left support for Arabic, Farsi, and Hebrew languages among others</li>\r\n<li>Extended integration of external applications through Web services</li>\r\n<li>Enhanced content delivery, template and presentation capabilities to support accessibility standards and content delivery to any destination</li>\r\n<li>A more sustainable and flexible framework for Component and Extension developers</li>\r\n<li>Backward compatibility with previous releases of Components, Templates, Modules, and other Extensions</li>\r\n</ul>', '', 1, 9, '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 13, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(72, 177, 'How to create the 3 columns layout?', 'how-to-create-the-3-columns-layout', '<p>Platea adipiscing justo commodo lobortis montes a vestibulum augue et justo. Eget adipiscing laoreet est pretium gravida felis gravida ut ac laoreet. Et Nunc et vel id et pharetra eget Aenean urna. Parturient tellus ipsum </p> \r\n', '\r\n<h3>Eget adipiscing laoreet est pretium gravida felis gravida ut ac laoreet</h3>\r\n<p>Felis eu et leo fames Sed elit Donec. Maecenas <a title="Sample link" href="#">consectetuer aliquam</a> tempus interdum sit Morbi consectetuer a risus elit. At mauris molestie eleifend quis porttitor pede Sed risus metus Donec. Ac neque et pretium</p>\r\n<p>Nam lacus quis Vestibulum orci Curabitur Proin. Ligula ultrices enim nibh et magnis <a title="sample link" href="#">sagittis laoreet.</a></p>\r\n<h3>Adding Context to Messaging</h3>\r\n<blockquote class="pullquote">\r\n<p>"Ridiculus nisl at tristique"</p>\r\n</blockquote>\r\n<p>Elit aliquam tincidunt ac interdum orci tincidunt velit Vestibulum sit Sed. Ridiculus nisl at tristique ut pellentesque sapien rutrum pellentesque in ante. Morbi velit elit orci semper velit pharetra eros scelerisque.</p>\r\n\r\n<blockquote class="pullquote">\r\n<p>"Morbi velit elit orci semper veli"</p>\r\n</blockquote>\r\n\r\n<p>Porttitor sed id interdum Aenean malesuada vel at Quisque nec dui. Enim orci non arcu condimentum id ut laoreet cursus et Fusce. Volutpat Phasellus pretium Quisque nibh <a title="Sample link" href="#">tristique vitae aliquam eget odio.</a></p>\r\n\r\n<b>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium </b>\r\n<i>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. </i>\r\n', 1, 78, '2013-08-23 03:51:45', 42, '', '2014-01-22 09:55:16', 42, 0, '0000-00-00 00:00:00', '2013-08-23 03:51:45', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 4, 4, '', '', 1, 133, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(73, 178, 'How to create the 2 columns layout: Sidebar + Content?', 'how-to-create-the-2-columns-layout-sidebar-content', '\r\n<b>Platea adipiscing justo commodo lobortis montes a vestibulum augue et justo.  </b> \r\n\r\n', '\r\n\r\n<ul>\r\n<li>Supports over 41 languages (Bing translation)</li>\r\n<li>JA Magz is extremely customization friendly</li>\r\n<li>Fully responsive, supports EasyBlog and RTL language layout</li>\r\n<li>Enhance productive collaboration and content sharing</li>\r\n</ul>\r\n<p>Felis eu et leo fames Sed elit Donec. Maecenas <a title="Sample link" href="#">consectetuer aliquam</a> tempus interdum sit Morbi consectetuer a risus elit. At mauris molestie eleifend quis porttitor pede Sed risus metus Donec. Ac neque et pretium</p>\r\n<p>Nam lacus quis Vestibulum orci Curabitur Proin. Ligula ultrices enim nibh et magnis </p>\r\n<h3>Adding Context to Messaging</h3>\r\n<p>Eu sed fames nec scelerisque interdum orci turpis pretium nisl Vestibulum. Iaculis pharetra Nam nec fermentum volutpat enim interdum habitasse pretium tincidunt. Mus odio hendrerit habitant Nam tempus eros In Vestibulum elit Curabitur.</p>\r\n\r\n<p>Elit aliquam tincidunt ac interdum orci tincidunt velit Vestibulum sit Sed. Ridiculus nisl at tristique ut pellentesque sapien rutrum pellentesque in ante. Morbi velit elit orci semper velit pharetra eros scelerisque.</p>\r\n<p>Id dolor fringilla ridiculus lacinia ligula In hendrerit lobortis sed id. Quis quis tincidunt nulla libero cursus interdum Nam nulla velit amet. Morbi et sem Mauris wisi et consectetuer ac Phasellus Aenean Sed.</p>\r\n<p>Porttitor sed id interdum Aenean malesuada vel at Quisque nec dui. Enim orci non arcu condimentum id ut laoreet cursus et Fusce. Volutpat Phasellus pretium Quisque nibh <a title="Sample link" href="#">tristique vitae aliquam eget odio.</a></p>\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<i>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</i>\r\n\r\n', 1, 78, '2013-08-23 03:55:12', 42, '', '2014-01-25 09:20:54', 42, 42, '2014-02-22 03:41:33', '2013-08-23 03:55:12', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 9, 3, '', '', 1, 109, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(74, 179, 'How to create the 2 columns layout: Content + Sidebar', 'how-to-create-the-2-columns-layout-content-sidebar', '<i>Dis ligula ultrices pede et sagittis pellentesque pretium dapibus turpis sollicitudin. Sed mus feugiat velit sapien Sed scelerisque malesuada justo laoreet tellus. Convallis tempor urna a leo accumsan ac Curabitur consectetuer ipsum diam. In risus fames In dui sagittis ipsum lorem Vivamus semper consequat. Justo tristique Aliquam pede est condimentum ac.</i>\r\n\r\n<h4>Elit Suspendisse Fusce suscipit</h4>\r\n\r\n<p>Phasellus tortor vitae quis vitae nisl ut ac gravida adipiscing elit. Ipsum dolor adipiscing in Morbi nunc ipsum vitae pharetra Nulla ac. Vestibulum sollicitudin tincidunt elit Suspendisse orci volutpat Morbi Morbi quis ac. Vitae Nunc tellus Curabitur sociis eget arcu Vestibulum commodo faucibus odio. </p>\r\n\r\n<h4>Eu urna non dui laoreet eleifend </h4> \r\n\r\n<p>Aenean sollicitudin urna arcu fringilla leo elit id ligula diam lobortis. Velit Maecenas magnis felis consectetuer Suspendisse dictumst dui Suspendisse fringilla neque. Pellentesque sed et ac odio elit lorem vitae nec Quisque Pellentesque. Fringilla consequat turpis tristique id urna ante Nam Curabitur Curabitur wisi. Nibh leo pretium Curabitur eu mollis ut leo Aliquam Fusce lobortis. </p>\r\n\r\n<ul>\r\n<li>Supports over 41 languages (Bing translation)</li>\r\n<li>JA Magz is extremely customization friendly</li>\r\n<li>Fully responsive, supports EasyBlog and RTL language layout</li>\r\n<li>Enhance productive collaboration and content sharing</li>\r\n</ul>\r\n\r\n<h4>Elit In</h4> \r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. </p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n', '', 1, 78, '2013-08-23 03:55:47', 42, '', '2014-01-25 09:20:39', 42, 42, '2014-02-22 03:21:17', '2013-08-23 03:55:47', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 2, '', '', 1, 27, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(75, 180, 'Full width layout', 'how-to-create-the-2-columns-layout-content-sidebar-2', '<p>Platea adipiscing justo commodo lobortis montes a vestibulum augue et justo. Eget adipiscing laoreet est pretium gravida felis gravida ut ac laoreet. Et Nunc et vel id et pharetra eget Aenean urna. Parturient tellus ipsum </p> \r\n', '\r\n<p>Felis eu et leo fames Sed elit Donec. Maecenas <a title="Sample link" href="#">consectetuer aliquam</a> tempus interdum sit Morbi consectetuer a risus elit. At mauris molestie eleifend quis porttitor pede Sed risus metus Donec. Ac neque et pretium</p>\r\n<p>Nam lacus quis Vestibulum orci Curabitur Proin. Ligula ultrices enim nibh et magnis <a title="sample link" href="#">sagittis laoreet.</a></p>\r\n<h3>Adding Context to Messaging</h3>\r\n<p>Eu sed fames nec scelerisque interdum orci turpis pretium nisl Vestibulum. Iaculis pharetra Nam nec fermentum volutpat enim interdum habitasse pretium tincidunt. Mus odio hendrerit habitant Nam tempus eros In Vestibulum elit Curabitur.</p>\r\n<blockquote class="pullquote">\r\n<p>"In my 24 years of life, I\'m better at life than you"</p>\r\n</blockquote>\r\n<p>Elit aliquam tincidunt ac interdum orci tincidunt velit Vestibulum sit Sed. Ridiculus nisl at tristique ut pellentesque sapien rutrum pellentesque in ante. Morbi velit elit orci semper velit pharetra eros scelerisque.</p>\r\n<p>Id dolor fringilla ridiculus lacinia ligula In hendrerit lobortis sed id. Quis quis tincidunt nulla libero cursus interdum Nam nulla velit amet. Morbi et sem Mauris wisi et consectetuer ac Phasellus Aenean Sed.</p>\r\n<p>Porttitor sed id interdum Aenean malesuada vel at Quisque nec dui. Enim orci non arcu condimentum id ut laoreet cursus et Fusce. Volutpat Phasellus pretium Quisque nibh <a title="Sample link" href="#">tristique vitae aliquam eget odio.</a></p>\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 78, '2013-08-23 03:55:47', 42, '', '2014-01-22 09:19:54', 42, 0, '0000-00-00 00:00:00', '2013-08-23 03:55:47', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 3, 1, '', '', 1, 32, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(76, 181, 'Main content', 'main-content', '<img src="images/joomlart/corporate/sam-5.jpg" alt="Sample image" title="Sample image" align="right" class="img-thumbnail" />\r\n\r\n<p>Felis eu et leo fames Sed elit Donec. Maecenas <a href="#" title="Sample link">consectetuer aliquam</a> tempus interdum sit Morbi consectetuer a risus elit. At mauris molestie eleifend quis porttitor pede Sed risus metus Donec. Ac neque et pretium</p>\r\n\r\n', '\r\n\r\n<p>Tincidunt at dolor eu fringilla wisi tincidunt ante sit ut Quisque. Et id est turpis lorem ut malesuada gravida in In tempor. Molestie dui dolor Vivamus metus hendrerit Proin Vestibulum lacinia ligula interdum. Id egestas sit justo quam tempor commodo turpis vitae sodales pellentesque. Ut nonummy tortor feugiat felis accumsan ipsum Pellentesque vitae at interdum. </p>\r\n\r\n<ul>\r\n<li>Supports over 41 languages (Bing translation)</li>\r\n<li>JA Magz is extremely customization friendly</li>\r\n<li>Fully responsive, supports EasyBlog and RTL language layout</li>\r\n<li>Enhance productive collaboration and content sharing</li>\r\n</ul>', 1, 78, '2013-08-23 03:55:47', 42, '', '2014-01-22 11:42:11', 42, 0, '0000-00-00 00:00:00', '2013-08-23 03:55:47', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 13, 0, '', '', 1, 69, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(77, 182, 'Page break', 'page-break', '<p>Lorem ipsum dolor sit amet consectetuer nisl urna Nulla non eu. Sed condimentum wisi odio egestas sem platea ac enim nibh quis. Leo sem porttitor Sed semper vitae lorem turpis tincidunt id enim. Et tincidunt tincidunt Pellentesque condimentum Praesent Fusce platea et et Nunc. Justo a non Nam arcu ut at amet sit aliquam ac. Tortor neque semper purus mauris.</p>\r\n', '\r\n<p>Augue scelerisque enim Aenean Vestibulum id enim Phasellus a Fusce convallis. Et Vestibulum Morbi Sed pellentesque laoreet sed Morbi urna enim nibh. Justo ligula lobortis Aliquam id velit neque dolor Nunc Sed tincidunt. Nunc sed fermentum et Nullam Curabitur consequat vel tristique ut dui. Et euismod gravida sem nibh justo nibh dui adipiscing nibh Nam. Malesuada faucibus sodales Aenean accumsan.</p>\r\n\r\n<p>Quis fermentum arcu Cum Aenean Phasellus vitae sapien volutpat cursus et. Nulla nonummy sem tempor felis congue elit facilisis pellentesque nibh dui. Maecenas Aliquam ut Pellentesque ac porttitor faucibus dui tincidunt eros facilisis. Lacinia dis pede ligula nec a feugiat consequat a sem Quisque. Habitant nec Maecenas Nunc lorem Nam ut eget.</p>\r\n\r\n<hr class="system-pagebreak" title="Page 2"  alt="page-2" />\r\n\r\n<p>Ligula wisi leo Vivamus urna consectetuer Nam semper condimentum laoreet et. At mauris eu Nam tempus turpis Vestibulum lorem congue et id. Interdum ligula ligula eu ut Sed pede ac urna Phasellus tincidunt. Vel Aliquam Phasellus dui elit Vivamus massa elit ornare pharetra odio. Velit dolor amet enim velit consequat.</p>\r\n\r\n<p>Urna fames elit Nunc semper ante fermentum orci pulvinar aliquet aliquet. Dolor elit pretium et fringilla felis dictum ligula semper ut quis. Ut Curabitur id at iaculis sed lobortis sagittis nibh pretium auctor. Id eu Nulla pellentesque condimentum ridiculus pellentesque Curabitur augue nisl accumsan. Nam sed id fringilla tempus nunc Donec turpis.</p>\r\n\r\n<p>Urna vel lorem lacinia Phasellus ut id at magna mi tempor. Accumsan at In laoreet Pellentesque ligula elit interdum sociis platea euismod. Nam urna Quisque turpis auctor cursus elit elit amet dui vitae. Elit pellentesque Nam Curabitur felis pellentesque felis Vestibulum sapien tortor Quisque. Lorem enim Praesent neque sed quis tempor orci purus malesuada pretium. Metus Phasellus.</p>\r\n\r\n\r\n<hr class="system-pagebreak" title="Page 3"  alt="page-3" />\r\n\r\n<p>Nunc libero ornare nibh Curabitur et mus hac hac consectetuer justo. Tempor nibh Quisque elit condimentum et libero nisl elit in justo. Vitae malesuada Quisque semper hac Sed enim ut lacus Curabitur adipiscing. Maecenas leo semper parturient mauris condimentum consectetuer vitae Aenean Vestibulum Morbi. At tincidunt nulla risus tempus in Curabitur enim condimentum Duis malesuada. Ut laoreet accumsan id ipsum sem tellus tortor Ut.</p>\r\n\r\n<p>Fringilla parturient vel vel parturient euismod enim quis Pellentesque ornare tincidunt. Tellus magnis turpis ut Phasellus Curabitur tellus Aliquam id dignissim ante. Semper adipiscing Integer augue fringilla quam feugiat consectetuer ipsum consequat tempus. Odio ipsum tempor Quisque ac tincidunt auctor quis dui Donec quis. Fusce risus lobortis eget ipsum id augue.</p>\r\n\r\n<p>Tempus enim wisi justo sem malesuada congue tristique a Vestibulum Donec. Semper Nulla eros volutpat nibh mauris sem feugiat scelerisque tellus Suspendisse. Vivamus congue adipiscing malesuada et Sed pretium eleifend lacinia cursus tincidunt. Nulla tellus Vestibulum at et In aliquet cursus eu id et. Orci Mauris eget at pretium adipiscing quis risus ridiculus venenatis convallis. Curabitur dui lacinia.</p>\r\n\r\n<p>Tristique hendrerit faucibus dolor leo Curabitur facilisis aliquam hac scelerisque elit. Adipiscing et convallis eu pede justo ultrices vel in Nam justo. Vel laoreet ante eros a id enim ullamcorper habitant porta lacus. Justo ac enim rhoncus Vestibulum at Nulla platea id leo Vivamus. Ut sagittis lacus Praesent pretium nunc Nunc metus pretium netus convallis. Vitae nunc nibh Aliquam tincidunt Donec quis pellentesque ac justo.</p>', 0, 79, '2013-11-08 04:21:16', 42, '', '2013-11-15 08:35:28', 542, 0, '0000-00-00 00:00:00', '2013-11-08 04:21:16', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 10, '', '', 1, 30, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(79, 185, ' Free Joomla Multilingual Extension', 'free-joomla-multilingual-extension', '<p>The free Joomla Extension for Multilanguage Translation - <strong><a href="http://www.joomlart.com/joomla/extensions/ja-multilingual-component" title="JA Multilingual for Joomla 2.5 and Joomla 3" style="text-decoration:none" target="_blank">JA Multilingual</a></strong> version 1.0.1 for Joomla 2.5 and Joomla 3 has been upgraded to support <strong>EasyBlog</strong> component.</p>\r\n\r\n', '\r\n\r\n<p>If you haven\'t gotten around to know on this brand new FREE Joomla extension for Multilanguage Translation - <strong>JA Multilingual</strong>, here is a quick jot-down on its features:</p>\r\n<ul class="ja-checklist">\r\n            <li>Use BING translation service (sign up for Free)</li>\r\n            <li>Select any language to translate FROM/TO</li>\r\n            <li>Multi languages installation</li>\r\n            <li>Translate all languages in one time</li>\r\n            <li>Easy Association management</li>\r\n            <li>Only translate new content (from the second translation)</li>\r\n        </ul>\r\n\r\n\r\n<p>For more details on this update, please read at its changelog.</p>\r\n<p><strong>Upgrade steps</strong></p>\r\n\r\n<ul >\r\n<li>View the comparison between versions at <a href="http://update.joomlart.com/" title="Joomlart version update and comparison" target="_blank">JoomlArt Version Updates</a> and replace the affected files, if you have not customized the affected files.</li>\r\n\r\n<li><strong>RECOMMENDED</strong> : Use <a href="/joomla/extensions/ja-extensions-manager">JA extension Manager (JAEM)</a> Component for upgrade. Watch <strong><a target="_blank" href="http://www.youtube.com/watch?v=NCufzI-Z6cM&list=PL4BjMzuBkvR_WDwn30cfWF9W9_PUDjiZa">video</a></strong> for how to upgrade using JAEM. Make sure you have latest version of JAEM installed on your site.</li>\r\n</ul>\r\n<p>Please discuss issues related with these updates in each extension respective forum.</p>', 1, 79, '2013-11-08 05:01:43', 42, '', '2014-02-17 03:17:07', 42, 0, '0000-00-00 00:00:00', '2013-11-08 05:01:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s1.png","float_intro":"","image_intro_alt":"Demo Article 1","image_intro_caption":"Demo Article 1","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"Demo Article 1","image_fulltext_caption":"Demo Article 1"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 8, 9, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(81, 187, 'Demo Articles 3', 'demo-articles-3', '<p>Pellentesque turpis felis, dignissim sit amet sagittis ac, elementum quis augue. Aliquam vitae enim risus, at laoreet metus. In sed lectus ultrices nulla accumsan scelerisque. Nunc eu facilisis dolor. Aenean feugiat, erat ac cursus congue, mauris enim rutrum sem.\r\n\r\n ', '\r\n\r\n<p>Vitae faucibus nisi urna a augue. Phasellus faucibus tristique risus quis congue. Duis a tellus lacinia nibh vestibulum imperdiet. Integer egestas lectus sed sem rutrum cursus. In vitae mauris lacus. Sed leo est, dictum eget dignissim et, blandit eget felis. Praesent hendrerit felis dolor. Suspendisse potenti. Aenean mauris elit, sodales quis dapibus non, commodo in diam.</p>\r\n\r\n<p>Aliquam a nisl elit, vitae pharetra sem. Morbi dignissim tortor in quam consequat eu aliquam tortor mollis. Aenean ac magna magna. Etiam venenatis dictum ipsum, sit amet luctus mi tempor nec. Aenean magna enim, volutpat at tempor id, venenatis in nisi. Morbi lacinia elit in lacus ultrices porttitor. Duis magna nunc, congue ac dapibus vel, viverra venenatis augue. Integer vulputate aliquet semper. Cras id magna id ipsum commodo eleifend eu in lorem. Maecenas adipiscing aliquet quam ut posuere.</p>\r\n\r\n<p>Ut ante augue, accumsan id gravida tristique, fringilla quis turpis. Vestibulum hendrerit, mauris sed feugiat lobortis, sapien turpis adipiscing risus, gravida scelerisque augue augue nec lorem. Nulla sit amet magna risus. Integer felis ipsum, elementum a elementum eget, molestie et orci. Ut nec dui ligula. Praesent tincidunt lectus ac massa vehicula vitae egestas ipsum suscipit. Maecenas nisl lectus, euismod in hendrerit vitae, egestas a velit. Nulla et porttitor nisi. Proin aliquet nunc sed eros dictum rhoncus. Donec dolor justo, volutpat vel fringilla eget, porta et dui. Pellentesque consequat aliquam nulla at congue. Nullam faucibus aliquet dolor sed pulvinar. Suspendisse gravida luctus magna, et euismod tortor pharetra euismod.</p>\r\n\r\n<p>Fusce pharetra tincidunt vestibulum. Proin sit amet ante eget orci ultricies euismod in quis lacus. Suspendisse potenti. Mauris ornare risus ut urna placerat vulputate gravida ligula pharetra. Etiam in mi id enim rutrum sodales vitae in nunc. Nulla vel ante sed lectus iaculis aliquet nec at elit. Pellentesque sit amet urna sit amet felis ullamcorper ornare. Integer sit amet orci odio. Morbi cursus massa id diam sollicitudin malesuada. Etiam elit turpis, consectetur ut pellentesque et, euismod a est. Phasellus purus sapien, aliquet eget pretium vel, tincidunt sit amet nibh. Curabitur in erat justo. Etiam non turpis risus.</p>\r\n\r\n<p>Quisque elementum, sem a cursus porttitor, felis nibh semper mauris, non rutrum orci elit id dolor. Etiam ac turpis magna. Maecenas quam enim, fringilla quis malesuada sed, ultrices a purus. Suspendisse potenti. Pellentesque sodales, metus nec condimentum tempus, ante diam tempor purus, mattis iaculis lectus mauris quis dolor. Pellentesque ut molestie lectus. Maecenas consectetur fringilla commodo. Donec adipiscing venenatis aliquet. Etiam commodo imperdiet fringilla. Nunc dapibus velit sed metus porta vehicula. </p>', 1, 79, '2013-11-08 05:02:43', 42, '', '2014-01-08 08:20:15', 542, 0, '0000-00-00 00:00:00', '2013-11-08 05:02:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s3.png","float_intro":"","image_intro_alt":"Demo Articles 3","image_intro_caption":"Demo Articles 3","image_fulltext":"images\\/joomlart\\/stories\\/s3.png","float_fulltext":"","image_fulltext_alt":"Demo Articles 3","image_fulltext_caption":"Demo Articles 3"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 8, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(83, 189, 'Demo Article 5', 'demo-article-5', '<p>Nullam non sem nulla, eu rutrum dui. Duis lobortis dignissim neque et venenatis. Morbi pulvinar gravida augue, ac blandit odio facilisis eu. Fusce commodo dui consequat nibh lacinia sed elementum mi aliquam.</p>\r\n\r\n ', '\r\n\r\n<p>Curabitur suscipit tortor et leo condimentum imperdiet egestas risus pharetra. Maecenas eu lorem justo. Mauris faucibus dui eu justo euismod faucibus. In varius ultrices elit, ac ultrices diam tempor eu. Nulla ultrices, sapien sed consequat dapibus, nunc purus rutrum ligula, id egestas eros urna sit amet tortor.</p>\r\n\r\n<p>Aliquam porttitor turpis eget arcu dictum nec tempor augue tempus. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Maecenas quis magna quis arcu scelerisque sagittis. Integer sit amet velit sit amet metus pretium pellentesque. Fusce interdum felis in nisi tincidunt at sollicitudin nisl elementum. Quisque est diam, varius sit amet scelerisque ut, aliquet vitae ipsum. Nulla facilisi. Ut lacinia semper porta. Donec quis eros non mi scelerisque adipiscing sed quis orci. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p>\r\n\r\n<p>Proin scelerisque tellus eget velit consequat volutpat. Proin porta orci non quam egestas ut varius leo fermentum. Integer dui velit, dignissim ac elementum nec, vestibulum eget erat. Morbi pretium quam non risus semper bibendum. Fusce faucibus, nulla eu volutpat rhoncus, enim erat eleifend purus, cursus bibendum mi nibh vitae leo. Morbi cursus aliquet turpis, nec aliquet augue tincidunt volutpat. Aenean sed dui massa.</p>\r\n\r\n<p>Fusce id metus purus. Donec eu mollis sapien. Vestibulum condimentum mauris ac nunc venenatis ut convallis mi accumsan. Nam rutrum, nunc at pellentesque vehicula, leo nunc feugiat mi, ac adipiscing enim neque ut elit. Suspendisse quis nunc et nunc tempor iaculis. Etiam erat nulla, malesuada eu rhoncus a, rutrum vitae ante. Vestibulum ac quam pulvinar arcu adipiscing semper. Donec ullamcorper tempus magna id malesuada. Nunc velit leo, ultrices non rhoncus et, scelerisque nec lacus. Proin tellus ipsum, tempor ut laoreet vel, adipiscing in sem. Integer pellentesque justo vitae nunc feugiat rutrum. Fusce ut diam nulla. </p>', 1, 79, '2013-11-08 05:03:38', 42, '', '2014-01-08 08:21:39', 542, 0, '0000-00-00 00:00:00', '2013-11-08 05:03:38', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s6.png","float_intro":"","image_intro_alt":"Demo Article 5","image_intro_caption":"Demo Article 5","image_fulltext":"images\\/joomlart\\/stories\\/s6.png","float_fulltext":"","image_fulltext_alt":"Demo Article 5","image_fulltext_caption":"Demo Article 5"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 7, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(84, 190, 'Demo Article 6', 'demo-article-6', '<p>Aliquam pellentesque velit et augue viverra dapibus. Cras tempus ultrices iaculis. Fusce feugiat, arcu condimentum malesuada sodales, quam elit porttitor neque, quis dictum felis lectus adipiscing ante.</p>\r\n\r\n ', '\r\n\r\n<p>Suspendisse libero erat, consectetur sit amet iaculis ac, faucibus ac diam. Aliquam ut tellus leo. Proin a risus porta lectus dignissim rhoncus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Suspendisse imperdiet felis semper sem congue eget luctus odio blandit. Maecenas purus nunc, convallis in dictum vitae, pulvinar sed est.</p>\r\n\r\n<p>Quisque eu odio sed elit dapibus imperdiet. Pellentesque in neque lorem, nec suscipit enim. In mattis pretium ante vel interdum. Integer sodales enim at enim faucibus porttitor. Donec placerat porttitor sollicitudin. Praesent lectus libero, pulvinar quis commodo in, mollis ac neque. Nulla ultricies volutpat neque, ut consequat mi accumsan sit amet. Vivamus elementum tempor augue sed pharetra. Aliquam sit amet libero id lectus tincidunt suscipit. Maecenas convallis orci eu mi ultricies eu facilisis metus consequat. Morbi eu lorem in dolor viverra hendrerit nec eget nisl. Proin adipiscing, diam non sagittis bibendum, diam augue rhoncus justo, non scelerisque erat massa id purus.</p>\r\n\r\n<p>Cras sed sapien ac nunc adipiscing tempus blandit id urna. Etiam congue tortor eget massa mattis venenatis. In hac habitasse platea dictumst. Duis eu nulla non tellus aliquet placerat. Nam non nisi id urna pharetra pellentesque sit amet id justo. Sed convallis volutpat vulputate. Vivamus vitae arcu et neque sollicitudin ornare. Curabitur ut purus sit amet nisi convallis consectetur ut a turpis. Praesent gravida vestibulum sapien eu rutrum. Nulla tristique metus eu felis luctus nec dictum ante porttitor. Suspendisse potenti. Duis vel elit metus, at porttitor arcu. </p>', 1, 79, '2013-11-08 05:04:03', 42, '', '2014-01-08 08:16:16', 542, 0, '0000-00-00 00:00:00', '2013-11-08 05:04:03', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s6.png","float_intro":"","image_intro_alt":"Demo Article 6","image_intro_caption":"Demo Article 6","image_fulltext":"images\\/joomlart\\/stories\\/s6.png","float_fulltext":"","image_fulltext_alt":"Demo Article 6","image_fulltext_caption":"Demo Article 6"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 6, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(85, 191, 'Demo Article 7', 'demo-article-7', '<p>Sed id nisi et velit tincidunt placerat et eu massa. Phasellus malesuada ullamcorper gravida. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Vestibulum adipiscing ornare eleifend. Aliquam erat volutpat.</p>\r\n\r\n ', '\r\n\r\n<p>Aliquam mattis, nisi id semper dictum, velit enim tempor turpis, eu placerat dolor odio ut quam. Phasellus ut dolor lectus, a ultrices tellus. Fusce semper tellus quis quam scelerisque vel egestas turpis auctor. Donec enim dui, tristique ornare dictum in, pulvinar nec lorem. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec in tincidunt magna. Proin eu odio sed leo lacinia faucibus ut eget magna. Donec fringilla porta tortor vitae commodo. Nulla id magna vel purus dictum venenatis. Suspendisse bibendum, lorem id aliquet feugiat, dui libero sollicitudin ante, et interdum magna elit non nibh.</p>\r\n\r\n<p>Pellentesque pulvinar, odio at pretium molestie, dui ligula vehicula risus, at pretium leo ipsum eu dui. Praesent consequat, ligula et rutrum pharetra, nulla risus malesuada libero, sit amet imperdiet quam sapien ac metus. Aenean eget elementum turpis. Sed rutrum ultricies arcu, sed rutrum lorem ullamcorper ac. Sed condimentum rutrum fringilla. Nulla sed elit suscipit leo rhoncus pulvinar dignissim et nisl. Suspendisse dignissim pellentesque magna ut pellentesque. Aliquam vulputate tortor non lacus auctor at vehicula diam vestibulum. Nunc orci turpis, vulputate a porttitor sit amet, commodo vitae risus. Nunc feugiat malesuada orci et convallis. Aenean in massa ut enim volutpat eleifend nec eget neque. Curabitur consectetur erat tellus.</p>\r\n\r\n<p>Suspendisse ut lorem purus, euismod facilisis nulla. Duis in urna a nulla consequat fringilla. Proin pulvinar iaculis commodo. Vivamus hendrerit ullamcorper nibh nec elementum. Morbi dapibus elit quis arcu venenatis porta accumsan augue molestie. Pellentesque pharetra ante vitae purus fringilla pellentesque. Aliquam nunc tortor, consectetur a sollicitudin a, tristique sit amet velit. Quisque eget sapien risus. Sed venenatis, sapien iaculis ullamcorper rhoncus, quam felis facilisis libero, eu lacinia nulla velit nec tellus. Donec euismod odio ac massa cursus mollis. Nulla adipiscing, ligula nec pharetra adipiscing, quam nisi cursus sapien, quis posuere ante erat vel sem. Vivamus tristique turpis in orci dictum id dictum nisi iaculis. </p>', 1, 79, '2013-11-08 05:04:34', 42, '', '2014-01-08 08:18:14', 542, 0, '0000-00-00 00:00:00', '2013-11-08 05:04:34', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s7.png","float_intro":"","image_intro_alt":"Demo Article 7","image_intro_caption":"Demo Article 7","image_fulltext":"images\\/joomlart\\/stories\\/s7.png","float_fulltext":"","image_fulltext_alt":"Demo Article 7","image_fulltext_caption":"Demo Article 7"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(86, 192, 'Demo Article 8', 'demo-article-8', '<p>Duis mattis bibendum tortor, in sollicitudin lorem volutpat non. Pellentesque pellentesque tortor ut orci fermentum fringilla. Proin est nisi, tristique sed consectetur eget, consequat id urna. Maecenas mi risus, porta eu semper ut, porttitor mattis mauris. </p>\r\n\r\n ', '\r\n\r\n<p>Pellentesque magna risus, hendrerit elementum suscipit quis, rutrum in enim. Vivamus quam quam, laoreet eu aliquet a, mattis at risus. Curabitur porta, odio nec pulvinar ornare, tellus nibh pharetra lectus, at lacinia libero justo nec neque. Donec placerat neque sed augue vestibulum eu consectetur dui egestas. Maecenas erat libero, vestibulum ac luctus vel, aliquet non dolor. Vivamus volutpat interdum eros, eu viverra velit elementum ut. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Nulla mauris nunc, feugiat et fringilla vel, cursus in diam.</p>\r\n\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nulla iaculis suscipit sem nec sollicitudin. Curabitur pretium tortor sit amet nunc accumsan non sollicitudin ante sollicitudin. Nullam malesuada lectus at nunc congue ac euismod nibh commodo. Quisque vel nisi neque. Sed velit neque, bibendum et ullamcorper sed, luctus ut est. Nam a mattis arcu. Vestibulum a ligula elit. Phasellus lorem mauris, placerat a mollis id, rutrum quis nisl. Aliquam tristique magna vel tortor faucibus aliquam. Integer cursus, neque ut pharetra aliquet, eros risus mattis mauris, vel consectetur arcu orci nec ante. Praesent ullamcorper laoreet pretium. In vel lacus eu neque convallis euismod.</p>\r\n\r\n<p>Vestibulum at libero eu nisl vestibulum gravida dapibus vitae lacus. Vivamus ultricies volutpat metus a commodo. Aliquam facilisis ipsum eget velit fringilla laoreet. Curabitur commodo sagittis metus, sed laoreet urna mattis in. Phasellus adipiscing massa et purus dignissim scelerisque. Nam imperdiet egestas neque. Suspendisse sed est vel enim ultricies condimentum quis eu risus. Aliquam erat volutpat. Quisque viverra ornare mauris vitae scelerisque. Quisque orci neque, congue tempor rutrum non, sollicitudin et ligula. Sed vel augue elit. </p>', 1, 79, '2013-11-08 05:05:01', 42, '', '2014-01-08 08:20:53', 542, 0, '0000-00-00 00:00:00', '2013-11-08 05:05:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s8.png","float_intro":"","image_intro_alt":"Demo Article 8","image_intro_caption":"Demo Article 8","image_fulltext":"images\\/joomlart\\/stories\\/s8.png","float_fulltext":"","image_fulltext_alt":"Demo Article 8","image_fulltext_caption":"Demo Article 8"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(87, 193, 'Demo Article 9', 'demo-article-9', '<p>Nunc tincidunt congue lectus, nec imperdiet tortor adipiscing in. Praesent est lorem, convallis ac interdum sit amet, consequat vitae nulla. Aenean hendrerit, mauris sed viverra accumsan, libero purus scelerisque orci, viverra eleifend libero sapien vitae lacus.</p>\r\n\r\n ', '\r\n\r\n<p>Integer faucibus tortor id odio eleifend in scelerisque sapien lacinia. In ut mattis nunc. Suspendisse potenti. Pellentesque dictum congue purus et molestie. Suspendisse volutpat imperdiet arcu, a ornare felis pharetra eu. Donec viverra vulputate odio eget blandit. Nulla ornare lectus ac ipsum lacinia lobortis.</p>\r\n\r\n<p>Curabitur in massa non magna interdum iaculis eu non leo. Duis in ultricies ipsum. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam rutrum ornare purus, non adipiscing diam hendrerit vitae. Sed euismod tempor laoreet. Donec est ipsum, tristique non porttitor vitae, tempus at tellus. Vivamus quis felis ut ipsum vulputate interdum sit amet a lorem. Aenean id magna ut dolor fermentum convallis et ut nunc. Proin euismod metus eget mi posuere id vehicula sem tempor. Nulla sed nisi at lacus venenatis cursus quis at nisl. Quisque pretium lacinia nibh, eu varius neque rutrum sit amet. Aliquam gravida, arcu sit amet semper porta, magna metus vulputate leo, dapibus fermentum velit lacus sed nibh. Ut semper nibh quis velit tristique eu feugiat turpis malesuada. Sed vel nibh leo, at volutpat diam. Duis venenatis magna ut nisl auctor pretium. </p>', 1, 79, '2013-11-08 05:05:29', 42, '', '2014-01-08 08:18:35', 542, 0, '0000-00-00 00:00:00', '2013-11-08 05:05:29', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s9.png","float_intro":"","image_intro_alt":"Demo Article 9","image_intro_caption":"Demo Article 9","image_fulltext":"images\\/joomlart\\/stories\\/s9.png","float_fulltext":"","image_fulltext_alt":"Demo Article 9","image_fulltext_caption":"Demo Article 9"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(88, 194, 'Demo Article 10', 'demo-article-10', '<p>Nam mi est, ultricies nec ornare in, venenatis ac risus. Duis condimentum hendrerit sollicitudin. Vestibulum condimentum, libero vitae aliquet auctor, lacus sapien hendrerit tortor, a suscipit metus sem vitae est. Mauris feugiat imperdiet tellus at vulputate.</p>\r\n\r\n ', '\r\n\r\n<p>Phasellus vel purus eros. Aenean dolor diam, eleifend ut dapibus a, gravida sit amet ipsum. Pellentesque sit amet nisl vel dolor vestibulum placerat non eu ante. Suspendisse potenti. Vivamus vel lacus nisi. Maecenas aliquam sagittis orci. Integer mattis nisl leo, sed consectetur sem. Aenean luctus, metus eget dapibus rhoncus, turpis mauris commodo arcu, sit amet lobortis magna diam in dolor. Maecenas in enim et eros accumsan hendrerit. Vivamus sed ante ante, lacinia consequat dui. Nunc lorem ipsum, porttitor sit amet dignissim a, vestibulum eu enim. Nam volutpat bibendum arcu vel facilisis.</p>\r\n\r\n<p>Vivamus nisl nunc, ultricies faucibus laoreet at, malesuada et arcu. Curabitur molestie enim ac metus sagittis eu aliquet massa consectetur. Integer ullamcorper auctor mi, eget ornare nunc ultrices in. Morbi erat nibh, mollis sed sodales quis, dapibus a tellus. Donec fringilla adipiscing dui, sit amet cursus justo elementum eget. Praesent dignissim massa at odio tempor at varius sapien vulputate. Etiam consectetur tempus ornare. Integer eleifend vulputate condimentum. Sed eu nulla turpis, at mollis justo. Vivamus id justo nisl.</p>\r\n\r\n<p>Suspendisse potenti. Quisque orci lacus, gravida eu aliquet id, placerat quis mauris. Maecenas in metus tellus. Phasellus purus erat, dapibus et iaculis sit amet, malesuada eget mi. Nunc condimentum, neque vel venenatis consequat, quam nisl molestie nibh, in molestie justo augue eu nisl. Praesent interdum pellentesque diam, id faucibus orci eleifend et. Pellentesque et massa vitae velit adipiscing congue vitae sit amet elit. Nam tempus, leo iaculis porttitor euismod, purus velit fringilla nunc, vel sagittis erat nibh sit amet libero. In vel ligula felis. </p>', 1, 79, '2013-11-08 05:05:55', 42, '', '2014-01-08 08:11:24', 542, 0, '0000-00-00 00:00:00', '2013-11-08 05:05:55', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s10.png","float_intro":"","image_intro_alt":"Demo Article 10","image_intro_caption":"Demo Article 10","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"Demo Article 10","image_fulltext_caption":"Demo Article 10"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 2, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(89, 195, 'JA Social on T3 Framework', 'new-features-in-joomla-2-5', '<p>As promised, the Responsive Joomla template for Social - <strong>JA Social</strong> is now compatible with the latest version of <strong><a href="http://t3-framework.og" title="T3 Framework" style="text-decoration:none" target="_blank">T3 Framework</a></strong>. The template is also ready to rock and roll with the latest version of <strong>JomSocial 3.0.1</strong></p>\r\n\r\n', '\r\n\r\n<i>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</i>\r\n\r\n<p>JA Social also inherits all the other amazing features that T3 Framework supports. For more detail on the update, please read at its changelog and remember to ALWAYS back-up your site before proceeding to any of the update process</p>\r\n\r\n<b>This responsive Joomla template is shipped the following great features:</b>\r\n\r\n<ul>\r\n<li>Filter Tag Cloud (applied for Joomla 3 only)</li>\r\n<li>Supports Joomla 2.5 and Joomla 3.0</li>\r\n<li>Supports Mega Menu</li>\r\n<li>Supports RTL language</li>\r\n<li>Supports K2</li>\r\n<li>Supports Kunena</li>\r\n</ul>\r\n<br>\r\n\r\n<a href="http://www.joomlart.com/forums/downloads.php?do=cat&id=503" style="text-decoration:none" title=" JA Social for T3 Framework Download">Download</a>\r\n\r\n<a href="http://pm.joomlart.com/secure/ReleaseNote.jspa?projectId=14278&version=16851 " style="text-decoration:none" title="Changelog for JA Social for T3 Framework">Changelog</a> \r\n\r\n\r\n<p>Please discuss any issues related to these updates at the JA Social template forum.</p>\r\n<p>Watch out for other T3 Framework updates by bookmarking the Updates section. The next in line is <strong>JA Teline IV</strong> (woohoo!!!).</p>\r\n\r\n<p><strong>Previous T3v3 Framework compatible templates:</strong></p>\r\n<ul>\r\n<li><a href="http://www.joomlart.com/updates/joomla-templates/responsive-joomla-template-for-news-ja-nex-now-on-t3v3-framework" title="JA Nex is now compatible with T3v3 Framework" style="text-decoration:none" target="_blank">JA Nex is now compatible with T3v3 Framework</a></li>\r\n</ul>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 1, 80, '2013-11-15 08:23:16', 42, '', '2014-01-23 09:15:59', 42, 0, '0000-00-00 00:00:00', '2013-11-15 08:23:16', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/demo-s3.jpg","float_intro":"","image_intro_alt":"JA Social on T3 Framework","image_intro_caption":"JA Social on T3 Framework","image_fulltext":"images\\/joomlart\\/stories\\/demo-s3.jpg","float_fulltext":"right","image_fulltext_alt":" New Features in Joomla! 2.5","image_fulltext_caption":" New Features in Joomla! 2.5"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 14, 3, '', '', 1, 22, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(90, 197, 'JA Teline IV for T3', 'ja-teline-iv-now-on-t3-framework', '<p>Following up our previous Joomla template upgrades <strong><a href="http://www.joomlart.com/updates/joomla-templates/responsive-joomla-template-for-news-ja-nex-now-on-t3v3-framework" title="">JA Nex</a></strong> and <strong><a href="http://www.joomlart.com/updates/joomla-templates/responsive-joomla-template-for-social-ja-social-now-on-t3v3-framework" title="Joomla template JA Social in T3 Framework">JA Social</a></strong>, our popular Responsive Joomla template for News - <strong><a href="http://www.joomlart.com/joomla/templates/ja-teline-iv" title="More info about Joomla template JA Teline IV">JA Teline IV</a></strong> has been upgraded to be compatible with the latest version of <strong><a href="http://t3-framework.og" title="T3 Framework" style="text-decoration:none" target="_blank">T3 Framework</a></strong> for Joomla 2.5 and Joomla 3.</p>\r\n\r\n', '\r\n<p>JA Teline IV version 1.0.0 is available with the following great extensions:</p>\r\n\r\n<ul class="ja-checklist">\r\n<li>JA News featured</li>\r\n<li>JA Newsticker</li>\r\n<li>JA Twitter</li>\r\n<li>JA Newspro</li>\r\n<li>JA Facebook Likebox</li>\r\n<li>JA Disqus Debate Echo plugin</li>\r\n<li>JA Popup Plugin</li>\r\n<li>JA Thumbnail Plugin</li>\r\n</ul>\r\n<br>\r\n<p>More details on this update can be read at its changelog and don’t forget to back-up your site before proceeding to any of the upgrading process.</p>\r\n\r\n<div class="alert alert-info ja-msg-box">\r\n<div class="ja-msg-box-ct clearfix" align="left">\r\n<p><strong>JA Teline IV for T3 Framework </p></strong>\r\n<ul class="ja-ctlist ctlist-menu">\r\n<li><a href="http://joomla-templates.joomlart.com/ja_teline_iv_t3" style="text-decoration:none" title=" JA Teline IV for T3 Framework Demo">Demo for Joomla 2.5 & Joomla 3</a>\r\n\r\n<a href="http://www.joomlart.com/forums/downloads.php?do=cat&id=510" style="text-decoration:none" title=" JA Teline IV for T3 Framework Download">Download</a>\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n\r\n<div class="ja-msg-foot msg-foot-info clearfix">\r\n  <h3>IMPORTANT:</h3>\r\n<ul>\r\n  <li>With this release it is recommended to upgrade to the latest T3 Framework.</li>\r\n  <li>The older JA T3v2 framework version will no longer be supported.</li>\r\n </ul>\r\n</div>\r\n\r\n<p>Please discuss any issues related to these updates at the JA Teline IV template forum.</p>\r\n\r\n<p><strong>Previous T3v3 Framework compatible templates:</strong></p>\r\n<ul>\r\n<li><a href="http://www.joomlart.com/updates/joomla-templates/responsive-joomla-template-for-news-ja-nex-now-on-t3v3-framework" title="JA Nex is now compatible with T3v3 Framework" style="text-decoration:none" target="_blank">JA Nex is now compatible with T3v3 Framework</a></li>\r\n<li><a href="http://www.joomlart.com/updates/joomla-templates/responsive-joomla-template-for-social-ja-social-now-on-t3v3-framework" title="JA Social is now compatible with T3v3 Framework" style="text-decoration:none" target="_blank">JA Social is now compatible with T3v3 Framework</a></li>\r\n</ul>', 1, 80, '2013-11-15 08:24:49', 42, '', '2014-01-23 09:11:52', 42, 0, '0000-00-00 00:00:00', '2013-11-15 08:24:49', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/demo-s1.jpg","float_intro":"","image_intro_alt":"JA Teline IV for T3","image_intro_caption":"JA Teline IV for T3","image_fulltext":"images\\/joomlart\\/stories\\/demo-s1.jpg","float_fulltext":"right","image_fulltext_alt":"Bootstrap from Twitter","image_fulltext_caption":"Bootstrap from Twitter"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 9, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(91, 198, 'T3 Framework 2.0.2 released', 't3-framework-v2-0-2-released', '<p>We have upgraded the powerful Joomla template framework - T3 Framework 2.0.2 to the latest version of Joomla 3.2.1 and Joomla 2.5.17.</p> \r\n<p>In case you are new to T3, here are some key features of this Joomla framework:</p>\r\n', '\r\n<ul>\r\n<li>Fully Responsive</li>\r\n<li>HTML5, Bootstrap 3 and LESS</li>\r\n<li>Comes with 2 starter themes</li>\r\n<li>Flat design</li>\r\n<li>Supports Megamenu and Off-canvas</li>\r\n<li>Flexible layout system</li>\r\n<li>Joomla 2.5 and Joomla 3 native</li>\r\n<li>Supports Real Time Theme Customization</li>\r\n<li>Supports Font Awesome 3 & 4</li>\r\n</ul>\r\n\r\n<p>In this update, we have included numerous bug fixes with two improvements. Those are:</p>\r\n<ul>\r\n<li>Add condition to load old javascript only in Joomla 2.5.x</li>\r\n<li> Add gutter width on thememagic for T3 B3 Blank template</li>\r\n</ul>\r\n\r\n<p>More details can be read at its changelog below and please ALWAYS back up your site before proceeding to the update process.</p>\r\n<div class="ja-msg-box">\r\n<div class="ja-msg-box-ct clearfix" align="left">\r\n<ul class="ja-ctlist ctlist-menu">\r\n<li>\r\n<a href="http://update.joomlart.com/#compare/T3/2.0.2/2.0.1" title="Compare Joomla template framework - T3 Framework version 2.0.2">Compare</a>\r\n</li>\r\n<li>\r\n<a href="https://github.com/t3framework/t3/blob/master/CHANGELOG.md" title="Joomla template framework - T3 Framework version 2.0.2 Changelog">Changelog</a>\r\n</li>\r\n\r\n<li>\r\n<a href="http://demo.t3-framework.org/joomla25/" title="Joomla template framework - T3 Framework version 2.0.2 - Demo for Joomla 2.5">Demo Joomla 2.5</a>\r\n<a href="http://demo.t3-framework.org/joomla30/" title="Joomla template framework - T3 Framework version 2.0.2 - Demo for Joomla 3.2">Demo Joomla 3.2</a>\r\n</li>\r\n<li>\r\n<a href="https://github.com/t3framework/t3/releases/tag/v2.0.2" title="Download Joomla template framework - T3 Framework version 2.0.2 from Github">Download from Github</a>\r\n<a href="http://www.joomlart.com/forums/downloads.php?do=cat&id=473" title="Joomla template framework - T3 Framework version 2.0.2 - Demo for Joomla 3.2">Download from Joomlart</a>\r\n</li>\r\n</ul>\r\n</div>\r\n</div>\r\n\r\n<p><strong>Upgrade steps</strong></p>\r\n<ul class="ja-checklist">\r\n<li>View the comparison between versions at <a href="http://update.joomlart.com/" title="Joomlart version update and comparison" target="_blank">JoomlArt Version Updates</a> and replace the affected files, if you have not customized the affected files.</li>\r\n<li><strong>RECOMMENDED</strong> : Use <a href="/joomla/extensions/ja-extensions-manager">JA Extension Manager</a> Component for upgrade. Watch <strong><a target="_blank" href="http://www.youtube.com/watch?v=NCufzI-Z6cM&amp;list=PL4BjMzuBkvR_WDwn30cfWF9W9_PUDjiZa">video</a></strong> for how to upgrade using JAEM.</li>\r\n</ul>\r\n<p>Any issue related to the above can be discussed at T3 Framework forums.</p>', 1, 80, '2013-11-15 08:26:09', 42, '', '2014-01-23 08:54:23', 42, 0, '0000-00-00 00:00:00', '2013-11-15 08:26:09', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/demo-s2.jpg","float_intro":"right","image_intro_alt":"T3 Framework 2.0.2 released","image_intro_caption":"T3 Framework 2.0.2 released","image_fulltext":"images\\/joomlart\\/stories\\/demo-s2.jpg","float_fulltext":"right","image_fulltext_alt":"LESS","image_fulltext_caption":"LESS"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 11, 2, '', '', 1, 12, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(92, 199, 'Bootstrap 2.1.0 released', 'bootstrap-2-1-0-released', '<p>Hello folks,</p>\r\n\r\n<p>As you might already know, our T3 Joomla template framework has integrated Bootstrap in full features since the very beginning. And whoops!!!</p>\r\n\r\n<p>The new version <a href="http://blog.getbootstrap.com/2013/08/19/bootstrap-3-released" title="Bootstrap 3.0" style="text-decoration:none">Bootstrap 3.0</a> has been released a few days back to celebrate Bootstrap 2nd birthday. Bootstrap 3.0 took the team almost 9 months to work on it, and was officially shipped out to the world with tons of new features and changes. \r\n</p>\r\n\r\n', '\r\n\r\n<h3>9 things you should know about Bootstrap 3.0 : </strong></h3>\r\n\r\n<h4>1.  RESPONSIVE and FLAT all the way</h4> \r\n<p>This 3rd version are built starting from the mobile devices, and the the design went Flat. Even the modal code got its “makeover” to be “responsive friendly.” If you aren\'t into responsive, <a href="http://getbootstrap.com/getting-started/#disable-responsive" title="How to disable Responsive for Bootstrap 3.0" style="text-decoration:none">this feature can be disable.</a></p>\r\n\r\n<h4>2.  Box sizing</h4>\r\n<p>Everything now is in boxes. Resizing becomes much easier.</p>\r\n\r\n<h4>3.  Even better grid system</h4>\r\n<p>The system now has <a href="http://getbootstrap.com/css/#grid" title="Bootstrap 3.0 grid system" style="text-decoration:none">4 tiers of classes</a>: xs (phones), sm (tablets), md (desktops), and lg (larger desktops). You can quickly achieve a desired flexible layout with those classes. </p>\r\n\r\n\r\n<h4>4.  Rewritten JavaScript plugin and consistent classes</h4>\r\n<p>Javascript plugin promises to be conflict free, and consistent classes striving for hassles free customization.</p>\r\n\r\n<h4>5.  Optional theme</h4>\r\n\r\n<h4>6.  Glyphicons icon font</h4>\r\n<p>It is back in font format instead of images. <a href="http://glyphicons.com/" title="Glyphicons" style="text-decoration:none">Glyphicons</a> are not available for free, but we get them <a href="http://getbootstrap.com/components/" style="text-decoration:none" title="Glyphicons in Bootstrap is free">packed in Bootstrap</a> with free of cost! Awesome!</p>\r\n\r\n<h4>7.  Added some components, then removed some</h4>\r\n<p>Panels and list groups join in the game, while removing accordion, submenus, typeahead, and other small items.\r\n</p>\r\n\r\n<h4>8.  Goodbye IE7 and FF 3.6</h4>\r\n<p>Unfortunately, Bootstrap 3.0 will no longer support either of these browser versions. \r\n</p>\r\n\r\n<h4>9.  And the seemed-like never-ending list of bug fixes</h4>\r\n\r\n<br>\r\n<h3>So what’s gonna happen with our <a href="http://t3-framework.org/" title="T3 Framework" style="text-decoration:none">T3 Framework</a> then?</h3>\r\n\r\n<p>No doubt, these big changes somewhat affect our T3 Framework and we need sometimes to work things out. How long will it take though?</p>\r\n\r\n<p>That really depends on how far we would like to go with Bootstrap 3.0. Not only T3 Framework will get the upgrade, we will also be upgrading all the T3 Framework version 3 compatible Joomla templates with Bootstrap 3.0 as well. Okay, now that sounds like the Bootstrap 3.0 integration with T3 Framework will take for ages to be done, which is not actually the case. We are currently still in the discussion mode with the team on our roadmap for this upgrade. This will be carried out immediately when we finish up with other ongoing projects, which we are going to share with you in the upcoming weeks (Exciting!!! And yup, these projects are <strong>HUGE</strong>!).</p>\r\n\r\n<p>To ensure you don’t miss out with the latest status of T3 Joomla template Framework, you can head over to T3 Framework page and <strong><a href="http://t3-framework.org/using-joomla/extensions/components/users-component/registration-form.html" title="Registration" style="text-decoration:none">register to subscribe</a></strong> to our T3 Framework newsletter.</p>\r\n\r\n<div class="ja-msg-foot msg-foot-question clearfix">\r\n<h2>What do you think ‘bout Bootstrap 3.0?</h2>\r\n<ul>\r\n<li>Have you got around this Bootstrap 3.0 baby yet?</li>\r\n<li>Should we fully integrated Bootstrap 3.0 into T3 Framework?</li>\r\n</ul>\r\n<p>Please us your thought and suggestion in the comment section below</p>\r\n</div>', 1, 80, '2013-11-15 08:26:52', 42, '', '2014-01-23 09:11:34', 42, 0, '0000-00-00 00:00:00', '2013-11-15 08:26:52', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/demo-s5.jpg","float_intro":"","image_intro_alt":"Bootstrap 2.1.0 released","image_intro_caption":"Bootstrap 2.1.0 released","image_fulltext":"images\\/joomlart\\/stories\\/demo-s5.jpg","float_fulltext":"right","image_fulltext_alt":"Bootstrap 2.1.0 released","image_fulltext_caption":"Bootstrap 2.1.0 released"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 6, 1, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(93, 200, 'T3 Framework 2.0.1 release ', 'joomla-user-experience', '<p>T3 Framework - a powerful Joomla template framework version 2.0.1 was shipped last week.</p>\r\n\r\n<p><strong>What can you expect in T3 Framework version 2.0.1?</strong>: Up-to-date with Joomla & Bootstrap 3 framework, Improved in UI for both front-end & back-end, Even more flexible in term of navigation system. </p>\r\n\r\n<p>Apart from the new features, T3 Framework still embraces its core such as: Layout Configuration, ThemeMagic, Layout Customization, Megamenu Configuration, and more. If you are unfamiliar with T3 Framework, here are the shortcut to learn more about the Framework:</p>\r\n', '\r\n\r\n\r\n<h3>Joomla 3.2 and Bootstrap 3 Compatibility</h3>\r\n<p>\r\nThe new T3 Framework 2.0.1 is compatible with Bootstrap 2 and Bootstrap 3.0.3 at core. You get the best of both worlds within one single framework - T3. You can:</p>\r\n<ul>\r\n<li>Utilize the <strong>T3 Blank</strong> template with Bootstrap 2.</li>\r\n<li>Meanwhile experiment Bootstrap 3 in the new starter theme called <strong>T3 B3 Blank</strong> template. </li>\r\n<li>Compiling LESS separately among the two starter themes (T3 Blank vs. T3 B3 Blank), and you don\'t have to get everything compiled as how it\'s used to be in the past.</li>\r\n</ul>\r\n\r\n<h3>Improved User Interface</h3>\r\n<p>T3 Framework 2.0.1 has a clean, simple layout and typography. Not just the front-end is in favor, same things go to the back-end.</p>\r\n<p>A complete redesigned for administrator panel where we replace any unnecessary contextual text, help text with tags or take them off completely to avoid any confusions.</p>\r\n\r\n<h3>Navigate differently</h3>\r\n<p>In the past, T3 Framework only supported Off Canvas menu on mobile. Now it\'s available for desktop with even more options to play with:</p>\r\n<ul>\r\n<li>Support sliding motion from both sides: left-to-right and right-to-left  on either Left-to-Right or Right-to-Left mode.</li>\r\n<li>Comes in 14 effects including: slide in on top, reveal, push, rotate pusher, 3D rotate in, 3D rotate out, delayed 3D rotate, scale up, scale down, etc. (No effect was supported in T3 Framework version 1.4.3 and lower).\r\n</ul>\r\n\r\n<h3>Of course, bug fixes</h3>\r\n<p>Numerous critical bug fixes for T3 Framework version 2.0 including Thememagic, Off Canvas, Admin tour, Injection, and etc.</p>\r\n<p>Apart from those 7 things, below are the other highlights on T3 Framework version 2.0.1:</p>\r\n<ul>\r\n<li>Font Awesome 4</li>\r\n<li>Guest access level for megamenu is now configurable</li>\r\n<li>Enable / Disable Admin On / Off style</li>\r\n<li>Update LESS JS to 1.5.0</li>\r\n<li>Along with other improvements and features that you can find at its <a href="https://github.com/t3framework/t3/blob/master/CHANGELOG.md" title="T3 Framework version 2.0.1 Changelog" target="_blank">changelog</a>.</li>\r\n</ul>\r\n\r\n<p>More in-depths surrounding the controversies among T3 Framework vs. Joomla Bootstrap vs. Bootstrap 2 vs. Bootstrap 3, the compatibilities with 3rd party extensions, and what are the recommendations on how to use  T3 Framework version 2.0.1 properly will be discussed in the next T3 Framework blog session. </p>\r\n<p>Until then, stay calm, guys!</p>\r\n\r\n\r\n', 1, 80, '2013-11-15 08:27:26', 42, '', '2014-01-25 09:23:10', 42, 0, '0000-00-00 00:00:00', '2013-11-15 08:27:26', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/demo-s4.jpg","float_intro":"","image_intro_alt":"Joomla User eXperience","image_intro_caption":"Joomla User eXperience","image_fulltext":"images\\/joomlart\\/stories\\/demo-s4.jpg","float_fulltext":"","image_fulltext_alt":"Joomla User eXperience","image_fulltext_caption":"Joomla User eXperience"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 8, 0, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(94, 201, 'Demo Article 2', 'demo-article-2', '<p>Quisque fermentum erat non justo imperdiet commodo. Curabitur quis arcu in diam molestie molestie ac vel nunc. Aliquam id orci lorem, et luctus lacus. Vivamus sed velit magna, eget tempor leo. Cras eget arcu vel odio fringilla molestie in non velit.</p>\r\n\r\n ', '\r\n\r\n<p>Quisque pellentesque mauris sit amet lectus scelerisque vitae imperdiet mauris iaculis. Donec imperdiet nisi rhoncus dolor malesuada pharetra. Praesent tristique mattis dolor porta lacinia. Donec at neque scelerisque lacus lobortis imperdiet. Donec ut lorem odio, eu consectetur velit. Nulla facilisi. Ut elementum lobortis eros id condimentum.</p>\r\n\r\n<p>Etiam sed lectus arcu. In hac habitasse platea dictumst. Morbi eu lectus vel leo posuere pretium ac id nulla. Etiam eget mauris ipsum, sed rutrum elit. Nulla eu sem augue. In nec nisl vel enim auctor pretium. In a nulla quis metus aliquet volutpat.</p>\r\n\r\n<p>Quisque sit amet purus nulla. Sed vitae nibh urna. Ut sodales turpis vitae orci rutrum rhoncus. Suspendisse blandit dignissim faucibus. Proin sem leo, adipiscing non accumsan sed, suscipit vitae lectus. Donec sed mauris justo, tristique vestibulum velit. Curabitur luctus tempor nisi ut mattis. Phasellus odio dui, convallis a ullamcorper sit amet, condimentum et quam. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. In facilisis, dolor at sagittis volutpat, eros ligula blandit quam, et pulvinar libero massa eget lectus. Morbi quis hendrerit augue.</p>\r\n\r\n<p>Vestibulum justo erat, consectetur sed rutrum eu, rhoncus vel dui. Maecenas at felis nisi. Curabitur interdum dolor ut ipsum porttitor eget dapibus leo vulputate. Phasellus in tortor orci. Nulla sollicitudin quam et odio auctor molestie. Sed luctus, nisl sed egestas placerat, nisl nisl accumsan ligula, nec faucibus nunc est vel tortor. Donec vel justo lorem, id porta turpis. Quisque nibh justo, pellentesque ac mattis eget, adipiscing et turpis. Donec placerat velit eget libero molestie semper. Vivamus lobortis urna sagittis lectus mollis nec semper purus condimentum. Nullam scelerisque viverra elit, ut accumsan lectus porttitor ut. Quisque nunc nisl, euismod ut tincidunt in, venenatis sit amet augue. Suspendisse potenti. Etiam mollis, quam vehicula tincidunt tempor, tortor tellus commodo tellus, eget tincidunt ipsum urna nec ipsum. Nunc eu ipsum justo.</p>\r\n\r\n<p>Nulla quis ultricies erat. Quisque pretium, ipsum non commodo consectetur, velit velit fermentum urna, nec dictum libero felis eget enim. In lobortis pharetra velit et fringilla. Ut facilisis viverra tortor vel eleifend. Pellentesque ut orci a augue ornare pulvinar. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt iaculis tortor sed ornare. Morbi a ante at metus mollis vestibulum. Pellentesque venenatis, odio at tempus vestibulum, dolor tortor fringilla elit, a aliquam ligula nibh vel arcu. Pellentesque sed nisi metus, sit amet egestas nulla. Nunc imperdiet scelerisque dolor, ac congue nibh ultricies id. Suspendisse convallis adipiscing diam, id tempor lectus accumsan id.</p>\r\n\r\n<p>Sed quis odio tortor, porttitor tempus mauris. Aliquam erat volutpat. Sed massa erat, eleifend et eleifend sed, fringilla id dui. Donec at diam quis ante dictum rutrum. Aliquam et tortor ut nisl condimentum fermentum. Phasellus tincidunt tristique faucibus. Nulla vulputate lorem at tellus vestibulum in posuere mi molestie. Sed ut lorem dui. Maecenas a lectus erat. Donec in turpis tellus. Curabitur pharetra venenatis urna, ac feugiat leo condimentum eget. Sed lacus massa, pharetra ut adipiscing eget, porttitor vitae enim. Proin volutpat dignissim urna sed laoreet. Maecenas quam mauris, cursus sit amet euismod a, interdum sed enim. </p>', 1, 79, '2013-11-15 08:30:13', 42, '', '2014-01-25 04:01:27', 42, 0, '0000-00-00 00:00:00', '2013-11-15 08:30:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s2.png","float_intro":"","image_intro_alt":"Demo Article 2","image_intro_caption":"Demo Article 2","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"Demo Article 2","image_fulltext_caption":"Demo Article 2"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 1, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(95, 202, 'Demo Article 4', 'demo-article-4', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Proin commodo leo ac lacus eleifend egestas. Curabitur gravida tortor non est volutpat eget cursus mauris semper.</p>\r\n\r\n ', '\r\n\r\n<p>Praesent fringilla gravida nibh eget tempor. Suspendisse potenti. Morbi in eros nulla. Fusce molestie, turpis eget gravida gravida, massa metus sollicitudin magna, sed aliquet neque orci sed tellus. Aliquam erat volutpat. Vestibulum tincidunt tempor suscipit. In ultrices leo rhoncus leo ultrices varius. Fusce consectetur sollicitudin velit, venenatis euismod sem interdum eget. Aenean congue lacinia tristique. Ut a velit purus, et accumsan nunc. Nulla facilisi. Pellentesque quis sapien tortor, vel rhoncus justo. Nullam aliquam accumsan metus aliquam faucibus.</p>\r\n\r\n<p>Phasellus urna urna, vestibulum sit amet vehicula in, pellentesque nec nunc. Vivamus molestie lectus ac orci elementum luctus varius risus dignissim. Donec tristique est vel velit molestie euismod elementum sed lorem. Nulla viverra felis ut quam ultrices euismod. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Proin vel urna orci, eu tristique nulla. Aenean egestas iaculis odio, ut pretium enim interdum eu. Nullam interdum lacus eget lectus cursus vitae rhoncus lorem tempus. Donec vel ipsum mauris, eu rhoncus tortor. Maecenas feugiat nisl non turpis scelerisque vitae pretium est dictum. In id bibendum ipsum. Maecenas velit est, porta a feugiat eget, posuere quis augue. Sed luctus ultricies augue a vulputate.</p>\r\n\r\n<p>Duis porta blandit nunc, vel varius tortor egestas quis. Morbi sit amet felis et nisl suscipit ultrices. Aliquam suscipit semper lectus at accumsan. Integer scelerisque ultrices lectus sit amet sollicitudin. Phasellus fermentum, eros in pulvinar consectetur, purus felis varius sapien, et euismod augue purus vel massa. Cras mollis nisi quis urna suscipit volutpat. Curabitur vel ante nec neque posuere consectetur. Phasellus cursus turpis eu nisl semper scelerisque. Mauris malesuada tristique est ut tempor. Sed euismod varius laoreet. Quisque non elementum elit. Nam lobortis ultricies velit. Praesent eget tellus lectus, et tempus lacus. In hac habitasse platea dictumst. </p>', 1, 79, '2013-11-15 08:31:08', 42, '', '2014-01-08 08:13:18', 542, 0, '0000-00-00 00:00:00', '2013-11-15 08:31:08', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/stories\\/s4.png","float_intro":"","image_intro_alt":"Demo Article 4","image_intro_caption":"Demo Article 4","image_fulltext":"images\\/joomlart\\/stories\\/s4.png","float_fulltext":"","image_fulltext_alt":"Demo Article 4","image_fulltext_caption":"Demo Article 4"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 0, '', '', 1, 23, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(96, 273, 'Responsive Joomla template bundle - JA Wall released with 3 more styles', 'responsive-joomla-template-bundle-ja-wall-released-with-3-more-styles', '<p>The Responsive Joomla template bundle - JA Wall is out today with 3 additional styles including: Vintage, Mirror and iWall, as promised in our previous blog on the latest upgrade for JA Wall to Joomla 3.2. The 3 additional styles are all stunning, clean yet modern.</p>\r\n\r\n', '\r\n\r\n<p> These 3 styles are also featuring all the highlights that JA Wall does:</p>\r\n\r\n<p>If you did fall for the 9 statement styles JA Wall embraces, these are simply a must-have to add in your existing Responsive Joomla template bundle. More info on the release can be read at its changelog, or you can compare the release with the previous versions.</p>\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<ul>\r\n<li>A fully responsive Joomla templates, meaning it looks great not only on wide screen alone, but also remains beautifully on all other screen sizes</li>\r\n<li>A native Joomla 2.5 & Joomla 3.x template</li>\r\n<li>Dynamic grid layouts</li>\r\n<li>Undesign approach mixed with a bit flat</li>\r\n<li>And work seamlessly with the powerful JA Social Feed extension</li>\r\n</ul>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n', 1, 96, '2013-12-30 10:06:08', 42, '', '2014-01-22 06:44:57', 42, 42, '2014-03-18 07:07:03', '2013-12-30 10:06:08', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-7.jpg","float_intro":"","image_intro_alt":"JA Wall","image_intro_caption":"JA Wall ","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-7.jpg","float_fulltext":"","image_fulltext_alt":"JA Wall released with 3 more styles","image_fulltext_caption":"JA Wall released with 3 more styles"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 13, 1, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(97, 274, 'Review: Responsive Joomla template for portfolio - JA Appolio', 'review-responsive-joomla-template-for-portfolio-ja-appolio', '<p>Developing a portfolio or showcasing Joomla site from scratch? JA Appolio will definitely help cutting down the time and efforts of the whole process with its upto date features : latest Joomla version, updated Joomla extensions, interactive UI & UX, social login authentication,</p>\r\n ', ' \r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<h3>7 reasons why you will love JA Appolio - Responsive Joomla template</h3>\r\n\r\n<p>#1: There is a reason why Joomla team releases a new version once in a while</p>\r\n\r\n<p>You choose Joomla as the profound CMS to build your home (site) on it? Then you should maintain the foundation updated to avoid any future issues that can later be a threat. Joomla team does not merely release a version just for the sake of a new version. Usually a new Joomla version comes with bug fixes, improvements and sometimes new features.</p>', 1, 96, '2013-12-30 10:08:02', 42, '', '2014-01-25 08:37:49', 42, 0, '0000-00-00 00:00:00', '2013-12-30 10:08:02', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-15.jpg","float_intro":"","image_intro_alt":"JA Appolio","image_intro_caption":"JA Appolio","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-15.jpg","float_fulltext":"right","image_fulltext_alt":"JA Appolio","image_fulltext_caption":"JA Appolio"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 15, 0, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(98, 281, 'Choosing your Joomla template framework', 'choosing-your-joomla-template-framework', '<p>Platea adipiscing justo commodo lobortis montes a vestibulum augue et justo. Eget adipiscing laoreet est pretium gravida felis gravida ut ac laoreet. Et Nunc et vel id et pharetra eget Aenean urna. Parturient tellus ipsum </p> \r\n', '\r\n<p>Felis eu et leo fames Sed elit Donec. Maecenas <a title="Sample link" href="#">consectetuer aliquam</a> tempus interdum sit Morbi consectetuer a risus elit. At mauris molestie eleifend quis porttitor pede Sed risus metus Donec. Ac neque et pretium</p>\r\n<p>Nam lacus quis Vestibulum orci Curabitur Proin. Ligula ultrices enim nibh et magnis <a title="sample link" href="#">sagittis laoreet.</a></p>\r\n<h3>Adding Context to Messaging</h3>\r\n<p>Eu sed fames nec scelerisque interdum orci turpis pretium nisl Vestibulum. Iaculis pharetra Nam nec fermentum volutpat enim interdum habitasse pretium tincidunt. Mus odio hendrerit habitant Nam tempus eros In Vestibulum elit Curabitur.</p>\r\n<blockquote class="pullquote">\r\n<p>"In my 24 years of life, I\'m better at life than you"</p>\r\n</blockquote>\r\n<p>Elit aliquam tincidunt ac interdum orci tincidunt velit Vestibulum sit Sed. Ridiculus nisl at tristique ut pellentesque sapien rutrum pellentesque in ante. Morbi velit elit orci semper velit pharetra eros scelerisque.</p>\r\n<p>Id dolor fringilla ridiculus lacinia ligula In hendrerit lobortis sed id. Quis quis tincidunt nulla libero cursus interdum Nam nulla velit amet. Morbi et sem Mauris wisi et consectetuer ac Phasellus Aenean Sed.</p>\r\n<p>Porttitor sed id interdum Aenean malesuada vel at Quisque nec dui. Enim orci non arcu condimentum id ut laoreet cursus et Fusce. Volutpat Phasellus pretium Quisque nibh <a title="Sample link" href="#">tristique vitae aliquam eget odio.</a></p>\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 89, '2013-12-31 05:03:43', 42, 'Khanh Le', '2014-03-20 10:10:21', 42, 42, '2014-03-20 10:10:21', '2013-12-31 05:03:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-25.jpg","float_intro":"","image_intro_alt":"Apple, Samsung forecast ...","image_intro_caption":"Apple, Samsung forecast ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-25.jpg","float_fulltext":"right","image_fulltext_alt":"Apple, Samsung forecast ...","image_fulltext_caption":"Apple, Samsung forecast ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 21, 6, '', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(99, 282, 'The best free Joomla templates in 2013', 'the-best-free-joomla-templates-in-2013', '<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero</p>\r\n ', '\r\n<p> semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n', 1, 89, '2013-12-31 06:41:00', 42, '', '2014-01-22 07:17:04', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:41:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-23.jpg","float_intro":"","image_intro_alt":"The best Windows 8 machines","image_intro_caption":"The best Windows 8 machines","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-23.jpg","float_fulltext":"","image_fulltext_alt":"The best Windows 8 machines","image_fulltext_caption":"The best Windows 8 machines"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 8, 5, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(100, 283, 'Top 10 responsive Joomla templates from JoomlArt', 'top-all-purpose-laptops', '<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. </p>\r\n', '\r\n<p>Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 1, 89, '2013-12-31 06:41:43', 42, '', '2014-01-22 08:08:55', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:41:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-25.jpg","float_intro":"","image_intro_alt":"Top all-purpose laptops","image_intro_caption":"Top all-purpose laptops","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-25.jpg","float_fulltext":"right","image_fulltext_alt":"Top all-purpose laptops","image_fulltext_caption":"Top all-purpose laptops"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 8, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(101, 284, 'Responsive Joomla template bundle - JA Wall in 3 new styles', 'responsive-joomla-template-bundle-ja-wall-in-3-new-styles', '<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis.</p>\r\n', ' \r\n<p>Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 89, '2013-12-31 06:42:38', 42, '', '2014-01-22 07:16:30', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:42:38', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-21.jpg","float_intro":"","image_intro_alt":"The HP Chromebook 11","image_intro_caption":"The HP Chromebook 11","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-21.jpg","float_fulltext":"","image_fulltext_alt":"The HP Chromebook 11","image_fulltext_caption":"The HP Chromebook 11"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 12, 3, '', '', 1, 18, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(102, 285, ' Responsive Joomla template for ecommerce - JA Bookshop', 'responsive-joomla-template-for-ecommerce-ja-bookshop', '<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo  quis.</p>\r\n ', '\r\n<p>Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n', 1, 89, '2013-12-31 06:43:21', 42, '', '2014-01-22 08:09:05', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:43:21', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-2.jpg","float_intro":"","image_intro_alt":"PC Plus Android ...","image_intro_caption":"PC Plus Android ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-2.jpg","float_fulltext":"right","image_fulltext_alt":"PC Plus Android ...","image_fulltext_caption":"PC Plus Android ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 10, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(103, 286, '1st Batch of Joomla 3.2 compatibility upgrade', '1st-batch-of-joomla-3-2-compatibility-upgrade', '<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis </p>\r\n', '\r\n<p>accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n', 1, 89, '2013-12-31 06:43:54', 42, '', '2014-01-25 08:33:40', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:43:54', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-7.jpg","float_intro":"","image_intro_alt":"The first 3D printed organ","image_intro_caption":"The first 3D printed organ","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-7.jpg","float_fulltext":"","image_fulltext_alt":"The first 3D printed organ","image_fulltext_caption":"The first 3D printed organ"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 11, 1, '', '', 1, 16, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(104, 287, 'Chossing your Joomla version: Joomla 2.5 or Joomla 3', 'chossing-your-joomla-version-joomla-2-5-or-joomla-3', '<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor .</p>\r\n ', ' \r\n<p>Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus. Et vel at neque amet et nibh accumsan In magnis et. auctor dis</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 90, '2013-12-31 06:49:50', 42, '', '2014-01-22 07:56:46', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:49:50', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-3.jpg","float_intro":"","image_intro_alt":"Beware snoopy apps ...","image_intro_caption":"Beware snoopy apps ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-3.jpg","float_fulltext":"right","image_fulltext_alt":"Beware snoopy apps ...","image_fulltext_caption":"Beware snoopy apps ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 10, 9, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(105, 288, 'Best Joomla template featuring EasyBlog', 'best-joomla-template-featuring-easyblog', '<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. </p>\r\n', '\r\n<p>Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 1, 90, '2013-12-31 06:50:23', 42, '', '2014-01-22 07:19:10', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:50:23', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-4.jpg","float_intro":"","image_intro_alt":"Top 10 Android Phones","image_intro_caption":"Top 10 Android Phones","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-4.jpg","float_fulltext":"","image_fulltext_alt":"Top 10 Android Phones","image_fulltext_caption":"Top 10 Android Phones"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 9, 8, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(106, 289, 'HTC One Max review: An old phone in a new body', 'htc-one-max-review-an-old-phone-in-a-new-body', '<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt </p>\r\n', '\r\n<p>Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 1, 90, '2013-12-31 06:50:49', 42, '', '2014-01-22 07:19:48', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:50:49', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-14.jpg","float_intro":"","image_intro_alt":"HTC One Max ...","image_intro_caption":"HTC One Max ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-14.jpg","float_fulltext":"","image_fulltext_alt":"HTC One Max ...","image_fulltext_caption":"HTC One Max ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 7, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(107, 290, 'Fingers-on: Snapkeys Q4 is a QWERTY keyboard ', 'fingers-on-snapkeys-q4-is-a-qwerty-keyboard-with-only-4-buttons', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum </p>\r\n ', '\r\n<p>lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 1, 90, '2013-12-31 06:51:16', 42, '', '2014-01-22 07:38:16', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:51:16', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-22.jpg","float_intro":"","image_intro_alt":"Snapkeys Q4 is a QWERTY keyboard","image_intro_caption":"Snapkeys Q4 is a QWERTY keyboard","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-22.jpg","float_fulltext":"none","image_fulltext_alt":"Snapkeys Q4 is a QWERTY keyboard","image_fulltext_caption":"Snapkeys Q4 is a QWERTY keyboard "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 11, 6, '', '', 1, 36, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(108, 291, 'Shopping for last-minute tech gifts? Here\'s our one stop guide', 'shopping-for-last-minute-tech-gifts-here-s-our-one-stop-guide', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vesti</p>\r\n ', '\r\n<p>Bulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n', 1, 91, '2013-12-31 06:51:45', 42, '', '2014-01-22 07:20:56', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:51:45', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-8.jpg","float_intro":"","image_intro_alt":"Shopping for last-minute tech gifts","image_intro_caption":"Shopping for last-minute tech gifts","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-8.jpg","float_fulltext":"","image_fulltext_alt":"Shopping for last-minute tech gifts","image_fulltext_caption":"Shopping for last-minute tech gifts"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(109, 292, 'The best photo printers you can buy today', 'the-best-photo-printers-you-can-buy-today', '<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a Donec amet wisi. </p>\r\n', ' \r\n<p>Nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n', 1, 91, '2013-12-31 06:52:09', 42, '', '2014-01-22 07:20:41', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:52:09', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-6.jpg","float_intro":"","image_intro_alt":"The best photo printers ","image_intro_caption":"The best photo printers ","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-6.jpg","float_fulltext":"","image_fulltext_alt":"The best photo printers ","image_fulltext_caption":"The best photo printers "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 7, 5, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(110, 293, 'JA Magz - Responsive Joomla magazine template', 'ja-magz-responsive-joomla-magazine-template', '<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer . </p>\r\n', '\r\n<p>Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum. Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. </p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 91, '2013-12-31 06:52:35', 42, '', '2014-02-06 04:13:04', 42, 0, '0000-00-00 00:00:00', '2014-01-08 06:52:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-23.jpg","float_intro":"","image_intro_alt":"Dell C2665dnf Color Multifunction Printer","image_intro_caption":"Dell C2665dnf Color Multifunction Printer","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-23.jpg","float_fulltext":"","image_fulltext_alt":"Dell C2665dnf Color Multifunction Printer","image_fulltext_caption":"Dell C2665dnf Color Multifunction Printer"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 15, 4, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(111, 294, 'Bootstrap 3.0 and the T3 Framework for Joomla template ', 'bootstrap-3-0-and-the-t3-framework-for-joomla-template', '<p>Laoreet hac sit lacinia Vivamus In sociis Nunc sed magna Integer. Elit Nam Morbi lacinia sociis elit id Aenean tincidunt leo ac. Vestibulum dictum leo Nulla non ut sapien lorem auctor pede consectetuer.<a title="Sample link" href="#">Faucibus</a>, <a title="Sample link" href="#">Libero</a> </p>\r\n', ' \r\n<p>Natoque pretium interdum Aliquam. Id nulla penatibus lacus quis pellentesque Nam Curabitur In Suspendisse nisl. Enim tellus Aenean porta eros faucibus Aenean vel Nulla odio Sed. Sed rutrum morbi odio tempus lacinia ac mi.</p>\r\n<h3>Phasellus feugiat accumsan eleifend.</h3>\r\n<p>Id Nullam Phasellus nibh amet feugiat ut massa accumsan eleifend adipiscing. Consequat ante elit enim eget egestas Nam Donec adipiscing interdum elit. Elit nisl pretium lorem Sed elit habitasse Sed dui nibh ipsum. Dis pulvinar tincidunt Morbi congue aliquam In velit natoque Pellentesque arcu. Eu Mauris ligula at Nulla consectetuer odio Nulla dui eget lorem. Nibh enim.</p>\r\n<p>Metus lorem lorem justo magna est convallis tellus id eget pede. Nunc tincidunt tellus id gravida aliquam pretium massa senectus elit tellus. Accumsan fringilla tortor morbi convallis laoreet eu pellentesque mauris pretium nulla. adipiscing magnis et curabitur dolor scelerisque et velit aliquam Praesent elit. Sociis phasellus leo et enim maecenas risus consectetuer nullam congue sem. Justo justo turpis tristique nibh sit convallis.</p>\r\n<p>Platea vitae laoreet eget Duis fermentum et elit Curabitur enim ac. Convallis pede orci In Nullam id Morbi id dictum nec Ut. In urna Donec Vestibulum Vestibulum consequat sagittis felis feugiat Phasellus dis. Tellus justo odio odio tempus mauris id In ac ut molestie. Mauris morbi habitasse urna at dignissim mi quis nibh Curabitur.</p>\r\n<p>Platea adipiscing justo commodo lobortis montes a Vestibulum augue et justo. Eget adipiscing laoreet est pretium gravida felis gravida ut ac laoreet. Et Nunc et vel id In et pharetra eget Aenean urna. Aliquam Sed id Curabitur tristique Lorem convallis pellentesque Morbi sollicitudin pulvinar. Vestibulum hendrerit laoreet rutrum pretium Aenean egestas ut in eu Vivamus. Pellentesque ac leo dolor Morbi orci enim faucibus id sem porttitor. Dictum mus In.</p>\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 91, '2013-12-31 06:53:05', 42, '', '2014-01-25 08:35:08', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:53:05', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-26.jpg","float_intro":"","image_intro_alt":"3D printers find a home in Hollywood","image_intro_caption":"3D printers find a home in Hollywood","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-26.jpg","float_fulltext":"","image_fulltext_alt":"3D printers find a home in Hollywood","image_fulltext_caption":"3D printers find a home in Hollywood"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 16, 3, '', '', 1, 54, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(112, 295, 'IObit Uninstaller 3 review: Free utility competes with a built-in', 'iobit-uninstaller-3-review-free-utility-competes-with-a-built-in', '<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi.  </p>\r\n', '\r\n<p>Nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 1, 92, '2013-12-31 06:53:41', 42, '', '2014-01-22 07:52:13', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:53:41', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-24.jpg","float_intro":"","image_intro_alt":"IObit Uninstaller 3 ...","image_intro_caption":"IObit Uninstaller 3 ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-24.jpg","float_fulltext":"","image_fulltext_alt":"IObit Uninstaller 3 ...","image_fulltext_caption":"IObit Uninstaller 3 ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 8, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(113, 296, 'Lucidpress review: Free beta makes typesetting simple', 'lucidpress-review-free-beta-makes-typesetting-simple', '<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. </p>\r\n', '\r\n<p>Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n', 1, 92, '2013-12-31 06:54:12', 42, '', '2014-01-22 07:52:54', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:54:12', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-17.jpg","float_intro":"","image_intro_alt":"Lucidpress review ...","image_intro_caption":"Lucidpress review ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-17.jpg","float_fulltext":"","image_fulltext_alt":"Lucidpress review ...","image_fulltext_caption":"Lucidpress review ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 7, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(114, 297, 'Responsive Joomla template - JA Teline IV now on T3 Framework', 'responsive-joomla-template-ja-teline-iv-now-on-t3-framework', '<p>Flat design and Modern UI are applied on this Joomla template, it gives your technology news website a modern look, clean and neat layout. Flat design and Modern UI are applied on this Joomla template, it gives your</p>\r\n', '\r\n<p>JA Argo template for Joomla 2.5. and Joomla 3.0. A Stunning responsive Joomla template for your Technology news site. Flat design and Modern UI are applied on this Joomla template, it gives your technology news website a modern look, clean and neat layout. The template is built on the stable version of T3 Framework and well-equipped with responsive design, K2 component and many more. Publish news and articles, manage your blog, get news feeds/share via social channels and enjoy other incredible features at once with JA Argo. <br />Note: JA Argo does not support RTL language.</p>\r\n<h3>Stuff poem oct functions concert eugene transition delay.</h3>\r\n<p>Rush gently imitation landscape superior representing. Grip dedicated gang depends suffering. Whenever habits mail sake fault reflection theresa. Stuff poem oct functions concert eugene transition delay attend. Supplement models tales <a title="Sample link" href="#">remark affects strain </a>desperate fluid. January van christmas consists accurate. Laura wines surplus breaking blues. Piano remarks crucial desperate diplomatic schedule <strong>prospective </strong>tools elementary. Attractive radical inspired oxygen flux guys. Operator lands</p>\r\n<blockquote class="pullquote">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Someone famous <cite title="Source Title">Source Title</cite></small></blockquote>\r\n<p>Baker vary innocence delaware varying troubled. Upward mistake guest swift personally fence. Roles convictions suspicion extension guided accurately roy. Survival achieve criminal chicken flower screw vary hunting. Pointing electronics tangible torn equipped cuts. Chandler conception horizon holy charter cafe clerk allied melody. Rang lumber rigid blow genius thanks. Sphere blind maintaining williams excessive enterprise. Stems urge fortunately remote mostly tooth extensive yellow politicians dirt.</p>\r\n<p>Insects wines oct instruction excitement lift. Wherever severe feb anticipation planes gather meal. Gentlemen approaches violent payment sheriff senator oedipus. Ownership spencer smith survival journal. Thorough publications nearby moves promote. Mayor shared largest furnish emerged detective territory fallen <a title="Sample link" href="#">taylor initiative</a>. Breath experiences vague altered massive.</p>\r\n<p>Winning underlying prove angeles item joy woman\'s kennedy\'s detailed. Acts locked rifles builders questionnaire corresponding. Arlene shock holy penny sing yeah studio economical suit fishing. Prize polynomial marshal loud humanity whereas keith responsibilities. Cap representatives</p>\r\n<p>Cancer emission aesthetic state\'s certainty involves responsibilities ideological. Lights pathology narrative ruled innocent tended tire. Losing bet cocktail grateful fundamental procurement hans optimal. Killer thrust navy introduction merchants clinical so-called fluid. Brick burning quoted affect tournament.</p>', 1, 92, '2013-12-31 06:54:57', 42, '', '2014-01-20 09:15:33', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:54:57', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-21.jpg","float_intro":"","image_intro_alt":"How to prevent sextortion threats","image_intro_caption":"How to prevent sextortion threats","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-21.jpg","float_fulltext":"","image_fulltext_alt":"How to prevent sextortion threats","image_fulltext_caption":"How to prevent sextortion threats"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 8, 4, '', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(115, 298, 'Free Joomla templates built on the robust T3 Framework', 'free-joomla-templates-built-on-the-robust-t3-framework', '<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet</p>\r\n ', ' \r\n<p>Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n', 1, 92, '2013-12-31 06:55:33', 42, '', '2014-01-22 08:18:10', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:55:33', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-10.jpg","float_intro":"","image_intro_alt":"How to secure your PC ...","image_intro_caption":"How to secure your PC ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-10.jpg","float_fulltext":"right","image_fulltext_alt":"How to secure your PC ...","image_fulltext_caption":"How to secure your PC ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 10, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(116, 299, 'Purity III - Best free responsive Joomla template for 2014', 'purity-iii-best-free-responsive-joomla-template-for-2014', '<p>Purity III is a truly simplicity Joomla template, and a GREAT starter theme for any Joomla lovers. It allows YOU to get started in minutes, and highly versatile to fit in any type of projects: from simple .</p>\r\n', '\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 1, 92, '2013-12-31 06:56:06', 42, '', '2014-01-25 08:28:58', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:56:06', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-12.jpg","float_intro":"","image_intro_alt":"Essential free software ...","image_intro_caption":"Essential free software ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-12.jpg","float_fulltext":"right","image_fulltext_alt":"Essential free software ...","image_fulltext_caption":"Essential free software ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 16, 2, '', '', 1, 38, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(117, 300, 'What is new in Joomla 3.2 ?', 'edward-snowden-s-christmas-message-a-child-born-today', '<p>Malesuada risus augue justo tellus orci semper eu quis tincidunt nisl. Aliquet at wisi risus mauris convallis montes ipsum mi mauris consequat. Leo aliquet elit tincidunt tincidunt faucibus nibh Curabitur nec sed. </p>\r\n', ' \r\n<p>Vitae semper Phasellus dui nunc In enim nunc consectetuer fames velit. Quis volutpat Integer lacinia facilisis In ac Aenean consectetuer Vivamus a. Amet ut In Suspendisse leo dui orci porttitor Phasellus faucibus at. Eros wisi elit nunc neque massa.</p>\r\n<blockquote>\r\n<h4>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</h4>\r\n<small>Someone famous <cite title="Source Title">Source Title</cite></small></blockquote>\r\n<ul>\r\n<li>Nam id id id tellus adipiscing pede Maecenas natoque.</li>\r\n<li>Nunc malesuada adipiscing tristique quam hendrerit leo.</li>\r\n<li>Vitae aucibus et id in lorem leo libero natoque pretium.</li>\r\n<li>Id nulla penatibus lacus quis pellentesque Nam Curabitur.</li>\r\n</ul>\r\n<p>Vitae semper Phasellus dui nunc In enim nunc consectetuer fames velit. Quis volutpat Integer lacinia facilisis In ac Aenean consectetuer Vivamus a. Amet ut In Suspendisse leo dui orci porttitor Phasellus faucibus at. Eros wisi elit nunc elit eu urna eget pretium Praesent amet. Suspendisse Curabitur sapien In nibh nibh Nullam Morbi gravida condimentum montes. Id et faucibus neque massa.</p>\r\n<p><a title="sample link" href="#">Laoreet hac sit </a>lacinia Vivamus In sociis Nunc sed magna Integer. Elit Nam Morbi lacinia sociis elit id Aenean tincidunt leo ac. Vestibulum dictum leo Nulla non ut sapien lorem auctor pede consectetuer. Nam id id id tellus adipiscing pede Maecenas natoque dignissim lorem. Amet vitae tincidunt interdum nibh magnis Quisque.</p>\r\n<p>Sed ante faucibus Nunc malesuada adipiscing tristique quam hendrerit leo facilisis. Pretium eu Phasellus Sed vel dui <a title="sample link" href="#">ridiculus justo </a> condimentum convallis et. Faucibus et id in lorem leo libero natoque pretium interdum Aliquam. Id nulla penatibus lacus quis pellentesque Nam Curabitur In Suspendisse nisl. Enim tellus <a title="sample link" href="#">Aenean porta eros </a>faucibus Aenean vel Nulla odio Sed. Sed rutrum morbi odio tempus lacinia ac mi.</p>\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n', 1, 93, '2013-12-31 06:56:38', 42, '', '2014-01-22 08:21:18', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:56:38', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-16.jpg","float_intro":"","image_intro_alt":"Edward Snowden\'s Christmas ...","image_intro_caption":"Edward Snowden\'s Christmas ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-16.jpg","float_fulltext":"right","image_fulltext_alt":"Edward Snowden\'s Christmas ...","image_fulltext_caption":"Edward Snowden\'s Christmas ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 11, 6, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(118, 301, 'One Year Later: Must-Have Windows 7 Downloads', 'one-year-later-must-have-windows-7-downloads', '<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis </p>\r\n', '\r\n<p>Acumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n', 1, 93, '2013-12-31 06:57:07', 42, '', '2014-01-22 07:25:51', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:57:07', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-5.jpg","float_intro":"","image_intro_alt":"One Year Later ...","image_intro_caption":"One Year Later ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-5.jpg","float_fulltext":"","image_fulltext_alt":"One Year Later ...","image_fulltext_caption":"One Year Later ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 7, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(119, 302, 'Security software showdown! 9 antivirus suites empirically tested', 'security-software-showdown-9-antivirus-suites-empirically-tested', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibu </p>\r\n', '\r\n</p>Lum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n', 1, 93, '2013-12-31 06:57:32', 42, '', '2014-01-22 08:21:02', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:57:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-1.jpg","float_intro":"","image_intro_alt":"Security software showdown","image_intro_caption":"Security software showdown","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-1.jpg","float_fulltext":"right","image_fulltext_alt":"Security software showdown","image_fulltext_caption":"Security software showdown"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 7, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(120, 303, 'Responsive Joomla template for Joomla 2.5 & Joomla 3', 'responsive-joomla-template-for-joomla-2-5-joomla-3', '<p>Flat design and Modern UI are applied on this Joomla template, it gives your technology news website a modern look, clean and neat layout. The template is built on the stable version of T3 Framework and well-equip</p>\r\n\r\n', '\r\n\r\n<p>JA Argo template for Joomla 2.5. and Joomla 3.0. A Stunning responsive Joomla template for your Technology news site.</p>\r\n<p> Flat design and Modern UI are applied on this Joomla template, it gives your technology news website a modern look, clean and neat layout. The template is built on the stable version of T3 Framework and well-equipped with responsive design, K2 component and many more. Publish news and articles, manage your blog, get news feeds/share via social channels and enjoy other incredible features at once with JA Argo. <br />Note: JA Argo does not support RTL language.</p>\r\n<h3>Stuff poem oct functions concert eugene transition delay.</h3>\r\n<p>Rush gently imitation landscape superior representing. Grip dedicated gang depends suffering. Whenever habits mail sake fault reflection theresa. Stuff poem oct functions concert eugene transition delay attend. Supplement models tales <a title="Sample link" href="#">remark affects strain </a>desperate fluid. January van christmas consists accurate. Laura wines surplus breaking blues. Piano remarks crucial desperate diplomatic schedule <strong>prospective </strong>tools elementary. Attractive radical inspired oxygen flux guys. Operator lands</p>\r\n<p>Baker vary innocence delaware varying troubled. Upward mistake guest swift personally fence. Roles convictions suspicion extension guided accurately roy. Survival achieve criminal chicken flower screw vary hunting. Pointing electronics tangible torn equipped cuts. Chandler conception horizon holy charter cafe clerk allied melody. Rang lumber rigid blow genius thanks. Sphere blind maintaining williams excessive enterprise. Stems urge fortunately remote mostly tooth extensive yellow politicians dirt.</p>\r\n<p>Insects wines oct instruction excitement lift. Wherever severe feb anticipation planes gather meal. Gentlemen approaches violent payment sheriff senator oedipus. Ownership spencer smith survival journal. Thorough publications nearby moves promote. Mayor shared largest furnish emerged detective territory fallen <a title="Sample link" href="#">taylor initiative</a>. Breath experiences vague altered massive.</p>\r\n<p>Winning underlying prove angeles item joy woman\'s kennedy\'s detailed. Acts locked rifles builders questionnaire corresponding. Arlene shock holy penny sing yeah studio economical suit fishing. Prize polynomial marshal loud humanity whereas keith responsibilities. Cap representatives</p>\r\n<p>Cancer emission aesthetic state\'s certainty involves responsibilities ideological. Lights pathology narrative ruled innocent tended tire. Losing bet cocktail grateful fundamental procurement hans optimal. Killer thrust navy introduction merchants clinical so-called fluid. Brick burning quoted affect tournament.</p>', 1, 93, '2013-12-31 06:57:56', 42, '', '2014-01-22 07:28:07', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:57:56', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-15.jpg","float_intro":"","image_intro_alt":"Judge rules NSA\'s phone ...","image_intro_caption":"Judge rules NSA\'s phone ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-15.jpg","float_fulltext":"","image_fulltext_alt":"Judge rules NSA\'s phone ...","image_fulltext_caption":"Judge rules NSA\'s phone ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 13, 3, '', '', 1, 12, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(121, 304, 'FREE Responsive Joomla extensions for Joomla 3', 'free-responsive-joomla-extensions-for-joomla-3', '<p>Tellus wisi magna ultrices wisi metus tempor nunc Mauris et at. Hac interdum eleifend tincidunt pede pulvinar accumsan Phasellus cursus ut lorem. Eget id sollicitudin Nulla felis est eu et wisi tellus id Phasellus </p>\r\n', '\r\n<p>Ac faucibus justo Curabitur augue Vestibulum non tortor sed hac scelerisque. In ut mi magna Vestibulum enim pellentesque vitae Phasellus gravida elit. Ipsum et neque condimentum risus sit elit sed sollicitudin et netus. Morbi enim accumsan venenatis mi Vestibulum ligula a Curabitur platea id. Neque Donec congue ut mattis porttitor hac.</p>\r\n<p>Sed quis Quisque Phasellus auctor et amet convallis Pellentesque Sed id. Vitae pulvinar metus pharetra ac Nulla accumsan eget Vestibulum nisl nibh. Risus egestas semper Vestibulum tincidunt nibh in Ut amet vestibulum vitae. Nec lacinia magna elit tincidunt Ut pede Aliquam fringilla tellus tempor. Massa Maecenas metus <a title="sample link" href="#">Duis Nulla</a> laoreet Morbi egestas dolor In pellentesque. Consequat augue odio.</p>\r\n<h4>Sagittis lacinia Morbi ligula euismod sit feugiat diam hendrerit ut Duis.</h4>\r\n<p><abbr title="attribute">Cursus sit rutrum aliquam Nulla urna Nullam pede congue tristique ornare</abbr>. Eros orci quis tempor congue non tincidunt auctor Curabitur id id. In enim diam hendrerit ut Duis ac Sed Morbi Sed ante. Sagittis lacinia Morbi ligula euismod sit feugiat nibh est Ut ac. Elit consectetuer libero In ridiculus <a title="sample link" href="#">condimentum et</a> rhoncus interdum vitae ac. Interdum Proin tortor Morbi eget turpis lobortis.</p>\r\n<p><span class="label label-info">Duis mollis </span> lacus orci Aenean tempus facilisis Nam diam Phasellus Curabitur elit. Tincidunt sed ac Fusce lacus at pellentesque Duis In Aenean sodales. Tristique amet nec cursus est dictumst non amet convallis quis Ut. Elit cursus <a title="sample link" href="#">Curabitur</a> adipiscing mollis a pede nibh odio dis ipsum. Aliquam tellus pede nibh sagittis pede nibh mauris.</p>\r\n<p> </p>', 1, 93, '2013-12-31 06:59:04', 42, '', '2014-01-20 11:04:54', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:59:04', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-8.jpg","float_intro":"","image_intro_alt":"Security industry ...","image_intro_caption":"Security industry ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-8.jpg","float_fulltext":"","image_fulltext_alt":"Security industry ...","image_fulltext_caption":"Security industry ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 11, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(122, 305, 'Joomla 3 templates supporting Bootstrap 3', 'joomla-3-templates-supporting-bootstrap-3', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est</p>\r\n ', '\r\n</p>Sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n', 1, 93, '2013-12-31 06:59:32', 42, '', '2014-01-22 08:20:33', 42, 0, '0000-00-00 00:00:00', '2013-12-31 06:59:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-13.jpg","float_intro":"","image_intro_alt":"Some password managers","image_intro_caption":"Some password managers","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-13.jpg","float_fulltext":"right","image_fulltext_alt":"Some password managers","image_fulltext_caption":"Some password managers"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 9, 1, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(123, 310, 'The year 2013 in review : A look back', 'the-year-2013-in-review-a-look-back', '<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean .</p>\r\n', '\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n', 2, 96, '2013-12-31 07:32:34', 42, '', '2014-01-22 07:13:13', 42, 0, '0000-00-00 00:00:00', '2013-12-31 07:32:34', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-12.jpg","float_intro":"","image_intro_alt":"A look back","image_intro_caption":"A look back","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-12.jpg","float_fulltext":"","image_fulltext_alt":"A look back","image_fulltext_caption":"A look back"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(124, 311, 'Purity III - The best free responsive Joomla template for 2014', 'purity-iii-the-best-free-responsive-joomla-template-for-2014', '<p>Responsive Joomla template JA Purity III marks the next milestone of us in crafting the best Joomla templates for our techie users. \r\nFollowing up with Purity series, JA Purity III heritages the outstanding advantages of its pioneers: brilliant adaptation for multi-purpos</p>\r\n', '\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<ul>\r\n<li>Perfect starting template for starters and developers.</li>\r\n<li> Based on T3v3 Framework.</li>\r\n<li>Compatible with Joomla 3.</li>\r\n<li> Compatible with numerous popular 3rd party extensions AND this list is on going.</li>\r\n<li> Fully responsive.</li>\r\n<li> Supports Right-to-Left language layout.</li>\r\n<li> Supports Bootstrap 3.</li>\r\n<li>Interactive and friendly interface for both front-end and back-end.</li>\r\n<li> Plentiful layouts and styles for sites about Business, News, Magazine, Portfolio, Showcase, Blog and so on.</li>\r\n</ul>\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n\r\n\r\n\r\n', 1, 94, '2013-12-31 07:34:10', 42, '', '2014-01-25 08:36:41', 42, 42, '2014-03-18 07:06:26', '2013-12-31 07:34:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/sam-1.jpg","float_intro":"","image_intro_alt":"Purity III","image_intro_caption":"Purity III","image_fulltext":"images\\/joomlart\\/blog\\/sam-1.jpg","float_fulltext":"right","image_fulltext_alt":"Purity III - The best free Responsive Joomla template for 2014","image_fulltext_caption":"Purity III - The best free Responsive Joomla template for 2014"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 19, 4, '', '', 1, 107, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(125, 312, 'T3 Framework video – Introducing Megamenu ', 't3-framework-video-introducing-megamenu', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo .</p>\r\n', '\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n', 2, 94, '2013-07-30 07:35:00', 42, '', '2014-01-22 07:07:20', 42, 0, '0000-00-00 00:00:00', '2013-07-30 07:35:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-10.jpg","float_intro":"","image_intro_alt":"T3 Framework video","image_intro_caption":"T3 Framework video","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-10.jpg","float_fulltext":"","image_fulltext_alt":"T3 Framework video","image_fulltext_caption":"T3 Framework video"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(126, 314, 'Added K2 style for 4 Joomla templates: JA Ironis, JA Minisite, JA Graphite, and JA Bistro', 'added-k2-style-for-4-joomla-templates-ja-ironis-ja-minisite-ja-graphite-and-ja-bistro', '<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt </p>\r\n', '\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n', 2, 94, '2013-12-31 07:37:40', 42, '', '2014-01-22 07:09:43', 42, 0, '0000-00-00 00:00:00', '2013-12-31 07:37:40', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-7.jpg","float_intro":"","image_intro_alt":"Added K2 style ...","image_intro_caption":"Added K2 style ...","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-7.jpg","float_fulltext":"right","image_fulltext_alt":"Added K2 style ...","image_fulltext_caption":"Added K2 style ..."}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 2, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(127, 315, 'JA Business is compatible with Joomla 2.5 & 3.0', 'ja-business-is-compatible-with-joomla-2-5-3-0', '<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut .</p>\r\n', '\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n', 2, 94, '2013-10-17 07:39:00', 42, '', '2014-01-22 07:07:51', 42, 0, '0000-00-00 00:00:00', '2013-10-17 07:39:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-17.jpg","float_intro":"","image_intro_alt":"JA Business","image_intro_caption":"JA Business","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-17.jpg","float_fulltext":"right","image_fulltext_alt":"JA Business","image_fulltext_caption":"JA Business"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 7, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(128, 318, 'The Biggest Web Design Trends Coming Next Year', 'the-biggest-web-design-trends-coming-next-year', '<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at .</p>\r\n', '\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 2, 95, '2013-05-30 07:40:00', 42, '', '2014-01-22 07:05:06', 42, 0, '0000-00-00 00:00:00', '2013-05-30 07:40:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-8.jpg","float_intro":"","image_intro_alt":"The Biggest Web Design","image_intro_caption":"The Biggest Web Design","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-8.jpg","float_fulltext":"right","image_fulltext_alt":"The Biggest Web Design","image_fulltext_caption":"The Biggest Web Design"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(129, 321, 'Fully responsive', 'fully-responsive', '<p>Purity III is a fully responsive Joomla template. It looks amazingly beautiful in all screen sizes: from a wide screen desktop to tablet and mobile devices. All props go to the powerful T3 Framework.</p>', '', 1, 98, '2013-12-31 07:50:32', 42, '', '2014-01-23 10:29:15', 42, 0, '0000-00-00 00:00:00', '2013-12-31 07:50:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/responsive.png","float_intro":"right","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":" feature-row-alt"}', 18, 2, '', 'Purity III is a responsive Joomla template for Joomla 2.5 & Joomla 3.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(130, 322, 'Why Every Small Business Owner or Startup Entrepreneur Should Consider Using a Template for Their Website', 'why-every-small-business-owner-or-startup-entrepreneur-should-consider-using-a-template-for-their-website', '<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Phasellus Sed vel</p>\r\n', '\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 2, 95, '2013-01-28 07:55:00', 42, '', '2014-01-22 08:23:35', 42, 0, '0000-00-00 00:00:00', '2013-01-28 07:55:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-14.jpg","float_intro":"","image_intro_alt":"Every Small Business Owner","image_intro_caption":"Every Small Business Owner","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-14.jpg","float_fulltext":"right","image_fulltext_alt":"Every Small Business Owner","image_fulltext_caption":"Every Small Business Owner"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 6, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(131, 323, 'Best responsive Joomla templates from JoomlArt in the year 2013', 'best-responsive-joomla-templates-from-joomlart-in-the-year-2013', '<p>Over the year we have been rolling out the responsive layouts for our Joomla templates for Joomla 2.5 and Joomla 3.0. There is no doubt that the responsive is the way to go but it should be easier to implement. Our T3 framework helps a lot in achieving that. </p>\r\n', '\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n\r\n<p><ul>\r\n<li>1. JA Fixel - Responsive Joomla template for portfolio, personal blog</li>\r\n<li>2. JA Hawkstore - Responsive Joomla template for extreme sport shop</li>\r\n<li>3. JA Smashboard - Responsive Joomla template for entertainment</li>\r\n<li>4. JA Muzic - Reponsive Template for music, media</li>\r\n<li>5. JA Magz - Responsive Template for news, magazine</li>\r\n<li>6. JA Obelisk - Responsive Joomla template for entertainment and media</li>\r\n<li>7. JA Beranis - Responsive Joomla template for business, portfolio</li>\r\n<li>8. JA Mitius - Responsive Joomla template for gaming site</li>\r\n<li>9. JA Appolio - Responsive Joomla template for portfolio and showcasing</li>\r\n<li>10. JA Bookshop - Responsive Joomla template for bookstore</li>\r\n</ul>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n\r\n', 1, 95, '2013-12-31 07:56:13', 42, '', '2014-01-25 08:36:51', 42, 42, '2014-03-18 07:03:31', '2013-12-31 07:56:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-4.jpg","float_intro":"","image_intro_alt":"Best Responsive Joomla templates","image_intro_caption":"Best Responsive Joomla templates","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-4.jpg","float_fulltext":"","image_fulltext_alt":"Best Responsive Joomla templates from JoomlArt in the year 2013","image_fulltext_caption":"Best Responsive Joomla templates from JoomlArt in the year 2013"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 15, 2, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(132, 324, '10 Copywriting Errors That Can Ruin a Company’s Website', '10-copywriting-errors-that-can-ruin-a-company-s-website', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum .</p>\r\n', '\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n', 2, 96, '2013-12-31 07:56:37', 42, '', '2014-01-22 07:12:24', 42, 0, '0000-00-00 00:00:00', '2013-11-19 07:56:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-9.jpg","float_intro":"","image_intro_alt":"10 Copywriting Errors","image_intro_caption":"10 Copywriting Errors","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-9.jpg","float_fulltext":"","image_fulltext_alt":"10 Copywriting Errors","image_fulltext_caption":"10 Copywriting Errors"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(133, 325, 'Sneakpeek - JoomlArt\'s New Demo Toolbar', 'sneakpeek-joomlart-s-new-demo-toolbar', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum .</p>\r\n', '\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n', 2, 94, '2013-08-13 07:57:00', 42, '', '2014-01-22 07:08:35', 42, 0, '0000-00-00 00:00:00', '2013-08-13 07:57:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-11.jpg","float_intro":"","image_intro_alt":"Sneakpeek - JoomlArt\'s New Demo Toolbar","image_intro_caption":"Sneakpeek - JoomlArt\'s New Demo Toolbar","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-11.jpg","float_fulltext":"","image_fulltext_alt":"Sneakpeek - JoomlArt\'s New Demo Toolbar","image_fulltext_caption":"Sneakpeek - JoomlArt\'s New Demo Toolbar"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(134, 327, 'Review: Responsive Joomla template for book stores- JA Bookshop', 'review-responsive-joomla-template-for-book-stores-ja-bookshop', '<p>Building up a responsive Joomla template for e-commerce site can be a lot of work. Choosing the right shopping cart extension again can be a hard decision. So far we have been providing support for JoomShopping and Virtuemart extension in our Joomla templates. </p>\r\n\r\n', '\r\n\r\n<p>We were apprehensive about it and were expecting angry members commenting in the preview thread for not choosing from our regular shopping carts but to our surprise not a single criticism for the decision to try MijoShop. So we went ahead and even added whole new modules JA Mijoshop Product Accordion and JA MijoShop Product Slider to support Mijoshop and the template is as usual powered by all new T3 Framework Bootstrap 3 along with our favourite blogging tool EasyBlog. JA BookShop is responsive Joomla template and supports RTL language layouts for both Joomla 2.5 and Joomla 3.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n', 1, 95, '2013-12-31 07:58:13', 42, '', '2014-01-22 07:00:23', 42, 0, '0000-00-00 00:00:00', '2013-12-31 07:58:13', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/sam-2.jpg","float_intro":"","image_intro_alt":"JA Bookshop","image_intro_caption":"JA Bookshop","image_fulltext":"images\\/joomlart\\/blog\\/sam-2.jpg","float_fulltext":"","image_fulltext_alt":"JA Bookshop","image_fulltext_caption":"JA Bookshop"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 12, 1, '', '', 1, 14, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(135, 329, 'Responsive Joomla template for movie - JA Obelisk', 'responsive-joomla-template-for-movie-ja-obelisk', '<p>Dear all JoomlArt lovers, we are delighted to introduce our Responsive Joomla template for Joomla 2.5 & Joomla 3 of this month – JA Obelisk. A perfect template for Movies and Entertainment Joomla sites. JA Obelisk would assure to fascinate any movieholic to the site.</p>\r\n', '\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n\r\n<ul>\r\n<li>Outstanding full width Masshead</li>\r\n<li>Easy-to-find Search box</li>\r\n<li>Fully responsive design - One site for all screens</li>\r\n<li>Supports EasyBlog component</li>\r\n<li>User-friendly navigation with Mega Menu</li>\r\n<li>Catchy slideshow in center</li>\r\n<li>Neat articles organizing</li>\r\n<li>Right to left language layouts (RTL) ready</li>\r\n</ul>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 96, '2013-12-31 07:59:57', 42, '', '2014-01-25 08:37:38', 42, 0, '0000-00-00 00:00:00', '2013-12-31 07:59:57', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog\\/sam-3.jpg","float_intro":"","image_intro_alt":"JA Obelisk","image_intro_caption":"JA Obelisk","image_fulltext":"images\\/joomlart\\/blog\\/sam-3.jpg","float_fulltext":"","image_fulltext_alt":"Responsive Joomla template for Movie - JA Obelisk","image_fulltext_caption":"Responsive Joomla template for Movie - JA Obelisk"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 13, 0, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(136, 331, 'How to style modules in Joomla - OSTraining Video Tutorial', 'how-to-style-modules-in-joomla-ostraining-video-tutorial', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique.</p>\r\n', '\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 2, 95, '2014-01-02 08:00:00', 42, '', '2014-01-22 07:12:46', 42, 0, '0000-00-00 00:00:00', '2014-01-02 08:00:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-5.jpg","float_intro":"","image_intro_alt":"Joomla - OSTraining Video Tutorial","image_intro_caption":"Joomla - OSTraining Video Tutorial","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-5.jpg","float_fulltext":"","image_fulltext_alt":"Joomla - OSTraining Video Tutorial","image_fulltext_caption":"Joomla - OSTraining Video Tutorial"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(137, 333, 'Easy to use Google translate or Bing translator for your Joomla', 'easy-to-use-google-translate-or-bing-translator-for-your-joomla', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et  vestibulum.</p>\r\n', '\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n', 1, 97, '2013-12-31 08:04:53', 42, '', '2014-01-22 07:02:06', 42, 42, '2014-03-18 07:04:15', '2013-12-31 08:04:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-3.jpg","float_intro":"","image_intro_alt":"use Google translate or Bing translator ","image_intro_caption":"use Google translate or Bing translator ","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-3.jpg","float_fulltext":"right","image_fulltext_alt":"use Google translate or Bing translator ","image_fulltext_caption":"use Google translate or Bing translator "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 6, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(138, 335, 'Introducing JA Multilingual extension for Joomla 2.5 & Joomla 3', 'introducing-ja-multilingual-extension-for-joomla-2-5-joomla-3', '<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient </p>\r\n', '\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n', 2, 97, '2014-01-02 08:08:00', 42, '', '2014-01-22 07:12:12', 42, 0, '0000-00-00 00:00:00', '2014-01-02 08:08:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-6.jpg","float_intro":"","image_intro_alt":"Introducing JA Multilingual extension ","image_intro_caption":"Introducing JA Multilingual extension ","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-6.jpg","float_fulltext":"right","image_fulltext_alt":"Introducing JA Multilingual extension ","image_fulltext_caption":"Introducing JA Multilingual extension "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(139, 337, 'Tips to Extend Your Content Types Using CCK For Joomla', 'extend-your-content-types-using-cck-for-joomla', '<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean . </p>\r\n', '\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n', 1, 97, '2013-12-31 08:08:52', 42, '', '2014-01-22 06:56:49', 42, 0, '0000-00-00 00:00:00', '2013-12-31 08:08:52', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-3.jpg","float_intro":"","image_intro_alt":"Using CCK For Joomla","image_intro_caption":"Using CCK For Joomla","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-3.jpg","float_fulltext":"right","image_fulltext_alt":"Using CCK For Joomla","image_fulltext_caption":"Using CCK For Joomla"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(140, 338, 'JA Extensions Manager - Upgrades / Rollbacks Made easy - Free for all...', 'ja-extensions-manager-upgrades-rollbacks-made-easy-free-for-all', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus . </p>\r\n', '\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 2, 97, '2013-03-30 08:13:00', 42, '', '2014-01-22 07:04:44', 42, 0, '0000-00-00 00:00:00', '2013-03-30 08:13:00', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-13.jpg","float_intro":"","image_intro_alt":"JA Extensions Manager","image_intro_caption":"JA Extensions Manager","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-13.jpg","float_fulltext":"","image_fulltext_alt":"JA Extensions Manager","image_fulltext_caption":"JA Extensions Manager"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(141, 339, 'Meet JA Magz - The Joomla magazine template in 41 languages', 'meet-ja-magz-the-joomla-magazine-template-in-41-languages', '<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare.</p>\r\n\r\n', '\r\n<ul>\r\n<li>Supports over 41 languages (Bing translation)</li>\r\n<li>JA Magz is extremely customization friendly</li>\r\n<li>Fully responsive, supports EasyBlog and RTL language layout</li>\r\n<li>Enhance productive collaboration and content sharing</li>\r\n</ul>\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 97, '2013-12-31 08:14:01', 42, '', '2014-01-25 08:39:16', 42, 42, '2014-03-18 07:05:42', '2013-12-31 08:14:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-9.jpg","float_intro":"","image_intro_alt":"JA Magz","image_intro_caption":"JA Magz","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-9.jpg","float_fulltext":"right","image_fulltext_alt":"Meet JA Magz - The Joomla Magazine Template in 41 languages","image_fulltext_caption":"Meet JA Magz - The Joomla Magazine Template in 41 languages"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 12, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(142, 341, 'Joomla extension - JA Multilingual extension for Joomla 2.5 & Joomla 3', 'joomla-extension-ja-multilingual-extension-for-joomla-2-5-joomla-3', '<p>Building a Joomla 2.5 or 3.x multilingual site can be tricky, we encountered difficulties while trying to setup multi-language demo site to demonstrate our RTL language layouts for our latest templates. We developed a internal tool to overcome the problems we faced .</p>\r\n', '\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 97, '2013-12-31 08:51:41', 42, '', '2014-01-22 06:57:50', 42, 42, '2014-03-18 07:04:56', '2013-12-31 08:51:41', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-11.jpg","float_intro":"","image_intro_alt":"JA Multilingual","image_intro_caption":"JA Multilingual","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-11.jpg","float_fulltext":"right","image_fulltext_alt":"Joomla extension - JA Multilingual extension for Joomla 2.5 & Joomla 3","image_fulltext_caption":"Joomla extension - JA Multilingual extension for Joomla 2.5 & Joomla 3"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 12, 1, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(143, 343, '3 FREE responsive Joomla extensions for Joomla 2.5 & Joomla 3', '3-free-responsive-joomla-extensions-for-joomla-2-5-joomla-3', '<p>First month of the new year deserve much more than regular monthly releases, for starters we are releasing 3 cool FREE Joomla extensions which we are sure would be very . Yes, they are responsive too and works great with both Joomla 2.5 & Joomla 3. </p>\r\n', ' \r\n\r\n<p>These freebies are JA Image Hotspot module - Joomla extension for Image markup, JA Promo Bar module - cool flexible promotion bar for your site, and JA Google Charts module - Joomla extension for better visualization of your data using Google visualization API. Check out details below :</p>\r\n\r\n<p>1. JA Image Hotspot module- make images interactive</p>\r\n\r\n<p>A user-friendly module allows adding unlimited markers to label your chosen image with option to add popup description at ease with an easy-to-configure backend settings. Can be used to label anything from static maps to car parts. JA Image Hotspot made its first appearance in JA Beranis – our popular responsive Joomla template for business and portfolio. Since then we have updated this potential module with new features and backend options, it is now available for free download. Now let’s see what is so appealing about this module.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n', 1, 97, '2013-12-31 08:52:09', 42, '', '2014-01-25 08:38:20', 42, 42, '2014-03-18 07:01:38', '2013-12-31 08:52:09', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-16.jpg","float_intro":"","image_intro_alt":"Free Responsive Joomla extensions","image_intro_caption":"Free Responsive Joomla extensions","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-16.jpg","float_fulltext":"","image_fulltext_alt":"3 FREE Responsive Joomla extensions for Joomla 2.5 & Joomla 3","image_fulltext_caption":"3 FREE Responsive Joomla extensions for Joomla 2.5 & Joomla 3"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 14, 0, '', '', 1, 30, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(144, 347, 'Built on the robust T3 Framework', 'built-on-the-robust-t3-framework', '<p>T3 Framework is one of the first responsive Joomla template framework out there in the community. It gives you the extreme flexibilities, freedom in innovation, and best of all, T3 Framework is an open source Framework.</p>', '', 1, 98, '2014-01-02 03:08:01', 42, '', '2014-01-23 10:29:15', 42, 0, '0000-00-00 00:00:00', '2014-01-02 03:08:01', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/t3framwork.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 13, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(145, 351, 'A perfect starting point', 'a-perfect-starting-point', '<p>Purity III is a truly simplicity Joomla template, and a GREAT starter theme for any Joomla lovers. It allows YOU to get started in minutes, and highly versatile to fit in any type of projects: from simple to complex, from personal blogging to professional business portfolio. </p>', '', 1, 98, '2014-01-02 03:52:10', 42, '', '2014-02-07 09:56:20', 42, 0, '0000-00-00 00:00:00', '2014-01-02 03:52:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/starting_point.png","float_intro":"right","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 21, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(146, 352, 'Support Bootstrap 3 at core', 'support-bootstrap-3-at-core', '<p>Thanks to T3 Framework, Purity III embraces Bootstrap 3 at core. It also supports Font Awesome 4, as well as all the cool features Bootstrap 3 Framework has.</p>', '', 1, 98, '2014-01-02 03:54:28', 42, '', '2014-01-23 10:29:15', 42, 0, '0000-00-00 00:00:00', '2014-01-02 03:54:28', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/boostrap3.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 10, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(148, 355, 'Easy to customize', 'easy-to-customize', '<p>Purity III is highly customize-able: from its flexible layout system to the real time customization tool - ThemeMagic. All are available in Purity III. If you would like to go all out and fancy, Purity III will be your best friend.</p>', '', 1, 98, '2014-01-02 04:40:10', 42, '', '2014-01-25 07:40:53', 42, 0, '0000-00-00 00:00:00', '2014-01-02 04:40:10', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/customizable.png","float_intro":"right","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":" feature-row-alt"}', 9, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(149, 356, 'Multiple layouts supported', 'multiple-layouts-supported', '<p>Purity III consists of 8 beautiful layouts, including: Corporate, Portfolio, Features Intro 1, Features Intro 2, Magazine, Glossary, Blog & Classic layouts for you to choose from.</p>\r\n<div class="btn-actions">\r\n<a href="http://www.joomlart.com/forums/forumdisplay.php?542-Purity-III" class="btn btn-inverse">Request <span class="hidden-phone">more layouts</span></a>\r\n</div>\r\n', '', 1, 98, '2014-01-02 04:58:27', 42, '', '2014-01-25 04:15:22', 42, 0, '0000-00-00 00:00:00', '2014-01-02 04:58:27', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/multiple_layouts.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 16, 7, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(150, 357, 'A free Joomla 3 template', 'joomla-2-5-and-joomla-3-native', '<p>Purity III is Joomla 3 native, and Yes, Purity III is a FREE Joomla template, which makes it even COOLER. Definitely a responsive Joomla template you would never want to miss, We promise.</p>', '', 1, 98, '2014-01-02 04:59:24', 42, '', '2014-01-25 08:37:21', 42, 0, '0000-00-00 00:00:00', '2014-01-02 04:59:24', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/freedownload.png","float_intro":"right","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"row-feature-primary"}', 19, 8, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(151, 358, 'Highly compatible', 'highly-compatible', '<p>Purity III is compatible with most of the popular 3rd party Joomla extensions, such as: EasySocial, EasyDiscuss, EasyBlog, JomSocial, Mijoshop, Kunena, and etc.</p>\r\n<div class="btn-actions">\r\n<a href="http://www.joomlart.com/forums/forumdisplay.php?542-Purity-III" class="btn btn-inverse">Request <span class="hidden-phone">to be compatible</span></a>\r\n</div>', '', 1, 98, '2014-01-02 05:00:32', 42, '', '2014-01-25 04:15:11', 42, 0, '0000-00-00 00:00:00', '2014-01-02 05:00:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/compatible.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 9, 10, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(152, 359, 'Stunning typography pages', 'stunning-typography-pages', '<p>Purity III comes with the extra "bonus" typography pages that is worth to add to the collection, such as: Pricing Table, Support Policy, and etc.</p>', '', 1, 98, '2014-01-02 04:58:27', 42, '', '2014-01-23 10:29:15', 42, 0, '0000-00-00 00:00:00', '2014-01-02 04:58:23', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/typography.png","float_intro":"right","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 7, 11, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(153, 368, 'Welcome to JA Purity III', 'corporate-layout', '<img src="images/joomlart/corporate/sam-5.jpg" alt="Sample image" align="right" class="img-thumbnail" />\r\n\r\n<p><strong>Lorem ipsum dolor sit</strong> amet consectetuer dui Curabitur justo tincidunt consequat. Tempor Fusce Integer tincidunt eget a sagittis tincidunt Vivamus leo tempus. Facilisis pellentesque laoreet Quisque Phasellus justo a senectus Ut justo orci. Platea Phasellus velit congue purus interdum pede condimentum arcu congue et. Tempus semper at ut interdum eget habitasse.</p>\r\n\r\n<p>Ac Nulla urna ultrices cursus justo fames ornare id congue justo. Venenatis odio eros et egestas leo Donec felis ullamcorper ut ac. Eget orci nunc quam Vestibulum mattis mattis convallis magnis massa Cum. Turpis Integer Vestibulum Lorem laoreet accumsan et tempor felis ac Cras. Sed non accumsan Vestibulum malesuada magna et Curabitur ligula feugiat ornare. Tortor amet est enim cursus justo Vivamus sem et consequat arcu. </p>\r\n\r\n<p>Natoque mollis pede non orci dictumst Proin eget nunc consectetuer augue. In lacinia at dictum quis ipsum Sed Sed nibh vitae elit. Netus Curabitur odio consequat risus at Vestibulum elit risus laoreet volutpat. Justo fames auctor Cum dolor magna ipsum malesuada Morbi in nibh. Wisi Morbi mauris nibh Morbi semper mattis semper <a href="#" title="Sample link">pellentesque consequat quis.</a></p>', '', 1, 9, '2014-01-06 04:30:28', 42, '', '2014-01-07 09:24:23', 542, 0, '0000-00-00 00:00:00', '2014-01-06 04:30:28', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 11, 12, '', '', 1, 243, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(154, 378, 'JA Bookshop', 'ja-bookshop', '<p>Responsive Joomla template for Ecommerce</p>\r\n ', '\r\n<p>for Joomla 3.2 and Joomla 2.5 – JA Bookshop is a supreme template for online bookstores or any type of e-commerce site. It is built on the robust T3 Framework with Bootstrap 3, supports RTL language layout, fully responsive and brings in an pleasing blogging experience with EasyBlog.</p>\r\n\r\n<p>JA Bookshop will definitely boost up your e-stores with the vigorous shopping cart component – Mijoshop. This feature-rich component is compatible with thousand of Opencart extensions and supports numerous payment and shipping gateways which would assure you an ideal solution for your online business.</p>\r\n\r\n<p>Available in 5 color schemes and 8 bonus pages, JA Bookshop is a perfect choice for an elegant and multi-functional e-store website.</p>', 1, 83, '2014-01-06 09:22:31', 42, '', '2014-01-25 08:59:36', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:22:31', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_bookshop.jpg","float_intro":"","image_intro_alt":"JA Bookshop","image_intro_caption":"JA Bookshop","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_bookshop.jpg","float_fulltext":"","image_fulltext_alt":"JA Bookshop","image_fulltext_caption":"JA Bookshop"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"","portfolio-demo":"#"}', 8, 8, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(155, 379, 'JA Appolio', 'ja-appolio', '<p>Responsive Joomla template for Portfolio </p>\r\n', '\r\n<p>for Joomla 2.5 and Joomla 3, a beautiful Joomla template to show off your portfolio and showcasing.</p>\r\n\r\n<p>Built on the latest version of T3 Framework, which makes JA Appolio compatible with Bootstrap 3, Right to Left language layout, fully responsive, blogging friendly thanks to EasyBlog component, social friendly with SLogin and navigation friendly with the new outstanding Off Canvas menu feature.</p>\r\n\r\n<p>Apart from a bundle of the amazing features, JA Appolio also incorporates in a touch of parallax design, guarantees to get everyone focus and interactive with your site. Together with 5 colors and 9 bonus pages, JA Appolio is the complete gear to get your Joomla site ready for 2014.</p>', 1, 83, '2014-01-06 09:25:18', 42, '', '2014-01-25 08:59:48', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:25:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_appolio.jpg","float_intro":"","image_intro_alt":"JA Appolio","image_intro_caption":"JA Appolio","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_appolio.jpg","float_fulltext":"","image_fulltext_alt":"JA Appolio","image_fulltext_caption":"JA Appolio"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"","portfolio-demo":"#"}', 8, 7, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(156, 380, 'JA Obelisk', 'ja-obelisk', '<p>Responsive Joomla template for Joomla 3 & Joomla 2.5</p>\r\n', '\r\n<p>JA Obelisk fits right in with the home entertainment, media and movies theme. It is built on the latest version of T3 Framework, supports EasyBlog component and styles for K2 component.</p>\r\n\r\n<p>JA Obelisk will spice up your Joomla site with the holiday season spirit. The full width background slideshow located on your masshead will sure bring any detail to the attention. In case anyone feel lost, they now all can count on the search bar up top. You can certainly sort things out in seconds.</p>\r\n\r\n<p>Comes in 5 colors scheme and 8 bonus pages, JA Obelisk is all you need to get everything set up for this occasion. </p>', 1, 83, '2014-01-06 09:28:48', 42, '', '2014-01-25 08:59:00', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:28:48', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_obelisk.jpg","float_intro":"","image_intro_alt":"JA Obelisk","image_intro_caption":"JA Obelisk","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_obelisk.jpg","float_fulltext":"","image_fulltext_alt":"JA Obelisk","image_fulltext_caption":"JA Obelisk"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"free","portfolio-demo":"#"}', 11, 6, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(157, 381, 'JA Magz', 'ja-magz', '<p>JA Magz is the new Responsive Joomla template</p>\r\n', ' \r\n<p>for Joomla 3 & Joomla 2.5, dedicated to News & Magazine categories. It is built on the latest version of T3 Framework, supports multilanguages (up to 40 different languages), RTL language layout, EasyBlog component and many other exciting features.</p>\r\n\r\n<p>This October Joomla template is extremely fresh and customizable friendly. Apart from the classic sticky Megamenu navigation, JA Magz also features the Section Menu navigation to offer the categories shortcuts visible at all time.</p>\r\n\r\n<p>A Magz is available in 5 colors scheme and 10 bonus pages. If you are in love with Joomla News & Magazine template, JA Magz is definitely a must have in the </p>', 1, 83, '2014-01-06 09:31:48', 42, '', '2014-01-25 08:56:29', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:31:48', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_magz.jpg","float_intro":"","image_intro_alt":"JA Magz","image_intro_caption":"JA Magz","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_magz.jpg","float_fulltext":"","image_fulltext_alt":"JA Magz","image_fulltext_caption":"JA Magz"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"free","portfolio-demo":"#"}', 6, 5, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(158, 382, 'JA Muzic', 'ja-muzic', '<p>Responsive Joomla template for Entertainment & Music </p>\r\n', '\r\n<p>The Ultimate Responsive Joomla template for Joomla 3 & Joomla 2.5 - JA Muzic is well tuned for Music, Entertainment, and Digital Media to rock it out. Supporting Easyblog, RTL language layout and featuring a brand new Joomla music extension, just to serve JA Muzic\'s justice alone.</p>\r\n\r\n<p>Clean and bold design, JA Muzic just screams out loud its content effortlessly. Incorporated with animation effects for images & texts, dynamic blocks and modules, the content just simply stands out. JA Muzic comes in 5 colors choices, along with 10 bonus pages and a completely new developed Joomla music extension - JA AV Tracklist.</p>\r\n\r\n<p>You do not only own a nice looking and functional template but also a complete Joomla template solution for your media site. It\'s JA Muzic, your Joomla key to Media & Entertainment this fall.</p>', 1, 83, '2014-01-06 09:34:04', 42, '', '2014-01-25 08:56:03', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:34:04', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_muzic.jpg","float_intro":"","image_intro_alt":"JA Muzic","image_intro_caption":"JA Muzic","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_muzic.jpg","float_fulltext":"","image_fulltext_alt":"JA Muzic","image_fulltext_caption":"JA Muzic"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"hot","portfolio-demo":"#"}', 6, 4, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(159, 383, 'JA Fixel', 'ja-fixel', '<p>Responsive Joomla 3 & Joomla 2.5 template</p>\r\n', ' \r\n<p>JA Fixel - responsive template for Joomla 2.5 & Joomla 3 version. It supports EasyBlog (Joomla blogging component) and JoomShopping (Shopping cart component). The template also supports RTL language layouts.</p>\r\n\r\n<p>Shines through with its innovative flat design and minimalistic trend: bold colorblocking and bright typo, together with JoomShopping and EasyBlog component, JA Fixel is a complete business eCommerce solution for your Joomla site. Comes in 8 color schemes and 8 bonus pages, supporting 5 different grid styles and various content types. JA Fixel is ready-set-go for your business innovation to go all out.</p>\r\n\r\n<p>Fully responsive, JA Fixel looks stunning on just any screen size. JA Fixel fits best for business portfolio, personal blog, digital media or cartography galleries with a touch of eCommerce solution. It\'s definitely a must-have Joomla template for this summer.</p>', 1, 83, '2014-01-06 09:35:53', 42, '', '2014-01-25 08:55:30', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:35:53', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_fixel.jpg","float_intro":"","image_intro_alt":"JA Fixel","image_intro_caption":"JA Fixel","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_fixel.jpg","float_fulltext":"","image_fulltext_alt":"JA Fixel","image_fulltext_caption":"JA Fixel"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"","portfolio-demo":"#"}', 6, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(160, 384, ' JA Beranis', 'ja-beranis', '<p>Responsive Joomla Template for Business</p>\r\n ', ' \r\n<p>JA Beranis - Responsive Joomla template supporting both Joomla 2.5 and Joomla 3, is your key to quickly rebrand your business website: clean and fresh. Simplicity and minimalistic design assure JA Beranis fit well into any business, portfolio and corporate website without being too over the top.</p>\r\n\r\n<p>Built on our latest version of T3 Framework, meaning JA Beranis is responsive and compatible with both Joomla 2.5 & Joomla 3 version.</p>\r\n\r\n<p>JA Beranis also features EasyBlog component style from Stackideas, 2 layouts for Mega Menu: the traditional horizontal one and first time ever vertical mega menu which makes navigating throughout JA Beranis itself much easier, and a brand new JA Image hotspot module to present your locations on a static map.</p>', 1, 83, '2014-01-06 09:37:52', 42, '', '2014-02-17 03:15:43', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:37:52', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_beranis.jpg","float_intro":"","image_intro_alt":"JA Beranis","image_intro_caption":"JA Beranis","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_beranis.jpg","float_fulltext":"","image_fulltext_alt":"JA Beranis","image_fulltext_caption":"JA Beranis"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"hot","portfolio-demo":"joomla-templates.joomlart.com\\/ja_beranis"}', 13, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(161, 385, ' JA Smashboard', 'ja-smashboard', '<p>Responsive Joomla 3 & 2.5 Entertainment Template</p>\r\n', '\r\n<p> JA Smashboard - Responsive Joomla template for Joomla 2.5 and 3. JA Smashboard is very unique template, it features horizontal and infinity scrolling, vertical menu and keyboard navigation support. A perfect fit for products showcasing / portfolio gallery, music and entertainment or even your personal blog.</p>\r\n\r\n<p>Runs on our robust T3v3 Framework, JA Smashboard is customizable and easily configure. The framework itself is responsive, ensuring JA Smashboard looks amazing in any devices.</p>\r\n\r\n<p>JA Smashboard stands out with the big fonts typography and minimalistic design. JA Smashboard also supports K2 component.</p>', 1, 83, '2014-01-06 09:41:05', 42, '', '2014-02-17 03:15:47', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:41:05', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_smashboard.jpg","float_intro":"","image_intro_alt":"JA Smashboard","image_intro_caption":"JA Smashboard","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_smashboard.jpg","float_fulltext":"","image_fulltext_alt":"JA Smashboard","image_fulltext_caption":"JA Smashboard"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"free","portfolio-demo":"#"}', 10, 1, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(162, 386, ' JA Hawkstore', 'ja-hawkstore', '<p>Responsive Joomla 2.5 template</p>\r\n', '\r\n<p> JA Hawkstore is May 2013 responsive Joomla! ecommerce template for Joomla 2.5 featuring Virtuemart shopping cart component. It runs on our brand new T3 Framework with tons of backend customization config options. Version for Joomla 3 will be released when Virtuemart component is available for Joomla 3.</p>\r\n\r\n<p>JA Hawkstore also features support for K2 component and comes with JA Masshead Module and JA VM products module apart from JA Tabs plugin as complimentary extensions. JA Hawkstore sports big fonts, colored blocks and graffiti styles giving it a trendy look.</p>\r\n\r\n<p>JA Hawkstore is built on the latest version of T3 Framework - The Responsive framework for Joomla 2.5 / 3.</p>', 1, 83, '2014-01-06 09:46:21', 42, '', '2014-02-17 03:15:45', 42, 0, '0000-00-00 00:00:00', '2014-01-06 09:46:21', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/portfolio\\/ja_hawkstore.jpg","float_intro":"","image_intro_alt":"JA Hawkstore","image_intro_caption":"JA Hawkstore","image_fulltext":"images\\/joomlart\\/portfolio\\/ja_hawkstore.jpg","float_fulltext":"","image_fulltext_alt":"JA Hawkstore","image_fulltext_caption":"JA Hawkstore"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":"#"}', 9, 0, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(163, 410, 'Typography', 'typography', '<!-- CORE TYPOGRAPHY\r\n=======================================================-->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id="example-type">Core Typography</h1>\r\n</div>\r\n\r\n<!-- Headings -->\r\n<div class="row example-row example-type">\r\n\r\n  <div class="col-lg-6">\r\n    <h1>h1. Heading <small>Secondary text</small></h1>\r\n    <h2>h2. Heading <small>Secondary text</small></h2>\r\n    <h3>h3. Heading <small>Secondary text</small></h3>\r\n    <h4>h4. Heading <small>Secondary text</small></h4>\r\n    <h5>h5. Heading <small>Secondary text</small></h5>\r\n    <h6>h6. Heading <small>Secondary text</small></h6>\r\n    <div class="alert alert-warning">\r\n      <p><strong>TIPS:</strong>  Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <h2>Example body text</h2>\r\n    <p class="lead">This is a <strong>lead paragraph</strong>. Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n    <p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n    <p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n    <p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n    <p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n    <p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n  </div>\r\n\r\n</div>  \r\n<!-- //Headings -->\r\n\r\n<!-- Address & Emphasis -->\r\n<div class="row example-row example-type">\r\n\r\n  <div class="col-lg-4">\r\n    <h2>Address</h2>\r\n    <address>\r\n      <strong>Company Name</strong><br />\r\n      795 Folsom Ave, Suite 600<br />\r\n      San Francisco, CA 94107<br />\r\n      <abbr title="Phone">P:</abbr> (123) 456-7890\r\n    </address>\r\n    <address>\r\n      <strong>Full Name</strong><br />\r\n      <abbr title="Phone">P:</abbr> (123) 456-7890<br />\r\n      <a href="mailto:#">first.last@example.com</a>\r\n    </address>\r\n  </div>\r\n\r\n  <div class="col-lg-4">\r\n    <h2>Emphasis classes</h2>\r\n    <p class="text-muted">This is a <code>.mute</code> paragraph.</p>\r\n    <p class="text-primary">This is a <code>.text-primary</code> paragraph.</p>\r\n    <p class="text-warning">This is a <code>.text-warning</code> paragraph.</p>\r\n    <p class="text-danger">This is a <code>.text-danger</code> paragraph.</p>\r\n    <p class="text-success">This is a <code>.text-success</code> paragraph.</p>\r\n    <p class="text-info">This is a <code>.text-info</code> paragraph.</p>\r\n  </div>\r\n\r\n  <div class="col-lg-4">\r\n    <h2>Alignment classes</h2>\r\n    <p class="text-left">This is a left aligned text <code>.text-left</code></p>\r\n    <p class="text-center">This is a center aligned text <code>.text-center</code></p>\r\n    <p class="text-right">This is a right aligned text <code>.text-right</code></p>\r\n    <p class="text-justify">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages.\r\n    Create a justify aligned text with <code>.text-justify</code> class.</p>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Address & Emphasis -->\r\n\r\n<!-- Blockquotes -->\r\n<h2>Blockquotes</h2>\r\n\r\n<div class="row example-row example-type">\r\n\r\n  <div class="col-lg-12">\r\n    <div class="well">\r\n      <blockquote class="text-jutify" style="margin-bottom: 0;">\r\n        <p>This is a <code>&lt;blockquote&gt;</code> in a <code>&lt;.well&gt;</code>.</p>\r\n        <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n      </blockquote>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n\r\n<div class="row example-row example-type">\r\n\r\n  <div class="col-lg-6">\r\n    <blockquote>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <blockquote class="pull-right">\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Blockquotes -->\r\n\r\n</div>\r\n<!-- //CORE TYPOGRAPHY -->\r\n\r\n\r\n\r\n<!-- COLOR SWATCHES\r\n=======================================================-->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id="example-colors">Color Swatches</h1>\r\n</div>\r\n\r\n<!-- Brand Colors -->\r\n<h2>Brand Colors</h2>\r\n\r\n<div class="row example-row example-colors">\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-brand-primary">\r\n      <dl>\r\n        <dt>#0077bb</dt>\r\n        <dd>Brand Primary</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-brand-secondary">\r\n      <dl>\r\n        <dt>#669900</dt>\r\n        <dd>Brand Secondary</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-brand-warning">\r\n      <dl >\r\n        <dt>#ff8800</dt>\r\n        <dd>Brand Warning</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-brand-danger">\r\n      <dl>\r\n        <dt>#cc0000</dt>\r\n        <dd>Brand Danger</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-brand-info">\r\n      <dl>\r\n        <dt>#0099cc</dt>\r\n        <dd>Brand Info</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-brand-success">\r\n      <dl>\r\n        <dt>#669900</dt>\r\n        <dd>Brand Success</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- Brand Colors -->\r\n\r\n<!-- Grayscale -->\r\n<h2>Grayscale Levels</h2>\r\n\r\n<div class="row example-row example-colors">\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-gray-darker">\r\n      <dl>\r\n        <dt>#222222</dt>\r\n        <dd>Gray Darker</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-gray-dark">\r\n      <dl>\r\n        <dt>#444444</dt>\r\n        <dd>Gray Dark</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-gray">\r\n      <dl >\r\n        <dt>#666666</dt>\r\n        <dd>Gray</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-gray-light">\r\n      <dl>\r\n        <dt>#999999</dt>\r\n        <dd>Gray Light</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-gray-lighter">\r\n      <dl>\r\n        <dt>#eeeeee</dt>\r\n        <dd>Gray Lighter</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-5 col-md-4 col-lg-2">\r\n    <div class="swatch-item color-gray-lightest">\r\n      <dl>\r\n        <dt>#f7f7f7</dt>\r\n        <dd>Gray Lightest</dd>\r\n      </dl>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Grayscale -->\r\n\r\n</div>\r\n<!-- //COLOR SWATCHES -->\r\n\r\n\r\n\r\n<!-- NAVIGATIONS\r\n================================================== -->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id=" example-navigation">Navigations</h1>\r\n</div>\r\n\r\n<!-- Horizontal Navbar -->\r\n<div class="row example-row example-navigation">\r\n\r\n  <div class="col-lg-12">\r\n    <h2>Horizontal Navbar</h2>\r\n    <nav class="navbar navbar-default" role="navigation">\r\n      <!-- Brand and toggle get grouped for better mobile display -->\r\n      <div class="navbar-header">\r\n        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#example-navbar-collapse-1">\r\n          <span class="sr-only">Toggle navigation</span>\r\n          <i class="fa fa-bars"></i>\r\n        </button>\r\n        <a class="navbar-brand" href="#">Brand</a>\r\n      </div>\r\n\r\n      <!-- Collect the nav links, forms, and other content for toggling -->\r\n      <div class="collapse navbar-collapse">\r\n        <ul class="nav navbar-nav">\r\n          <li class="active"><a href="#">Link</a></li>\r\n          <li><a href="#">Link</a></li>\r\n          <li class="dropdown">\r\n            <a href="#" class="dropdown-toggle" data-toggle="dropdown">Dropdown <b class="caret"></b></a>\r\n            <ul class="dropdown-menu">\r\n              <li><a href="#">Action</a></li>\r\n              <li><a href="#">Another action</a></li>\r\n              <li><a href="#">Something else here</a></li>\r\n              <li><a href="#">Separated link</a></li>\r\n              <li><a href="#">One more separated link</a></li>\r\n            </ul>\r\n          </li>\r\n        </ul>\r\n        <form class="navbar-form navbar-right" role="search">\r\n          <div class="form-group">\r\n            <input type="text" class="form-control" placeholder="Search">\r\n          </div>\r\n          <button type="submit" class="btn btn-default">Submit</button>\r\n        </form>\r\n      </div><!-- /.navbar-collapse -->\r\n    </nav>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Horizontal Navbar -->\r\n\r\n<!-- Tabs & Vertical Menus -->\r\n<div class="row example-row example-navigation">\r\n\r\n  <!-- Tabs -->\r\n  <div class="col-lg-8">\r\n    <h2>Tabs</h2>\r\n    <ul class="nav nav-tabs" style="margin-bottom: 15px;">\r\n      <li class="active"><a href="#home" data-toggle="tab">Home</a></li>\r\n      <li><a href="#profile" data-toggle="tab">Profile</a></li>\r\n      <li class="disabled"><a>Disabled</a></li>\r\n      <li class="dropdown">\r\n        <a class="dropdown-toggle" data-toggle="dropdown" href="#">\r\n          Dropdown <span class="caret"></span>\r\n        </a>\r\n        <ul class="dropdown-menu">\r\n          <li><a href="#dropdown1" data-toggle="tab">Action</a></li>\r\n          <li><a href="#dropdown2" data-toggle="tab">Another action</a></li>\r\n          <li><a href="#dropdown2" data-toggle="tab">Another action</a></li>\r\n        </ul>\r\n      </li>\r\n    </ul>\r\n    <div id="myTabContent" class="tab-content">\r\n      <div class="tab-pane fade active in" id="home">\r\n        <p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n        <p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n      </div>\r\n      <div class="tab-pane fade" id="profile">\r\n        <p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n        <p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n      </div>\r\n      <div class="tab-pane fade" id="dropdown1">\r\n        <p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n        <p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n      </div>\r\n      <div class="tab-pane fade" id="dropdown2">\r\n        <p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n        <p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n  <!-- //Tabs -->\r\n\r\n  <!-- Vertical Menus -->\r\n  <div class="col-lg-4">\r\n    <h2>Vertical Menus</h2>\r\n    <ul class="nav nav-pills nav-stacked">\r\n      <li class="active"><a href="#">Active Menu Item</a></li>\r\n      <li><a href="#">Menu Item</a></li>\r\n      <li><a href="#">Menu Item</a></li>\r\n      <li class="disabled"><a href="#">Disabled Menu Item</a></li>\r\n      <li class="dropdown">\r\n        <a class="dropdown-toggle" data-toggle="dropdown" href="#">\r\n          Dropdown <span class="caret"></span>\r\n        </a>\r\n        <ul class="dropdown-menu">\r\n          <li><a href="#">Action</a></li>\r\n          <li><a href="#">Another action</a></li>\r\n          <li><a href="#">Something else here</a></li>\r\n          <li><a href="#">Separated link</a></li>\r\n        </ul>\r\n      </li>\r\n    </ul>\r\n  </div>\r\n  <!-- Vertical Menus -->\r\n\r\n</div>\r\n<!-- Tabs & Vertical Menus -->\r\n\r\n</div>\r\n<!-- //NAVIGATIONS -->\r\n\r\n\r\n\r\n<!-- FORMS\r\n================================================== -->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id="example-forms">Forms</h1>\r\n</div>\r\n\r\n<!-- Buttons -->\r\n<h2>Buttons</h2>\r\n\r\n<div class="row example-row example-forms example-buttons">\r\n\r\n  <div class="col-md-3">\r\n    <a href="#" class="btn btn-block btn-lg btn-default">Default Button</a>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <a href="#" class="btn btn-block btn-lg btn-primary">Primary Button</a>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <a href="#" class="btn btn-block btn-lg btn-success">Success Button</a>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <a href="#" class="btn btn-block btn-lg btn-inverse">Inverse Button</a>\r\n  </div>\r\n\r\n</div>\r\n\r\n<div class="row example-row example-forms example-buttons">\r\n\r\n  <div class="col-md-3">\r\n    <a href="#" class="btn btn-block btn-lg btn-info">Info Button</a>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <a href="#" class="btn btn-block btn-lg btn-warning">Warning Button</a>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <a href="#" class="btn btn-block btn-lg btn-danger">Danger Button</a>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <a href="#" class="btn btn-block btn-lg btn-default disabled">Disabled Button</a>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Buttons -->\r\n\r\n<!-- Inputs -->\r\n<h2>Inputs</h2>\r\n\r\n<div class="row example-row example-forms example-inputs">\r\n\r\n  <div class="col-md-3">\r\n    <div class="form-group has-success">\r\n      <label class="control-label" for="inputSuccess">Input success</label>\r\n      <input type="text" class="form-control input-lg" id="inputSuccess">\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <div class="form-group has-error">\r\n      <label class="control-label" for="inputError">Input error</label>\r\n      <input type="text" class="form-control input-lg" id="inputError">\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <div class="form-group has-warning">\r\n      <label class="control-label" for="inputWarning">Input warning</label>\r\n      <input type="text" class="form-control input-lg" id="inputWarning">\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-md-3">\r\n    <div class="form-group">\r\n      <label class="control-label" for="disabledInput">Disabled input</label>\r\n      <input class="form-control input-lg" id="disabledInput" type="text" placeholder="Disabled input here..." disabled="">\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Inputs -->\r\n\r\n<!-- Example Form -->\r\n<div class="row example-row example-forms">\r\n\r\n  <div class="col-lg-12">\r\n    <h2>Sample Basic Form</h2>\r\n    <div class="well">\r\n      <form class="form-horizontal">\r\n        <fieldset>\r\n          <legend>Legend</legend>\r\n          <div class="form-group">\r\n            <label for="inputEmail" class="col-lg-2 control-label">Email</label>\r\n            <div class="col-lg-10">\r\n              <input type="text" class="form-control" id="inputEmail" placeholder="Email">\r\n            </div>\r\n          </div>\r\n          <div class="form-group">\r\n            <label for="inputPassword" class="col-lg-2 control-label">Password</label>\r\n            <div class="col-lg-10">\r\n              <input type="password" class="form-control" id="inputPassword" placeholder="Password">\r\n              <div class="checkbox">\r\n                <label>\r\n                  <input type="checkbox"> Checkbox\r\n                </label>\r\n              </div>\r\n            </div>\r\n          </div>\r\n          <div class="form-group">\r\n            <label for="textArea" class="col-lg-2 control-label">Textarea</label>\r\n            <div class="col-lg-10">\r\n              <textarea class="form-control" rows="3" id="textArea"></textarea>\r\n              <span class="help-block">A longer block of help text that breaks onto a new line and may extend beyond one line.</span>\r\n            </div>\r\n          </div>\r\n          <div class="form-group">\r\n            <label class="col-lg-2 control-label">Radios</label>\r\n            <div class="col-lg-10">\r\n              <div class="radio">\r\n                <label>\r\n                  <input type="radio" name="optionsRadios" id="optionsRadios1" value="option1" checked="">\r\n                  Option one is this\r\n                </label>\r\n              </div>\r\n              <div class="radio">\r\n                <label>\r\n                  <input type="radio" name="optionsRadios" id="optionsRadios2" value="option2">\r\n                  Option two can be something else\r\n                </label>\r\n              </div>\r\n            </div>\r\n          </div>\r\n          <div class="form-group">\r\n            <label for="select" class="col-lg-2 control-label">Selects</label>\r\n            <div class="col-lg-10">\r\n              <select class="form-control" id="select">\r\n                <option>1</option>\r\n                <option>2</option>\r\n                <option>3</option>\r\n                <option>4</option>\r\n                <option>5</option>\r\n              </select>\r\n              <br>\r\n              <select multiple="" class="form-control">\r\n                <option>1</option>\r\n                <option>2</option>\r\n                <option>3</option>\r\n                <option>4</option>\r\n                <option>5</option>\r\n              </select>\r\n            </div>\r\n          </div>\r\n          <div class="form-group">\r\n            <div class="col-lg-10 col-lg-offset-2">\r\n              <button class="btn btn-default">Cancel</button> \r\n              <button type="submit" class="btn btn-primary">Submit</button> \r\n            </div>\r\n          </div>\r\n        </fieldset>\r\n      </form>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Example Form -->\r\n\r\n</div>\r\n<!-- //FORMS -->\r\n\r\n\r\n\r\n<!-- HERO UNITS\r\n=======================================================-->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id="example-herounit">Hero Units</h1>\r\n</div>\r\n\r\n<div class="row example-row example-herounit">\r\n\r\n  <div class="col-lg-12">\r\n    <div class="jumbotron">\r\n      <h1>Jumbotron</h1>\r\n      <p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n      <p><a class="btn btn-primary btn-lg">Call to Action</a></p>\r\n    </div>\r\n    <div class="jumbotron jumbotron-primary">\r\n      <h1>Primary Jumbotron</h1>\r\n      <p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n      <p><a class="btn btn-primary btn-lg">Call to Action</a></p>\r\n    </div>\r\n    <div class="jumbotron masthead">\r\n      <h1>Masthead</h1>\r\n      <p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n      <p><a class="btn btn-primary btn-lg">Call to Action</a></p>\r\n    </div>\r\n    <div class="jumbotron jumbotron-primary masthead">\r\n      <h1>Primary Masthead</h1>\r\n      <p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n      <p><a class="btn btn-primary btn-lg">Call to Action</a></p>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n\r\n</div>\r\n<!-- //HERO UNITS -->\r\n\r\n\r\n\r\n<!-- THUMBNAILS\r\n=======================================================-->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id="example-thumbnails">Thumbnails</h1>\r\n</div>\r\n\r\n<!-- Default Thumnails -->\r\n<p class="lead">Extend Bootstrap\'s <a href="../css/#grid">grid system</a> with the thumbnail component to easily display grids of images, videos, text, and more.</p>\r\n\r\n<h2>Default example</h2>\r\n<p>By default, Bootstrap\'s thumbnails are designed to showcase linked images with minimal required markup.</p>\r\n\r\n<div class="row example-row example-thumbnails">\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <a href="#" class="thumbnail">\r\n      <img data-src="holder.js/100%x180">\r\n    </a>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <a href="#" class="thumbnail">\r\n      <img data-src="holder.js/100%x180">\r\n    </a>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <a href="#" class="thumbnail">\r\n      <img data-src="holder.js/100%x180">\r\n    </a>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <a href="#" class="thumbnail">\r\n      <img data-src="holder.js/100%x180">\r\n    </a>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Default Thumnails -->\r\n\r\n<!-- Custom Content Thumnails -->\r\n<h2>Custom content</h3>\r\n<p>With a bit of extra markup, it\'s possible to add any kind of HTML content like headings, paragraphs, or buttons into thumbnails.</p>\r\n\r\n<div class="row example-row example-thumbnails">\r\n\r\n  <div class="col-sm-6 col-md-4">\r\n    <div class="thumbnail">\r\n      <img data-src="holder.js/100%x220">\r\n      <div class="caption">\r\n        <h3>Thumbnail label</h3>\r\n        <p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>\r\n        <p><a href="#" class="btn btn-primary" role="button">Button</a> <a href="#" class="btn btn-default" role="button">Button</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-sm-6 col-md-4">\r\n    <div class="thumbnail">\r\n      <img data-src="holder.js/100%x220">\r\n      <div class="caption">\r\n        <h3>Thumbnail label</h3>\r\n        <p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>\r\n        <p><a href="#" class="btn btn-primary" role="button">Button</a> <a href="#" class="btn btn-default" role="button">Button</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-sm-6 col-md-4">\r\n    <div class="thumbnail">\r\n      <img data-src="holder.js/100%x220">\r\n      <div class="caption">\r\n        <h3>Thumbnail label</h3>\r\n        <p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>\r\n        <p><a href="#" class="btn btn-primary" role="button">Button</a> <a href="#" class="btn btn-default" role="button">Button</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Custom Content Thumnails -->\r\n\r\n</div>\r\n\r\n\r\n\r\n<!-- MEDIA OBJECT\r\n=======================================================-->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1>Media Object</h1>\r\n</div>\r\n\r\n<div class="row example-row example-media">\r\n\r\n  <div class="col-lg-12">\r\n    <div class="media">\r\n      <a class="pull-left" href="#">\r\n        <img class="media-object" data-src="holder.js/64x64">\r\n      </a>\r\n      <div class="media-body">\r\n        <h4 class="media-heading">Media heading</h4>\r\n        Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin commodo. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.\r\n      </div>\r\n    </div>\r\n    <div class="media">\r\n      <a class="pull-left" href="#">\r\n        <img class="media-object" data-src="holder.js/64x64">\r\n      </a>\r\n      <div class="media-body">\r\n        <h4 class="media-heading">Media heading</h4>\r\n        Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin commodo. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.\r\n        <div class="media">\r\n          <a class="pull-left" href="#">\r\n            <img class="media-object" data-src="holder.js/64x64">\r\n          </a>\r\n          <div class="media-body">\r\n            <h4 class="media-heading">Nested media heading</h4>\r\n            Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin commodo. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.\r\n            <div class="media">\r\n              <a class="pull-left" href="#">\r\n                <img class="media-object" data-src="holder.js/64x64">\r\n              </a>\r\n              <div class="media-body">\r\n                <h4 class="media-heading">More nested media heading</h4>\r\n                Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin commodo. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n\r\n</div>\r\n<!-- //MEDIA OBJECT -->\r\n\r\n\r\n<!-- TABLES\r\n================================================== -->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id="example-tables">Tables</h1>\r\n</div>\r\n\r\n<!-- Basic Tables -->\r\n<h2>Basic Tables</h2>\r\n\r\n<div class="row example-row example-tables">\r\n\r\n  <div class="col-lg-6">\r\n    <div class="table-responsive">\r\n      <table class="table table-hover">\r\n        <thead>\r\n          <tr>\r\n            <th>#</th>\r\n            <th>Column heading</th>\r\n            <th>Column heading</th>\r\n            <th>Column heading</th>\r\n          </tr>\r\n        </thead>\r\n        <tbody>\r\n          <tr>\r\n            <td>1</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>2</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>3</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>4</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>5</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>6</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>7</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n        </tbody>\r\n      </table>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <div class="table-responsive">\r\n      <table class="table table-striped">\r\n        <thead>\r\n          <tr>\r\n            <th>#</th>\r\n            <th>Column heading</th>\r\n            <th>Column heading</th>\r\n            <th>Column heading</th>\r\n          </tr>\r\n        </thead>\r\n        <tbody>\r\n          <tr>\r\n            <td>1</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>2</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>3</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>4</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>5</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>6</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>7</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n        </tbody>\r\n      </table>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- Basic Tables -->\r\n\r\n<!-- Bordered Tables -->\r\n<h2>Bordered Tables</h2>\r\n\r\n<div class="row example-row example-tables">\r\n\r\n  <div class="col-lg-6">\r\n    <div class="example table-responsive">\r\n      <table class="table table-bordered">\r\n        <thead>\r\n          <tr>\r\n            <th>#</th>\r\n            <th>Column heading</th>\r\n            <th>Column heading</th>\r\n            <th>Column heading</th>\r\n          </tr>\r\n        </thead>\r\n        <tbody>\r\n          <tr class="active">\r\n            <td>1</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>2</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr class="success">\r\n            <td>3</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>4</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr class="warning">\r\n            <td>5</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>6</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr class="danger">\r\n            <td>7</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n        </tbody>\r\n      </table>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <div class="table-responsive">\r\n      <table class="table table-striped table-bordered table-hover">\r\n        <thead>\r\n          <tr>\r\n            <th>#</th>\r\n            <th>Column heading</th>\r\n            <th>Column heading</th>\r\n            <th>Column heading</th>\r\n          </tr>\r\n        </thead>\r\n        <tbody>\r\n          <tr class="active">\r\n            <td>1</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>2</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr class="success">\r\n            <td>3</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>4</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr class="warning">\r\n            <td>5</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr>\r\n            <td>6</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n          <tr class="danger">\r\n            <td>7</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n            <td>Column content</td>\r\n          </tr>\r\n        </tbody>\r\n      </table>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Bordered Tables -->\r\n\r\n</div>\r\n<!-- //TABLES -->\r\n\r\n\r\n\r\n<!-- INDICATORS\r\n================================================== -->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id="example-indicators">Indicators</h1>\r\n</div>\r\n\r\n<!-- Alerts -->\r\n<h2>Alerts and Notifications</h2>\r\n\r\n<div class="row example-row example-indicators">\r\n\r\n  <div class="col-lg-6">\r\n    <div class="alert alert-dismissable alert-danger">\r\n      <button type="button" class="close" data-dismiss="alert">&times;</button>\r\n      <strong>Oh snap!</strong> <a href="#" class="alert-link">Change a few things up</a> and try submitting again.\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <div class="alert alert-dismissable alert-success">\r\n      <button type="button" class="close" data-dismiss="alert">&times;</button>\r\n      <strong>Well done!</strong> You successfully read <a href="#" class="alert-link">this important alert message</a>.\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n\r\n<div class="row example-row example-indicators">\r\n\r\n  <div class="col-lg-6">\r\n    <div class="alert alert-dismissable alert-info">\r\n      <button type="button" class="close" data-dismiss="alert">&times;</button>\r\n      <strong>Heads up!</strong> This <a href="#" class="alert-link">alert needs your attention</a>, but it\'s not super important.\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <div class="alert alert-dismissable alert-warning">\r\n      <button type="button" class="close" data-dismiss="alert">&times;</button>\r\n      <strong>Warning!</strong> Best check yo self, you\'re not looking too good.\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- Alerts -->\r\n\r\n<!-- Labels & Badges -->\r\n<div class="row example-row example-indicators">\r\n\r\n  <div class="col-lg-6">\r\n    <h2>Badges</h2>\r\n    <div class="example">\r\n      <ul class="nav nav-pills">\r\n        <li class="active"><a href="#">Home <span class="badge">42</span></a></li>\r\n        <li><a href="#">Profile <span class="badge"></span></a></li>\r\n        <li><a href="#">Messages <span class="badge">25</span></a></li>\r\n        <li><a href="#">Notices <span class="badge">2</span></a></li>\r\n        <li><a href="#">Friends <span class="badge">15</span></a></li>\r\n      </ul>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <h2>Labels</h2>\r\n    <div class="example">\r\n      <span class="label label-default">Default</span>\r\n      <span class="label label-primary">Primary</span>\r\n      <span class="label label-success">Success</span>\r\n      <span class="label label-info">Info</span>\r\n      <span class="label label-warning">Warning</span>\r\n      <span class="label label-danger">Danger</span>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- Labels & Badges -->\r\n\r\n</div>\r\n<!-- //INDICATORS -->\r\n\r\n\r\n\r\n<!-- MISC\r\n================================================== -->\r\n<div class="docs-section">\r\n\r\n<div class="page-header">\r\n  <h1 id="example-misc">Other useful components</h1>\r\n</div>\r\n\r\n<!-- List Groups -->\r\n<h2>List groups</h2>\r\n\r\n<div class="row example-row example-misc">\r\n\r\n  <div class="col-lg-4">\r\n    <ul class="list-group">\r\n      <li class="list-group-item">\r\n        <span class="badge">14</span>\r\n        Cras justo odio\r\n      </li>\r\n      <li class="list-group-item">\r\n        <span class="badge">2</span>\r\n        Dapibus ac facilisis in\r\n      </li>\r\n      <li class="list-group-item">\r\n        Morbi leo risus\r\n      </li>\r\n      <li class="list-group-item">\r\n        Morbi leo risus\r\n      </li>\r\n      <li class="list-group-item">\r\n        <span class="badge">1</span>\r\n        Morbi leo risus\r\n      </li>\r\n    </ul>\r\n  </div>\r\n\r\n  <div class="col-lg-4">\r\n    <div class="list-group">\r\n      <a href="#" class="list-group-item active"><span class="badge">9</span> Cras justo odio</a>\r\n      <a href="#" class="list-group-item">Dapibus ac facilisis in</a>\r\n      <a href="#" class="list-group-item">Morbi leo risus</a>\r\n      <a href="#" class="list-group-item">Porta ac consectetur ac</a>\r\n      <a href="#" class="list-group-item">Vestibulum at eros</a>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-4">\r\n    <div class="list-group">\r\n      <a href="#" class="list-group-item active">\r\n        <h4 class="list-group-item-heading">List group item heading</h4>\r\n        <p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.</p>\r\n      </a>\r\n      <a href="#" class="list-group-item">\r\n        <h4 class="list-group-item-heading">List group item heading</h4>\r\n        <p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus.</p>\r\n      </a>\r\n      <a href="#" class="list-group-item">\r\n        <h4 class="list-group-item-heading">List group item heading</h4>\r\n        <p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus.</p>\r\n      </a>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- //List Groups -->\r\n\r\n<!-- Panels -->\r\n<h2>Panels</h2>\r\n\r\n<div class="row example-row example-misc">\r\n\r\n  <div class="col-lg-4">        \r\n    <div class="panel panel-default">\r\n      <div class="panel-heading">Panel heading</div>\r\n      <div class="panel-body">\r\n        Panel content\r\n      </div>\r\n    </div>\r\n    <div class="panel panel-primary">\r\n      <div class="panel-heading">\r\n        <h3 class="panel-title">Panel primary</h3>\r\n      </div>\r\n      <div class="panel-body">\r\n        Panel content\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-4">\r\n    <div class="panel panel-success">\r\n      <div class="panel-heading">\r\n        <h3 class="panel-title">Panel success</h3>\r\n      </div>\r\n      <div class="panel-body">\r\n        Panel content\r\n      </div>\r\n    </div>\r\n    <div class="panel panel-warning">\r\n      <div class="panel-heading">\r\n        <h3 class="panel-title">Panel warning</h3>\r\n      </div>\r\n      <div class="panel-body">\r\n        Panel content\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-4">\r\n    <div class="panel panel-danger">\r\n      <div class="panel-heading">\r\n        <h3 class="panel-title">Panel danger</h3>\r\n      </div>\r\n      <div class="panel-body">\r\n        Panel content\r\n      </div>\r\n    </div>\r\n    <div class="panel panel-info">\r\n      <div class="panel-heading">\r\n        <h3 class="panel-title">Panel info</h3>\r\n      </div>\r\n      <div class="panel-body">\r\n        Panel content\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Panels -->\r\n\r\n<!-- Wells -->\r\n<h2>Wells</h2>\r\n\r\n<div class="row example-row example-misc">\r\n\r\n  <div class="col-lg-4">\r\n    <div class="well well-sm">\r\n      Look, I\'m in a small well!\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-4">\r\n    <div class="well">\r\n      Look, I\'m in a well!\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-lg-4">\r\n    <div class="well well-lg">\r\n      Look, I\'m in a large well!\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n<!-- //Wells -->\r\n\r\n</div>\r\n<!-- // MISC -->', '', 1, 81, '2014-01-09 03:09:49', 42, '', '2014-01-22 09:48:14', 42, 0, '0000-00-00 00:00:00', '2014-01-09 03:09:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 45, 0, '', '', 1, 511, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(164, 418, 'T-Mobile will pay you to break up with your carrier', 't-mobile-will-pay-you-to-break-up-with-your-carrier', '<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean </p>\r\n', '\r\n<p>Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n', 1, 90, '2014-01-09 08:50:58', 42, '', '2014-01-22 08:01:50', 42, 0, '0000-00-00 00:00:00', '2014-01-09 08:50:58', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-10.jpg","float_intro":"","image_intro_alt":"T-Mobile","image_intro_caption":"T-Mobile","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-10.jpg","float_fulltext":"right","image_fulltext_alt":"T-Mobile","image_fulltext_caption":"T-Mobile"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 5, 5, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(165, 419, 'Best Android Phones for Business', 'best-android-phones-for-business', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum </p>\r\n', '\r\n<p>Vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 90, '2014-01-09 08:52:25', 42, '', '2014-01-22 07:39:09', 42, 0, '0000-00-00 00:00:00', '2014-01-09 08:52:25', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-23.jpg","float_intro":"","image_intro_alt":"Android Phones for Business","image_intro_caption":"Android Phones for Business","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-23.jpg","float_fulltext":"","image_fulltext_alt":"Android Phones for Business","image_fulltext_caption":"Android Phones for Business"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 4, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(166, 420, 'Responsive Joomla template - JA Nex on T3v3 Framework', 'responsive-joomla-template-ja-nex-on-t3v3-framework', '<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. </p>\r\n', '\r\n<p>Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n', 1, 90, '2014-01-09 08:53:49', 42, '', '2014-01-22 07:57:01', 42, 0, '0000-00-00 00:00:00', '2014-01-09 08:53:49', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-9.jpg","float_intro":"","image_intro_alt":"Top 10 smartphones","image_intro_caption":"Top 10 smartphones","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-9.jpg","float_fulltext":"right","image_fulltext_alt":"Top 10 smartphones","image_fulltext_caption":"Top 10 smartphones"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 10, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(167, 421, 'The best Joomla templates using Bootstrap 3', 'the-best-joomla-templates-using-bootstrap-3', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam.</p>\r\n', ' \r\n<p>Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n', 1, 90, '2014-01-09 08:55:32', 42, '', '2014-01-22 07:30:05', 42, 0, '0000-00-00 00:00:00', '2014-01-09 08:55:32', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-6.jpg","float_intro":"","image_intro_alt":"Monitors aren\'t just for PCs","image_intro_caption":"Monitors aren\'t just for PCs","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-6.jpg","float_fulltext":"","image_fulltext_alt":"Monitors aren\'t just for PCs","image_fulltext_caption":"Monitors aren\'t just for PCs"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 2, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(168, 423, 'Responsive Joomla template for Portfolio - JA Appolio', 'responsive-joomla-template-for-portfolio-ja-appolio', '<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non </p>\r\n', ' \r\n<p>Accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n', 1, 90, '2014-01-09 08:57:59', 42, '', '2014-01-22 08:01:42', 42, 0, '0000-00-00 00:00:00', '2014-01-09 08:57:59', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-1.jpg","float_intro":"","image_intro_alt":"Samsung","image_intro_caption":"Samsung","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-1.jpg","float_fulltext":"right","image_fulltext_alt":"Samsung","image_fulltext_caption":"Samsung"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 7, 1, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(169, 424, 'Joomla template framework: T3 Framework 2.0.1 release', 'joomla-template-framework-t3-framework-2-0-1-release', '<p>Curabitur iaculis tortor nulla pellentesque fringilla <i>Vestibulum semper Vivamus</i>. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan</p>\r\n', '\r\n<p>Vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus </p>\r\n\r\n<h4>habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</h4>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n<blockquote class="pullquote">\r\n<p>"Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc"</p>\r\n</blockquote>\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>', 1, 90, '2014-01-09 09:00:15', 42, '', '2014-01-22 07:30:36', 42, 0, '0000-00-00 00:00:00', '2014-01-09 09:00:15', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-2.jpg","float_intro":"","image_intro_alt":"ZTE Grand S II","image_intro_caption":"ZTE Grand S II","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-2.jpg","float_fulltext":"","image_fulltext_alt":"ZTE Grand S II","image_fulltext_caption":"ZTE Grand S II"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 11, 0, '', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(170, 425, 'Best deals for responsive Joomla templates 2013', 'best-deals-for-responsive-joomla-templates-2013', '<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo </p>\r\n', '\r\n<p>Tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 91, '2014-01-09 09:11:31', 42, '', '2014-01-22 07:32:22', 42, 0, '0000-00-00 00:00:00', '2014-01-09 09:11:31', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-25.jpg","float_intro":"","image_intro_alt":"last-minute tech gifts","image_intro_caption":"last-minute tech gifts","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-25.jpg","float_fulltext":"","image_fulltext_alt":"last-minute tech gifts","image_fulltext_caption":"last-minute tech gifts"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(171, 426, 'Best Joomla deals on Black Friday 2013 ', 'best-joomla-deals-on-black-friday-2013', '<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed</p>\r\n', '\r\n<p> Quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 91, '2014-01-09 09:13:08', 42, '', '2014-01-25 08:34:46', 42, 0, '0000-00-00 00:00:00', '2014-01-09 09:13:08', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-21.jpg","float_intro":"","image_intro_alt":"HP Envy 5530","image_intro_caption":"HP Envy 5530","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-21.jpg","float_fulltext":"","image_fulltext_alt":"HP Envy 5530","image_fulltext_caption":"HP Envy 5530"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(172, 427, 'Best Joomla deals coupon code for Christmas 2013', 'best-joomla-deals-coupon-code-for-christmas-2013', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam.</p>\r\n', ' \r\n<p>Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n', 1, 91, '2014-01-09 09:15:43', 42, '', '2014-01-22 07:32:56', 42, 0, '0000-00-00 00:00:00', '2014-01-09 09:15:43', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-24.jpg","float_intro":"","image_intro_alt":"MFC-J6920dw","image_intro_caption":"MFC-J6920dw","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-24.jpg","float_fulltext":"","image_fulltext_alt":"MFC-J6920dw","image_fulltext_caption":"MFC-J6920dw"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 0, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(173, 428, 'Responsive Joomla template for book stores - JA Bookshop', 'responsive-joomla-template-for-book-stores-ja-bookshop', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam.</p>\r\n ', '\r\n<p>Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n', 1, 89, '2014-01-09 09:19:18', 42, '', '2014-01-25 08:33:19', 42, 0, '0000-00-00 00:00:00', '2014-01-09 09:19:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-13.jpg","float_intro":"","image_intro_alt":"Lenovo ThinkPad X1 Carbon","image_intro_caption":"Lenovo ThinkPad X1 Carbon","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-13.jpg","float_fulltext":"right","image_fulltext_alt":"Lenovo ThinkPad X1 Carbon","image_fulltext_caption":"Lenovo ThinkPad X1 Carbon"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 0, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(174, 431, 'Best Joomla practices for beginners', 'best-joomla-practices-for-beginners', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam.</p>\r\n\r\n', ' \r\n<p>Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.</p>\r\n\r\n<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n', 1, 93, '2014-01-09 09:22:18', 42, '', '2014-01-22 08:20:17', 42, 0, '0000-00-00 00:00:00', '2014-01-09 09:22:18', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-22.jpg","float_intro":"","image_intro_alt":"Yahoo starts encrypting all email","image_intro_caption":"Yahoo starts encrypting all email","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-22.jpg","float_fulltext":"right","image_fulltext_alt":"Yahoo starts encrypting all email","image_fulltext_caption":"Yahoo starts encrypting all email"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 5, 0, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(175, 432, 'Free Joomla template for magazine', 'downloads-7-tools-to-share-snapshot-and-stream-your-games', '<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque</p>\r\n ', '\r\n<p>Amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 92, '2014-01-09 09:37:27', 42, '', '2014-01-22 08:18:00', 42, 0, '0000-00-00 00:00:00', '2014-01-09 09:37:27', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-14.jpg","float_intro":"","image_intro_alt":"7 tools to Share, snapshot, and stream","image_intro_caption":"7 tools to Share, snapshot, and stream","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-14.jpg","float_fulltext":"right","image_fulltext_alt":"7 tools to Share, snapshot, and stream","image_fulltext_caption":"7 tools to Share, snapshot, and stream"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 4, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(176, 433, 'Joomla 3 templates - Best practices for high conversion', 'joomla-3-templates-best-practices-for-high-conversion', '<p>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed </p>\r\n', '\r\n<p>Quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.</p>\r\n\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>\r\n\r\n<p>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n', 1, 92, '2014-01-09 09:39:33', 42, '', '2014-01-22 08:19:04', 42, 0, '0000-00-00 00:00:00', '2014-01-09 09:39:33', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-26.jpg","float_intro":"","image_intro_alt":"productivity tools","image_intro_caption":"productivity tools","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-26.jpg","float_fulltext":"right","image_fulltext_alt":"productivity tools","image_fulltext_caption":"productivity tools"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 5, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(177, 434, 'Compatible', 'compatible', '<p>Platea adipiscing justo commodo lobortis montes a vestibulum augue et justo. Eget adipiscing laoreet est pretium gravida felis gravida ut ac laoreet. Et Nunc et vel id et pharetra eget Aenean urna. Parturient tellus ipsum  ', 'felis eu et leo fames Sed elit Donec. Maecenas <a title="Sample link" href="#">consectetuer aliquam</a> tempus interdum sit Morbi consectetuer a risus elit. At mauris molestie eleifend quis porttitor pede Sed risus metus Donec. Ac neque et pretium</p>\r\n<p>Nam lacus quis Vestibulum orci Curabitur Proin. Ligula ultrices enim nibh et magnis <a title="sample link" href="#">sagittis laoreet.</a></p>\r\n<h3>Adding Context to Messaging</h3>\r\n<p>Eu sed fames nec scelerisque interdum orci turpis pretium nisl Vestibulum. Iaculis pharetra Nam nec fermentum volutpat enim interdum habitasse pretium tincidunt. Mus odio hendrerit habitant Nam tempus eros In Vestibulum elit Curabitur.</p>\r\n<blockquote class="pullquote">\r\n<p>"In my 24 years of life, I\'m better at life than you"</p>\r\n</blockquote>\r\n<p>Elit aliquam tincidunt ac interdum orci tincidunt velit Vestibulum sit Sed. Ridiculus nisl at tristique ut pellentesque sapien rutrum pellentesque in ante. Morbi velit elit orci semper velit pharetra eros scelerisque.</p>\r\n<p>Id dolor fringilla ridiculus lacinia ligula In hendrerit lobortis sed id. Quis quis tincidunt nulla libero cursus interdum Nam nulla velit amet. Morbi et sem Mauris wisi et consectetuer ac Phasellus Aenean Sed.</p>\r\n<p>Porttitor sed id interdum Aenean malesuada vel at Quisque nec dui. Enim orci non arcu condimentum id ut laoreet cursus et Fusce. Volutpat Phasellus pretium Quisque nibh <a title="Sample link" href="#">tristique vitae aliquam eget odio.</a></p>\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>\r\n', 1, 9, '2014-01-09 09:55:57', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-01-09 09:55:57', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 1, 11, '', '', 1, 30, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(178, 435, 'Offline page', 'offline-page', '<div class="text-center">\r\n<img src="images/joomlart/demo/offline-page.png" alt="Offline page" title="Offline page" style="display: inline;" />\r\n</div>', '', 1, 9, '2014-01-09 10:40:32', 42, '', '2014-01-22 09:05:49', 42, 0, '0000-00-00 00:00:00', '2014-01-09 10:40:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 3, 10, '', '', 1, 35, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(179, 438, 'Features Intro 2', 'features-intro-2', '<p>Lorem ipsum dolor sit amet consectetuer ut condimentum cursus tincidunt felis. Magna nec dictum nibh dignissim Vestibulum dictumst et ante malesuada laoreet. Nulla fermentum egestas condimentum sapien orci libero aliquam Phasellus ante sociis. Nibh faucibus et Curabitur orci sapien ligula Maecenas In ullamcorper quis. Id cursus sed quam porttitor vel Curabitur tincidunt wisi tortor augue. Lacinia Aliquam mattis Proin Pellentesque Donec Aliquam Aliquam.</p>\r\n\r\n<p>Enim congue semper amet semper scelerisque Donec a In vitae nunc. Faucibus egestas tincidunt lobortis elit at nibh Cum ullamcorper non odio. Laoreet enim sem In elit at lacinia amet nisl sapien sed. Justo tincidunt magna mattis nibh sagittis egestas Donec hendrerit lorem et. Ac pretium Nulla mattis tellus Donec Aenean Curabitur Cum vel a. Nam Pellentesque Nulla ornare Vivamus nibh Nam in felis mauris.</p>\r\n\r\n<p>Pellentesque mollis Phasellus consequat eu interdum pede elit Praesent turpis nascetur. Nec elit consectetuer auctor augue massa dui semper dolor Phasellus tortor. Vivamus et Suspendisse Lorem et sagittis eu Vestibulum habitant vitae commodo. Faucibus leo In ut Phasellus orci suscipit felis nulla facilisi sem. Id Vivamus tellus volutpat pretium dignissim Vestibulum id id wisi at. Adipiscing sit laoreet.</p>\r\n\r\n<p>Adipiscing dui tortor neque Praesent ut tempor tellus Nunc commodo ligula. Ridiculus amet tempor eros tellus mauris gravida egestas eu pellentesque convallis. Et lorem id condimentum at adipiscing et semper amet eros quis. Nascetur et turpis dictumst nec molestie et pede egestas interdum Nulla. Porttitor nulla dui amet semper at lorem wisi consectetuer tortor Suspendisse. Ipsum suscipit laoreet pretium lorem urna at ac sit purus dolor. </p>', '', 1, 9, '2014-01-13 03:29:32', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-01-13 03:29:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 1, 9, '', '', 1, 2003, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(183, 447, 'Wanna get your beloved extensions in?', 'welcome-to-purity-iii', '<img src="images/joomlart/corporate/sam-5.jpg" alt="Sample image" class="img-thumbnail img-responsive" align="right" />\r\n\r\n<p><strong>One remarkable feature of responsive Joomla template Purity III</strong> is that this template is fully compatible with a variety of the most well-know Joomla extensions on the market. To name, so far this Joomla 3 template is ready for EasyBlog, JomSocial, Kunena, EasyDiscuss, EasySocial and Mijoshop.</p>\r\n\r\n<p>But what if you want something more? We are eager to gather your opinion. Please tell us: What is your most-wanted third party extension? Which extensions do you believe that our Purity should have? Raise your voice; we would love to hear!</p>\r\n\r\n<p>Highly recommend: It would be nice if you can ping your Joomla extension providers to request about the compatibility. This helps us find common interest at ease!</p>\r\n\r\n', '\r\n\r\n<p>Risus quis auctor adipiscing eu penatibus tincidunt habitasse consectetuer nec platea. Amet pretium amet nibh fermentum auctor suscipit interdum dictum ante et. Amet laoreet urna nisl congue ridiculus faucibus metus nec nec nibh. Lacinia consectetuer et turpis parturient Donec Morbi nec condimentum elit pellentesque. Magna lacinia Maecenas neque molestie tellus elit leo Duis elit tellus. Mattis tristique elit condimentum commodo ipsum leo a orci ut Fusce. At gravida.</p>\r\n\r\n<p>Montes Aenean sed Lorem tellus turpis eros Aenean lorem et tellus. Tortor pretium facilisis faucibus in nec sed leo felis cursus justo. Semper vel porttitor mauris et mus Nulla congue vitae sed arcu. Hac Sed dis et Pellentesque In Cum urna consequat amet arcu. Eget urna vel wisi pretium Proin Quisque at Nunc ridiculus id. Dis consectetuer orci Sed vel dui hendrerit tortor massa vitae interdum. Id adipiscing.</p>\r\n\r\n<p>Elit elit Nam semper morbi enim nunc ac at mattis interdum. Facilisis feugiat sem sed at tincidunt auctor magna Nulla pellentesque dolor. Quis Proin pretium cursus turpis cursus mauris gravida aliquam magnis nec. Lorem Ut congue semper hac egestas lacus sapien Suspendisse laoreet molestie. Aenean Fusce porta tempus Nulla volutpat id porttitor convallis nunc In. </p>', 1, 84, '2014-01-15 03:50:31', 42, '', '2014-02-14 03:06:27', 42, 0, '0000-00-00 00:00:00', '2014-01-15 03:50:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 15, 1, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(184, 448, 'Let\'s get to know Purity III', 'donec-mauris-sem-arcu-consectetuer', '<img src="images/joomlart/corporate/sam-11.jpg" alt="Sample image" class="img-thumbnail img-responsive" align="right" />\r\n\r\n<p><strong>Our free responsive Joomla template Purity III is for every Joomla user, from beginners to professionals</strong>. The novice may find here the very first step to create a fresh Joomla site within 5 minutes. Meanwhile, the techie ones can work on this dynamic Joomla template to create their own work of art.</p>\r\n\r\n<p> Along with the multi-styles and layouts, Purity III is perfectly adaptable for your site no matter it is about business, blog, news, magazines, media or portfolio. You can do the blogging with Easyblog, get widely connected with JomSocial or offer the best shopping experience with Mijoshop in one site with just one theme - Purity III. </p>\r\n\r\n', '\r\n\r\n<p>Elit elit Nam semper morbi enim nunc ac at mattis interdum. Facilisis feugiat sem sed at tincidunt auctor magna Nulla pellentesque dolor. Quis Proin pretium cursus turpis cursus mauris gravida aliquam magnis nec. Lorem Ut congue semper hac egestas lacus sapien Suspendisse laoreet molestie. Aenean Fusce porta tempus Nulla volutpat id porttitor convallis nunc In. </p>\r\n\r\n<p>Cursus id Nam faucibus Donec mauris sem et arcu consectetuer nunc. In vitae ac tellus vitae urna Sed nibh Mauris nibh interdum. Interdum at et adipiscing feugiat laoreet ultrices et sit orci et. Wisi tempus a augue tincidunt Aenean tellus condimentum mus nascetur Phasellus. Libero consectetuer ridiculus et sed id egestas tortor vitae lacinia diam. In at enim ac consectetuer ipsum egestas pretium eget nibh sit. </p>\r\n\r\n<p>Proin elit neque felis wisi eget elit et nibh justo Quisque. Leo id quam justo Aenean nibh scelerisque nunc Vestibulum faucibus ultrices. Sit nulla habitant at massa orci quis fames Nulla tristique Vestibulum. Massa feugiat elit semper adipiscing ullamcorper Nulla laoreet orci ut tincidunt. Et Duis Morbi elit vel lacinia porttitor pretium sociis a id. Adipiscing.</p>\r\n\r\n<p>Duis orci ac vitae lacus sociis condimentum Sed quis lacinia ac. Lorem at hac ac vitae ut porttitor Vestibulum Aenean semper amet. Mauris semper tempus congue ornare pede hac ut condimentum interdum iaculis. Id enim Vivamus justo tortor tortor mauris Maecenas urna mauris cursus. Sem egestas mattis Sed nec et egestas Nam et tincidunt tortor. Tristique commodo id ipsum Vivamus Ut quis.</p>', 1, 84, '2014-01-15 03:53:24', 42, '', '2014-02-14 03:06:16', 42, 0, '0000-00-00 00:00:00', '2014-01-15 03:53:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 15, 0, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(185, 452, 'Pricing table', 'pricing-table', '<div class="page-header text-center">\r\n  <h1>Pricing table - style 1</h1>\r\n</div>\r\n\r\n<div class="pricing-table style1 row">\r\n  <div class="col col-md-4 no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Personal</h2>\r\n      <p>Perfect for your blog</p>\r\n    </div>\r\n    <div class="col-body">\r\n    <ul>\r\n      <li class="row0 yes">Unlimited bandwidth</li>\r\n      <li class="row1 yes">Unlimited products</li>\r\n      <li class="row0 yes">1 GB File storage</li>\r\n      <li class="row1 yes">2.0% Transaction fee</li>\r\n      <li class="row0 yes">Discount code engine</li>\r\n      <li class="row1 yes">24x7 Phone support</li>\r\n      <li class="row0 no">Gift cards</li>\r\n      <li class="row1 no">Abandoned cart recovery</li>\r\n      <li class="row0 no">Professional reports</li>\r\n      <li class="row1 no">Advanced report builder</li>\r\n      <li class="row0"><span class="big-number"><sup>$</sup>34<sup>.99</sup></span></li>\r\n    </ul>\r\n    </div>\r\n    <div class="col-footer text-center">\r\n      <a class="btn btn-lg btn-default">Sign up</a>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col col-md-4 col-feature shadow no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Portfolio</h2>\r\n      <p>Everything you need</p>\r\n    </div>\r\n    <div class="col-body">\r\n    <ul>\r\n      <li class="row0 yes">Unlimited bandwidth</li>\r\n      <li class="row1 yes">Unlimited products</li>\r\n      <li class="row0 yes">1 GB File storage</li>\r\n      <li class="row1 yes">2.0% Transaction fee</li>\r\n      <li class="row0 yes">Discount code engine</li>\r\n      <li class="row1 yes">24x7 Phone support</li>\r\n      <li class="row0 yes">Gift cards</li>\r\n      <li class="row1 yes">Abandoned cart recovery</li>\r\n      <li class="row0 yes">Professional reports</li>\r\n      <li class="row1 yes">Advanced report builder</li>\r\n      <li class="row0 yes">Real-time carrier shipping</li>\r\n      <li class="row0"><span class="big-number"><sup>$</sup>54<sup>.99</sup></span></li>\r\n    </ul>\r\n    </div>\r\n    <div class="col col-footer text-center">\r\n      <a class="btn btn-lg btn-primary">Sign up</a>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col col-md-4 no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Performance</h2>\r\n      <p>Awesome capacity</p>\r\n    </div>\r\n    <div class="col-body">\r\n    <ul>\r\n      <li class="row0 yes">Unlimited bandwidth</li>\r\n      <li class="row1 yes">Unlimited products</li>\r\n      <li class="row0 yes">1 GB File storage</li>\r\n      <li class="row1 yes">2.0% Transaction fee</li>\r\n      <li class="row0 no">Discount code engine</li>\r\n      <li class="row1 yes">24x7 Phone support</li>\r\n      <li class="row0 yes">Gift cards</li>\r\n      <li class="row1 no">Abandoned cart recovery</li>\r\n      <li class="row0 no">Professional reports</li>\r\n      <li class="row1 no">Advanced report builder</li>\r\n      <li class="row0"><span class="big-number"><sup>$</sup>45<sup>.99</sup></span></li>\r\n    </ul>\r\n    </div>\r\n    <div class="col-footer text-center">\r\n      <a class="btn btn-lg btn-default">Sign up</a>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n\r\n<div class="page-header text-center">\r\n  <h1>Pricing table - style 2</h1>\r\n</div>\r\n\r\n<div class="pricing-table style2 row">\r\n  <div class="col col-md-4 no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Personal</h2>\r\n      <p><span class="big-number"><sup>$</sup>34<sup>.99</sup></span></p>\r\n    </div>\r\n    <div class="col-body">\r\n    <ul>\r\n      <li class="row0 yes">Unlimited bandwidth</li>\r\n      <li class="row1 yes">Unlimited products</li>\r\n      <li class="row0 yes">1 GB File storage</li>\r\n      <li class="row1 yes">2.0% Transaction fee</li>\r\n      <li class="row0 yes">Discount code engine</li>\r\n      <li class="row1 yes">24x7 Phone support</li>\r\n      <li class="row0 no">Gift cards</li>\r\n      <li class="row1 no">Abandoned cart recovery</li>\r\n      <li class="row0 no">Professional reports</li>\r\n      <li class="row1 no">Advanced report builder</li>\r\n    </ul>\r\n    </div>\r\n    <div class="col-footer text-center">\r\n      <a class="btn btn-lg btn-default">Sign up</a>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col col-md-4 col-feature shadow no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Portfolio</h2>\r\n      <p><span class="big-number"><sup>$</sup>54<sup>.99</sup></span></p>\r\n    </div>\r\n    <div class="col-body">\r\n    <ul>\r\n      <li class="row0 yes">Unlimited bandwidth</li>\r\n      <li class="row1 yes">Unlimited products</li>\r\n      <li class="row0 yes">1 GB File storage</li>\r\n      <li class="row1 yes">2.0% Transaction fee</li>\r\n      <li class="row0 yes">Discount code engine</li>\r\n      <li class="row1 yes">24x7 Phone support</li>\r\n      <li class="row0 yes">Gift cards</li>\r\n      <li class="row1 yes">Abandoned cart recovery</li>\r\n      <li class="row0 yes">Professional reports</li>\r\n      <li class="row1 yes">Advanced report builder</li>\r\n      <li class="row0 yes">Real-time carrier shipping</li>\r\n    </ul>\r\n    </div>\r\n    <div class="col-footer text-center">\r\n      <a class="btn btn-lg btn-primary">Sign up</a>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col col-md-4 no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Performance</h2>\r\n      <p><span class="big-number"><sup>$</sup>45<sup>.99</sup></span></p>\r\n    </div>\r\n    <div class="col-body">\r\n    <ul>\r\n      <li class="row0 yes">Unlimited bandwidth</li>\r\n      <li class="row1 yes">Unlimited products</li>\r\n      <li class="row0 yes">1 GB File storage</li>\r\n      <li class="row1 yes">2.0% Transaction fee</li>\r\n      <li class="row0 no">Discount code engine</li>\r\n      <li class="row1 yes">24x7 Phone support</li>\r\n      <li class="row0 yes">Gift cards</li>\r\n      <li class="row1 no">Abandoned cart recovery</li>\r\n      <li class="row0 no">Professional reports</li>\r\n      <li class="row1 no">Advanced report builder</li>\r\n    </ul>\r\n    </div>\r\n    <div class="col-footer text-center">\r\n      <a class="btn btn-lg btn-default">Sign up</a>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<!--------------------------------------------------------------------------------------------------------------------------------------------->\r\n\r\n<div class="page-header text-center">\r\n  <h1>Pricing table - style 3</h1>\r\n</div>\r\n\r\n<div class="pricing-table style3">\r\n\r\n<div class="row row-header hidden-xs hidden-sm">\r\n  <div class="col col-md-3 no-padding"></div>\r\n  <div class="col col-md-3 no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Personal</h2>\r\n      <p><span class="big-number"><sup>$</sup>34<sup>.99</sup></span></p>\r\n    </div>\r\n  </div>\r\n  <div class="col col-md-3 col-feature no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Portfolio</h2>\r\n      <p><span class="big-number"><sup>$</sup>54<sup>.99</sup></span></p>\r\n    </div>\r\n  </div>\r\n  <div class="col col-md-3 no-padding">\r\n    <div class="col-header text-center">\r\n      <h2>Performance</h2>\r\n      <p><span class="big-number"><sup>$</sup>45<sup>.99</sup></span></p>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n\r\n<div class="row row-body">\r\n  <div class="col col-md-3 no-padding hidden-xs hidden-sm">\r\n    <ul>\r\n      <li class="row0 yes">Unlimited bandwidth</li>\r\n      <li class="row1 yes">Unlimited products</li>\r\n      <li class="row0 yes">1 GB File storage</li>\r\n      <li class="row1 yes">2.0% Transaction fee</li>\r\n      <li class="row0">Discount code engine</li>\r\n      <li class="row1">24x7 Phone support</li>\r\n      <li class="row0">Gift cards</li>\r\n      <li class="row1">Abandoned cart recovery</li>\r\n      <li class="row0">Professional reports</li>\r\n      <li class="row1">Advanced report builder</li>\r\n      <li class="row0">Advanced report builder</li>\r\n    </ul>\r\n  </div>\r\n\r\n  <div class="col col-md-3 no-padding">\r\n  	<div class="col-header text-center hidden-md hidden-lg">\r\n      <h2>Personal</h2>\r\n      <p><span class="big-number"><sup>$</sup>34<sup>.99</sup></span></p>\r\n    </div>\r\n    <ul>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Unlimited bandwidth</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">Unlimited products</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">1 GB File storage</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">2.0% Transaction fee</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Discount code engine</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">24x7 Phone support</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Gift cards</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1 no"><span class="hidden-md hidden-lg">Abandoned cart recovery</span> <i class="fa fa-times-circle"></i></li>\r\n      <li class="row0 no"><span class="hidden-md hidden-lg">Professional reports</span> <i class="fa fa-times-circle"></i></li>\r\n      <li class="row1 no"><span class="hidden-md hidden-lg">Advanced report builder</span> <i class="fa fa-times-circle"></i></li>\r\n      <li class="row0 no"><span class="hidden-md hidden-lg">Advanced report builder</span> <i class="fa fa-times-circle"></i></li>\r\n    </ul>\r\n    <div class="col-footer text-center">\r\n      <a href="#" title="Sign up" class="btn btn-lg btn-default">Sign up</a>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col col-md-3 no-padding">\r\n  	<div class="col-header text-center hidden-md hidden-lg">\r\n      <h2>Portfolio</h2>\r\n      <p><span class="big-number"><sup>$</sup>54<sup>.99</sup></span></p>\r\n    </div>\r\n\r\n    <ul>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Unlimited bandwidth</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">Unlimited products</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">1 GB File storage</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">2.0% Transaction fee</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Discount code engine</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">24x7 Phone support</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Gift cards</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">Abandoned cart recovery</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Professional reports</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">Advanced report builder</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Advanced report builder</span> <i class="fa fa-check-circle"></i></li>\r\n    </ul>\r\n    <div class="col-footer text-center">\r\n      <a href="#" title="Sign up" class="btn btn-lg btn-primary">Sign up</a>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col col-md-3 no-padding">\r\n  	<div class="col-header text-center hidden-md hidden-lg">\r\n      <h2>Performance</h2>\r\n      <p><span class="big-number"><sup>$</sup>45<sup>.99</sup></span></p>\r\n    </div>\r\n\r\n    <ul>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Unlimited bandwidth</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">Unlimited products</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">1 GB File storage</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">2.0% Transaction fee</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Discount code engine</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">24x7 Phone support</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0"><span class="hidden-md hidden-lg">Gift cards</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row1"><span class="hidden-md hidden-lg">Abandoned cart recovery</span> <i class="fa fa-check-circle"></i></li>\r\n      <li class="row0 no"><span class="hidden-md hidden-lg">Professional reports</span> <i class="fa fa-times-circle"></i></li>\r\n      <li class="row1 no"><span class="hidden-md hidden-lg">Advanced report builder</span> <i class="fa fa-times-circle"></i></li>\r\n      <li class="row0 no"><span class="hidden-md hidden-lg">Advanced report builder</span> <i class="fa fa-times-circle"></i></li>\r\n    </ul>\r\n    <div class="col-footer text-center">\r\n      <a href="#" title="Sign up" class="btn btn-lg btn-default">Sign up</a>\r\n    </div>\r\n  </div>\r\n\r\n</div>\r\n\r\n</div>\r\n\r\n<div class="page-header text-center">\r\n  <h1>Sample FAQ</h1>\r\n</div>\r\n\r\n<div class="row">\r\n<div class="col-md-6">\r\n<h3>Is there a setup fee?</h3>\r\n<p>Lorem ipsum dolor sit amet consectetuer turpis eros Quisque felis pretium. Habitasse iaculis fermentum amet adipiscing Praesent ac mauris id tincidunt Vestibulum. Integer Vestibulum ac tellus eget laoreet elit urna massa Nam quis. Curabitur Curabitur sapien nec ac turpis rhoncus Morbi mauris justo eu. Dolor pede Phasellus sollicitudin nunc laoreet pretium id laoreet Morbi velit. Nec laoreet condimentum.</p>\r\n\r\n<h3>Do I need to enter my credit card details to sign up?</h3>\r\n<p>Eleifend Fusce tincidunt dictumst libero ante nec justo dui feugiat molestie. Penatibus mi dui dictum at justo nibh mattis laoreet lacinia neque. Vitae nibh faucibus volutpat lacinia mauris Proin id nibh tristique cursus. Vitae faucibus gravida ut parturient aliquam eros fringilla Vestibulum ante ligula. Mi nascetur Aliquam euismod ut nulla orci lacus ac Curabitur lacus. Sagittis tellus nec id cursus magnis condimentum sit dui Pellentesque tincidunt. Sapien ut sapien.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h3>Why use the Professional plan?</h3>\r\n<p>Lorem ipsum dolor sit amet consectetuer turpis eros Quisque felis pretium. Habitasse iaculis fermentum amet adipiscing Praesent ac mauris id tincidunt Vestibulum. Integer Vestibulum ac tellus eget laoreet elit urna massa Nam quis. Curabitur Curabitur sapien nec ac turpis rhoncus Morbi mauris justo eu. Dolor pede Phasellus sollicitudin nunc laoreet pretium id laoreet Morbi velit. Nec laoreet condimentum.</p>\r\n\r\n<h3>Why use the Unlimited plan?</h3>\r\n<p>Eleifend Fusce tincidunt dictumst libero ante nec justo dui feugiat molestie. Penatibus mi dui dictum at justo nibh mattis laoreet lacinia neque. Vitae nibh faucibus volutpat lacinia mauris Proin id nibh tristique cursus. Vitae faucibus gravida ut parturient aliquam eros fringilla Vestibulum ante ligula. Mi nascetur Aliquam euismod ut nulla orci lacus ac Curabitur lacus. Sagittis tellus nec id cursus magnis condimentum sit dui Pellentesque tincidunt. Sapien ut sapien.</p>\r\n\r\n<h3>Can I use my own payment gateway?</h3>\r\n<div class="alert alert-warning">\r\n  <p>Unsure which plan is best for you?<br />\r\nCall our sales team at 1-234-567-8932\r\n</p>\r\n</div>\r\n</div>\r\n</div>', '', 1, 9, '2014-01-15 09:00:45', 42, '', '2014-12-03 08:18:05', 42, 0, '0000-00-00 00:00:00', '2014-01-15 09:00:45', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 73, 8, '', '', 1, 255, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(186, 453, 'Support policy', 'support-policy', '<div class="support-policy">\r\n\r\n<div class="row row-support-policy">\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>Demo site display</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>Your site does not look like our demo site? No problem, provide us your site details and we will help you. Temporary login info if provided makes this task a breeze. Login info can be submitted even in our forums in the hidden fields (mods eyes only).</p>\r\n      </div>\r\n      <div class="col-level level-1">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">100%</span>\r\n        </div>\r\n        <strong>Excellent</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>Bugs</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>We hate bugs and act swiftly to crush them. Provide us steps to replicate the bug and let us do the rest.</p>\r\n      </div>\r\n      <div class="col-level level-1">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">90%</span>\r\n        </div>\r\n        <strong>Excellent</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>New feature requests</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>As long as the feature will add value to the product and is requested by others too, we will add them.</p>\r\n      </div>\r\n      <div class="col-level level-2">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">80%</span>\r\n        </div>\r\n        <strong>Maybe, maybe not</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n</div> <!-- End row -->\r\n\r\n\r\n<div class="row row-support-policy">\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>Customizations</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>Limited customization support is available only for developers. For regular members minor customization requests may be fulfilled depending upon the workload and staff discretion.</p>\r\n      </div>\r\n      <div class="col-level level-2">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">80%</span>\r\n        </div>\r\n        <strong>Limited</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>3rd party extensions issue</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>Lets face it, while we do test our templates with popular extensions at random but its not possible to cover all of them. So, our take on this is very clear : if it works in Joomla default templates but not in our templates, we will try our best to fix it, provided the 3rd party extension developer is using standard unmodified dependent libraries.</p>\r\n      </div>\r\n      <div class="col-level level-3">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">75%</span>\r\n        </div>\r\n        <strong>Very Good</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col-->\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>Old versions</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>We recommend using the latest versions of products in your site but we also understand that its not possible everytime. If provided with full details, screenshots and temporary login details, we can have a look and try to help.</p>\r\n      </div>\r\n      <div class="col-level level-3">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">70%</span>\r\n        </div>\r\n        <strong>Tricky</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n</div> <!-- End row -->\r\n\r\n\r\n<div class="row row-support-policy">\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>Adding module positions or layout changes</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>As long as it does not fall under customization expect good support. Please note, sometimes the template concept can be restrictive, for example : we cant help to add module position in JA Smashboard which is horizontal scrolling as it may break responsive layouts.</p>\r\n      </div>\r\n      <div class="col-level level-4">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">40%</span>\r\n        </div>\r\n        <strong>Maybe, maybe not</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>Javascript conflicts</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>We understand that javascripts conflict can put the whole site purpose in limbo. We always help user investigate such issues and if it can be fixed from our side, we always fix them. If we express helplessness due to 3rd party extension issues, you will have to take it up with them. We are always ready to work with others to resolve such issues.</p>\r\n      </div>\r\n      <div class="col-level level-4">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">30%</span>\r\n        </div>\r\n        <strong>Maybe, maybe not</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>Ping Pong</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>We hate it. We can not provide efficient support if you post single line poorly formatted questions without detailed description of the issue faced. You will only get blunt wild guesses as replies, not to mention the prolonged resolution time. Help us to help you.</p>\r\n      </div>\r\n      <div class="col-level level-5">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">20%</span>\r\n        </div>\r\n        <strong>ignored</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n</div> <!-- End row -->\r\n\r\n<div class="row row-support-policy">\r\n\r\n  <div class="col-md-4">\r\n    <div class="policy-item">\r\n      <div class="col-type">\r\n        <h3>Server &amp; Hosting</h3>\r\n      </div>\r\n      <div class="col-detail">\r\n        <p>We can only help to point out issues, beyond that its between you and your hosting provider.</p>\r\n      </div>\r\n      <div class="col-level level-6">\r\n        <div class="level-info">\r\n          <span class="face"></span>\r\n          <span class="count-up">0%</span>\r\n        </div>\r\n        <strong>Very very limited</strong>\r\n      </div>\r\n    </div>\r\n  </div> <!-- End col -->\r\n\r\n</div> <!-- End row -->\r\n\r\n</div> <!-- End support policy -->', '', 1, 9, '2014-01-15 09:01:27', 42, '', '2014-01-22 11:19:13', 42, 0, '0000-00-00 00:00:00', '2014-01-15 09:01:27', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 42, 7, '', '', 1, 520, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(193, 464, 'Access level', 'access-level', '<p>The default access levels for Joomla are: Public (everyone), Registered (logged-in users), or Special (authors and above). However, you can create an infinite number of custom access levels to suit your site’s needs.</p>', '', 1, 101, '2014-01-17 02:13:03', 42, '', '2014-01-20 03:10:47', 42, 0, '0000-00-00 00:00:00', '2014-01-17 02:13:03', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 86, '', 'The default access levels for Joomla are: Public (everyone), Registered (logged-in users), or Special (authors and above). However, you can create an infinite number of custom access levels to suit your site’s needs \r\n', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(194, 465, 'Compatible Extensions', 'compatible-extensions', 'working...........................', '', 1, 102, '2014-01-17 02:13:50', 42, '', '2014-01-21 10:25:58', 42, 0, '0000-00-00 00:00:00', '2014-01-17 02:13:50', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 23, 0, '', '', 1, 155, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(195, 466, 'Anchor', 'anchor', '<p>An anchor is created using the <code>&lt;a&gt;</code> tag in HTML. An anchor allows you to place a bookmark inside an HTML page. In Joomla!, you can place an anchor inside an article (for example, using the TinyMCE editor). This lets you create a link that will go directly to that point in the article.</p>\r\n\r\n<p>The HTML source code for an anchor looks like the following:</p>\r\n\r\n<div class="highlight"><pre>&lt;a name="my_anchor" title="My Anchor"&gt;&lt;/a&gt;</pre></div>\r\n\r\n<p>You can link to an anchor from within the same page using the HTML code</p>\r\n<div class="highlight"><pre>&lt;a href="#my_anchor" &gt;&lt;/a&gt;</pre></div>\r\n\r\n<p>Clicking that link will take you directly to the location of the anchor tag.</p>\r\n\r\n<p>You can link to an anchor in a different page by appending "#" plus the anchor name to the end of the URL. In the example above, if the URL for the article was <code>http://www.mysite.com/my_article.html</code>, then you could link directly to the anchor in that page with the URL <code>http://www.mysite.com/my_article.html#my_anchor</code>.</p>', '', 1, 101, '2014-01-17 02:16:38', 42, '', '2014-01-20 03:14:22', 42, 0, '0000-00-00 00:00:00', '2014-01-17 02:16:38', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 14, 85, '', 'An anchor in Joomla is created using the  tag in HTML. An anchor allows you to place a bookmark inside an HTML page. In Joomla!, you can place an anchor inside an article (for example, using the TinyMCE editor). ', 1, 19, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(196, 467, 'Access Control List', 'access-control-list', '<p>Access Control List or ACL is according to the <a  href="http://en.wikipedia.org/wiki/Access_control_list" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">Wikipedia definition</a>, “...ACL specifies which users or system processes are granted access to objects, as well as what operations are allowed to be performed on given objects.” In the case of Joomla there are two separate aspects to its Access Control List which site administrators can control:</p>\r\n\r\n<p>Which users can gain access to what parts of the website? For example, will a given menu choice be visible for a given user? A registered user can view, but the public at large cannot. Perhaps the menu choice is hidden from all except an Editor user and higher.</p>\r\n\r\n<p>What operations (or actions) can a user perform on any given object? For example, can a user listed as an "Editor" submit an article or only edit an existing article. The ACL settings could allow submitting and editing, or allow a change an article\'s category, add tags or any combination.</p>\r\n\r\n<p>The implementation of ACL in Joomla was substantially changed in the Joomla! 2.5 series which allowed for more flexibility in groups and permissions.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:08:10', 42, '', '2014-01-17 04:21:09', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:08:10', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 84, '', '', 1, 18, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(197, 468, 'Language Pack', 'language-pack', '<p>An installable language extension that provides the option to view a Joomla site in a different language.</p>\r\n<p>Language packs can be for the front or back end of the site. With Joomla!, language-files are stored within the folder languages, and within that directory for each language a subdirectory is created.</p>', '', 1, 101, '2014-01-17 03:09:29', 42, '', '2014-01-20 03:35:05', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:09:29', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 83, '', 'Language Pack in Joomla is An installable language extension that provides the option to view a Joomla site in a different language. Language packs can be for the front or back end of the site. With Joomla!, language-files are stored within the folder languages, and within that directory for each language a subdirectory is created', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(198, 469, 'Administrator', 'administrator', '<p>A user level on a Joomla site that has access to all front-end and back-end capabilities. Administrators is just below super user level.</p>', '', 1, 101, '2014-01-17 03:10:21', 42, '', '2014-01-20 03:11:15', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:10:21', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 82, '', 'A user level on a Joomla site that has access to all front-end and back-end capabilities. Administrators is just below super user level.', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(199, 470, 'Admin template', 'admin-template', '<p>The template used to specify the layout of the administrator back end of a Joomla site. The Back-end Template controls the way your website\'s administrative tasks are presented for controlling management functions by a Joomla! Administrator. These would include common tasks such as: user, menu, article, category, module, component, plugin and template management.</p>', '', 1, 101, '2014-01-17 03:10:56', 42, '', '2014-01-20 03:12:09', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:10:56', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 81, '', 'Admin template in Joomla is The template used to specify the layout of the administrator back end of a Joomla site. The Back-end Template controls the way your website\'s administrative tasks are presented for controlling management functions by a Joomla! Administrator. These would include common tasks such as: user, menu, article, category, module, component, plugin and template management.', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(200, 471, 'Language Key', 'language-key', '<p>The name for a specific piece of language-specific text in a Joomla application.</p>\r\n\r\n<p><code>KEY = Value</code>: where “KEY” is a string to be translated and “Value” is the translated string. In a Joomla program, language keys are used instead of literal language strings. The actual text is substituted at runtime based on the currently active language.</p>', '', 1, 101, '2014-01-17 03:11:07', 42, '', '2014-01-20 03:35:22', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:11:07', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 80, '', 'Language Key in Joomla is The name for a specific piece of language-specific text in a Joomla application. KEY = Value: where “KEY” is a string to be translated and “Value” is the translated string. In a Joomla program, language keys are used instead of literal language strings. The actual text is substituted at runtime based on the currently active language.', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(201, 472, 'Alias', 'alias', '<p>Aliases are short pieces of text that represent the title of certain items (Menu items, Articles and Categories) in a machine-friendly format. This format allows only lowercase letters and dashes (-).</p>\r\n\r\n<p>Aliases are used by Joomla to make Search Engine Friendly URLs. There are technical limitations to the types of characters that can be included in URLs, so Joomla prevents problems with invalid characters by allowing you to specify an alias.</p>\r\n\r\n<p>You can fill in an alias yourself. If you leave the alias field empty, Joomla will automatically create an alias from the Title field of an item when it is saved. This means that if you edit the title of an item, but you leave the old alias in its field, the alias (and the URL that is created from it) will not change. Empty the alias field if you want generate a new alias.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:11:58', 42, '', '2014-01-20 03:12:40', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:11:58', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 79, '', 'Aliases in Joomla are short pieces of text that represent the title of certain items (Menu items, Articles and Categories) in a machine-friendly format. This format allows only lowercase letters and dashes (-).\r\nAliases are used by Joomla to make Search Engine Friendly URLs. There are technical limitations to the types of characters that can be included in URLs, so Joomla prevents problems with invalid characters by allowing you to specify an alias.\r\nYou can fill in an alias yourself. If you leave the alias field empty, Joomla will automatically create an alias from the Title field of an item when it is saved. This means that if you edit the title of an item, but you leave the old alias in its field, the alias (and the URL that is created from it) will not change. Empty the alias field if you want generate a new alias.', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(202, 473, 'Alternative Menu item', 'alternative-menu-item', '<p>Alternative Menu Items are used and work the same way as standard menu items. Since they are already based on customised layouts, template overrides do not apply to alternative menu items.</p>', '', 1, 101, '2014-01-17 03:12:25', 42, '', '2014-01-20 03:13:11', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:12:25', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 78, '', 'Alternative Menu Items in Joomla are used and work the same way as standard menu items. Since they are already based on customised layouts, template overrides do not apply to alternative menu items.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(203, 474, 'Apache', 'apache', '<p>A popular Web server. Apache is free software, distributed by the Apache Software Foundation that promotes various free and open source advanced Web technologies.</p>', '', 1, 101, '2014-01-17 03:12:58', 42, '', '2014-01-20 03:13:45', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:12:58', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 77, '', 'Apache in Joomla is A popular Web server. Apache is free software, distributed by the Apache Software Foundation that promotes various free and open source advanced Web technologies.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(204, 475, 'Language Override', 'language-override', '<p>An optional file that allows the site administrator to override any language string in core Joomla or in an extension (other than installing a new language). There are two override files, one for the front-end and one for the administrative back-end.</p>', '', 1, 101, '2014-01-17 03:13:32', 42, '', '2014-01-20 03:35:39', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:13:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 76, '', 'Language Override in Joomla is An optional file that allows the site administrator to override any language string in core Joomla or in an extension (other than installing a new language). There are two override files, one for the front end and one for the administrative back end.', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(205, 476, 'API', 'api', '<p>Application programming interface. The published methods for using a set of programs. In Joomla, the API refers to the public methods and fields of all the defined classes, especially ones in the Joomla platform. Because third-party programs rely on the API, it should be changed as infrequently as possible and always with advanced notice.</p>', '', 1, 101, '2014-01-17 03:13:46', 42, '', '2014-01-20 03:15:00', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:13:46', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 75, '', 'API in Joomla is Application programming interface. The published methods for using a set of programs. In Joomla, the API refers to the public methods and fields of all the defined classes, especially ones in the Joomla platform. Because third-party programs rely on the API, it should be changed as infrequently as possible and always with advanced notice.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(206, 477, 'Layout Override', 'layout-override', '<p>Files that gives you control over the display of modules or components.</p>\r\n\r\n<p>Override files are placed in special folders and can be used in place of the standard layout files. Unlike Template Overrides, which override layout files of the same name, Layout Overrides are additional layout files that give you more options and control.</p>', '', 1, 101, '2014-01-17 03:14:41', 42, '', '2014-01-20 03:36:34', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:14:41', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 74, '', 'Layout Override in Joomla is Files that gives you control over the display of modules or components. Override files are placed in special folders and can be used in place of the standard layout files. Unlike Template Overrides, which override layout files of the same name, Layout Overrides are additional layout files that give you more options and control.', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(207, 478, 'Article', 'article', '<p>In Joomla! an Article is a piece of content consisting of text (HTML), possibly with links to other resources (for example, images). Articles are the basic units of information in the content system and the bottom level in the content hierarchy. Since Joomla! 2.5 , each Article is in exactly one Category. A Category can be in another Category making it a sub Category. It is also possible to have Uncategorised Articles. These articles exist without being associated with any Category.</p>\r\n\r\n<p>Before Joomla! 2.5 and earlier versions, an Article was the third level in the hierarchy Sections ? Categories ? Articles. Now an Article is a bottom level and will alway be the second level or greater in hierarchy.</p>\r\n\r\n<p>Category ? Articles<br>\r\nCategory ? sub Category ? Articles<br>\r\nCategory ? sub Category ? sub Category ? Articles</p>\r\n\r\n<p>Articles are maintained using the Article Manager (see the Content Article Manager for  or the Content Article Manager for ) which can be reached in the Administrator (Back-end) by clicking on the Content menu, then the Article Manager menu item.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:15:47', 42, '', '2014-01-20 03:15:39', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:15:47', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 73, '', 'In Joomla an Article is a piece of content consisting of text (HTML), possibly with links to other resources (for example, images). Articles are the basic units of information in the content system and the bottom level in the content hierarchy. ', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(208, 479, 'LDAP', 'ldap', '<p>Lightweight Directory Access Protocol (LDAP) is a protocol designed to access directory systems over TCP/IP. Because of this various databases provide an LDAP interface such as <a  href="http://en.wikipedia.org/wiki/Active_Directory" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">Microsoft\'s Active Directory</a>, <a  href="http://en.wikipedia.org/wiki/Novell_eDirectory" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">Novell\'s eDirectory</a>, as well as more dedicated LDAP solutions such as OpenLDAP.\r\n</p>\r\n<p>\r\nJoomla! has had a native LDAP library (<code>joomla.client.ldap</code> (changed to JClientLDAP in Joomla 3.x)) and a native LDAP authentication plugin. This allows Joomla! to authenticate against LDAP systems out of the box: to configure, go to the Plugin Manager and enable and edit the Authentication - LDAP plugin.\r\n</p>\r\n\r\n<p>You can also read a <a  href="http://community.joomla.org/component/zine/article/507-developer-ldap-from-scratch-sam-moffatt.html" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">tutorial</a> on getting started from scratch with LDAP.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:21:39', 42, '', '2014-01-20 03:37:28', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:21:39', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 6, 72, '', 'LDAP in Joomla is Lightweight Directory Access Protocol - a protocol designed to access directory systems over TCP/IP.', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(209, 480, 'Author', 'author', '<p>A user level on a Joomla site that can write and submit articles. Author has access to functions from the front end only.</p>', '', 1, 101, '2014-01-17 03:23:15', 42, '', '2014-01-20 03:16:12', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:23:15', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 71, '', 'Author in Joomla is A user level on a Joomla site that can write and submit articles. Author has access to functions from the front end only', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(210, 481, 'Backend', 'backend', '<p>The control panel that administrators use to manage the content, appearance and functionality of the site. Access to the back end is typically restricted to higher level users, such as publishers, administrators, and super users.</p>', '', 1, 101, '2014-01-17 03:23:53', 42, '', '2014-01-20 03:16:40', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:23:53', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 70, '', 'Backend in Joomla is The control panel that administrators use to manage the content, appearance and functionality of the site. Access to the back end is typically restricted to higher level users, such as publishers, administrators, and super users.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(211, 482, 'Banner', 'banner', '<p>A core Joomla component that allows you to display and manage web banners on your Joomla site.</p>', '', 1, 101, '2014-01-17 03:24:20', 42, '', '2014-01-20 03:17:17', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:24:20', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 69, '', 'Banner in Joomla is A core Joomla component that allows you to display and manage web banners on your Joomla site.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(212, 483, 'Blog', 'blog', '<p>The default Joomla! layouts for menu items which use the Category Blog Layout. Blog format presents some or all of the articles in a particular category or sub-category. The standard presentation usually includes an article’s title as a link, followed by some introductory text and a Read More link.</p>', '', 1, 101, '2014-01-17 03:24:52', 42, '', '2014-01-20 03:17:47', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:24:52', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 68, '', 'Blog in Joomla is The default Joomla! layouts for menu items which use the Category Blog Layout. Blog format presents some or all of the articles in a particular category or sub-category. The standard presentation usually includes an article’s title as a link, followed by some introductory text and a Read More link.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(213, 484, 'Breadcrumbs', 'breadcrumbs', '<p>A module that helps to display the location of each page as you browse through all the pages on the site. Speaking of navigation, links like Home >> Dream >> Corners are called breadcrumbs. Breadcrumbs appear by default; you can turn them off in Module Manager.</p>', '', 1, 101, '2014-01-17 03:25:20', 42, '', '2014-01-20 03:19:37', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:25:20', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 67, '', 'Breadcrumbs in Joomla A module that helps to display the location of each page as you browse through all the pages on the site. Speaking of navigation, links like Home >> Dream >> Corners are called breadcrumbs. Breadcrumbs appear by default; you can turn them off in Module Manager.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(214, 485, 'Manager', 'manager', '<p>A user level on a Joomla site with access permissions to the back-end (via a separate log in) and some front-end privileges. Think of Manager users as Publishers, with Back-end access. </p>', '', 1, 101, '2014-01-17 03:27:24', 42, '', '2014-01-20 03:38:07', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:27:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 66, '', 'Manager in Joomla is A user level on a Joomla site with access permissions to the back end (via a separate log in) and some front-end privileges. Think of Manager users as Publishers, with Backend access. ', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(215, 486, 'Cache', 'cache', '<p>The mechanism that offers users a stored view of (part of) a web page so that does not have to be pulled from the database. Joomla core offers three levels of caching:</p>\r\n\r\n<p>Page caching <br>\r\nView caching<br>\r\nModule caching.<br></p>\r\n  \r\n<p>By default, Joomla does not cache any content. When caching is switched on, the stored views for this are stored in the filesystem for Joomla ../cache/page/ folder.</p>', '', 1, 101, '2014-01-17 03:28:10', 42, '', '2014-01-20 03:20:09', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:28:10', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 65, '', 'Cache in Joomla is The mechanism that offers users a stored view of (part of) a web page so that does not have to be pulled from the database. Joomla core offers three levels of caching', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(216, 487, 'Menu', 'menu', '<p>In Joomla!, a Menu is a set of menu items used for website navigation. Each menu item defines an URL to a page on your site, and settings that control the contents(articles, category(ies) lists, taggged items, etc.) and style(module(s), layout) of that page. Additionally, each menu has a Menu Type, these are shown in the menu manager, see Adding a new menu. The menu type will actually be the Unique Name or alias that will be used to create human-readable URLs if Search Engine Friendly URLs are turned on. Menu items can have any number of subitems.\r\n</p>\r\n<p>\r\nA Menu isn\'t automatically shown on any page. You need to create a menu module to show the menu on all or some pages. Each menu can be shown by one or more modules (making it possible to show the same menu in different positions). It is also possible to create Split menus.\r\n</p>\r\n<p>\r\nA Menu that isn\'t shown by any module is usually called a hidden menu. Hidden menus can be used to create URLs that are not visible on any page.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:28:39', 42, '', '2014-01-20 03:38:30', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:28:39', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 64, '', 'In Joomla!, a Menu is a set of menu items used for website navigation. Each menu item defines an URL to a page on your site, and settings that control the contents(articles, category(ies) lists, taggged items, etc.) and style(module(s), layout) of that page. ', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(217, 488, 'Model', 'model', '<p>One of the three elements of the model-view-controller design pattern. The model encapsulates the data used by the component. The model is typically all about the “business” or “domain” logic and the database. The base API class we use for models is called JModel.</p>', '', 1, 101, '2014-01-17 03:30:47', 42, '', '2014-01-20 03:39:04', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:30:47', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 63, '', 'Model in Joomla is One of the three elements of the model-view-controller design pattern. The model encapsulates the data used by the component. The model is typically all about the “business” or “domain” logic and the database. The base API class we use for models is called JModel.', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(218, 489, 'Category', 'category', '<p>In Joomla! a Category is a collection of Articles. In Joomla! a website might have Categories called "Animals" and "Plants". Within the "Animals" Category, the website might have Sub Categories such as "Birds" and "Mammals". Within the "Birds" Category, the website might have Articles such as "Parrots" and "Sparrows".\r\n<p>The example above could be expanded even more with specific articles on different species of Parrots and Sparrows. Start with using an "Animal" Top Category. Placing the Sub Categories "Birds" and "Mammals" are under the Animal category, and then a "Parrots" and "Sparrows" Sub Category under the "Birds" Sub Category as shown.</p>\r\n<p>Animals<br>\r\nBirds<br>\r\n Parrots <br>\r\n Sparrows<br>\r\nMammals<br>\r\n<p>Now you can create multiple articles in the Parrot and Sparrow Categories.</p>\r\n<p>Categories are maintained using the Category Manager which can be reached in the Administrator (Back-end) by clicking on the Content menu, then the Category Manager menu item.</p>', '', 1, 101, '2014-01-17 03:31:36', 42, '', '2014-01-20 03:21:03', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:31:36', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 62, '', 'Category in Joomla is a collection of Articles. In Joomla! a website might have Categories called "Animals" and "Plants". Within the "Animals" Category, the website might have Sub Categories such as "Birds" and "Mammals". Within the "Birds" Category, the website might have Articles such as "Parrots" and "Sparrows".', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(219, 490, 'Category Manager', 'category-manager', '<p>The main visual tool that shows a list of the Categories defined on the Joomla web site.</p>', '', 1, 101, '2014-01-17 03:32:17', 42, '', '2014-01-20 03:21:31', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:32:17', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 61, '', 'Category Manager in Joomla is The main visual tool that shows a list of the Categories defined on the Joomla web site.', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(220, 491, 'Model-View-Controller (MVC)', 'model-view-controller-mvc', '<p>\r\nJoomla makes extensive use of the Model-View-Controller design pattern. A standard OOP design pattern that separates different logical functions into different classes to improve the maintainability of the software.\r\n</p>\r\n<p>\r\nWhen Joomla is started to process a request from a user, such as a GET for a particular page, or a POST containing form data, one of the first things that Joomla does is to analyse the URL to determine which component will be responsible for processing the request, and hand control over to that component.\r\n</p>\r\n<p>\r\nIf the component has been designed according to the MVC pattern, it will pass control to the controller. The controller is responsible for analysing the request and determining which model(s) will be needed to satisfy the request, and which view should be used to return the results back to the user.\r\n</p>\r\n<p>\r\nThe model encapsulates the data used by the component. In most cases this data will come from a database, either the Joomla database, or some external database, but it is also possible for the model to obtain data from other sources, such as via a web services API running on another server. The model is also responsible for updating the database where appropriate. The purpose of the model is to isolate the controller and view from the details of how data is obtained or amended.\r\n</p>\r\n<p>\r\nThe view is responsible for generating the output that gets sent to the browser by the component. It calls on the model for any information it needs and formats it appropriately. For example, a list of data items pulled from the model could be wrapped into an HTML table by the view.\r\n</p>\r\n<p>\r\nSince Joomla is designed to be highly modular, the output from the component is generally only part of the complete web page that the user will ultimately see. Once the view has generated the output the component hands control back to the Joomla framework which then loads and executes the template. The template combines the output from the component, and any modules that are active on the current page, so that it can be delivered to the browser as a single page.\r\n</p>\r\n<p>\r\nTo provide additional power and flexibility to web designers, who may only be concerned with creating new designs rather than manipulating the underlying code, Joomla splits the traditional view into a separate view and layout. The view pulls data from the model, as in a traditional MVC pattern, but then simply makes that data available to the layout, which is responsible for formatting the data for presentation to the user. The advantage of having this split is that the Joomla template system provides a simple mechanism for layouts to be overridden in the template. These layout overrides (often called "template overrides" because they form part of the template, although actually it is the layout that is being overridden) are bundled with the template and give the template designer complete control over all the output from the Joomla core and any installed third-party extensions that comply with the MVC design pattern.\r\n</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:32:40', 42, '', '2014-01-17 03:34:23', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:32:40', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 60, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(221, 492, 'Module', 'module', '<p>Modules are lightweight and flexible extensions used for page rendering. These modules are often “boxes” arranged around a component on a typical page. A well-known example is the login module. Modules are assigned per menu item, so you can decide to show or hide (for example) the login module depending on which page (menu item) the user is currently on. Some modules are linked to components: the “latest news” module, for example, links to the content component (com_content) and displays links to the newest content items. However, modules do not need to be linked to components; they don\'t even need to be linked to anything and can be just static HTML or text.\r\n</p>\r\n<p>\r\nModules are managed in the Joomla! Administrator view by the Module Manager.</p>\r\n\r\n<p>Joomla default modules:</p>\r\n<ul>\r\n<li>Archived Articles?\r\n</li>\r\n<li>Articles – Newsflash \r\n</li>\r\n<li>\r\nArticles – Related Articles \r\n</li>\r\n<li>\r\nArticles – Categories \r\n</li>\r\n<li>\r\nArticles Category \r\n</li>\r\n<li>\r\nBanners?\r\n</li>\r\n<li>\r\nBreadcrumbs\r\n</li>\r\n<li>\r\nCustom HTML\r\n</li>\r\n<li>\r\nRandom Image \r\n</li>\r\n<li>\r\nSearch?\r\n</li>\r\n<li>\r\nStatistics \r\n</li>\r\n<li>\r\nSyndication Feeds\r\n</li>\r\n<li>\r\n        Feed Display \r\n</li>\r\n<li>\r\nFooter?\r\n</li>\r\n<li>\r\nLanguage Switcher \r\n</li>\r\n<li>\r\nLatest News \r\n</li>\r\n<li>\r\nLatest Users\r\n</li>\r\n<li>\r\nLogin?\r\n</li>\r\n<li>\r\nMenu?\r\n</li>\r\n<li>\r\nMost Read Content\r\n</li>\r\n<li>\r\nWeblinks \r\n</li>\r\n<li>\r\nWho’s Online \r\n</li>\r\n<li>\r\nWrapper\r\n</li>\r\n</ul>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:36:16', 42, '', '2014-01-20 03:39:29', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:36:16', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 8, 59, '', 'Modules in Joomla are lightweight and flexible extensions used for page rendering. These modules are often “boxes” arranged around a component on a typical page. A well-known example is the login module.', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(222, 493, 'Chrome', 'chrome', '<p>The visible graphical interface features of an application are sometimes referred to as chrome. \r\nSee <a  href="http://docs.joomla.org/Applying_custom_module_chrome" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">Applying custom module chrome</a> for information about how to modify the look of modules (in other words, the module "chrome").</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:36:20', 42, '', '2014-01-20 03:22:06', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:36:20', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 58, '', 'Chrome in Joomla is The visible graphical interface features of an application are sometimes referred to as chrome. See Applying custom module chrome (http://docs.joomla.org/Applying_custom_module_chrome) for information about how to modify the look of modules (in other words, the module "chrome").', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(223, 494, 'Component', 'component', '<p>A component is a kind of Joomla! extension. Components are the main functional units of Joomla!; they can be seen as mini-applications. An easy analogy would be that Joomla! is the operating system and the components are desktop applications. They are usually displayed in the center of the main content area of a template (depending on the template).</p>\r\n\r\n<p>Most components have two main parts: an administrator part and a site part. The site part is what is used to render pages when being called during normal site operation. The administrator part provides an interface to configure and manage different aspects of the component and is accessible through the Joomla! administrator application.</p>\r\n\r\n<p>Joomla! comes with a number of core components, like the content management system, contact forms and Web Links.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:38:35', 42, '', '2014-01-20 03:22:37', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:38:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 57, '', 'A component in Joomla is a kind of Joomla! extension. Components are the main functional units of Joomla!; they can be seen as mini-applications. An easy analogy would be that Joomla! is the operating system and the components are desktop applications. They are usually displayed in the center of the main content area of a template (depending on the template).', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(224, 495, 'Configuration.php', 'configuration-php', '<p>A file that stores configuration setttings which you will find in the root folder of Joomla installation. All the parameters under the Site, System and Server tabs in the Global Configuration are stored as values in this file. This file is set up automatically by the software installation process and thus many of the parameters appearing in the Global Configuration screens are best left as their initial settings.</p>', '', 1, 101, '2014-01-17 03:39:04', 42, '', '2014-01-20 03:23:07', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:39:04', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 56, '', 'Configuration.php in Joomla is A file that stores configuration setttings which you will find in the root folder of Joomla installation. All the parameters under the Site, System and Server tabs in the Global Configuration are stored as values in this file. ', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(225, 496, 'Content Management System', 'content-management-system', '<p>An application such as Joomla that allows you to publish, edit and change content displayed on a web site\'s web pages.</p>', '', 1, 101, '2014-01-17 03:39:34', 42, '', '2014-01-20 03:23:34', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:39:34', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 55, '', 'Content Management System in Joom la is An application such as Joomla that allows you to publish, edit and change content displayed on a web site\'s web pages', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(226, 497, 'Controller', 'controller', '<p>One of the elements of model-view-controller (MVC) design pattern used for Joomla core components. The controller executes tasks that are being requested by the client or the system. The base API class we use for a controller is called JController.</p>', '', 1, 101, '2014-01-17 03:40:15', 42, '', '2014-01-20 03:23:59', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:40:15', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 54, '', 'Controller in Joomla is One of the elements of model-view-controller (MVC) design pattern used for Joomla core components. The controller executes tasks that are being requested by the client or the system. The base API class we use for a controller is called JController.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(227, 498, 'CSS', 'css', '<p>A Cascading Style Sheet or CSS is used to control the presentation of an XHTML page. For example, a CSS file will often control the font, margins, color, background graphics, and other aspects of a web page\'s appearance. CSS allows you to separate the content of an XHTML page from it\'s appearance. In Joomla!, CSS files (for example, <code>template.css</code>) are normally part of the template.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:41:12', 42, '', '2014-01-20 03:24:30', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:41:12', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 53, '', 'CSS in Joomla is A Cascading Style Sheet or CSS is used to control the presentation of an XHTML page. For example, a CSS file will often control the font, margins, color, background graphics, and other aspects of a web page\'s appearance. ', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(228, 499, 'Module Class Suffix', 'module-class-suffix', '<p>Module Class Suffix is a parameter in Joomla! modules. It is set Module: [Edit] screen under Advanced Parameters. Setting this parameter causes Joomla! to either add a new CSS class or modify the existing CSS class for the div element for this specific module.\r\n</p><p>\r\nWhen Joomla! generates a module, it automatically create a CSS class called "moduletable" to allow styling of the module - for example,\r\n</p>\r\n\r\n<div class="highlight"><pre>&lt;div class="moduletable"&gt;</pre></div>\r\n\r\n<p>\r\nTo create a new class, enter the parameter with a leading space. For example, entering a space plus "myNewClass" will create a new CSS class called "myNewClass". The HTML will be changed to\r\n</p>\r\n\r\n<div class="highlight"><pre>&lt;div class="moduletable myNewClass"&gt;</pre></pre></div>\r\n\r\n</p><p>\r\nTo change the name of the existing class, enter in the parameter without a leading space. For example, entering "_mySuffix" (no leading space) will cause the HTML to changed to\r\n</p>\r\n\r\n<div class="highlight"><pre>&lt;div class="moduletable_mySuffix"&gt;</pre></pre></div>\r\n\r\n</p><p>\r\nGenerally, it is recommended to use a leading space to create a new class. This way, CSS styling for this module that uses the standard class names will continue to work. You can use the new class name to add any desired styling to the module without needing to re-create all of the existing CSS code. Note that, if you create a new class name, make sure it has a unique name and doesn\'t conflict with any existing class names.\r\n</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>\r\n\r\n', '', 1, 101, '2014-01-17 03:41:52', 42, '', '2014-01-20 03:40:20', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:41:52', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 5, 52, '', 'Module Class Suffix in Joomla is a parameter in Joomla! modules. It is set Module: [Edit] screen under Advanced Parameters. Setting this parameter causes Joomla! to either add a new CSS class or modify the existing CSS class for the div element for this specific module.', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(230, 501, 'Core', 'core', '<p>The word "core" in Joomla! pertains to the distributed files which are needed to create and administrate a Joomla CMS powered web site. These files can be downloaded from the Joomla website at <a  href="http://www.joomla.org/download.html" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">http://www.joomla.org/download.html</a>. \r\n\r\nThe Joomla "core" also contains some basic functionality to get new Joomla installations working quickly and easily. Included are the user manager, article manager, weblink manager, category manager, contact manager, and menu manager. There is also a template manager with a few basic templates to power the front-end (website/user) view, a module manager with basic modules, plugin manager with basic plugins, and a few other "out of the box" extensions to extend the functionality of a basic Joomla installation. These core\'s extensions should not be confused with extensions which are available for downloading from the JED (Joomla! Extension Directory).</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:47:59', 42, '', '2014-01-20 03:25:28', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:47:59', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 51, '', 'Core in Joomla pertains to the distributed files which are needed to create and administrate a Joomla CMS powered web site. These files can be downloaded from the Joomla website at http://www.joomla.org/download.html.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(231, 502, 'Module Position', 'module-position', '<p>Module positions are placeholders in a template. They identify positions within the template and tell the Joomla! application where to place output from modules assigned to a particular position. The template designer has complete control over module positions, creating variations between templates and the respective Joomla! default positions assigned to modules in the installation sample data.\r\n</p>\r\n<p>\r\nFor example, the module position Left could be defined to be on the left side of the template to display a site navigation menu. So if a module is assigned the Left position, it will be displayed wherever the designer puts that Left module position - not necessarily the left side of the page.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>\r\n', '', 1, 101, '2014-01-17 03:48:31', 42, '', '2014-01-20 03:40:48', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:48:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 50, '', 'Module positions in Joomla are placeholders in a template. They identify positions within the template and tell the Joomla! application where to place output from modules assigned to a particular position.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(233, 504, 'Administration Control Panel', 'administration-control-panel', '<p>The main Joomla back-end Control Panel which is used by administrators for managing the whole site.</p>', '', 1, 101, '2014-01-17 03:49:26', 42, '', '2014-01-20 03:25:56', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:49:26', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 49, '', 'Administration Control Panel in Joomla is The main Joomla back-end Control Panel which is used by administrators for managing the whole site.', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(234, 505, 'Database prefix', 'database-prefix', '<p>The database table prefix is a string (a few characters long) prepended to the name of Joomla!\'s tables. Using a prefix enables you to run multiple installations of Joomla! using a single database.</p>\r\n\r\n<p>The database table prefix can be set during installation. Changing it later is possible, but requires access to the database through a non-Joomla medium or a Joomla Extension such as Akeeba Admin Tools and will cause some downtime.</p>\r\n\r\n<p>Extension developers need to use the string <code>#__</code> to represent the prefix. This will be replaced by the real prefix during runtime by Joomla.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:50:46', 42, '', '2014-01-20 03:26:23', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:50:46', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 48, '', 'The database table prefix in Joomla is a string (a few characters long) prepended to the name of Joomla!\'s tables. Using a prefix enables you to run multiple installations of Joomla! using a single database.', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(235, 506, 'Editor', 'editor', '<p>A user level on a Joomla site that by default can access only the front end. Editors have privileges to post and edit content, but no permission for publishing content.</p>', '', 1, 101, '2014-01-17 03:51:22', 42, '', '2014-01-20 03:26:48', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:51:22', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 47, '', 'Editor in Joomla is A user level on a Joomla site that by default can access only the front end. Editors have privileges to post and edit content, but no permission for publishing content.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(236, 507, 'MySQL', 'mysql', '<p>The database managment system used by most Joomla installations and by most dynamic websites in the world.</p>', '', 1, 101, '2014-01-17 03:52:14', 42, '', '2014-01-20 03:41:47', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:52:14', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 46, '', 'MySQL in Joomla is The database managment system used by most Joomla installations and by most dynamic websites in the world.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(237, 508, 'Object Oriented Programming (OOP) ', 'object-oriented-programming-oop', '<p>Programming technique based on using classes, objects, and methods - an approach to designing modular reusable software systems. Joomla is based on OOP. Solid understanding on OOP is a key plus when working with Joomla programs.</p>', '', 1, 101, '2014-01-17 03:52:45', 42, '', '2014-01-20 03:42:10', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:52:45', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 45, '', 'Object Oriented Programming (OOP)  in Joomla is Programming technique based on using classes, objects, and methods - an approach to designing modular reusable software systems. Joomla is based on OOP. Solid understanding on OOP is a key plus when working with Joomla programs', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(238, 509, 'Options (Parameters) ', 'options-parameters', '<p>Options (also known as parameters) are settings used to customise modules, components, plug-ins and templates. The core extensions in Joomla offer many options that the site administrator can set to change the behavior of the site without requiring any programming knowledge.</p>', '', 1, 101, '2014-01-17 03:53:29', 42, '', '2014-01-20 03:42:36', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:53:29', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 44, '', 'Options in Joomla (also known as parameters) are settings used to customise modules, components, plug-ins and templates. The core extensions in Joomla offer many options that the site administrator can set to change the behavior of the site without requiring any programming knowledge.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(239, 510, 'Override', 'override', '<p>See Language Override, Alternative Menu Item, Template Override, and Layout Override.</p>', '', 1, 9, '2014-01-17 03:53:53', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2014-01-17 03:53:53', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 1, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(240, 511, 'Extension', 'extension', '<p>An extension is a software package that extends your Joomla! installation in some way. A small selection of extensions is included with the default Joomla! installation but many more are available from the Joomla! Extensions Directory.</p>\r\n\r\n<p>The term extension is generic and the following specific extension types are available (listed alphabetically): <br>\r\n\r\nComponent (since ) – adds custom functions to your site that can be selected from menus<br>\r\nLanguage (since ) – defines an additional language for your site<br>\r\nLibrary (since ) – provides functions to be used by other extensions<br>\r\nModule (since ) – shows nonessential data in a side box, possibly on multiple pages<br>\r\nPackage (since ) – bundles related extensions<br>\r\nPlugin (since ) – modifies content in articles or provides functions to extend other extensions<br>\r\nTemplate (since ) – define the look, feel, and navigation capabilities of your site<br>\r\n\r\n<p>For an overview of the most important extension types and the functionality they provide, see <a  href="http://docs.joomla.org/Extension_types_(general_definitions)" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow"> Extension types (general definitions)</a> </p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 03:54:43', 42, '', '2014-01-20 03:27:18', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:54:43', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 43, '', 'An extension in Joomla is a software package that extends your Joomla! installation in some way. A small selection of extensions is included with the default Joomla! installation but many more are available from the Joomla! Extensions Directory.', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(241, 512, 'FOSS', 'foss', '<p>Acronym for Free or open-source software. Software, like Joomla, that is available to use, copy, study, and change in any way without charge. FOSS software typically uses a special software license, such as GPL, that requires any derivative works to also be free.</p>', '', 1, 101, '2014-01-17 03:55:35', 42, '', '2014-01-20 03:27:45', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:55:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 42, '', 'FOSS in Joomla is Acronym for Free or open-source software. Software, like Joomla, that is available to use, copy, study, and change in any way without charge. FOSS software typically uses a special software license, such as GPL, that requires any derivative works to also be free', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(242, 513, 'Front-end', 'front-end', '<p>The Joomla site that is accessed by visitors without user privileges. Front page refers to the public home page of your Joomla site.</p>', '', 1, 101, '2014-01-17 03:55:59', 42, '', '2014-01-20 03:28:17', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:55:59', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 41, '', 'Front-end in Joomla is The Joomla site that is accessed by visitors without user privileges. Front page refers to the public home page of your Joomla site.', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(243, 514, 'Function', 'function', '<p>A block of PHP code that has a name and it has a property that it is reusable it can be executed from as many different points in a PHP Program as required. Also known as a method (if it is inside a class). Most Joomla code is inside functions/methods.</p>', '', 1, 101, '2014-01-17 03:56:26', 42, '', '2014-01-20 03:29:05', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:56:26', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 40, '', 'Function in Joomla is A block of PHP code that has a name and it has a property that it is reusable it can be executed from as many different points in a PHP Program as required. Also known as a method (if it is inside a class). Most Joomla code is inside functions/methods.', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(244, 515, 'Global Configuration', 'global-configuration', '<p>All critical settings of a Joomla site and server. They include the following: Site, System, Server, Permissions, and Text filters. You can access the Global Configuration settings through the Site menu in the Administration control panel.</p>', '', 1, 101, '2014-01-17 03:56:56', 42, '', '2014-01-20 03:29:30', 42, 0, '0000-00-00 00:00:00', '2014-01-17 03:56:56', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 39, '', 'Global Configuration in Joomla is All critical settings of a Joomla site and server. They include the following: Site, System, Server, Permissions, and Text filters. You can access the Global Configuration settings through the Site menu in the Administration control panel.', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(245, 516, 'GPL', 'gpl', '<p>Stands for General public license. The most widespread such license is the GNU General Public License, GNU GPL or GPL for short. This software license is available in differrent versions and used by Joomla and many other FOSS projects. Joomla is licensed under GPL2 now.</p>', '', 1, 101, '2014-01-17 04:00:59', 42, '', '2014-01-20 03:30:00', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:00:59', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 38, '', 'GPL in Joomla stands for General public license. The most widespread such license is the GNU General Public License, GNU GPL or GPL for short. This software license is available in differrent versions and used by Joomla and many other FOSS projects. Joomla is licensed under GPL2 now.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(246, 517, 'Page Class Suffix', 'page-class-suffix', '<p>Page Class Suffix is a parameter in Joomla! content Menu Items. It is set in the Menu Item: [Edit] screen under the "Parameters (Advanced)" section. This will cause Joomla! to either add a new CSS class or modify the existing CSS class for elements in this specific Menu Item layout.\r\n</p>\r\n<p>\r\nWhen Joomla! generates a page, it automatically creates pre-defined CSS classes to allow styling of the page. For example, a page might have the element\r\n</p>\r\n\r\n<div class="highlight"><pre>&lt;div class="componentheading"&gt;</pre></div>\r\n\r\n<p>\r\nTo create a new class, enter the parameter with a leading space. For example, entering a space plus "myNewClass" will create a new CSS class called "myNewClass" and it will be inserted as a class for elements in that Menu Item. In this case the example above will be changed to\r\n</p>\r\n\r\n<div class="highlight"><pre>&lt;div class="componentheading myNewClass"&gt;</pre></div>\r\n\r\n<p>\r\nTo change the name of the existing class, enter in the parameter without a leading space. For example, entering "_mySuffix" (no leading space) will cause the HTML to changed to\r\n</p>\r\n\r\n<div class="highlight"><pre>&lt;div class="componentheading_mySuffix"&gt;</pre></div>\r\n\r\n<p>\r\nGenerally, it is recommended to use a leading space to create a new class. This way, CSS styling for this component that uses the standard class names will continue to work. You can use the new class name to add any desired styling to the component without needing to re-create all of the existing CSS code. Note that, if you create a new class name, make sure it has a unique name and doesn\'t conflict with any existing class names.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>\r\n', '', 1, 101, '2014-01-17 04:01:10', 42, '', '2014-01-20 03:43:39', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:01:10', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 37, '', 'Page Class Suffix in Joomla is a parameter in Joomla! content Menu Items. It is set in the Menu Item: [Edit] screen under the "Parameters (Advanced)" section. This will cause Joomla! to either add a new CSS class or modify the existing CSS class for elements in this specific Menu Item layout. ', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(247, 518, 'Override', 'override', '<p>See Language Override, Alternative Menu Item, Template Override, and Layout Override.</p>', '', 1, 101, '2014-01-17 04:01:54', 42, '', '2014-01-20 03:43:08', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:01:54', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 36, '', 'Override in Joomla is See Language Override, Alternative Menu Item, Template Override, and Layout Override.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(248, 519, 'Hack (Core Hack)', 'hack-core-hack', '<p>Adjusting a core Joomla file (i.e., the files that you uploaded before installing Joomla!). Any changes you make to core files will be overwritten during the next update, thus core hack is not recommended. In most cases, there are alternative workaround to change Joomla without hacking the core.</p>', '', 1, 101, '2014-01-17 04:02:34', 42, '', '2014-01-20 03:30:31', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:02:34', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 35, '', 'Hack (Core Hack) in Joomla is Adjusting a core Joomla file (i.e., the files that you uploaded before installing Joomla!). Any changes you make to core files will be overwritten during the next update, thus core hack is not recommended. In most cases, there are alternative workaround to change Joomla without hacking the core.', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(249, 520, 'Hit', 'hit', '<p>Records the number of times a specific page or item is accessed. Joomla tracks hits for many item types, for instance, an article or a banner ad.</p>', '', 1, 101, '2014-01-17 04:03:01', 42, '', '2014-01-20 03:31:08', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:03:01', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 34, '', 'Hit in Joomla records the number of times a specific page or item is accessed. Joomla tracks hits for many item types, for instance, an article or a banner ad', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(250, 521, 'HTML5', 'html5', '<p>The fifth revision of the HTML standard. It is still under development but is expected to become a new standard for web pages that eventually is expected to replace XHTML. It provides improved processing of audio and video files and is supported by most mobile devices.</p>', '', 1, 101, '2014-01-17 04:03:23', 42, '', '2014-01-20 03:31:34', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:03:23', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 33, '', 'HTML5 in Joomla is The fifth revision of the HTML standard. It is still under development but is expected to become a new standard for web pages that eventually is expected to replace XHTML. It provides improved processing of audio and video files and is supported by most mobile devices.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(251, 522, 'Patch', 'patch', '<p>The term patch file is used for two different file types. The term patch file is sometimes used to refer to archive files that allow you to upgrade from one Joomla! version to another (for example, from version 1.0.0 to version 1.0.7). These upgrade files are also referred to as upgrade packages.\r\n</p>\r\n<p>\r\nThe other meaning for a patch file is a file created by source code version control software -- for example, Subversion or SVN, which is used for the Joomla! source code. This type of patch file contains instructions for changing the contents of one or more source code files. The SVN software reads the patch file and then can automatically change the source code of the files being patched.\r\n</p>\r\n<p>\r\nPatch files are used by the Bug Squad to test proposed bug fixes. They can also be used to contribute proposed new features to the version under development.\r\n</p>\r\n<p>\r\nFor more information about the structure of SVN patch files, read <a  href="http://docs.joomla.org/Learn_more_about_patch_files" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">Learn more about patch files</a>.</p>', '', 1, 101, '2014-01-17 04:03:31', 42, '', '2014-01-20 03:44:16', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:03:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 4, 32, '', 'The term patch file in Joomla is used for two different file types. The term patch file is sometimes used to refer to archive files that allow you to upgrade from one Joomla! version to another (for example, from version 1.0.0 to version 1.0.7).', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(252, 523, 'JavaScript ', 'javascript', '<p>A scripting language that runs inside the client browser, used in many web applications. In Joomla, JavaScript has become an important part to enhance the user interface and provide AJAX functionality.</p>', '', 1, 101, '2014-01-17 04:03:51', 42, '', '2014-01-20 03:31:57', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:03:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 31, '', 'JavaScript  in Joomla is A scripting language that runs inside the client browser, used in many web applications. In Joomla, JavaScript has become an important part to enhance the user interface and provide AJAX functionality.', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(253, 524, 'JDOC', 'jdoc', '<p>jdoc statements are included in every Joomla template and indicate where the output from other parts of Joomla or its extensions should be positioned in the overall web page. A typical jdoc statement looks like this: \r\n\r\n<div class="highlight"><pre>&lt;jdoc:include type="component" /&gt;</pre></div>\r\n\r\n</p>\r\n<p>\r\nSee the <a  href="http://docs.joomla.org/Jdoc_statements" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">jdoc statements</a> article for more information.</p>', '', 1, 101, '2014-01-17 04:05:11', 42, '', '2014-01-20 03:32:40', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:05:11', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 7, 30, '', 'jdoc statements in Joomla are included in every Joomla template and indicate where the output from other parts of Joomla or its extensions should be positioned in the overall web page. A typical jdoc statement looks like this:  See the jdoc statements article (http://docs.joomla.org/Jdoc_statements) for more information.', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(254, 525, 'JED (Joomla Extensions Directory)', 'jed-joomla-extensions-directory', '<p>The official directory for all components, plugins and modules available for use with the Joomla platform. This database is maintained by the Joomla developers.</p>', '', 1, 101, '2014-01-17 04:05:35', 42, '', '2014-01-20 03:33:04', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:05:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 29, '', 'JED (Joomla Extensions Directory) is The official directory for all components, plugins and modules available for use with the Joomla platform. This database is maintained by the Joomla developers. ', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(255, 526, 'Plugin', 'plugin', '<p>A plugin is a kind of Joomla! extension. Plugins provide functions which are associated with trigger events. Joomla provides a set of core plugin events, but any extension can fire (custom) events. When a particular event occurs, all plugin functions of the type associated with the event are executed in sequence. This is a powerful way of extending the functionality of the Joomla! Platform. It also offers extension developers a way to allow other extensions to respond to their actions, making extensions extensible.\r\n</p>\r\n<p>\r\nThe Joomla! plugin architecture follows the <a  href="http://en.wikipedia.org/wiki/Observer_pattern" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">Observer design pattern</a>. The JPlugin class provides the means to register custom plugin code with core or custom events. The JDispatcher class (JEventDispatcher in Joomla 3.x) is an event handler which calls all plugins registered for a particular event, when that event is triggered.\r\n</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>\r\n\r\n', '', 1, 101, '2014-01-17 04:06:13', 42, '', '2014-01-20 03:44:42', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:06:13', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 28, '', 'A plugin in Joomla is a kind of Joomla! extension. Plugins provide functions which are associated with trigger events. Joomla provides a set of core plugin events, but any extension can fire (custom) events.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(256, 527, 'Poll', 'poll', '<p>A Joomla extension that displays the results of a survey conducted on your site.\r\n</p>\r\n', '', 1, 101, '2014-01-17 04:06:50', 42, '', '2014-01-20 03:45:05', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:06:50', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 27, '', 'Poll is A Joomla extension that displays the results of a survey conducted on your site.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(257, 528, 'Publisher', 'publisher', '<p>A user level on a Joomla site with access only to the front end. Publishers have permission to write, edit, and publish site content.\r\n</p>\r\n', '', 1, 101, '2014-01-17 04:07:18', 42, '', '2014-01-20 03:45:26', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:07:18', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 26, '', 'Publisher in Joomla is A user level on a Joomla site with access only to the front end. Publishers have permission to write, edit, and publish site content.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(258, 529, 'Register users', 'register-users', '<p>A user level on a Joomla site that is the same a Public except for the Allow permission for the Site Login action. This means members of this group have access only to the front-end access to the site. Should you wish it, a registered user is able to see additional content to that seen by casual visitors to your site.</p>', '', 1, 101, '2014-01-17 04:07:46', 42, '', '2014-01-20 03:45:50', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:07:46', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 25, '', 'Register users in Joomla is A user level on a Joomla site that is the same a Public except for the Allow permission for the Site Login action. This means members of this group have access only to the front- end access to the site. Should you wish it, a registered user is able to see additional content to that seen by casual visitors to your site.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(259, 530, 'Router', 'router', '<p>In Joomla, a program that associates a path (URL) with internal Joomla queries. Normally a router contains two methods, build() and parse(). The build() method takes an array of commands and returns a JURI object. The parse() method reverses this and turns a JURI object into an array of commands.\r\n</p>\r\n', '', 1, 101, '2014-01-17 04:08:39', 42, '', '2014-01-20 03:46:07', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:08:39', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 24, '', 'In Joomla, a program that associates a path (URL) with internal Joomla queries. Normally a router contains two methods, build() and parse(). The build() method takes an array of commands and returns a JURI object. The parse() method reverses this and turns a JURI object into an array of commands.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(260, 531, 'JoomlaDay', 'joomladay', '<p>Annually events for Joomla community organized around the world. <a  href="http://www.joomla.org/" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">Joomla.org</a> has a brief list of major Joomla Day since its early days at <a  href="http://docs.joomla.org/Joomla!_Days/History" \r\n        title="enter this page" \r\n        alt="enter this page" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Joomla!_Days/History</a> </p>', '', 1, 101, '2014-01-17 04:09:18', 42, '', '2014-01-20 03:33:29', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:09:18', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 23, '', 'JoomlaDay is annually events for Joomla community organized around the world. Joomla.org has a brief list of major Joomla Day since its early days at http://docs.joomla.org/Joomla!_Days/History', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(261, 532, 'RSS (Really Simple Syndication)', 'rss-really-simple-syndication', '<p>RSS (which stands for, among other things, Really Simple Syndication) that allows you to syndicate your site content. It defines an easy way to share and view headlines and content through newsfeeds. You can find RSS feeds in hundreds of thousands of places on the Internet which allow you to stream their articles into RSS readers - or your Joomla site.\r\n</p>\r\n<p>\r\nThe Feed Display module allows you to display other sites’ RSS feeds on your site, which is a great way to keep your content from being static.\r\n</p>', '', 1, 101, '2014-01-17 04:09:37', 42, '', '2014-01-20 03:46:46', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:09:37', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 22, '', 'RSS in Joomla (which stands for, among other things, Really Simple Syndication) that allows you to syndicate your site content. It defines an easy way to share and view headlines and content through newsfeeds. ', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(262, 533, 'LAMPP ', 'lampp', '<p>An abbreviation for “Linux Apache MySQL Perl/PHP/Python.” These group of free and open source programs are used to run many dynamic websites. Most Joomla sites run with Apache and MySQL. All run with PHP. In addition, JavaScript is now an important part of the Joomla “stack.”</p>', '', 1, 101, '2014-01-17 04:11:36', 42, '', '2014-01-20 03:34:00', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:11:36', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 21, '', 'LAMPP in Joomla is An abbreviation for “Linux Apache MySQL Perl/PHP/Python.” These group of free and open source programs are used to run many dynamic websites. Most Joomla sites run with Apache and MySQL. All run with PHP. In addition, JavaScript is now an important part of the Joomla “stack.”', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(263, 534, 'Language', 'language', '<p>Languages are perhaps the most basic and critical extension type. Languages are packaged as either a core language pack or an extension language pack. These packages consist of INI files which contain key/value pairs. These key/value pairs provide the translation of static text strings within Joomla! source code. This allows both the Joomla! core and third party components and modules to be internationalised. Core language packs also include an XML meta file describing the language and providing information about the fonts to use for PDF content generation.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 04:12:07', 42, '', '2014-01-20 03:34:43', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:12:07', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 20, '', 'Languages in Joomla are perhaps the most basic and critical extension type. Languages are packaged as either a core language pack or an extension language pack. These packages consist of INI files which contain key/value pairs. ', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(264, 535, 'Search engine friendly (SEF)', 'search-engine-friendly-sef', '<p>Search-engine friendly URLs. Refers to URLs that are descriptive in a way that search engines can understand. Normal Joomla! URLs look something like this: <code>http://www.yoursite.org/index.php?option=com_content&view=section&id=3&Itemid=41</code>\r\n</p>\r\n\r\n<p>\r\nYou can optionally have URLs display to look like static HTML pages like this: <code>http://www.yoursite.org/faq.html</code>\r\n</p>\r\n\r\n\r\n<p>\r\nJoomla! 1.5 has built-in optionos for SEF URLs. These are enabled by changing the ""SEO Settings"" in the Site tab in the Global Configuration screen in the Joomla! back-end. There are also third-party extensions that create SEF URLs for Joomla!.\r\n</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>', '', 1, 101, '2014-01-17 04:12:15', 42, '', '2014-01-20 03:47:55', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:12:15', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 19, '', 'Search-engine friendly URLs in Joomla refers to URLs that are descriptive in a way that search engines can understand. Normal Joomla! URLs look something like this:\r\nhttp://www.yoursite.org/index.php?option=com_content&view=section&id=3&Itemid=41', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(265, 536, 'Search engine optimization (SEO)', 'search-engine-optimization-seo', '<p>The process of optimizing your pages to give them high-ranking placement in the search results page of a search engine (SERP) - including Google, Bing, Yahoo and other search engines.</p>', '', 1, 101, '2014-01-17 04:13:16', 42, '', '2014-01-20 03:48:26', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:13:16', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 18, '', 'Search engine optimization in Joomla (SEO) is the process of optimizing your pages to give them high-ranking placement in the search results page of a search engine (SERP) -- including Google, Bing, Yahoo and other search engines.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(266, 537, 'Split Menu', 'split-menu', '<p>A split menu is where different levels of a single menu are displayed in two or more locations on a single web page.\r\n</p>\r\n<p>\r\nFor example, a common requirement is for a menu of top-level items to appear at the top of the page. When one of the items is clicked the user is taken to a page where a secondary menu, say on the left of the page, shows second-level items within the scope of the top-level item.\r\n</p>\r\n<p>\r\nThe menus appear in separate locations on the page, but are related because one shows only top-level items while the other shows second-level items. </p>\r\n<p>\r\nThis idea can be extended to include menus for third-level items and beyond.\r\n</p>\r\n<p>\r\nThis can be implemented in Joomla using a single multi-level menu then creating more than one menu module each referring to a different level.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>\r\n', '', 1, 101, '2014-01-17 04:14:08', 42, '', '2014-01-20 03:48:52', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:14:08', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 17, '', 'A split menu in Joomla is where different levels of a single menu are displayed in two or more locations on a single web page.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(267, 538, 'SQL', 'sql', '<p>Stands for Structured query language. The language used to create SQL queries to access and manipulate databases. Includes DDL (data-definition language that manages table and index structure) and DML (data manipulation lan- guage, the subset of SQL used to add, update and delete data).\r\n</p>', '', 1, 101, '2014-01-17 04:15:14', 42, '', '2014-01-20 03:49:15', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:15:14', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 16, '', 'SQL in Joomla stands for Structured query language. The language used to create SQL queries to access and manipulate databases. Includes DDL (data-definition language that manages table and index structure) and DML (data manipulation lan- guage, the subset of SQL used to add, update and delete data).', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(268, 539, 'Sub category', 'sub-category', '<p>A collection of related articles. Sub-categories start at one organiza- tional level below categories. Since Joomla 1.6, you may have as many levels of sub-categories as you please (called nested categories).\r\n</p>', '', 1, 101, '2014-01-17 04:15:42', 42, '', '2014-01-20 03:49:36', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:15:42', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 15, '', 'Sub category in Joomla is A collection of related articles. Sub-categories start at one organiza- tional level below categories. Since Joomla 1.6, you may have as many levels of sub-categories as you please (called nested categories).', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(269, 540, 'Super user', 'super-user', '<p>The highest user level in Joomla. Members of this group have super user permissions throughout the site. If anything can be done in a Joomla installation, the super user can do it.\r\n</p>', '', 1, 101, '2014-01-17 04:16:06', 42, '', '2014-01-20 03:50:02', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:16:06', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 14, '', 'Super user in Joomla is The highest user level in Joomla. Members of this group have super user permissions throughout the site. If anything can be done in a Joomla installation, the super user can do it.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(270, 541, 'Template', 'template', '<p>A template is a type of Joomla! extension that changes the way your site looks.\r\n</p>\r\n<p>\r\nThere are two types of templates used by the Joomla! CMS: Front-end Templates and Back-end Templates. The Front-end Template controls the way your website is presented to the user viewing the website\'s content. The Back-end Template controls the way your website\'s administrative tasks are presented for controlling management functions by a Joomla! Administrator. These would include common tasks such as: user, menu, article, category, module, component, plugin and template management.</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>\r\n', '', 1, 101, '2014-01-17 04:16:55', 42, '', '2014-01-20 03:50:32', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:16:55', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 3, 13, '', 'A template in Joomla is a type of Joomla! extension that changes the way your site looks. There are two types of templates used by the Joomla! CMS: Front-end Templates and Back-end Templates.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(271, 542, 'Template Style', 'template-style', '<p>Template style is a feature introduced in Joomla 2.5 that allows users to assign different template styles to individual menu items. By default, Joomla! assigns a template style to all menu items upon installation. A yellow star indicates the default template style in use. A default template style can be partially or completely overridden by assigning different template styles to the desired menu items in order to obtain a different look for their respective pages.\r\n</p>\r\n<p>\r\nA template style can be assigned to menu items one of two ways.\r\n</p>\r\n<p>\r\nTemplate manager Extensions ? Template Manager\r\n</p>\r\n<p>\r\nEditing a menu item under Menus ? Menu Name ? Menu item\r\n</p>\r\n\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>\r\n', '', 1, 101, '2014-01-17 04:19:32', 42, '', '2014-01-20 03:51:00', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:19:32', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 12, '', 'Template style in Joomla is a feature introduced in Joomla 2.5 that allows users to assign different template styles to individual menu items. ', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(272, 543, 'Template override', 'template-override', '<p>Template overrides are a way of changing the way Joomla shows something without changing the basic or core Joomla system. A template override is a layout file that is placed in a special subfolder of the template. If found, it will replace the standard layout file for that template.This means that as Joomla is upgraded to new versions you will not have to repeat all the changes you made.\r\n</p>', '', 1, 101, '2014-01-17 04:20:08', 42, '', '2014-01-20 03:51:27', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:20:08', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 11, '', 'Template overrides in Joomla are a way of changing the way Joomla shows something without changing the basic or core Joomla system. A template override is a layout file that is placed in a special subfolder of the template. ', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(273, 544, 'Uncategorize article', 'uncategorize-article', '<p>An article that doesn’t belong to any category. \r\n</p>\r\n', '', 1, 101, '2014-01-17 04:20:58', 42, '', '2014-01-20 03:51:50', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:20:58', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 10, '', 'Uncategorize article in Joomla is An article that doesn’t belong to any category. ', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(274, 545, 'User groups', 'user-groups', '<p>Joomla uses groups as a method of assigning permissions.\r\n</p>\r\n<p>\r\nDefault groups: Public, Guest, Manager, Administrator, Registered, Author, Editor, Publisher, Publisher, Super Users. However, you can create unlimited user-defined Groups.\r\n</p>\r\n', '', 1, 101, '2014-01-17 04:21:30', 42, '', '2014-01-20 03:52:10', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:21:30', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 9, '', 'Joomla uses groups as a method of assigning permissions\r\nDefault groups: Public, Guest, Manager, Administrator, Registered, Author, Editor, Publisher, Publisher, Super Users. However, you can create unlimited user-defined Groups.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(275, 546, 'View site', 'view-site', '<p>A link in the back-end that allow you to see what the front-end would look like while you’re still working in the back-end.\r\n</p>', '', 1, 101, '2014-01-17 04:22:08', 42, '', '2014-01-20 03:52:32', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:22:08', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 8, '', 'View site in Joomla is A link in the back end that allow you to see what the front end would look like while you’re still working in the back end.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(276, 547, 'View (MVC)', 'view-mvc', '<p>One of the elements of the model-view-controller design pattern used for Joomla core components. The view is responsible for generating output sent to the browser by the component. The base API class we use for views is called JView.\r\n</p>', '', 1, 101, '2014-01-17 04:22:53', 42, '', '2014-01-20 03:52:55', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:22:53', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 7, '', 'View (MVC) in Joomla is One of the elements of the model-view-controller design pattern used for Joomla core components. The view is responsible for generating output sent to the browser by the component. The base API class we use for views is called JView.', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(277, 548, 'Web server', 'web-server', '<p>The program that uses client/server models. It provides the communication between the browser on the client device and the server where the website files and database are stored. Joomla works with two leading web servers: Apache and Microsoft IIS (Microsoft\'s Internet Information Server).\r\n</p>', '', 1, 101, '2014-01-17 04:23:12', 42, '', '2014-01-20 03:53:17', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:23:12', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 6, '', 'Web server in Joomla is The program that uses client/server models. It provides the communication between the browser on the client device and the server where the website files and database are stored. Joomla works with two leading web servers: Apache and Microsoft IIS (Microsoft\'s Internet Information Server).', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(278, 549, 'Wrapper', 'wrapper', '<p>A Joomla module that allows you to “wrap” directly other Web sites for display on your Joomla site at a specific location as determined by the Module Position and the Pages Items section. The web page is inserted as an Inline Frame (also called an Iframe) into the web site layout template.\r\n</p>', '', 1, 101, '2014-01-17 04:23:41', 42, '', '2014-01-20 03:53:39', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:23:41', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 5, '', 'Wrapper is a Joomla module that allows you to “wrap” directly other Web sites for display on your Joomla site at a specific location as determined by the Module Position and the Pages Items section. The web page is inserted as an Inline Frame (also called an Iframe) into the web site layout template', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(279, 550, 'WYSIWYG editor', 'wysiwyg-editor', '<p>A “what you see is what you get” editor.\r\n</p>', '', 1, 101, '2014-01-17 04:24:07', 42, '', '2014-01-20 03:54:00', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:24:07', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 4, '', 'WYSIWYG editor in Joomla is A “what you see is what you get” editor.', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(280, 551, 'XHTML', 'xhtml', '<p>It stands for Extensible hypertext markup language and is an application of XML. Most Joomla pages are based on XHTML.\r\n</p>', '', 1, 101, '2014-01-17 04:24:34', 42, '', '2014-01-20 03:54:24', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:24:34', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 3, '', 'XHTML in Joomla stands for Extensible hypertext markup language and is an application of XML. Most Joomla pages are based on XHTML.', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(281, 552, 'XML', 'xml', '<p>Extensible markup language that defines a format that is both human-readable and machine-readable. XML files are used in Joomla for installation files, options, and JForm forms.\r\n</p>', '', 1, 101, '2014-01-17 04:25:02', 42, '', '2014-01-20 03:54:47', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:25:02', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 2, '', 'XML in Joomla is extensible markup language that defines a format that is both human-readable and machine-readable. XML files are used in Joomla for installation files, options, and JForm forms.', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(282, 553, 'Module Chrome', 'module-chrome', '<p>Module chrome is a term for PHP functions that provide some optional HTML markup in which the module code is placed. This is often called a wrapper for the module output. \r\n</p>\r\n\r\n<p>Module chrome allows template designers to have a certain amount of control over the way the output from a Module is displayed in their template. Essentially, it consists of a small amount of predefined HTML which is inserted before, after, or around the output from each module, and which can then be styled using CSS. Module chrome is commonly used to provide borders around modules, especially with rounded corners, but it can be used for much more than that.\r\n</p>\r\n<p>\r\n\r\nModule chrome is determined by using the \'style\' attribute in the statement calling the module. For example, the following statement may be used in the index.php file of a template to insert the Modules in the \'user1\' position and apply the \'custom\' Module chrome:\r\n</p>\r\n\r\n<div class="highlight"><pre>&lt;jdoc:include type="modules" name="user1" style="custom" /&gt;</pre></div>\r\n\r\n<p>\r\nIt can be seen that the same Module chrome is applied to every Module in that position - in other words, if you want to have two Modules in a column, but want them to have different Module chrome, then they would need to be set up as two different \'positions\' (e.g. \'user1\' and \'user2\').\r\n</p>\r\n<p>\r\nThe standard Joomla! 1.5+ package includes six default Module chrome styles. However, the flexibility of the template system means that you are not limited to these styles - it\'s very easy to create as many new styles as you want!\r\n</p>\r\n\r\n<p><strong>Reference: <a  href="http://docs.joomla.org/Glossary" \r\n        title="read the reference" \r\n        alt="read the reference" \r\n        target="_blank"\r\n        rel="nofollow">http://docs.joomla.org/Glossary</a>\r\n</strong></p>\r\n', '', 1, 101, '2014-01-17 04:26:52', 42, '', '2014-01-20 03:41:24', 42, 0, '0000-00-00 00:00:00', '2014-01-17 04:26:52', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 1, '', 'Module chrome in Joomla is a term for PHP functions that provide some optional HTML markup in which the module code is placed. This is often called a wrapper for the module output. ', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(283, 556, 'Our team', 'our-team', '<div class="our-team">\r\n\r\n<div class="page-header">\r\n  <h1 class="text-center">Welcome to our team</h1>\r\n</div>\r\n\r\n<p class="lead text-center">\r\nQuis non leo condimentum lacinia vestibulum justo malesuada Sed non pellentesque. Enim neque tortor mattis sed semper lorem tellus Phasellus eu nonummy. Vel Vestibulum leo hendrerit et mauris vitae consequat sem rutrum hac. Phasellus id cursus malesuada libero dui Morbi senectus diam gravida Vestibulum.\r\n</p>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <div class="thumbnail">\r\n    <img src="images/joomlart/corporate/staff-1.jpg" alt="Sample image" class="img-circle" />\r\n    <div class="caption">\r\n      <h3>Sean Thomas</h3>\r\n      <p>Senior Designer</p>\r\n      <p>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-facebook"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-twitter"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-google-plus"></i></a>\r\n      </p>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <div class="thumbnail">\r\n    <img src="images/joomlart/corporate/staff-2.jpg" alt="Sample image" class="img-circle" />\r\n    <div class="caption">\r\n      <h3>Bennie Moran</h3>\r\n      <p>Developer</p>\r\n      <p>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-facebook"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-twitter"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-google-plus"></i></a>\r\n      </p>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <div class="thumbnail">\r\n    <img src="images/joomlart/corporate/staff-3.jpg" alt="Sample image" class="img-circle" />\r\n    <div class="caption">\r\n      <h3>Nicholas Mitchell</h3>\r\n      <p>Developer</p>\r\n      <p>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-facebook"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-twitter"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-google-plus"></i></a>\r\n      </p>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <div class="thumbnail">\r\n    <img src="images/joomlart/corporate/staff-4.jpg" alt="Sample image" class="img-circle" />\r\n    <div class="caption">\r\n      <h3>Nicholas Mitchell</h3>\r\n      <p>Designer.</p>\r\n      <p>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-facebook"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-twitter"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-google-plus"></i></a>\r\n      </p>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <div class="thumbnail">\r\n    <img src="images/joomlart/corporate/staff-5.jpg" alt="Sample image" class="img-circle" />\r\n    <div class="caption">\r\n      <h3>Sean Thomas</h3>\r\n      <p>Tester</p>\r\n      <p>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-facebook"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-twitter"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-google-plus"></i></a>\r\n      </p>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <div class="thumbnail">\r\n    <img src="images/joomlart/corporate/staff-6.jpg" alt="Sample image" class="img-circle" />\r\n    <div class="caption">\r\n      <h3>Bennie Moran</h3>\r\n      <p>Senior Project Manager</p>\r\n      <p>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-facebook"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-twitter"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-google-plus"></i></a>\r\n      </p>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <div class="thumbnail">\r\n    <img src="images/joomlart/corporate/staff-7.jpg" alt="Sample image" class="img-circle" />\r\n    <div class="caption">\r\n      <h3>Nicholas Mitchell</h3>\r\n      <p>Project manager</p>\r\n      <p>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-facebook"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-twitter"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-google-plus"></i></a>\r\n      </p>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <div class="thumbnail">\r\n    <img src="images/joomlart/corporate/staff-8.jpg" alt="Sample image" class="img-circle" />\r\n    <div class="caption">\r\n      <h3>Nicholas Mitchell</h3>\r\n      <p>Community manager.</p>\r\n      <p>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-facebook"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-twitter"></i></a>\r\n        <a role="button" class="btn btn-default" href="#"><i class="fa fa-google-plus"></i></a>\r\n      </p>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n\r\n</div>', '', 1, 9, '2014-01-21 04:50:26', 42, '', '2014-01-23 10:35:08', 42, 42, '2014-02-17 09:02:27', '2014-01-21 04:50:26', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 39, 5, '', '', 1, 160, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(285, 559, 'Single Article', 'single-article', '<img src="images/joomlart/blog-layout/bl-24.jpg" alt="Sample image" align="right" class="img-thumbnail" />\r\n\r\n<p>Leo cursus a nibh Vestibulum interdum sit nisl est lorem augue. Adipiscing hendrerit cursus et at nunc id natoque vitae mattis vitae. Curabitur tristique laoreet ut ut odio Lorem ante Integer tincidunt in. Congue Sed est quis justo pellentesque neque eros dolor eu et. Cras ipsum tempus non Donec ac ut neque sem nisl ut. Pretium magnis nisl nibh purus eu pellentesque Curabitur senectus pellentesque congue. Dui vel.</p>\r\n\r\n<p>Ut nulla cursus amet elit leo Sed pellentesque Vestibulum Cras malesuada. Rhoncus Nullam sapien elit Vestibulum congue rhoncus amet in <a href="#" title="Sample link">faucibus neque.</a></p>\r\n\r\n<h3>Sample heading</h3>\r\n<p>Est nulla senectus dapibus fringilla tortor Nulla laoreet tempus pretium lorem. Vestibulum lacus et nonummy id Nam ut volutpat ipsum sit metus. Sed enim eros Proin Nullam laoreet dictumst cursus Sed Fusce eu. Est auctor et mauris egestas at Quisque montes lacus ac pede. Felis vel tincidunt wisi elit quis vestibulum Curabitur iaculis consequat Proin. Vitae Pellentesque elit interdum.</p>\r\n\r\n<ul>\r\n<li>Leo sed nibh ut ac magnis nam hendrerit lacus.</li>\r\n<li> Ligula tincidunt mus eget nibh tellus dui</li>\r\n<li>Porta dapibus laoreet id ut vestibulum.</li>\r\n<li>Faucibus nunc tortor ac enim non ut nam vitae.</li>\r\n</ul>\r\n\r\n<p>Leo Sed nibh ut ac magnis Nam hendrerit lacus convallis massa. Laoreet sed hendrerit et et penatibus tellus et Curabitur lacinia Curabitur. Dis quis semper fringilla Nam pellentesque ipsum id odio scelerisque congue. Et nunc risus Pellentesque sapien malesuada ligula orci tristique adipiscing malesuada. Pede molestie Aenean risus orci id lorem Nullam felis orci velit. </p>\r\n\r\n<p>Eu ipsum congue natoque lobortis neque Fusce tincidunt Morbi In nunc. Ligula tincidunt mus eget nibh tellus dui Vestibulum tincidunt dolor eget. Porta dapibus laoreet id ut Vestibulum Phasellus magna eros quis gravida. Faucibus Nunc tortor ac enim non ut Nam vitae Nunc ornare. Convallis id nibh id orci ligula Cum nulla Curabitur et aliquam. Auctor augue aliquam magna mi massa parturient Sed Nullam at orci. Pede nunc condimentum.</p>\r\n\r\n<div class="alert alert-dismissable alert-success">\r\n      <button data-dismiss="alert" class="close" type="button">×</button>\r\n      Ligula tincidunt mus eget nibh tellus dui vestibulum tincidunt dolor eget. Porta dapibus laoreet id ut vestibulum phasellus magna eros quis gravida.\r\n</div>', '', 1, 9, '2014-01-22 08:46:49', 42, '', '2014-01-22 08:57:29', 42, 0, '0000-00-00 00:00:00', '2014-01-22 08:46:49', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"","portfolio-state":"current","portfolio-demo":""}', 6, 4, '', '', 1, 24, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(287, 562, 'Support RTL language layout', 'support-rtl-language-layouts', '<p>We are working days and nights to bring back RTL language layout for the RTL community. Purity III will be RTLized pretty soon. Stay calm and hang in there, guys.</p>', '', 1, 98, '2014-01-22 09:27:42', 42, '', '2014-01-24 02:26:44', 42, 0, '0000-00-00 00:00:00', '2014-01-22 09:27:42', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/intro-page\\/rtl.png","float_intro":"left","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":" feature-row-alt","portfolio-state":"current","portfolio-demo":""}', 4, 12, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(288, 573, 'Support policy - style 2', 'support-policy-style-2', '<div class="support-policy style2">\r\n\r\n  <div class="row-heading hidden-phone">\r\n    <div class="col-md-2 text-center">Query type</div>\r\n    <div class="col-md-6">Details</div>\r\n    <div class="col-md-2 text-center">Support level</div>\r\n    <div class="col-md-2 text-center">Status</div>\r\n  </div>\r\n\r\n  <div class="row-body level-1">\r\n    <div class="col-md-2 col-type">\r\n      Demo site display\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n    Lorem ipsum dolor sit amet consectetuer adipiscing id ac Mauris laoreet. Donec Vestibulum Curabitur eros Sed iaculis cursus amet sollicitudin elit ut. Nibh mus malesuada tincidunt In risus nibh Sed cursus adipiscing et.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level"><span class="number">100%</span></div>\r\n\r\n    <div class="col-md-2 col-status"><span class="face"></span><strong>Excellent</strong></div>\r\n  </div>\r\n\r\n  <div class="row-body level-2 row-alt">\r\n    <div class="col-md-2 col-type">\r\n      Bugs\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n    Dictum Sed porttitor Nam cursus Curabitur Aenean et at nec penatibus. Laoreet ipsum Vestibulum magna malesuada pede felis augue adipiscing magnis adipiscing. Elit senectus nibh quis pellentesque at ultrices platea gravida <a href="#" title="Sample link">adipiscing dapibus.</a>\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level"><span class="number">90%</span></div>\r\n\r\n    <div class="col-md-2 col-status"><span class="face"></span><strong>Excellent</strong></div>\r\n  </div>\r\n\r\n  <div class="row-body level-3">\r\n    <div class="col-md-2 col-type">\r\n      New feature requests\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n    Habitasse tempus dignissim leo In justo ante Ut vel a eu. Quis cursus Vestibulum eros libero pharetra at laoreet interdum egestas penatibus. Senectus vestibulum penatibus tortor Nam Duis ut Vivamus eu Quisque Ut. Libero natoque odio ipsum quis suscipit lorem at non elit magnis. Tortor wisi vel Nam laoreet Integer auctor dui gravida nulla convallis.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level"><span class="number">70%</span></div>\r\n\r\n    <div class="col-md-2 col-status"><span class="face"></span><strong>Tricky</strong></div>\r\n  </div>\r\n\r\n  <div class="row-body level-4 row-alt">\r\n    <div class="col-md-2 col-type">\r\n      Customizations\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n    Nam enim id lacus Sed enim id Nulla tincidunt urna ultrices. Eget Curabitur Vestibulum urna dui at leo vestibulum magna eget dolor. Suspendisse convallis Nullam rhoncus aliquam non nec adipiscing at tellus elit. Magna ut Phasellus leo justo vel Nunc ut amet interdum convallis.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level"><span class="number">40%</span></div>\r\n\r\n    <div class="col-md-2 col-status"><span class="face"></span><strong>Maybe, maybe not</strong></div>\r\n  </div>\r\n\r\n  <div class="row-body level-5">\r\n    <div class="col-md-2 col-type">\r\n      3rd party extensions issue\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n    Magna dolor risus sed ante hac ut congue facilisis sed elit. Vel neque urna nec et turpis pharetra enim fermentum pellentesque Nulla. Tempor Phasellus pellentesque ut tempus sollicitudin Aenean interdum ut faucibus enim.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level"><span class="number">25%</span></div>\r\n\r\n    <div class="col-md-2 col-status"><span class="face"></span><strong>negligble / ignored</strong></div>\r\n  </div>\r\n\r\n  <div class="row-body level-6 row-alt">\r\n    <div class="col-md-2 col-type">\r\n      Old versions\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n    Consequat elit vel pretium tellus dui augue tellus eleifend vitae ridiculus. Ligula Suspendisse orci Sed Nulla neque Aliquam risus Vivamus lacinia justo. Mauris vel mauris ut interdum iaculis quis pede id sociis nibh.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level"><span class="number">0%</span></div>\r\n\r\n    <div class="col-md-2 col-status"><span class="face"></span><strong>Very very limited</strong></div>\r\n  </div>\r\n\r\n</div>\r\n\r\n<div class="wrap btn-actions text-center" style="margin: 40px 0 60px;">\r\n<a href="#" title="Sample button" class="btn btn-lg btn-primary">Access forum support now</a>\r\n</div>\r\n\r\n<div class="page-header text-center">\r\n  <h1>Sample FAQ</h1>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h3>Is there a setup fee?</h3>\r\n<p>Lorem ipsum dolor sit amet consectetuer turpis eros Quisque felis pretium. Habitasse iaculis fermentum amet adipiscing Praesent ac mauris id tincidunt Vestibulum. Integer Vestibulum ac tellus eget laoreet elit urna massa Nam quis. Curabitur Curabitur sapien nec ac turpis rhoncus Morbi mauris justo eu. Dolor pede Phasellus sollicitudin nunc laoreet pretium id laoreet Morbi velit. Nec laoreet condimentum.</p>\r\n\r\n<h3>Do I need to enter my credit card details to sign up?</h3>\r\n<p>Eleifend Fusce tincidunt dictumst libero ante nec justo dui feugiat molestie. Penatibus mi dui dictum at justo nibh mattis laoreet lacinia neque. Vitae nibh faucibus volutpat lacinia mauris Proin id nibh tristique cursus. Vitae faucibus gravida ut parturient aliquam eros fringilla Vestibulum ante ligula. Mi nascetur Aliquam euismod ut nulla orci lacus ac Curabitur lacus. Sagittis tellus nec id cursus magnis condimentum sit dui Pellentesque tincidunt. Sapien ut sapien.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h3>Why use the Professional plan?</h3>\r\n<p>Lorem ipsum dolor sit amet consectetuer turpis eros Quisque felis pretium. Habitasse iaculis fermentum amet adipiscing Praesent ac mauris id tincidunt Vestibulum. Integer Vestibulum ac tellus eget laoreet elit urna massa Nam quis. Curabitur Curabitur sapien nec ac turpis rhoncus Morbi mauris justo eu. Dolor pede Phasellus sollicitudin nunc laoreet pretium id laoreet Morbi velit. Nec laoreet condimentum.</p>\r\n\r\n<h3>Why use the Unlimited plan?</h3>\r\n<p>Eleifend Fusce tincidunt dictumst libero ante nec justo dui feugiat molestie. Penatibus mi dui dictum at justo nibh mattis laoreet lacinia neque. Vitae nibh faucibus volutpat lacinia mauris Proin id nibh tristique cursus. Vitae faucibus gravida ut parturient aliquam eros fringilla Vestibulum ante ligula. Mi nascetur Aliquam euismod ut nulla orci lacus ac Curabitur lacus. Sagittis tellus nec id cursus magnis condimentum sit dui Pellentesque tincidunt. Sapien ut sapien.</p>\r\n\r\n<h3>Can I use my own payment gateway?</h3>\r\n<div class="alert alert-warning">\r\n  <p>Unsure which plan is best for you?<br>\r\nCall our sales team at 1-234-567-8932\r\n</p>\r\n</div>\r\n</div>\r\n', '', 1, 9, '2014-01-23 07:07:31', 42, '', '2014-01-24 10:08:11', 42, 42, '2014-02-20 10:04:40', '2014-01-23 07:07:31', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 37, 3, '', '', 1, 188, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(289, 575, 'Downloads', 'downloads', '<p class="lead inline">Excited yet? Start exploring and experience Purity III today</p>\r\n            <div class="btn-actions inline">\r\n                <a class="btn btn-success btn-lg" href="http://bit.ly/purity_iii">Download Now</a>\r\n            </div>', '', 1, 98, '2014-01-23 10:28:09', 42, '', '2014-01-27 06:42:49', 42, 0, '0000-00-00 00:00:00', '2014-01-23 10:28:09', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"0","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"row-feature-narrow row-feature-primary"}', 16, 9, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(290, 582, '404', '404', '<div class="well"><center>Each <strong>JA Joomla Template</strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style.</strong>.</center></div>\r\n<p><img src="images/joomlart/beranis-404.png" alt="" /></p>', '', 1, 9, '2014-01-24 04:40:41', 42, '', '2014-01-24 04:42:13', 42, 0, '0000-00-00 00:00:00', '2014-01-24 04:40:41', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 2, 2, '', '', 1, 22, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(291, 583, 'Purity III  layouts', 'purity-iii-layouts', '<div class="porfolio-items">\r\n<div class="row row-porfolio">\r\n	\r\n<div class="col-xs-6 col-md-4">\r\n<div class="thumbnail">\r\n	<a href="index.php/layout/new-layouts/magazine" title="magazine layout">\r\n		    <div class="item-image">\r\n		  <img src="images/joomlart/supported-layout/magazine.png" alt="magazine layout">\r\n    </div>\r\n				<h3>Magazine Layout</h3>\r\n	</a>\r\n<p>Clean Responsive Joomla template layout for Magazine</p></div>			\r\n</div>\r\n\r\n<div class="col-xs-6 col-md-4">\r\n<div class="thumbnail">\r\n	<a target="_blank" href="index.php/layout/new-layouts/corporate" title="corporate layout">\r\n		    <div class="item-image">\r\n		   <img alt="purity iii corporate layout" src="images/joomlart/supported-layout/corporate.png">\r\n    </div>\r\n				<h3>Corporate Layout</h3>\r\n	</a>\r\n<p>Responsive Joomla template layout for Business</p></div>			\r\n</div>\r\n\r\n<div class="col-xs-6 col-md-4">\r\n<div class="thumbnail">\r\n	 <a target="_blank" href="index.php/layout/new-layouts/blog" title="bog layout">\r\n		    <div class="item-image">\r\n		   <img target="_blank" alt="purity iii blog layout" src="images/joomlart/supported-layout/blog.png">\r\n    </div>\r\n				<h3>Blog Layout</h3>\r\n	</a>\r\n<p>Responsive Joomla template layout for Blogging</p></div>			\r\n</div>\r\n\r\n<div class="col-xs-6 col-md-4">\r\n<div class="thumbnail">\r\n	 <a target="_blank" href="index.php/layout/new-layouts/features-intro" title="feature intro 1 layout">\r\n		    <div class="item-image">\r\n		    <img alt="purity iii feature intro 1 layout" src="images/joomlart/supported-layout/features_1.png">\r\n    </div>\r\n				<h3>Feature Intro 1 Layout</h3>\r\n	</a>\r\n<p>Responsive Joomla template layout for Products and Services</p></div>			\r\n</div>\r\n\r\n<div class="col-xs-6 col-md-4">\r\n<div class="thumbnail">\r\n	 <a target="_blank" title="features intro 2 layout" href="http://joomla-templates.joomlart.com/purity_iii/">\r\n		    <div class="item-image">\r\n		    <img alt="purity iii features intro 2 layout" src="images/joomlart/supported-layout/features_2.png">\r\n    </div>\r\n				<h3>Feature Intro 2 Layout</h3>\r\n	</a>\r\n<p>Responsive Joomla template layout to featuring Products and Services features</p></div>			\r\n</div>\r\n\r\n<div class="col-xs-6 col-md-4">\r\n<div class="thumbnail">\r\n	 <a target="_blank" title="portfolio layout" href="index.php/layout/new-layouts/portfolio">\r\n		    <div class="item-image">\r\n		     <img alt="purity iii portfolio layout" src="images/joomlart/supported-layout/portfolio.png">\r\n    </div>\r\n				<h3>Portfolio Layout</h3>\r\n	</a>\r\n<p>Responsive Joomla template layout for Showcasing and Portfolio</p></div>			\r\n</div>\r\n\r\n<div class="col-xs-6 col-md-4">\r\n<div class="thumbnail">\r\n	<a target="_blank" title="glossary layout" href="index.php/layout/new-layouts/glossary">\r\n		    <div class="item-image">\r\n		    <img alt="purity iii glossary layout" src="images/joomlart/supported-layout/glossary.png">\r\n    </div>\r\n				<h3>Glossary Layout</h3>\r\n	</a>\r\n<p>Responsive Joomla template layout for Glossary and Listing</p></div>			\r\n</div>\r\n\r\n<div class="col-xs-6 col-md-4">\r\n<div class="thumbnail">\r\n	 <a target="_blank" title="classic layouts" href="index.php/layout/class-layout/default-layout">\r\n		    <div class="item-image">\r\n		 <img alt="purity iii classic layouts" src="images/joomlart/supported-layout/classic_layout.png">\r\n    </div>\r\n				<h3>Classic Layout</h3>\r\n	</a>\r\n<p>Classic Responsive Joomla template layout for everything</p></div>			\r\n</div>\r\n\r\n</div>\r\n</div>\r\n\r\n<div class="jumbotron wrap btn-actions text-center" style="margin-top: 40px;">\r\n<h2>Want to have more layouts?</h2>\r\n <p><a href="http://www.joomlart.com/forums/forumdisplay.php?542-Purity-III" class="btn btn-primary btn-lg">Let us know in the forum</a></p>\r\n  </div>\r\n', '', 1, 9, '2014-01-24 05:06:24', 42, '', '2014-02-14 01:49:49', 42, 0, '0000-00-00 00:00:00', '2014-01-24 05:06:24', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 18, 1, '', '', 1, 223, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(292, 584, 'Request to be compatible', 'request-to-be-compatible', '<div class="support-policy style2">\r\n\r\n  <div class="row-heading hidden-phone">\r\n    <div class="col-md-2 text-center" style="float: none;">Extension Name</div>\r\n    <div class="col-md-6" style="float: none;">Extension Description</div>\r\n    <div class="col-md-2 text-center" style="float: none;">Supported by Author</div>\r\n    <div class="col-md-2 text-center" style="float: none;">Supported by JoomlArt</div>\r\n  </div>\r\n\r\n  <div class="row-body level-1">\r\n    <div class="col-md-2 col-type">\r\n      EasySocial\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n   EasySocial is everything you need to start a social network in Joomla. EasySocial is best for enterprises and intranets.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n\r\n    <div class="col-md-2 col-level support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n  </div>\r\n\r\n   <div class="row-body level-2 row-alt">\r\n    <div class="col-md-2 col-type">\r\n      EasyBlog\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n EasyBlog is a Joomla blog extension combining social media tools, integrates with Joomla templates and works with other Joomla extensions.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n  </div>\r\n\r\n   <div class="row-body level-3">\r\n    <div class="col-md-2 col-type">\r\n      EasyDicuss\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n    EasyDiscuss is the best question & answers extension for Joomla 1.5 and Joomla 2.5. It works like a forum or a discussions area for your Joomla website.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n  </div>\r\n\r\n   <div class="row-body level-4 row-alt">\r\n    <div class="col-md-2 col-type">\r\n      Kunena\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n   Kunena is the leading Joomla forum component. Downloaded more than 3000000 times in nearly 5 years, Kunena is the Forum extension for Joomla!. Community forum, documentation, demo.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level  support-no"><span class="glyphicon glyphicon-exclamation-sign"></span></div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n  </div>\r\n\r\n   <div class="row-body level-5">\r\n    <div class="col-md-2 col-type">\r\n      Mijoshop\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n   MijoShop is an e-Commerce extension for Joomla 1.5, 2.5 and 3.0. It is a turn-key ready out of the box Joomla shopping cart solution.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n  </div>\r\n\r\n   <div class="row-body level-6 row-alt">\r\n    <div class="col-md-2 col-type">\r\n      JomSocial\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n Open Source Social Networking Software. Award winning open source community software by JomSocial. This social networking software is widely used by numerous Joomla lovers all over the world.\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n  </div>\r\n\r\n   <div class="row-body level-6 row-alt">\r\n    <div class="col-md-2 col-type">\r\n      Joom Profile\r\n    </div>\r\n\r\n    <div class="col-md-6 col-detail">\r\n Joomla Profile is to manage and customize Joomla user\'s profile including. Its main features include: Users avatar management, custom fields, secure registration, spam blocking. <a title="Joom profile" href="http://www.function90.com/products/joom-profile.html">View more</a>\r\n    </div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n\r\n    <div class="col-md-2 col-level  support-yes"><span class="glyphicon glyphicon-ok-circle"></span></div>\r\n  </div>\r\n\r\n</div>\r\n\r\n<div class="jumbotron wrap btn-actions text-center">\r\n<h2>Hmm, my favorite extension is not on the list</h2>\r\n <p><a href="http://www.joomlart.com/forums/forumdisplay.php?542-Purity-III" class="btn btn-primary btn-lg">Let us know in the forum</a></p>\r\n  </div>', '', 1, 9, '2014-01-24 09:20:34', 42, '', '2014-06-20 08:37:00', 42, 42, '2014-06-20 08:37:00', '2014-01-24 09:20:34', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 40, 0, '', '', 1, 185, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(293, 589, 'SOME TITLE', 'some-title', 'SOME TEXT', 'SOME TEXT', 1, 104, '2014-03-10 07:02:46', 42, '', '2014-03-10 07:07:51', 42, 0, '0000-00-00 00:00:00', '2014-03-10 07:07:51', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":"test"}', 2, 0, '', '', 3, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(294, 590, 'Another submitted', 'another-submitted', 'Another submitted introtext', 'Another submitted fulltext', 1, 104, '2014-03-10 07:16:05', 42, '', '0000-00-00 00:00:00', 0, 42, '2015-04-10 10:37:40', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '', '{"us-username":"username","us-email":"email","us-url":"url","us-template":"template","extra-class":"class"}', 1, 0, '', '', 3, 0, '', 0, '*', '');

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(89, 17),
(90, 13),
(91, 16),
(92, 15),
(93, 14),
(98, 12),
(99, 3),
(101, 1),
(104, 7),
(105, 2),
(110, 5),
(111, 6),
(114, 10),
(116, 4),
(117, 11),
(120, 9),
(121, 8);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__content_types`;
CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) NOT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"#__content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id"}, "special": {"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', '{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(2, 'Weblink', 'com_weblinks.weblink', '{"special":{"dbtable":"#__weblinks","key":"id","type":"Weblink","prefix":"WeblinksTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"url", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {}}', 'WeblinksHelperRoute::getWeblinkRoute', '{"formFile":"administrator\\/components\\/com_weblinks\\/models\\/forms\\/weblink.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","featured","images"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"], "convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ]}'),
(3, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"#__contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', '{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"} ] }'),
(4, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"#__newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(5, 'User', 'com_users.user', '{"special":{"dbtable":"#__users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {}}', 'UsersHelperRoute::getUserRoute', ''),
(6, 'Article Category', 'com_content.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(7, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(8, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(9, 'Weblinks Category', 'com_weblinks.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'WeblinksHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(10, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"#__tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(11, 'Banner', 'com_banners.banner', '{"special":{"dbtable":"#__banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"#__banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(12, 'Banners Category', 'com_banners.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}'),
(13, 'Banner Client', 'com_banners.client', '{"special":{"dbtable":"#__banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(14, 'User Notes', 'com_users.note', '{"special":{"dbtable":"#__user_notes","key":"id","type":"Note","prefix":"UsersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}'),
(15, 'User Notes Category', 'com_users.category', '{"special":{"dbtable":"#__categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"#__ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS `#__contentitem_tag_map`;
CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_tag` (`tag_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=MyISAM COMMENT='Maps items from content tables to tags' DEFAULT CHARSET=utf8;

INSERT INTO `#__contentitem_tag_map` (`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`) VALUES
('com_content.article', 11, 97, 4, '2014-01-25 15:40:30', 1),
('com_content.article', 11, 97, 3, '2014-01-25 15:40:30', 1),
('com_content.article', 12, 124, 7, '2014-01-25 15:39:22', 1),
('com_content.article', 12, 124, 6, '2014-01-25 15:39:22', 1),
('com_content.article', 12, 124, 3, '2014-01-25 15:39:22', 1),
('com_content.article', 1, 125, 8, '2014-01-22 14:07:18', 1),
('com_content.article', 1, 125, 6, '2014-01-22 14:07:18', 1),
('com_content.article', 2, 127, 7, '2014-01-22 14:07:46', 1),
('com_content.article', 2, 127, 6, '2014-01-22 14:07:46', 1),
('com_content.article', 3, 133, 8, '2014-01-22 14:08:31', 1),
('com_content.article', 4, 134, 6, '2014-01-22 14:00:19', 1),
('com_content.article', 4, 134, 5, '2014-01-22 14:00:19', 1),
('com_content.article', 6, 136, 8, '2014-01-22 14:12:41', 1),
('com_content.article', 7, 137, 9, '2014-01-22 14:02:02', 1),
('com_content.article', 7, 137, 8, '2014-01-22 14:02:02', 1),
('com_content.article', 8, 138, 7, '2014-01-22 14:12:07', 1),
('com_content.article', 9, 141, 9, '2014-01-25 15:41:57', 1),
('com_content.article', 10, 142, 8, '2014-01-22 13:57:45', 1);

DROP TABLE IF EXISTS `#__discuss_acl`;
CREATE TABLE `#__discuss_acl` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(255) NOT NULL,
  `default` tinyint(1) NOT NULL DEFAULT '1',
  `description` text NOT NULL,
  `published` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `public` tinyint(1) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `discuss_post_acl_action` (`action`)
) ENGINE=MyISAM AUTO_INCREMENT=27 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_acl` (`id`, `action`, `default`, `description`, `published`, `ordering`, `public`) VALUES
(1, 'add_reply', 1, 'COM_EASYDISCUSS_ACL_OPTION_ADD_REPLY_DESC', 1, 0, 1),
(2, 'add_question', 1, 'COM_EASYDISCUSS_ACL_OPTION_ADD_QUESTION_DESC', 1, 0, 1),
(3, 'add_attachment', 1, 'COM_EASYDISCUSS_ACL_OPTION_ADD_ATTACHMENT_DESC', 1, 0, 1),
(4, 'add_tag', 1, 'COM_EASYDISCUSS_ACL_OPTION_ADD_TAG_DESC', 1, 0, 1),
(5, 'edit_reply', 0, 'COM_EASYDISCUSS_ACL_OPTION_EDIT_REPLY_DESC', 1, 0, 0),
(6, 'delete_reply', 0, 'COM_EASYDISCUSS_ACL_OPTION_DELETE_REPLY_DESC', 1, 0, 0),
(7, 'mark_answered', 0, 'COM_EASYDISCUSS_ACL_OPTION_MARK_ANSWERED_DESC', 1, 0, 0),
(8, 'lock_discussion', 0, 'COM_EASYDISCUSS_ACL_OPTION_LOCK_DISCUSSION_DESC', 1, 0, 0),
(9, 'edit_question', 0, 'COM_EASYDISCUSS_ACL_OPTION_EDIT_QUESTION_DESC', 1, 0, 0),
(10, 'delete_question', 0, 'COM_EASYDISCUSS_ACL_OPTION_DELETE_QUESTION_DESC', 1, 0, 0),
(11, 'delete_attachment', 0, 'COM_EASYDISCUSS_ACL_OPTION_DELETE_ATTACHMENT_DESC', 1, 0, 0),
(12, 'add_comment', 0, 'COM_EASYDISCUSS_ACL_OPTION_ADD_COMMENT_DESC', 1, 0, 1),
(13, 'delete_comment', 0, 'COM_EASYDISCUSS_ACL_OPTION_DELETE_COMMENT_DESC', 1, 0, 0),
(14, 'feature_post', 0, 'COM_EASYDISCUSS_ACL_OPTION_FEATURE_POST_DESC', 1, 0, 0),
(15, 'send_report', 0, 'COM_EASYDISCUSS_ACL_OPTION_SEND_REPORT_DESC', 1, 0, 1),
(16, 'mark_on_hold', 0, 'COM_EASYDISCUSS_ACL_OPTION_MARK_ON_HOLD_DESC', 1, 0, 0),
(17, 'mark_accepted', 0, 'COM_EASYDISCUSS_ACL_OPTION_MARK_ACCEPTED_DESC', 1, 0, 0),
(18, 'mark_working_on', 0, 'COM_EASYDISCUSS_ACL_OPTION_MARK_WORKING_ON_DESC', 1, 0, 0),
(19, 'mark_rejected', 0, 'COM_EASYDISCUSS_ACL_OPTION_MARK_REJECTED_DESC', 1, 0, 0),
(20, 'mark_no_status', 0, 'COM_EASYDISCUSS_ACL_OPTION_MARK_NO_STATUS_DESC', 1, 0, 0),
(21, 'edit_branch', 0, 'COM_EASYDISCUSS_ACL_OPTION_EDIT_BRANCH_DESC', 1, 0, 0),
(22, 'show_signature', 0, 'COM_EASYDISCUSS_ACL_OPTION_SHOW_SIGNATURE_DESC', 1, 0, 1),
(23, 'delete_own_question', 0, 'COM_EASYDISCUSS_ACL_OPTION_DELETE_OWN_QUESTION_DESC', 1, 0, 0),
(24, 'delete_own_replies', 0, 'COM_EASYDISCUSS_ACL_OPTION_DELETE_OWN_REPLIES_DESC', 1, 0, 0),
(25, 'edit_own_reply', 0, 'COM_EASYDISCUSS_ACL_OPTION_EDIT_OWN_REPLIES_DESC', 1, 0, 0),
(26, 'edit_own_question', 0, 'COM_EASYDISCUSS_ACL_OPTION_EDIT_OWN_QUESTION_DESC', 1, 0, 0);

DROP TABLE IF EXISTS `#__discuss_acl_group`;
CREATE TABLE `#__discuss_acl_group` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `content_id` bigint(20) unsigned NOT NULL,
  `acl_id` bigint(20) unsigned NOT NULL,
  `status` tinyint(1) NOT NULL,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_post_acl_content_type` (`content_id`,`type`),
  KEY `discuss_post_acl` (`acl_id`)
) ENGINE=MyISAM AUTO_INCREMENT=265 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_acl_group` (`id`, `content_id`, `acl_id`, `status`, `type`) VALUES
(1, 1, 1, 0, 'group'),
(2, 1, 2, 0, 'group'),
(3, 1, 3, 0, 'group'),
(4, 1, 4, 0, 'group'),
(5, 1, 5, 0, 'group'),
(6, 1, 6, 0, 'group'),
(7, 1, 7, 0, 'group'),
(8, 1, 8, 0, 'group'),
(9, 1, 9, 0, 'group'),
(10, 1, 10, 0, 'group'),
(11, 1, 11, 0, 'group'),
(12, 1, 12, 0, 'group'),
(13, 1, 13, 0, 'group'),
(14, 1, 14, 0, 'group'),
(15, 1, 15, 0, 'group'),
(16, 1, 16, 0, 'group'),
(17, 1, 17, 0, 'group'),
(18, 1, 18, 0, 'group'),
(19, 1, 19, 0, 'group'),
(20, 1, 20, 0, 'group'),
(21, 1, 21, 0, 'group'),
(22, 1, 22, 0, 'group'),
(23, 1, 23, 0, 'group'),
(24, 1, 24, 0, 'group'),
(25, 13, 1, 1, 'group'),
(26, 13, 2, 1, 'group'),
(27, 13, 3, 1, 'group'),
(28, 13, 4, 1, 'group'),
(29, 13, 5, 1, 'group'),
(30, 13, 6, 0, 'group'),
(31, 13, 7, 0, 'group'),
(32, 13, 8, 0, 'group'),
(33, 13, 9, 0, 'group'),
(34, 13, 10, 0, 'group'),
(35, 13, 11, 0, 'group'),
(36, 13, 12, 0, 'group'),
(37, 13, 13, 0, 'group'),
(38, 13, 14, 0, 'group'),
(39, 13, 15, 0, 'group'),
(40, 13, 16, 0, 'group'),
(41, 13, 17, 0, 'group'),
(42, 13, 18, 0, 'group'),
(43, 13, 19, 0, 'group'),
(44, 13, 20, 0, 'group'),
(45, 13, 21, 0, 'group'),
(46, 13, 22, 0, 'group'),
(47, 13, 23, 0, 'group'),
(48, 13, 24, 0, 'group'),
(49, 6, 1, 1, 'group'),
(50, 6, 2, 1, 'group'),
(51, 6, 3, 1, 'group'),
(52, 6, 4, 1, 'group'),
(53, 6, 5, 1, 'group'),
(54, 6, 6, 0, 'group'),
(55, 6, 7, 0, 'group'),
(56, 6, 8, 0, 'group'),
(57, 6, 9, 0, 'group'),
(58, 6, 10, 0, 'group'),
(59, 6, 11, 0, 'group'),
(60, 6, 12, 0, 'group'),
(61, 6, 13, 0, 'group'),
(62, 6, 14, 0, 'group'),
(63, 6, 15, 0, 'group'),
(64, 6, 16, 0, 'group'),
(65, 6, 17, 0, 'group'),
(66, 6, 18, 0, 'group'),
(67, 6, 19, 0, 'group'),
(68, 6, 20, 0, 'group'),
(69, 6, 21, 0, 'group'),
(70, 6, 22, 0, 'group'),
(71, 6, 23, 0, 'group'),
(72, 6, 24, 0, 'group'),
(73, 7, 1, 1, 'group'),
(74, 7, 2, 1, 'group'),
(75, 7, 3, 1, 'group'),
(76, 7, 4, 1, 'group'),
(77, 7, 5, 1, 'group'),
(78, 7, 6, 1, 'group'),
(79, 7, 7, 1, 'group'),
(80, 7, 8, 1, 'group'),
(81, 7, 9, 1, 'group'),
(82, 7, 10, 1, 'group'),
(83, 7, 11, 1, 'group'),
(84, 7, 12, 1, 'group'),
(85, 7, 13, 1, 'group'),
(86, 7, 14, 1, 'group'),
(87, 7, 15, 1, 'group'),
(88, 7, 16, 1, 'group'),
(89, 7, 17, 1, 'group'),
(90, 7, 18, 1, 'group'),
(91, 7, 19, 1, 'group'),
(92, 7, 20, 1, 'group'),
(93, 7, 21, 1, 'group'),
(94, 7, 22, 1, 'group'),
(95, 7, 23, 1, 'group'),
(96, 7, 24, 1, 'group'),
(97, 2, 1, 1, 'group'),
(98, 2, 2, 1, 'group'),
(99, 2, 3, 1, 'group'),
(100, 2, 4, 1, 'group'),
(101, 2, 5, 1, 'group'),
(102, 2, 6, 0, 'group'),
(103, 2, 7, 0, 'group'),
(104, 2, 8, 0, 'group'),
(105, 2, 9, 0, 'group'),
(106, 2, 10, 0, 'group'),
(107, 2, 11, 0, 'group'),
(108, 2, 12, 0, 'group'),
(109, 2, 13, 0, 'group'),
(110, 2, 14, 0, 'group'),
(111, 2, 15, 0, 'group'),
(112, 2, 16, 0, 'group'),
(113, 2, 17, 0, 'group'),
(114, 2, 18, 0, 'group'),
(115, 2, 19, 0, 'group'),
(116, 2, 20, 0, 'group'),
(117, 2, 21, 0, 'group'),
(118, 2, 22, 0, 'group'),
(119, 2, 23, 0, 'group'),
(120, 2, 24, 0, 'group'),
(121, 3, 1, 1, 'group'),
(122, 3, 2, 1, 'group'),
(123, 3, 3, 1, 'group'),
(124, 3, 4, 1, 'group'),
(125, 3, 5, 1, 'group'),
(126, 3, 6, 0, 'group'),
(127, 3, 7, 0, 'group'),
(128, 3, 8, 0, 'group'),
(129, 3, 9, 0, 'group'),
(130, 3, 10, 0, 'group'),
(131, 3, 11, 0, 'group'),
(132, 3, 12, 0, 'group'),
(133, 3, 13, 0, 'group'),
(134, 3, 14, 0, 'group'),
(135, 3, 15, 0, 'group'),
(136, 3, 16, 0, 'group'),
(137, 3, 17, 0, 'group'),
(138, 3, 18, 0, 'group'),
(139, 3, 19, 0, 'group'),
(140, 3, 20, 0, 'group'),
(141, 3, 21, 0, 'group'),
(142, 3, 22, 0, 'group'),
(143, 3, 23, 0, 'group'),
(144, 3, 24, 0, 'group'),
(145, 4, 1, 1, 'group'),
(146, 4, 2, 1, 'group'),
(147, 4, 3, 1, 'group'),
(148, 4, 4, 1, 'group'),
(149, 4, 5, 1, 'group'),
(150, 4, 6, 0, 'group'),
(151, 4, 7, 0, 'group'),
(152, 4, 8, 0, 'group'),
(153, 4, 9, 0, 'group'),
(154, 4, 10, 0, 'group'),
(155, 4, 11, 0, 'group'),
(156, 4, 12, 0, 'group'),
(157, 4, 13, 0, 'group'),
(158, 4, 14, 0, 'group'),
(159, 4, 15, 0, 'group'),
(160, 4, 16, 0, 'group'),
(161, 4, 17, 0, 'group'),
(162, 4, 18, 0, 'group'),
(163, 4, 19, 0, 'group'),
(164, 4, 20, 0, 'group'),
(165, 4, 21, 0, 'group'),
(166, 4, 22, 0, 'group'),
(167, 4, 23, 0, 'group'),
(168, 4, 24, 0, 'group'),
(169, 5, 1, 1, 'group'),
(170, 5, 2, 1, 'group'),
(171, 5, 3, 1, 'group'),
(172, 5, 4, 1, 'group'),
(173, 5, 5, 1, 'group'),
(174, 5, 6, 0, 'group'),
(175, 5, 7, 0, 'group'),
(176, 5, 8, 0, 'group'),
(177, 5, 9, 0, 'group'),
(178, 5, 10, 0, 'group'),
(179, 5, 11, 0, 'group'),
(180, 5, 12, 0, 'group'),
(181, 5, 13, 0, 'group'),
(182, 5, 14, 0, 'group'),
(183, 5, 15, 0, 'group'),
(184, 5, 16, 0, 'group'),
(185, 5, 17, 0, 'group'),
(186, 5, 18, 0, 'group'),
(187, 5, 19, 0, 'group'),
(188, 5, 20, 0, 'group'),
(189, 5, 21, 0, 'group'),
(190, 5, 22, 0, 'group'),
(191, 5, 23, 0, 'group'),
(192, 5, 24, 0, 'group'),
(193, 10, 1, 1, 'group'),
(194, 10, 2, 1, 'group'),
(195, 10, 3, 1, 'group'),
(196, 10, 4, 1, 'group'),
(197, 10, 5, 1, 'group'),
(198, 10, 6, 0, 'group'),
(199, 10, 7, 0, 'group'),
(200, 10, 8, 0, 'group'),
(201, 10, 9, 0, 'group'),
(202, 10, 10, 0, 'group'),
(203, 10, 11, 0, 'group'),
(204, 10, 12, 0, 'group'),
(205, 10, 13, 0, 'group'),
(206, 10, 14, 0, 'group'),
(207, 10, 15, 0, 'group'),
(208, 10, 16, 0, 'group'),
(209, 10, 17, 0, 'group'),
(210, 10, 18, 0, 'group'),
(211, 10, 19, 0, 'group'),
(212, 10, 20, 0, 'group'),
(213, 10, 21, 0, 'group'),
(214, 10, 22, 0, 'group'),
(215, 10, 23, 0, 'group'),
(216, 10, 24, 0, 'group'),
(217, 12, 1, 1, 'group'),
(218, 12, 2, 1, 'group'),
(219, 12, 3, 1, 'group'),
(220, 12, 4, 1, 'group'),
(221, 12, 5, 1, 'group'),
(222, 12, 6, 0, 'group'),
(223, 12, 7, 0, 'group'),
(224, 12, 8, 0, 'group'),
(225, 12, 9, 0, 'group'),
(226, 12, 10, 0, 'group'),
(227, 12, 11, 0, 'group'),
(228, 12, 12, 0, 'group'),
(229, 12, 13, 0, 'group'),
(230, 12, 14, 0, 'group'),
(231, 12, 15, 0, 'group'),
(232, 12, 16, 0, 'group'),
(233, 12, 17, 0, 'group'),
(234, 12, 18, 0, 'group'),
(235, 12, 19, 0, 'group'),
(236, 12, 20, 0, 'group'),
(237, 12, 21, 0, 'group'),
(238, 12, 22, 0, 'group'),
(239, 12, 23, 0, 'group'),
(240, 12, 24, 0, 'group'),
(241, 8, 1, 1, 'group'),
(242, 8, 2, 1, 'group'),
(243, 8, 3, 1, 'group'),
(244, 8, 4, 1, 'group'),
(245, 8, 5, 1, 'group'),
(246, 8, 6, 1, 'group'),
(247, 8, 7, 1, 'group'),
(248, 8, 8, 1, 'group'),
(249, 8, 9, 1, 'group'),
(250, 8, 10, 1, 'group'),
(251, 8, 11, 1, 'group'),
(252, 8, 12, 1, 'group'),
(253, 8, 13, 1, 'group'),
(254, 8, 14, 1, 'group'),
(255, 8, 15, 1, 'group'),
(256, 8, 16, 1, 'group'),
(257, 8, 17, 1, 'group'),
(258, 8, 18, 1, 'group'),
(259, 8, 19, 1, 'group'),
(260, 8, 20, 1, 'group'),
(261, 8, 21, 1, 'group'),
(262, 8, 22, 1, 'group'),
(263, 8, 23, 1, 'group'),
(264, 8, 24, 1, 'group');

DROP TABLE IF EXISTS `#__discuss_assignment_map`;
CREATE TABLE `#__discuss_assignment_map` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL,
  `assignee_id` bigint(20) unsigned NOT NULL,
  `assigner_id` bigint(20) unsigned NOT NULL,
  `created` datetime NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_attachments`;
CREATE TABLE `#__discuss_attachments` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `title` text NOT NULL,
  `type` varchar(200) NOT NULL,
  `path` text NOT NULL,
  `created` datetime NOT NULL,
  `published` tinyint(3) NOT NULL,
  `mime` text NOT NULL,
  `size` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_attachments` (`id`, `uid`, `title`, `type`, `path`, `created`, `published`, `mime`, `size`) VALUES
(1, 7, 'bl-21.jpg', 'replies', 'ad2ea6375c5a1d15dedbd62823892d10', '2014-01-09 07:10:48', 1, 'image/jpeg', '23185'),
(2, 8, 'bl-21.jpg', 'replies', 'c4d60bfed7b102d369f0aa59887818a3', '2014-01-09 07:10:56', 1, 'image/jpeg', '23185'),
(3, 9, 'bl-15.jpg', 'questions', '9232ee9c4651d5da6a9516a3c9b850a7', '2014-01-09 07:12:40', 1, 'image/jpeg', '34315'),
(4, 9, 'bl-13.jpg', 'questions', 'a33ac945cd9814cdcb410f871f432eaf', '2014-01-09 07:12:40', 1, 'image/jpeg', '31821'),
(5, 11, 'bl-5.jpg', 'questions', 'ba79afbcd1360b918c679812cd23ae9b', '2014-01-09 07:22:24', 1, 'image/jpeg', '28059'),
(6, 11, 'bl-9.jpg', 'questions', '11a7308f7d82ceac39675aefe123c51b', '2014-01-09 07:22:24', 1, 'image/jpeg', '21684'),
(7, 11, 'bl-15.jpg', 'questions', 'cb82aadfb24f6b954140c19b1cba061b', '2014-01-09 07:22:24', 1, 'image/jpeg', '34315'),
(8, 11, 'bl-7.jpg', 'questions', '71796ce8f4a8e06075239a00ebc6ad43', '2014-01-09 07:22:24', 1, 'image/jpeg', '23560'),
(9, 15, 'bl-23.jpg', 'questions', '7104d05f76f6697fbdd571c2795c632a', '2014-01-09 07:50:30', 1, 'image/jpeg', '17348');

DROP TABLE IF EXISTS `#__discuss_badges`;
CREATE TABLE `#__discuss_badges` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `rule_id` bigint(20) NOT NULL,
  `title` text NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `avatar` text NOT NULL,
  `created` datetime NOT NULL,
  `published` tinyint(3) NOT NULL,
  `rule_limit` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_badges_alias` (`alias`),
  KEY `discuss_badges_published` (`published`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_badges` (`id`, `rule_id`, `title`, `alias`, `description`, `avatar`, `created`, `published`, `rule_limit`) VALUES
(1, 1, 'Motivator', 'motivator', 'Voted replies 100 times.', 'motivator.png', '2013-12-27 15:33:15', 1, 100),
(2, 2, 'Hole-in-One', 'hole-in-one', 'Accepted 50 replies as answers.', 'hole-in-one.png', '2013-12-27 15:33:15', 1, 50),
(3, 3, 'Smile Seeker', 'busybody', 'Liked 100 discussions.', 'busybody.png', '2013-12-27 15:33:15', 1, 100),
(4, 4, 'Love Fool', 'love-fool', 'Liked 100 replies.', 'love-fool.png', '2013-12-27 15:33:15', 1, 100),
(5, 5, 'Vanity Monster', 'vanity-monster', 'Updated 5 avatars in profile.', 'vanity-monster.png', '2013-12-27 15:33:15', 1, 5),
(6, 6, 'Sherlock Holmes', 'sherlock-holmes', 'Started 10 discussions.', 'sherlock-holmes.png', '2013-12-27 15:33:15', 1, 10),
(7, 7, 'The Voice', 'the-voice', 'Posted 100 replies.', 'the-voice.png', '2013-12-27 15:33:15', 1, 100),
(8, 8, 'Bookworm', 'bookworm', 'Read 50 discussions.', 'bookworm.png', '2013-12-27 15:33:15', 1, 50),
(9, 9, 'Peacemaker', 'peacemaker', 'Updated 50 discussions to resolved.', 'peacemaker.png', '2013-12-27 15:33:15', 1, 50),
(10, 10, 'Attention!', 'attention', 'Updated profile 50 times.', 'attention.png', '2013-12-27 15:33:15', 1, 50),
(11, 11, 'Firestarter', 'firestarter', 'Posted 100 comments.', 'firestarter.png', '2013-12-27 15:33:15', 1, 100);

DROP TABLE IF EXISTS `#__discuss_badges_history`;
CREATE TABLE `#__discuss_badges_history` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `title` text NOT NULL,
  `command` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_badges_rules`;
CREATE TABLE `#__discuss_badges_rules` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `command` text NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `callback` text NOT NULL,
  `created` datetime NOT NULL,
  `published` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_badges_users`;
CREATE TABLE `#__discuss_badges_users` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `badge_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `created` datetime NOT NULL,
  `published` tinyint(3) NOT NULL,
  `custom` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `badge_id` (`badge_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_captcha`;
CREATE TABLE `#__discuss_captcha` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `response` varchar(5) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_category`;
CREATE TABLE `#__discuss_category` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `created_by` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `alias` varchar(255) DEFAULT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `avatar` varchar(255) DEFAULT NULL,
  `parent_id` int(11) DEFAULT '0',
  `private` int(11) unsigned NOT NULL DEFAULT '0',
  `default` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `level` int(11) DEFAULT NULL,
  `lft` int(11) DEFAULT NULL,
  `rgt` int(11) DEFAULT NULL,
  `params` text NOT NULL,
  `container` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `discuss_cat_published` (`published`),
  KEY `discuss_cat_parentid` (`parent_id`),
  KEY `discuss_cat_mod_categories1` (`published`,`private`,`id`),
  KEY `discuss_cat_mod_categories2` (`published`,`private`,`ordering`),
  KEY `discuss_cat_acl` (`parent_id`,`published`,`ordering`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_category` (`id`, `created_by`, `title`, `description`, `alias`, `created`, `status`, `published`, `ordering`, `avatar`, `parent_id`, `private`, `default`, `level`, `lft`, `rgt`, `params`, `container`) VALUES
(1, 542, 'Uncategorized', '', 'uncategorized', '2013-12-27 15:33:15', 0, 1, 0, NULL, 0, 0, 1, 0, 1, 2, '', 0),
(2, 542, 'Joomla 2.5', 'Morbi ut nunc non nisl viverra adipiscing in eu risus. Sed placerat eget lorem id aliquam. Nulla id.\r\nQuisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus.', 'joomla-2-5', '2014-01-08 08:25:03', 0, 1, 0, NULL, 0, 2, 0, NULL, 3, 4, '{"show_description":"1","maxlength":"0","maxlength_size":"1000","cat_notify_custom":"","cat_email_parser":"","cat_email_parser_password":"","cat_email_parser_switch":"0"}', 0),
(3, 542, 'Joomla 3.2', 'Fusce non arcu facilisis, fermentum leo vitae, molestie dui. Duis iaculis tincidunt venenatis metus. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui.', 'joomla-3-2', '2014-01-08 08:25:55', 0, 1, 0, NULL, 0, 2, 0, NULL, 5, 6, '{"show_description":"1","maxlength":"0","maxlength_size":"1000","cat_notify_custom":"","cat_email_parser":"","cat_email_parser_password":"","cat_email_parser_switch":"0"}', 0),
(4, 542, 'Extensions', 'Nulla facilisi. Duis bibendum ultricies nisi at auctor. Aenean sed mattis ante. Suspendisse eu amet. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis.', 'extensions', '2014-01-08 08:26:41', 0, 1, 0, NULL, 0, 2, 0, NULL, 7, 8, '{"show_description":"1","maxlength":"0","maxlength_size":"1000","cat_notify_custom":"","cat_email_parser":"","cat_email_parser_password":"","cat_email_parser_switch":"0"}', 0);

DROP TABLE IF EXISTS `#__discuss_category_acl_item`;
CREATE TABLE `#__discuss_category_acl_item` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `action` varchar(255) NOT NULL,
  `description` text,
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `default` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_category_acl_item` (`id`, `action`, `description`, `published`, `default`) VALUES
(1, 'select', 'can select the category during question creation.', 1, 1),
(2, 'view', 'can view the category posts.', 1, 1),
(3, 'reply', 'can reply to category posts.', 1, 1),
(4, 'viewreply', 'can view the category replies.', 1, 1),
(5, 'moderate', 'can moderate this category.', 1, 1);

DROP TABLE IF EXISTS `#__discuss_category_acl_map`;
CREATE TABLE `#__discuss_category_acl_map` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `category_id` bigint(20) NOT NULL,
  `acl_id` bigint(20) NOT NULL,
  `type` varchar(25) NOT NULL,
  `content_id` bigint(20) NOT NULL,
  `status` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `discuss_category_acl` (`category_id`),
  KEY `discuss_category_acl_id` (`acl_id`),
  KEY `discuss_content_type` (`content_id`,`type`),
  KEY `discuss_category_content_type` (`category_id`,`content_id`,`type`)
) ENGINE=MyISAM AUTO_INCREMENT=133 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_category_acl_map` (`id`, `category_id`, `acl_id`, `type`, `content_id`, `status`) VALUES
(1, 2, 1, 'group', 1, 1),
(2, 2, 1, 'group', 13, 1),
(3, 2, 1, 'group', 6, 1),
(4, 2, 1, 'group', 7, 1),
(5, 2, 1, 'group', 2, 1),
(6, 2, 1, 'group', 3, 1),
(7, 2, 1, 'group', 4, 1),
(8, 2, 1, 'group', 5, 1),
(9, 2, 1, 'group', 10, 1),
(10, 2, 1, 'group', 12, 1),
(11, 2, 1, 'group', 8, 1),
(12, 2, 2, 'group', 1, 1),
(13, 2, 2, 'group', 13, 1),
(14, 2, 2, 'group', 6, 1),
(15, 2, 2, 'group', 7, 1),
(16, 2, 2, 'group', 2, 1),
(17, 2, 2, 'group', 3, 1),
(18, 2, 2, 'group', 4, 1),
(19, 2, 2, 'group', 5, 1),
(20, 2, 2, 'group', 10, 1),
(21, 2, 2, 'group', 12, 1),
(22, 2, 2, 'group', 8, 1),
(23, 2, 3, 'group', 1, 1),
(24, 2, 3, 'group', 13, 1),
(25, 2, 3, 'group', 6, 1),
(26, 2, 3, 'group', 7, 1),
(27, 2, 3, 'group', 2, 1),
(28, 2, 3, 'group', 3, 1),
(29, 2, 3, 'group', 4, 1),
(30, 2, 3, 'group', 5, 1),
(31, 2, 3, 'group', 10, 1),
(32, 2, 3, 'group', 12, 1),
(33, 2, 3, 'group', 8, 1),
(34, 2, 4, 'group', 1, 1),
(35, 2, 4, 'group', 13, 1),
(36, 2, 4, 'group', 6, 1),
(37, 2, 4, 'group', 7, 1),
(38, 2, 4, 'group', 2, 1),
(39, 2, 4, 'group', 3, 1),
(40, 2, 4, 'group', 4, 1),
(41, 2, 4, 'group', 5, 1),
(42, 2, 4, 'group', 10, 1),
(43, 2, 4, 'group', 12, 1),
(44, 2, 4, 'group', 8, 1),
(45, 3, 1, 'group', 1, 1),
(46, 3, 1, 'group', 13, 1),
(47, 3, 1, 'group', 6, 1),
(48, 3, 1, 'group', 7, 1),
(49, 3, 1, 'group', 2, 1),
(50, 3, 1, 'group', 3, 1),
(51, 3, 1, 'group', 4, 1),
(52, 3, 1, 'group', 5, 1),
(53, 3, 1, 'group', 10, 1),
(54, 3, 1, 'group', 12, 1),
(55, 3, 1, 'group', 8, 1),
(56, 3, 2, 'group', 1, 1),
(57, 3, 2, 'group', 13, 1),
(58, 3, 2, 'group', 6, 1),
(59, 3, 2, 'group', 7, 1),
(60, 3, 2, 'group', 2, 1),
(61, 3, 2, 'group', 3, 1),
(62, 3, 2, 'group', 4, 1),
(63, 3, 2, 'group', 5, 1),
(64, 3, 2, 'group', 10, 1),
(65, 3, 2, 'group', 12, 1),
(66, 3, 2, 'group', 8, 1),
(67, 3, 3, 'group', 1, 1),
(68, 3, 3, 'group', 13, 1),
(69, 3, 3, 'group', 6, 1),
(70, 3, 3, 'group', 7, 1),
(71, 3, 3, 'group', 2, 1),
(72, 3, 3, 'group', 3, 1),
(73, 3, 3, 'group', 4, 1),
(74, 3, 3, 'group', 5, 1),
(75, 3, 3, 'group', 10, 1),
(76, 3, 3, 'group', 12, 1),
(77, 3, 3, 'group', 8, 1),
(78, 3, 4, 'group', 1, 1),
(79, 3, 4, 'group', 13, 1),
(80, 3, 4, 'group', 6, 1),
(81, 3, 4, 'group', 7, 1),
(82, 3, 4, 'group', 2, 1),
(83, 3, 4, 'group', 3, 1),
(84, 3, 4, 'group', 4, 1),
(85, 3, 4, 'group', 5, 1),
(86, 3, 4, 'group', 10, 1),
(87, 3, 4, 'group', 12, 1),
(88, 3, 4, 'group', 8, 1),
(89, 4, 1, 'group', 1, 1),
(90, 4, 1, 'group', 13, 1),
(91, 4, 1, 'group', 6, 1),
(92, 4, 1, 'group', 7, 1),
(93, 4, 1, 'group', 2, 1),
(94, 4, 1, 'group', 3, 1),
(95, 4, 1, 'group', 4, 1),
(96, 4, 1, 'group', 5, 1),
(97, 4, 1, 'group', 10, 1),
(98, 4, 1, 'group', 12, 1),
(99, 4, 1, 'group', 8, 1),
(100, 4, 2, 'group', 1, 1),
(101, 4, 2, 'group', 13, 1),
(102, 4, 2, 'group', 6, 1),
(103, 4, 2, 'group', 7, 1),
(104, 4, 2, 'group', 2, 1),
(105, 4, 2, 'group', 3, 1),
(106, 4, 2, 'group', 4, 1),
(107, 4, 2, 'group', 5, 1),
(108, 4, 2, 'group', 10, 1),
(109, 4, 2, 'group', 12, 1),
(110, 4, 2, 'group', 8, 1),
(111, 4, 3, 'group', 1, 1),
(112, 4, 3, 'group', 13, 1),
(113, 4, 3, 'group', 6, 1),
(114, 4, 3, 'group', 7, 1),
(115, 4, 3, 'group', 2, 1),
(116, 4, 3, 'group', 3, 1),
(117, 4, 3, 'group', 4, 1),
(118, 4, 3, 'group', 5, 1),
(119, 4, 3, 'group', 10, 1),
(120, 4, 3, 'group', 12, 1),
(121, 4, 3, 'group', 8, 1),
(122, 4, 4, 'group', 1, 1),
(123, 4, 4, 'group', 13, 1),
(124, 4, 4, 'group', 6, 1),
(125, 4, 4, 'group', 7, 1),
(126, 4, 4, 'group', 2, 1),
(127, 4, 4, 'group', 3, 1),
(128, 4, 4, 'group', 4, 1),
(129, 4, 4, 'group', 5, 1),
(130, 4, 4, 'group', 10, 1),
(131, 4, 4, 'group', 12, 1),
(132, 4, 4, 'group', 8, 1);

DROP TABLE IF EXISTS `#__discuss_comments`;
CREATE TABLE `#__discuss_comments` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment` text,
  `name` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `email` varchar(255) DEFAULT '',
  `url` varchar(255) DEFAULT '',
  `ip` varchar(255) DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` datetime DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) unsigned DEFAULT '0',
  `ordering` tinyint(1) unsigned DEFAULT '0',
  `post_id` bigint(20) unsigned DEFAULT NULL,
  `user_id` int(11) unsigned DEFAULT '0',
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `sent` tinyint(1) NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `discuss_comment_postid` (`post_id`),
  KEY `discuss_comment_post_created` (`post_id`,`created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_configs`;
CREATE TABLE `#__discuss_configs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `params` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_configs` (`id`, `name`, `params`) VALUES
(1, 'config', 'main_moderatepost=0\nmain_allowcreatetag=1\nmain_allowvote=1\nmain_allowsticky=1\nmain_sitesubscription=1\nmain_postsubscription=1\nmain_autopostsubscription=1\nmain_allowguestsubscribe=1\nmain_mailqueueonpageload=0\nmain_filterbadword=1\nmain_filtertext=""\nmain_comment=1\nmain_comment_tnc=1\nmain_comment_tnctext="You hereby agree with the following terms:\\n\\na. To accept full responsibility for the comment that you submit.\\nb. To use this function only for lawful purposes.\\nc. Not to post defamatory, abusive, offensive, racist, sexist, threatening, vulgar, obscene, hateful or otherwise inappropriate comments, or to post comments which will constitute a criminal offence or give rise to civil liability.\\nd. Not to post or make available any material which is protected by copyright, trade mark or other proprietary right without the express permission of the owner of the copyright, trade mark or any other proprietary right.\\ne. To evaluate for yourself the accuracy of any opinion, advice or other content."\nmain_comment_pagination=1\nmain_comment_pagination_count=5\nmain_report=0\nmain_reportthreshold=15\nmain_upload_maxsize=2000000\nmain_avatarpath="images/discuss_avatar/"\nmain_categoryavatarpath="images/discuss_cavatar/"\nmain_orphanitem_ownership=""\nmain_syntax_highlighter=1\nmain_allowed_tags="a,abbr,acronym,address,area,b,big,blockquote,br,caption,center,cite,code,col,colgroup,dd,del,dfn,dir,div,dl,dt,em,fieldset,font,h1,h2,h3,h4,h5,h6,hr,i,img,input,ins,label,legend,li,map,menu,ol,optgroup,option,p,pre,q,s,select,small,span,strike,strong,sub,tfoot,th,thead,tr,tt,u,ul,sup,table,tbody,td"\nmain_allowed_attr="abbr,accept,accept-charset,accesskey,action,align,alt,axis,border,cellpadding,cellspacing,char,charoff,charset,checked,cite,class,clear,cols,colspan,color,compact,coords,datetime,dir,disabled,enctype,for,frame,headers,height,href,hreflang,hspace,id,ismap,label,lang,longdesc,maxlength,media,method,multiple,name,nohref,noshade,nowrap,prompt,readonly,rel,rev,rows,rowspan,rules,scope,selected,shape,size,span,src,start,style,summary,tabindex,target,title,type,valign,value,vspace,width"\nmain_notifications=1\nmain_notifications_limit=5\nmain_likes_replies=1\nmain_likes_discussions=1\nmain_notifications_interval=30\nmain_notifications_comments=1\nmain_ranking=1\nmain_ranking_calc_type="posts"\nmain_tags=1\nintegration_aup=0\nmain_viewingpage=1\nmain_password_protection=1\nmain_rss=1\nmain_polls=1\nmain_polls_replies=0\nmain_polls_multiple=1\nmain_polls_avatars=0\nbbcode_video_width=350\nbbcode_video_height=350\nmain_similartopic=1\nmain_similartopic_limit=5\nmain_similartopic_privatepost=0\nmain_login_provider="joomla"\nlayout_site_theme="simplistic"\nlayout_site_theme_base="simplistic"\nlayout_admin_theme="default"\nlayout_admin_theme_base="default"\nlayout_compile_mode="off"\nlayout_compile_external_asset_path_type="relative"\nlayout_compile_allow_template_override=1\nlayout_enabletoolbar=1\nlayout_toolbarsearch=1\nlayout_toolbartags=1\nlayout_toolbarcategories=1\nlayout_toolbardiscussion=1\nlayout_toolbarmoderate=1\nlayout_toolbarprofile=1\nlayout_toolbarlogin=1\nlayout_toolbarbadges=1\nlayout_toolbarfavourites=1\nlayout_dateformat="%A, %B %d %Y, %I:%M %p"\nlayout_autominimisepost=-5\nlayout_daystostaynew=7\nlayout_nameformat="name"\nlayout_ordering_category="ordering"\nlayout_zero_as_plural=1\nlayout_featuredpost_limit=5\nlayout_featuredpost_style=0\nlayout_featuredpost_frontpage=1\nlayout_featuredpost_sort="date_latest"\nlayout_list_limit=20\nlayout_category_description_hidden=0\nlayout_replies_sorting="oldest"\nlayout_editor="bbcode"\nlayout_category_stats=1\nlayout_category_tree=1\nlayout_user_online=1\nlayout_toolbar_searchbar=1\nlayout_toolbarcreate=1\nlayout_avatar=1\nlayout_avatar_in_post=1\nlayout_avatarwidth=160\nlayout_avatarheight=160\nlayout_avatarthumbwidth=60\nlayout_avatarthumbheight=60\nlayout_avatarIntegration="default"\nlayout_avatarLinking=1\nlayout_phpbb_path=""\nlayout_phpbb_url=""\nnotify_admin=1\nnotify_owner=1\nnotify_subscriber=1\nnotify_owner_answer=1\nnotify_html_format=1\nnotify_custom=""\nnotify_all=0\nnotify_participants=1\nmain_notifications_reply=1\nmain_notifications_locked=1\nmain_notifications_resolved=1\nmain_notifications_accepted=1\nintegration_twitter_enable=0\nintegration_twitter_consumer_key="335TmyRf0TOwcarqSa6vQ"\nintegration_twitter_consumer_secret_key="oDX874XNdyM2UJSP9s6CerP8JQf1kdnY6TpW9zidNwM"\nintegration_twitter_button=1\nintegration_twitter_button_style="vertical"\nintegration_facebook_like_admin=""\nintegration_facebook_like_appid=""\nintegration_facebook_like=0\nintegration_facebook_like_send=0\nintegration_facebook_like_faces=0\nintegration_facebook_like_layout="box_count"\nintegration_facebook_like_width=350\nintegration_facebook_like_verb="like"\nintegration_facebook_like_theme="light"\nintegration_googleone=1\nintegration_googleone_layout="tall"\nintegration_googlebuzz=0\nintegration_pingomatic=0\nmain_badges=1\nintegration_jomsocial_toolbar="0"\nintegration_jomsocial_activity_new_question="0"\nintegration_jomsocial_activity_reply_question="0"\nintegration_jomsocial_activity_reply_question_content="0"\nintegration_jomsocial_activity_content_length="350"\nintegration_jomsocial_activity_title_length="30"\nintegration_jomsocial_points="0"\nintegration_jomsocial_activity_likes="0"\nintegration_jomsocial_activity_badges="0"\nintegration_jomsocial_activity_ranks="0"\nintegration_jomsocial_activity_comment="0"\nintegration_toolbar_jomsocial_profile="0"\nintegration_jomsocial_messaging="0"\nantispam_akismet=0\nantispam_akismet_key=""\nantispam_recaptcha=0\nantispam_recaptcha_ssl=0\nantispam_recaptcha_public=""\nantispam_recaptcha_private=""\nantispam_recaptcha_theme="clean"\nantispam_recaptcha_lang="en"\nantispam_recaptcha_registered_members=1\nantispam_skip_recaptcha=5\nattachment_questions=1\nattachment_maxsize=2\nattachment_path="attachments"\nmain_attachment_extension="gif,jpg,png,zip,rar"\nattachment_image_title=1\nattachment_limit=0\nenable_attachment_limit=0\nreply_field_references=1\nintegration_google_adsense_enable=1\nintegration_google_adsense_code=""\nintegration_google_adsense_display="both"\nintegration_google_adsense_display_access="both"\nlayout_headers=0\nmain_title="EasyDiscuss"\nmain_description="Social Collaboration Tool, powerful Joomla Forum Extension"\nlayout_enableintrotext=0\nlayout_introtextlength=250\nmain_sef_unicode=1\nlayout_toolbarusers=1\nmain_allowselfvote=1\nmain_allowquestionvote=1\nintegration_linkedin=1\nintegration_linkedin_button="vertical"\nintegration_digg=1\nintegration_digg_button="medium"\nmain_email_parser=0\nmain_email_parser_server="imap.gmail.com"\nmain_email_parser_mailbox="INBOX"\nmain_email_parser_port=993\nmain_email_parser_service="imap"\nmain_email_parser_limit=10\nmain_email_parser_receipt=1\nmain_email_parser_validate=1\nmain_email_parser_ssl=1\nmain_email_parser_username=""\nmain_email_parser_password=""\nmain_email_parser_category=1\nmain_email_parser_moderation=0\nmain_autopost_twitter_message="New discussion created {title} {url} ..."\nlayout_wrapper_sfx=""\nintegration_facebook_scripts=1\nnotification_sender_name=""\nnotification_sender_email=""\nmain_content_trigger_posts=0\nmain_content_trigger_replies=0\nmain_content_trigger_comments=0\nsh_theme="googlecode"\nmain_post_min_length=0\nmain_allowguestview_whovoted=0\nlayout_favourite_description_hidden=0\nmain_daystolock_afterlastreplied=0\nmain_daystolock_aftercreated=0\nmain_lock_newpost_only=1\nmain_mailqueuenumber=5\nmain_reference_link_new_window=1\nmain_qna=1\nmax_tags_allowed=10\nlayout_tags_listing=1\nlayout_replies_list_limit="20"\nmail_reply_breaker=""\nlayout_profile_roles=1\nlayout_enablefilter_new=1\nlayout_enablefilter_unresolved=1\nlayout_enablefilter_unanswered=1\nlayout_enablefilter_resolved=1\nnotifications_history=30\nprune_notifications_cron=1\nprune_notifications_onload=1\ntab_site_question=0\ntab_site_reply=0\ntab_site_access=""\nmain_signature_visibility=1\nmain_maxview_vote=4\nmain_customfields_type=1\nmain_customfields=1\nmain_customfields_input=0\nmain_notification_max_length=0\nmain_location_discussion=1\nmain_location_reply=1\nmain_location_language="en"\nmain_location_static=0\nmain_location_map_type="ROADMAP"\nmain_location_default_zoom=5\nmain_location_min_zoom=3\nmain_location_max_zoom=10\nmain_location_map_width=450\nmain_location_map_height=300\nlayout_show_moderators=1\nmain_assign_user=1\nlayout_category_selection="select"\neasydiscuss_environment="static"\neasydiscuss_mode="compressed"\nmain_favorite=1\nmain_allowguest_vote=0\nintegrations_easyblog_profile=1\nintegrations_komento_profile=1\nmain_conversations=1\nmain_conversations_notification=1\nmain_conversations_notification_interval=60\nmain_conversations_notification_items=10\nmain_routing="currentactive"\nmain_routing_itemid=""\nlayout_profile_showbiography=1\nlayout_profile_showaccount=1\nlayout_profile_showlocation=1\nlayout_profile_showurl=1\nmain_discussion_labels=1\nlayout_board_stats=1\nlayout_replies_pagination="1"\nantispam_honeypot="0"\nantispam_honeypot_key=""\nantispam_honeypot_block="type"\nantispam_honeypot_threatvalue=""\nantispam_honeypot_threat_searchengine="0"\nantispam_honeypot_threat_suspicious="0"\nantispam_honeypot_threat_harvester="0"\nantispam_honeypot_threat_spammer="0"\nmain_allowdelete=1\nsystem_update_interval=30\nnotify_moderator=1\nnotify_admin_onreply=0\nnotify_moderator_onreply=0\nmain_link_new_window=0\nmain_backend_statistics=1\ndiscuss_debugjs=1\nlayout_originalavatarwidth="400"\nlayout_originalavatarheight="400"\nlayout_reply_editor="bbcode"\nmain_polls_guests="0"\nmain_polls_lock="1"\nlayout_category_one_level="0"\nmain_allowguest_vote_question=0\nmain_allowguest_vote_reply=0\nantispam_easydiscuss_captcha=0\nantispam_easydiscuss_captcha_registered=0\nlayout_profile_showsite=1\nlayout_profile_showsocial=1\nmain_master_tags=1\nmain_frontend_statistics=1\nmain_exclude_frontend_statistics=""\nlayout_category_toggle=0\nmain_post_redirection="default"\nmain_exclude_members=""\nmain_responsive=1\nlayout_sort_category="asc"\nlayout_toolbar_cat_filter=0\nmain_members_small=0\nlayout_ask_color="primary"\nlayout_show_classic=0\nlayout_post_types=1\nmigrator_vBulletin_prefix=""\nmain_moderateguestpost=0\nmain_enable_print=1\nlayout_show_all_subcategories=1\nmain_messages_limit=5\nmoderation_threshold=0\nmigrator_vBulletin_driver=""\nmigrator_vBulletin_host=""\nmigrator_vBulletin_user=""\nmigrator_vBulletin_password=""\nmigrator_vBulletin_name=""\nintegration_googleshare=1\nintegration_googleshare_layout="bubble"\nguest_usergroup=1\nintegration_easysocial_toolbar=1\nintegration_easysocial_toolbar_profile=1\nintegration_easysocial_messaging=1\nintegration_easysocial_activity_new_question=1\nintegration_easysocial_activity_reply_question=1\nintegration_easysocial_activity_content_length=350\nintegration_easysocial_activity_title_length=30\nintegration_easysocial_activity_comment=1\nintegration_easysocial_activity_likes=1\nintegration_easysocial_activity_badges=1\nintegration_easysocial_activity_ranks=1\nintegration_easysocial_activity_favourite=1\nintegration_easysocial_activity_vote=1\nintegration_easysocial_activity_accepted=1\nintegration_easysocial_notify_create=1\nintegration_easysocial_notify_reply=1\nintegration_easysocial_notify_comment=1\nintegration_easysocial_notify_accepted=1\nintegration_easysocial_notify_likes=1\nintegration_easysocial_points=1\nintegration_easysocial_popbox=1\nintegration_jomsocial_activity_new_question_content="0"');

DROP TABLE IF EXISTS `#__discuss_conversations`;
CREATE TABLE `#__discuss_conversations` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `created_by` bigint(20) NOT NULL,
  `lastreplied` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_conversations_message`;
CREATE TABLE `#__discuss_conversations_message` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `conversation_id` bigint(20) NOT NULL,
  `message` text,
  `created` datetime NOT NULL,
  `created_by` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `conversation_id` (`conversation_id`),
  KEY `created_by` (`created_by`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_conversations_message_maps`;
CREATE TABLE `#__discuss_conversations_message_maps` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `conversation_id` bigint(20) NOT NULL,
  `message_id` bigint(20) NOT NULL,
  `isread` tinyint(1) NOT NULL DEFAULT '0',
  `state` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `node_id` (`user_id`),
  KEY `conversation_id` (`conversation_id`),
  KEY `message_id` (`message_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_conversations_participants`;
CREATE TABLE `#__discuss_conversations_participants` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `conversation_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `conversation_id` (`conversation_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_customfields`;
CREATE TABLE `#__discuss_customfields` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(100) NOT NULL,
  `title` varchar(255) NOT NULL,
  `params` text,
  `ordering` bigint(20) NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_customfields_acl`;
CREATE TABLE `#__discuss_customfields_acl` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `action` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `acl_published` tinyint(1) unsigned NOT NULL,
  `default` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_customfields_acl` (`id`, `action`, `description`, `acl_published`, `default`) VALUES
(1, 'view', 'Who can view the custom fields at front end.', 1, 1),
(2, 'input', 'Who can input the custom fields at front end.', 1, 1);

DROP TABLE IF EXISTS `#__discuss_customfields_rule`;
CREATE TABLE `#__discuss_customfields_rule` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `field_id` bigint(20) unsigned NOT NULL,
  `acl_id` bigint(20) NOT NULL,
  `content_id` int(10) NOT NULL,
  `content_type` varchar(25) NOT NULL,
  `status` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `cf_rule_field_id` (`field_id`),
  KEY `cf_rule_acl_types` (`content_type`,`acl_id`,`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_customfields_value`;
CREATE TABLE `#__discuss_customfields_value` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `field_id` bigint(20) unsigned NOT NULL,
  `value` text NOT NULL,
  `post_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cf_value_field_id` (`field_id`),
  KEY `cf_value_field_post` (`field_id`,`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_favourites`;
CREATE TABLE `#__discuss_favourites` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `created_by` bigint(20) NOT NULL,
  `post_id` bigint(20) NOT NULL,
  `type` varchar(20) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_fav_postid` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_hashkeys`;
CREATE TABLE `#__discuss_hashkeys` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT,
  `uid` bigint(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `key` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_likes`;
CREATE TABLE `#__discuss_likes` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(20) NOT NULL,
  `content_id` int(11) NOT NULL,
  `created_by` bigint(20) unsigned DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `discuss_content_type` (`type`,`content_id`),
  KEY `discuss_contentid` (`content_id`),
  KEY `discuss_createdby` (`created_by`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_likes` (`id`, `type`, `content_id`, `created_by`, `created`) VALUES
(1, 'post', 2, 542, '2014-01-08 08:38:49'),
(2, 'post', 12, 544, '2014-01-09 07:23:35'),
(3, 'post', 8, 544, '2014-01-09 07:23:39'),
(4, 'post', 7, 544, '2014-01-09 07:23:42'),
(5, 'post', 1, 544, '2014-01-09 07:23:43');

DROP TABLE IF EXISTS `#__discuss_mailq`;
CREATE TABLE `#__discuss_mailq` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `mailfrom` varchar(255) DEFAULT NULL,
  `fromname` varchar(255) DEFAULT NULL,
  `recipient` varchar(255) NOT NULL,
  `subject` text NOT NULL,
  `body` text NOT NULL,
  `created` datetime NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT '0',
  `ashtml` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_mailq_status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_mailq` (`id`, `mailfrom`, `fromname`, `recipient`, `subject`, `body`, `created`, `status`, `ashtml`) VALUES
(1, 'admin@joom.vn', 'Joomla 3.0', 'hero@joom.com', '[#2]: New reply added - Joomla! 2.5.17 Released', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>Super User</b> replied to the discussion <b>Joomla! 2.5.17 Released</b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="Super User" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	<img alt=":D" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-happy.png" /> <img alt=":D" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-happy.png" /> <img alt=":D" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-happy.png" /> <img alt=":D" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-happy.png" /> <img alt=":D" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-happy.png" /> <img alt=":D" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-happy.png" /> <br />\r\nthanks thanks<br style="clear:both" />\n<br />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-2-5-17-released" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-2-5-17-released"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>\n					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-08 08:37:47', 0, 1),
(2, 'admin@joom.vn', 'Joomla 3.0', 'hero@joom.com', 'Super User liked your post', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>You are receiving this email because Super User liked your post.</b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="Super User" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	Proin congue vehicula sagittis volutpat.\r\nTincidunt auctor at eget vel congue vel leo platea ligula mi. \r\nEt amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. \r\nFringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\r\n\r\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.<br style="clear:both" />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-2-5-17-released" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-2-5-17-released"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-08 08:38:49', 0, 1),
(3, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', '[#9]: New reply added - Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>ninja</b> replied to the discussion <b>Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus</b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="ninja" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	<img src="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTi5TQZeODRLlZI68cgzLpEIpkTcB1V6wYmtDgOU-PAkRMm90oH" alt="https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTi5TQZeODRLlZI68cgzLpEIpkTcB1V6wYmtDgOU-PAkRMm90oH" /> <img alt=":D" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-happy.png" /> <img alt=":D" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-happy.png" /> <br />\r\nLacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id<br style="clear:both" />\n<br />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/sed-morbi-pede-eget-lorem-vel-id-et-amet-est-eros-dapibus-pharetra-hendrerit-vestibulum-lorem-cursus-risus" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/sed-morbi-pede-eget-lorem-vel-id-et-amet-est-eros-dapibus-pharetra-hendrerit-vestibulum-lorem-cursus-risus"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>\n					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:19:25', 0, 1),
(4, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', '[#11]: New question asked - Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>ninja</b> created a new discussion <b>Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus</b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="ninja" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.<br />\r\n<br />\r\nTincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.<br />\r\n<br />\r\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.<br />\r\n<iframe title="YouTube video player" width="350" height="350" src="http://www.youtube.com/embed/J8U4WGv3xvs?wmode=transparent" frameborder="0" allowfullscreen></iframe><br style="clear:both" />\n<br />\n<div class="discuss-attachments mv-15">\n	<h5>Attachments:</h5>\n\n	<ul class="thumbnails">\n			<li class="attachment-item thumbnail thumbnail-small attachment-type-image" id="attachment-5" data-attachment-item>\n			\n\n	<div class="caption">\n		<a style="color:#477fda" class="attachment-image-link" title="bl-5.jpg" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions?controller=attachment&task=displayFile&tmpl=component&id=5">bl-5.jpg</a>\n	</div>\n\n\n		</li>\n			<li class="attachment-item thumbnail thumbnail-small attachment-type-image" id="attachment-6" data-attachment-item>\n			\n\n	<div class="caption">\n		<a style="color:#477fda" class="attachment-image-link" title="bl-9.jpg" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions?controller=attachment&task=displayFile&tmpl=component&id=6">bl-9.jpg</a>\n	</div>\n\n\n		</li>\n			<li class="attachment-item thumbnail thumbnail-small attachment-type-image" id="attachment-7" data-attachment-item>\n			\n\n	<div class="caption">\n		<a style="color:#477fda" class="attachment-image-link" title="bl-15.jpg" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions?controller=attachment&task=displayFile&tmpl=component&id=7">bl-15.jpg</a>\n	</div>\n\n\n		</li>\n			<li class="attachment-item thumbnail thumbnail-small attachment-type-image" id="attachment-8" data-attachment-item>\n			\n\n	<div class="caption">\n		<a style="color:#477fda" class="attachment-image-link" title="bl-7.jpg" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions?controller=attachment&task=displayFile&tmpl=component&id=8">bl-7.jpg</a>\n	</div>\n\n\n		</li>\n		</ul>\n\n</div>\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/ac-aenean-curabitur-iaculis-tortor-nulla-pellentesque-fringilla-vestibulum-semper-vivamus" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/ac-aenean-curabitur-iaculis-tortor-nulla-pellentesque-fringilla-vestibulum-semper-vivamus"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>\n\n\n\n					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:22:24', 0, 1),
(5, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', '[#1]: New reply added - Joomla! 3.2.1 Released', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>hero</b> replied to the discussion <b>Joomla! 3.2.1 Released</b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="hero" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	<blockquote><strong>admin wrote:</strong><br />\r\n<br />\r\nCongratulations! You have successfully installed EasyDiscuss and ready to post your first question!<br />\r\nQuisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. <br />\r\nVolutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.<br />\r\nSed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede.<br />\r\n Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</blockquote><br />\r\nNec gravida habitasse commodo lacus Nulla aug<br style="clear:both" />\n<br />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-3-2-1-released" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-3-2-1-released"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>\n					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n				<p>\n			This email was sent to you, because you have subscribed to the discussion.<br />\n			To unsubscribe, please <a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions?controller=subscription&task=unsubscribe&data=dHlwZT1wb3N0DQpzaWQ9Mw0KdWlkPTU0Mg0KdG9rZW49OWE2YWU2ZGNmNTc5YzM1ZThlYjE5OTg2OWZiMTcwNDE=" style="color:#477fda">click here</a>.  <a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/profile#Subscriptions" style="color:#477fda;">Manage subscriptions.</a>\n		</p>\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:23:28', 0, 1),
(6, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', 'hero liked your post', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>You are receiving this email because hero liked your post.</b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="hero" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.<br style="clear:both" />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-3-2-1-released" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-3-2-1-released"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:23:39', 0, 1),
(7, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', 'hero liked your post', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>You are receiving this email because hero liked your post.</b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="hero" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.<br style="clear:both" />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-3-2-1-released" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-3-2-1-released"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:23:42', 0, 1),
(8, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', 'hero liked your post', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>You are receiving this email because hero liked your post.</b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="hero" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	Congratulations! You have successfully installed EasyDiscuss and ready to post your first question!\r\nQuisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. \r\nVolutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.\r\nSed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede.\r\n Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.<br style="clear:both" />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-3-2-1-released" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/joomla-3-2-1-released"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:23:43', 0, 1),
(9, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', '[#13]: New question asked - unlock discussion by typing "password" ', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>ninja</b> created a new discussion <b>unlock discussion by typing "password" </b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="ninja" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac<br style="clear:both" />\n<br />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/unlock-discussion-by-typing-password" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/unlock-discussion-by-typing-password"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>\n\n\n\n					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:25:38', 0, 1),
(10, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', '[#14]: New question asked - Is Joomla a good Platform for Blogging? ', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>Khanh</b> created a new discussion <b>Is Joomla a good Platform for Blogging? </b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="Khanh" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.<br />\r\n<br />\r\nAc Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.<br style="clear:both" />\n<br />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/is-joomla-a-good-platform-for-blogging" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/is-joomla-a-good-platform-for-blogging"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>\n\n\n\n					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:49:12', 0, 1),
(11, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', '[#15]: New question asked - Does Komento have attachments? ', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>Khanh</b> created a new discussion <b>Does Komento have attachments? </b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="Khanh" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	<img alt=":o" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-surprised.png" /> <img alt=":o" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-surprised.png" /> <img alt=":o" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-surprised.png" /> <img alt=":o" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-surprised.png" /> <img alt=":o" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-surprised.png" /> <img alt=":o" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-surprised.png" /> <img alt=":o" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-surprised.png" /> <img alt=":o" class="bb-smiley" src="http://localhost/ja_monthly_temp/canvas/media/com_easydiscuss/images/markitup/emoticon-surprised.png" /> <br />\r\nAenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus<br style="clear:both" />\n<br />\n<div class="discuss-attachments mv-15">\n	<h5>Attachments:</h5>\n\n	<ul class="thumbnails">\n			<li class="attachment-item thumbnail thumbnail-small attachment-type-image" id="attachment-9" data-attachment-item>\n			\n\n	<div class="caption">\n		<a style="color:#477fda" class="attachment-image-link" title="bl-23.jpg" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions?controller=attachment&task=displayFile&tmpl=component&id=9">bl-23.jpg</a>\n	</div>\n\n\n		</li>\n		</ul>\n\n</div>\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/does-komento-have-attachments" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/does-komento-have-attachments"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>\n\n\n\n					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:50:30', 0, 1);
INSERT INTO `#__discuss_mailq` (`id`, `mailfrom`, `fromname`, `recipient`, `subject`, `body`, `created`, `status`, `ashtml`) VALUES
(12, 'admin@joom.vn', 'Joomla 3.0', 'admin@joom.com', '[#16]: New question asked - Is SectionEx 3.0 Ready? ', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />\n<link rel="stylesheet" href="http://localhost/ja_monthly_temp/canvas/components/com_easydiscuss/themes/simplistic/styles/style.css" type="text/css" />\n</head>\n\n<body style="margin:0;padding:0">\n<div style="width:100%;background:#ddd;margin:0;padding:50px 0 80px;color:#798796;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:11px;">\n	<center>\n		<table cellpadding="0" cellspacing="0" border="0" style="width:720px;background:#fff;border:1px solid #b5bbc1;border-bottom-color:#9ba3ab;border-radius:4px;-moz-border-radius:4px;-webkit-border-radius:4px;">\n			<tbody>\n				<tr>\n					<td style="padding:20px;border-bottom:1px solid #b5bbc1;;background:#f5f5f5;border-radius:3px 3px 0 0;-moz-border-radius:3px 3px 0 0;-webkit-border-radius:3px 3px 0 0;">\n						<b style="font-family:Arial;font-size:17px;font-weight:bold;color:#333;display:inline-block;">T3 Canvas</b>\n					</td>\n				</tr>\n				<tr>\n					<td style="padding:15px 20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n						<b>hero</b> created a new discussion <b>Is SectionEx 3.0 Ready? </b>\n<br />\n<hr style="clear:both;margin:10px 0 15px;padding:0;border:0;border-top:1px solid #ddd" />\n<img src="http://localhost/ja_monthly_temp/canvas//media/com_easydiscuss/images/default.png" width="80" alt="hero" style="width:80px;height:80px;border-radius:3px;-moz-border-radius:3px;-webkit-border-radius:3px;float:left;margin:0 15px 0 0" />\n	Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. <br />\r\nConsequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.<br style="clear:both" />\n<br />\n<br />\nYou may view the discussion by clicking on the button below.<div style="padding:20px;border-top:1px solid #ccc;padding:20px 0 10px;margin-top:20px;line-height:19px;color:#555;font-family:\'Lucida Grande\',Tahoma,Arial;font-size:12px;text-align:left">\n	<div>\n	<!--[if mso]>\n	  <v:roundrect xmlns:v="urn:schemas-microsoft-com:vml" xmlns:w="urn:schemas-microsoft-com:office:word" href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/is-sectionex-3-0-ready" style="height:30px;padding-left:15px;padding-right:15px;v-text-anchor:middle;" arcsize="7%" strokecolor="#caa200" fillcolor="#ffcc00">\n	    <w:anchorlock/>\n	    <center style="color:#534200;font-family:sans-serif;font-size:13px;font-weight:bold;">Read this discussion &nbsp; &raquo;</center>\n	  </v:roundrect>\n	<![endif]-->\n	<![if !mso]>\n	<a href="http://localhost/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/discussions/is-sectionex-3-0-ready"\n	style="background-color:#ffcc00;border:1px solid #caa200;padding-left:15px;padding-right:15px;border-radius:2px;color:#534200;display:inline-block;font-family:sans-serif;font-size:13px;font-weight:bold;line-height:30px;text-align:center;text-decoration:none;-webkit-text-size-adjust:none;" target="_blank">Read this discussion &nbsp; &raquo;</a>\n	<![endif]>\n	</div>\n</div>\n\n\n\n					</td>\n				</tr>\n			</tbody>\n		</table>\n\n		\n			</center>\n</div>\n</body>\n</html>\n', '2014-01-09 07:51:45', 0, 1);

DROP TABLE IF EXISTS `#__discuss_migrators`;
CREATE TABLE `#__discuss_migrators` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `internal_id` bigint(20) NOT NULL,
  `external_id` bigint(20) NOT NULL,
  `component` text NOT NULL,
  `type` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_external_id` (`external_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_notifications`;
CREATE TABLE `#__discuss_notifications` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `cid` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `target` bigint(20) NOT NULL,
  `author` bigint(20) NOT NULL,
  `permalink` text NOT NULL,
  `state` tinyint(4) NOT NULL,
  `favicon` text NOT NULL,
  `component` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_notification_created` (`created`),
  KEY `discuss_notification` (`target`,`state`,`cid`,`created`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_oauth`;
CREATE TABLE `#__discuss_oauth` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `request_token` text NOT NULL,
  `access_token` text NOT NULL,
  `message` text NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_oauth_type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_oauth_posts`;
CREATE TABLE `#__discuss_oauth_posts` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `oauth_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_points`;
CREATE TABLE `#__discuss_points` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `rule_id` bigint(20) NOT NULL,
  `title` text NOT NULL,
  `created` datetime NOT NULL,
  `published` tinyint(3) NOT NULL,
  `rule_limit` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_points_rule` (`rule_id`),
  KEY `discuss_points_published` (`published`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_points` (`id`, `rule_id`, `title`, `created`, `published`, `rule_limit`) VALUES
(1, 1, 'Vote a reply', '2013-12-27 15:33:15', 1, 1),
(2, 2, 'Reply accepted as answer', '2013-12-27 15:33:15', 1, 1),
(3, 3, 'Like a discussion', '2013-12-27 15:33:15', 1, 1),
(4, 4, 'Like a reply', '2013-12-27 15:33:15', 1, 1),
(5, 5, 'Updates profile picture', '2013-12-27 15:33:15', 1, 1),
(6, 6, 'New Discussion', '2013-12-27 15:33:15', 1, 2),
(7, 7, 'New Reply', '2013-12-27 15:33:15', 1, 1),
(8, 8, 'Read a discusison', '2013-12-27 15:33:15', 1, 0),
(9, 9, 'Update discussion to resolved', '2013-12-27 15:33:15', 1, 0),
(10, 10, 'Updates profile', '2013-12-27 15:33:15', 1, 0),
(11, 11, 'New Comment', '2013-12-27 15:33:15', 1, 1),
(12, 12, 'Unlike a discussion', '2013-12-27 15:33:15', 1, -1),
(13, 13, 'Unlike a reply', '2013-12-27 15:33:15', 1, -1),
(14, 14, 'Remove a reply', '2013-12-27 15:33:15', 1, 0),
(15, 15, 'Vote an answer', '2013-12-27 15:33:15', 1, 1),
(16, 16, 'Unvote an answer', '2013-12-27 15:33:15', 1, -1),
(17, 17, 'Vote a question', '2013-12-27 15:33:15', 1, 1),
(18, 18, 'Unvote a question', '2013-12-27 15:33:15', 1, -1),
(19, 19, 'Unvote a reply', '2013-12-27 15:33:15', 1, -1);

DROP TABLE IF EXISTS `#__discuss_polls`;
CREATE TABLE `#__discuss_polls` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `value` text NOT NULL,
  `count` bigint(20) NOT NULL DEFAULT '0',
  `multiple_polls` tinyint(1) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`),
  KEY `polls_posts` (`post_id`,`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_polls_question`;
CREATE TABLE `#__discuss_polls_question` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `title` text NOT NULL,
  `multiple` tinyint(1) DEFAULT '0',
  `locked` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_polls_users`;
CREATE TABLE `#__discuss_polls_users` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `poll_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `session_id` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `poll_id` (`poll_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_post_types`;
CREATE TABLE `#__discuss_post_types` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `suffix` varchar(50) NOT NULL,
  `created` datetime NOT NULL,
  `published` tinyint(3) NOT NULL,
  `alias` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_alias` (`alias`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_post_types` (`id`, `title`, `suffix`, `created`, `published`, `alias`) VALUES
(1, 'Bug', '', '2013-12-27 15:33:15', 1, 'bug'),
(2, 'Issue', '', '2013-12-27 15:33:15', 1, 'issue'),
(3, 'Task', '', '2013-12-27 15:33:15', 1, 'task');

DROP TABLE IF EXISTS `#__discuss_posts`;
CREATE TABLE `#__discuss_posts` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` text,
  `alias` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` datetime DEFAULT '0000-00-00 00:00:00',
  `replied` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `content` longtext NOT NULL,
  `published` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `vote` int(11) unsigned DEFAULT '0',
  `hits` int(11) unsigned DEFAULT '0',
  `islock` tinyint(1) unsigned DEFAULT '0',
  `lockdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `featured` tinyint(1) unsigned DEFAULT '0',
  `isresolve` tinyint(1) unsigned DEFAULT '0',
  `isreport` tinyint(1) unsigned DEFAULT '0',
  `answered` tinyint(1) unsigned DEFAULT '0',
  `user_id` bigint(20) unsigned DEFAULT '0',
  `parent_id` bigint(20) unsigned DEFAULT '0',
  `user_type` varchar(255) NOT NULL,
  `poster_name` varchar(255) NOT NULL,
  `poster_email` varchar(255) NOT NULL,
  `num_likes` int(11) DEFAULT '0',
  `num_negvote` int(11) DEFAULT '0',
  `sum_totalvote` int(11) DEFAULT '0',
  `category_id` bigint(20) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `password` text,
  `legacy` tinyint(1) DEFAULT '1',
  `address` text,
  `latitude` varchar(255) NOT NULL,
  `longitude` varchar(255) NOT NULL,
  `content_type` varchar(25) DEFAULT NULL,
  `post_status` tinyint(1) NOT NULL DEFAULT '0',
  `post_type` varchar(255) NOT NULL DEFAULT '0',
  `ip` varchar(255) NOT NULL,
  `private` tinyint(3) NOT NULL DEFAULT '0' COMMENT 'Determines if the discussion should be a private ticket or not.',
  PRIMARY KEY (`id`),
  KEY `discuss_post_published` (`published`),
  KEY `discuss_post_user_id` (`user_id`),
  KEY `discuss_post_vote` (`vote`),
  KEY `discuss_post_isreport` (`isreport`),
  KEY `discuss_post_answered` (`answered`),
  KEY `discuss_post_category` (`category_id`),
  KEY `discuss_post_query1` (`published`,`parent_id`,`answered`,`id`),
  KEY `discuss_post_query2` (`published`,`parent_id`,`answered`,`replied`),
  KEY `discuss_post_query3` (`published`,`parent_id`,`category_id`,`created`),
  KEY `discuss_post_query4` (`published`,`parent_id`,`category_id`,`id`),
  KEY `discuss_post_query5` (`published`,`parent_id`,`created`),
  KEY `discuss_post_query6` (`published`,`parent_id`,`id`),
  KEY `unread_category_posts` (`published`,`parent_id`,`legacy`,`category_id`,`id`),
  KEY `discuss_post_last_reply` (`parent_id`,`id`),
  KEY `idx_post_type` (`post_type`),
  KEY `private` (`private`),
  KEY `discuss_post_parentid` (`published`,`parent_id`),
  KEY `idx_post_replied` (`replied`),
  KEY `idx_post_created` (`created`),
  KEY `idx_post_private` (`private`),
  KEY `idx_post_search1` (`published`,`parent_id`,`private`,`replied`),
  KEY `idx_post_search2` (`published`,`private`,`created`),
  KEY `idx_post_search1a` (`published`,`parent_id`,`private`),
  KEY `idx_post_search2a` (`published`,`private`),
  FULLTEXT KEY `discuss_post_titlecontent` (`title`,`content`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_posts` (`id`, `title`, `alias`, `created`, `modified`, `replied`, `content`, `published`, `ordering`, `vote`, `hits`, `islock`, `lockdate`, `featured`, `isresolve`, `isreport`, `answered`, `user_id`, `parent_id`, `user_type`, `poster_name`, `poster_email`, `num_likes`, `num_negvote`, `sum_totalvote`, `category_id`, `params`, `password`, `legacy`, `address`, `latitude`, `longitude`, `content_type`, `post_status`, `post_type`, `ip`, `private`) VALUES
(1, 'Joomla! 3.2.1 Released', 'joomla-3-2-1-released', '2013-12-27 15:33:15', '2014-01-08 08:32:22', '2014-01-09 07:23:28', 'Congratulations! You have successfully installed EasyDiscuss and ready to post your first question!\r\nQuisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. \r\nVolutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.\r\nSed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede.\r\n Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.', 1, 0, 0, 6, 0, '0000-00-00 00:00:00', 1, 1, 0, 0, 542, 0, 'member', '', '', 1, 0, 0, 3, '', '', 0, NULL, '', '', 'bbcode', 0, '0', '', 0),
(2, 'Joomla! 2.5.17 Released', 'joomla-2-5-17-released', '2013-12-27 15:33:15', '2014-12-03 03:44:37', '2014-01-08 08:37:47', 'Proin congue vehicula sagittis volutpat.\r\nTincidunt auctor at eget vel congue vel leo platea ligula mi. \r\nEt amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. \r\nFringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\r\n\r\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.', 1, 0, 0, 4, 0, '0000-00-00 00:00:00', 0, 1, 0, 0, 545, 0, 'member', '', '', 1, 0, 0, 2, '', '', 0, NULL, '', '', 'bbcode', 0, '0', '', 0),
(3, 'Re: Joomla! 2.5.17 Released', 're-joomla-2-5-17-released', '2014-01-08 08:37:31', '2014-01-08 08:37:31', '2014-01-08 08:37:31', ':D :D :D :D :D :D \r\nthanks thanks', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 542, 2, 'member', '', '', 0, 0, 0, 2, '', '', 0, '', '', '', 'bbcode', 0, '0', '127.0.0.1', 0),
(4, 'Re: Joomla! 2.5.17 Released', 're-joomla-2-5-17-released-1', '2014-01-08 08:37:47', '2014-01-08 08:37:47', '2014-01-08 08:37:47', ':D :D :D :D :D :D \r\nthanks thanks', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 542, 2, 'member', '', '', 0, 0, 0, 2, '', '', 0, '', '', '', 'bbcode', 0, '0', '127.0.0.1', 0),
(5, 'auctor at eget vel congue vel leo', 'auctor-at-eget-vel-congue-vel-leo', '2014-01-09 07:08:31', '2014-01-09 07:08:31', '2014-01-09 07:09:28', ';) ;) ;) ;) ;) \r\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.', 1, 0, 0, 1, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 542, 0, 'member', '', '', 0, 0, 0, 4, '', '', 0, 'New, UK', '54.91036039999999', '-1.3652717999999595', 'bbcode', 0, 'bug', '127.0.0.1', 0),
(6, 'Re: auctor at eget vel congue vel leo', 're-auctor-at-eget-vel-congue-vel-leo', '2014-01-09 07:09:28', '2014-01-09 07:09:28', '2014-01-09 07:09:28', ':D :D :D', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 542, 5, 'member', '', '', 0, 0, 0, 4, '', '', 0, '', '', '', 'bbcode', 0, '0', '127.0.0.1', 0),
(7, 'Re: Joomla! 3.2.1 Released', 're-joomla-3-2-1-released', '2014-01-09 07:10:48', '2014-01-09 07:10:48', '2014-01-09 07:10:48', 'Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 542, 1, 'member', '', '', 1, 0, 0, 3, '', '', 0, 'B, Woodville, WI 54028, USA', '44.8822285', '-92.27876170000002', 'bbcode', 0, '0', '127.0.0.1', 0),
(8, 'Re: Joomla! 3.2.1 Released', 're-joomla-3-2-1-released-1', '2014-01-09 07:10:56', '2014-01-09 07:10:56', '2014-01-09 07:10:56', 'Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 542, 1, 'member', '', '', 1, 0, 0, 3, '', '', 0, 'B, Woodville, WI 54028, USA', '44.8822285', '-92.27876170000002', 'bbcode', 0, '0', '127.0.0.1', 0),
(9, 'Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus', 'sed-morbi-pede-eget-lorem-vel-id-et-amet-est-eros-dapibus-pharetra-hendrerit-vestibulum-lorem-cursus-risus', '2014-01-09 07:12:40', '2014-01-09 07:12:40', '2014-01-09 07:19:25', 'Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.\r\n\r\nSed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.', 1, 0, 0, 2, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 542, 0, 'member', '', '', 0, 0, 0, 4, '', '', 0, '', '', '', 'bbcode', 0, 'issue', '127.0.0.1', 0),
(10, 'Re: Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus', 're-sed-morbi-pede-eget-lorem-vel-id-et-amet-est-eros-dapibus-pharetra-hendrerit-vestibulum-lorem-cursus-risus', '2014-01-09 07:19:25', '2014-01-09 07:19:25', '2014-01-09 07:19:25', '[img]https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTi5TQZeODRLlZI68cgzLpEIpkTcB1V6wYmtDgOU-PAkRMm90oH[/img] :D :D \r\nLacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 546, 9, 'member', '', '', 0, 0, 0, 4, '', '', 0, '', '', '', 'bbcode', 0, '0', '127.0.0.1', 0),
(11, 'Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus', 'ac-aenean-curabitur-iaculis-tortor-nulla-pellentesque-fringilla-vestibulum-semper-vivamus', '2014-01-09 07:22:24', '2014-01-09 07:22:24', '2014-01-09 07:22:24', 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.\r\n\r\nTincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\r\n\r\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.\r\n[video]http://youtu.be/J8U4WGv3xvs[/video]', 1, 0, 0, 1, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 546, 0, 'member', '', '', 0, 0, 0, 2, '', '', 0, 'London, UK', '51.51121389999999', '-0.11982439999997041', 'bbcode', 0, 'task', '127.0.0.1', 0),
(13, 'unlock discussion by typing "password" ', 'unlock-discussion-by-typing-password', '2014-01-09 07:25:38', '2014-01-09 07:25:38', '2014-01-09 07:25:38', 'Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac', 1, 0, 0, 1, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 546, 0, 'member', '', '', 0, 0, 0, 2, '', '', 0, '', '', '', 'bbcode', 0, 'issue', '127.0.0.1', 0),
(14, 'Is Joomla a good Platform for Blogging? ', 'is-joomla-a-good-platform-for-blogging', '2014-01-09 07:49:12', '2014-01-09 07:49:12', '2014-01-09 07:49:12', 'Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.\r\n\r\nAc Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.', 1, 0, 0, 3, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 543, 0, 'member', '', '', 0, 0, 0, 3, '', '', 0, '', '', '', 'bbcode', 0, 'task', '127.0.0.1', 0),
(15, 'Does Komento have attachments? ', 'does-komento-have-attachments', '2014-01-09 07:50:30', '2014-01-09 07:50:30', '2014-01-09 07:50:30', ':o :o :o :o :o :o :o :o \r\nAenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus', 1, 0, 0, 1, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 543, 0, 'member', '', '', 0, 0, 0, 4, '', '', 0, '', '', '', 'bbcode', 0, 'bug', '127.0.0.1', 0),
(16, 'Is SectionEx 3.0 Ready? ', 'is-sectionex-3-0-ready', '2014-01-09 07:51:45', '2014-12-03 03:42:45', '2014-01-09 07:53:15', 'Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. \r\nConsequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.', 1, 0, 0, 1, 0, '0000-00-00 00:00:00', 0, 0, 0, 0, 42, 0, 'member', '', '', 0, 0, 0, 2, '', '', 0, '', '', '', 'bbcode', 0, 'task', '127.0.0.1', 0);

DROP TABLE IF EXISTS `#__discuss_posts_labels`;
CREATE TABLE `#__discuss_posts_labels` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` bigint(20) NOT NULL DEFAULT '0',
  `creator` bigint(20) unsigned NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_posts_labels` (`id`, `title`, `description`, `published`, `ordering`, `creator`, `created`) VALUES
(1, 'New', 'New', 1, 0, 0, '0000-00-00 00:00:00'),
(2, 'Accepted', 'Accepted', 1, 0, 0, '0000-00-00 00:00:00'),
(3, 'In Progress', 'In Progress', 1, 0, 0, '0000-00-00 00:00:00'),
(4, 'Completed', 'Completed', 1, 0, 0, '0000-00-00 00:00:00'),
(5, 'Invalid', 'Invalid', 1, 0, 0, '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__discuss_posts_labels_map`;
CREATE TABLE `#__discuss_posts_labels_map` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL,
  `post_label_id` bigint(20) unsigned NOT NULL,
  `creator_id` bigint(20) unsigned NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_posts_references`;
CREATE TABLE `#__discuss_posts_references` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `reference_id` bigint(20) NOT NULL,
  `extension` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`,`reference_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_posts_tags`;
CREATE TABLE `#__discuss_posts_tags` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned DEFAULT NULL,
  `tag_id` bigint(20) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `post_tag` (`post_id`,`tag_id`),
  KEY `discuss_posts_tags_tagid` (`tag_id`),
  KEY `discuss_posts_tags_postid` (`post_id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_posts_tags` (`id`, `post_id`, `tag_id`) VALUES
(3, 1, 6),
(4, 5, 2),
(5, 9, 3),
(6, 9, 5),
(7, 9, 7),
(8, 11, 3),
(9, 11, 5),
(10, 11, 2),
(11, 15, 3);

DROP TABLE IF EXISTS `#__discuss_ranks`;
CREATE TABLE `#__discuss_ranks` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `start` bigint(20) NOT NULL DEFAULT '0',
  `end` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `discuss_ranks_range` (`start`,`end`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_ranks` (`id`, `title`, `start`, `end`) VALUES
(1, 'New Member', 1, 50),
(2, 'Junior Member', 51, 150),
(3, 'Senior Member', 151, 350),
(4, 'Expert Member', 351, 600);

DROP TABLE IF EXISTS `#__discuss_ranks_users`;
CREATE TABLE `#__discuss_ranks_users` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `rank_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `ranks_users` (`rank_id`,`user_id`),
  KEY `ranks_id` (`rank_id`),
  KEY `ranks_userid` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_ranks_users` (`id`, `rank_id`, `user_id`, `created`) VALUES
(1, 1, 542, '2014-01-08 08:37:31'),
(2, 1, 542, '2014-01-08 08:37:47'),
(3, 1, 542, '2014-01-09 07:08:31'),
(4, 1, 542, '2014-01-09 07:09:28'),
(5, 1, 542, '2014-01-09 07:10:48'),
(6, 1, 542, '2014-01-09 07:10:56'),
(7, 1, 542, '2014-01-09 07:12:40'),
(8, 1, 546, '2014-01-09 07:22:24'),
(9, 1, 544, '2014-01-09 07:23:28'),
(10, 1, 546, '2014-01-09 07:25:38'),
(11, 1, 543, '2014-01-09 07:50:30'),
(12, 1, 544, '2014-01-09 07:51:45'),
(13, 1, 544, '2014-01-09 07:53:15');

DROP TABLE IF EXISTS `#__discuss_reports`;
CREATE TABLE `#__discuss_reports` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` int(11) NOT NULL,
  `reason` text,
  `created_by` bigint(20) unsigned DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `discuss_reports_post` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_roles`;
CREATE TABLE `#__discuss_roles` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `usergroup_id` int(10) unsigned NOT NULL,
  `colorcode` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `ordering` bigint(20) NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__discuss_rules`;
CREATE TABLE `#__discuss_rules` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `command` text NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `callback` text NOT NULL,
  `created` datetime NOT NULL,
  `published` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_rules_command` (`command`(255))
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_rules` (`id`, `command`, `title`, `description`, `callback`, `created`, `published`) VALUES
(1, 'easydiscuss.vote.reply', 'Vote a reply', 'This rule allows you to assign a badge for a user when they vote a reply.', '', '2013-12-27 15:33:15', 1),
(2, 'easydiscuss.answer.reply', 'Reply accepted as answer', 'This rule allows you to assign a badge for a user when their reply is accepted as an answer.', '', '2013-12-27 15:33:15', 1),
(3, 'easydiscuss.like.discussion', 'Like a discussion', 'This rule allows you to assign a badge for a user when they like a discussion.', '', '2013-12-27 15:33:15', 1),
(4, 'easydiscuss.like.reply', 'Like a reply', 'This rule allows you to assign a badge for a user when they like a reply.', '', '2013-12-27 15:33:15', 1),
(5, 'easydiscuss.new.avatar', 'Updates profile picture', 'This rule allows you to assign a badge for a user when they upload a profile picture.', '', '2013-12-27 15:33:15', 1),
(6, 'easydiscuss.new.discussion', 'New Discussion', 'This rule allows you to assign a badge for a user when they create a new discussion.', '', '2013-12-27 15:33:15', 1),
(7, 'easydiscuss.new.reply', 'New Reply', 'This rule allows you to assign a badge for a user when they reply to discussion.', '', '2013-12-27 15:33:15', 1),
(8, 'easydiscuss.read.discussion', 'Read a discusison', 'This rule allows you to assign a badge for a user when they read a discussion.', '', '2013-12-27 15:33:15', 1),
(9, 'easydiscuss.resolved.discussion', 'Update discussion to resolved', 'This rule allows you to assign a badge for a user when they mark their discussion as resolved.', '', '2013-12-27 15:33:15', 1),
(10, 'easydiscuss.update.profile', 'Updates profile', 'This rule allows you to assign a badge for a user when they update their profile.', '', '2013-12-27 15:33:15', 1),
(11, 'easydiscuss.new.comment', 'New Comment', 'This rule allows you to assign a badge for a user when they create a new comment.', '', '2013-12-27 15:33:15', 1),
(12, 'easydiscuss.unlike.discussion', 'Unlike a discussion', 'This rule allows you to deduct points for a user when they unlike a discussion.', '', '2013-12-27 15:33:15', 1),
(13, 'easydiscuss.unlike.reply', 'Unlike a reply', 'This rule allows you to deduct points for a user when they unlike a reply.', '', '2013-12-27 15:33:15', 1),
(14, 'easydiscuss.remove.reply', 'Remove a reply', 'This rule allows you to assign a badge for a user when they remove a reply.', '', '2013-12-27 15:33:15', 1),
(15, 'easydiscuss.vote.answer', 'Vote an answer', 'This rule allows you to assign points for a user when they vote an answer.', '', '2013-12-27 15:33:15', 1),
(16, 'easydiscuss.unvote.answer', 'Unvote an answer', 'This rule allows you to assign points for a user when they vote down an answer.', '', '2013-12-27 15:33:15', 1),
(17, 'easydiscuss.vote.question', 'Vote a question', 'This rule allows you to assign points for a user when they vote a question.', '', '2013-12-27 15:33:15', 1),
(18, 'easydiscuss.unvote.question', 'Unvote a question', 'This rule allows you to assign points for a user when they vote down a question.', '', '2013-12-27 15:33:15', 1),
(19, 'easydiscuss.unvote.reply', 'Unvote a reply', 'This rule allows you to assign a badge or points for a user when they vote down a reply.', '', '2013-12-27 15:33:15', 1);

DROP TABLE IF EXISTS `#__discuss_subscription`;
CREATE TABLE `#__discuss_subscription` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `userid` bigint(20) NOT NULL,
  `member` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(100) NOT NULL DEFAULT 'daily',
  `cid` bigint(20) NOT NULL,
  `email` varchar(100) NOT NULL,
  `fullname` varchar(255) NOT NULL,
  `interval` varchar(100) NOT NULL,
  `created` datetime NOT NULL,
  `sent_out` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_subscription` (`id`, `userid`, `member`, `type`, `cid`, `email`, `fullname`, `interval`, `created`, `sent_out`) VALUES
(1, 542, 1, 'post', 2, 'admin@joom.com', 'Super User', 'instant', '2014-01-08 08:37:47', '2014-01-08 08:37:47'),
(2, 542, 1, 'post', 5, 'admin@joom.com', 'admin', 'instant', '2014-01-09 07:09:28', '2014-01-09 07:09:28'),
(3, 542, 1, 'post', 1, 'admin@joom.com', 'admin', 'instant', '2014-01-09 07:10:56', '2014-01-09 07:10:56'),
(4, 546, 1, 'post', 9, 'ninja@joom.com', 'ninja', 'instant', '2014-01-09 07:19:25', '2014-01-09 07:19:25'),
(5, 544, 1, 'post', 1, 'hero@joom.com', 'hero', 'instant', '2014-01-09 07:23:28', '2014-01-09 07:23:28'),
(6, 544, 1, 'post', 16, 'hero@joom.com', 'hero', 'instant', '2014-01-09 07:53:15', '2014-01-09 07:53:15');

DROP TABLE IF EXISTS `#__discuss_tags`;
CREATE TABLE `#__discuss_tags` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `alias` varchar(100) NOT NULL,
  `created` datetime NOT NULL,
  `published` tinyint(1) unsigned DEFAULT '0',
  `user_id` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_tags_alias` (`alias`),
  KEY `discuss_tags_user_id` (`user_id`),
  KEY `discuss_tags_published` (`published`),
  KEY `discuss_tags_query1` (`published`,`id`),
  FULLTEXT KEY `discuss_tags_title` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_tags` (`id`, `title`, `alias`, `created`, `published`, `user_id`) VALUES
(1, 'General', 'general', '2013-12-27 15:33:15', 1, 542),
(2, 'Automotive', 'automotive', '2013-12-27 15:33:15', 1, 542),
(3, 'Sharing', 'sharing', '2013-12-27 15:33:15', 1, 542),
(4, 'Info', 'info', '2013-12-27 15:33:15', 1, 542),
(5, 'Discussions', 'discussions', '2013-12-27 15:33:15', 1, 542),
(6, 'Thank You', 'thank-you', '2013-12-27 15:33:15', 1, 542),
(7, 'Congratulations', 'congratulations', '2013-12-27 15:33:15', 1, 542);

DROP TABLE IF EXISTS `#__discuss_users`;
CREATE TABLE `#__discuss_users` (
  `id` bigint(20) unsigned NOT NULL,
  `nickname` varchar(255) DEFAULT NULL,
  `avatar` varchar(255) DEFAULT NULL,
  `description` text,
  `url` varchar(255) DEFAULT NULL,
  `params` text,
  `alias` varchar(255) DEFAULT NULL,
  `points` bigint(20) NOT NULL DEFAULT '0',
  `latitude` varchar(255) DEFAULT NULL,
  `longitude` varchar(255) DEFAULT NULL,
  `location` text NOT NULL,
  `signature` text NOT NULL,
  `edited` text NOT NULL,
  `posts_read` text,
  `site` text,
  PRIMARY KEY (`id`),
  KEY `discuss_users_alias` (`alias`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_users` (`id`, `nickname`, `avatar`, `description`, `url`, `params`, `alias`, `points`, `latitude`, `longitude`, `location`, `signature`, `edited`, `posts_read`, `site`) VALUES
(542, 'Super User', 'default.png', '', 'http://', '', 'admin', 10, NULL, NULL, '', '', '', 'a:4:{i:0;s:1:"1";i:1;s:1:"2";i:2;s:1:"5";i:3;s:1:"9";}', NULL),
(543, 'Khanh Le', 'default.png', '', 'http://', '', 'khanhlh', 4, NULL, NULL, '', '', '', 'a:2:{i:0;s:2:"14";i:1;s:2:"15";}', NULL),
(546, 'Ninja', 'default.png', '', 'http://', '', 'ninja', 5, NULL, NULL, '', '', '', 'a:3:{i:0;s:1:"9";i:1;s:2:"11";i:2;s:2:"13";}', NULL),
(544, 'Hero', 'default.png', '', 'http://', '', 'hero', 7, NULL, NULL, '', '', '', 'a:2:{i:0;s:1:"1";i:1;s:2:"16";}', NULL),
(547, 'Css Magicican', 'default.png', '', '', '', 'duchh-joomsolutions-com', 0, NULL, NULL, '', '', '', NULL, NULL),
(42, 'admin', 'default.png', '', 'http://', '', 'admin', 0, NULL, NULL, '', '', '', 'a:1:{i:0;s:1:"1";}', NULL),
(553, 'Alex Phill', 'default.png', '', '', '', 'alex-phill', 0, NULL, NULL, '', '', '', NULL, NULL),
(545, 'anna', 'default.png', '', '', '', 'anna', 0, NULL, NULL, '', '', '', NULL, NULL);

DROP TABLE IF EXISTS `#__discuss_users_history`;
CREATE TABLE `#__discuss_users_history` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `title` text NOT NULL,
  `command` text NOT NULL,
  `created` datetime NOT NULL,
  `content_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=47 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_users_history` (`id`, `user_id`, `title`, `command`, `created`, `content_id`) VALUES
(1, 0, 'Viewed blog post, Congratulations! You have successfully installed EasyBlog!.', 'easyblog.view.blog', '2013-12-27 09:15:44', 0),
(2, 542, 'COM_EASYBLOG_EASYDISCUSS_HISTORY_NEW_CATEGORY', 'easyblog.new.category', '2013-12-31 03:24:09', 0),
(3, 542, 'COM_EASYBLOG_EASYDISCUSS_HISTORY_NEW_CATEGORY', 'easyblog.new.category', '2013-12-31 03:25:19', 0),
(4, 542, 'COM_EASYBLOG_EASYDISCUSS_HISTORY_NEW_CATEGORY', 'easyblog.new.category', '2013-12-31 03:26:36', 0),
(5, 544, 'Created a new blog post, The year 2013 in review : A look back.', 'easyblog.new.blog', '2014-01-02 09:44:27', 0),
(6, 542, 'Created a new blog post, And the long updates, releases, upgrades and improvements list.', 'easyblog.new.blog', '2014-01-02 09:45:03', 0),
(7, 545, 'Created a new blog post, T3 Framework video – Introducing Megamenu.', 'easyblog.new.blog', '2014-01-02 09:50:13', 0),
(8, 546, 'Created a new blog post, Best Joomla Christmas deals coupon code roundup 2013.', 'easyblog.new.blog', '2014-01-02 10:09:49', 0),
(9, 542, 'Created a new blog post, Extended: Christmas SALES with 25% off on all JoomlArt products.', 'easyblog.new.blog', '2014-01-02 10:10:24', 0),
(10, 542, 'Created a new blog post, 10 days left to get your logo retouched free for Christmas.', 'easyblog.new.blog', '2014-01-02 10:10:54', 0),
(11, 542, 'Created a new blog post, Best Joomla Black Friday Deals 2013 on everything Joomla related.', 'easyblog.new.blog', '2014-01-02 10:11:42', 0),
(12, 542, 'Created a new tag, Extensions in their blog post.', 'easyblog.new.tag', '2014-01-02 10:13:48', 0),
(13, 542, 'Created a new tag, Joomla in their blog post.', 'easyblog.new.tag', '2014-01-02 10:14:02', 0),
(14, 542, 'Created a new tag, Blog in their blog post.', 'easyblog.new.tag', '2014-01-02 10:14:23', 0),
(15, 542, 'Created a new tag, Magento in their blog post.', 'easyblog.new.tag', '2014-01-02 10:14:45', 0),
(16, 546, 'Created a new blog post, 14 Responsive Joomla templates & 10 Joomla extensions are now compatible with Joomla 3.2.', 'easyblog.new.blog', '2014-01-02 10:17:20', 0),
(17, 542, 'Created a new blog post, FREE Christmas Logo decoration by JoomlArt Artists.', 'easyblog.new.blog', '2014-01-02 10:17:56', 0),
(18, 545, 'Created a new blog post, Easy to use Google translate or Bing translator for your Joomla.', 'easyblog.new.blog', '2014-01-02 10:18:38', 0),
(19, 546, 'Created a new blog post, Ready for Mobile Commerce with Magento theme JM Megamall.', 'easyblog.new.blog', '2014-01-02 10:19:16', 0),
(20, 542, 'Created a new blog post, Infographic: 5 reasons for upgrading to Magento 1.8.', 'easyblog.new.blog', '2014-01-02 10:19:43', 0),
(21, 542, 'Created a new blog post, Zoom-in JM Bookshop - responsive Magento theme for bookstores.', 'easyblog.new.blog', '2014-01-02 10:20:16', 0),
(22, 544, 'Created a new blog post, Dress up for Halloween with responsive Magento theme JM Gamestore.', 'easyblog.new.blog', '2014-01-02 10:20:48', 0),
(23, 542, 'Created a new blog post, All new JM Basetheme - Magento extension with more responsive features.', 'easyblog.new.blog', '2014-01-02 10:21:51', 0),
(24, 542, 'Viewed blog post, All new JM Basetheme - Magento extension with more responsive features.', 'easyblog.view.blog', '2014-01-02 11:25:51', 0),
(25, 0, 'Viewed blog post, Zoom-in JM Bookshop - responsive Magento theme for bookstores.', 'easyblog.view.blog', '2014-01-08 02:53:20', 0),
(26, 542, 'Updated their blog profile.', 'easyblog.update.profile', '2014-01-08 03:05:02', 0),
(27, 542, 'Replied to a discussion Joomla! 2.5.17 Released', 'easydiscuss.new.reply', '2014-01-08 08:37:31', 3),
(28, 542, 'Replied to a discussion Joomla! 2.5.17 Released', 'easydiscuss.new.reply', '2014-01-08 08:37:47', 4),
(29, 542, 'Liked a discussion, Joomla! 2.5.17 Released', 'easydiscuss.like.discussion', '2014-01-08 08:38:49', 2),
(30, 542, 'Created a new discussion auctor at eget vel congue vel leo', 'easydiscuss.new.discussion', '2014-01-09 07:08:31', 5),
(31, 542, 'Replied to a discussion auctor at eget vel congue vel leo', 'easydiscuss.new.reply', '2014-01-09 07:09:28', 6),
(32, 542, 'Replied to a discussion Joomla! 3.2.1 Released', 'easydiscuss.new.reply', '2014-01-09 07:10:48', 7),
(33, 542, 'Replied to a discussion Joomla! 3.2.1 Released', 'easydiscuss.new.reply', '2014-01-09 07:10:56', 8),
(34, 542, 'Created a new discussion Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus', 'easydiscuss.new.discussion', '2014-01-09 07:12:40', 9),
(35, 546, 'Replied to a discussion Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus', 'easydiscuss.new.reply', '2014-01-09 07:19:25', 10),
(36, 546, 'Created a new discussion Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus', 'easydiscuss.new.discussion', '2014-01-09 07:22:24', 11),
(37, 544, 'Replied to a discussion Joomla! 3.2.1 Released', 'easydiscuss.new.reply', '2014-01-09 07:23:28', 12),
(38, 544, 'Liked a reply from the discussion Re: Joomla! 3.2.1 Released', 'easydiscuss.like.reply', '2014-01-09 07:23:39', 8),
(39, 544, 'Liked a reply from the discussion Re: Joomla! 3.2.1 Released', 'easydiscuss.like.reply', '2014-01-09 07:23:42', 7),
(40, 544, 'Liked a discussion, Joomla! 3.2.1 Released', 'easydiscuss.like.discussion', '2014-01-09 07:23:43', 1),
(41, 546, 'Created a new discussion unlock discussion by typing "password" ', 'easydiscuss.new.discussion', '2014-01-09 07:25:38', 13),
(42, 543, 'Created a new discussion Is Joomla a good Platform for Blogging? ', 'easydiscuss.new.discussion', '2014-01-09 07:49:12', 14),
(43, 543, 'Created a new discussion Does Komento have attachments? ', 'easydiscuss.new.discussion', '2014-01-09 07:50:30', 15),
(44, 544, 'Created a new discussion Is SectionEx 3.0 Ready? ', 'easydiscuss.new.discussion', '2014-01-09 07:51:45', 16),
(45, 544, 'Replied to a discussion Is SectionEx 3.0 Ready? ', 'easydiscuss.new.reply', '2014-01-09 07:53:15', 17),
(46, 42, 'Viewed blog post, 14 Responsive Joomla templates & 10 Joomla extensions are now compatible with Joomla 3.2.', 'easyblog.view.blog', '2015-04-10 09:45:25', 0);

DROP TABLE IF EXISTS `#__discuss_views`;
CREATE TABLE `#__discuss_views` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `hash` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `ip` varchar(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `user_id` (`user_id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__discuss_views` (`id`, `user_id`, `hash`, `created`, `ip`) VALUES
(1, 542, '6cd7b5c86031f5a0adf76d020b9565fa', '2014-01-09 07:12:44', '127.0.0.1'),
(2, 544, '72d13829921f3719beb271687e9b064c', '2014-01-09 08:09:06', '127.0.0.1'),
(3, 546, 'be348dac21beaa9c12646bc3c08bd80d', '2014-01-09 07:25:41', '127.0.0.1'),
(4, 543, '72d13829921f3719beb271687e9b064c', '2014-01-09 07:50:40', '127.0.0.1'),
(5, 547, '55b7f33e3dc9f1eff6ea6f7fbd623ff3', '2014-01-17 07:51:56', '10.0.0.102'),
(6, 42, '3b3d70c31cadcbc188a5b42ae785ed58', '2014-12-03 04:10:42', '10.0.0.10');

DROP TABLE IF EXISTS `#__discuss_votes`;
CREATE TABLE `#__discuss_votes` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned DEFAULT NULL,
  `post_id` bigint(20) unsigned DEFAULT NULL,
  `created` datetime DEFAULT NULL,
  `ipaddress` varchar(15) DEFAULT NULL,
  `value` tinyint(2) DEFAULT '0',
  `session_id` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_user_post` (`user_id`,`post_id`),
  KEY `discuss_post_id` (`post_id`),
  KEY `discuss_user_id` (`user_id`),
  KEY `discuss_session_id` (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_reports`;
CREATE TABLE `#__easyblog_reports` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `obj_id` bigint(20) NOT NULL,
  `obj_type` varchar(255) NOT NULL,
  `reason` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `ip` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `obj_id` (`obj_id`,`created_by`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10136 DEFAULT CHARSET=utf8;

INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":"","filename":"mailto"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":"","filename":"wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":"","filename":"banners"}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"name":"com_checkin","type":"component","creationDate":"Unknown","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{"show_contact_category":"hide","show_contact_list":"0","presentation_style":"sliders","show_name":"1","show_position":"1","show_email":"0","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"0","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","allow_vcard_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_category_crumb":"0","metakey":"","metadesc":"","robots":"","author":"","rights":"","xreference":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"name":"com_languages","type":"component","creationDate":"2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_word_count":"0","show_headings":"1","show_name":"1","show_articles":"0","show_link":"1","show_description":"1","show_description_image":"1","display_num":"","show_pagination_limit":"1","show_pagination":"1","show_pagination_results":"1","show_cat_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":"","filename":"search"}', '{"enabled":"0","show_date":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"1","upload_limit":"2","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css","font_formats":"woff,ttf,otf","compressed_formats":"zip"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","info_block_position":"0","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"1","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"1","show_vote":"0","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_tags":"1","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","save_history":"0","history_limit":10,"show_urls_images_frontend":"0","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"y-m-d","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"13":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"10":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"12":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":"","filename":"users"}', '{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"13","sendpassword":"1","useractivation":"1","mail_to_admin":"0","captcha":"","frontend_userparams":"1","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":""}', '{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"0","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stemmer":"snowball"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"show_tag_title":"0","tag_list_show_tag_image":"0","tag_list_show_tag_description":"0","tag_list_image":"","show_tag_num_items":"0","tag_list_orderby":"title","tag_list_orderby_direction":"ASC","show_headings":"0","tag_list_show_date":"0","tag_list_show_item_image":"0","tag_list_show_item_description":"0","tag_list_item_maximum_characters":0,"return_any_or_all":"1","include_children":"0","maximum":200,"tag_list_language_filter":"all","tags_layout":"_:default","all_tags_orderby":"title","all_tags_orderby_direction":"ASC","all_tags_show_tag_image":"0","all_tags_show_tag_descripion":"0","all_tags_tag_maximum_characters":20,"all_tags_show_tag_hits":"0","filter_field":"1","show_pagination_limit":"1","show_pagination":"2","show_pagination_results":"1","tag_field_ajax_mode":"1","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":"","filename":"contenthistory"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 0, '{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":"","filename":"ajax"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(101, 'SimplePie', 'library', 'simplepie', '', 0, 1, 1, 1, '{"name":"SimplePie","type":"library","creationDate":"2004","author":"SimplePie","copyright":"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon","authorEmail":"","authorUrl":"http:\\/\\/simplepie.org\\/","version":"1.2","description":"LIB_SIMPLEPIE_XML_DESCRIPTION","group":"","filename":"simplepie"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 'phputf8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"name":"phputf8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":"","filename":"phputf8"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 'Joomla! Platform', 'library', 'joomla', '', 0, 1, 1, 1, '{"name":"Joomla! Platform","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"http:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"mediaversion":"f7abd58c2eb5e65d541d859050682a47"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 'IDNA Convert', 'library', 'idna_convert', '', 0, 1, 1, 1, '{"name":"IDNA Convert","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":"","filename":"idna_convert"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{"name":"FOF","type":"library","creationDate":"2015-04-22 13:15:32","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2015 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.4.3","description":"LIB_FOF_XML_DESCRIPTION","group":"","filename":"fof"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":"","filename":"mod_articles_archive"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_articles_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":"","filename":"mod_banners"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":"","filename":"mod_breadcrumbs"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":"","filename":"mod_footer"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_news"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":"","filename":"mod_random_image"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":"","filename":"mod_related_items"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":"","filename":"mod_search"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":"","filename":"mod_syndicate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":"","filename":"mod_users_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":"","filename":"mod_whosonline"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":"","filename":"mod_wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":"","filename":"mod_articles_category"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":"","filename":"mod_articles_categories"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":"","filename":"mod_languages"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":"","filename":"mod_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":"","filename":"mod_logged"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":"","filename":"mod_quickicon"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":"","filename":"mod_status"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":"","filename":"mod_submenu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":"","filename":"mod_title"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":"","filename":"mod_toolbar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":"","filename":"mod_multilangstatus"}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":""}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats_admin"}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_tags_popular"}', '{"maximum":"5","timeframe":"alltime","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":"","filename":"mod_tags_similar"}', '{"maximum":"5","matchtype":"any","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":"","filename":"gmail"}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":"","filename":"ldap"}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(404, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":"","filename":"emailcloak"}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(406, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":"","filename":"loadmodule"}', '{"style":"xhtml"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(407, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":"","filename":"pagenavigation"}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 0, '{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":"","filename":"vote"}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"Copyright (C) 2014 by Marijn Haverbeke <marijnh@gmail.com> and others","authorEmail":"marijnh@gmail.com","authorUrl":"http:\\/\\/codemirror.net\\/","version":"5.3","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":"","filename":"codemirror"}', '{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_none","type":"plugin","creationDate":"September 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":"","filename":"none"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2014","author":"Moxiecode Systems AB","copyright":"Moxiecode Systems AB","authorEmail":"N\\/A","authorUrl":"tinymce.moxiecode.com","version":"4.1.7","description":"PLG_TINY_XML_DESCRIPTION","group":"","filename":"tinymce"}', '{"mode":"1","skin":"0","entity_encoding":"raw","lang_mode":"0","lang_code":"en","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","toolbar":"top","toolbar_align":"left","html_height":"550","html_width":"750","resizing":"true","resize_horizontal":"false","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","format_date":"%Y-%m-%d","inserttime":"1","format_time":"%H:%M:%S","colors":"1","table":"1","smilies":"1","media":"1","hr":"1","directionality":"1","fullscreen":"1","style":"1","layer":"1","xhtmlxtras":"1","visualchars":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advimage":"1","advlink":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":"","filename":"article"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":"","filename":"image"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":"","filename":"readmore"}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(417, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);
INSERT INTO `#__extensions` (`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(419, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":"","filename":"languagefilter"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 0, '{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":"","filename":"p3p"}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":"","filename":"cache"}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":"","filename":"debug"}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":"","filename":"log"}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 0, 1, 1, '{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION","group":"","filename":"redirect"}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":"","filename":"remember"}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":"","filename":"sef"}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":"","filename":"logout"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":"","filename":"contactcreator"}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 0, 1, 0, '{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":"","filename":"profile"}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":"","filename":"languagecode"}', '{}', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":"","filename":"joomlaupdate"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":"","filename":"extensionupdate"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":"","filename":"recaptcha"}', '{"public_key":"6LcCkOoSAAAAAO42pEiUqK_HzJbwR-OxfKcAVd2G","private_key":"6LcCkOoSAAAAAAvriVi8FqhKmeb21J-cLcGmkfkF","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(447, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":"","filename":"totp"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":"","filename":"yubikey"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(451, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 0, 1, 0, '{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"search_limit":"50","show_tagged_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(503, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.","authorEmail":"hathor@tarrconsulting.com","authorUrl":"http:\\/\\/www.tarrconsulting.com","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(506, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(507, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 'English (en-GB)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"2013-03-07","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.2","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 'English (en-GB)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"2013-03-07","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.2","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"name":"files_joomla","type":"file","creationDate":"June 2015","author":"Joomla! Project","copyright":"(C) 2005 - 2015 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.4","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10001, 'T3 Framework', 'plugin', 't3', 'system', 0, 1, 1, 0, '{"name":"T3 Framework","type":"plugin","creationDate":"April 3, 2015","author":"JoomlArt.com","copyright":"Copyright (C) 2005 - 2015 Open Source Matters. All rights reserved.","authorEmail":"info@joomlart.com","authorUrl":"http:\\/\\/www.t3-framework.org","version":"2.4.8","description":"\\n\\t\\n\\t<div align=\\"center\\">\\n\\t\\t<div class=\\"alert alert-success\\" style=\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\">\\n\\t\\t\\t\\t<a href=\\"http:\\/\\/t3-framework.org\\/\\"><img src=\\"http:\\/\\/joomlart.s3.amazonaws.com\\/images\\/jat3v3-documents\\/message-installation\\/logo.png\\" alt=\\"some_text\\" width=\\"300\\" height=\\"99\\"><\\/a>\\n\\t\\t\\t\\t<h4><a href=\\"http:\\/\\/t3-framework.org\\/\\" title=\\"\\">Home<\\/a> | <a href=\\"http:\\/\\/demo.t3-framework.org\\/\\" title=\\"\\">Demo<\\/a> | <a href=\\"http:\\/\\/t3-framework.org\\/documentation\\" title=\\"\\">Document<\\/a> | <a href=\\"https:\\/\\/github.com\\/t3framework\\/t3\\/blob\\/master\\/CHANGELOG.md\\" title=\\"\\">Changelog<\\/a><\\/h4>\\n\\t\\t<p> <\\/p>\\n\\t\\t<p>Copyright 2004 - 2015 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t<\\/div>\\n     <style>table.adminform{width: 100%;}<\\/style>\\n\\t <\\/div>\\n\\t\\t\\n\\t","group":"","filename":"t3"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10004, 'purity_III', 'template', 'purity_iii', '', 0, 1, 1, 0, '{"name":"purity_III","type":"template","creationDate":"22 May 2014","author":"JoomlArt.com","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.t3-framework.org","version":"1.1.0","description":"\\n\\t\\t\\n\\t\\t<div align=\\"center\\">\\n\\t\\t\\t<div class=\\"alert alert-success\\" style=\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\">\\n\\t\\t\\t\\t<h2>Purity III Template references<\\/h2>\\n\\t\\t\\t\\t<h4><a href=\\"http:\\/\\/joomla-templates.joomlart.com\\/purity_iii\\/\\" title=\\"Purity III Template demo\\">Live Demo<\\/a> | <a href=\\"http:\\/\\/www.joomlart.com\\/documentation\\/joomla-templates\\/purity-iii\\" title=\\"purity iii template documentation\\">Documentation<\\/a> | <a href=\\"http:\\/\\/www.joomlart.com\\/forums\\/forumdisplay.php?542-Purity-III\\" title=\\"purity iii forum\\">Forum<\\/a> | <a href=\\"http:\\/\\/www.joomlart.com\\/joomla\\/templates\\/purity-iii\\" title=\\"Purity III template more info\\">More Info<\\/a><\\/h4>\\n\\t\\t\\t\\t<p> <\\/p>\\n\\t\\t\\t\\t<span style=\\"color:#FF0000\\">Note: Purity III requires T3 plugin to be installed and enabled.<\\/span>\\n\\t\\t\\t\\t<p> <\\/p>\\n\\t\\t\\t\\t<p>Copyright 2004 - 2014 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t<style>table.adminform{width: 100%;}<\\/style>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10103, 'com_jaextmanager', 'component', 'com_jaextmanager', '', 1, 1, 0, 0, '{"name":"com_jaextmanager","type":"component","creationDate":"May 2013","author":"JoomlArt","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.joomlart.com","version":"2.5.7","description":"JA Extension Manager Component","group":""}', '{"MYSQL_PATH":"\\/usr\\/bin\\/mysql","MYSQLDUMP_PATH":"\\/usr\\/bin\\/mysqldump","DATA_FOLDER":"jaextmanager_data","HIDE_NONJA":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10126, 'Kunena Forum Package', 'package', 'pkg_kunena', '', 0, 1, 1, 0, '{"name":"Kunena Forum Package","type":"package","creationDate":"2015-06-29","author":"Kunena Team","copyright":"(C) 2008 - 2015 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"4.0.3","description":"Kunena Forum Package.","group":"","filename":"pkg_kunena"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10135, 'Kunena Framework', 'library', 'kunena', '', 0, 1, 1, 0, '{"name":"Kunena Framework","type":"library","creationDate":"2015-06-29","author":"Kunena Team","copyright":"(C) 2008 - 2015 Kunena Team. All rights reserved.","authorEmail":"kunena@kunena.org","authorUrl":"http:\\/\\/www.kunena.org","version":"4.0.3","description":"Kunena Framework.","group":"","filename":"kunena"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__jaem_services`;
CREATE TABLE `#__jaem_services` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ws_name` varchar(255) NOT NULL,
  `ws_mode` varchar(50) NOT NULL DEFAULT 'local',
  `ws_uri` varchar(255) NOT NULL,
  `ws_user` varchar(100) NOT NULL,
  `ws_pass` varchar(100) NOT NULL,
  `ws_default` tinyint(1) NOT NULL DEFAULT '0',
  `ws_core` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__jaem_services` (`id`, `ws_name`, `ws_mode`, `ws_uri`, `ws_user`, `ws_pass`, `ws_default`, `ws_core`) VALUES
(1, 'Local Service', 'local', '', '', '', 0, 1),
(2, 'JoomlArt Updates', 'remote', 'http://update.joomlart.com/service/', '', '', 1, 1);

DROP TABLE IF EXISTS `#__joomprofile_config`;
CREATE TABLE `#__joomprofile_config` (
  `id` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__joomprofile_config` (`id`, `value`) VALUES
('profile::avatar_field', '5'),
('profile::registration_allowed_jusergroups', '["13","2"]'),
('profile::registration_field_email', '1'),
('profile::registration_field_name', '2'),
('profile::registration_field_password', '3'),
('profile::registration_field_username', '2'),
('profile::registration_jusergroups_selection', '1'),
('profile::registration_multi_jusergroups', '0'),
('profile::show_avatar_from', '1');

DROP TABLE IF EXISTS `#__joomprofile_field`;
CREATE TABLE `#__joomprofile_field` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(100) NOT NULL,
  `title` varchar(255) NOT NULL,
  `tooltip` varchar(255) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `css_class` varchar(255) DEFAULT NULL,
  `params` text,
  PRIMARY KEY (`id`),
  KEY `idx_type` (`type`),
  KEY `idx_published` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__joomprofile_field` (`id`, `type`, `title`, `tooltip`, `published`, `css_class`, `params`) VALUES
(1, 'email', 'Email', 'Add your real email address', 1, '', '{"default_value":"","placeholder":"","pattern":"","pattern_message":"Add your real email address"}'),
(2, 'username', 'Username', 'Add username that is to login to the system', 1, '', '{"placeholder":"","min_length":"","max_length":"","pattern":"","pattern_message":"Add username that is to login to the system"}'),
(3, 'password', 'Password', 'Add password', 1, '', '{"placeholder":"","min_length":"","max_length":"","pattern":"","pattern_message":"Add password"}'),
(4, 'textarea', 'Description', 'Add description about yourselves', 1, '', '{"default_value":"","placeholder":"","min_length":"","max_length":"","pattern":"","pattern_message":"Add description about yourselves"}'),
(5, 'image', 'Avatar Image', 'Avatar Image', 1, '', '{"allowed_ext":"","default_image":"media\\/com_joomprofile\\/images\\/default.png","default_width":"140","default_height":"140"}');

DROP TABLE IF EXISTS `#__joomprofile_field_fieldgroups`;
CREATE TABLE `#__joomprofile_field_fieldgroups` (
  `field_fieldgroup_id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `fieldgroup_id` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`field_fieldgroup_id`),
  KEY `idx_field_id` (`field_id`),
  KEY `idx_fieldgroup_id` (`fieldgroup_id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__joomprofile_field_fieldgroups` (`field_fieldgroup_id`, `field_id`, `fieldgroup_id`, `ordering`) VALUES
(4, 2, 1, 4),
(2, 1, 1, 2),
(12, 3, 1, 5),
(5, 5, 1, 6),
(6, 4, 1, 7),
(7, 1, 2, 1),
(8, 2, 2, 2),
(9, 3, 2, 3),
(10, 5, 2, 4),
(11, 4, 2, 5);

DROP TABLE IF EXISTS `#__joomprofile_field_values`;
CREATE TABLE `#__joomprofile_field_values` (
  `field_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `value` varchar(255) NOT NULL,
  `privacy` tinyint(4) NOT NULL DEFAULT '0',
  KEY `idx_field_id` (`field_id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__joomprofile_field_values` (`field_id`, `user_id`, `value`, `privacy`) VALUES
(5, 548, 'media/com_joomprofile/user/548/5/jvvkaf2h0ircs5iag5tkfh4n40_5_dw_logo.png', 0),
(4, 549, '', 0),
(5, 549, 'media/com_joomprofile/user/549/5/jvvkaf2h0ircs5iag5tkfh4n40_5_joomlart_logo.png', 0),
(4, 550, 'Responsive designs:\r\nOur responsive Joomla templates and Magento themes give you the distinct look and feel while being very easy to adapt and customize. Choose from our showcase.', 0),
(5, 550, 'media/com_joomprofile/user/550/5/jvvkaf2h0ircs5iag5tkfh4n40_5_joomla-logo.png', 0),
(4, 551, 'Your WordPress project starts here. Start building your site with our themes & plugins.\r\nBecome a member and access to all free themes & plugins.', 0),
(5, 551, 'media/com_joomprofile/user/551/5/jvvkaf2h0ircs5iag5tkfh4n40_5_wordpress-logo.png', 0),
(4, 552, '', 0),
(5, 552, 'media/com_joomprofile/user/552/5/jvvkaf2h0ircs5iag5tkfh4n40_5_magento-logo.jpg', 0),
(5, 553, 'media/com_joomprofile/user/553/5/jvvkaf2h0ircs5iag5tkfh4n40_5_magento-logo.jpg', 0),
(4, 553, 'We respect your hard earned money. If you think your purchase here with us does not provide you the matching value, get 100% refund today!', 0),
(4, 548, 'Your WordPress project starts here. Start building your site with our themes & plugins.\r\nBecome a member and access to all free themes & plugins.', 0);

DROP TABLE IF EXISTS `#__joomprofile_fieldgroup`;
CREATE TABLE `#__joomprofile_fieldgroup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `params` text,
  PRIMARY KEY (`id`),
  KEY `idx_published` (`published`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__joomprofile_fieldgroup` (`id`, `published`, `ordering`, `title`, `description`, `params`) VALUES
(1, 1, 1, 'Registered', '', '{"icon_class":"fa fa-columns"}'),
(2, 1, 2, 'Guest', '', '{"icon_class":"fa fa-columns"}');

DROP TABLE IF EXISTS `#__joomprofile_fieldgroup_usergroups`;
CREATE TABLE `#__joomprofile_fieldgroup_usergroups` (
  `fieldgroup_id` int(11) NOT NULL,
  `usergroup_id` int(11) NOT NULL,
  KEY `idx_fieldgroup_id` (`fieldgroup_id`),
  KEY `idx_usergroup_id` (`usergroup_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__joomprofile_fieldgroup_usergroups` (`fieldgroup_id`, `usergroup_id`) VALUES
(1, 2),
(2, 13);

DROP TABLE IF EXISTS `#__joomprofile_fieldoption`;
CREATE TABLE `#__joomprofile_fieldoption` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_field_id` (`field_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__joomprofile_registration`;
CREATE TABLE `#__joomprofile_registration` (
  `id` varchar(255) NOT NULL,
  `usergroups` varchar(255) NOT NULL,
  `values` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__joomprofile_registration` (`id`, `usergroups`, `values`, `created`) VALUES
('pehqorcl3qvud50o47hu0p2q06', '["2"]', '', '2015-03-30 04:52:06');

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__languages` (`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 'en-GB', 'English (UK)', 'English (UK)', 'en', 'en', '', '', '', '', 1, 0, 1);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) binary NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=921 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 381, 0, '*', 0),
(2, 'menu', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 0, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 117, 126, 0, '*', 1),
(3, 'menu', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 118, 119, 0, '*', 1),
(4, 'menu', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 0, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 120, 121, 0, '*', 1),
(5, 'menu', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 122, 123, 0, '*', 1),
(6, 'menu', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 0, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 124, 125, 0, '*', 1),
(7, 'menu', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 0, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 127, 132, 0, '*', 1),
(8, 'menu', 'com_contact', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 0, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 128, 129, 0, '*', 1),
(9, 'menu', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 0, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 130, 131, 0, '*', 1),
(10, 'menu', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 0, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 133, 138, 0, '*', 1),
(11, 'menu', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 0, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 134, 135, 0, '*', 1),
(12, 'menu', 'com_messages_read', 'Read Private Message', '', 'Messaging/Read Private Message', 'index.php?option=com_messages', 'component', 0, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-read', 0, '', 136, 137, 0, '*', 1),
(13, 'menu', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 139, 144, 0, '*', 1),
(14, 'menu', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 0, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 140, 141, 0, '*', 1),
(15, 'menu', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 0, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 142, 143, 0, '*', 1),
(16, 'menu', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 0, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 151, 152, 0, '*', 1),
(17, 'menu', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 0, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 149, 150, 0, '*', 1),
(21, 'menu', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 0, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 145, 146, 0, '*', 1),
(22, 'menu', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 0, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 147, 148, 0, '*', 1),
(201, 'usermenu', 'Your Profile', 'your-profile', '', 'your-profile', 'index.php?option=com_users&view=profile', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 159, 160, 0, '*', 0),
(207, 'top', 'Joomla.org', 'joomlaorg', '', 'joomlaorg', 'http://joomla.org', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 157, 158, 0, '*', 0),
(435, 'mainmenu', 'Layouts', 'layout', '', 'layout', 'index.php?option=com_content&view=article&id=291', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 17, '{"show_title":"0","link_titles":"","show_intro":"0","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masthead-title":"Purity III layouts","masthead-slogan":"Multiple layouts supported by default"}', 1, 34, 0, '*', 0),
(444, 'top', 'Sample Sites', 'sample-sites-2', '', 'sample-sites-2', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"540","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 155, 156, 0, '*', 0),
(449, 'usermenu', 'Submit an Article', 'submit-an-article', '', 'submit-an-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 161, 162, 0, '*', 0),
(450, 'usermenu', 'Submit a Web Link', 'submit-a-web-link', '', 'submit-a-web-link', 'index.php?option=com_weblinks&view=form&layout=edit', 'component', 1, 1, 1, 21, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 163, 164, 0, '*', 0),
(464, 'top', 'Home', 'home', '', 'home', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"435","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 153, 154, 0, '*', 0),
(468, 'top', 'Parks ', 'parks', '', 'parks', 'index.php?Itemid=', 'alias', 0, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"468","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 165, 166, 0, '*', 0),
(469, 'top', 'Fruit Shop', 'fruit-shop', '', 'fruit-shop', 'index.php?Itemid=', 'alias', 0, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"437","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 167, 168, 0, '*', 0),
(470, 'main', 'com_tags', 'com-tags', '', 'com-tags', 'index.php?option=com_tags', 'component', 0, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 169, 170, 0, '', 1),
(536, 'mainmenu', 'All Positions Layout', 'all-positions-layout', '', 'layout/class-layout/all-positions-layout', 'index.php?option=com_content&view=article&id=76', 'component', 1, 540, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"0","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"All Positions Layout","masshead-slogan":"The Classic Joomla! Positions Layout"}', 31, 32, 0, '*', 0),
(537, 'mainmenu', 'Left Sidebar + Content', 'left-sidebar-content', '', 'layout/class-layout/left-sidebar-content', 'index.php?option=com_content&view=article&id=73', 'component', 1, 540, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 21, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Left Sidebar + Content","masshead-slogan":"The Classic Joomla Left Sidebar + Content"}', 23, 24, 0, '*', 0),
(540, 'mainmenu', 'Classic Layout', 'class-layout', '', 'layout/class-layout', '#', 'url', 1, 435, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"masshead-title":"Classic Layout","masshead-slogan":"Your typical Joomla Classic Layout "}', 18, 33, 0, '*', 0),
(542, 'mainmenu', 'Content + Sidebar 2', 'content-sidebar-2', '', 'layout/class-layout/content-sidebar-2', 'index.php?option=com_content&view=article&id=74', 'component', 1, 540, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Content + Sidebar 2","masshead-slogan":"The Classic Joomla Content + Sidebar 2"}', 27, 28, 0, '*', 0),
(543, 'mainmenu', 'No Sidebar', 'separator-in-sub', '', 'layout/class-layout/separator-in-sub', 'index.php?option=com_content&view=article&id=75', 'component', 1, 540, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"No Sidebar","masshead-slogan":"The Classic Joomla No sidebar Layout"}', 29, 30, 0, '*', 0),
(545, 'mainmenu', 'Joomla Pages', 'joomla-pages', '', 'joomla-pages', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 14, '{"featured_categories":["80"],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"2","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"order","orderby_sec":"hits","order_date":"","show_pagination":"1","show_pagination_results":"1","show_title":"","link_titles":"","show_intro":"","info_block_position":"0","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"1","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"","masshead-slogan":""}', 47, 76, 0, '*', 0),
(546, 'mainmenu', 'Typography', 'typography', '', 'typography', 'index.php?option=com_content&view=article&id=163', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 24, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Typography","masshead-slogan":"Typography to build content for your site"}', 35, 46, 0, '*', 0),
(548, 'mainmenu', 'Bonus Pages', 'bonus-page', '', 'joomla-pages/bonus-page', '#', 'url', 1, 545, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"masshead-title":"","masshead-slogan":""}', 48, 61, 0, '*', 0),
(549, 'mainmenu', 'Contacts', 'contacts', '', 'joomla-pages/other-pages/contacts', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 742, 3, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"presentation_style":"sliders","show_contact_category":"","show_contact_list":"","show_tags":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Contact form","masshead-slogan":"Please contact with us"}', 71, 72, 0, '*', 0),
(550, 'mainmenu', 'Smart Search', 'smart-search', '', 'joomla-pages/other-pages/smart-search', 'index.php?option=com_finder&view=search', 'component', 1, 742, 3, 27, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"","masshead-slogan":""}', 63, 64, 0, '*', 0),
(551, 'mainmenu', 'Advanced Search', 'advanced-search', '', 'joomla-pages/other-pages/advanced-search', 'index.php?option=com_search&view=search', 'component', 1, 742, 3, 19, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"","show_date":"","searchphrase":"0","ordering":"newest","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"","masshead-slogan":""}', 65, 66, 0, '*', 0),
(552, 'mainmenu', '404 Page', '404-page', '', 'joomla-pages/bonus-page/404-page', 'index.php?option=com_content&view=article&id=290', 'component', 0, 548, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"404 Page","masshead-slogan":"The page is specific designed for Purity III template"}', 59, 60, 0, '*', 0),
(553, 'mainmenu', 'News Feed', 'news-feed', '', 'joomla-pages/bonus-page/news-feed', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 548, 3, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","filter_field":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 49, 50, 0, '*', 0),
(554, 'mainmenu', 'Registration Form', 'registration-form', '', 'joomla-pages/bonus-page/registration-form', 'index.php?option=com_users&view=registration', 'component', 1, 548, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 51, 52, 0, '*', 0),
(555, 'mainmenu', 'Offline Page', 'offline-page', '', 'joomla-pages/bonus-page/offline-page', 'index.php?option=com_content&view=article&id=178', 'component', 1, 548, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Offline page","masshead-slogan":"The page is specific designed for Purity III Template"}', 53, 54, 0, '*', 0),
(556, 'mainmenu', 'Login Page', 'login-page', '', 'joomla-pages/bonus-page/login-page', 'index.php?option=com_users&view=login', 'component', 1, 548, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Login form","masshead-slogan":""}', 55, 56, 0, '*', 0),
(557, 'mainmenu', 'Weblinks', 'weblinks', '', 'joomla-pages/bonus-page/weblinks', 'index.php?option=com_weblinks&view=categories&id=0', 'component', -2, 548, 3, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"-1","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_links_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","filter_field":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 57, 58, 0, '*', 0),
(558, 'mainmenu', 'Single Article', 'single-articles', '', 'joomla-pages/other-pages/single-articles', 'index.php?option=com_content&view=article&id=285', 'component', 1, 742, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"0","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"","masshead-slogan":""}', 69, 70, 0, '*', 0),
(565, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 0, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 115, 116, 0, '*', 1),
(566, 'mainmenu', 'Template Options', 'template-options', '', 'joomla-pages/other-pages/template-options', 'index.php?option=com_config&view=templates&controller=config.display.templates', 'component', 1, 742, 3, 23, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"","masshead-slogan":""}', 73, 74, 0, '*', 0),
(567, 'mainmenu', 'Magazine Layout', 'magazine', '', 'layout/new-layouts/magazine', 'index.php?option=com_content&view=category&layout=purity_iii:magazine&id=85', 'component', 1, 743, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 19, '{"layout_type":"blog","featured_leading":"1","featured_intro":"3","featured_intro_columns":"3","featured_links":"5","highlight_count":"4","highlight_columns":"2","show_highlight_intro":"0","article_ordering":"publish_up","article_ordering_direction":"ASC","featured_info_positions":["","leading","intro","link","highlight"],"num_leading_articles":"1","num_intro_articles":"6","num_columns":"3","num_links":"5","orderby_pri":"none","orderby_sec":"date","order_date":"published","subcat_info_positions":["","leading","intro","link"],"show_category_title":"1","show_description":"","show_description_image":"","show_subcat_intro":"1","show_pagination":"","show_pagination_results":"","category_layout":"purity_iii:magazine-sub","article_layout":"","show_intro":"0","show_title":"","link_titles":"","info_block_position":"","show_category":"1","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masthead-title":"Magazine","masthead-slogan":"Modern Magazine layout"}', 3, 4, 0, '*', 0),
(568, 'mainmenu', 'Corporate Layout', 'corporate', '', 'layout/new-layouts/corporate', 'index.php?option=com_content&view=category&layout=blog&id=84', 'component', 1, 743, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 18, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","show_cat_tags":"","page_subheading":"","num_leading_articles":"1","num_intro_articles":"2","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_readmore":"","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masthead-title":"","masthead-slogan":""}', 5, 6, 0, '*', 0),
(569, 'mainmenu', 'Portfolio Layout', 'portfolio', '', 'layout/new-layouts/portfolio', 'index.php?option=com_content&view=category&layout=purity_iii:portfolio&id=83', 'component', 1, 743, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 17, '{"layout_type":"blog","category_layout":"_:portfolio","num_leading_articles":"0","num_links":"0","num_intro_articles":"12","num_columns":"3","orderby_pri":"","orderby_sec":"","order_date":"","article_layout":"","show_title":"1","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"Porfolio","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masthead-title":"","masthead-slogan":""}', 7, 8, 0, '*', 0),
(570, 'mainmenu', 'Features Intro 1', 'features-intro', '', 'layout/new-layouts/features-intro', 'index.php?option=com_content&view=category&layout=purity_iii:features-intro&id=98', 'component', 1, 743, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 15, '{"layout_type":"list","category_layout":"_:features-intro","num_leading_articles":"0","num_links":"0","num_intro_articles":"12","orderby_pri":"","orderby_sec":"order","order_date":"","article_layout":"","show_title":"","link_titles":"0","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Welcome to Purity iii","show_page_heading":0,"page_heading":"Welcome to Purity iii","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masthead-title":"","masthead-slogan":""}', 11, 12, 0, '*', 0),
(652, 'mainmenu', 'Content + Sidebar 1', 'content-sidebar-1', '', 'layout/class-layout/content-sidebar-1', 'index.php?option=com_content&view=article&id=73', 'component', 1, 540, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Content + Sidebar 1","masshead-slogan":"The Classic Joomla Content + Sidebar 1"}', 25, 26, 0, '*', 0),
(653, 'mainmenu', 'Content + Right Sidebar', '3-columns', '', 'layout/class-layout/3-columns', 'index.php?option=com_content&view=article&id=72', 'component', 1, 540, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Content + Right Sidebar","masshead-slogan":"Your Classic Joomla Content + Right Sidebar Layout"}', 21, 22, 0, '*', 0),
(694, 'mainmenu', 'Blog Layout', 'blog', '', 'layout/new-layouts/blog', 'index.php?option=com_content&view=category&layout=purity_iii:xblog&id=87', 'component', 1, 743, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 16, '{"layout_type":"blog","category_layout":"_:xblog","num_leading_articles":"0","num_links":"0","num_intro_articles":"6","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","article_layout":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masthead-title":"","masthead-slogan":""}', 9, 10, 0, '*', 0),
(709, 'mainmenu', 'Tags Page', 'tag', '', 'joomla-pages/other-pages/tag', 'index.php?option=com_tags&view=tags&parent_id=1', 'component', 1, 742, 3, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"tag_columns":4,"all_tags_description":"","all_tags_show_description_image":"","all_tags_description_image":"","all_tags_orderby":"","all_tags_orderby_direction":"","all_tags_show_tag_image":"1","all_tags_show_tag_description":"1","all_tags_tag_maximum_characters":0,"all_tags_show_tag_hits":"","maximum":200,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"","masshead-slogan":""}', 67, 68, 0, '*', 0),
(721, 'mainmenu', 'Features Intro 2', 'features-intro-2', '', 'layout/new-layouts/features-intro-2', 'index.php?option=com_content&view=article&id=179', 'component', 1, 743, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 23, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_tags":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Hello, I\'m Purity III","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masthead-title":"","masthead-slogan":""}', 13, 14, 1, '*', 0),
(722, 'mainmenu', 'Pricing Table', 'pricing-table', '', 'typography/typo-page/pricing-table', 'index.php?option=com_content&view=article&id=185', 'component', 1, 741, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Pricing table page","masshead-slogan":"Sample description"}', 39, 40, 0, '*', 0),
(723, 'mainmenu', 'Support Policy 1', 'support-policy', '', 'typography/typo-page/support-policy', 'index.php?option=com_content&view=article&id=186', 'component', 1, 741, 3, 22, 42, '2014-03-25 04:55:16', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Support Policy 1","masshead-slogan":"A Basic style of Support Policy page - Style 1"}', 41, 42, 0, '*', 0),
(724, 'mainmenu', 'Glossary Layout', 'glossary', '', 'layout/new-layouts/glossary', 'index.php?option=com_content&view=category&layout=purity_iii:glossary&id=101', 'component', 1, 743, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","featured_leading":"0","featured_intro":"0","featured_intro_columns":"0","featured_links":"0","orderby_pri":"none","orderby_sec":"alpha","article_ordering":"a.title","show_category_title":"0","show_description":"0","show_description_image":"0","show_navigation":"1","show_empty_group":"0","show_detail_in_popup":"1","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Glossary","masshead-slogan":"Example Glossary Layout"}', 15, 16, 0, '*', 0),
(737, 'jomsocial', 'Our team', 'our-team', '', 'our-team', 'index.php?option=com_content&view=article&id=283', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Our team","masshead-slogan":"Sample description"}', 227, 228, 0, '*', 0),
(738, 'mainmenu', 'Our Team', 'our-team', '', 'typography/typo-page/our-team', 'index.php?option=com_content&view=article&id=283', 'component', 1, 741, 3, 22, 42, '2014-02-17 09:35:35', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Our team","masshead-slogan":""}', 37, 38, 0, '*', 0),
(740, 'mainmenu', 'Support Policy 2', 'support-policy-2', '', 'typography/typo-page/support-policy-2', 'index.php?option=com_content&view=article&id=288', 'component', 1, 741, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"Support policy 2","masshead-slogan":"Another style for Support Policy page - Style 2"}', 43, 44, 0, '*', 0),
(741, 'mainmenu', 'Purity III Typo Pages', 'typo-page', '', 'typography/typo-page', '#', 'url', 1, 546, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"masshead-title":"","masshead-slogan":""}', 36, 45, 0, '*', 0),
(742, 'mainmenu', 'Other Pages', 'other-pages', '', 'joomla-pages/other-pages', '', 'url', 1, 545, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"masshead-title":"","masshead-slogan":""}', 62, 75, 0, '*', 0),
(743, 'mainmenu', 'New Layouts', 'new-layouts', '', 'layout/new-layouts', '#', 'url', 1, 435, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"masshead-title":"","masshead-slogan":""}', 2, 17, 0, '*', 0),
(744, 'mainmenu', 'Default Layout', 'default-layout', '', 'layout/class-layout/default-layout', 'index.php?option=com_content&view=article&id=143', 'component', 1, 540, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 20, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_tags":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0,"masshead-title":"3 Columns Layout","masshead-slogan":"Your typical Joomla Classic Layout "}', 19, 20, 0, '*', 0),
(763, 'main', 'COM_JAEXTMANAGER', 'com-jaextmanager', '', 'com-jaextmanager', 'index.php?option=com_jaextmanager', 'component', 0, 1, 1, 10103, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_jaextmanager/assets/images/jauc.png', 0, '', 229, 230, 0, '', 1);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu_types` (`id`, `menutype`, `title`, `description`) VALUES
(2, 'usermenu', 'User Menu', 'A Menu for logged-in Users'),
(3, 'top', 'Top', 'Links for major types of users'),
(6, 'mainmenu', 'Main Menu', 'Simple Home Menu'),
(10, 'kunenamenu', 'Kunena Menu', 'This is the default Kunena menu. It is used as the top navigation for Kunena. It can be publish in any module position. Simply unpublish items that are not required.'),
(11, 'jomsocial', 'JomSocial toolbar', 'Toolbar items for JomSocial toolbar');

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__messages` (`message_id`, `user_id_from`, `user_id_to`, `folder_id`, `date_time`, `state`, `priority`, `subject`, `message`) VALUES
(1, 0, 0, 0, '2014-06-20 07:52:55', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: Luna Gardner'),
(2, 0, 0, 0, '2014-06-20 07:53:50', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: James Co'),
(3, 0, 0, 0, '2014-06-20 07:55:02', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: John Howe'),
(4, 0, 0, 0, '2014-06-20 07:56:46', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: jenifer@gmail.com'),
(5, 0, 0, 0, '2014-06-20 07:58:58', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: Alex Phill'),
(6, 0, 0, 0, '2014-06-20 08:00:48', 0, 0, 'Error sending email', 'An error was encountered when sending the user registration email. The error is: Could not instantiate mail function. The user who attempted to register is: Alex Phill');

DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=244 DEFAULT CHARSET=utf8;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(1, 208, 'Main Menu', '', '', 1, 'sidebar-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"1","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(2, 0, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 0, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 0, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(8, 0, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 0, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 0, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 0, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 0, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 0, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 0, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(16, 249, 'Login Form', '', '', 9, 'sidebar-2', 42, '2015-03-31 08:29:43', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","usetext":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(17, 0, 'Breadcrumbs', '', '', 1, 'navhelper', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 1, '{"showHere":"1","showHome":"1","homeText":"Home","showLast":"1","separator":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(19, 586, 'User Menu', '', '', 14, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 2, 1, '{"menutype":"usermenu","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(20, 0, 'Top', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"top","base":"","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":" nav-pills","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"1","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(25, 0, 'Site Map', '', '', 1, 'sitemapload', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"mainmenu","startLevel":"2","endLevel":"3","showAllChildren":"1","tag_id":"","class_sfx":"sitemap","window_open":"","layout":"","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(27, 272, 'Archived Articles', '', '', 12, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_archive', 1, 1, '{"count":"12","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(29, 0, 'Articles Most Read', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_popular', 1, 1, '{"catid":["26","29"],"count":"5","show_front":"1","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(30, 0, 'Feed Display', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_feed', 1, 1, '{"rssurl":"http:\\/\\/community.joomla.org\\/blogs\\/community.feed?type=rss","rssrtl":"0","rsstitle":"1","rssdesc":"1","rssimage":"1","rssitems":"3","rssitemdesc":"1","word_count":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(31, 560, 'News Flash', '', '', 3, 'sidebar-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news', 1, 1, '{"catid":["94"],"image":"0","item_title":"0","link_titles":"","item_heading":"h4","showLastSeparator":"1","readmore":"1","count":"1","ordering":"a.publish_up","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(33, 0, 'Random Image', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_random_image', 1, 1, '{"type":"jpg","folder":"images\\/sampledata\\/parks\\/animals","link":"","width":"180","height":"","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(34, 0, 'Articles Related Items', '', '', 1, '', 42, '2014-03-31 04:11:22', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_related_items', 1, 1, '{"showDate":"0","layout":"_:default","moduleclass_sfx":"","owncache":"1"}', 0, '*'),
(35, 0, 'Search', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 1, '{"label":"","width":"20","text":"","button":"","button_pos":"right","imagebutton":"","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(37, 0, 'Syndicate Feeds', '', '', 1, 'syndicateload', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_syndicate', 1, 1, '{"text":"Feed Entries","format":"rss","layout":"","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(38, 0, 'Users Latest', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_users_latest', 1, 1, '{"shownumber":"5","linknames":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"static"}', 0, '*'),
(39, 247, 'Who\'s Online', '', '', 18, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"2","layout":"_:default","moduleclass_sfx":"","cache":"0","filter_groups":"0","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(40, 0, 'Wrapper', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_wrapper', 1, 1, '{"url":"http:\\/\\/www.youtube.com\\/embed\\/vb2eObvmvdI","add":"1","scrolling":"auto","width":"640","height":"390","height_auto":"1","target":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(41, 0, 'Footer', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_footer', 1, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(45, 413, 'Menu Example', '', '', 10, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(47, 0, 'Latest Park Blogs', '', '', 6, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_latest', 1, 1, '{"count":"5","ordering":"c_dsc","user_id":"0","show_front":"1","catid":"35","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, 'en-GB'),
(48, 0, 'Custom HTML', '', '<p>This is a custom html module. That means you can enter whatever content you want.</p>', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(58, 0, 'Special!', '', '<h1>This week we have a special, half price on delicious oranges!</h1><div>Only for our special customers!</div><div>Use the code: Joomla! when ordering</div><p><em>This module can only be seen by people in the customers group or higher.</em></p>', 1, 'position-12', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 4, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(61, 563, 'Articles Categories', '', '', 6, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":"81","show_description":"0","numitems":"0","show_children":"0","count":"0","maxlevel":"0","layout":"_:default","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(63, 0, 'Search', '', '', 1, 'head-search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 1, '{"label":"","width":"20","text":"","button":"","button_pos":"right","imagebutton":"1","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(65, 0, 'About Fruit Shop', '', '<p>The Fruit Shop site shows a number of Joomla! features.</p><p>The template uses classes in cascading style sheets to change the layout of items, such as creating the horizontal alphabetical list in the Fruit Encyclopedia.</p><p> </p>', 1, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(68, 0, 'About Parks', '', '<p>The Parks sample site is designed as a simple site that can be routinely updated from the front end of Joomla!.</p><p>As a site, it is largely focused on a blog which can be updated using the front end article submission.</p><p>New weblinks can also be added through the front end.</p><p>A simple image gallery uses com_content with thumbnails displayed in a blog layout and full size images shown in article layout.</p><p>The Parks site features the language switch module. All of the content and modules are tagged as English (en-GB). If a second language pack is added with sample data this can be filtered using the language switch.</p><p>Parks uses HTML5 which is a major web standard (along with XHTML which is used in other areas of sample data).</p>', 2, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(70, 0, 'Search (Atomic Template)', '', '', 1, 'atomic-search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 0, '{"width":"20","text":"","button":"","button_pos":"right","imagebutton":"","button_text":"","set_itemid":"","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(72, 0, 'Top Quote (Atomic Template)', '', '<hr />\r\n<h2 class="alt">Powerful Content Management and a Simple Extensible Framework.</h2>\r\n<hr />', 1, 'atomic-topquote', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(73, 0, 'Bottom Left Column (Atomic Template)', '', '<h6>This is a nested column</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>', 1, 'atomic-bottomleft', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(74, 0, 'Bottom Middle Column (Atomic Template)', '', '<h6>This is another nested column</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>', 1, 'atomic-bottommiddle', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(75, 0, 'Sidebar (Atomic Template)', '', '<h3>A <span class="alt">Simple</span> Sidebar</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>\r\n<p class="quiet">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>\r\n<h5>Incremental leading</h5>\r\n<p class="incr">Vestibulum ante ipsum primis in faucibus orci luctus vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus.</p>\r\n<p class="incr">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>', 1, 'atomic-sidebar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(79, 0, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(84, 0, 'Smart Search Module', '', '', 2, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_finder', 1, 1, '{"searchfilter":"","show_autosuggest":"1","show_advanced":"0","layout":"_:default","moduleclass_sfx":"","field_size":20,"alt_label":"","show_label":"0","label_pos":"top","show_button":"0","button_pos":"right","opensearch":"1","opensearch_title":""}', 0, '*'),
(86, 0, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(90, 391, 'About us', '', '<p><img src="images/joomlart/corporate/sam-10.jpg" alt="Sample image" class="img-thumbnail" /></p>\r\n\r\n<p>JoomlArt - your best provider for Joomla templates and Joomla extensions since 2006. </p>', 1, 'footer-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(92, 393, 'Follow us', '', '<p>Didn\'t we got you connected? If not, blame us on not showing you earlier the following magic buttons:</p>\r\n<ul class="social-links">\r\n<li><i class="fa fa-facebook-square"></i> <a href="#" title="Facebook">Facebook</a></li>\r\n<li><i class="fa fa-twitter-square"></i> <a href="#" title="Twitter">Twitter</a></li>\r\n<li><i class="fa  fa-google-plus-square"></i> <a href="#" title="Google plus">Google plus</a></li>\r\n<li><i class="fa  fa-linkedin-square"></i> <a href="#" title="Linked-in">Linked-in</a></li>\r\n</ul>', 1, 'footer-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(93, 399, 'Contact us', '', '<div class="bs-example">\r\n <address>\r\n  <strong>Company name</strong><br />\r\n        Address: 2411 Any Street, <br />\r\nAny Town, <br />\r\n        United Kingdom. <br />\r\n        <abbr title="Phone">Phone:</abbr> +123 456 7890<br />\r\n        <abbr title="Phone">Fax:</abbr> +123 456 7890<br />\r\n        <abbr title="Phone">Mail to:</abbr><a href="mailto:#"> first.last@example.com</a>\r\n</div>', 1, 'footer-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(94, 429, 'T3', '', '<ul>\r\n<li><a href="http://www.joomlart.com/forums/downloads.php">Download</a></li>\r\n<li><a href="#">Release Announcement</a></li>\r\n<li><a href="#">New Features</a></li>\r\n<li><a href="#">Changelog and Details</a></li>\r\n<li><a href="#">Migration FAQs</a></li>\r\n</ul>', 1, 'footer-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(95, 430, 'JoomlArt', '', '<ul>\r\n<li><a href="http://wiki.joomlart.com/wiki/Main_Page">JA Wiki</a></li>\r\n<li><a href="http://www.joomlart.com/joomla/templates-club">Joomla! Themes</a></li>\r\n<li><a href="http://www.joomlart.com/magento/themes-club">Magento Themes</a></li>\r\n<li><a href="http://www.joomlart.com/joomla/extensions-club">Joomla! Extension</a></li>\r\n<li><a href="http://www.joomlart.com/member/contact.php">Contact Us</a></li>\r\n</ul>', 1, 'footer-6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(96, 213, 'T3 Masthead 1', '', '<div class="jumbotron masthead">\r\n    <h1>Welcome to T3</h1>\r\n    <p>The all new, modern and flexible framework from JoomlArt.</p>\r\n    <p><a class="btn btn-primary btn-lg" href="http://www.joomlart.com/forums/downloads.php?do=cat&amp;id=460"> Download <span class="hidden-phone">T3 </span> </a></p>\r\n</div>', 1, 'home-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(97, 214, 'T3 Introduction', '', '<img class="img-responsive" src="images/joomlart/banners/t3-banner.png" alt="T3 Framework" />\r\n\r\n<div class="row">\r\n\r\n<div class="col-xs-12 col-sm-4">\r\n  <h2>The "All New" T3</h2>\r\n  <p>Support the latest Joomla 3, T3 hits the beat with the brand-new look, design approach and incredibly powerful customization feature.</p>\r\n </div>\r\n\r\n<div class="col-xs-12 col-sm-4">\r\n  <h2>User Centric Design</h2>\r\n  <p>Sleek look, clean coding and elegant design make T3 a sophisticated and user-friendly theme, guarantee to catch the attention right on spot. </p>\r\n</div>\r\n\r\n<div class="col-xs-12 col-sm-4">\r\n  <h2>Developer\'s Freedom</h2>\r\n  <p>Customize and style your theme in a click with the built-in tool developed for T3 only, cherish the endless flexibility it gives you.</p>\r\n</div>\r\n</div>', 1, 'home-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(98, 554, 'T3 Features', '', '<header class="jumbotron">\r\n<h1>Why Purity III?</h1>\r\n<p>A Free Responsive Joomla 3 Template can\'t go wrong</p>\r\n</header>\r\n\r\n<div class="row">\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <p><img src="images/joomlart/banners/responsive-icon.png" alt="Reponsive"></p>\r\n  <h2>Responsive</h2>\r\n  <p>Purity III is a fully responsive Joomla template. It looks amazingly beautiful in all screen sizes: from a wide screen desktop to tablet & mobile devices.</p>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <p><img src="images/joomlart/banners/html5-icon.png" alt="Compatibilities"></p>\r\n  <h2>Compatibilities</h2>\r\n  <p>Purity III is compatible with most of the popular 3rd party Joomla extensions, such as: EasySocial, Kunena, JomSocial, Mijoshop, and more.</p>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <p><img src="images/joomlart/banners/bootstrap-icon.png" alt="Bootstrap 3"></p>\r\n  <h2>Bootstrap 3</h2>\r\n  <p>Purity III embraces Bootstrap 3 at core, meaning it also supports Font Awesome 4, as well as all the cool features Bootstrap 3 Framework has.</p>\r\n</div>\r\n\r\n<div class="col-sm-6 col-md-3">\r\n  <p><img src="images/joomlart/banners/seo-icon.png" alt="SEO friendly"></p>\r\n  <h2>SEO</h2>\r\n  <p>Great design impresses your visitors, but SEO friendly codes bring visitors, drive more <a href="http://www.google.com" target="_blank">Googlers</a> to yours while you\'re sleeping.</p>\r\n</div>\r\n\r\n</div>', 1, 'home-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(99, 0, 'T3 Gallery', '', '<header class="jumbotron">\r\n  <h1>T3 Gallery</h1>\r\n  <p>More to come. Stay tune :) !</p>\r\n</header>\r\n\r\n<div class="row">\r\n  <div class="col-xs-6 col-sm-3">\r\n    <a class="thumbnail" href="http://www.joomlart.com/demo/#ja_obelisk" title="JA Obelisk template" target="_blank">\r\n      <img class="img-responsive" src="images/joomlart/thumbnails/thumb-1.png" alt="JA Obelisk template">\r\n    </a>\r\n  </div>\r\n  <div class="col-xs-6 col-sm-3">\r\n    <a class="thumbnail" href="http://www.joomlart.com/demo/#ja_magz" title="JA Magz template" target="_blank">\r\n      <img class="img-responsive" src="images/joomlart/thumbnails/thumb-2.png" alt="JA Magz Template">\r\n    </a>\r\n  </div>\r\n  <div class="col-xs-6 col-sm-3">\r\n    <a class="thumbnail" href="http://www.joomlart.com/demo/#ja_muzic" title="JA Muzic Template" target="_blank">\r\n      <img class="img-responsive" src="images/joomlart/thumbnails/thumb-3.png" alt="JA Muzic Template" target="_blank">\r\n    </a>\r\n  </div>\r\n <div class="col-xs-6 col-sm-3">\r\n    <a class="thumbnail" href="http://www.joomlart.com/demo/#ja_fixel" title="JA Fixel template" target="_blank">\r\n      <img class="img-responsive" src="images/joomlart/thumbnails/thumb-4.png" alt="JA Fixel Template">\r\n    </a>\r\n  </div>\r\n</div>\r\n\r\n<div class="row">\r\n  <div class="col-xs-6 col-sm-3">\r\n    <a class="thumbnail" href="http://www.joomlart.com/demo/#ja_beranis" title="JA beranis template" target="_blank">\r\n      <img class="img-responsive" src="images/joomlart/thumbnails/thumb-5.png" alt="JA Beranis template">\r\n    </a>\r\n  </div>\r\n  <div class="col-xs-6 col-sm-3">\r\n    <a class="thumbnail" href="http://www.joomlart.com/demo/#ja_smashboard" title="JA Smashboard Template" target="_blank">\r\n      <img class="img-responsive" src="images/joomlart/thumbnails/thumb-6.png" alt="JA Smashboard Template">\r\n    </a>\r\n  </div>\r\n  <div class="col-xs-6 col-sm-3">\r\n    <a class="thumbnail" href="http://www.joomlart.com/demo/#ja_hawkstore" title="JA Hawstore template"  target="_blank">\r\n      <img class="img-responsive" src="images/joomlart/thumbnails/thumb-7.png" alt="JA Hawstore template">\r\n    </a>\r\n  </div>\r\n  <div class="col-xs-6 col-sm-3">\r\n    <a class="thumbnail" href="http://www.joomlart.com/demo/#ja_fubix" title="JA Fubix Template"  target="_blank">\r\n      <img class="img-responsive" src="images/joomlart/thumbnails/thumb-8.png" alt="JA Fubix Template">\r\n    </a>\r\n  </div>\r\n</div>', 1, 'home-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(100, 0, 'T3 Masthead 2', '', '<div class="jumbotron masthead">\r\n  <span class="section-arrow-alt"></span>\r\n  <h2>Want to be the first to try our new framework...</h2>\r\n  <p>\r\n    <a class="btn btn-primary btn-lg" href="http://www.joomlart.com/forums/downloads.php?do=cat&amp;id=460"> Download <span class="hidden-phone">T3 </span> </a>\r\n  </p>\r\n</div>\r\n', 1, 'home-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(101, 406, 'Built on T3 Framework', '', '<p>The powerful T3 Framework makes Purity III an extreme flexible for customization especially when it comes to layout configuration, and compatible with all the popular 3rd party extensions out there in the community.</p>', 1, 'position-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(102, 407, 'Joomla 3 & Bootstrap 3', '', '<p>Purity III is compatible with Joomla 3.x and embraces Bootstrap 3 at core. Comes with all the outstanding cool features in Joomla 3.x core, as well as the changes and improvements Bootstrap 3 Framework has.</p>', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(103, 408, 'A Free Joomla template', '', '<p>Purity III is a fully responsive FREE Joomla template. It looks stunning on all screen sizes: from a wide screen to mobile devices. Definitely a responsive Joomla template you would never want to miss out for 2014, We promise.</p>\r\n', 1, 'position-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(104, 409, 'Flat Design & Stunning Typo', '', '<p>Sleek look, clean coding and minimalism design, Purity is real flat both front-end and back-end. It is also packed with beautiful typography pages including: Support Policy and Pricing Table that indeed, will come in handy for anyone.</p>', 1, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(105, 0, 'Position 5', '', 'Curabitur orci hendrerit In rhoncus iaculis ut Quisque convallis sem egestas. Curabitur quis wisi id Fusce neque sem Cras id Curabitur eros. Velit nec tempus ligula sed penatibus dui habitasse tellus Lorem Sed. Elit condimentum dapibus Phasellus Nunc turpis tristique tincidunt ac orci at. Dapibus scelerisque.', 1, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(106, 0, 'Position 6', '', 'Curabitur orci hendrerit In rhoncus iaculis ut Quisque convallis sem egestas. Curabitur quis wisi id Fusce neque sem Cras id Curabitur eros. Velit nec tempus ligula sed penatibus dui habitasse tellus Lorem Sed. Elit condimentum dapibus Phasellus Nunc turpis tristique tincidunt ac orci at. Dapibus scelerisque.', 1, 'position-6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(107, 0, 'Position 7', '', 'Curabitur orci hendrerit In rhoncus iaculis ut Quisque convallis sem egestas. Curabitur quis wisi id Fusce neque sem Cras id Curabitur eros. Velit nec tempus ligula sed penatibus dui habitasse tellus Lorem Sed. Elit condimentum dapibus Phasellus Nunc turpis tristique tincidunt ac orci at. Dapibus scelerisque.', 1, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(108, 0, 'Position 8', '', 'Curabitur orci hendrerit In rhoncus iaculis ut Quisque convallis sem egestas. Curabitur quis wisi id Fusce neque sem Cras id Curabitur eros. Velit nec tempus ligula sed penatibus dui habitasse tellus Lorem Sed. Elit condimentum dapibus Phasellus Nunc turpis tristique tincidunt ac orci at. Dapibus scelerisque.', 1, 'position-8', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(112, 578, 'Purity III - The best free Joomla Template', '', '<p> </p>\r\n<a href="index.php/layout/new-layouts/features-intro" title="Video"><img src="images/joomlart/demo/video.png" alt="Sample video" /></a>\r\n<p> </p>\r\n<p>Sneakpeak on Purity III - the best free responsive Joomla template of all time!</p>\r\n', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(113, 319, 'Demo Content', '', '', 2, 'sidebar-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"dynamic","show_on_article_page":"1","show_front":"show","count":"5","category_filtering_type":"1","catid":["","80"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"1","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(114, 207, 'Main Menu', '', '', 3, 'off-canvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(119, 220, 'Product intro', '', '<p>Dui eu dolor Curabitur pellentesque pellentesque ligula quis et leo neque. Nibh vitae Nam sit eu felis mauris porttitor odio a est. Felis lacinia risus tempus Aenean sagittis tortor Nulla non mattis pharetra. Et vel semper eu tellus lacinia sed semper ac tristique Nulla. Enim vel mattis Nulla sit In Ut Curabitur nonummy suscipit ut. Et feugiat morbi metus tincidunt ante consectetuer nec rutrum nunc at. Tellus Lorem Lorem.</p>', 1, 'features-intro-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-primary","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(120, 221, 'Fully Reponsive', '', '<div class="col-md-6 feature-ct pd-feature-ct">\r\n  <h2>Fully Responsive</h2>\r\n  <p>T3 Framework is one of the first responsive Joomla frameworks template. It supports numbers of responsive layouts including: Wide, Normal, XTablet, Tablet and Mobile. </p>\r\n</div>\r\n<div class="col-md-6 feature-img pd-feature-img">\r\n  <img src="http://joomlart.s3.amazonaws.com/images/jat3v3-documents/landing-page/responsive.png" title="Fully responsive joomla framework">\r\n</div>', 2, 'features-intro-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-alt","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(121, 222, 'HTML5, Bootstrap and LESS', '', '<div class="col-md-6 feature-img pd-feature-img">\r\n  <img src="http://joomlart.s3.amazonaws.com/images/jat3v3-documents/landing-page/html5_bootstrap.jpg" title="HTML5 and Bootstrap">\r\n</div>\r\n\r\n<div class="col-md-6 feature-ct pd-feature-ct">    \r\n  <h2>HTML5, Bootstrap and LESS</h2>\r\n  <p>HTML 5 ensures web experience and visualization quality that benefits from rich markup and compatibility. With Bootstrap and LESS- the Dynamic Stylesheet language, you can standardize your grid, typography, and modules with less efforts. All are built in T3 Framework at core.</p>\r\n</div>\r\n', 6, 'features-intro-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(141, 250, '2 starter themes', '', ' <div class="col-md-6 feature-ct pd-feature-ct">\r\n  <h2>2 starter themes</h2>\r\n  <p>T3 Framework comes with 2 starter themes: the usual T3 Blank template (Bootstrap 2 T3 Blank template) and the new T3 B3 Blank (Bootstrap 3 T3 Blank template). Both looks amazingly stunning on any devices. </p>\r\n </div>\r\n\r\n<div class="col-md-6 feature-img">\r\n  <img src="http://joomlart.s3.amazonaws.com/images/jat3v3-documents/landing-page/2-starter-theme.jpg" title="2 starter themes">\r\n</div>\r\n', 3, 'features-intro-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(142, 251, 'Flat design', '', '<div class="col-md-6 feature-img">\r\n<img src="http://joomlart.s3.amazonaws.com/images/jat3v3-documents/landing-page/flat_design.jpg" title="Flat design">\r\n</div>\r\n\r\n<div class="col-md-6 feature-ct pd-feature-ct">\r\n<h2>Flat design</h2>\r\n<p>The T3 Framework 2.0.0 is real Flat, both Front-page and back-end setting panel. It deverses a clean layout and typography.</p>\r\n</div>', 4, 'features-intro-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-alt","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(143, 252, 'Megamenu and Off-canvas', '', '<div class="col-md-6 feature-ct pd-feature-ct">\r\n<h2>Megamenu and Off-canvas</h2>\r\n<p>Megamenu and Off-canvas are highlight features in T3 Framework. It allows you to build up a powerful menu system and you are full control.</p>\r\n</div>\r\n\r\n<div class="col-md-6 feature-img">\r\n<img src="http://joomlart.s3.amazonaws.com/images/jat3v3-documents/landing-page/megamenu_offcanvas.png" title="megamenu and off-canvas">\r\n</div>\r\n', 5, 'features-intro-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(163, 345, 'Blog Categories', '', '', 4, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":"87","show_description":"0","numitems":"0","show_children":"0","count":"0","maxlevel":"0","layout":"_:default","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(165, 348, 'Blog Tags', '', '', 17, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tags_popular', 1, 1, '{"maximum":"10","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":1,"no_results_text":"0","minsize":1,"maxsize":2,"layout":"_:cloud","moduleclass_sfx":"","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(166, 349, 'Important Articles ', '', '', 3, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"5","category_filtering_type":"1","catid":["94","95","96","97"],"show_child_category_articles":"0","levels":"2","author_filtering_type":"1","author_alias_filtering_type":"1","created_by_alias":["Joomla"],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(167, 354, 'Magazine - Articles', '', '', 1, 'magazine-articles', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":"85","show_description":"0","numitems":"0","show_children":"0","count":"0","maxlevel":"0","layout":"purity_iii:magazine","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","extra-count":"4","extra-show-subcat":"0"}', 0, '*'),
(168, 362, 'Magazine - Other articles', '', '', 1, 'after-content', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"dynamic","show_on_article_page":"1","show_front":"show","count":"8","category_filtering_type":"1","catid":["85"],"show_child_category_articles":"1","levels":"2","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"1","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"1","show_author":"1","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(177, 373, 'How we work', '', '<p><img src="images/joomlart/corporate/sam-1.jpg" alt="Sample image" class="img-responsive" /></p>\r\n<h3>At the first glance</h3>\r\n<p>T3 Framework. Joomla 3. Bootstrap 3.  Responsive. Customizable. Multi-style. Flat and typographic design.</p>', 1, 'position-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(178, 374, 'Success Stories', '', '<p><img src="images/joomlart/corporate/sam-2.jpg" alt="Sample image 2" class="img-responsive" /></p>\r\n<h3>Purity Series Stories </h3>\r\n<p>2007: Purity, default Joomla template.\r\n<br>2009: free Joomla template JA Purity II.\r\n<br>2014: it\'s Purity III\'s time to rock.</p>', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(179, 375, 'Let\'s connect', '', '<p><img src="images/joomlart/corporate/sam-3.jpg" alt="Sample image" class="img-responsive" /></p>\r\n<h3>What\'s more?</h3>\r\n<p><strong>Purity III</strong> is ready for numerous of the most pupular 3rd party extensions in the market! And the list is yet to complete.</p>', 1, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(181, 377, 'Slideshow', '', '<div class="container">\r\n\r\n<div id="carousel-example-generic" class="carousel slide" data-ride="carousel">\r\n  <!-- Indicators -->\r\n  <ol class="carousel-indicators">\r\n    <li data-target="#carousel-example-generic" data-slide-to="0" class="active"></li>\r\n    <li data-target="#carousel-example-generic" data-slide-to="1"></li>\r\n    <li data-target="#carousel-example-generic" data-slide-to="2"></li>\r\n  </ol>\r\n\r\n  <!-- Wrapper for slides -->\r\n  <div class="carousel-inner">\r\n\r\n    <div class="item active">\r\n     <img src="images/joomlart/slideshow/sl-1.jpg" alt="Sample image" />\r\n      <div class="carousel-caption">\r\n      <h2>Your perfect starting template, Purity III</h2>\r\n      <p>Either it\'s your first time with Joomla or you are a developer already, Purity III won\'t let you down.</p>\r\n     </div>\r\n    </div>\r\n\r\n    <div class="item">\r\n      <img src="images/joomlart/slideshow/sl-2.jpg" alt="Sample image" />\r\n      <div class="carousel-caption">\r\n      <h2>This is the best FREE Joomla 3 template!</h2>\r\n      <p>We have drunken too much of the best… but this repsonsive Joomla template truly is, and IT\'S FREE!</p>\r\n     </div>\r\n    </div>\r\n    <div class="item">\r\n      <img src="images/joomlart/slideshow/sl-3.jpg" alt="Sample image" />\r\n      <div class="carousel-caption">\r\n      <h2>The next generation of Purity series</h2>\r\n      <p>Sophisticated in Design, Brilliant in Features. That\'s how we define Purity Series.</p>\r\n     </div>\r\n    </div>\r\n  </div>\r\n\r\n  <!-- Controls -->\r\n  <a class="left carousel-control" href="#carousel-example-generic" data-slide="prev">\r\n    <span class="glyphicon glyphicon-chevron-left"></span>\r\n  </a>\r\n  <a class="right carousel-control" href="#carousel-example-generic" data-slide="next">\r\n    <span class="glyphicon glyphicon-chevron-right"></span>\r\n  </a>\r\n</div>\r\n\r\n</div>', 1, 'slideshow', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*');
INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(182, 387, 'Testimonials', '', '<div class="well" style="margin-bottom: 0;">\r\n<blockquote style="margin-bottom: 0;">\r\n  <p>I\'m in need of a FREE responsive Joomla template, which definitely has to be on T3 Framework. Something easy to customize, powerful in functions, quick to set it up, something to write blog and post news at the same time. Now I\'ve got Purity III. Totally satisfied.</p>\r\n  <small>Melisa Monroe in <cite title="Source Title">Somewhere over Joomla world</cite></small>\r\n</blockquote>\r\n</div>\r\n', 1, 'position-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(183, 388, 'Business Joomla template', '', '<p><img src="images/joomlart/corporate/sam-6.jpg" alt="Sample image" class="img-thumbnail" /></p>\r\n<p>This is how your eCommerce Joomla template looks with Purity III. </p>', 1, 'position-9', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(184, 389, 'Blog Joomla template', '', '<p><img src="images/joomlart/corporate/sam-7.jpg" alt="Sample image" class="img-thumbnail" /></p>\r\n<p> This is how your Joomla template for personal blog looks with Purity III.</p>', 1, 'position-10', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(185, 390, 'News Joomla template', '', '<p><img src="images/joomlart/corporate/sam-8.jpg" alt="Sample image" class="img-thumbnail" /></p>\r\n\r\n<p> This is how your Joomla template for news looks with Purity III. </p>', 1, 'position-11', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(189, 397, 'Why we do it', '', '<p><img src="images/joomlart/corporate/sam-4.jpg" alt="Sample image" class="img-responsive" /></p>\r\n<h3>How this rocks</h3>\r\n<p>With this free Joomla template, you can create a whole fresh site in 5 minutes. Woo hoo!</p>', 1, 'position-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(190, 398, 'Portfolio Joomla template', '', '<p><img src="images/joomlart/corporate/sam-9.jpg" alt="Sample image" class="img-thumbnail" /></p>\r\n\r\n<p>This is how your Joomla template for portfolio looks with Purity III.</p>', 1, 'position-12', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(191, 400, 'Blog post', '', '', 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"3","category_filtering_type":"1","catid":["94","95","96","97"],"show_child_category_articles":"0","levels":"3","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(192, 403, 'Popular post', '', '', 1, 'tab-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 0, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"5","category_filtering_type":"1","catid":["90","89","91","92","93"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.hits","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"1","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"1","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(193, 404, 'Sample Banner 1', '', '<a href="#" title="Sample banner"><img class="img-responsive" src="images/joomlart/banners/sb-1.jpg" alt="Sample banner" /></a>', 7, 'sidebar-2', 42, '2015-03-24 08:53:26', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(194, 405, 'Custom tabs', '', '<!-- Nav tabs -->\r\n<ul class="nav nav-tabs">\r\n  <li class="active"><a href="#popular" data-toggle="tab">Latest post</a></li>\r\n  <li><a href="#latest" data-toggle="tab">Most read</a></li>\r\n</ul>\r\n\r\n<!-- Tab panes -->\r\n<div class="tab-content">\r\n  <div class="tab-pane active" id="popular">{loadposition tab-1}</div>\r\n  <div class="tab-pane" id="latest">{loadposition tab-2}</div>\r\n</div>\r\n', 8, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(195, 411, 'Most read', '', '', 1, 'tab-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 0, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"5","category_filtering_type":"1","catid":["90","89","91","92","93"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.created","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"1","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"1","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(196, 414, 'Joomla', '', '<ul>\r\n<li><a href="#" title="Joomla template">Joomla template</a></li>\r\n<li><a href="#" title="Joomla extension">Joomla extension</a></li>\r\n<li><a href="#" title="Joomla module">Joomla module</a></li>\r\n<li><a href="#" title="Joomla plugin">Joomla plugin</a></li>\r\n<li><a href="#" title="Joomla 3 template">Joomla 3 template</a></li>\r\n</ul>', 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(197, 415, 'Bootstrap 3', '', '<ul>\r\n<li><a href="#" title="Joomla">Joomla</a></li>\r\n<li><a href="#" title="Bootstrap">Bootstrap</a></li>\r\n<li><a href="#" title="Joomla 2.5">Joomla 2.5</a></li>\r\n<li><a href="#" title="Joomla 3.2">Joomla 3.2</a></li>\r\n<li><a href="#" title="T3 framework template">T3 framework template</a></li>\r\n</ul>', 1, 'footer-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(198, 416, 'Framework', '', '<ul>\r\n<li><a href="#" title="T3 template">T3 template</a></li>\r\n<li><a href="#" title="T3 Framework">T3 Framework</a></li>\r\n<li><a href="#" title="Joomla framework">Joomla framework</a></li>\r\n<li><a href="#" title="Template framework">Template framework</a></li>\r\n\r\n<li><a href="#" title="Responsive template">Responsive template</a></li>\r\n</ul>', 1, 'footer-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(199, 417, 'Typography', '', '<ul>\r\n<li><a href="#" title="Responsive">Responsive</a></li>\r\n<li><a href="#" title="Font Awesome 4">Font Awesome 4</a></li>\r\n<li><a href="#" title="Multiple layouts">Multiple layouts</a></li>\r\n<li><a href="#" title="Multiple layouts">Multiple layouts</a></li>\r\n<li><a href="#" title="Compatible Extensions">Compatible Extensions</a></li>\r\n</ul>', 1, 'footer-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(200, 422, 'Masthead', '', '<div class="jumbotron jumbotron-primary masthead">\r\n  <h1>Hello, I\'m Purity III</h1>\r\n  <p>Now back and way cooler.</p>\r\n  <p class="btn-actions"><a href="http://bit.ly/purity_iii" class="btn btn-primary btn-lg">Check me out</a></p>\r\n</div>', 1, 'masthead', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-primary","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(202, 443, 'Feature 1', '', '<div class="text-center">\r\n<div class="item-image"><img class="img-responsive" pagespeed_url_hash="557298203" alt="T3 Framework" src="images/joomlart/intro-page/fullresponsive.png"></div>\r\n\r\n<div class="col-md-4">\r\n  <h3>The Perfect Starting Point</h3>\r\n  <p>Purity III is a GREAT starter theme for any Joomla lovers. It allows YOU to get started in minutes, and highly versatile to fit in any type of projects</p>\r\n </div>\r\n\r\n<div class="col-md-4">\r\n  <h3>Joomla 3 Native</h3>\r\n  <p>Purity III supports Joomla 3 at core. The sleek look, clean code and flat design sets it stand out and guarantee to capture anyone\'s attention</p>\r\n</div>\r\n\r\n<div class="col-md-4">\r\n  <h3>Easy to Customize</h3>\r\n  <p>Purity III is extremely flexible to customize. Thanks to the powerful T3 Framework, which makes all the impossibilities possible</p>\r\n</div>\r\n\r\n</div>', 1, 'features-intro-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(203, 444, 'Supports multiple layouts', '', '<header class="jumbotron">\r\n<h2>Supports Multiple Layouts</h2>\r\n<p>8 layouts with dynamic and flexible grids</p>\r\n</header>\r\n\r\n<div class="gallery">\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <div class="thumbnail">\r\n      <a target="_blank" title="magazine layout" href="index.php/layout/new-layouts/magazine">\r\n        <img pagespeed_url_hash="2579736203" alt="" src="images/joomlart/supported-layout/magazine.png" class="img-responsive">\r\n      </a>\r\n      <h4 class="text-center">Magazine Layout</h4>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <div class="thumbnail">\r\n      <a target="_blank" title="Coperate layout" href="index.php/layout/new-layouts//corporate">\r\n          <img pagespeed_url_hash="2874236124" alt="" src="images/joomlart/supported-layout/corporate.png" class="img-responsive">\r\n      </a>\r\n      <h4 class="text-center">Corporate Layout</h4>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <div class="thumbnail">\r\n      <a target="_blank" title="blog layout" href="index.php/layout/new-layouts/blog">\r\n        <img pagespeed_url_hash="3168736045" target="_blank" alt="" src="images/joomlart/supported-layout/blog.png" class="img-responsive">\r\n      </a>\r\n      <h4 class="text-center">Blog Layout</h4>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <div class="thumbnail">\r\n      <a target="_blank" title="features intro 1" href="index.php/layout/new-layouts/features-intro">\r\n        <img pagespeed_url_hash="3757735887" alt="" src="images/joomlart/supported-layout/features_1.png" class="img-responsive">\r\n      </a>\r\n      <h4 class="text-center">Features Intro 1 Layout</h4>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <div class="thumbnail">\r\n      <a target="_blank" title="features intro 2" href="http://joomla-templates.joomlart.com/purity_iii/">\r\n        <img pagespeed_url_hash="4052235808" alt="" src="images/joomlart/supported-layout/features_2.png" class="img-responsive">\r\n      </a>\r\n      <h4 class="text-center">Features Intro 2 Layout</h4>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <div class="thumbnail">\r\n      <a target="_blank" title="portfolio layout" href="index.php/layout/new-layouts/portfolio">\r\n        <img pagespeed_url_hash="3463235966" alt="" src="images/joomlart/supported-layout/portfolio.png" class="img-responsive">\r\n      </a>\r\n      <h4 class="text-center">Portfolio Layout</h4>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <div class="thumbnail">\r\n      <a target="_blank" title="" href="index.php/layout/new-layouts/glossary">\r\n        <img alt="" src="images/joomlart/supported-layout/glossary.png" class="img-responsive">\r\n      </a>\r\n      <h4 class="text-center">Glossary Layout</h4>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-3">\r\n    <div class="thumbnail">\r\n      <a target="_blank" title="" href="index.php/layout/class-layout/default-layout">\r\n        <img alt="" src="images/joomlart/supported-layout/classic_layout.png" class="img-responsive">\r\n      </a>\r\n      <h4 class="text-center">Classic Layout</h4>\r\n    </div>\r\n  </div>\r\n\r\n</div>', 3, 'features-intro-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(204, 445, 'Why Purity III?', '', '<header class="jumbotron">\r\n<h2>Why Purity III?</h2>\r\n<p>A Free Responsive Joomla 3 Template that no one can resist</p>\r\n</header>\r\n\r\n<div class="text-center">\r\n\r\n<div class="col-md-3">\r\n  <p><img pagespeed_url_hash="932791188" alt="Responsive" src="images/joomlart/banners/responsive-icon.png" /></p>\r\n  <h3>Responsive</h3>\r\n  <p>Purity III is a fully responsive Joomla template. It looks amazingly beautiful in all screen sizes: from a wide screen desktop to tablet & mobile devices</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n  <p><img pagespeed_url_hash="2048194936" alt="Compatibilities" src="images/joomlart/banners/html5-icon.png"></p>\r\n  <h3>Compatibilities</h3>\r\n  <p>Purity III is compatible with most of the popular 3rd party Joomla extensions, such as: EasySocial, Kunena, JomSocial, Mijoshop, etc</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n  <p><img pagespeed_url_hash="1985577692" alt="Bootstrap 3" src="images/joomlart/banners/bootstrap-icon.png"></p>\r\n  <h3>Bootstrap 3</h3>\r\n  <p>Purity III embraces Bootstrap 3 at core, meaning it also supports Font Awesome 4, as well as all the cool features in Bootstrap 3 Framework</p>\r\n</div>\r\n\r\n<div class="col-md-3">\r\n  <p><img pagespeed_url_hash="1616445301" alt="SEO" src="images/joomlart/banners/seo-icon.png"></p>\r\n  <h3>SEO</h3>\r\n  <p>Great design impresses your visitors, but SEO friendly codes bring visitors, drive more <a target="_blank" href="http://www.google.com">Googlers</a> to yours while you\'re sleeping</p>\r\n</div>\r\n\r\n</div>', 4, 'features-intro-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(205, 446, 'Want to be the first to try our Purity III', '', '<div class="container jumbotron masthead" style="margin:0;">\r\n  <span class="section-arrow-alt"></span>\r\n  <p>Want to be the first to try our Purity III...</p>\r\n<div class="btn-actions">\r\n    <a class="btn btn-success btn-lg" role="button" href="http://bit.ly/purity_iii">Download <span class="hidden-phone">Purity III</span></a>\r\n  </div>\r\n</div>', 5, 'features-intro-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-primary","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(206, 449, 'Team members', '', '<div class="media">\r\n  <a href="#" class="pull-left"><img src="images/joomlart/corporate/staff-1.jpg" alt="Sample image" style="width: 60px;" class="img-thumbnail" /></a>\r\n  <div class="media-body">\r\n  <h4 class="media-heading">Scott Singleton</h4>\r\n    <strong><small>CEO Director</small></strong><br />\r\n    <small><a href="mailto:ceo@your-domain.com">ceo@your-domain.com</a></small>\r\n  </div>\r\n</div>\r\n\r\n<div class="media">\r\n  <a href="#" class="pull-left"><img src="images/joomlart/corporate/staff-2.jpg" alt="Sample image" style="width: 60px;" class="img-thumbnail" /></a>\r\n  <div class="media-body">\r\n  <h4 class="media-heading">Marie Hall</h4>\r\n    <strong><small>Managing Director</small></strong><br />\r\n    <small><a href="mailto:sale@your-domain.com">sale@your-domain.com</a></small>\r\n  </div>\r\n</div>\r\n\r\n<div class="media">\r\n  <a href="#" class="pull-left"><img src="images/joomlart/corporate/staff-3.jpg" alt="Sample image" style="width: 60px;" class="img-thumbnail" /></a>\r\n  <div class="media-body">\r\n  <h4 class="media-heading">Mamie Ray</h4>\r\n    <strong><small>Sales manager</small></strong><br />\r\n    <small><a href="mailto:ceo@your-domain.com">sales@your-domain.com</a></small>\r\n  </div>\r\n</div>\r\n\r\n<div class="media">\r\n  <a href="#" class="pull-left"><img src="images/joomlart/corporate/staff-4.jpg" alt="Sample image" style="width: 60px;" class="img-thumbnail" /></a>\r\n  <div class="media-body">\r\n  <h4 class="media-heading">Johnny Payne</h4>\r\n    <strong><small>Creative director</small></strong><br />\r\n    <small><a href="mailto:ceo@your-domain.com">design@your-domain.com</a></small>\r\n  </div>\r\n</div>', 1, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(207, 450, 'Our partners', '', '<img src="images/joomlart/corporate/partners.gif" alt="Sample image" class="image-reponsive" />', 24, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(210, 555, 'Compatible Extensions', '', '<header class="jumbotron">\r\n  <h2>Highly Compatible</h2>\r\n  <p>Purity III is highly compatible with most of the 3rd party Joomla extensions</p>\r\n</header>\r\n\r\n\r\n  <div class="col-xs-6 col-md-4">\r\n    <a class="thumbnail" href="index.php/compatible/easyblog">\r\n      <img src="images/joomlart/compatible-extension/easyblog.png" alt="Easy Blog" />\r\n    </a>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-4">\r\n    <a class="thumbnail" href="index.php/compatible/easysocial">\r\n      <img src="images/joomlart/compatible-extension/easysocial.png" alt="easysocial" />\r\n    </a>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-4">\r\n    <a class="thumbnail" href="index.php/compatible/discussions">\r\n      <img src="images/joomlart/compatible-extension/easydiscuss.png" border="0" alt="easydiscuss" />\r\n    </a>\r\n  </div>\r\n\r\n\r\n  <div class="col-xs-6 col-md-4">\r\n    <a class="thumbnail" href="index.php/forum/index">\r\n      <img src="images/joomlart/compatible-extension/kunena.png" border="0" alt="Kunena" />\r\n    </a>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-4">\r\n    <a class="thumbnail" href="index.php/compatible/jomsocial">\r\n      <img src="images/joomlart/compatible-extension/jomsocial.png" border="0" alt="JomSocial" />\r\n    </a>\r\n  </div>\r\n\r\n  <div class="col-xs-6 col-md-4">\r\n    <a class="thumbnail" href="index.php/compatible/mijoshop">\r\n      <img src="images/joomlart/compatible-extension/mijoshop-logo.png" border="0" alt="mijoshop" />\r\n    </a>\r\n  </div>\r\n\r\n<div class="wrap btn-actions text-center">\r\n    <a class="btn btn-primary btn-lg" role="button" href="http://bit.ly/purity_iii">More detail?</a>\r\n  </div>', 2, 'features-intro-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(211, 564, 'Sidebar 1', '', '<p>Leo Sed nibh ut ac magnis Nam hendrerit lacus convallis massa. Laoreet sed hendrerit et et penatibus tellus et Curabitur lacinia Curabitur. Dis quis semper fringilla Nam pellentesque ipsum id odio scelerisque congue. Et nunc risus Pellentesque sapien malesuada ligula orci tristique adipiscing malesuada. Pede molestie Aenean risus orci id lorem Nullam felis orci velit. </p>\r\n\r\n<p>Hendrerit eu ut id dolor nibh nisl vel augue adipiscing leo. At faucibus Lorem mauris elit Sed vel neque nibh tellus adipiscing. Sagittis dui lacus vitae convallis pretium montes pretium.</p>', 1, 'sidebar-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(212, 565, 'Sidebar 2', '', '<p>Leo Sed nibh ut ac magnis Nam hendrerit lacus convallis massa. Laoreet sed hendrerit et et penatibus tellus et Curabitur lacinia Curabitur. Dis quis semper fringilla Nam pellentesque ipsum id odio scelerisque congue. Et nunc risus Pellentesque sapien malesuada ligula orci tristique adipiscing malesuada. Pede molestie Aenean risus orci id lorem Nullam felis orci velit.</p>\r\n\r\n<p>Porta dapibus laoreet id ut Vestibulum Phasellus magna eros quis gravida. Faucibus Nunc tortor ac enim non ut Nam vitae Nunc ornare. Convallis id nibh id orci ligula Cum nulla Curabitur et aliquam. Auctor augue aliquam magna mi massa parturient Sed Nullam at orci. <a href="#" title="Sample link">Pede nunc condimentum.</a></p>', 1, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(213, 566, 'After content', '', '<p>Nam pellentesque ipsum id odio scelerisque congue. Et nunc risus Pellentesque sapien malesuada ligula orci tristique adipiscing malesuada. Pede molestie Aenean risus orci id lorem Nullam felis orci velit.</p>', 1, 'after-content', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(214, 567, 'Footer 1', '', '<ul>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n</ul>', 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(215, 568, 'Footer 2', '', '<ul>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n</ul>', 1, 'footer-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(216, 569, 'Footer 5', '', '<ul>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n</ul>', 1, 'footer-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(217, 570, 'Footer 3', '', '<ul>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n</ul>', 1, 'footer-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(218, 571, 'Footer 4', '', '<ul>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n</ul>', 1, 'footer-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(219, 572, 'Footer 6', '', '<ul>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n<li><a href="#" title="Sample link">Sample link</a></li>\r\n</ul>', 1, 'footer-6', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(221, 576, 'Purity III and its stunning typography', '', '<img src="images/joomlart/demo/typography.png" alt="Sample image">', 1, 'mega', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(224, 580, 'T3 Framework', '', '<a href="http://demo.t3-framework.org/joomla30/" class="btn btn-block btn-lg btn-default">Live Demo</a>\r\n<a href="http://t3-framework.org/downloads.html" class="btn btn-block btn-lg btn-default">Download</a>\r\n<a href="http://t3-framework.org/whats-new.html" class="btn btn-block btn-lg btn-default">More Info</a>', 2, 'off-canvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(225, 581, 'Purity III Template', '', '<img class="img-responsive" src="images/joomlart/demo/responsive.png" alt="Purity iii - The best free responsive Joomla template for Joomla 3" style="margin-bottom: 20px;" />\r\n\r\n<p class="text-center">Purity III is the best responsive Joomla template that you won\'t get enough of for almost everything...</p>\r\n\r\n<ul class="nav nav-pills nav-stacked">\r\n      <li class="active"><a href="http://bit.ly/purity_iii">Purity III Template</a></li>\r\n      <li class=""><a href="/purity_iii/index.php/layout">Multiple Layouts</a></li>\r\n      <li class=""><a href="/purity_iii/index.php/compatible">Supported 3rd Extensions</a></li>\r\n      <li class=""><a href="http://bit.ly/purity_iii">Download Purity III</a></li>\r\n<li class=""><a href="http://bit.ly/purity_iii">More Info</a></li>\r\n<li class=""><a href="http://www.joomlart.com/documentation/joomla-templates/purity-iii">Documentation</a></li>\r\n<li class=""><a href="http://www.joomlart.com/forums/forumdisplay.php?542-Purity-III">Get Support</a></li>\r\n</ul>', 1, 'off-canvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(226, 585, 'Purity III video', '', '<div class="jumbotron jumbotron-primary masthead">\r\n  <div class="col-md-6" align="left">\r\n    <h1>I\'m Purity III</h1>\r\n    <p>The best free Joomla template that you ever need.</p>\r\n    <div class="btn-actions" style="margin-bottom: 20px;"><p><a href="http://bit.ly/purity_iii" class="btn btn-success btn-lg">Download Now</a></p></div>\r\n  </div>\r\n\r\n  <div class="col-md-6">\r\n    <div class="video-wrapper">\r\n      <iframe width="560" height="315" frameborder="0" src="//www.youtube.com/embed/KSK2OR9pEUY?modestbranding=1&amp;;showinfo=0&amp;;autohide=1&amp;;rel=0&amp;;hd=1&amp;html5=1" allowfullscreen=""></iframe>\r\n    </div>\r\n  </div>\r\n</div>', 1, 'masthead', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-primary","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","masthead-title":"Masthead title","masthead-slogan":""}', 0, '*'),
(228, 591, 'Portfolio Articles ', '', '', 3, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', -2, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"5","category_filtering_type":"1","catid":["83"],"show_child_category_articles":"0","levels":"2","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"_:default","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(229, 593, 'Sample Profiles', '', '<ul class="nav nav-pills nav-stacked">\r\n<li class="active"><a href="index.php/component/joomprofile/?view=profile&task=user.display&id=553">Profile 1</a></li>\r\n<li><a href="index.php/component/joomprofile/?view=profile&task=user.display&id=550">Profile 2</a></li>\r\n<li><a href="index.php/component/joomprofile/?view=profile&task=user.display&id=548">Profile 3</a></li>\r\n<li><a href="index.php/component/joomprofile/?view=profile&task=user.display&id=549">Profile 4</a></li>\r\n<li><a href="index.php/component/joomprofile/?view=profile&task=user.display&id=551">Profile 5</a></li>\r\n</ul>', 1, 'sidebar-2', 42, '2014-07-03 07:02:45', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(1, 537),
(1, 548),
(1, 550),
(1, 551),
(1, 558),
(1, 566),
(1, 652),
(1, 653),
(1, 744),
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(16, 537),
(16, 540),
(16, 542),
(16, 545),
(16, 549),
(16, 567),
(16, 653),
(16, 707),
(16, 710),
(16, 712),
(16, 713),
(16, 744),
(16, 765),
(17, 0),
(19, 201),
(19, 207),
(19, 444),
(19, 449),
(19, 450),
(19, 464),
(19, 468),
(19, 469),
(19, 540),
(19, 542),
(19, 543),
(20, 0),
(22, 234),
(22, 238),
(22, 242),
(22, 243),
(22, 244),
(22, 296),
(22, 399),
(22, 400),
(23, -463),
(23, -462),
(23, -433),
(23, -432),
(23, -431),
(23, -430),
(23, -429),
(23, -427),
(23, -400),
(23, -399),
(23, -296),
(23, -244),
(23, -243),
(23, -242),
(23, -238),
(23, -234),
(25, 294),
(26, 435),
(26, 533),
(26, 540),
(26, 542),
(26, 543),
(26, 545),
(26, 567),
(26, 568),
(26, 569),
(26, 570),
(26, 652),
(26, 653),
(26, 694),
(27, 325),
(27, 694),
(29, 302),
(30, 410),
(31, 558),
(31, 744),
(32, 309),
(33, 307),
(34, 326),
(35, 306),
(37, 311),
(38, 300),
(39, 545),
(39, 709),
(40, 313),
(41, 0),
(45, 540),
(45, 709),
(47, 231),
(47, 234),
(47, 242),
(47, 243),
(47, 244),
(47, 296),
(47, 399),
(47, 400),
(48, 418),
(57, 238),
(57, 427),
(57, 429),
(57, 430),
(57, 431),
(57, 432),
(57, 433),
(57, 462),
(57, 463),
(58, 427),
(58, 429),
(58, 430),
(58, 431),
(58, 432),
(58, 433),
(58, 462),
(58, 463),
(61, 537),
(61, 540),
(61, 542),
(61, 545),
(61, 653),
(63, 0),
(65, 427),
(65, 429),
(65, 430),
(65, 431),
(65, 432),
(65, 433),
(65, 462),
(65, 463),
(68, 243),
(70, 285),
(70, 316),
(71, 285),
(71, 316),
(72, 285),
(72, 316),
(73, 285),
(73, 316),
(74, 285),
(74, 316),
(75, 285),
(75, 316),
(79, 0),
(84, 467),
(86, 0),
(87, 534),
(87, 538),
(88, 534),
(88, 538),
(89, 238),
(89, 427),
(89, 429),
(89, 430),
(89, 431),
(89, 432),
(89, 433),
(89, 462),
(89, 463),
(90, 568),
(92, 568),
(93, 568),
(94, 567),
(95, 567),
(96, 0),
(97, 0),
(98, 0),
(99, 0),
(100, 0),
(101, 536),
(101, 540),
(102, 536),
(102, 540),
(103, 536),
(103, 540),
(104, 536),
(104, 540),
(105, 536),
(106, 536),
(107, 536),
(108, 536),
(112, 0),
(113, 537),
(113, 548),
(113, 558),
(113, 652),
(113, 653),
(114, 0),
(119, 0),
(120, 0),
(121, 0),
(124, 0),
(125, 0),
(126, 0),
(127, 0),
(128, 0),
(129, 0),
(130, 0),
(141, 0),
(142, 0),
(143, 0),
(147, 634),
(158, 693),
(159, 693),
(160, 693),
(161, 693),
(163, 694),
(163, 709),
(163, 744),
(165, 694),
(166, 694),
(166, 744),
(167, 0),
(168, 567),
(169, 634),
(170, 634),
(171, 634),
(172, 634),
(175, 0),
(176, 0),
(177, 568),
(178, 568),
(179, 568),
(181, 568),
(182, 568),
(183, 568),
(184, 568),
(185, 568),
(186, 707),
(186, 710),
(186, 712),
(186, 713),
(187, 707),
(187, 710),
(187, 712),
(187, 713),
(189, 568),
(190, 568),
(191, 568),
(192, 567),
(193, 567),
(194, 567),
(195, 567),
(196, 567),
(197, 567),
(198, 567),
(199, 567),
(200, 721),
(202, 721),
(203, 721),
(204, 721),
(205, 721),
(206, 549),
(206, 568),
(206, 744),
(207, 568),
(208, 707),
(208, 710),
(208, 712),
(208, 713),
(210, 0),
(211, 536),
(212, 536),
(213, 536),
(214, 536),
(215, 536),
(216, 536),
(217, 536),
(218, 536),
(219, 536),
(221, 0),
(224, 0),
(225, 0),
(226, 570),
(228, 0),
(229, 765),
(230, 0),
(231, 0),
(232, 0),
(233, 0),
(234, 0),
(235, 0),
(236, 0),
(237, 0),
(238, 0),
(239, 0),
(240, 0),
(242, 0),
(243, 0);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) binary NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`, `description`, `version`, `hits`, `images`) VALUES
(17, 1, 'Joomla! Announcements', 'joomla-announcements', 'http://www.joomla.org/announcements.feed?type=rss', 1, 5, 3600, 0, '0000-00-00 00:00:00', 1, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 2, 'New Joomla! Extensions', 'new-joomla-extensions', 'http://feeds.joomla.org/JoomlaExtensions', 1, 5, 3600, 0, '0000-00-00 00:00:00', 4, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 3, 'Joomla! Security News', 'joomla-security-news', 'http://feeds.joomla.org/JoomlaSecurityNews', 1, 5, 3600, 0, '0000-00-00 00:00:00', 2, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 4, 'Joomla! Connect', 'joomla-connect', 'http://feeds.joomla.org/JoomlaConnect', 1, 5, 3600, 0, '0000-00-00 00:00:00', 3, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2011-01-01 00:00:01', 42, 'Joomla', '0000-00-00 00:00:00', 0, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, '');

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__postinstall_messages`;
CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_MSG_EACCELERATOR_TITLE', 'COM_CPANEL_MSG_EACCELERATOR_BODY', 'COM_CPANEL_MSG_EACCELERATOR_BUTTON', 'com_cpanel', 1, 'action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_condition', '3.2.0', 1),
(3, 700, 'PLG_USER_JOOMLA_POSTINSTALL_STRONGPW_TITLE', 'PLG_USER_JOOMLA_POSTINSTALL_STRONGPW_TEXT', 'PLG_USER_JOOMLA_POSTINSTALL_STRONGPW_BTN', 'plg_user_joomla', 1, 'action', 'site://plugins/user/joomla/postinstall/actions.php', 'plguserjoomla_postinstall_action', 'site://plugins/user/joomla/postinstall/actions.php', 'plguserjoomla_postinstall_condition', '3.2.0', 1),
(4, 700, 'COM_CPANEL_MSG_HTACCESS_TITLE', 'COM_CPANEL_MSG_HTACCESS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/htaccess.php', 'admin_postinstall_htaccess_condition', '3.4.0', 1),
(5, 700, 'COM_CPANEL_MSG_ROBOTS_TITLE', 'COM_CPANEL_MSG_ROBOTS_BODY', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.3.0', 1),
(6, 700, 'COM_CPANEL_MSG_LANGUAGEACCESS340_TITLE', 'COM_CPANEL_MSG_LANGUAGEACCESS340_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/languageaccess340.php', 'admin_postinstall_languageaccess340_condition', '3.4.1', 1);

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '3.4.0-2015-02-26'),
(10062, '3.9.19335'),
(10063, '3.2.9599');

DROP TABLE IF EXISTS `#__social_access`;
CREATE TABLE `#__social_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_access_rules`;
CREATE TABLE `#__social_access_rules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `extension` varchar(255) NOT NULL,
  `element` varchar(255) NOT NULL,
  `group` varchar(255) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `state` (`state`),
  KEY `extension` (`extension`),
  KEY `element` (`element`),
  KEY `group` (`group`)
) ENGINE=MyISAM AUTO_INCREMENT=48 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_access_rules` (`id`, `name`, `title`, `description`, `extension`, `element`, `group`, `state`, `created`, `params`) VALUES
(1, 'comments.add', 'Add Comments', 'Allow this usergroup to add comments.', 'com_easysocial', 'comments', 'user', 1, '2014-11-27 03:15:33', '{}'),
(2, 'comments.read', 'Read Comments', 'Allow this usergroup to read comments.', 'com_easysocial', 'comments', 'user', 1, '2014-11-27 03:15:33', '{}'),
(3, 'comments.report', 'Report Comments', 'Allow this usergroup to report comments.', 'com_easysocial', 'comments', 'user', 1, '2014-11-27 03:15:33', '{}'),
(4, 'comments.edit', 'Edit Comments', 'Allow this usergroup to edit all comments.', 'com_easysocial', 'comments', 'user', 1, '2014-11-27 03:15:33', '{"default":false}'),
(5, 'comments.editown', 'Edit Own Comments', 'Allow this usergroup to edit own authored comments.', 'com_easysocial', 'comments', 'user', 1, '2014-11-27 03:15:33', '{}'),
(6, 'comments.delete', 'Delete Comments', 'Allow this usergroup to delete all comments.', 'com_easysocial', 'comments', 'user', 1, '2014-11-27 03:15:33', '{"default":false}'),
(7, 'comments.deleteown', 'Delete Own Comments', 'Allow this usergroup to delete own authored comments.', 'com_easysocial', 'comments', 'user', 1, '2014-11-27 03:15:33', '{}'),
(8, 'conversations.create', 'Start New Conversation', 'If enabled, user\'s in this group will be allowed to start a new conversation.', 'com_easysocial', 'conversations', 'user', 1, '2014-11-27 03:15:35', '{}'),
(9, 'conversations.invite', 'Invite Users to Group Conversation', 'If enabled, user\'s in this group will be allowed to invite other users into an existing group conversation.', 'com_easysocial', 'conversations', 'user', 1, '2014-11-27 03:15:35', '{}'),
(10, 'conversations.send.daily', 'Daily Send Limit', 'Configure the maximum number of messages user can send a day.', 'com_easysocial', 'conversations', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"messages","default":0}'),
(11, 'events.create', 'Create Event', 'Specify if user is allowed to create event.', 'com_easysocial', 'events', 'user', 1, '2014-11-27 03:15:35', '{}'),
(12, 'events.limit', 'Event Limit', 'Specify the maximum number of events that can be created.', 'com_easysocial', 'events', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","default":0}'),
(13, 'events.join', 'Total Events Allowed to Attend', 'Specify the total events that a user is allowed to attend.', 'com_easysocial', 'events', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","default":0}'),
(14, 'events.moderate', 'Moderate Event Creation', 'Specify if event created by user should be moderated by admin.', 'com_easysocial', 'events', 'user', 1, '2014-11-27 03:15:35', '{}'),
(15, 'photos.enabled', 'Allow Photo Albums', 'Specify if photo albums is allowed for events in this category.', 'com_easysocial', 'photos', 'event', 1, '2014-11-27 03:15:35', '{}'),
(16, 'photos.max', 'Total Photos Allowed', 'Specify the total photos allowed for events in this category.', 'com_easysocial', 'photos', 'event', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"COM_EASYSOCIAL_ACCESS_EVENTS_PHOTOS_TOTAL_PHOTOS_SUFFIX","default":0}'),
(17, 'photos.maxdaily', 'Total Daily Uploads Allowed', 'Specify the total photos allowed to be uploaded per day for events in this category.', 'com_easysocial', 'photos', 'event', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"COM_EASYSOCIAL_ACCESS_EVENTS_PHOTOS_TOTAL_PHOTOS_SUFFIX","default":0}'),
(18, 'photos.maxsize', 'Maximum File Size Allowed', 'Specify the maximum file sized allowed for photos uploaded.', 'com_easysocial', 'photos', 'event', 1, '2014-11-27 03:15:35', '{"type":"text","class":"form-control input-sm input-short text-center","suffix":"MB","default":"8"}'),
(19, 'files.enabled', 'Allow File Sharing', 'Specify if the file sharing feature is allowed for events in this category.', 'com_easysocial', 'files', 'event', 1, '2014-11-27 03:15:35', '{"type":"boolean","default":true}'),
(20, 'files.max', 'Total Files Allowed', 'Specify the total files allowed for events in this category.', 'com_easysocial', 'files', 'event', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"COM_EASYSOCIAL_ACCESS_EVENTS_FILES_TOTAL_FILES_SUFFIX","default":0}'),
(21, 'files.maxsize', 'Maximum File Size Allowed', 'Specify the maximum file sized allowed for files uploaded.', 'com_easysocial', 'files', 'event', 1, '2014-11-27 03:15:35', '{"type":"text","class":"form-control input-sm input-short text-center","suffix":"MB","default":"8"}'),
(22, 'events.groupevent', 'Allow Group Event', 'Specify if groups in this category should allow event creation.', 'com_easysocial', 'events', 'group', 1, '2014-11-27 03:15:35', '{"type":"boolean","default":true}'),
(23, 'files.upload', 'File Uploads', 'This access determines if the user is allowed to upload files in the story form.', 'com_easysocial', 'files', 'user', 1, '2014-11-27 03:15:35', '{}'),
(24, 'friends.list.enabled', 'Create Friends List', 'Determines if the user in this group is allowed to create friend lists.', 'com_easysocial', 'friends', 'user', 1, '2014-11-27 03:15:35', '{}'),
(25, 'friends.list.limit', 'Friends List', 'Set the number of friend lists users from this group is allowed to create.', 'com_easysocial', 'friends', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","default":0}'),
(26, 'friends.limit', 'Friends Limit', 'Determines the number of friends a user from this group is allowed to have.', 'com_easysocial', 'friends', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","default":0}'),
(27, 'groups.create', 'Create Groups', 'Determines if the user has access to create new groups.', 'com_easysocial', 'groups', 'user', 1, '2014-11-27 03:15:35', '{}'),
(28, 'groups.limit', 'Group Limit', 'Determines the total number of groups the user is allowed to create on the site.', 'com_easysocial', 'groups', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","default":0}'),
(29, 'groups.join', 'Total Groups Allowed To Join', 'Defines the total number of groups the user is allowed to join.', 'com_easysocial', 'groups', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","default":0}'),
(30, 'groups.moderate', 'Moderate Group Creation', 'Determines if the group should be moderated first before being published.', 'com_easysocial', 'groups', 'user', 1, '2014-11-27 03:15:35', '{}'),
(31, 'photos.enabled', 'Allow Photo Albums', 'Determines if photo albums are allowed for groups in this category.', 'com_easysocial', 'photos', 'group', 1, '2014-11-27 03:15:35', '{}'),
(32, 'photos.max', 'Total Photos Allowed', 'Determines the total number of photos allowed for groups in this category.', 'com_easysocial', 'photos', 'group', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"COM_EASYSOCIAL_ACCESS_GROUPS_PHOTOS_TOTAL_PHOTOS_SUFFIX","default":0}'),
(33, 'photos.maxdaily', 'Total Daily Uploads Allowed', 'Determines the total number of photos allowed to be uploaded daily for groups in this category.', 'com_easysocial', 'photos', 'group', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"COM_EASYSOCIAL_ACCESS_GROUPS_PHOTOS_TOTAL_PHOTOS_SUFFIX","default":0}'),
(34, 'photos.maxsize', 'Maximum File Size Allowed', 'Determines the maximum file size allowed for groups in this category.', 'com_easysocial', 'photos', 'group', 1, '2014-11-27 03:15:35', '{"type":"text","class":"form-control input-sm input-short text-center","suffix":"MB","default":"8"}'),
(35, 'files.enabled', 'Allow Filesharing', 'Determines if the file sharing should be enabled for groups in this category.', 'com_easysocial', 'files', 'group', 1, '2014-11-27 03:15:35', '{"type":"boolean","default":true}'),
(36, 'files.max', 'Total Files Allowed', 'Set the total number of files allowed to be uploaded via the file manager.', 'com_easysocial', 'files', 'group', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"COM_EASYSOCIAL_ACCESS_GROUPS_FILES_TOTAL_FILES_SUFFIX","default":0}'),
(37, 'files.maxsize', 'Maximum File Size Allowed', 'Set the upload limit for files that are uploaded via the file manager.', 'com_easysocial', 'files', 'group', 1, '2014-11-27 03:15:35', '{"type":"text","class":"form-control input-sm input-short text-center","suffix":"MB","default":"8"}'),
(38, 'albums.create', 'Create albums', 'This option determines if the user is allowed to create a new album.', 'com_easysocial', 'albums', 'user', 1, '2014-11-27 03:15:35', '{}'),
(39, 'albums.total', 'Maximum albums', 'Set the number of photo albums a user is allowed to create on the site.', 'com_easysocial', 'albums', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","default":0}'),
(40, 'photos.uploader.maxsize', 'Maximum file size', 'Set the maximum file size of photo upload.', 'com_easysocial', 'photos', 'user', 1, '2014-11-27 03:15:35', '{"type":"text","class":"form-control input-sm input-short text-center","default":5,"suffix":"MB"}'),
(41, 'photos.uploader.max', 'Maximum photos upload', 'Set the number of photos upload that are allowed by user.', 'com_easysocial', 'photos', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"photos","default":500}'),
(42, 'photos.uploader.maxdaily', 'Maximum photo upload per day', 'Set the number of daily photos upload that are allowed by user.', 'com_easysocial', 'photos', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"photos","default":20}'),
(43, 'photos.totalfiles.limit', 'Maximum Storage Size', 'Here, you may define a maximum storage size allowed for users in this profile type.', 'com_easysocial', 'photos', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","suffix":"MB","default":0}'),
(44, 'reports.submit', 'Submit Reports', 'By enabling this option, users in this group will be allowed to submit a report.', 'com_easysocial', 'reports', 'user', 1, '2014-11-27 03:15:35', '{}'),
(45, 'reports.limit', 'Total Reports', 'Specify the total number of reports this user may submit.', 'com_easysocial', 'reports', 'user', 1, '2014-11-27 03:15:35', '{"type":"limit","default":0}'),
(46, 'stream.hide', 'Allow hiding single stream item', 'Allow user to hide stream item from frontend.', 'com_easysocial', 'stream', 'user', 1, '2014-11-27 03:15:35', '{}'),
(47, 'stream.delete', 'Allow delete single stream item', 'Allow user to delete stream item from frontend.', 'com_easysocial', 'stream', 'user', 1, '2014-11-27 03:15:35', '{"default":false}');

DROP TABLE IF EXISTS `#__social_albums`;
CREATE TABLE `#__social_albums` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cover_id` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  `title` text NOT NULL,
  `caption` text NOT NULL,
  `created` datetime NOT NULL,
  `assigned_date` datetime NOT NULL,
  `ordering` tinyint(3) NOT NULL,
  `params` text NOT NULL,
  `core` tinyint(3) NOT NULL,
  `hits` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`,`type`),
  KEY `user_id` (`user_id`),
  KEY `idx_albums_user_assigned` (`uid`,`type`,`assigned_date`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_albums` (`id`, `cover_id`, `uid`, `type`, `user_id`, `title`, `caption`, `created`, `assigned_date`, `ordering`, `params`, `core`, `hits`) VALUES
(1, 1, 542, 'user', 0, 'Album1', 'Praesent tempor faucibus metus, vel sed.\n', '2014-01-08 10:28:56', '2014-01-08 00:00:00', 5, '{}', 0, 0),
(2, 5, 542, 'user', 0, 'Story Photos', 'Photos that are uploaded for the stories.', '2014-01-08 10:31:26', '0000-00-00 00:00:00', 7, 'null', 3, 0),
(3, 6, 542, 'user', 0, 'Avatar Photos', 'Photos that are uploaded for the profile avatar.', '2014-01-08 10:35:33', '0000-00-00 00:00:00', 9, 'null', 1, 0),
(4, 0, 0, 'user', 0, 'Cover Photos', 'Photos that are uploaded for profile cover.', '2014-01-08 10:35:34', '0000-00-00 00:00:00', 1, 'null', 2, 0),
(5, 8, 545, 'user', 0, 'Avatar Photos', 'Photos that are uploaded for the profile avatar.', '2014-01-08 10:37:33', '0000-00-00 00:00:00', 2, 'null', 1, 0),
(7, 10, 546, 'user', 0, 'Avatar Photos', 'Photos that are uploaded for the profile avatar.', '2014-01-08 10:43:25', '0000-00-00 00:00:00', 2, 'null', 1, 0),
(8, 11, 545, 'user', 0, 'my photos', '', '2014-01-09 03:22:56', '2014-01-09 00:00:00', 5, '{}', 0, 0),
(9, 13, 542, 'user', 0, 'Album2', '', '2014-01-09 03:27:36', '2014-01-09 00:00:00', 12, '{}', 0, 0),
(10, 15, 545, 'user', 0, 'picnic', '', '2014-01-09 07:33:55', '2014-01-09 00:00:00', 8, '{}', 0, 0),
(12, 19, 543, 'user', 0, 'New Pic ^^', 'Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas', '2014-01-09 07:39:07', '2014-01-09 00:00:00', 3, '{}', 0, 0);

DROP TABLE IF EXISTS `#__social_alert`;
CREATE TABLE `#__social_alert` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension` varchar(255) NOT NULL,
  `element` varchar(255) NOT NULL,
  `rule` varchar(255) NOT NULL,
  `email` int(1) NOT NULL DEFAULT '1',
  `system` int(1) NOT NULL DEFAULT '1',
  `core` int(1) NOT NULL DEFAULT '0',
  `app` int(1) NOT NULL DEFAULT '0',
  `field` tinyint(3) NOT NULL DEFAULT '0',
  `group` varchar(255) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_alert_field` (`field`),
  KEY `idx_alert_published` (`published`),
  KEY `idx_alert_element` (`element`),
  KEY `idx_alert_rule` (`rule`),
  KEY `idx_alert_published_field` (`published`,`field`),
  KEY `idx_alert_isfield` (`published`,`field`,`element`(64),`rule`(64))
) ENGINE=MyISAM AUTO_INCREMENT=61 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_alert` (`id`, `extension`, `element`, `rule`, `email`, `system`, `core`, `app`, `field`, `group`, `created`, `published`) VALUES
(1, '', 'albums', 'comment.add', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(2, '', 'badges', 'unlocked', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(3, '', 'comments', 'item', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(4, '', 'comments', 'involved', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(5, '', 'comments', 'like', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(6, '', 'conversations', 'reply', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(7, '', 'conversations', 'invite', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(8, '', 'conversations', 'new', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(9, '', 'conversations', 'invited', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(10, '', 'conversations', 'leave', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(11, '', 'friends', 'approve', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(12, '', 'friends', 'request', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(13, '', 'likes', 'item', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(14, '', 'likes', 'involved', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(15, '', 'photos', 'comment.add', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(16, '', 'photos', 'tagged', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(17, '', 'photos', 'likes', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(18, '', 'profile', 'followed', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(19, '', 'profile', 'story', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(20, '', 'stream', 'tagged', 1, 1, 1, 0, 0, '', '2013-12-30 08:28:04', 1),
(21, '', 'relationship', 'request', 1, 1, 0, 0, 1, 'user', '2014-11-27 03:15:24', 1),
(22, '', 'relationship', 'approve', 1, 1, 0, 0, 1, 'user', '2014-11-27 03:15:24', 1),
(23, '', 'relationship', 'reject', 1, 1, 0, 0, 1, 'user', '2014-11-27 03:15:24', 1),
(24, '', 'comments', 'tagged', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(25, '', 'events', 'discussion.create', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(26, '', 'events', 'discussion.reply', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(27, '', 'events', 'discussion.answered', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(28, '', 'events', 'discussion.locked', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(29, '', 'events', 'guest.makeadmin', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(30, '', 'events', 'guest.revokeadmin', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(31, '', 'events', 'guest.reject', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(32, '', 'events', 'guest.approve', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(33, '', 'events', 'guest.remove', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(34, '', 'events', 'guest.going', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(35, '', 'events', 'guest.maybe', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(36, '', 'events', 'guest.notgoing', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(37, '', 'events', 'guest.request', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(38, '', 'events', 'guest.withdraw', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(39, '', 'events', 'guest.invited', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(40, '', 'events', 'news', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(41, '', 'events', 'task.created', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(42, '', 'events', 'task.completed', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(43, '', 'events', 'milestone.created', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(44, '', 'events', 'updates', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(45, '', 'groups', 'invited', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(46, '', 'groups', 'approved', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(47, '', 'groups', 'joined', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(48, '', 'groups', 'user.rejected', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(49, '', 'groups', 'updates', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(50, '', 'groups', 'promoted', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(51, '', 'groups', 'requested', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(52, '', 'groups', 'leave', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(53, '', 'groups', 'news', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(54, '', 'groups', 'discussion.create', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(55, '', 'groups', 'discussion.reply', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(56, '', 'groups', 'milestone.create', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(57, '', 'groups', 'task.create', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(58, '', 'groups', 'task.completed', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(59, '', 'groups', 'user.removed', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1),
(60, '', 'repost', 'item', 1, 1, 1, 0, 0, '', '2014-11-27 03:15:37', 1);

DROP TABLE IF EXISTS `#__social_alert_map`;
CREATE TABLE `#__social_alert_map` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned DEFAULT '0',
  `alert_id` bigint(20) NOT NULL,
  `email` int(1) DEFAULT '1',
  `system` int(1) DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_alertmap_alertid` (`alert_id`),
  KEY `idx_alertmap_userid` (`user_id`),
  KEY `idx_alertmap_alertuser` (`alert_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_apps`;
CREATE TABLE `#__social_apps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `core` tinyint(4) NOT NULL DEFAULT '0',
  `system` tinyint(3) NOT NULL DEFAULT '0',
  `unique` tinyint(4) NOT NULL DEFAULT '0',
  `default` tinyint(3) NOT NULL,
  `type` varchar(255) NOT NULL COMMENT 'It could be widgets,fields or applications',
  `element` varchar(255) NOT NULL,
  `group` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(4) NOT NULL,
  `created` datetime NOT NULL,
  `ordering` int(11) NOT NULL,
  `params` text NOT NULL,
  `version` varchar(255) NOT NULL,
  `widget` tinyint(3) NOT NULL,
  `visible` tinyint(4) NOT NULL DEFAULT '1',
  `installable` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `state` (`state`),
  KEY `type` (`type`),
  KEY `core` (`core`),
  KEY `idx_default_widget` (`state`,`group`,`widget`,`default`),
  KEY `idx_group` (`group`),
  KEY `idx_apps_element` (`element`),
  KEY `idx_apps_type_group` (`type`(64),`group`(64))
) ENGINE=MyISAM AUTO_INCREMENT=162 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_apps` (`id`, `core`, `system`, `unique`, `default`, `type`, `element`, `group`, `title`, `alias`, `state`, `created`, `ordering`, `params`, `version`, `widget`, `visible`, `installable`) VALUES
(1, 1, 0, 0, 0, 'apps', 'adsense', 'user', 'Adsense', 'adsense', 1, '2013-12-30 08:27:19', 0, '{}', '1.0.1', 1, 1, 1),
(2, 1, 0, 0, 0, 'apps', 'albums', 'user', 'Albums', 'albums', 1, '2013-12-30 08:27:19', 0, '{}', '1.0.1', 1, 1, 1),
(3, 1, 1, 0, 0, 'apps', 'apps', 'user', 'Apps', 'apps', 1, '2013-12-30 08:27:19', 0, '{}', '1.0.1', 0, 1, 0),
(4, 0, 0, 0, 0, 'apps', 'article', 'user', 'Article', 'article', 1, '2013-12-30 08:27:19', 0, '{}', '1.0.1', 0, 1, 1),
(5, 1, 1, 0, 0, 'apps', 'badges', 'user', 'Badges', 'badges', 1, '2013-12-30 08:27:20', 0, '{}', '1.0.1', 0, 1, 0),
(6, 0, 0, 0, 0, 'apps', 'birthday', 'user', 'Upcoming Birthday', 'upcoming-birthday', 1, '2013-12-30 08:27:20', 0, '{}', '1.0.1', 1, 1, 1),
(7, 0, 0, 0, 0, 'apps', 'calendar', 'user', 'Calendar', 'calendar', 1, '2013-12-30 08:27:20', 0, '{"changelog":"https:\\/\\/easysocialapp.com\\/apps\\/user\\/calendar\\/changelog.xml","version":"https:\\/\\/easysocialapp.com\\/apps\\/user\\/calendar\\/version.xml","update":"https:\\/\\/easysocialapp.com\\/apps\\/user\\/calendar\\/patch.php"}', '1.0.1', 1, 1, 1),
(8, 1, 1, 0, 0, 'apps', 'facebook', 'user', 'Facebook', 'facebook', 1, '2013-12-30 08:27:20', 0, '{}', '1.0.1', 0, 1, 0),
(9, 0, 0, 0, 0, 'apps', 'feeds', 'user', 'Feeds', 'feeds', 1, '2013-12-30 08:27:21', 0, '{}', '1.0.1', 0, 1, 1),
(10, 1, 0, 0, 0, 'apps', 'followers', 'user', 'Followers', 'followers', 1, '2013-12-30 08:27:21', 0, '{}', '1.0.1', 1, 1, 0),
(11, 1, 0, 0, 0, 'apps', 'friends', 'user', 'Friends', 'friends', 1, '2013-12-30 08:27:21', 0, '{}', '1.0.1', 1, 1, 1),
(12, 0, 0, 0, 0, 'apps', 'kunena', 'user', 'Kunena Forum', 'kunena-forum', 1, '2013-12-30 08:27:21', 0, '{}', '1.0.0', 1, 1, 1),
(13, 1, 0, 0, 0, 'apps', 'links', 'user', 'Links', 'links', 1, '2013-12-30 08:27:21', 0, '{}', '1.0.1', 0, 1, 0),
(14, 1, 0, 0, 0, 'apps', 'locations', 'user', 'Locations', 'locations', 1, '2013-12-30 08:27:21', 0, '{}', '1.0.1', 0, 1, 0),
(15, 1, 1, 0, 0, 'apps', 'mentions', 'user', 'Mentions', 'mentions', 1, '2013-12-30 08:27:21', 0, '{}', '1.0.1', 1, 1, 0),
(16, 0, 0, 0, 0, 'apps', 'notes', 'user', 'Notes', 'notes', 1, '2013-12-30 08:27:22', 0, '{}', '1.0.1', 0, 1, 1),
(17, 1, 0, 0, 0, 'apps', 'photos', 'user', 'Photos', 'photos', 1, '2013-12-30 08:27:22', 0, '{}', '1.0.1', 1, 1, 1),
(18, 1, 1, 0, 0, 'apps', 'profiles', 'user', 'Profiles', 'profiles', 1, '2013-12-30 08:27:22', 0, '{}', '1.0.1', 0, 1, 0),
(19, 1, 1, 0, 0, 'apps', 'shares', 'user', 'Shares', 'shares', 1, '2013-12-30 08:27:22', 0, '{}', '1.0.1', 0, 1, 0),
(20, 1, 1, 0, 0, 'apps', 'story', 'user', 'Story', 'story', 1, '2013-12-30 08:27:22', 0, '{}', '1.0.1', 0, 1, 0),
(21, 0, 0, 0, 0, 'apps', 'tasks', 'user', 'Tasks', 'tasks', 1, '2013-12-30 08:27:22', 0, '{}', '1.0.1', 0, 1, 1),
(22, 0, 0, 0, 0, 'fields', 'address', 'user', 'Address', '', 1, '2013-12-30 08:27:53', 0, '{}', '1.0.0', 0, 1, 0),
(23, 1, 0, 0, 0, 'fields', 'avatar', 'user', 'Avatar', '', 1, '2013-12-30 08:27:54', 0, '{}', '1.0.0', 0, 1, 0),
(24, 0, 0, 0, 0, 'fields', 'birthday', 'user', 'Birthday', '', 1, '2013-12-30 08:27:54', 0, '{}', '1.0.0', 0, 1, 0),
(25, 0, 0, 0, 0, 'fields', 'boolean', 'user', 'Boolean', '', 1, '2013-12-30 08:27:55', 0, '{}', '1.0.0', 0, 1, 0),
(26, 0, 0, 0, 0, 'fields', 'checkbox', 'user', 'Checkboxes', '', 1, '2013-12-30 08:27:55', 0, '{}', '1.0.0', 0, 1, 0),
(27, 0, 0, 0, 0, 'fields', 'country', 'user', 'Country', '', 1, '2013-12-30 08:27:55', 0, '{}', '1.0.0', 0, 1, 0),
(28, 1, 0, 0, 0, 'fields', 'cover', 'user', 'Cover', '', 1, '2013-12-30 08:27:56', 0, '{}', '1.0.0', 0, 1, 0),
(29, 0, 0, 0, 0, 'fields', 'currency', 'user', 'Currency', '', 1, '2013-12-30 08:27:56', 0, '{}', '1.0.0', 0, 1, 0),
(30, 0, 0, 0, 0, 'fields', 'datetime', 'user', 'Datetime', '', 1, '2013-12-30 08:27:56', 0, '{}', '1.0.0', 0, 1, 0),
(31, 0, 0, 1, 0, 'fields', 'discuss_signature', 'user', 'Discuss Signature', '', 1, '2013-12-30 08:27:57', 0, '{"icon":"icon-field-easydiscuss"}', '1.0.0', 0, 1, 0),
(32, 0, 0, 0, 0, 'fields', 'dropdown', 'user', 'Dropdown List', '', 1, '2013-12-30 08:27:57', 0, '{}', '1.0.0', 0, 1, 0),
(33, 0, 0, 1, 0, 'fields', 'easyblog_adsense', 'user', 'EasyBlog Adsense', '', 1, '2013-12-30 08:27:57', 0, '{"icon":"icon-field-easyblog"}', '1.0.0', 0, 1, 0),
(34, 0, 0, 1, 0, 'fields', 'easyblog_desc', 'user', 'EasyBlog Description', '', 1, '2013-12-30 08:27:58', 0, '{"icon":"icon-field-easyblog"}', '1.0.0', 0, 1, 0),
(35, 0, 0, 0, 0, 'fields', 'easyblog_permalink', 'user', 'EasyBlog Permalink', '', 1, '2013-12-30 08:27:58', 0, '{"icon":"icon-field-easyblog"}', '1.0.0', 0, 1, 0),
(36, 0, 0, 0, 0, 'fields', 'email', 'user', 'Email', '', 1, '2013-12-30 08:27:58', 0, '{}', '1.0.0', 0, 1, 0),
(37, 0, 0, 0, 0, 'fields', 'file', 'user', 'File', '', 1, '2013-12-30 08:27:58', 0, '{}', '1.0.0', 0, 1, 0),
(38, 0, 0, 0, 0, 'fields', 'gender', 'user', 'Gender', '', 1, '2013-12-30 08:27:58', 0, '{}', '1.0', 0, 1, 0),
(39, 0, 0, 0, 0, 'fields', 'header', 'user', 'Header', '', 1, '2013-12-30 08:27:58', 0, '{}', '1.0.0', 0, 1, 0),
(40, 0, 0, 0, 0, 'fields', 'headline', 'user', 'Headline', '', 1, '2013-12-30 08:27:58', 0, '{}', '1.0.0', 0, 1, 0),
(41, 1, 0, 0, 0, 'fields', 'joomla_email', 'user', 'Joomla User Email', '', 1, '2013-12-30 08:27:59', 0, '{}', '1.0.0', 0, 1, 0),
(42, 1, 0, 0, 0, 'fields', 'joomla_fullname', 'user', 'Joomla User Fullname', '', 1, '2013-12-30 08:27:59', 0, '{}', '1.0.0', 0, 1, 0),
(43, 1, 0, 0, 0, 'fields', 'joomla_password', 'user', 'Joomla User Password', '', 1, '2013-12-30 08:27:59', 0, '{}', '1.0.0', 0, 1, 0),
(44, 0, 0, 1, 0, 'fields', 'joomla_timezone', 'user', 'Joomla User Timezone', '', 1, '2013-12-30 08:28:00', 0, '{}', '1.0.0', 0, 1, 0),
(45, 0, 0, 1, 0, 'fields', 'joomla_user_editor', 'user', 'Joomla User Editor', '', 1, '2013-12-30 08:28:00', 0, '{}', '1.0.0', 0, 1, 0),
(46, 1, 0, 0, 0, 'fields', 'joomla_username', 'user', 'Joomla Username', '', 1, '2013-12-30 08:28:00', 0, '{}', '1.0.0', 0, 1, 0),
(47, 0, 0, 0, 0, 'fields', 'kunena_signature', 'user', 'Kunena Signature', '', 1, '2013-12-30 08:28:01', 0, '{}', '1.0.0', 0, 1, 0),
(48, 0, 0, 0, 0, 'fields', 'mollom', 'user', 'Mollom', '', 1, '2013-12-30 08:28:01', 0, '{}', '1.0.0', 0, 1, 0),
(49, 0, 0, 0, 0, 'fields', 'multilist', 'user', 'Multilist', '', 1, '2013-12-30 08:28:01', 0, '{}', '1.0.0', 0, 1, 0),
(50, 0, 0, 0, 0, 'fields', 'permalink', 'user', 'Permalink', '', 1, '2013-12-30 08:28:01', 0, '{}', '1.0', 0, 1, 0),
(51, 0, 0, 0, 0, 'fields', 'recaptcha', 'user', 'Recaptcha', '', 1, '2013-12-30 08:28:02', 0, '{}', '1.0.0', 0, 1, 0),
(52, 0, 0, 0, 0, 'fields', 'relationship', 'user', 'Relationship Status', '', 1, '2013-12-30 08:28:02', 0, '{}', '1.0.0', 0, 1, 0),
(53, 0, 0, 0, 0, 'fields', 'separator', 'user', 'Separator', '', 1, '2013-12-30 08:28:02', 0, '{}', '1.0.0', 0, 1, 0),
(54, 0, 0, 0, 0, 'fields', 'terms', 'user', 'Terms', '', 1, '2013-12-30 08:28:03', 0, '{}', '1.0.0', 0, 1, 0),
(55, 0, 0, 0, 0, 'fields', 'textarea', 'user', 'Textarea', '', 1, '2013-12-30 08:28:03', 0, '{}', '1.0.0', 0, 1, 0),
(56, 0, 0, 0, 0, 'fields', 'textbox', 'user', 'Textbox', '', 1, '2013-12-30 08:28:03', 0, '{}', '1.0.0', 0, 1, 0),
(57, 0, 0, 0, 0, 'fields', 'url', 'user', 'URL', '', 1, '2013-12-30 08:28:03', 0, '{}', '1.0.0', 0, 1, 0),
(58, 1, 1, 0, 0, 'apps', 'broadcast', 'user', 'Broadcast', 'broadcast', 1, '2014-11-27 03:15:20', 0, '{}', '1.0.182', 0, 1, 0),
(59, 1, 1, 0, 0, 'apps', 'events', 'user', 'Events', 'events', 1, '2014-11-27 03:15:21', 0, '{}', '1.0.82', 1, 1, 0),
(60, 0, 0, 0, 0, 'apps', 'files', 'user', 'Files', 'files', 1, '2014-11-27 03:15:21', 0, '{}', '1.0.225', 0, 1, 0),
(61, 1, 1, 0, 0, 'apps', 'groups', 'user', 'Groups', 'groups', 1, '2014-11-27 03:15:21', 0, '{}', '1.0.225', 1, 1, 0),
(62, 0, 0, 0, 0, 'apps', 'k2', 'user', 'K2', 'k2', 1, '2014-11-27 03:15:21', 0, '{}', '1.2.227', 0, 1, 1),
(63, 0, 0, 0, 0, 'apps', 'relationship', 'user', 'Relationship', 'relationship', 1, '2014-11-27 03:15:21', 0, '{}', '1.0.224', 0, 1, 1),
(64, 1, 0, 0, 0, 'apps', 'users', 'user', 'Users', 'users', 1, '2014-11-27 03:15:21', 0, '{}', '1.0.225', 1, 1, 0),
(65, 0, 0, 0, 0, 'apps', 'discussions', 'group', 'Discussions', 'discussions', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.224', 1, 1, 1),
(66, 1, 0, 0, 0, 'apps', 'events', 'group', 'Events', 'events', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.82', 1, 1, 0),
(67, 0, 0, 0, 0, 'apps', 'feeds', 'group', 'Feeds', 'feeds', 1, '2014-11-27 03:15:22', 0, '{}', '1.3.82', 0, 1, 1),
(68, 1, 0, 0, 0, 'apps', 'files', 'group', 'Files', 'files', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 1, 1, 1),
(69, 1, 1, 0, 0, 'apps', 'groups', 'group', 'Groups', 'groups', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 0, 1, 1),
(70, 1, 0, 0, 0, 'apps', 'links', 'group', 'Links', 'links', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 0, 1, 0),
(71, 0, 0, 0, 0, 'apps', 'members', 'group', 'Members', 'members', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 1, 1, 1),
(72, 1, 0, 0, 0, 'apps', 'news', 'group', 'News', 'news', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 1, 1, 0),
(73, 1, 0, 0, 0, 'apps', 'photos', 'group', 'Photos', 'photos', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 1, 1, 1),
(74, 1, 1, 0, 0, 'apps', 'shares', 'group', 'Shares', 'shares', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 0, 1, 0),
(75, 1, 1, 0, 0, 'apps', 'story', 'group', 'Story', 'story', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 0, 1, 0),
(76, 1, 0, 0, 0, 'apps', 'tasks', 'group', 'Tasks', 'tasks', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.225', 1, 1, 1),
(77, 0, 0, 0, 0, 'apps', 'discussions', 'event', 'Discussions', 'discussions', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.82', 1, 1, 1),
(78, 1, 1, 0, 0, 'apps', 'events', 'event', 'Events', 'events', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.82', 0, 1, 1),
(79, 1, 0, 0, 0, 'apps', 'files', 'event', 'Files', 'files', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.82', 1, 1, 1),
(80, 1, 0, 0, 0, 'apps', 'guests', 'event', 'Guests', 'guests', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.82', 1, 1, 1),
(81, 1, 0, 0, 0, 'apps', 'links', 'event', 'Links', 'links', 1, '2014-11-27 03:15:22', 0, '{}', '1.0.82', 0, 1, 0),
(82, 1, 0, 0, 0, 'apps', 'news', 'event', 'News', 'news', 1, '2014-11-27 03:15:23', 0, '{}', '1.0.82', 1, 1, 0),
(83, 1, 0, 0, 0, 'apps', 'photos', 'event', 'Photos', 'photos', 1, '2014-11-27 03:15:23', 0, '{}', '1.0.82', 1, 1, 1),
(84, 1, 1, 0, 0, 'apps', 'shares', 'event', 'Shares', 'shares', 1, '2014-11-27 03:15:23', 0, '{}', '1.0.82', 0, 1, 0),
(85, 1, 1, 0, 0, 'apps', 'story', 'event', 'Story', 'story', 1, '2014-11-27 03:15:23', 0, '{}', '1.0.82', 0, 1, 0),
(86, 1, 0, 0, 0, 'apps', 'tasks', 'event', 'Tasks', 'tasks', 1, '2014-11-27 03:15:23', 0, '{}', '1.0.82', 1, 1, 1),
(87, 0, 0, 1, 0, 'fields', 'acymailing', 'user', 'Acymailing', '', 1, '2014-11-27 03:15:23', 0, '{}', '1.0', 0, 1, 0),
(88, 0, 0, 0, 0, 'fields', 'html', 'user', 'Html', '', 1, '2014-11-27 03:15:24', 0, '{}', '1.0.0', 0, 1, 0),
(89, 0, 0, 1, 0, 'fields', 'joomla_language', 'user', 'Joomla Language', '', 1, '2014-11-27 03:15:24', 0, '{}', '1.0.0', 0, 1, 0),
(90, 0, 0, 1, 0, 'fields', 'joomla_twofactor', 'user', 'Joomla Two Factor', '', 1, '2014-11-27 03:15:24', 0, '{}', '1.0.0', 0, 1, 0),
(91, 0, 0, 1, 0, 'fields', 'mailchimp', 'user', 'Mailchimp', '', 1, '2014-11-27 03:15:24', 0, '{}', '1.0', 0, 1, 0),
(92, 0, 0, 0, 0, 'fields', 'multidropdown', 'user', 'Multi Dropdown List', '', 1, '2014-11-27 03:15:24', 0, '{}', '1.0.0', 0, 1, 0),
(93, 0, 0, 0, 0, 'fields', 'multitextbox', 'user', 'Multi Textbox', '', 1, '2014-11-27 03:15:24', 0, '{}', '1.0.0', 0, 1, 0),
(94, 0, 0, 1, 0, 'fields', 'skype', 'user', 'Skype', '', 1, '2014-11-27 03:15:24', 0, '{}', '1.0', 0, 1, 0),
(95, 0, 0, 0, 0, 'fields', 'text', 'user', 'Text', '', 1, '2014-11-27 03:15:24', 0, '{}', '1.0.0', 0, 1, 0),
(96, 0, 0, 0, 0, 'fields', 'address', 'group', 'Address', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(97, 1, 0, 1, 0, 'fields', 'avatar', 'group', 'Avatar', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(98, 0, 0, 0, 0, 'fields', 'boolean', 'group', 'Boolean', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(99, 0, 0, 0, 0, 'fields', 'checkbox', 'group', 'Checkboxes', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(100, 1, 0, 1, 0, 'fields', 'cover', 'group', 'Cover', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(101, 0, 0, 0, 0, 'fields', 'datetime', 'group', 'Datetime', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(102, 1, 0, 1, 0, 'fields', 'description', 'group', 'Description', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(103, 1, 0, 1, 0, 'fields', 'discussions', 'group', 'Discussions', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(104, 0, 0, 0, 0, 'fields', 'dropdown', 'group', 'Dropdown', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(105, 0, 0, 0, 0, 'fields', 'email', 'group', 'Email', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(106, 0, 0, 1, 0, 'fields', 'eventcreate', 'group', 'Event Create', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(107, 0, 0, 0, 0, 'fields', 'file', 'group', 'File', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(108, 0, 0, 0, 0, 'fields', 'header', 'group', 'Header', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(109, 0, 0, 0, 0, 'fields', 'headline', 'group', 'Headline', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(110, 0, 0, 0, 0, 'fields', 'html', 'group', 'Html', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(111, 0, 0, 0, 0, 'fields', 'multidropdown', 'group', 'Multi Dropdown', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(112, 0, 0, 0, 0, 'fields', 'multilist', 'group', 'Multilist', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(113, 0, 0, 0, 0, 'fields', 'multitextbox', 'group', 'Multi Textbox', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(114, 1, 0, 1, 0, 'fields', 'news', 'group', 'News', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(115, 0, 0, 1, 0, 'fields', 'permalink', 'group', 'Permalink', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0', 0, 1, 0),
(116, 1, 0, 1, 0, 'fields', 'photos', 'group', 'Photos', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(117, 0, 0, 0, 0, 'fields', 'separator', 'group', 'Separator', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(118, 0, 0, 0, 0, 'fields', 'text', 'group', 'Text', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(119, 0, 0, 0, 0, 'fields', 'textarea', 'group', 'Textarea', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(120, 0, 0, 0, 0, 'fields', 'textbox', 'group', 'Textbox', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(121, 1, 0, 1, 0, 'fields', 'title', 'group', 'Title', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(122, 1, 0, 1, 0, 'fields', 'type', 'group', 'Group Type', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(123, 0, 0, 0, 0, 'fields', 'url', 'group', 'URL', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(124, 0, 0, 0, 0, 'fields', 'address', 'event', 'Address', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(125, 0, 0, 1, 0, 'fields', 'allday', 'event', 'All Day', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(126, 1, 0, 1, 0, 'fields', 'avatar', 'event', 'Avatar', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(127, 0, 0, 0, 0, 'fields', 'boolean', 'event', 'Boolean', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(128, 0, 0, 0, 0, 'fields', 'checkbox', 'event', 'Checkboxes', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(129, 1, 0, 1, 0, 'fields', 'configAllowMaybe', 'event', 'Config - Allow Maybe', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(130, 1, 0, 1, 0, 'fields', 'configNotGoingGuest', 'event', 'Config - Not Going Guest', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(131, 1, 0, 1, 0, 'fields', 'cover', 'event', 'Cover', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(132, 0, 0, 0, 0, 'fields', 'datetime', 'event', 'Datetime', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(133, 1, 0, 1, 0, 'fields', 'description', 'event', 'Description', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(134, 1, 0, 1, 0, 'fields', 'discussions', 'event', 'Discussions', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(135, 0, 0, 0, 0, 'fields', 'dropdown', 'event', 'Dropdown', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(136, 0, 0, 0, 0, 'fields', 'email', 'event', 'Email', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(137, 0, 0, 0, 0, 'fields', 'file', 'event', 'File', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(138, 0, 0, 1, 0, 'fields', 'guestLimit', 'event', 'Guest Limit', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(139, 0, 0, 0, 0, 'fields', 'header', 'event', 'Header', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(140, 0, 0, 0, 0, 'fields', 'headline', 'event', 'Headline', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(141, 0, 0, 0, 0, 'fields', 'html', 'event', 'Html', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(142, 0, 0, 1, 0, 'fields', 'membertransfer', 'event', 'Group Member Transfer', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(143, 0, 0, 0, 0, 'fields', 'multidropdown', 'event', 'Multi Dropdown', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(144, 0, 0, 0, 0, 'fields', 'multilist', 'event', 'Multilist', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(145, 0, 0, 0, 0, 'fields', 'multitextbox', 'event', 'Multi Textbox', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(146, 1, 0, 1, 0, 'fields', 'news', 'event', 'News', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(147, 0, 0, 1, 0, 'fields', 'ownerstate', 'event', 'Owner State', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(148, 0, 0, 1, 0, 'fields', 'permalink', 'event', 'Permalink', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0', 0, 1, 0),
(149, 1, 0, 1, 0, 'fields', 'photos', 'event', 'Photos', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(150, 0, 0, 1, 0, 'fields', 'recurring', 'event', 'Recurring', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(151, 0, 0, 0, 0, 'fields', 'separator', 'event', 'Separator', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(152, 1, 0, 1, 0, 'fields', 'startend', 'event', 'Event Start End', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(153, 0, 0, 0, 0, 'fields', 'text', 'event', 'Text', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(154, 0, 0, 0, 0, 'fields', 'textarea', 'event', 'Textarea', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(155, 0, 0, 0, 0, 'fields', 'textbox', 'event', 'Textbox', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(156, 1, 0, 1, 0, 'fields', 'title', 'event', 'Title', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(157, 1, 0, 1, 0, 'fields', 'type', 'event', 'Event Type', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(158, 0, 0, 0, 0, 'fields', 'url', 'event', 'URL', '', 1, '2014-11-27 03:15:25', 0, '{}', '1.0.0', 0, 1, 0),
(159, 0, 0, 1, 0, 'fields', 'joomla_joindate', 'user', 'Joomla Joined Date', '', 1, '2015-04-16 02:00:06', 0, '{}', '1.0.0', 0, 1, 0),
(160, 0, 0, 1, 0, 'fields', 'joomla_lastlogin', 'user', 'Joomla Last Login Date', '', 1, '2015-04-16 02:00:07', 0, '{}', '1.0.0', 0, 1, 0),
(161, 0, 0, 1, 0, 'fields', 'permissions', 'group', 'Stream Permissions', '', 1, '2015-04-16 02:00:13', 0, '{}', '1.3.0', 0, 1, 0);

DROP TABLE IF EXISTS `#__social_apps_calendar`;
CREATE TABLE `#__social_apps_calendar` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `reminder` tinyint(3) NOT NULL,
  `date_start` datetime NOT NULL,
  `date_end` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  `all_day` tinyint(3) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_apps_calendar` (`id`, `title`, `description`, `reminder`, `date_start`, `date_end`, `user_id`, `all_day`, `uid`, `type`) VALUES
(1, 'birthday', 'Etiam mollis pulvinar nisi, quis luctus neque lobortis sit amet. Maecenas mattis libero ut volutpat.\n', 0, '2014-01-09 00:00:00', '2014-01-09 00:00:00', 546, 1, 0, '');

DROP TABLE IF EXISTS `#__social_apps_map`;
CREATE TABLE `#__social_apps_map` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `app_id` int(11) NOT NULL,
  `position` varchar(50) NOT NULL,
  `created` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_app_uid_type` (`app_id`,`uid`,`type`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_apps_map` (`id`, `uid`, `type`, `app_id`, `position`, `created`, `params`) VALUES
(1, 546, 'user', 2, '', '2014-01-09 03:06:31', ''),
(2, 546, 'user', 7, '', '2014-01-09 03:06:56', ''),
(3, 546, 'user', 11, '', '2014-01-09 03:08:48', '');

DROP TABLE IF EXISTS `#__social_apps_views`;
CREATE TABLE `#__social_apps_views` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_id` int(11) NOT NULL,
  `view` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_app_view` (`app_id`,`view`)
) ENGINE=MyISAM AUTO_INCREMENT=73 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_apps_views` (`id`, `app_id`, `view`, `type`, `title`, `description`) VALUES
(52, 4, 'profile', 'embed', '', ''),
(56, 9, 'profile', 'embed', '', ''),
(58, 12, 'profile', 'embed', '', ''),
(60, 16, 'profile', 'embed', '', ''),
(61, 21, 'dashboard', 'embed', '', ''),
(54, 7, 'profile', 'canvas', '', ''),
(57, 62, 'profile', 'embed', '', ''),
(62, 65, 'groups', 'embed', '', ''),
(63, 67, 'groups', 'embed', '', ''),
(64, 68, 'groups', 'embed', '', ''),
(65, 71, 'groups', 'embed', '', ''),
(66, 72, 'groups', 'embed', '', ''),
(67, 76, 'groups', 'embed', '', ''),
(68, 77, 'events', 'embed', '', ''),
(69, 79, 'events', 'embed', '', ''),
(70, 80, 'events', 'embed', '', ''),
(71, 82, 'events', 'embed', '', ''),
(72, 86, 'events', 'embed', '', ''),
(53, 7, 'dashboard', 'canvas', '', ''),
(55, 9, 'dashboard', 'embed', '', ''),
(59, 16, 'dashboard', 'embed', '', '');

DROP TABLE IF EXISTS `#__social_avatars`;
CREATE TABLE `#__social_avatars` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID',
  `uid` int(11) NOT NULL COMMENT 'Node''s ID',
  `type` varchar(255) NOT NULL,
  `avatar_id` bigint(20) NOT NULL COMMENT 'If the node is using a default avatar, this field will be populated with an id.',
  `photo_id` int(11) NOT NULL COMMENT 'If the avatar is created from a photo, this field will be populated with the photo id.',
  `small` text NOT NULL,
  `medium` text NOT NULL,
  `square` text NOT NULL,
  `large` text NOT NULL,
  `modified` datetime NOT NULL,
  `storage` varchar(255) NOT NULL DEFAULT 'joomla',
  PRIMARY KEY (`id`),
  KEY `avatar_id` (`avatar_id`),
  KEY `photo_id` (`photo_id`),
  KEY `idx_uid` (`uid`),
  KEY `idx_uid_type` (`uid`,`type`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_avatars` (`id`, `uid`, `type`, `avatar_id`, `photo_id`, `small`, `medium`, `square`, `large`, `modified`, `storage`) VALUES
(1, 542, 'user', 0, 6, 'ad57647349869d9ffeed0751f5f30922_small.jpg', '2e3622332e889045490481f6f3e5b3b0_medium.jpg', '9547fe86e7eba61dd5a8729610dfb40a_square.jpg', 'a745c0bf2a13288ee1c6e05d49278868_large.jpg', '2014-01-08 10:35:33', 'joomla'),
(2, 545, 'user', 0, 8, 'a8a93febaccafaba46332f3cc7b303c6_small.jpg', '2fb704afae4d666508edba696d077fa9_medium.jpg', '3197945cee90a738ffebc37bafc119a1_square.jpg', 'cefcd5c832e811ea50ba6aa8c3d69cf1_large.jpg', '2014-01-08 10:37:33', 'joomla'),
(3, 544, 'user', 0, 9, '847a4dea9ddd491002110e6c61faf4bd_small.jpg', 'c14e8f950b2c4a56cdd92892ec4922d3_medium.jpg', '1ba8bce6d4e7563f14d991324043df87_square.jpg', '4ed73ea2c4f6dc924a62050720c3adc2_large.jpg', '2014-01-08 10:40:31', 'joomla'),
(4, 546, 'user', 0, 10, 'c98588516aadb324c40b600de301fbe0_small.jpg', '73835df4b85d7fbc727fdef81fd06169_medium.jpg', '650032b25be0763895946fddae037066_square.jpg', '8aee3b866f5b4d9c6ce8f454fc861b73_large.jpg', '2014-01-08 10:43:26', 'joomla');

DROP TABLE IF EXISTS `#__social_badges`;
CREATE TABLE `#__social_badges` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `command` varchar(255) NOT NULL,
  `extension` varchar(255) NOT NULL,
  `title` text NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `howto` text NOT NULL,
  `avatar` text NOT NULL,
  `created` datetime NOT NULL,
  `state` tinyint(3) NOT NULL,
  `frequency` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `discuss_badges_alias` (`alias`),
  KEY `discuss_badges_published` (`state`)
) ENGINE=MyISAM AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_badges` (`id`, `command`, `extension`, `title`, `alias`, `description`, `howto`, `avatar`, `created`, `state`, `frequency`) VALUES
(1, 'apps.install', 'com_easysocial', 'Applicant', 'applicant', 'Loves installing apps', 'To unlock this badge, you need to install more than 10 apps for your profile.', 'media/com_easysocial/badges/applicant.png', '2013-12-30 08:27:45', 1, 10),
(2, 'conversation.reply', 'com_easysocial', 'Chatter', 'chatter', 'Loves to chat with users on the site.', 'To unlock this badge, you need to reply to any conversations for at least 150 times.', 'media/com_easysocial/badges/chatter.png', '2013-12-30 08:27:45', 1, 150),
(3, 'conversation.create', 'com_easysocial', 'Socializer', 'socializer', 'Loves socializing with their friends.', 'To unlock this badge, start a new conversation with 15 friends.', 'media/com_easysocial/badges/socializer.png', '2013-12-30 08:27:45', 1, 15),
(4, 'conversation.invite', 'com_easysocial', 'Gossiper', 'gossiper', 'Nobody can stop them from gossiping!', 'To unlock this badge, invite more than 10 users into any existing conversation.', 'media/com_easysocial/badges/gossiper.png', '2013-12-30 08:27:45', 1, 10),
(5, 'conversation.leave', 'com_easysocial', 'Leaver', 'leaver', 'You really love to leave conversations?', 'To unlock this badge, leave more than 20 group conversations.', 'media/com_easysocial/badges/leaver.png', '2013-12-30 08:27:45', 1, 20),
(6, 'followers.follow', 'com_easysocial', 'Follower', 'follower', 'Loves following other users on the site.', 'To unlock this badge, follow more than 60 users from the site.', 'media/com_easysocial/badges/follower.png', '2013-12-30 08:27:45', 1, 60),
(7, 'followers.followed', 'com_easysocial', 'Thought Leader', 'thought-leader', 'Thought leader on the site.', 'To unlock this badge, you need to have at least 60 new followers.', 'media/com_easysocial/badges/thought-leader.png', '2013-12-30 08:27:45', 1, 60),
(8, 'friends.remove', 'com_easysocial', 'Friend Hater', 'friend-hater', 'You hate your friends?', 'To unlock this badge, you need to remove more than 10 of your friends.', 'media/com_easysocial/badges/friend-hater.png', '2013-12-30 08:27:45', 1, 10),
(9, 'friends.create', 'com_easysocial', 'Friend Seeker', 'friend-seeker', 'Loves to build new friendships with others.', 'To unlock this badge, you need to initiate more than 30 friend requests with other users on the site.', 'media/com_easysocial/badges/friend-seeker.png', '2013-12-30 08:27:45', 1, 30),
(10, 'friends.list.create', 'com_easysocial', 'Friend Organizer', 'friend-organizer', 'Someone who loves to organize their friends.', 'To unlock this badge, create 10 friend lists to organize your friends.', 'media/com_easysocial/badges/friend-organizer.png', '2013-12-30 08:27:45', 1, 10),
(11, 'photos.create', 'com_easysocial', 'Photogenic', 'photogenic', 'Photo uploader', 'To unlock this badge, you need to upload 30 new photos on the site.', 'media/com_easysocial/badges/photogenic.png', '2013-12-30 08:27:45', 1, 30),
(12, 'photos.browse', 'com_easysocial', 'Journalist', 'journalist', 'Loves browsing photos', 'To unlock this badge, you need to browse more than 150 photos on the site.', 'media/com_easysocial/badges/journalist.png', '2013-12-30 08:27:45', 1, 150),
(13, 'photos.tag', 'com_easysocial', 'Photo Tagger', 'photo-tagger', 'Tag Photos', 'To unlock this badge, you need to tag 50 people in different photos.', 'media/com_easysocial/badges/photo-tagger.png', '2013-12-30 08:27:45', 1, 50),
(14, 'photos.superstar', 'com_easysocial', 'Super Star', 'super-star', 'Tagged in 50 Photos', 'To unlock this badge, you need to be tagged by 50 of your friends in different photos.', 'media/com_easysocial/badges/super-star.png', '2013-12-30 08:27:45', 1, 50),
(15, 'profile.view', 'com_easysocial', 'Explorer', 'explorer', 'Window shoppper for users', 'To unlock this badge, you need to view at least 50 user profiles.', 'media/com_easysocial/badges/explorer.png', '2013-12-30 08:27:45', 1, 50),
(16, 'registration.create', 'com_easysocial', 'Newbie', 'newbie', 'Congrats on registering on the site!', 'To unlock this badge, you need to register on this site.', 'media/com_easysocial/badges/newbie.png', '2013-12-30 08:27:45', 1, 1),
(17, 'reports.create', 'com_easysocial', 'Reporter', 'reporter', 'Very helpful person.', 'To unlock this badge, you need to report for more than 20 times.', 'media/com_easysocial/badges/reporter.png', '2013-12-30 08:27:45', 1, 20),
(18, 'search.create', 'com_easysocial', 'Search Engine', 'search-engine', 'Loves searching.', 'To unlock this badge, you need to search for more than 50 times.', 'media/com_easysocial/badges/search-engine.png', '2013-12-30 08:27:45', 1, 50),
(19, 'story.create', 'com_easysocial', 'Story Teller', 'story-teller', 'Loves sharing stories.', 'To unlock this badge, you need to post at least 30 different story posts.', 'media/com_easysocial/badges/story-teller.png', '2013-12-30 08:27:45', 1, 30),
(20, 'create.article', 'com_content', 'Publisher', 'publisher', 'Loves contributing articles.', 'To unlock this badge, you need to create up to 50 new articles.', 'media/com_easysocial/apps/user/article/assets/badges/publisher.png', '2014-11-27 03:15:20', 1, 50),
(21, 'update.article', 'com_content', 'Proof Reading', 'proof-reading', 'Great proof reading skills', 'To unlock this badge, you need to update 50 existing articles.', 'media/com_easysocial/apps/user/article/assets/badges/proof-reading.png', '2014-11-27 03:15:20', 1, 50),
(22, 'read.article', 'com_content', 'Great Reader', 'great-reader', 'Loves reading through articles.', 'To unlock this badge, you need to read up to 100 articles.', 'media/com_easysocial/apps/user/article/assets/badges/great-reader.png', '2014-11-27 03:15:20', 1, 100),
(23, 'points.achieve', 'com_easysocial', 'COM_EASYSOCIAL_BADGES_POINTS_ACHIEVER', 'points-achiever', 'COM_EASYSOCIAL_BADGES_POINTS_ACHIEVER_DESC', 'COM_EASYSOCIAL_BADGES_POINTS_ACHIEVER_HOWTO', 'media/com_easysocial/badges/points-achiever.png', '2014-11-27 03:15:33', 1, 100);

DROP TABLE IF EXISTS `#__social_badges_history`;
CREATE TABLE `#__social_badges_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `badge_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `achieved` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_badges_history` (`id`, `badge_id`, `user_id`, `achieved`) VALUES
(1, 15, 542, 0),
(2, 9, 546, 0),
(3, 15, 542, 0),
(4, 19, 542, 0),
(5, 19, 546, 0),
(6, 1, 546, 0),
(7, 1, 546, 0),
(8, 1, 546, 0),
(9, 12, 542, 0),
(10, 15, 545, 0),
(11, 10, 546, 0),
(12, 12, 542, 0),
(13, 12, 542, 0),
(14, 12, 542, 0),
(15, 12, 542, 0),
(16, 18, 42, 0),
(17, 15, 42, 0);

DROP TABLE IF EXISTS `#__social_badges_maps`;
CREATE TABLE `#__social_badges_maps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `badge_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `custom_message` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `badge_id` (`badge_id`,`user_id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_block_users`;
CREATE TABLE `#__social_block_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `target_id` int(11) NOT NULL,
  `reason` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`,`target_id`),
  KEY `idx_userid` (`user_id`),
  KEY `idx_targetid` (`target_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_bookmarks`;
CREATE TABLE `#__social_bookmarks` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary key',
  `uid` int(11) NOT NULL COMMENT 'The bookmarked item id',
  `type` varchar(255) NOT NULL COMMENT 'The bookmarked type',
  `created` datetime NOT NULL,
  `user_id` int(11) NOT NULL COMMENT 'The owner of the bookmarked item',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`,`type`),
  KEY `user_id` (`user_id`),
  KEY `idx_uid` (`uid`),
  KEY `idx_user_utype` (`uid`,`type`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_broadcasts`;
CREATE TABLE `#__social_broadcasts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `target_id` int(11) NOT NULL,
  `target_type` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `link` text NOT NULL,
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_clusters`;
CREATE TABLE `#__social_clusters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `cluster_type` varchar(255) NOT NULL,
  `creator_type` varchar(255) NOT NULL,
  `creator_uid` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `featured` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  `params` text NOT NULL,
  `hits` int(11) NOT NULL,
  `type` tinyint(3) NOT NULL,
  `key` varchar(255) NOT NULL,
  `parent_id` int(11) NOT NULL DEFAULT '0',
  `parent_type` varchar(255) NOT NULL,
  `longitude` varchar(255) NOT NULL COMMENT 'The longitude value of the event for proximity search purposes',
  `latitude` varchar(255) NOT NULL COMMENT 'The latitude value of the event for proximity search purposes',
  `address` text NOT NULL COMMENT 'The full address value of the event for displaying purposes',
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`),
  KEY `featured` (`featured`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_clusters_categories`;
CREATE TABLE `#__social_clusters_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created` datetime NOT NULL,
  `state` tinyint(3) NOT NULL,
  `uid` int(11) NOT NULL COMMENT 'The creator of the category',
  `ordering` tinyint(3) NOT NULL,
  `site_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `type` (`type`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_clusters_categories` (`id`, `type`, `title`, `alias`, `description`, `created`, `state`, `uid`, `ordering`, `site_id`) VALUES
(1, 'group', 'General', 'general', 'General groups', '2014-11-27 03:15:36', 1, 42, 1, NULL),
(2, 'group', 'Automobile', 'automobile', 'Cars, motors, vehicle and all things related to automobile.', '2014-11-27 03:15:37', 1, 42, 2, NULL),
(3, 'group', 'Technology', 'technology', 'Multimedia, IT, and all the tech', '2014-11-27 03:15:37', 1, 42, 3, NULL),
(4, 'group', 'Business', 'business', 'Let\'s talk business', '2014-11-27 03:15:37', 1, 42, 4, NULL),
(5, 'group', 'Music', 'music', 'Pop, rock, electronic and all', '2014-11-27 03:15:37', 1, 42, 5, NULL),
(6, 'event', 'General', 'general-2', 'General events', '2014-11-27 03:15:37', 1, 42, 1, NULL),
(7, 'event', 'Meeting', 'meeting', 'Weekly meeting events.', '2014-11-27 03:15:37', 1, 42, 2, NULL);

DROP TABLE IF EXISTS `#__social_clusters_categories_access`;
CREATE TABLE `#__social_clusters_categories_access` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `profile_id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT 'create',
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`,`profile_id`),
  KEY `category_id_2` (`category_id`,`profile_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_clusters_news`;
CREATE TABLE `#__social_clusters_news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cluster_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `hits` int(11) NOT NULL,
  `comments` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cluster_id` (`cluster_id`,`created_by`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_clusters_nodes`;
CREATE TABLE `#__social_clusters_nodes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cluster_id` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `state` tinyint(4) NOT NULL,
  `owner` tinyint(3) NOT NULL,
  `admin` tinyint(3) NOT NULL,
  `invited_by` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cluster_id` (`cluster_id`,`state`),
  KEY `invited_by` (`invited_by`),
  KEY `idx_clusters_nodes_uid` (`uid`),
  KEY `idx_clusters_nodes_user` (`uid`,`state`,`created`),
  KEY `idx_members` (`cluster_id`,`type`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_comments`;
CREATE TABLE `#__social_comments` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `element` varchar(255) NOT NULL,
  `uid` bigint(20) NOT NULL,
  `comment` text NOT NULL,
  `created_by` bigint(20) unsigned DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `params` text NOT NULL,
  `depth` bigint(10) DEFAULT '0',
  `parent` bigint(20) DEFAULT '0',
  `child` bigint(20) DEFAULT '0',
  `lft` bigint(20) DEFAULT '0',
  `rgt` bigint(20) DEFAULT '0',
  `stream_id` bigint(20) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `social_comments_uid` (`uid`),
  KEY `social_comments_type` (`element`),
  KEY `social_comments_createdby` (`created_by`),
  KEY `social_comments_content_type` (`element`,`uid`),
  KEY `social_comments_content_type_by` (`element`,`uid`,`created_by`),
  KEY `social_comments_content_parent` (`element`,`uid`,`parent`),
  KEY `idx_comment_batch` (`stream_id`,`element`,`uid`),
  KEY `idx_comment_stream_id` (`stream_id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_comments` (`id`, `element`, `uid`, `comment`, `created_by`, `created`, `params`, `depth`, `parent`, `child`, `lft`, `rgt`, `stream_id`) VALUES
(1, 'photos.user', 5, 'ohhhhh', 544, '2014-01-08 10:41:15', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/photos\\/item\\/5"}', 0, 0, 0, 0, 0, 0),
(2, 'shares.user', 1, 'i can...', 542, '2014-01-09 03:27:01', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/stream\\/item\\/1"}', 0, 0, 0, 0, 0, 0),
(3, 'shares.user', 1, 'Aliquam non dolor sed nunc mattis metus.Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.', 546, '2014-01-09 03:54:30', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/stream\\/item\\/1"}', 0, 0, 0, 0, 0, 0),
(4, 'albums.user', 10, 'Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas', 543, '2014-01-09 07:39:51', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10"}', 0, 0, 0, 0, 0, 0),
(5, 'albums.user', 10, 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus', 544, '2014-01-09 07:41:44', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10"}', 0, 0, 0, 0, 0, 0),
(6, 'shares.user', 2, 'Morbi eros erat, auctor in lorem nullam.', 544, '2014-01-09 07:41:52', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/2"}', 0, 0, 0, 0, 0, 0),
(7, 'shares.user', 1, 'Netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus', 545, '2014-01-09 07:42:18', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/stream\\/item\\/1"}', 0, 0, 0, 0, 0, 0),
(8, 'shares.user', 2, 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus', 545, '2014-01-09 07:42:58', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/2"}', 0, 0, 0, 0, 0, 0),
(9, 'albums.user', 12, 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus', 545, '2014-01-09 07:43:26', '{"url":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/12"}', 0, 0, 0, 0, 0, 0);

DROP TABLE IF EXISTS `#__social_config`;
CREATE TABLE `#__social_config` (
  `type` varchar(255) NOT NULL,
  `value` text NOT NULL,
  `value_binary` blob,
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__social_config` (`type`, `value`, `value_binary`) VALUES
('site', '{"alerts":{"paths":["admin","site","apps","fields","plugins","modules"]},"general":{"key":"1be45ec91f9d5ab111d1071885392f45","environment":"static","mode":"compressed","inline":false,"super":false,"profiler":false,"logger":false,"site":{"loginemail":true,"login":"","logout":"","lockdown":{"enabled":false,"registration":false},"twofactor":false},"url":{"purge":true,"interval":"1"},"cron":{"secure":false,"key":"","limit":20},"location":{"language":"en","proximity":{"unit":"mile"}},"cdn":{"enabled":false,"url":"","passive":false}},"groups":{"enabled":true,"stream":{"create":true},"invite":{"nonfriends":false},"item":{"display":"timeline"}},"antispam":{"recaptcha":{"public":"","private":""},"akismet":{"key":"dff980f9f600"},"mollom":{"public":"","private":"","servers":""}},"conversations":{"enabled":1,"limit":20,"akismet":1,"archiving":1,"editor":"","locations":1,"multiple":1,"pagination":{"enabled":true,"limit":20,"toolbarlimit":5},"attachments":{"enabled":1,"types":["txt","jpg","png","gif","zip","pdf"],"maxsize":3,"storage":"media\\/com_easysocial\\/uploads\\/conversations"},"layout":{"intro":200}},"email":{"html":1,"replyto":"","heading":{"company":"Stack Ideas Sdn Bhd"},"sender":{"email":"","name":""}},"links":{"cache":{"images":false,"location":"\\/media\\/com_easysocial\\/cache\\/links"}},"notifications":{"general":{"pagination":10},"broadcast":{"popup":true,"interval":15,"sticky":true,"period":8},"system":{"autoread":false,"enabled":true,"polling":30},"friends":{"enabled":true,"polling":30},"conversation":{"enabled":true,"polling":30}},"reports":{"enabled":true,"automation":true,"threshold":30,"maxip":5,"guests":false,"features":{"stream":true,"user":true,"comments":true},"notifications":{"moderators":true,"custom":false,"emails":""}},"storage":{"avatar":"joomla","photos":"joomla","files":"joomla","joomla":{"limit":10},"amazon":{"access":"","secret":"","bucket":"","ssl":true,"limit":10,"region":"","class":""},"rackspace":[],"conversations":"joomla"},"photos":{"enabled":true,"quality":80,"downloads":true,"original":true,"import":{"exif":true},"popup":{"default":true},"storage":{"container":"\\/media\\/com_easysocial\\/photos"},"uploader":{"maxsize":"32"},"pagination":{"photo":10,"album":10},"exif":["aperture","iso","exposure","copyright","camera"],"layout":{"size":"large","mode":"cover","pattern":"tile","threshold":128,"ratio":"4x3"}},"avatars":{"storage":{"container":"\\/media\\/com_easysocial\\/avatars","default":"defaults","defaults":{"profiles":"profiles"},"user":"users","group":"group","event":"event","clusters":"clusters","profiles":"profiles"},"default":{"user":{"small":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/small.png","medium":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/medium.png","large":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/large.png","square":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/square.png"},"profiles":{"small":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/profiles\\/small.png","medium":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/profiles\\/medium.png","large":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/profiles\\/large.png","square":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/profiles\\/square.png"},"group":{"small":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/group\\/small.png","medium":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/group\\/medium.png","large":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/group\\/large.png","square":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/group\\/square.png"},"event":{"small":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/event\\/small.png","medium":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/event\\/medium.png","large":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/event\\/large.png","square":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/event\\/square.png"},"clusterscategory":{"small":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/clusterscategory\\/small.png","medium":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/clusterscategory\\/medium.png","large":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/clusterscategory\\/large.png","square":"\\/media\\/com_easysocial\\/defaults\\/avatars\\/clusterscategory\\/square.png"}}},"connector":{"client":"curl"},"covers":{"storage":{"container":"\\/media\\/com_easysocial\\/covers","default":"defaults","defaults":{"profiles":"profiles"},"user":"users","group":"group","event":"event","profiles":"profiles","clusters":"clusters"},"default":{"user":{"default":"\\/media\\/com_easysocial\\/defaults\\/covers\\/user\\/default.jpg","small":"\\/media\\/com_easysocial\\/defaults\\/covers\\/users\\/small.jpg","large":"\\/media\\/com_easysocial\\/defaults\\/covers\\/users\\/large.jpg"},"group":{"default":"\\/media\\/com_easysocial\\/defaults\\/covers\\/group\\/default.jpg"},"event":{"default":"\\/media\\/com_easysocial\\/defaults\\/covers\\/event\\/default.jpg"}}},"files":{"storage":{"container":"\\/media\\/com_easysocial\\/files","fields":{"container":"fields","user":"user"},"conversations":{"container":"conversations"},"group":{"container":"groups"},"user":{"container":"users"}}},"friends":{"invites":{"enabled":true},"list":{"enabled":true,"showEmpty":true},"stream":{"create":1}},"lists":{"display":{"limit":5},"stream":{"create":1}},"apps":{"tnc":{"required":true,"message":"COM_EASYSOCIAL_APPS_TNC"},"stream":{"add":true,"remove":true}},"layout":{"dashboard":{"apps":{"limit":5},"lists":{"limit":5}},"leaderboard":{"limit":20},"profile":{"apps":{"limit":15}},"spotlight":[],"groups":[]},"oauth":{"facebook":{"app":"","secret":"","pull":true,"push":true,"opengraph":{"enabled":true},"jfbconnect":{"enabled":false},"registration":{"enabled":false,"type":"simplified","profile":"1","avatar":true,"cover":true,"timeline":true,"totalTimeline":1},"username":"email"},"twitter":{"app":"","secret":"","registration":{"enabled":true,"avatar":true,"tweets":true,"totalTweets":true}},"myspace":{"app":"","secret":""}},"leaderboard":{"listings":{"admin":false}},"badges":{"enabled":true,"paths":["admin","site","apps","fields","plugins","modules"]},"followers":{"enabled":true},"points":{"enabled":true,"history":{"limit":60},"paths":["admin","site","apps","fields","plugins","modules"]},"profiles":{"stream":{"create":1,"update":1}},"registrations":{"enabled":1,"emailasusername":0,"change.selection":1,"email":{"password":true},"profiles":{"avatar":true,"showUsers":true,"usersCount":20,"showType":true},"steps":{"progress":1,"heading":1},"mini":{"mode":"quick","profile":"default"},"stream":{"create":1}},"stream":{"aggregation":{"enabled":1,"duration":15},"rss":{"enabled":true},"timestamp":{"enabled":true},"bookmarks":{"enabled":true},"content":{"nofollow":false,"truncate":false,"truncatelength":250},"archive":{"enabled":false,"duration":6},"comments":{"enabled":true,"guestview":false},"follow":{"enabled":true},"likes":{"enabled":true},"repost":{"enabled":true},"sharing":{"enabled":true},"pagination":{"style":"loadmore","autoload":true,"pagelimit":10,"sort":"modified","limit":1440},"story":{"mentions":true,"moods":true,"location":true,"entertosubmit":false},"updates":{"enabled":true,"interval":30},"actions":["likes","comments","repost"]},"activity":{"pagination":{"max":5,"limit":10}},"story":{"friends_enabled":1},"location":{"coords":"40.702147,-74.015794","provider":"maps","foursquare":{"clientid":"","clientsecret":""},"places":{"api":""},"maps":{"api":""}},"toolbar":{"display":true},"theme":{"site":"wireframe","site_base":"wireframe","admin":"default","admin_base":"default","apps":"default","fields":"default","compiler":{"mode":"off","use_absolute_uri":0,"allow_template_override":1}},"uploader":{"storage":{"container":"\\/media\\/com_easysocial\\/tmp"}},"users":{"change_username":1,"display":{"profiletype":true},"displayName":"username","aliasName":"username","deleteLogic":"unpublish","blocking":{"enabled":true},"dashboard":{"start":"me"},"stream":{"login":1,"logout":1,"friend":1,"following":1,"profile":1},"listings":{"admin":false,"sorting":"latest"},"indexer":{"name":"realname","email":false,"privacy":true},"profile":{"display":"timeline"}},"sharing":{"enabled":1,"vendors":{"email":1,"facebook":1,"twitter":1,"google":1,"live":1,"linkedin":1,"myspace":1,"vk":1,"stumbleupon":1,"digg":1,"tumblr":1,"evernote":1,"reddit":1,"delicious":1},"email":{"limit":10}},"access":{"paths":["admin","site","apps","fields","plugins","modules"]},"comments":{"reply":0,"maxlevel":3,"limit":5,"enter":"submit","submit":1},"user":{"completeprofile":{"required":false,"strict":true,"action":"info"}},"events":{"stream":{"create":true},"startofweek":1,"enabled":true,"recurringlimit":50,"ical":true,"invite":{"nonfriends":false},"timeformat":"12h","listing":{"includefeatured":false,"includegroup":false},"item":{"display":"timeline"}}}', NULL),
('version', '1.1.3', NULL),
('dbversion', '1.3.25', NULL),
('scriptversion', '1.3.25', NULL);

DROP TABLE IF EXISTS `#__social_conversations`;
CREATE TABLE `#__social_conversations` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `created_by` bigint(20) NOT NULL,
  `lastreplied` datetime NOT NULL,
  `type` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_conversations` (`id`, `created`, `created_by`, `lastreplied`, `type`) VALUES
(1, '2014-01-09 03:21:01', 545, '2014-01-09 03:21:01', 1),
(2, '2014-01-09 03:25:02', 546, '2014-01-09 03:25:02', 1);

DROP TABLE IF EXISTS `#__social_conversations_message`;
CREATE TABLE `#__social_conversations_message` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `conversation_id` bigint(20) NOT NULL,
  `type` varchar(200) NOT NULL,
  `message` text,
  `created` datetime NOT NULL,
  `created_by` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `conversation_id` (`conversation_id`),
  KEY `created_by` (`created_by`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_conversations_message` (`id`, `conversation_id`, `type`, `message`, `created`, `created_by`) VALUES
(1, 1, 'message', 'hello admin', '2014-01-09 03:21:01', 545),
(2, 2, 'message', 'hihihi', '2014-01-09 03:25:02', 546);

DROP TABLE IF EXISTS `#__social_conversations_message_maps`;
CREATE TABLE `#__social_conversations_message_maps` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `conversation_id` bigint(20) NOT NULL,
  `message_id` bigint(20) NOT NULL,
  `isread` tinyint(1) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1 - publish, 2 - archive, 3 - trash',
  PRIMARY KEY (`id`),
  KEY `node_id` (`user_id`),
  KEY `conversation_id` (`conversation_id`),
  KEY `message_id` (`message_id`),
  KEY `idx_user_conversation` (`user_id`,`state`,`conversation_id`,`message_id`),
  KEY `idx_user_conversation_isread` (`user_id`,`state`,`isread`,`conversation_id`,`message_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_conversations_message_maps` (`id`, `user_id`, `conversation_id`, `message_id`, `isread`, `state`) VALUES
(1, 545, 1, 1, 1, 1),
(2, 542, 1, 1, 0, 1),
(3, 546, 2, 2, 1, 1),
(4, 542, 2, 2, 0, 1);

DROP TABLE IF EXISTS `#__social_conversations_participants`;
CREATE TABLE `#__social_conversations_participants` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `conversation_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `state` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `social_conversation_maps_conversation_id` (`conversation_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_conversations_participants` (`id`, `conversation_id`, `user_id`, `state`) VALUES
(1, 1, 545, 1),
(2, 1, 542, 1),
(3, 2, 546, 1),
(4, 2, 542, 1);

DROP TABLE IF EXISTS `#__social_covers`;
CREATE TABLE `#__social_covers` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary ID',
  `uid` int(11) NOT NULL COMMENT 'Node''s ID',
  `type` varchar(255) NOT NULL,
  `photo_id` int(13) NOT NULL COMMENT 'If the node is using a default avatar, this field will be populated with an id.',
  `cover_id` int(11) NOT NULL,
  `x` varchar(255) NOT NULL,
  `y` varchar(255) NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `avatar_id` (`photo_id`),
  KEY `idx_uid` (`uid`),
  KEY `idx_uid_type` (`uid`,`type`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_covers` (`id`, `uid`, `type`, `photo_id`, `cover_id`, `x`, `y`, `modified`) VALUES
(1, 542, 'user', 7, 0, '0', '0.51384255314781', '2014-01-08 10:35:35'),
(2, 545, 'user', 0, 0, '', '', '0000-00-00 00:00:00'),
(3, 544, 'user', 0, 0, '', '', '0000-00-00 00:00:00'),
(4, 546, 'user', 0, 0, '', '', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__social_default_avatars`;
CREATE TABLE `#__social_default_avatars` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `title` text,
  `created` datetime NOT NULL,
  `state` tinyint(3) NOT NULL,
  `large` text NOT NULL,
  `medium` text NOT NULL,
  `small` text NOT NULL,
  `square` text NOT NULL,
  `default` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`,`type`),
  KEY `system` (`default`),
  KEY `state` (`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_default_covers`;
CREATE TABLE `#__social_default_covers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `title` text,
  `created` datetime NOT NULL,
  `state` tinyint(3) NOT NULL,
  `large` text NOT NULL,
  `small` text NOT NULL,
  `default` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`,`type`),
  KEY `system` (`default`),
  KEY `state` (`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_discussions`;
CREATE TABLE `#__social_discussions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'This determines if this is a reply to a discussion. If it is a reply, it should contain the parent''s id here.',
  `uid` int(11) NOT NULL COMMENT 'The unique id this discussion is associated to. For example, if it is associated with a group, it should store the group''s id.',
  `type` varchar(255) NOT NULL COMMENT 'The unique type this discussion is associated to. For example, if it is associated with a group, it should store the type as group',
  `answer_id` int(11) NOT NULL COMMENT 'This is only applicable to main question. This should contain the reference to the discussion that is an answer.',
  `last_reply_id` int(11) NOT NULL COMMENT 'Determines the last reply for the discussion',
  `title` varchar(255) NOT NULL,
  `content` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0' COMMENT 'Stores the total views for this discussion.',
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  `last_replied` datetime NOT NULL COMMENT 'Stores the last replied date time.',
  `votes` int(11) NOT NULL COMMENT 'Determines the vote count for this discussion.',
  `total_replies` int(11) NOT NULL DEFAULT '0' COMMENT 'This is to denormalize the reply count of a discussion.',
  `lock` tinyint(3) NOT NULL DEFAULT '0' COMMENT 'Determines if this discussion is locked',
  `params` text NOT NULL COMMENT 'Stores additional raw parameters for the discussion that doesn''t need to be indexed',
  PRIMARY KEY (`id`),
  KEY `created_by` (`created_by`),
  KEY `uid_2` (`uid`,`type`),
  KEY `id` (`id`,`parent_id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_discussions_files`;
CREATE TABLE `#__social_discussions_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file_id` int(11) NOT NULL,
  `discussion_id` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `file_id` (`file_id`,`discussion_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_events_meta`;
CREATE TABLE `#__social_events_meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cluster_id` int(11) NOT NULL COMMENT 'The event cluster id',
  `start` datetime NOT NULL COMMENT 'The start datetime of the event',
  `end` datetime NOT NULL COMMENT 'The end datetime of the event',
  `timezone` varchar(255) NOT NULL COMMENT 'The optional timezone of the event for datetime calculation',
  `all_day` tinyint(3) NOT NULL COMMENT 'Flag if this event is an all day event',
  `group_id` int(11) NOT NULL COMMENT 'The group id if this is a group event',
  PRIMARY KEY (`id`),
  KEY `cluster_id` (`cluster_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_feeds`;
CREATE TABLE `#__social_feeds` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `url` text NOT NULL,
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_fields`;
CREATE TABLE `#__social_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `unique_key` text NOT NULL,
  `app_id` int(11) NOT NULL,
  `step_id` int(11) NOT NULL,
  `title` text NOT NULL,
  `display_title` tinyint(3) NOT NULL,
  `description` text NOT NULL,
  `display_description` tinyint(3) NOT NULL,
  `default` text NOT NULL,
  `validation` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '1',
  `searchable` tinyint(4) NOT NULL DEFAULT '1',
  `required` tinyint(4) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `ordering` tinyint(4) NOT NULL DEFAULT '0',
  `core` tinyint(4) NOT NULL DEFAULT '0',
  `visible_registration` tinyint(3) NOT NULL,
  `visible_edit` tinyint(3) NOT NULL,
  `visible_display` tinyint(3) NOT NULL,
  `friend_suggest` tinyint(4) DEFAULT '0',
  `visible_mini_registration` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_id` (`app_id`),
  KEY `required` (`required`),
  KEY `searchable` (`searchable`),
  KEY `state` (`state`),
  KEY `step_id` (`step_id`),
  KEY `friend_suggest` (`friend_suggest`),
  KEY `idx_advanced_search1` (`searchable`,`state`,`ordering`),
  KEY `idx_unique_key` (`unique_key`(64))
) ENGINE=MyISAM AUTO_INCREMENT=125 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_fields` (`id`, `unique_key`, `app_id`, `step_id`, `title`, `display_title`, `description`, `display_description`, `default`, `validation`, `state`, `searchable`, `required`, `params`, `ordering`, `core`, `visible_registration`, `visible_edit`, `visible_display`, `friend_suggest`, `visible_mini_registration`) VALUES
(1, 'HEADER', 39, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_ACCOUNT_INFORMATION', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_ACCOUNT_INFORMATION_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(2, 'JOOMLA_FULLNAME', 42, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_YOUR_NAME', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_YOUR_NAME_DESC', 1, '', '', 1, 1, 1, '', 1, 0, 1, 1, 1, 0, 0),
(3, 'JOOMLA_USERNAME', 46, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_DESIRED_USERNAME', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_DESIRED_USERNAME_DESC', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_DESIRED_USERNAME_DEFAULT', '', 1, 0, 1, '', 2, 0, 1, 1, 0, 0, 0),
(4, 'JOOMLA_PASSWORD', 43, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_PASSWORD', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_PASSWORD_DESC', 1, '', '', 1, 0, 1, '{"reconfirm_password":true,"password_strength":true}', 3, 0, 1, 1, 0, 0, 0),
(5, 'JOOMLA_EMAIL', 41, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EMAIL_ADDRESS', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EMAIL_ADDRESS_DESC', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EMAIL_DEFAULT', '', 1, 1, 1, '', 4, 0, 1, 1, 0, 0, 0),
(6, 'JOOMLA_USER_EDITOR', 45, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EDITOR', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EDITOR_DESC', 1, '', '', 1, 1, 0, '', 5, 0, 0, 1, 0, 0, 0),
(7, 'JOOMLA_TIMEZONE', 44, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_TIMEZONE', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_TIMEZONE_DESC', 1, '', '', 1, 1, 0, '', 6, 0, 1, 1, 1, 0, 0),
(8, 'PERMALINK', 50, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_PERMALINK', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_PERMALINK_DESC', 1, '', '', 1, 1, 0, '', 7, 0, 1, 1, 1, 0, 0),
(9, 'HEADER-1', 39, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_DETAILS', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_DETAILS_DESC', 1, '', '', 1, 1, 1, '', 8, 0, 1, 1, 0, 0, 0),
(10, 'GENDER', 38, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_GENDER', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_GENDER_DESC', 1, '', '', 1, 1, 1, '', 9, 0, 1, 1, 1, 0, 0),
(11, 'BIRTHDAY', 24, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_BIRTHDAY', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_BIRTHDAY_DESC', 1, '', '', 1, 1, 1, '{"calendar":true}', 10, 0, 1, 1, 1, 0, 0),
(12, 'ADDRESS', 22, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_ADDRESS', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_ADDRESS_DESC', 1, '', '', 1, 1, 1, '', 11, 0, 1, 1, 1, 0, 0),
(13, 'TEXTBOX', 56, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_MOBILE_PHONE', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_MOBILE_PHONE_DESC', 1, '', '', 1, 1, 0, '{"placeholder":"COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_MOBILE_PHONE_DEFAULT"}', 12, 0, 1, 1, 1, 0, 0),
(14, 'URL', 57, 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_WEBSITE', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_WEBSITE_DESC', 1, '', '', 1, 1, 0, '{"placeholder":"COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_WEBSITE_DEFAULT"}', 13, 0, 1, 1, 1, 0, 0),
(15, 'HEADER-2', 39, 2, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EDUCATION', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EDUCATION_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(16, 'TEXTBOX-1', 56, 2, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EDUCATION_COLLEGE_OR_UNIVERSITY', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EDUCATION_COLLEGE_OR_UNIVERSITY_DESC', 1, '', '', 1, 1, 0, '', 1, 0, 1, 1, 1, 0, 0),
(17, 'TEXTBOX-2', 56, 2, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EDUCATION_GRADUATION_YEAR', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_EDUCATION_GRADUATION_YEAR_DESC', 1, '', '', 1, 1, 0, '', 2, 0, 1, 1, 1, 0, 0),
(18, 'HEADER-3', 39, 3, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_APPEARANCE', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_APPEARANCE_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(19, 'AVATAR', 23, 3, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_PROFILE_PICTURE', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_PROFILE_PICTURE_DESC', 1, '', '', 1, 1, 0, '', 1, 0, 1, 1, 0, 0, 0),
(20, 'COVER', 28, 3, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_PROFILE_COVER', 1, 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_PROFILE_COVER_DESC', 1, '', '', 1, 1, 0, '', 2, 0, 1, 1, 0, 0, 0),
(21, 'HEADER', 108, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(22, 'TITLE', 121, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE_DESC', 1, '', '', 1, 1, 1, '', 1, 0, 1, 1, 1, 0, 0),
(23, 'PERMALINK', 115, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK_DESC', 1, '', '', 1, 1, 1, '', 2, 0, 1, 1, 1, 0, 0),
(24, 'DESCRIPTION', 102, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION_DESC', 1, '', '', 1, 1, 1, '', 3, 0, 1, 1, 1, 0, 0),
(25, 'TYPE', 122, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE_DESC', 1, '', '', 1, 0, 1, '', 4, 0, 1, 1, 0, 0, 0),
(26, 'URL', 123, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE_DESC', 1, '', '', 1, 1, 0, '', 5, 0, 1, 1, 1, 0, 0),
(27, 'PHOTOS', 116, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO_DESC', 1, '', '', 1, 1, 0, '', 6, 0, 1, 1, 1, 0, 0),
(28, 'NEWS', 114, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS_DESC', 1, '', '', 1, 1, 0, '', 7, 0, 1, 1, 1, 0, 0),
(29, 'DISCUSSIONS', 103, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS_DESC', 1, '', '', 1, 1, 0, '', 8, 0, 1, 1, 1, 0, 0),
(30, 'HEADER-1', 108, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION_DESC', 1, '', '', 1, 1, 1, '', 9, 0, 1, 1, 0, 0, 0),
(31, 'AVATAR', 97, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR_DESC', 1, '', '', 1, 1, 0, '', 10, 0, 1, 1, 1, 0, 0),
(32, 'COVER', 100, 4, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER_DESC', 1, '', '', 1, 1, 0, '', 11, 0, 1, 1, 1, 0, 0),
(33, 'HEADER', 108, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(34, 'TITLE', 121, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE_DESC', 1, '', '', 1, 1, 1, '', 1, 0, 1, 1, 1, 0, 0),
(35, 'PERMALINK', 115, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK_DESC', 1, '', '', 1, 1, 1, '', 2, 0, 1, 1, 1, 0, 0),
(36, 'DESCRIPTION', 102, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION_DESC', 1, '', '', 1, 1, 1, '', 3, 0, 1, 1, 1, 0, 0),
(37, 'TYPE', 122, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE_DESC', 1, '', '', 1, 0, 1, '', 4, 0, 1, 1, 0, 0, 0),
(38, 'URL', 123, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE_DESC', 1, '', '', 1, 1, 0, '', 5, 0, 1, 1, 1, 0, 0),
(39, 'PHOTOS', 116, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO_DESC', 1, '', '', 1, 1, 0, '', 6, 0, 1, 1, 1, 0, 0),
(40, 'NEWS', 114, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS_DESC', 1, '', '', 1, 1, 0, '', 7, 0, 1, 1, 1, 0, 0),
(41, 'DISCUSSIONS', 103, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS_DESC', 1, '', '', 1, 1, 0, '', 8, 0, 1, 1, 1, 0, 0),
(42, 'HEADER-1', 108, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION_DESC', 1, '', '', 1, 1, 1, '', 9, 0, 1, 1, 0, 0, 0),
(43, 'AVATAR', 97, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR_DESC', 1, '', '', 1, 1, 0, '', 10, 0, 1, 1, 1, 0, 0),
(44, 'COVER', 100, 5, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER_DESC', 1, '', '', 1, 1, 0, '', 11, 0, 1, 1, 1, 0, 0),
(45, 'HEADER', 108, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(46, 'TITLE', 121, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE_DESC', 1, '', '', 1, 1, 1, '', 1, 0, 1, 1, 1, 0, 0),
(47, 'PERMALINK', 115, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK_DESC', 1, '', '', 1, 1, 1, '', 2, 0, 1, 1, 1, 0, 0),
(48, 'DESCRIPTION', 102, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION_DESC', 1, '', '', 1, 1, 1, '', 3, 0, 1, 1, 1, 0, 0),
(49, 'TYPE', 122, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE_DESC', 1, '', '', 1, 0, 1, '', 4, 0, 1, 1, 0, 0, 0),
(50, 'URL', 123, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE_DESC', 1, '', '', 1, 1, 0, '', 5, 0, 1, 1, 1, 0, 0),
(51, 'PHOTOS', 116, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO_DESC', 1, '', '', 1, 1, 0, '', 6, 0, 1, 1, 1, 0, 0),
(52, 'NEWS', 114, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS_DESC', 1, '', '', 1, 1, 0, '', 7, 0, 1, 1, 1, 0, 0),
(53, 'DISCUSSIONS', 103, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS_DESC', 1, '', '', 1, 1, 0, '', 8, 0, 1, 1, 1, 0, 0),
(54, 'HEADER-1', 108, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION_DESC', 1, '', '', 1, 1, 1, '', 9, 0, 1, 1, 0, 0, 0),
(55, 'AVATAR', 97, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR_DESC', 1, '', '', 1, 1, 0, '', 10, 0, 1, 1, 1, 0, 0),
(56, 'COVER', 100, 6, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER_DESC', 1, '', '', 1, 1, 0, '', 11, 0, 1, 1, 1, 0, 0),
(57, 'HEADER', 108, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(58, 'TITLE', 121, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE_DESC', 1, '', '', 1, 1, 1, '', 1, 0, 1, 1, 1, 0, 0),
(59, 'PERMALINK', 115, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK_DESC', 1, '', '', 1, 1, 1, '', 2, 0, 1, 1, 1, 0, 0),
(60, 'DESCRIPTION', 102, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION_DESC', 1, '', '', 1, 1, 1, '', 3, 0, 1, 1, 1, 0, 0),
(61, 'TYPE', 122, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE_DESC', 1, '', '', 1, 0, 1, '', 4, 0, 1, 1, 0, 0, 0),
(62, 'URL', 123, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE_DESC', 1, '', '', 1, 1, 0, '', 5, 0, 1, 1, 1, 0, 0),
(63, 'PHOTOS', 116, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO_DESC', 1, '', '', 1, 1, 0, '', 6, 0, 1, 1, 1, 0, 0),
(64, 'NEWS', 114, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS_DESC', 1, '', '', 1, 1, 0, '', 7, 0, 1, 1, 1, 0, 0),
(65, 'DISCUSSIONS', 103, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS_DESC', 1, '', '', 1, 1, 0, '', 8, 0, 1, 1, 1, 0, 0),
(66, 'HEADER-1', 108, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION_DESC', 1, '', '', 1, 1, 1, '', 9, 0, 1, 1, 0, 0, 0),
(67, 'AVATAR', 97, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR_DESC', 1, '', '', 1, 1, 0, '', 10, 0, 1, 1, 1, 0, 0),
(68, 'COVER', 100, 7, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER_DESC', 1, '', '', 1, 1, 0, '', 11, 0, 1, 1, 1, 0, 0),
(69, 'HEADER', 108, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_ACCOUNT_INFO_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(70, 'TITLE', 121, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TITLE_DESC', 1, '', '', 1, 1, 1, '', 1, 0, 1, 1, 1, 0, 0),
(71, 'PERMALINK', 115, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERMALINK_DESC', 1, '', '', 1, 1, 1, '', 2, 0, 1, 1, 1, 0, 0),
(72, 'DESCRIPTION', 102, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DESCRIPTION_DESC', 1, '', '', 1, 1, 1, '', 3, 0, 1, 1, 1, 0, 0),
(73, 'TYPE', 122, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_TYPE_DESC', 1, '', '', 1, 0, 1, '', 4, 0, 1, 1, 0, 0, 0),
(74, 'URL', 123, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_WEBSITE_DESC', 1, '', '', 1, 1, 0, '', 5, 0, 1, 1, 1, 0, 0),
(75, 'PHOTOS', 116, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PHOTO_DESC', 1, '', '', 1, 1, 0, '', 6, 0, 1, 1, 1, 0, 0),
(76, 'NEWS', 114, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_NEWS_DESC', 1, '', '', 1, 1, 0, '', 7, 0, 1, 1, 1, 0, 0),
(77, 'DISCUSSIONS', 103, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_DISCUSSIONS_DESC', 1, '', '', 1, 1, 0, '', 8, 0, 1, 1, 1, 0, 0),
(78, 'HEADER-1', 108, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_PERSONALIZATION_DESC', 1, '', '', 1, 1, 1, '', 9, 0, 1, 1, 0, 0, 0),
(79, 'AVATAR', 97, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_AVATAR_DESC', 1, '', '', 1, 1, 0, '', 10, 0, 1, 1, 1, 0, 0),
(80, 'COVER', 100, 8, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER', 1, 'COM_EASYSOCIAL_FIELDS_GROUP_COVER_DESC', 1, '', '', 1, 1, 0, '', 11, 0, 1, 1, 1, 0, 0),
(81, 'HEADER', 139, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_ACCOUNT_INFO', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_ACCOUNT_INFO_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(82, 'TITLE', 156, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_TITLE', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_TITLE_DESC', 1, '', '', 1, 1, 1, '', 1, 0, 1, 1, 1, 0, 0),
(83, 'PERMALINK', 148, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_PERMALINK', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_PERMALINK_DESC', 1, '', '', 1, 1, 1, '', 2, 0, 1, 1, 1, 0, 0),
(84, 'STARTEND', 152, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_TIME', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_TIME_DESC', 1, '', '', 1, 1, 1, '', 3, 0, 1, 1, 1, 0, 0),
(85, 'ALLDAY', 125, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_ALLDAY', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_ALLDAY_DESC', 1, '', '', 1, 1, 1, '', 4, 0, 1, 1, 1, 0, 0),
(86, 'RECURRING', 150, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_RECURRING', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_RECURRING_DESC', 1, '', '', 1, 1, 0, '', 5, 0, 1, 1, 1, 0, 0),
(87, 'DESCRIPTION', 133, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_DESCRIPTION', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_DESCRIPTION_DESC', 1, '', '', 1, 1, 1, '', 6, 0, 1, 1, 1, 0, 0),
(88, 'TYPE', 157, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_TYPE', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_TYPE_DESC', 1, '', '', 1, 0, 1, '', 7, 0, 1, 1, 0, 0, 0),
(89, 'URL', 158, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_WEBSITE', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_WEBSITE_DESC', 1, '', '', 1, 1, 0, '', 8, 0, 1, 1, 1, 0, 0),
(90, 'HEADER-1', 139, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIGURATION', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIGURATION_DESC', 1, '', '', 1, 1, 1, '', 9, 0, 1, 1, 0, 0, 0),
(91, 'CONFIGALLOWMAYBE', 129, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_ALLOW_MAYBE', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_ALLOW_MAYBE_DESC', 1, '', '', 1, 1, 1, '', 10, 0, 1, 1, 0, 0, 0),
(92, 'CONFIGNOTGOINGGUEST', 130, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_NOT_GOING_GUEST', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_NOT_GOING_GUEST_DESC', 1, '', '', 1, 1, 1, '', 11, 0, 1, 1, 0, 0, 0),
(93, 'GUESTLIMIT', 138, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_GUEST_LIMIT', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_GUEST_LIMIT_DESC', 1, '', '', 1, 1, 1, '', 12, 0, 1, 1, 0, 0, 0),
(94, 'HEADER-2', 139, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_FEATURES', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_FEATURES_DESC', 1, '', '', 1, 1, 1, '', 13, 0, 1, 1, 0, 0, 0),
(95, 'PHOTOS', 149, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_PHOTO', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_PHOTO_DESC', 1, '1', '', 1, 1, 0, '', 14, 0, 1, 1, 1, 0, 0),
(96, 'NEWS', 146, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_NEWS', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_NEWS_DESC', 1, '1', '', 1, 1, 0, '', 15, 0, 1, 1, 1, 0, 0),
(97, 'DISCUSSIONS', 134, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_DISCUSSIONS', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_DISCUSSIONS_DESC', 1, '1', '', 1, 1, 0, '', 16, 0, 1, 1, 1, 0, 0),
(98, 'HEADER-3', 139, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_DETAILS', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_DETAILS_DESC', 1, '', '', 1, 1, 1, '', 17, 0, 1, 1, 0, 0, 0),
(99, 'ADDRESS', 124, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_ADDRESS', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_ADDRESS_DESC', 1, '', '', 1, 1, 1, '', 18, 0, 1, 1, 1, 0, 0),
(100, 'HEADER-4', 139, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_PERSONALIZATION', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_PERSONALIZATION_DESC', 1, '', '', 1, 1, 1, '', 19, 0, 1, 1, 0, 0, 0),
(101, 'AVATAR', 126, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_AVATAR', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_AVATAR_DESC', 1, '', '', 1, 1, 0, '', 20, 0, 1, 1, 1, 0, 0),
(102, 'COVER', 131, 9, 'COM_EASYSOCIAL_FIELDS_EVENT_COVER', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_COVER_DESC', 1, '', '', 1, 1, 0, '', 21, 0, 1, 1, 1, 0, 0),
(103, 'HEADER', 139, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_ACCOUNT_INFO', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_ACCOUNT_INFO_DESC', 1, '', '', 1, 1, 1, '', 0, 0, 1, 1, 0, 0, 0),
(104, 'TITLE', 156, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_TITLE', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_TITLE_DESC', 1, '', '', 1, 1, 1, '', 1, 0, 1, 1, 1, 0, 0),
(105, 'PERMALINK', 148, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_PERMALINK', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_PERMALINK_DESC', 1, '', '', 1, 1, 1, '', 2, 0, 1, 1, 1, 0, 0),
(106, 'STARTEND', 152, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_TIME', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_TIME_DESC', 1, '', '', 1, 1, 1, '', 3, 0, 1, 1, 1, 0, 0),
(107, 'ALLDAY', 125, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_ALLDAY', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_ALLDAY_DESC', 1, '', '', 1, 1, 1, '', 4, 0, 1, 1, 1, 0, 0),
(108, 'RECURRING', 150, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_RECURRING', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_RECURRING_DESC', 1, '', '', 1, 1, 0, '', 5, 0, 1, 1, 1, 0, 0),
(109, 'DESCRIPTION', 133, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_DESCRIPTION', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_DESCRIPTION_DESC', 1, '', '', 1, 1, 1, '', 6, 0, 1, 1, 1, 0, 0),
(110, 'TYPE', 157, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_TYPE', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_TYPE_DESC', 1, '', '', 1, 0, 1, '', 7, 0, 1, 1, 0, 0, 0),
(111, 'URL', 158, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_WEBSITE', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_WEBSITE_DESC', 1, '', '', 1, 1, 0, '', 8, 0, 1, 1, 1, 0, 0),
(112, 'HEADER-1', 139, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIGURATION', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIGURATION_DESC', 1, '', '', 1, 1, 1, '', 9, 0, 1, 1, 0, 0, 0),
(113, 'CONFIGALLOWMAYBE', 129, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_ALLOW_MAYBE', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_ALLOW_MAYBE_DESC', 1, '', '', 1, 1, 1, '', 10, 0, 1, 1, 0, 0, 0),
(114, 'CONFIGNOTGOINGGUEST', 130, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_NOT_GOING_GUEST', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_NOT_GOING_GUEST_DESC', 1, '', '', 1, 1, 1, '', 11, 0, 1, 1, 0, 0, 0),
(115, 'GUESTLIMIT', 138, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_GUEST_LIMIT', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_CONFIG_GUEST_LIMIT_DESC', 1, '', '', 1, 1, 1, '', 12, 0, 1, 1, 0, 0, 0),
(116, 'HEADER-2', 139, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_FEATURES', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_FEATURES_DESC', 1, '', '', 1, 1, 1, '', 13, 0, 1, 1, 0, 0, 0),
(117, 'PHOTOS', 149, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_PHOTO', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_PHOTO_DESC', 1, '1', '', 1, 1, 0, '', 14, 0, 1, 1, 1, 0, 0),
(118, 'NEWS', 146, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_NEWS', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_NEWS_DESC', 1, '1', '', 1, 1, 0, '', 15, 0, 1, 1, 1, 0, 0),
(119, 'DISCUSSIONS', 134, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_DISCUSSIONS', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_DISCUSSIONS_DESC', 1, '1', '', 1, 1, 0, '', 16, 0, 1, 1, 1, 0, 0),
(120, 'HEADER-3', 139, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_DETAILS', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_DETAILS_DESC', 1, '', '', 1, 1, 1, '', 17, 0, 1, 1, 0, 0, 0),
(121, 'ADDRESS', 124, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_ADDRESS', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_ADDRESS_DESC', 1, '', '', 1, 1, 1, '', 18, 0, 1, 1, 1, 0, 0),
(122, 'HEADER-4', 139, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_PERSONALIZATION', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_PERSONALIZATION_DESC', 1, '', '', 1, 1, 1, '', 19, 0, 1, 1, 0, 0, 0),
(123, 'AVATAR', 126, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_AVATAR', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_AVATAR_DESC', 1, '', '', 1, 1, 0, '', 20, 0, 1, 1, 1, 0, 0),
(124, 'COVER', 131, 10, 'COM_EASYSOCIAL_FIELDS_EVENT_COVER', 1, 'COM_EASYSOCIAL_FIELDS_EVENT_COVER_DESC', 1, '', '', 1, 1, 0, '', 21, 0, 1, 1, 1, 0, 0);

DROP TABLE IF EXISTS `#__social_fields_data`;
CREATE TABLE `#__social_fields_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `datakey` varchar(255) NOT NULL,
  `data` text NOT NULL,
  `params` text NOT NULL,
  `raw` text,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`,`uid`),
  KEY `node_id` (`uid`),
  KEY `idx_uid_type` (`uid`,`type`),
  KEY `idx_type_raw` (`type`(25),`raw`(255)),
  KEY `idx_type_key_raw` (`type`(25),`datakey`(50),`raw`(255)),
  FULLTEXT KEY `fields_data_raw` (`raw`)
) ENGINE=MyISAM AUTO_INCREMENT=85 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_fields_data` (`id`, `field_id`, `uid`, `type`, `datakey`, `data`, `params`, `raw`) VALUES
(1, 1, 542, 'user', '', '', '', ''),
(2, 2, 542, 'user', '', '{"first":"admin","middle":"","last":"","name":"admin"}', '', 'admin'),
(3, 3, 542, 'user', '', '', '', ''),
(4, 4, 542, 'user', '', '', '', ''),
(5, 5, 542, 'user', '', '', '', ''),
(6, 6, 542, 'user', '', '', '', ''),
(7, 7, 542, 'user', '', '', '', ''),
(8, 8, 542, 'user', '', '', '', ''),
(9, 9, 542, 'user', '', '', '', ''),
(10, 10, 542, 'user', '', '2', '', '2'),
(11, 11, 542, 'user', '', '{"day":"09","month":"06","year":"1994"}', '', '1994 June 09'),
(12, 12, 542, 'user', '', '{"address1":"ha noi","address2":"ha noi ","city":"ha noi","state":"san","zip":"890789890","country":"US"}', '', 'ha noi ha noi  ha noi san 890789890 US'),
(13, 13, 542, 'user', '', '', '', ''),
(14, 14, 542, 'user', '', '', '', ''),
(15, 15, 542, 'user', '', '', '', ''),
(16, 16, 542, 'user', '', '', '', ''),
(17, 17, 542, 'user', '', '', '', ''),
(18, 18, 542, 'user', '', '', '', ''),
(19, 19, 542, 'user', '', '', '', ''),
(20, 20, 542, 'user', '', '', '', ''),
(21, 1, 545, 'user', '', '', '', ''),
(22, 2, 545, 'user', '', '{"first":"anna","middle":"","last":"","name":"anna"}', '', 'anna'),
(23, 3, 545, 'user', '', '', '', ''),
(24, 4, 545, 'user', '', '', '', ''),
(25, 5, 545, 'user', '', '', '', ''),
(26, 6, 545, 'user', '', '', '', ''),
(27, 7, 545, 'user', '', '', '', ''),
(28, 8, 545, 'user', '', '', '', ''),
(29, 9, 545, 'user', '', '', '', ''),
(30, 10, 545, 'user', '', '1', '', '1'),
(31, 11, 545, 'user', '', '{"day":"10","month":"01","year":"1975"}', '', '1975 January 10'),
(32, 12, 545, 'user', '', '{"address1":"hcm","address2":"hcm","city":"hcm","state":"sss","zip":"09000","country":"UM"}', '', 'hcm hcm hcm sss 09000 UM'),
(33, 13, 545, 'user', '', '', '', ''),
(34, 14, 545, 'user', '', '', '', ''),
(35, 15, 545, 'user', '', '', '', ''),
(36, 16, 545, 'user', '', '', '', ''),
(37, 17, 545, 'user', '', '', '', ''),
(38, 18, 545, 'user', '', '', '', ''),
(39, 19, 545, 'user', '', '', '', ''),
(40, 20, 545, 'user', '', '', '', ''),
(61, 1, 546, 'user', '', '', '', ''),
(62, 2, 546, 'user', '', '{"first":"ninja","middle":"","last":"","name":"ninja"}', '', 'ninja'),
(63, 3, 546, 'user', '', '', '', ''),
(64, 4, 546, 'user', '', '', '', ''),
(65, 5, 546, 'user', '', '', '', ''),
(66, 6, 546, 'user', '', '', '', ''),
(67, 7, 546, 'user', '', '', '', ''),
(68, 8, 546, 'user', '', '', '', ''),
(69, 9, 546, 'user', '', '', '', ''),
(70, 10, 546, 'user', '', '2', '', '2'),
(71, 11, 546, 'user', '', '{"day":"06","month":"01","year":"1977"}', '', '1977 January 06'),
(72, 12, 546, 'user', '', '{"address1":"ha noi","address2":"ha noi","city":"ha noi","state":"ha noi","zip":"000","country":"AL"}', '', 'ha noi ha noi ha noi ha noi 000 AL'),
(73, 13, 546, 'user', '', '', '', ''),
(74, 14, 546, 'user', '', '', '', ''),
(75, 15, 546, 'user', '', '', '', ''),
(76, 16, 546, 'user', '', '', '', ''),
(77, 17, 546, 'user', '', '', '', ''),
(78, 18, 546, 'user', '', '', '', ''),
(79, 19, 546, 'user', '', '', '', ''),
(80, 20, 546, 'user', '', '', '', ''),
(81, 2, 42, 'user', 'first', 'Super', '', 'Super'),
(82, 2, 42, 'user', 'middle', '', '', ''),
(83, 2, 42, 'user', 'last', 'User', '', 'User'),
(84, 2, 42, 'user', 'name', 'Super User', '', 'Super User');

DROP TABLE IF EXISTS `#__social_fields_options`;
CREATE TABLE `#__social_fields_options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL,
  `ordering` tinyint(3) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  `default` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_parents` (`parent_id`,`key`),
  KEY `idx_parentid` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_fields_position`;
CREATE TABLE `#__social_fields_position` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `position` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_fields_rules`;
CREATE TABLE `#__social_fields_rules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `match_text` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field_id` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_fields_steps`;
CREATE TABLE `#__social_fields_steps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `state` tinyint(4) NOT NULL,
  `created` datetime NOT NULL,
  `sequence` int(11) NOT NULL,
  `visible_registration` tinyint(3) NOT NULL,
  `visible_edit` tinyint(3) NOT NULL,
  `visible_display` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `workflow_id` (`uid`),
  KEY `state` (`state`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_fields_steps` (`id`, `uid`, `type`, `title`, `description`, `state`, `created`, `sequence`, `visible_registration`, `visible_edit`, `visible_display`) VALUES
(1, 1, 'profiles', 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_STEP_BASIC_INFORMATION', 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_STEP_BASIC_INFORMATION_DESC', 1, '2013-12-30 08:28:03', 1, 1, 1, 1),
(2, 1, 'profiles', 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_STEP_EDUCATION', 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_STEP_EDUCATION_DESC', 1, '2013-12-30 08:28:03', 2, 1, 1, 1),
(3, 1, 'profiles', 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_STEP_APPEARANCE', 'COM_EASYSOCIAL_FIELDS_PROFILE_DEFAULT_STEP_APPEARANCE_DESC', 1, '2013-12-30 08:28:03', 3, 1, 1, 0),
(4, 1, 'clusters', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO_DESC', 1, '2014-11-27 03:15:37', 1, 1, 1, 1),
(5, 2, 'clusters', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO_DESC', 1, '2014-11-27 03:15:37', 1, 1, 1, 1),
(6, 3, 'clusters', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO_DESC', 1, '2014-11-27 03:15:37', 1, 1, 1, 1),
(7, 4, 'clusters', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO_DESC', 1, '2014-11-27 03:15:37', 1, 1, 1, 1),
(8, 5, 'clusters', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO', 'COM_EASYSOCIAL_FIELDS_GROUP_INFO_DESC', 1, '2014-11-27 03:15:37', 1, 1, 1, 1),
(9, 6, 'clusters', 'COM_EASYSOCIAL_FIELDS_EVENT_INFO', 'COM_EASYSOCIAL_FIELDS_EVENT_INFO_DESC', 1, '2014-11-27 03:15:37', 1, 1, 1, 1),
(10, 7, 'clusters', 'COM_EASYSOCIAL_FIELDS_EVENT_INFO', 'COM_EASYSOCIAL_FIELDS_EVENT_INFO_DESC', 1, '2014-11-27 03:15:37', 1, 1, 1, 1);

DROP TABLE IF EXISTS `#__social_files`;
CREATE TABLE `#__social_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `collection_id` int(11) NOT NULL,
  `name` text NOT NULL,
  `hits` int(11) NOT NULL,
  `hash` text NOT NULL,
  `uid` int(11) NOT NULL,
  `type` text NOT NULL,
  `created` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  `size` text NOT NULL,
  `mime` text NOT NULL,
  `state` tinyint(3) NOT NULL,
  `storage` varchar(255) NOT NULL DEFAULT 'joomla',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `collection_id` (`collection_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_files_collections`;
CREATE TABLE `#__social_files_collections` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `owner_id` int(11) NOT NULL,
  `owner_type` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL COMMENT 'This is the person that creates the item.',
  `title` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_friends`;
CREATE TABLE `#__social_friends` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `actor_id` int(11) NOT NULL,
  `target_id` int(11) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  `message` text NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_friends_actor` (`actor_id`),
  KEY `idx_friends_target` (`target_id`),
  KEY `idx_friends_actor_state` (`actor_id`,`state`),
  KEY `idx_friends_target_state` (`target_id`,`state`),
  KEY `idx_actor_target` (`actor_id`,`target_id`,`state`),
  KEY `idx_target_actor` (`target_id`,`actor_id`,`state`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_friends` (`id`, `actor_id`, `target_id`, `state`, `created`, `message`, `modified`) VALUES
(1, 542, 546, 1, '2014-01-08 10:30:50', '', '2014-01-09 03:16:43');

DROP TABLE IF EXISTS `#__social_friends_invitations`;
CREATE TABLE `#__social_friends_invitations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `email` text NOT NULL,
  `created` datetime NOT NULL,
  `message` text NOT NULL,
  `registered_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_indexer`;
CREATE TABLE `#__social_indexer` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `utype` varchar(64) DEFAULT NULL,
  `component` varchar(64) DEFAULT NULL,
  `title` text NOT NULL,
  `content` longtext NOT NULL,
  `link` text,
  `last_update` datetime NOT NULL,
  `ucreator` bigint(20) unsigned DEFAULT '0',
  `image` text,
  PRIMARY KEY (`id`),
  KEY `social_source` (`uid`,`utype`,`component`),
  FULLTEXT KEY `social_indexer_snapshot` (`title`,`content`)
) ENGINE=MyISAM AUTO_INCREMENT=57 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_indexer` (`id`, `uid`, `utype`, `component`, `title`, `content`, `link`, `last_update`, `ucreator`, `image`) VALUES
(1, 542, 'users', 'com_easysocial', 'Admin', 'Admin ha noi ha noi  ha noi san US', '', '2014-01-08 10:35:35', 542, NULL),
(2, 543, 'users', 'com_easysocial', 'Khanh Le', 'Khanh Le', '', '2013-12-30 08:29:29', 543, NULL),
(3, 2, 'blog', 'com_easyblog', 'The year 2013 in review : A look back', 'The year 2013 in review : A look back &lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id si', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/the-year-2013-in-review-a-look-back', '2014-01-02 09:44:34', 544, 'http://localhost/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(4, 3, 'blog', 'com_easyblog', 'And the long updates, releases, upgrades and improvements list', 'And the long updates, releases, upgrades and improvements list &lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id si', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/and-the-long-updates-releases-upgrades-and-improvements-list', '2014-01-02 09:45:06', 542, 'http://localhost/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(5, 4, 'blog', 'com_easyblog', 'T3 Framework video – Introducing Megamenu', 'T3 Framework video – Introducing Megamenu &lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem nequ', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/t3-framework-video-introducing-megamenu', '2014-01-02 09:50:22', 545, 'http://localhost/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(6, 5, 'blog', 'com_easyblog', 'Best Joomla Christmas deals coupon code roundup 2013', 'Best Joomla Christmas deals coupon code roundup 2013 &lt;p&gt;Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-christmas-deals-coupon-code-roundup-2013', '2014-01-02 10:09:52', 546, 'http://localhost/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(7, 6, 'blog', 'com_easyblog', 'Extended: Christmas SALES with 25% off on all JoomlArt products', 'Extended: Christmas SALES with 25% off on all JoomlArt products &lt;p&gt;Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis au', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/extended-christmas-sales-with-25-off-on-all-joomlart-products', '2014-01-02 10:10:26', 542, 'http://localhost/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(8, 7, 'blog', 'com_easyblog', '10 days left to get your logo retouched free for Christmas', '10 days left to get your logo retouched free for Christmas &lt;p&gt;Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesu', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/10-days-left-to-get-your-logo-retouched-free-for-christmas', '2014-01-02 10:10:56', 542, 'http://localhost/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(9, 8, 'blog', 'com_easyblog', 'Best Joomla Black Friday Deals 2013 on everything Joomla related', 'Best Joomla Black Friday Deals 2013 on everything Joomla related &lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem nequ', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/best-joomla-black-friday-deals-2013-on-everything-joomla-related', '2014-01-02 10:11:44', 542, 'http://localhost/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(10, 9, 'blog', 'com_easyblog', '14 Responsive Joomla templates & 10 Joomla extensions are now compatible with Joomla 3.2', '14 Responsive Joomla templates & 10 Joomla extensions are now compatible with Joomla 3.2 &lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem nequ', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/14-responsive-joomla-templates-10-joomla-extensions-are-now-compatible-with-joomla-3-2', '2014-01-02 10:17:22', 546, 'http://10.0.0.59/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(11, 10, 'blog', 'com_easyblog', 'FREE Christmas Logo decoration by JoomlArt Artists', 'FREE Christmas Logo decoration by JoomlArt Artists &lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id si', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/free-christmas-logo-decoration-by-joomlart-artists', '2014-01-02 10:17:58', 542, 'http://10.0.0.59/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(12, 11, 'blog', 'com_easyblog', 'Easy to use Google translate or Bing translator for your Joomla', 'Easy to use Google translate or Bing translator for your Joomla &lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id si', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/easy-to-use-google-translate-or-bing-translator-for-your-joomla', '2014-01-02 10:18:40', 545, 'http://10.0.0.59/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(13, 12, 'blog', 'com_easyblog', 'Ready for Mobile Commerce with Magento theme JM Megamall', 'Ready for Mobile Commerce with Magento theme JM Megamall &lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem nequ', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/ready-for-mobile-commerce-with-magento-theme-jm-megamall', '2014-01-02 10:19:18', 546, 'http://10.0.0.59/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(14, 13, 'blog', 'com_easyblog', 'Infographic: 5 reasons for upgrading to Magento 1.8', 'Infographic: 5 reasons for upgrading to Magento 1.8 &lt;p&gt;Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/infographic-5-reasons-for-upgrading-to-magento-1-8', '2014-01-02 10:19:45', 542, 'http://10.0.0.59/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(15, 14, 'blog', 'com_easyblog', 'Zoom-in JM Bookshop - responsive Magento theme for bookstores', 'Zoom-in JM Bookshop - responsive Magento theme for bookstores &lt;p&gt;Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis au', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/zoom-in-jm-bookshop-responsive-magento-theme-for-bookstores', '2014-01-02 10:20:18', 542, 'http://10.0.0.59/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(16, 15, 'blog', 'com_easyblog', 'Dress up for Halloween with responsive Magento theme JM Gamestore', 'Dress up for Halloween with responsive Magento theme JM Gamestore &lt;p&gt;Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesu', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/dress-up-for-halloween-with-responsive-magento-theme-jm-gamestore', '2014-01-02 10:20:50', 544, 'http://10.0.0.59/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(17, 16, 'blog', 'com_easyblog', 'All new JM Basetheme - Magento extension with more responsive features', 'All new JM Basetheme - Magento extension with more responsive features &lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing ', '/ja_monthly_temp/canvas/administrator/index.php/2013-12-25-07-48-03/easyblog/entry/all-new-jm-basetheme-magento-extension-with-more-responsive-features', '2014-01-02 10:21:56', 542, 'http://10.0.0.59/ja_monthly_temp/canvas/components/com_easyblog/assets/images/default_facebook.png'),
(18, 1, 'albums', 'com_easysocial', 'Album1', 'Praesent tempor faucibus metus, vel sed.\n', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/1-album1/542-admin', '2014-01-08 10:30:18', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/1/1/a4fdb202ef46c9c52a5fd39eaccee849_thumbnail.jpg'),
(19, 1, 'photos', 'com_easysocial', 'bl-5', 'bl-5', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/1-bl-5', '2014-01-08 10:30:19', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/1/1/a4fdb202ef46c9c52a5fd39eaccee849_thumbnail.jpg'),
(20, 2, 'photos', 'com_easysocial', 'bl-7', 'bl-7', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/2-bl-7', '2014-01-08 10:30:19', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/1/2/2559831c894d5253a1a4e962b263714a_thumbnail.jpg'),
(21, 3, 'photos', 'com_easysocial', 'bl-9', 'bl-9', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/3-bl-9', '2014-01-08 10:30:19', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/1/3/fc24ec643fd9d5d972d4df023f572e8e_thumbnail.jpg'),
(22, 4, 'photos', 'com_easysocial', 'bl-16', 'bl-16', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/4-bl-16', '2014-01-08 10:30:19', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/1/4/c775813fbe2cc0670621b405a9b82b23_thumbnail.jpg'),
(23, 2, 'albums', 'com_easysocial', 'Story Photos', 'Photos that are uploaded for the stories.', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/2-story-photos/542-admin', '2014-01-08 10:31:32', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/2/5/d6d0f0a614c0a42ad4096b391ef6da93_thumbnail.jpg'),
(24, 5, 'photos', 'com_easysocial', 'bl-19.jpg', 'bl-19.jpg', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/5-bl-19-jpg', '2014-01-08 10:31:32', 542, NULL),
(25, 3, 'albums', 'com_easysocial', 'Avatar Photos', 'Photos that are uploaded for the profile avatar.', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/3-avatar-photos/542-admin', '2014-01-08 10:35:33', 542, NULL),
(26, 6, 'photos', 'com_easysocial', 'us-2.jpg', 'us-2.jpg', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/6-us-2-jpg', '2014-01-08 10:35:34', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/3/6/0c2c4f69fae6c16c5ee5882df5534423_thumbnail.jpg'),
(27, 4, 'albums', 'com_easysocial', 'Cover Photos', 'Photos that are uploaded for profile cover.', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/4-cover-photos/542-admin', '2014-01-08 10:35:34', 0, NULL),
(28, 7, 'photos', 'com_easysocial', 'picjumbo.com_IMG_4118.jpg', 'picjumbo.com_IMG_4118.jpg', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/7-picjumbo-com-img-4118-jpg', '2014-01-08 10:35:34', 542, NULL),
(29, 5, 'albums', 'com_easysocial', 'Avatar Photos', 'Photos that are uploaded for the profile avatar.', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/5-avatar-photos/anna', '2014-01-08 10:37:33', 545, NULL),
(30, 8, 'photos', 'com_easysocial', 'us-3.jpg', 'us-3.jpg', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/8-us-3-jpg', '2014-01-08 10:37:34', 545, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/5/8/68ad7a985ff0bac2ce5e9abf66b7b506_thumbnail.jpg'),
(31, 545, 'users', 'com_easysocial', 'Anna', 'Anna hcm hcm hcm sss UM', '', '2014-01-08 10:37:34', 545, NULL),
(32, 544, 'users', 'com_easysocial', 'Hero', 'Hero da nang da nang da nang can VN', '', '2014-01-08 10:40:32', 544, NULL),
(55, 6, 'albums', 'com_easysocial', 'Avatar Photos', 'Photos that are uploaded for the profile avatar.', '/jadev2_data/sites/auto/qs.purityiii.1403249935/index.php?option=com_easysocial&amp;view=albums&amp;id=6:avatar-photos&amp;userid=544-hero&amp;layout=item&amp;Itemid=716', '2014-06-20 07:59:32', 544, NULL),
(35, 7, 'albums', 'com_easysocial', 'Avatar Photos', 'Photos that are uploaded for the profile avatar.', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/7-avatar-photos/ninja', '2014-01-08 10:43:25', 546, NULL),
(36, 10, 'photos', 'com_easysocial', 'us-5.jpg', 'us-5.jpg', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/10-us-5-jpg', '2014-01-08 10:43:30', 546, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/7/10/da3c8cf32c38066d457d963c5e28eef0_thumbnail.jpg'),
(37, 546, 'users', 'com_easysocial', 'Ninja', 'Ninja ha noi ha noi ha noi ha noi AL', '', '2014-01-08 10:43:30', 546, NULL),
(38, 8, 'albums', 'com_easysocial', 'my photos', 'my photos', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/8-my-photos/anna', '2014-01-09 03:23:17', 545, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/8/11/47e562eaae6853aedd44e67cbe615a50_thumbnail.jpg'),
(39, 11, 'photos', 'com_easysocial', 'bl-12', 'bl-12', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/11-bl-12', '2014-01-09 03:23:18', 545, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/8/11/47e562eaae6853aedd44e67cbe615a50_thumbnail.jpg'),
(40, 12, 'photos', 'com_easysocial', 'bl-20', 'bl-20', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/12-bl-20', '2014-01-09 03:23:19', 545, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/8/12/a37e6179b5cfbbaa95c51ab33e26d676_thumbnail.jpg'),
(41, 1, 'lists', 'com_easysocial', 'Best Friends', 'Best Friends ', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/friends?listid=1', '2014-01-09 03:24:42', 546, NULL),
(42, 9, 'albums', 'com_easysocial', 'Album2', 'Album2', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/9-album2/542-admin', '2014-01-09 03:27:56', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/9/13/14d93a17ae7440315371b0e773dfd79e_thumbnail.jpg'),
(43, 13, 'photos', 'com_easysocial', 'bl-17', 'the best photo', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/13-bl-17', '2014-01-09 03:27:57', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/9/13/14d93a17ae7440315371b0e773dfd79e_thumbnail.jpg'),
(44, 14, 'photos', 'com_easysocial', 'bl-18', 'bl-18', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/14-bl-18', '2014-01-09 03:27:57', 542, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/9/14/3c3e08768be9e7722d6a095619720e6d_thumbnail.jpg'),
(45, 10, 'albums', 'com_easysocial', 'picnic', 'picnic', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/10-picnic/anna', '2014-01-09 07:34:17', 545, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/10/15/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg'),
(46, 15, 'photos', 'com_easysocial', 'bl-1', 'bl-1', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/15-bl-1', '2014-01-09 07:34:18', 545, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/10/15/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg'),
(47, 16, 'photos', 'com_easysocial', 'bl-7', 'bl-7', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/16-bl-7', '2014-01-09 07:34:18', 545, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/10/16/dc623b2e057427606d59b99bc188dc88_thumbnail.jpg'),
(48, 17, 'photos', 'com_easysocial', 'bl-26', 'bl-26', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/17-bl-26', '2014-01-09 07:34:18', 545, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/10/17/94a7c9c6216886e1f6c1eba1c92e83f6_thumbnail.jpg'),
(56, 11, 'albums', 'com_easysocial', 'holidays', 'Proin convallis, ante sed laoreet metus.\n', '/jadev2_data/sites/auto/qs.purityiii.1403249935/index.php?option=com_easysocial&amp;view=albums&amp;id=11:holidays&amp;userid=544-hero&amp;layout=item&amp;Itemid=716', '2014-06-20 07:59:32', 544, NULL),
(51, 12, 'albums', 'com_easysocial', 'New Pic ^^', 'Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/12-new-pic/543-khanh', '2014-01-09 07:39:30', 543, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/12/19/db2b3740f7afe9d78401177f6e96bf16_thumbnail.jpg'),
(52, 19, 'photos', 'com_easysocial', 'bl-8', 'bl-8', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/19-bl-8', '2014-01-09 07:39:31', 543, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/12/19/db2b3740f7afe9d78401177f6e96bf16_thumbnail.jpg'),
(53, 20, 'photos', 'com_easysocial', 'bl-10', 'bl-10', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/20-bl-10', '2014-01-09 07:39:31', 543, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/12/20/d7a868d5533b1fdbb2a136642a9c58ec_thumbnail.jpg'),
(54, 21, 'photos', 'com_easysocial', 'bl-11', 'bl-11', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/21-bl-11', '2014-01-09 07:39:31', 543, 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/12/21/0a7c68e983e7565fab58d80dd7669df1_thumbnail.jpg');

DROP TABLE IF EXISTS `#__social_languages`;
CREATE TABLE `#__social_languages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `locale` varchar(255) NOT NULL,
  `updated` datetime NOT NULL,
  `state` tinyint(3) NOT NULL,
  `translator` varchar(255) NOT NULL,
  `progress` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_likes`;
CREATE TABLE `#__social_likes` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `uid` bigint(20) NOT NULL,
  `created_by` bigint(20) unsigned DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `stream_id` bigint(20) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `social_likes_uid` (`uid`),
  KEY `social_likes_contenttype` (`type`),
  KEY `social_likes_createdby` (`created_by`),
  KEY `social_likes_content_type` (`type`,`uid`),
  KEY `social_likes_content_type_by` (`type`,`uid`,`created_by`),
  KEY `idx_stream_id` (`stream_id`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_likes` (`id`, `type`, `uid`, `created_by`, `created`, `stream_id`) VALUES
(1, 'albums.user', 1, 544, '2014-01-08 10:41:07', 0),
(2, 'story.user', 40, 546, '2014-01-09 03:06:04', 0),
(3, 'albums.user', 10, 545, '2014-01-09 07:36:26', 0),
(4, 'albums.user', 10, 543, '2014-01-09 07:39:42', 0),
(6, 'shares.user', 2, 545, '2014-01-09 07:43:04', 0),
(7, 'comments.user', 6, 545, '2014-01-09 07:43:11', 0),
(8, 'albums.user', 12, 545, '2014-01-09 07:43:15', 0),
(9, 'users.user', 69, 543, '2014-01-09 07:43:45', 0),
(10, 'users.user', 57, 543, '2014-01-09 07:43:46', 0),
(11, 'albums.user', 9, 543, '2014-01-09 07:43:50', 0),
(12, 'comments.user', 2, 543, '2014-01-09 07:43:54', 0),
(13, 'comments.user', 3, 543, '2014-01-09 07:43:55', 0),
(14, 'comments.user', 7, 543, '2014-01-09 07:43:56', 0),
(15, 'albums.user', 8, 543, '2014-01-09 07:44:08', 0),
(16, 'friends.user', 1, 543, '2014-01-09 07:44:08', 0),
(17, 'shares.user', 3, 543, '2014-01-09 07:44:27', 0);

DROP TABLE IF EXISTS `#__social_links`;
CREATE TABLE `#__social_links` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `hash` varchar(255) NOT NULL,
  `data` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_lists`;
CREATE TABLE `#__social_lists` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `alias` text NOT NULL,
  `description` text NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `default` tinyint(3) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_userid` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_lists` (`id`, `title`, `alias`, `description`, `created`, `modified`, `default`, `state`, `user_id`) VALUES
(1, 'Best Friends', '', '', '2014-01-09 03:24:42', '2014-01-09 03:24:42', 1, 1, 546);

DROP TABLE IF EXISTS `#__social_lists_maps`;
CREATE TABLE `#__social_lists_maps` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `list_id` bigint(20) NOT NULL,
  `target_id` bigint(20) NOT NULL,
  `target_type` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_target_id` (`target_id`),
  KEY `idx_target_list_type` (`target_id`,`list_id`,`target_type`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_lists_maps` (`id`, `list_id`, `target_id`, `target_type`, `created`) VALUES
(1, 1, 542, 'user', '2014-01-09 03:24:42');

DROP TABLE IF EXISTS `#__social_locations`;
CREATE TABLE `#__social_locations` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL,
  `type` text NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `created` datetime NOT NULL,
  `short_address` varchar(255) NOT NULL,
  `address` text NOT NULL,
  `longitude` varchar(255) NOT NULL,
  `latitude` varchar(255) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_logger`;
CREATE TABLE `#__social_logger` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `file` varchar(255) NOT NULL,
  `line` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_mailer`;
CREATE TABLE `#__social_mailer` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sender_name` text NOT NULL,
  `sender_email` text NOT NULL,
  `replyto_email` text NOT NULL,
  `recipient_name` text NOT NULL,
  `recipient_email` text NOT NULL,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `template` text NOT NULL,
  `html` tinyint(4) NOT NULL,
  `state` tinyint(4) NOT NULL,
  `response` text NOT NULL,
  `created` datetime NOT NULL,
  `params` text NOT NULL,
  `priority` tinyint(4) NOT NULL COMMENT '1 - Low , 2 - Medium , 3 - High , 4 - Highest',
  `language` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `state` (`state`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_mailer` (`id`, `sender_name`, `sender_email`, `replyto_email`, `recipient_name`, `recipient_email`, `title`, `content`, `template`, `html`, `state`, `response`, `created`, `params`, `priority`, `language`) VALUES
(1, '', '', '', 'ninja', 'ninja@joom.com', 'New friend request from admin', '', 'site/friends/request', 1, 0, '', '2014-01-08 10:30:50', '{"requesterId":"542","requesterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/large.png","requesterName":"admin","requesterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/542-admin","requestDate":"2014-01-08 10:30:50","totalFriends":0,"totalMutualFriends":"0","recipientName":"ninja","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/medium.png"}', 2, ''),
(2, '', '', '', 'ninja', 'ninja@joom.com', 'admin posted on your timeline', '', 'site/profile/post.story', 1, 0, '', '2014-01-08 10:31:32', '{"posterName":"admin","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/medium.png","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/542-admin","recipientName":"ninja","permalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/stream\\/item\\/28","content":"Suspendisse potenti. Etiam orci aliquam.\\n<img src=\\"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/2\\/5\\/d6d0f0a614c0a42ad4096b391ef6da93_thumbnail.jpg\\" width=\\"128\\" \\/>","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/medium.png"}', 2, ''),
(3, '', '', '', 'admin', 'admin@joom.com', 'hero likes your album', '', 'site/albums/new.likes.owner', 1, 0, '', '2014-01-08 10:41:08', '{"posterName":"hero","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/544\\/4ed73ea2c4f6dc924a62050720c3adc2_large.jpg","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/hero","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/1\\/1\\/a4fdb202ef46c9c52a5fd39eaccee849_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/1-album1\\/542-admin","albumTitle":"Album1","albumOwner":"admin","recipientName":"admin","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/542\\/2e3622332e889045490481f6f3e5b3b0_medium.jpg"}', 2, ''),
(4, '', '', '', 'admin', 'admin@joom.com', 'New comment added by hero on your photo', '', 'site/photos/new.comment.owner', 1, 0, '', '2014-01-08 10:41:16', '{"posterName":"hero","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/544\\/4ed73ea2c4f6dc924a62050720c3adc2_large.jpg","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/hero","comment":"ohhhhh","permalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/photos\\/item\\/5-bl-19-jpg\\/542-admin","photoThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/2\\/5\\/d6d0f0a614c0a42ad4096b391ef6da93_thumbnail.jpg","photoPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/photos\\/item\\/5-bl-19-jpg\\/542-admin","photoTitle":"bl-19.jpg","photoOwner":"admin","recipientName":"admin","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/542\\/2e3622332e889045490481f6f3e5b3b0_medium.jpg"}', 2, ''),
(5, '', '', '', 'admin', 'admin@joom.com', 'ninja has approved your friend request', '', 'site/friends/accepted', 1, 0, '', '2014-01-09 03:16:44', '{"friendId":"546","friendAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/546\\/8aee3b866f5b4d9c6ce8f454fc861b73_large.jpg","friendName":"ninja","friendLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/ninja","friendDate":"2014-01-09 03:16:43","totalFriends":1,"totalMutualFriends":"0","recipientName":"admin","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/542\\/2e3622332e889045490481f6f3e5b3b0_medium.jpg"}', 2, ''),
(6, '', '', '', 'admin', 'admin@joom.com', 'New message received from anna', '', 'site/conversations/alerts.new', 1, 0, '', '2014-01-09 03:21:01', '{"name":"admin","authorName":"anna","authorAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/545\\/2fb704afae4d666508edba696d077fa9_medium.jpg","authorLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/anna","message":"hello admin","messageDate":"2014-01-09 03:21:01","conversationLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/conversations\\/1"}', 2, ''),
(7, '', '', '', 'admin', 'admin@joom.com', 'New message received from ninja', '', 'site/conversations/alerts.new', 1, 0, '', '2014-01-09 03:25:02', '{"name":"admin","authorName":"ninja","authorAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/546\\/73835df4b85d7fbc727fdef81fd06169_medium.jpg","authorLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/ninja","message":"hihihi","messageDate":"2014-01-09 03:25:02","conversationLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/2013-12-25-07-48-03\\/easysocial\\/conversations\\/2"}', 2, ''),
(8, '', '', '', 'anna', 'anna@joom.com', 'khanh likes your album', '', 'site/albums/new.likes.owner', 1, 0, '', '2014-01-09 07:39:43', '{"posterName":"khanh","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/large.png","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/543-khanh","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/10\\/15\\/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10-picnic\\/anna","albumTitle":"picnic","albumOwner":"anna","recipientName":"anna","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/545\\/2fb704afae4d666508edba696d077fa9_medium.jpg"}', 2, ''),
(9, '', '', '', 'anna', 'anna@joom.com', 'khanh added a comment on your album', '', 'site/albums/new.comment.owner', 1, 0, '', '2014-01-09 07:39:54', '{"posterName":"khanh","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/large.png","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/543-khanh","comment":"Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas","permalink":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10-picnic\\/anna","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/10\\/15\\/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10-picnic\\/anna","albumTitle":"picnic","albumOwner":"anna","recipientName":"anna","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/545\\/2fb704afae4d666508edba696d077fa9_medium.jpg"}', 2, ''),
(10, '', '', '', 'khanh', 'khanh@joom.com', 'hero added a comment on anna\'s album', '', 'site/albums/new.comment.involved', 1, 0, '', '2014-01-09 07:41:52', '{"posterName":"hero","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/544\\/4ed73ea2c4f6dc924a62050720c3adc2_large.jpg","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/hero","comment":"Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus","permalink":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10-picnic\\/anna","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/10\\/15\\/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10-picnic\\/anna","albumTitle":"picnic","albumOwner":"anna","recipientName":"khanh","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/medium.png"}', 2, ''),
(11, '', '', '', 'anna', 'anna@joom.com', 'hero added a comment on your album', '', 'site/albums/new.comment.owner', 1, 0, '', '2014-01-09 07:41:53', '{"posterName":"hero","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/544\\/4ed73ea2c4f6dc924a62050720c3adc2_large.jpg","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/hero","comment":"Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus","permalink":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10-picnic\\/anna","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/10\\/15\\/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/10-picnic\\/anna","albumTitle":"picnic","albumOwner":"anna","recipientName":"anna","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/545\\/2fb704afae4d666508edba696d077fa9_medium.jpg"}', 2, ''),
(12, '', '', '', 'hero', 'hero@joom.com', 'anna likes your comment.', '', 'site/comments/new.comment.like', 1, 0, '', '2014-01-09 07:43:11', '{"actor":"anna","posterName":"anna","comment":"Morbi eros erat, auctor in lorem nullam.","recipientName":"hero","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/544\\/c14e8f950b2c4a56cdd92892ec4922d3_medium.jpg"}', 2, ''),
(13, '', '', '', 'khanh', 'khanh@joom.com', 'anna likes your album', '', 'site/albums/new.likes.owner', 1, 0, '', '2014-01-09 07:43:15', '{"posterName":"anna","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/545\\/cefcd5c832e811ea50ba6aa8c3d69cf1_large.jpg","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/anna","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/12\\/19\\/db2b3740f7afe9d78401177f6e96bf16_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/12-new-pic\\/543-khanh","albumTitle":"New Pic ^^","albumOwner":"khanh","recipientName":"khanh","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/medium.png"}', 2, ''),
(14, '', '', '', 'khanh', 'khanh@joom.com', 'anna added a comment on your album', '', 'site/albums/new.comment.owner', 1, 0, '', '2014-01-09 07:43:26', '{"posterName":"anna","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/545\\/cefcd5c832e811ea50ba6aa8c3d69cf1_large.jpg","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/anna","comment":"Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus","permalink":"\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/12-new-pic\\/543-khanh","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/12\\/19\\/db2b3740f7afe9d78401177f6e96bf16_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/12-new-pic\\/543-khanh","albumTitle":"New Pic ^^","albumOwner":"khanh","recipientName":"khanh","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/medium.png"}', 2, ''),
(15, '', '', '', 'admin', 'admin@joom.com', 'khanh likes your album', '', 'site/albums/new.likes.owner', 1, 0, '', '2014-01-09 07:43:50', '{"posterName":"khanh","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/large.png","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/543-khanh","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/9\\/13\\/14d93a17ae7440315371b0e773dfd79e_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/9-album2\\/542-admin","albumTitle":"Album2","albumOwner":"admin","recipientName":"admin","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/542\\/2e3622332e889045490481f6f3e5b3b0_medium.jpg"}', 2, ''),
(16, '', '', '', 'admin', 'admin@joom.com', 'khanh likes your comment.', '', 'site/comments/new.comment.like', 1, 0, '', '2014-01-09 07:43:54', '{"actor":"khanh","posterName":"khanh","comment":"i can...","recipientName":"admin","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/542\\/2e3622332e889045490481f6f3e5b3b0_medium.jpg"}', 2, ''),
(17, '', '', '', 'ninja', 'ninja@joom.com', 'khanh likes your comment.', '', 'site/comments/new.comment.like', 1, 0, '', '2014-01-09 07:43:55', '{"actor":"khanh","posterName":"khanh","comment":"Aliquam non dolor sed nunc mattis metus.Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.","recipientName":"ninja","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/546\\/73835df4b85d7fbc727fdef81fd06169_medium.jpg"}', 2, ''),
(18, '', '', '', 'anna', 'anna@joom.com', 'khanh likes your comment.', '', 'site/comments/new.comment.like', 1, 0, '', '2014-01-09 07:43:56', '{"actor":"khanh","posterName":"khanh","comment":"Netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus","recipientName":"anna","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/545\\/2fb704afae4d666508edba696d077fa9_medium.jpg"}', 2, ''),
(19, '', '', '', 'anna', 'anna@joom.com', 'khanh likes your album', '', 'site/albums/new.likes.owner', 1, 0, '', '2014-01-09 07:44:09', '{"posterName":"khanh","posterAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/defaults\\/avatars\\/users\\/large.png","posterLink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/edit-profile\\/543-khanh","albumThumbnail":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/photos\\/8\\/11\\/47e562eaae6853aedd44e67cbe615a50_thumbnail.jpg","albumPermalink":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/index.php\\/article-categories-view\\/2013-12-25-07-48-03\\/easysocial\\/create-album\\/item\\/8-my-photos\\/anna","albumTitle":"my photos","albumOwner":"anna","recipientName":"anna","recipientAvatar":"http:\\/\\/localhost\\/ja_monthly_temp\\/canvas\\/media\\/com_easysocial\\/avatars\\/users\\/545\\/2fb704afae4d666508edba696d077fa9_medium.jpg"}', 2, '');

DROP TABLE IF EXISTS `#__social_migrators`;
CREATE TABLE `#__social_migrators` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `oid` bigint(20) unsigned NOT NULL,
  `element` varchar(100) NOT NULL,
  `component` varchar(100) NOT NULL,
  `uid` bigint(20) unsigned NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`),
  KEY `component_content` (`component`,`oid`,`element`)
) ENGINE=MyISAM COMMENT='Store migrated content id and map with easysocial item id.' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_moods`;
CREATE TABLE `#__social_moods` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary key of the row',
  `namespace` varchar(255) NOT NULL COMMENT 'Determines if this item is tied to a specific item',
  `namespace_uid` int(11) NOT NULL,
  `icon` varchar(255) NOT NULL COMMENT 'Contains the css class for the emoticon',
  `verb` varchar(255) NOT NULL COMMENT 'Feeling, Watching, Eating etc',
  `subject` text NOT NULL COMMENT 'Happy, Sad, Angry etc',
  `custom` tinyint(3) NOT NULL COMMENT 'Determines if the user supplied a custom text',
  `text` text NOT NULL COMMENT 'If there is a custom text, based on the custom column, this text will be used.',
  `user_id` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_notes`;
CREATE TABLE `#__social_notes` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) NOT NULL,
  `title` text NOT NULL,
  `alias` text NOT NULL,
  `content` text NOT NULL,
  `created` datetime NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_notifications`;
CREATE TABLE `#__social_notifications` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `context_ids` text NOT NULL,
  `context_type` varchar(255) NOT NULL,
  `cmd` text NOT NULL,
  `app_id` bigint(20) DEFAULT NULL,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `image` text NOT NULL,
  `created` datetime NOT NULL,
  `state` tinyint(4) NOT NULL DEFAULT '0',
  `actor_id` int(11) NOT NULL,
  `actor_type` varchar(255) NOT NULL,
  `target_id` int(11) NOT NULL,
  `target_type` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `url` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `node_id` (`uid`,`created`),
  KEY `idx_target_state` (`target_id`,`target_type`,`state`),
  KEY `idx_target_created` (`target_id`,`target_type`,`created`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_notifications` (`id`, `uid`, `type`, `context_ids`, `context_type`, `cmd`, `app_id`, `title`, `content`, `image`, `created`, `state`, `actor_id`, `actor_type`, `target_id`, `target_type`, `params`, `url`) VALUES
(1, 35, 'story', '["5"]', 'photos', 'story.story', NULL, '{actor} posted on your timeline: "Suspendisse potenti. Etiam orci aliquam.\n<img src="http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/2/5/d6d0f0a614c0a42ad4096b391ef6da93_thumbnail.jpg" width="128" />"', '', '', '2014-01-08 10:31:32', 0, 542, 'user', 546, 'user', '', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/stream/item/28'),
(2, 1, 'likes', '', 'albums', 'likes.likes', NULL, 'COM_EASYSOCIAL_PHOTOS_LIKES_SYSTEM_TITLE', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/1/1/a4fdb202ef46c9c52a5fd39eaccee849_thumbnail.jpg', '2014-01-08 10:41:08', 0, 544, 'user', 542, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/1-album1/542-admin'),
(3, 5, 'comments', '', 'photos', 'comments.comment.add', NULL, 'ohhhhh', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/2/5/d6d0f0a614c0a42ad4096b391ef6da93_thumbnail.jpg', '2014-01-08 10:41:16', 0, 544, 'user', 542, 'user', '', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/photos/item/5-bl-19-jpg/542-admin'),
(4, 1, 'friends', '', '', 'friends.approve', NULL, '{actor} accepted your friend request.', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/avatars/users/546/8aee3b866f5b4d9c6ce8f454fc861b73_large.jpg', '2014-01-09 03:16:44', 0, 546, 'user', 542, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/edit-profile/ninja'),
(5, 10, 'likes', '', 'albums', 'likes.likes', NULL, 'COM_EASYSOCIAL_PHOTOS_LIKES_SYSTEM_TITLE', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/10/15/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg', '2014-01-09 07:39:43', 0, 543, 'user', 545, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/10-picnic/anna'),
(6, 10, 'comments', '', 'albums', 'comments.comment.add', NULL, 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/10/15/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg', '2014-01-09 07:41:53', 0, 543, 'user', 545, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/10-picnic/anna'),
(7, 10, 'comments', '', 'albums', 'comments.comment.add', NULL, 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/10/15/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg', '2014-01-09 07:41:52', 0, 544, 'user', 543, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/10-picnic/anna'),
(8, 6, 'comments', '', '', 'comments.like', NULL, '{actor} likes your comment.', '', '', '2014-01-09 07:43:11', 0, 545, 'user', 544, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/2'),
(9, 12, 'likes', '', 'albums', 'likes.likes', NULL, 'COM_EASYSOCIAL_PHOTOS_LIKES_SYSTEM_TITLE', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/12/19/db2b3740f7afe9d78401177f6e96bf16_thumbnail.jpg', '2014-01-09 07:43:16', 0, 545, 'user', 543, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/12-new-pic/543-khanh'),
(10, 12, 'comments', '', 'albums', 'comments.comment.add', NULL, 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/12/19/db2b3740f7afe9d78401177f6e96bf16_thumbnail.jpg', '2014-01-09 07:43:26', 0, 545, 'user', 543, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/12-new-pic/543-khanh'),
(11, 9, 'likes', '', 'albums', 'likes.likes', NULL, 'COM_EASYSOCIAL_PHOTOS_LIKES_SYSTEM_TITLE', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/9/13/14d93a17ae7440315371b0e773dfd79e_thumbnail.jpg', '2014-01-09 07:43:50', 1, 543, 'user', 542, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/9-album2/542-admin'),
(12, 2, 'comments', '', '', 'comments.like', NULL, '{actor} likes your comment.', '', '', '2014-01-09 07:43:54', 0, 543, 'user', 542, 'user', '', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/stream/item/1'),
(13, 3, 'comments', '', '', 'comments.like', NULL, '{actor} likes your comment.', '', '', '2014-01-09 07:43:55', 0, 543, 'user', 546, 'user', '', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/stream/item/1'),
(14, 7, 'comments', '', '', 'comments.like', NULL, '{actor} likes your comment.', '', '', '2014-01-09 07:43:56', 0, 543, 'user', 545, 'user', '', '/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/stream/item/1'),
(15, 8, 'likes', '', 'albums', 'likes.likes', NULL, 'COM_EASYSOCIAL_PHOTOS_LIKES_SYSTEM_TITLE', '', 'http://localhost/ja_monthly_temp/canvas/media/com_easysocial/photos/8/11/47e562eaae6853aedd44e67cbe615a50_thumbnail.jpg', '2014-01-09 07:44:09', 0, 543, 'user', 545, 'user', '', '/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/create-album/item/8-my-photos/anna');

DROP TABLE IF EXISTS `#__social_oauth`;
CREATE TABLE `#__social_oauth` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oauth_id` varchar(255) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` text NOT NULL,
  `client` varchar(255) NOT NULL,
  `token` text NOT NULL,
  `secret` text NOT NULL,
  `created` datetime NOT NULL,
  `expires` varchar(255) NOT NULL,
  `pull` tinyint(3) NOT NULL,
  `push` tinyint(3) NOT NULL,
  `params` text NOT NULL,
  `last_pulled` datetime NOT NULL,
  `last_pushed` datetime NOT NULL,
  `permissions` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `pull` (`pull`,`push`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_oauth_history`;
CREATE TABLE `#__social_oauth_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oauth_id` int(11) NOT NULL,
  `remote_id` int(11) NOT NULL,
  `remote_type` varchar(255) NOT NULL,
  `local_id` int(11) NOT NULL,
  `local_type` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_photos`;
CREATE TABLE `#__social_photos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  `album_id` int(11) NOT NULL,
  `title` text NOT NULL,
  `caption` text NOT NULL,
  `created` datetime NOT NULL,
  `assigned_date` datetime NOT NULL,
  `ordering` tinyint(3) NOT NULL,
  `featured` tinyint(3) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `storage` varchar(255) NOT NULL DEFAULT 'joomla',
  `total_size` bigint(20) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `idx_photos_user_photos` (`state`,`uid`,`type`,`ordering`),
  KEY `idx_albums` (`state`,`album_id`,`ordering`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_photos` (`id`, `uid`, `type`, `user_id`, `album_id`, `title`, `caption`, `created`, `assigned_date`, `ordering`, `featured`, `state`, `storage`, `total_size`) VALUES
(1, 542, 'user', 0, 1, 'bl-5', '', '2014-01-08 10:29:00', '2014-01-08 00:00:00', 3, 0, 1, 'joomla', 0),
(2, 542, 'user', 0, 1, 'bl-7', '', '2014-01-08 10:29:20', '2014-01-08 00:00:00', 2, 0, 1, 'joomla', 0),
(3, 542, 'user', 0, 1, 'bl-9', '', '2014-01-08 10:29:22', '2014-01-08 00:00:00', 1, 0, 1, 'joomla', 0),
(4, 542, 'user', 0, 1, 'bl-16', '', '2014-01-08 10:29:25', '2014-01-08 00:00:00', 0, 0, 1, 'joomla', 0),
(5, 542, 'user', 0, 2, 'bl-19.jpg', '', '2014-01-08 10:31:26', '2014-01-08 10:31:26', 0, 0, 1, 'joomla', 0),
(6, 542, 'user', 0, 3, 'us-2.jpg', '', '2014-01-08 10:35:33', '0000-00-00 00:00:00', 0, 0, 1, 'joomla', 0),
(7, 542, 'user', 0, 4, 'picjumbo.com_IMG_4118.jpg', '', '2014-01-08 10:35:34', '0000-00-00 00:00:00', 0, 0, 0, 'joomla', 0),
(8, 545, 'user', 0, 5, 'us-3.jpg', '', '2014-01-08 10:37:33', '0000-00-00 00:00:00', 0, 0, 1, 'joomla', 0),
(10, 546, 'user', 0, 7, 'us-5.jpg', '', '2014-01-08 10:43:25', '0000-00-00 00:00:00', 0, 0, 1, 'joomla', 0),
(11, 545, 'user', 0, 8, 'bl-12', '', '2014-01-09 03:23:00', '2014-01-09 00:00:00', 1, 0, 1, 'joomla', 0),
(12, 545, 'user', 0, 8, 'bl-20', '', '2014-01-09 03:23:04', '2014-01-09 00:00:00', 0, 0, 1, 'joomla', 0),
(13, 542, 'user', 0, 9, 'bl-17', 'the best photo', '2014-01-09 03:27:39', '2014-01-09 00:00:00', 1, 0, 1, 'joomla', 0),
(14, 542, 'user', 0, 9, 'bl-18', '', '2014-01-09 03:27:42', '2014-01-09 00:00:00', 0, 0, 1, 'joomla', 0),
(15, 545, 'user', 0, 10, 'bl-1', '', '2014-01-09 07:33:58', '2014-01-09 00:00:00', 2, 0, 1, 'joomla', 0),
(16, 545, 'user', 0, 10, 'bl-7', '', '2014-01-09 07:34:04', '2014-01-09 00:00:00', 1, 0, 1, 'joomla', 0),
(17, 545, 'user', 0, 10, 'bl-26', '', '2014-01-09 07:34:07', '2014-01-09 00:00:00', 0, 0, 1, 'joomla', 0),
(19, 543, 'user', 0, 12, 'bl-8', '', '2014-01-09 07:39:13', '2014-01-09 00:00:00', 2, 0, 1, 'joomla', 0),
(20, 543, 'user', 0, 12, 'bl-10', '', '2014-01-09 07:39:17', '2014-01-09 00:00:00', 1, 0, 1, 'joomla', 0),
(21, 543, 'user', 0, 12, 'bl-11', '', '2014-01-09 07:39:23', '2014-01-09 00:00:00', 0, 0, 1, 'joomla', 0);

DROP TABLE IF EXISTS `#__social_photos_meta`;
CREATE TABLE `#__social_photos_meta` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photo_id` int(11) NOT NULL,
  `group` varchar(255) NOT NULL,
  `property` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `photo_id` (`photo_id`),
  KEY `group` (`group`)
) ENGINE=MyISAM AUTO_INCREMENT=148 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_photos_meta` (`id`, `photo_id`, `group`, `property`, `value`) VALUES
(1, 1, 'exif', 'angle', '0'),
(2, 1, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/1/0c1e83423718e0e46a5d8f79d1250eff_stock.jpg'),
(3, 1, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/1/7c489503f2562dcbf5cc506ef0470e18_original.jpg'),
(4, 1, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/1/4e2f5084fe4f6f259b804bf9eb001fb9_square.jpg'),
(5, 1, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/1/a4fdb202ef46c9c52a5fd39eaccee849_thumbnail.jpg'),
(6, 1, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/1/82800eed0877f091069225489106136c_featured.jpg'),
(7, 1, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/1/69f5891f4fb253cb75220d3029a17d17_large.jpg'),
(8, 2, 'exif', 'angle', '0'),
(9, 2, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/2/870ce0413e8fce33fe0c40c3914b81dc_stock.jpg'),
(10, 2, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/2/6e57c4b6300f8937e6d664b3d0ac3057_original.jpg'),
(11, 2, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/2/8d8c5f8dced5c55e569ed576d084fa89_square.jpg'),
(12, 2, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/2/2559831c894d5253a1a4e962b263714a_thumbnail.jpg'),
(13, 2, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/2/53b6bdbe1901570ce854a6e976d35e0b_featured.jpg'),
(14, 2, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/2/8e120f22212a5d2f34859e69c6c44775_large.jpg'),
(15, 3, 'exif', 'angle', '0'),
(16, 3, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/3/7380780df6fd46ce325d624317b8353f_stock.jpg'),
(17, 3, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/3/17083e14cf904b9e5df9b429eef642ae_original.jpg'),
(18, 3, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/3/95efae3c47a932b7db1ea2790db6e590_square.jpg'),
(19, 3, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/3/fc24ec643fd9d5d972d4df023f572e8e_thumbnail.jpg'),
(20, 3, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/3/3cce2e4634c96406a564ac747932ab8f_featured.jpg'),
(21, 3, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/3/1dc3bdb3ae033f53b30a93ff90186406_large.jpg'),
(22, 4, 'exif', 'angle', '0'),
(23, 4, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/4/868d15e7520baa61ae1b7c2cdedf233c_stock.jpg'),
(24, 4, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/4/0640eda2a65a55633fcb45746c147217_original.jpg'),
(25, 4, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/4/a683653bfe98ff1692062fc0428d7053_square.jpg'),
(26, 4, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/4/c775813fbe2cc0670621b405a9b82b23_thumbnail.jpg'),
(27, 4, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/4/85c6ca494c25400574ffe6a7bccc9e5e_featured.jpg'),
(28, 4, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/1/4/9f6e5f4e6d0291abdc32a539442bfd8a_large.jpg'),
(29, 5, 'exif', 'angle', '0'),
(30, 5, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/2/5/1941d81f452e84bf9565a6e0b83620ce_stock.jpg'),
(31, 5, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/2/5/a45a12dc8bba35bfd25021125c1b187d_original.jpg'),
(32, 5, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/2/5/36c3ac8a453161cd8538ba10de275d9b_square.jpg'),
(33, 5, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/2/5/d6d0f0a614c0a42ad4096b391ef6da93_thumbnail.jpg'),
(34, 5, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/2/5/a8c2f0ab5c29e412a3bd8dff396ce1b2_featured.jpg'),
(35, 5, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/2/5/4deadf9bb4a62aaa4c3a077c5e50f274_large.jpg'),
(36, 6, 'exif', 'angle', '0'),
(37, 6, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/3/6/a04f4f08e4b2176ae5035bf1cb23d7cc_stock.jpg'),
(38, 6, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/3/6/be6d15dc851d8eaeae654714b183534a_original.jpg'),
(39, 6, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/3/6/08101dcd6c845030dd4bf5f144f997eb_square.jpg'),
(40, 6, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/3/6/0c2c4f69fae6c16c5ee5882df5534423_thumbnail.jpg'),
(41, 6, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/3/6/4c7f741db8f5e0c5de7c286e9cc32e11_featured.jpg'),
(42, 6, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/3/6/df0ed6e2ef52a77e8b6568a0bae3ebe0_large.jpg'),
(43, 7, 'exif', 'angle', '0'),
(44, 7, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/4/e24973339c4ed20f6f1af8394cfd72cf_stock.jpg'),
(45, 7, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/4/e78a3887dcf52a392a4d2e74f86734dc_original.jpg'),
(46, 7, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/4/c00ba2960a1c578c7129887617af3876_square.jpg'),
(47, 7, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/4/75141d05fc859dac80e9e0559ce85523_thumbnail.jpg'),
(48, 7, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/4/fb3b2766cc29f5244749aa0afdbae448_featured.jpg'),
(49, 7, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/4/6adb47905d62da8ab27b6a66dd1f2141_large.jpg'),
(50, 8, 'exif', 'angle', '0'),
(51, 8, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/5/8/26c6e82065afe1fd9108ffcf784eb4b5_stock.jpg'),
(52, 8, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/5/8/9420b4ad4d570e1c1ad75d89aedcf90e_original.jpg'),
(53, 8, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/5/8/3356377cdbcc4c3b7d222fef3d562e40_square.jpg'),
(54, 8, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/5/8/68ad7a985ff0bac2ce5e9abf66b7b506_thumbnail.jpg'),
(55, 8, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/5/8/4c514728375f1bdc35a7ab98546bd0ac_featured.jpg'),
(56, 8, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/5/8/3f7b1cb163b1db90a6a79f30a75697b4_large.jpg'),
(64, 10, 'exif', 'angle', '0'),
(65, 10, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/7/10/8378dbb05af8ade86c8e59bc69d8c4c5_stock.jpg'),
(66, 10, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/7/10/f6728e3d9efabc9069e90ec844793f1e_original.jpg'),
(67, 10, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/7/10/5e0a68ed174059986b05dd23c026cedc_square.jpg'),
(68, 10, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/7/10/da3c8cf32c38066d457d963c5e28eef0_thumbnail.jpg'),
(69, 10, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/7/10/07c4357142be25a40f82b4925f484f29_featured.jpg'),
(70, 10, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/7/10/ee791dee14fad73d8edb1e06e2bd328c_large.jpg'),
(71, 11, 'exif', 'angle', '0'),
(72, 11, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/11/89b6033f75d96d301983a0fdbc4abaa3_stock.jpg'),
(73, 11, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/11/f749738d4739d885c0fd7e9d88db579b_original.jpg'),
(74, 11, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/11/2d56bb50ee30665cac4813c1760b8cf3_square.jpg'),
(75, 11, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/11/47e562eaae6853aedd44e67cbe615a50_thumbnail.jpg'),
(76, 11, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/11/d3e67c55df1cb8d49dc2ea903f239c6d_featured.jpg'),
(77, 11, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/11/463af89ff6450ce90c218e99e89b8047_large.jpg'),
(78, 12, 'exif', 'angle', '0'),
(79, 12, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/12/2252632cd5003779dc6b7d2f7cba46e4_stock.jpg'),
(80, 12, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/12/1dd08a425e93a7685a56d26020c5118a_original.jpg'),
(81, 12, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/12/a7d1853023f6d471ca696bf7da1feb5e_square.jpg'),
(82, 12, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/12/a37e6179b5cfbbaa95c51ab33e26d676_thumbnail.jpg'),
(83, 12, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/12/7d4d29823b060d5e29dc704237190c97_featured.jpg'),
(84, 12, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/8/12/892fc5cb53fae17d88cf77a73031dd7e_large.jpg'),
(85, 13, 'exif', 'angle', '0'),
(86, 13, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/13/3a8ccf1afb64d9ca2d2e56b7278381fe_stock.jpg'),
(87, 13, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/13/42bbf6d569f3e834cc6b86cf74ac9973_original.jpg'),
(88, 13, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/13/715c4e56bd6707c03f81f287039e7dba_square.jpg'),
(89, 13, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/13/14d93a17ae7440315371b0e773dfd79e_thumbnail.jpg'),
(90, 13, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/13/b283d6f8038e90b0b3220cac079db946_featured.jpg'),
(91, 13, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/13/47ce093881e3b5936278dc97c70733eb_large.jpg'),
(92, 14, 'exif', 'angle', '0'),
(93, 14, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/14/9ba424c5101d036335881d4e7239b78d_stock.jpg'),
(94, 14, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/14/469fab34cb4fd86f380dda113f5ef6f0_original.jpg'),
(95, 14, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/14/d72be2afde4a1ce064db6553bf994395_square.jpg'),
(96, 14, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/14/3c3e08768be9e7722d6a095619720e6d_thumbnail.jpg'),
(97, 14, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/14/35ba0ee621907ea25d044123f6c91df3_featured.jpg'),
(98, 14, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/9/14/120ad1e1708f02016fa78c7aeca2bbd6_large.jpg'),
(99, 15, 'exif', 'angle', '0'),
(100, 15, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/15/52dab8c143ca0c29b607dc2df7f96ad0_stock.jpg'),
(101, 15, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/15/fe30c01b581f597d94d172d4e331ce1c_original.jpg'),
(102, 15, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/15/3f1882788ac8b4b66d91e45695259c0b_square.jpg'),
(103, 15, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/15/7c564b01c03597f649a3cee0783520c4_thumbnail.jpg'),
(104, 15, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/15/5f23d2673c9103105c4cb43582beb328_featured.jpg'),
(105, 15, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/15/204cab2d7712d508632737878daaf7bd_large.jpg'),
(106, 16, 'exif', 'angle', '0'),
(107, 16, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/16/95a12f7ff7bea6cf0c4568c386b96642_stock.jpg'),
(108, 16, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/16/67bb1e507b60ee696ea38a5eb6a8c5f2_original.jpg'),
(109, 16, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/16/0abd87d12dde22793a1cdc1add6f9a39_square.jpg'),
(110, 16, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/16/dc623b2e057427606d59b99bc188dc88_thumbnail.jpg'),
(111, 16, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/16/b7937acc351940b3eef71a53c577513b_featured.jpg'),
(112, 16, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/16/ba17787218748731726cb5db7dd111e6_large.jpg'),
(113, 17, 'exif', 'angle', '0'),
(114, 17, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/17/df98061d275c7c78ccec4af0502311c8_stock.jpg'),
(115, 17, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/17/804bec6167dfdd437a2e3d25957dba2e_original.jpg'),
(116, 17, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/17/61b3401fcf6c506e9dfe54120aafc8d1_square.jpg'),
(117, 17, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/17/94a7c9c6216886e1f6c1eba1c92e83f6_thumbnail.jpg'),
(118, 17, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/17/ce01194b7aad2a80012c0981de45047b_featured.jpg'),
(119, 17, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/10/17/ff05933851402ac8d2e7f29e65a838ef_large.jpg'),
(127, 19, 'exif', 'angle', '0'),
(128, 19, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/19/887436acd86289eb6c8e808e1e17da29_stock.jpg'),
(129, 19, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/19/0e3ca39ce3bbd97705ee6e605ea1689b_original.jpg'),
(130, 19, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/19/22b26cca8c7056d39c3afb3239cbfd52_square.jpg'),
(131, 19, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/19/db2b3740f7afe9d78401177f6e96bf16_thumbnail.jpg'),
(132, 19, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/19/ad630ccfe78d95b8e685d6c3e6e506f9_featured.jpg'),
(133, 19, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/19/02991a8a6a9e551241a918887a4be8d7_large.jpg'),
(134, 20, 'exif', 'angle', '0'),
(135, 20, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/20/756cacce8aed88bac5e5e68b3015673b_stock.jpg'),
(136, 20, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/20/e596845d9ab8916b7a2ee48df0be8a27_original.jpg'),
(137, 20, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/20/2e610488b2ceb169be73c304a02857cd_square.jpg'),
(138, 20, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/20/d7a868d5533b1fdbb2a136642a9c58ec_thumbnail.jpg'),
(139, 20, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/20/209efb6418ce9a68c73eabe7081f2394_featured.jpg'),
(140, 20, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/20/4c29355363dd77eccf53bc289e73f098_large.jpg'),
(141, 21, 'exif', 'angle', '0'),
(142, 21, 'path', 'stock', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/21/07770fd581a384a634ebecda48d4289f_stock.jpg'),
(143, 21, 'path', 'original', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/21/b71a3f17b417d5831bcabb0ea7cd0942_original.jpg'),
(144, 21, 'path', 'square', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/21/f0624998e1d89fb2619c2f8d3316e166_square.jpg'),
(145, 21, 'path', 'thumbnail', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/21/0a7c68e983e7565fab58d80dd7669df1_thumbnail.jpg'),
(146, 21, 'path', 'featured', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/21/33dd573bde9f0fd924fdfb3b786923ee_featured.jpg'),
(147, 21, 'path', 'large', 'E:\\wamp\\www\\ja_monthly_temp\\canvas/media/com_easysocial/photos/12/21/bb05bb75bfbdf4237699973ac5e8ff2a_large.jpg');

DROP TABLE IF EXISTS `#__social_photos_tag`;
CREATE TABLE `#__social_photos_tag` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `photo_id` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `label` text NOT NULL,
  `top` varchar(255) NOT NULL,
  `left` varchar(255) NOT NULL,
  `width` varchar(255) NOT NULL,
  `height` varchar(255) NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_points`;
CREATE TABLE `#__social_points` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `command` varchar(255) NOT NULL,
  `extension` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL COMMENT 'The title of the points',
  `description` text NOT NULL,
  `alias` varchar(255) NOT NULL COMMENT 'The permalink that links to the points.',
  `created` datetime NOT NULL COMMENT 'Creation datetime of the points.',
  `threshold` int(11) DEFAULT NULL COMMENT 'Optional value if app needs to give points based on certain actions multiple times.',
  `interval` tinyint(3) NOT NULL DEFAULT '0' COMMENT '0 - every time , 1 - once , 2 - twice - n times',
  `points` int(11) NOT NULL DEFAULT '0' COMMENT 'The amount of points to be given.',
  `state` tinyint(3) NOT NULL COMMENT 'The state of the points. 0 - unpublished, 1 - published ',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `state` (`state`),
  KEY `command_id` (`command`)
) ENGINE=MyISAM AUTO_INCREMENT=79 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_points` (`id`, `command`, `extension`, `title`, `description`, `alias`, `created`, `threshold`, `interval`, `points`, `state`, `params`) VALUES
(1, 'apps.install', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_INSTALL_APPLICATIONS', 'COM_EASYSOCIAL_POINTS_INSTALL_APPLICATIONS_DESC', 'install-apps', '2013-12-30 08:27:46', NULL, 0, 5, 1, ''),
(2, 'apps.uninstall', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_UNINSTALL_APPLICATIONS', 'COM_EASYSOCIAL_POINTS_UNINSTALL_APPLICATIONS_DESC', 'uninstall-apps', '2013-12-30 08:27:46', NULL, 0, -5, 1, ''),
(3, 'badges.achieve', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_BADGES_ACHIEVE', 'COM_EASYSOCIAL_POINTS_BADGES_ACHIEVE_DESC', 'badges-achieve', '2013-12-30 08:27:46', NULL, 0, 5, 1, ''),
(4, 'conversation.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_START_CONVERSATION', 'COM_EASYSOCIAL_POINTS_START_CONVERSATION_DESC', 'conversation-starter', '2013-12-30 08:27:46', NULL, 0, 5, 1, ''),
(5, 'conversation.create.group', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_START_CONVERSATION_GROUP', 'COM_EASYSOCIAL_POINTS_START_CONVERSATION_GROUP_DESC', 'conversation-group-starter', '2013-12-30 08:27:46', NULL, 0, 10, 1, ''),
(6, 'conversation.reply', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_REPLY_CONVERSATION', 'COM_EASYSOCIAL_POINTS_REPLY_CONVERSATION_DESC', 'conversation-reply', '2013-12-30 08:27:46', NULL, 0, 2, 1, ''),
(7, 'conversation.invite', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_INVITE_TO_CONVERSATION', 'COM_EASYSOCIAL_POINTS_INVITE_TO_CONVERSATION_DESC', 'invite-user-conversation', '2013-12-30 08:27:46', NULL, 0, 5, 1, ''),
(8, 'conversation.read', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_READ_CONVERSATION', 'COM_EASYSOCIAL_POINTS_READ_CONVERSATION_DESC', 'conversation.read', '2013-12-30 08:27:46', NULL, 0, 1, 1, ''),
(9, 'friends.add', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_FRIENDS_ADD', 'COM_EASYSOCIAL_POINTS_FRIENDS_ADD_DESC', 'friends-add', '2013-12-30 08:27:46', NULL, 0, 5, 1, ''),
(10, 'friends.remove', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_FRIENDS_REMOVE', 'COM_EASYSOCIAL_POINTS_FRIENDS_REMOVE_DESC', 'friends-remove', '2013-12-30 08:27:46', NULL, 0, -5, 1, ''),
(11, 'friends.approve', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_FRIENDS_APPROVE', 'COM_EASYSOCIAL_POINTS_FRIENDS_APPROVE_DESC', 'friends-approve', '2013-12-30 08:27:46', NULL, 0, 2, 1, ''),
(12, 'friends.list.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_CREATE_FRIEND_LIST', 'COM_EASYSOCIAL_POINTS_CREATE_FRIEND_LIST_DESC', 'friends-list-create', '2013-12-30 08:27:46', NULL, 0, 2, 1, ''),
(13, 'friends.list.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_REMOVE_FRIEND_LIST', 'COM_EASYSOCIAL_POINTS_REMOVE_FRIEND_LIST_DESC', 'friends-list-delete', '2013-12-30 08:27:46', NULL, 0, -2, 1, ''),
(14, 'friends.list.add', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_ASSIGN_FRIEND_TO_LIST', 'COM_EASYSOCIAL_POINTS_ASSIGN_FRIEND_TO_LIST_DESC', 'friends-list-add', '2013-12-30 08:27:46', NULL, 0, 1, 1, ''),
(15, 'photos.upload', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_UPLOAD_PHOTO', 'COM_EASYSOCIAL_POINTS_UPLOAD_PHOTO_DESC', 'upload-photo', '2013-12-30 08:27:46', NULL, 0, 5, 1, ''),
(16, 'photos.remove', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_REMOVE_PHOTO', 'COM_EASYSOCIAL_POINTS_REMOVE_PHOTO_DESC', 'remove-photo', '2013-12-30 08:27:46', NULL, 0, -5, 1, ''),
(17, 'photos.albums.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_CREATE_PHOTO_ALBUM', 'COM_EASYSOCIAL_POINTS_CREATE_PHOTO_ALBUM_DESC', 'create-photo-album', '2013-12-30 08:27:46', NULL, 0, 5, 1, ''),
(18, 'photos.albums.remove', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_REMOVE_PHOTO_ALBUM', 'COM_EASYSOCIAL_POINTS_REMOVE_PHOTO_ALBUM_DESC', 'remove-photo-album', '2013-12-30 08:27:46', NULL, 0, -5, 1, ''),
(19, 'photos.tag', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_TAG_ON_PHOTO', 'COM_EASYSOCIAL_POINTS_TAG_ON_PHOTO_DESC', 'tag-photo', '2013-12-30 08:27:50', NULL, 0, 1, 1, ''),
(20, 'photos.untag', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_REMOVE_TAG_ON_PHOTO', 'COM_EASYSOCIAL_POINTS_REMOVE_TAG_ON_PHOTO_DESC', 'remove-tag-photo', '2013-12-30 08:27:50', NULL, 0, -1, 1, ''),
(21, 'photos.like', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_LIKE_PHOTO', 'COM_EASYSOCIAL_POINTS_LIKE_PHOTO_DESC', 'like-photo', '2013-12-30 08:27:50', NULL, 0, 1, 1, ''),
(22, 'photos.unlike', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_UNLIKE_PHOTO', 'COM_EASYSOCIAL_POINTS_UNLIKE_PHOTO_DESC', 'unlike-photo', '2013-12-30 08:27:50', NULL, 0, -1, 1, ''),
(23, 'photos.comment.add', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_COMMENT_ON_PHOTO', 'COM_EASYSOCIAL_POINTS_COMMENT_ON_PHOTO_DESC', 'comment-photo', '2013-12-30 08:27:50', NULL, 0, 1, 1, ''),
(24, 'photos.comment.remove', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_COMMENT_REMOVE_FROM_PHOTO', 'COM_EASYSOCIAL_POINTS_COMMENT_REMOVE_FROM_PHOTO_DESC', 'comment-photo-removed', '2013-12-30 08:27:51', NULL, 0, -1, 1, ''),
(25, 'privacy.update', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_PRIVACY_UPDATE', 'COM_EASYSOCIAL_POINTS_PRIVACY_UPDATE_DESC', 'privacy-update', '2013-12-30 08:27:51', NULL, 0, 5, 1, ''),
(26, 'profile.update', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_UPDATE_PROFILE', 'COM_EASYSOCIAL_POINTS_UPDATE_PROFILE_DESC', 'profile-update', '2013-12-30 08:27:51', NULL, 0, 15, 1, ''),
(27, 'profile.avatar.update', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_UPDATE_PROFILE_AVATAR', 'COM_EASYSOCIAL_POINTS_UPDATE_PROFILE_AVATAR_DESC', 'profile-avatar-update', '2013-12-30 08:27:51', NULL, 1, 5, 1, ''),
(28, 'profile.follow', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_FOLLOW_USER', 'COM_EASYSOCIAL_POINTS_FOLLOW_USER_DESC', 'profile-follow', '2013-12-30 08:27:51', NULL, 0, 2, 1, ''),
(29, 'profile.unfollow', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_UNFOLLOW_USER', 'COM_EASYSOCIAL_POINTS_UNFOLLOW_USER_DESC', 'profile-unfollow', '2013-12-30 08:27:51', NULL, 0, -2, 1, ''),
(30, 'profile.followed', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_BEING_FOLLOWED', 'COM_EASYSOCIAL_POINTS_BEING_FOLLOWED_DESC', 'profile-followed', '2013-12-30 08:27:51', NULL, 0, 2, 1, ''),
(31, 'profile.unfollowed', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_UNFOLLOWED_BY_USER', 'COM_EASYSOCIAL_POINTS_UNFOLLOWED_BY_USER_DESC', 'profile-unfollowed', '2013-12-30 08:27:51', NULL, 0, -2, 1, ''),
(32, 'reports.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_REPORTS_ADD', 'COM_EASYSOCIAL_POINTS_REPORTS_ADD_DESC', 'reports-create', '2013-12-30 08:27:51', NULL, 0, 5, 1, ''),
(33, 'reports.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_REPORTS_REMOVED', 'COM_EASYSOCIAL_POINTS_REPORTS_REMOVED_DESC', 'reports-removed', '2013-12-30 08:27:51', NULL, 0, -5, 1, ''),
(34, 'story.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_POST_NEW_UPDATE', 'COM_EASYSOCIAL_POINTS_POST_NEW_UPDATE_DESC', 'story-create', '2013-12-30 08:27:51', NULL, 0, 5, 1, ''),
(35, 'user.registration', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_USER_REGISTER', 'COM_EASYSOCIAL_POINTS_USER_REGISTER_DESC', 'registration', '2013-12-30 08:27:51', NULL, 0, 20, 1, ''),
(36, 'create.article', 'com_content', 'PLG_APP_USER_ARTICLE_CREATE_ARTICLE_POINTS_TITLE', 'PLG_APP_USER_ARTICLE_CREATE_ARTICLE_POINTS_DESC', 'create-article', '2014-11-27 03:15:20', NULL, 0, 5, 1, ''),
(37, 'delete.article', 'com_content', 'PLG_APP_USER_ARTICLE_DELETED_ARTICLE_POINTS_TITLE', 'PLG_APP_USER_ARTICLE_DELETED_ARTICLE_POINTS_DESC', 'deleted-article', '2014-11-27 03:15:20', NULL, 0, -5, 1, ''),
(38, 'read.article', 'com_content', 'PLG_APP_USER_ARTICLE_READ_ARTICLE_POINTS_TITLE', 'PLG_APP_USER_ARTICLE_READ_ARTICLE_POINTS_DESC', 'read-article', '2014-11-27 03:15:20', NULL, 0, 1, 1, ''),
(39, 'author.read.article', 'com_content', 'PLG_APP_USER_ARTICLE_READ_ARTICLE_BY_USER_POINTS_TITLE', 'PLG_APP_USER_ARTICLE_READ_ARTICLE_BY_USER_POINTS_DESC', 'article-read-user', '2014-11-27 03:15:20', NULL, 0, 1, 1, ''),
(40, 'events.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_CREATE', 'COM_EASYSOCIAL_POINTS_EVENTS_CREATE_DESC', 'events-create', '2014-11-27 03:15:33', NULL, 0, 5, 1, ''),
(41, 'events.update', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_UPDATE', 'COM_EASYSOCIAL_POINTS_EVENTS_UPDATE_DESC', 'events-update', '2014-11-27 03:15:33', NULL, 0, 2, 1, ''),
(42, 'events.remove', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_REMOVED', 'COM_EASYSOCIAL_POINTS_EVENTS_REMOVED_DESC', 'events-remove', '2014-11-27 03:15:33', NULL, 0, -5, 1, ''),
(43, 'events.invite', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_INVITE', 'COM_EASYSOCIAL_POINTS_EVENTS_INVITE_DESC', 'events-invite', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(44, 'events.going', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_GOING', 'COM_EASYSOCIAL_POINTS_EVENTS_GOING_DESC', 'events-going', '2014-11-27 03:15:33', NULL, 0, 2, 1, ''),
(45, 'events.notgoing', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_NOTGOING', 'COM_EASYSOCIAL_POINTS_EVENTS_NOTGOING_DESC', 'events-notgoing', '2014-11-27 03:15:33', NULL, 0, -2, 1, ''),
(46, 'events.discussion.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_DISCUSSION_CREATE', 'COM_EASYSOCIAL_POINTS_EVENTS_DISCUSSION_CREATE_DESC', 'events-discussion-create', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(47, 'events.discussion.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_DISCUSSION_DELETE', 'COM_EASYSOCIAL_POINTS_EVENTS_DISCUSSION_DELETE_DESC', 'events-discussion-delete', '2014-11-27 03:15:33', NULL, 0, -1, 1, ''),
(48, 'events.discussion.answer', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_DISCUSSION_ANSWER', 'COM_EASYSOCIAL_POINTS_EVENTS_DISCUSSION_ANSWER_DESC', 'events-discussion-answer', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(49, 'events.discussion.reply', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_DISCUSSION_REPLY', 'COM_EASYSOCIAL_POINTS_EVENTS_DISCUSSION_REPLY_DESC', 'events-discussion-reply', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(50, 'events.news.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_NEWS_CREATE', 'COM_EASYSOCIAL_POINTS_EVENTS_NEWS_CREATE_DESC', 'events-news-create', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(51, 'events.news.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_NEWS_DELETE', 'COM_EASYSOCIAL_POINTS_EVENTS_NEWS_DELETE_DESC', 'events-news-delete', '2014-11-27 03:15:33', NULL, 0, -1, 1, ''),
(52, 'events.milestone.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_MILESTONE_CREATE', 'COM_EASYSOCIAL_POINTS_EVENTS_MILESTONE_CREATE_DESC', 'events-milestone-create', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(53, 'events.milestone.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_MILESTONE_DELETE', 'COM_EASYSOCIAL_POINTS_EVENTS_MILESTONE_DELETE_DESC', 'events-milestone-delete', '2014-11-27 03:15:33', NULL, 0, -1, 1, ''),
(54, 'events.task.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_TASK_CREATE', 'COM_EASYSOCIAL_POINTS_EVENTS_TASK_CREATE_DESC', 'events-task-create', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(55, 'events.task.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_TASK_DELETE', 'COM_EASYSOCIAL_POINTS_EVENTS_TASK_DELETE_DESC', 'events-task-delete', '2014-11-27 03:15:33', NULL, 0, -1, 1, ''),
(56, 'events.task.resolve', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_TASK_RESOLVE', 'COM_EASYSOCIAL_POINTS_EVENTS_TASK_RESOLVE_DESC', 'events-task-resolve', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(57, 'events.task.unresolve', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_EVENTS_TASK_UNRESOLVE', 'COM_EASYSOCIAL_POINTS_EVENTS_TASK_UNRESOLVE_DESC', 'events-task-unresolve', '2014-11-27 03:15:33', NULL, 0, -1, 1, ''),
(58, 'files.upload', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_FILES_UPLOAD', 'COM_EASYSOCIAL_POINTS_FILES_UPLOAD_DESC', 'file-upload', '2014-11-27 03:15:33', NULL, 0, 2, 1, ''),
(59, 'files.download', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_FILES_DOWNLOAD', 'COM_EASYSOCIAL_POINTS_FILES_DOWNLOAD_DESC', 'file-download', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(60, 'friends.invite', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_FRIENDS_INVITE', 'COM_EASYSOCIAL_POINTS_FRIENDS_INVITE_DESC', 'friends-invite', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(61, 'friends.registered', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_FRIENDS_INVITE_REGISTERED', 'COM_EASYSOCIAL_POINTS_FRIENDS_INVITE_REGISTERED_DESC', 'friends-invite-registered', '2014-11-27 03:15:33', NULL, 0, 5, 1, ''),
(62, 'groups.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_CREATE_GROUP', 'COM_EASYSOCIAL_POINTS_CREATE_GROUP_DESC', 'create-group', '2014-11-27 03:15:33', NULL, 0, 5, 1, ''),
(63, 'groups.remove', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_REMOVED_GROUP', 'COM_EASYSOCIAL_POINTS_REMOVED_GROUP_DESC', 'removed-group', '2014-11-27 03:15:33', NULL, 0, -5, 1, ''),
(64, 'groups.join', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_JOIN_GROUP', 'COM_EASYSOCIAL_POINTS_JOIN_GROUP_DESC', 'join-group', '2014-11-27 03:15:33', NULL, 0, 2, 1, ''),
(65, 'groups.leave', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_LEAVE_GROUP', 'COM_EASYSOCIAL_POINTS_LEAVE_GROUP_DESC', 'leave-group', '2014-11-27 03:15:33', NULL, 0, -2, 1, ''),
(66, 'groups.invite', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_INVITE_FRIENDS', 'COM_EASYSOCIAL_POINTS_GROUP_INVITE_FRIENDS_DESC', 'invite-friends-group', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(67, 'groups.update', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_UPDATE_GROUP', 'COM_EASYSOCIAL_POINTS_UPDATE_GROUP_DESC', 'updated-group', '2014-11-27 03:15:33', NULL, 0, 2, 1, ''),
(68, 'groups.discussion.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_CREATE_DISCUSSION', 'COM_EASYSOCIAL_POINTS_GROUP_CREATE_DISCUSSION_DESC', 'create-discussion-group', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(69, 'groups.discussion.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_DELETE_DISCUSSION', 'COM_EASYSOCIAL_POINTS_GROUP_DELETE_DISCUSSION_DESC', 'delete-discussion-group', '2014-11-27 03:15:33', NULL, 0, -1, 1, ''),
(70, 'groups.discussion.reply', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_REPLY_DISCUSSION', 'COM_EASYSOCIAL_POINTS_GROUP_REPLY_DISCUSSION_DESC', 'reply-discussion-group', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(71, 'groups.discussion.answer', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_ANSWER_DISCUSSION', 'COM_EASYSOCIAL_POINTS_GROUP_ANSWER_DISCUSSION_DESC', 'answer-discussion-group', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(72, 'groups.news.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_CREATE_NEWS', 'COM_EASYSOCIAL_POINTS_GROUP_CREATE_NEWS_DESC', 'create-news-group', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(73, 'groups.news.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_DELETE_NEWS', 'COM_EASYSOCIAL_POINTS_GROUP_DELETE_NEWS_DESC', 'delete-news-group', '2014-11-27 03:15:33', NULL, 0, -1, 1, ''),
(74, 'groups.milestone.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_CREATE_MILESTONE', 'COM_EASYSOCIAL_POINTS_GROUP_CREATE_MILESTONE_DESC', 'create-milestone-group', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(75, 'groups.milestone.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_DELETE_MILESTONE', 'COM_EASYSOCIAL_POINTS_GROUP_DELETE_MILESTONE_DESC', 'delete-milestone-group', '2014-11-27 03:15:33', NULL, 0, -1, 1, ''),
(76, 'groups.task.create', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_CREATE_TASK', 'COM_EASYSOCIAL_POINTS_GROUP_CREATE_TASK_DESC', 'create-task-group', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(77, 'groups.task.resolve', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_RESOLVE_TASK', 'COM_EASYSOCIAL_POINTS_GROUP_RESOLVE_TASK_DESC', 'resolve-task-group', '2014-11-27 03:15:33', NULL, 0, 1, 1, ''),
(78, 'groups.task.delete', 'com_easysocial', 'COM_EASYSOCIAL_POINTS_GROUP_DELETE_TASK', 'COM_EASYSOCIAL_POINTS_GROUP_DELETE_TASK_DESC', 'delete-task-group', '2014-11-27 03:15:33', NULL, 0, -1, 1, '');

DROP TABLE IF EXISTS `#__social_points_history`;
CREATE TABLE `#__social_points_history` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'Primary key for this table',
  `points_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL COMMENT 'The target user id',
  `points` int(11) NOT NULL COMMENT 'The number of points',
  `created` datetime NOT NULL COMMENT 'The date time value when the user earned the point.',
  `state` tinyint(3) NOT NULL COMMENT 'The publish state',
  `message` text NOT NULL COMMENT 'Any custom message set for this points assignment',
  PRIMARY KEY (`id`),
  KEY `state` (`state`),
  KEY `points_id` (`points_id`),
  KEY `idx_userid` (`user_id`),
  KEY `user_points` (`user_id`,`points`)
) ENGINE=MyISAM AUTO_INCREMENT=56 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_points_history` (`id`, `points_id`, `user_id`, `points`, `created`, `state`, `message`) VALUES
(1, 17, 542, 5, '2014-01-08 10:28:56', 1, ''),
(2, 15, 542, 5, '2014-01-08 10:29:02', 1, ''),
(3, 15, 542, 5, '2014-01-08 10:29:20', 1, ''),
(4, 15, 542, 5, '2014-01-08 10:29:23', 1, ''),
(5, 15, 542, 5, '2014-01-08 10:29:26', 1, ''),
(6, 15, 542, 5, '2014-01-08 10:31:26', 1, ''),
(7, 34, 542, 5, '2014-01-08 10:31:32', 1, ''),
(8, 15, 542, 5, '2014-01-08 10:35:33', 1, ''),
(9, 15, 542, 5, '2014-01-08 10:35:33', 1, ''),
(10, 27, 542, 5, '2014-01-08 10:35:34', 1, ''),
(11, 15, 542, 5, '2014-01-08 10:35:34', 1, ''),
(12, 26, 542, 15, '2014-01-08 10:35:35', 1, ''),
(13, 15, 545, 5, '2014-01-08 10:37:33', 1, ''),
(14, 15, 545, 5, '2014-01-08 10:37:33', 1, ''),
(15, 27, 545, 5, '2014-01-08 10:37:33', 1, ''),
(16, 26, 545, 15, '2014-01-08 10:37:34', 1, ''),
(17, 26, 544, 15, '2014-01-08 10:39:57', 1, ''),
(18, 15, 544, 5, '2014-01-08 10:40:31', 1, ''),
(19, 15, 544, 5, '2014-01-08 10:40:31', 1, ''),
(20, 27, 544, 5, '2014-01-08 10:40:31', 1, ''),
(21, 26, 544, 15, '2014-01-08 10:40:32', 1, ''),
(22, 23, 544, 1, '2014-01-08 10:41:16', 1, ''),
(23, 15, 546, 5, '2014-01-08 10:43:25', 1, ''),
(24, 15, 546, 5, '2014-01-08 10:43:26', 1, ''),
(25, 27, 546, 5, '2014-01-08 10:43:26', 1, ''),
(26, 26, 546, 15, '2014-01-08 10:43:30', 1, ''),
(27, 34, 546, 5, '2014-01-09 03:05:58', 1, ''),
(28, 1, 546, 5, '2014-01-09 03:06:31', 1, ''),
(29, 1, 546, 5, '2014-01-09 03:06:56', 1, ''),
(30, 1, 546, 5, '2014-01-09 03:08:48', 1, ''),
(31, 9, 546, 5, '2014-01-09 03:16:44', 1, ''),
(32, 9, 542, 5, '2014-01-09 03:16:44', 1, ''),
(33, 8, 545, 1, '2014-01-09 03:21:06', 1, ''),
(34, 17, 545, 5, '2014-01-09 03:22:56', 1, ''),
(35, 15, 545, 5, '2014-01-09 03:23:00', 1, ''),
(36, 15, 545, 5, '2014-01-09 03:23:04', 1, ''),
(37, 12, 546, 2, '2014-01-09 03:24:42', 1, ''),
(38, 14, 546, 1, '2014-01-09 03:24:42', 1, ''),
(39, 17, 542, 5, '2014-01-09 03:27:36', 1, ''),
(40, 15, 542, 5, '2014-01-09 03:27:39', 1, ''),
(41, 15, 542, 5, '2014-01-09 03:27:42', 1, ''),
(42, 17, 545, 5, '2014-01-09 07:33:55', 1, ''),
(43, 15, 545, 5, '2014-01-09 07:33:58', 1, ''),
(44, 15, 545, 5, '2014-01-09 07:34:04', 1, ''),
(45, 15, 545, 5, '2014-01-09 07:34:07', 1, ''),
(46, 17, 544, 5, '2014-01-09 07:35:17', 1, ''),
(47, 15, 544, 5, '2014-01-09 07:35:39', 1, ''),
(48, 17, 543, 5, '2014-01-09 07:39:08', 1, ''),
(49, 15, 543, 5, '2014-01-09 07:39:13', 1, ''),
(50, 15, 543, 5, '2014-01-09 07:39:17', 1, ''),
(51, 15, 543, 5, '2014-01-09 07:39:23', 1, ''),
(52, 16, 544, -5, '2014-06-20 07:59:32', 1, ''),
(53, 18, 544, -5, '2014-06-20 07:59:32', 1, ''),
(54, 16, 544, -5, '2014-06-20 07:59:32', 1, ''),
(55, 18, 544, -5, '2014-06-20 07:59:32', 1, '');

DROP TABLE IF EXISTS `#__social_privacy`;
CREATE TABLE `#__social_privacy` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(64) NOT NULL COMMENT 'object type e.g. photos, friends, albums, profile and etc',
  `rule` varchar(64) NOT NULL COMMENT 'rule type e.g. view_friends, view, search, comment, tag and etc',
  `value` int(11) DEFAULT '0',
  `options` text,
  `description` text,
  `state` tinyint(3) NOT NULL DEFAULT '1',
  `core` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `type_rule` (`type`,`rule`),
  KEY `type_rule_privacy` (`type`,`rule`,`value`)
) ENGINE=MyISAM AUTO_INCREMENT=38 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_privacy` (`id`, `type`, `rule`, `value`, `options`, `description`, `state`, `core`) VALUES
(1, 'albums', 'view', 0, '{"options":["public","member","friend","only_me","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_ALBUMS_VIEW', 1, 1),
(2, 'core', 'view', 0, '{"options":["public","member","friend","only_me"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_CORE_VIEW', 1, 1),
(3, 'followers', 'view', 0, '{"options":["public","member","friend","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_FOLLOWERS_VIEW', 1, 1),
(4, 'friends', 'view', 0, '{"options":["public","member","friends_of_friend","friend","only_me","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_FRIENDS_VIEW', 1, 1),
(5, 'friends', 'request', 10, '{"options":["public","member","friends_of_friend"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_FRIENDS_REQUEST', 1, 1),
(6, 'photos', 'view', 0, '{"options":["public","member","friend","only_me","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_PHOTOS_VIEW', 1, 1),
(7, 'photos', 'tagme', 30, '{"options":["friend","only_me","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_PHOTOS_TAGME', 1, 1),
(8, 'photos', 'tag', 30, '{"options":["friend","only_me","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_PHOTOS_TAG', 1, 1),
(9, 'profiles', 'view', 0, '{"options":["public","member","friend","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_PROFILES_VIEW', 1, 1),
(10, 'profiles', 'search', 0, '{"options":["public","member","friends_of_friend","friend"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_PROFILES_SEARCH', 1, 1),
(11, 'profiles', 'post.status', 10, '{"options":["public","member","friend","only_me"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_PROFILES_POST_STATUS', 1, 1),
(12, 'profiles', 'post.message', 10, '{"options":["public","member","friend","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_PROFILES_POST_MESSAGE', 1, 1),
(13, 'story', 'view', 0, '{"options":["public","member","friend","only_me","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_STORY_VIEW', 1, 1),
(14, 'apps', 'calendar', 0, '{"options":["public","member","friend","only_me","custom"]}', 'APPS_USER_CALENDAR_PRIVACY_FIELD_DESC', 1, 0),
(15, 'field', 'address', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_ADDRESS_PRIVACY_FIELD_DESC', 1, 0),
(16, 'field', 'birthday', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_BIRTHDAY_PRIVACY_FIELD_DESC', 1, 0),
(17, 'field', 'boolean', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_BOOLEAN_PRIVACY_FIELD_DESC', 1, 0),
(18, 'field', 'checkbox', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_CHECKBOX_PRIVACY_FIELD_DESC', 1, 0),
(19, 'field', 'country', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_COUNTRY_PRIVACY_FIELD_DESC', 1, 0),
(20, 'field', 'currency', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_CURRENCY_PRIVACY_FIELD_DESC', 1, 0),
(21, 'field', 'datetime', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_DATETIME_PRIVACY_FIELD_DESC', 1, 0),
(22, 'field', 'dropdown', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_DROPDOWN_PRIVACY_FIELD_DESC', 1, 0),
(23, 'field', 'email', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_EMAIL_PRIVACY_FIELD_DESC', 1, 0),
(24, 'field', 'file', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_FILE_PRIVACY_FIELD_DESC', 1, 0),
(25, 'field', 'gender', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_GENDER_PRIVACY_FIELD_DESC', 1, 0),
(26, 'field', 'headline', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_HEADLINE_PRIVACY_FIELD_DESC', 1, 0),
(27, 'field', 'joomla_email', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_JOOMLA_EMAIL_PRIVACY_FIELD_DESC', 1, 0),
(28, 'field', 'joomla_timezone', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_JOOMLA_TIMEZONE_PRIVACY_FIELD_DESC', 1, 0),
(29, 'field', 'multidropdown', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_MULTIDROPDOWN_PRIVACY_FIELD_DESC', 1, 0),
(30, 'field', 'multilist', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_MULTILIST_PRIVACY_FIELD_DESC', 1, 0),
(31, 'field', 'multitextbox', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_MULTITEXTBOX_PRIVACY_FIELD_DESC', 1, 0),
(32, 'field', 'relationship', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_RELATIONSHIP_PRIVACY_FIELD_DESC', 1, 0),
(33, 'field', 'textarea', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_TEXTAREA_PRIVACY_FIELD_DESC', 1, 0),
(34, 'field', 'textbox', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_TEXTBOX_PRIVACY_FIELD_DESC', 1, 0),
(35, 'field', 'url', 0, '{"options":["public","member","friend","only_me"]}', 'FIELDS_USER_URL_PRIVACY_FIELD_DESC', 1, 0),
(36, 'achievements', 'view', 0, '{"options":["public","member","friend","only_me","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_ACHIEVEMENTS_VIEW', 1, 1),
(37, 'story', 'post.comment', 10, '{"options":["member","friend","custom"]}', 'COM_EASYSOCIAL_PRIVACY_DESC_STORY_POST_COMMENT', 1, 1);

DROP TABLE IF EXISTS `#__social_privacy_customize`;
CREATE TABLE `#__social_privacy_customize` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL COMMENT 'id from user or profile or item',
  `utype` varchar(64) NOT NULL COMMENT 'user or profile or item',
  `user_id` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`),
  KEY `uid_type` (`uid`,`utype`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_privacy_items`;
CREATE TABLE `#__social_privacy_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `privacy_id` int(11) NOT NULL COMMENT 'key to social_privacy.id',
  `user_id` int(11) NOT NULL,
  `uid` int(11) NOT NULL COMMENT 'object id e.g streamid, activityid and etc',
  `type` varchar(64) NOT NULL COMMENT 'object type e.g. stream, activity and etc',
  `value` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `privacy_id` (`privacy_id`),
  KEY `user_privacy_item` (`user_id`,`uid`,`type`),
  KEY `idx_uid_type` (`uid`,`type`),
  KEY `idx_user_type` (`user_id`,`type`),
  KEY `idx_value_user` (`value`,`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_privacy_items` (`id`, `privacy_id`, `user_id`, `uid`, `type`, `value`) VALUES
(1, 1, 542, 1, 'albums', 0),
(2, 6, 542, 5, 'photos', 0),
(3, 13, 546, 40, 'story', 0),
(4, 1, 545, 8, 'albums', 0),
(5, 1, 542, 9, 'albums', 0),
(6, 1, 545, 10, 'albums', 0),
(7, 1, 544, 11, 'albums', 0),
(8, 1, 543, 12, 'albums', 0);

DROP TABLE IF EXISTS `#__social_privacy_map`;
CREATE TABLE `#__social_privacy_map` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `privacy_id` int(11) NOT NULL COMMENT 'key to social_privacy.id',
  `uid` int(11) NOT NULL COMMENT 'userid or profileid',
  `utype` varchar(64) NOT NULL COMMENT 'user or profile',
  `value` int(11) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `privacy_id` (`privacy_id`),
  KEY `uid_type` (`uid`,`utype`),
  KEY `uid_type_value` (`uid`,`utype`,`value`),
  KEY `idx_privacy_uid_type` (`privacy_id`,`uid`,`utype`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_privacy_map` (`id`, `privacy_id`, `uid`, `utype`, `value`) VALUES
(1, 37, 1, 'profiles', 10);

DROP TABLE IF EXISTS `#__social_profiles`;
CREATE TABLE `#__social_profiles` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `alias` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `gid` text NOT NULL,
  `default` tinyint(4) NOT NULL,
  `default_avatar` int(11) DEFAULT NULL COMMENT 'If this field contains an id, it''s from the default avatar, otherwise use system''s default avatar.',
  `created` datetime NOT NULL,
  `state` tinyint(4) NOT NULL,
  `params` text NOT NULL,
  `registration` tinyint(4) NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL,
  `site_id` varchar(255) DEFAULT NULL,
  `community_access` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `state` (`state`),
  KEY `profile_esad` (`community_access`),
  KEY `idx_profile_access` (`id`,`community_access`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_profiles` (`id`, `title`, `alias`, `description`, `gid`, `default`, `default_avatar`, `created`, `state`, `params`, `registration`, `ordering`, `site_id`, `community_access`) VALUES
(1, 'Registered Users', '', 'This is the default profile that was created in the site.', '["2"]', 1, 0, '2013-12-30 08:28:03', 1, '{"delete_account":0,"theme":"wireframe","registration":"approvals"}', 1, 1, NULL, 1);

DROP TABLE IF EXISTS `#__social_profiles_maps`;
CREATE TABLE `#__social_profiles_maps` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `profile_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `state` tinyint(4) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `profile_id` (`profile_id`),
  KEY `idx_userid` (`user_id`),
  KEY `idx_profile_users` (`profile_id`,`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_profiles_maps` (`id`, `profile_id`, `user_id`, `state`, `created`) VALUES
(1, 1, 542, 1, '2013-12-30 08:29:31'),
(2, 1, 543, 1, '2013-12-30 08:29:31'),
(12, 1, 553, 1, '2014-06-20 08:00:48'),
(4, 1, 545, 1, '2014-01-02 03:51:56'),
(5, 1, 546, 1, '2014-01-02 03:53:09'),
(6, 1, 547, 1, '2014-01-17 04:41:10'),
(7, 1, 548, 1, '2014-01-22 02:40:35'),
(8, 1, 549, 1, '2014-06-20 07:53:50'),
(9, 1, 550, 1, '2014-06-20 07:55:02'),
(10, 1, 551, 1, '2014-06-20 07:56:46'),
(13, 1, 42, 1, '2014-11-27 03:15:43');

DROP TABLE IF EXISTS `#__social_regions`;
CREATE TABLE `#__social_regions` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `name` varchar(255) NOT NULL,
  `code` varchar(64) NOT NULL,
  `parent_uid` bigint(20) NOT NULL,
  `parent_type` varchar(255) NOT NULL,
  `state` tinyint(4) NOT NULL DEFAULT '1',
  `params` text,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `site_id` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_registrations`;
CREATE TABLE `#__social_registrations` (
  `session_id` varchar(200) NOT NULL,
  `profile_id` bigint(20) NOT NULL,
  `created` datetime NOT NULL,
  `values` text NOT NULL,
  `step` bigint(20) NOT NULL,
  `step_access` text NOT NULL,
  `errors` text NOT NULL,
  UNIQUE KEY `session_id` (`session_id`),
  KEY `profile_id` (`profile_id`),
  KEY `step` (`step`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__social_registrations` (`session_id`, `profile_id`, `created`, `values`, `step`, `step_access`, `errors`) VALUES
('fq8tdkrh6b6r0eg8guitviuqj2', 1, '2014-02-14 04:05:57', '', 1, ',1', '');

DROP TABLE IF EXISTS `#__social_relationship_status`;
CREATE TABLE `#__social_relationship_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `actor` bigint(20) NOT NULL,
  `target` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `relation_type` (`type`),
  KEY `state` (`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_reports`;
CREATE TABLE `#__social_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text NOT NULL,
  `message` text NOT NULL,
  `extension` varchar(255) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `created_by` int(11) NOT NULL,
  `ip` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `url` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_created_by` (`created_by`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_rss`;
CREATE TABLE `#__social_rss` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `title` text NOT NULL,
  `description` text NOT NULL,
  `url` text NOT NULL,
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`,`state`),
  KEY `uid` (`uid`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_search_filter`;
CREATE TABLE `#__social_search_filter` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `element` varchar(255) NOT NULL,
  `uid` bigint(20) NOT NULL,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `filter` text NOT NULL,
  `created_by` bigint(20) unsigned DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `sitewide` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_searchfilter_element_id` (`element`,`uid`),
  KEY `idx_searchfilter_owner` (`element`,`uid`,`created_by`),
  KEY `idx_searchfilter_alias` (`alias`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_shares`;
CREATE TABLE `#__social_shares` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) NOT NULL,
  `element` varchar(255) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `content` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `shares_element` (`uid`,`element`),
  KEY `shares_element_user` (`uid`,`element`,`user_id`),
  KEY `shares_userid` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_shares` (`id`, `uid`, `element`, `user_id`, `content`, `created`) VALUES
(1, 43, 'stream.user', 542, 'Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna', '2014-01-09 03:26:47'),
(2, 12, 'albums.user', 543, 'auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestasTincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas', '2014-01-09 07:40:17'),
(3, 45, 'stream.user', 543, 'Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante.', '2014-01-09 07:44:14');

DROP TABLE IF EXISTS `#__social_step_sessions`;
CREATE TABLE `#__social_step_sessions` (
  `session_id` varchar(200) NOT NULL,
  `uid` bigint(20) NOT NULL,
  `type` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `values` text NOT NULL,
  `step` bigint(20) NOT NULL,
  `step_access` text NOT NULL,
  `errors` text NOT NULL,
  UNIQUE KEY `session_id` (`session_id`),
  KEY `profile_id` (`uid`),
  KEY `step` (`step`),
  KEY `type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_storage_log`;
CREATE TABLE `#__social_storage_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `object_id` int(11) NOT NULL,
  `object_type` varchar(255) NOT NULL,
  `target` varchar(255) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_stream`;
CREATE TABLE `#__social_stream` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `actor_id` bigint(20) unsigned NOT NULL,
  `alias` varchar(255) DEFAULT '',
  `actor_type` varchar(64) DEFAULT 'people',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `title` text,
  `content` text,
  `context_type` varchar(64) DEFAULT '',
  `stream_type` varchar(15) DEFAULT NULL,
  `sitewide` tinyint(1) DEFAULT '0',
  `target_id` bigint(20) NOT NULL,
  `location_id` int(11) NOT NULL,
  `mood_id` int(11) NOT NULL,
  `with` text NOT NULL,
  `ispublic` tinyint(3) NOT NULL DEFAULT '0',
  `params` text,
  `cluster_id` int(11) DEFAULT '0',
  `cluster_type` varchar(64) DEFAULT NULL,
  `cluster_access` tinyint(3) DEFAULT '0',
  `state` tinyint(3) NOT NULL DEFAULT '1',
  `privacy_id` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '0',
  `custom_access` text,
  `verb` varchar(64) DEFAULT '',
  `edited` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `stream_actor` (`actor_id`),
  KEY `stream_created` (`created`),
  KEY `stream_modified` (`modified`),
  KEY `stream_alias` (`alias`),
  KEY `stream_source` (`actor_type`),
  KEY `idx_stream_context_type` (`context_type`),
  KEY `idx_stream_target` (`target_id`),
  KEY `idx_actor_modified` (`actor_id`,`modified`),
  KEY `idx_target_context_modified` (`target_id`,`context_type`,`modified`),
  KEY `idx_sitewide_modified` (`sitewide`,`modified`),
  KEY `idx_ispublic` (`ispublic`,`modified`),
  KEY `idx_cluster_access` (`cluster_id`,`cluster_access`),
  KEY `idx_clusterid` (`cluster_id`),
  KEY `idx_cluster_items` (`cluster_id`,`cluster_type`,`modified`),
  KEY `idx_access` (`access`),
  KEY `idx_custom_access` (`access`,`custom_access`(255)),
  KEY `idx_stream_total_cluster` (`cluster_id`,`cluster_access`,`context_type`,`id`,`actor_id`),
  KEY `idx_stream_total_user` (`cluster_id`,`access`,`actor_id`,`context_type`)
) ENGINE=MyISAM AUTO_INCREMENT=106 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_stream` (`id`, `actor_id`, `alias`, `actor_type`, `created`, `modified`, `title`, `content`, `context_type`, `stream_type`, `sitewide`, `target_id`, `location_id`, `mood_id`, `with`, `ispublic`, `params`, `cluster_id`, `cluster_type`, `cluster_access`, `state`, `privacy_id`, `access`, `custom_access`, `verb`, `edited`) VALUES
(1, 545, '', 'user', '2014-01-02 03:55:10', '2014-01-02 03:55:10', '<a href="/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/profile/anna">anna</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(2, 546, '', 'user', '2014-01-02 04:07:58', '2014-01-02 04:07:58', '<a href="/ja_monthly_temp/canvas/index.php/2013-12-25-07-48-03/easysocial/profile/ninja">ninja</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(4, 542, '', 'user', '2014-01-02 09:45:04', '2014-01-02 09:45:04', NULL, '\r\n<p><br><br>&lt;p&gt;Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.&lt;/p&gt;<br><br>&lt;p&gt;Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.&lt;/p&gt;<br><br>&lt;p&gt;Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.&lt;/p&gt;<br><br>&lt;p&gt;Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(5, 545, '', 'user', '2014-01-02 09:50:13', '2014-01-02 09:50:13', NULL, '\r\n<p>tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.&lt;/p&gt;<br><br>&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.&lt;/p&gt;<br><br>&lt;p&gt;Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(6, 546, '', 'user', '2014-01-02 10:09:50', '2014-01-02 10:09:50', NULL, '\r\n<p><br><br>&lt;p&gt;Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.&lt;/p&gt;<br><br>&lt;p&gt;Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(7, 542, '', 'user', '2014-01-02 10:10:25', '2014-01-02 10:10:25', NULL, '\r\n<p>lorem elit parturient elit magna. Rutrum Vivamus pede.&lt;/p&gt;<br><br>&lt;p&gt;Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(8, 542, '', 'user', '2014-01-02 10:10:54', '2014-01-02 10:10:54', NULL, '\r\n<p>Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.&lt;/p&gt;<br><br>&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(9, 542, '', 'user', '2014-01-02 10:11:42', '2014-01-02 10:11:42', NULL, '\r\n<p>tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.&lt;/p&gt;<br><br>&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.&lt;/p&gt;<br><br>&lt;p&gt;Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.&lt;/p&gt;<br><br>&lt;p&gt;Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(10, 546, '', 'user', '2014-01-02 10:17:20', '2014-01-02 10:17:20', NULL, '\r\n<p>eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.&lt;/p&gt;<br><br>&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.&lt;/p&gt;<br><br>&lt;p&gt;Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.&lt;/p&gt;<br><br>&lt;p&gt;Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(11, 542, '', 'user', '2014-01-02 10:17:56', '2014-01-02 10:17:56', NULL, '\r\n<p><br>&lt;p&gt;Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.&lt;/p&gt;<br><br>&lt;p&gt;Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.&lt;/p&gt;<br><br>&lt;p&gt;Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.&lt;/p&gt;<br><br>&lt;p&gt;Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(12, 545, '', 'user', '2014-01-02 10:18:38', '2014-01-02 10:18:38', NULL, '\r\n<p><br>&lt;p&gt;Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.&lt;/p&gt;<br><br>&lt;p&gt;Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.&lt;/p&gt;<br><br>&lt;p&gt;Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.&lt;/p&gt;<br><br>&lt;p&gt;Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(13, 546, '', 'user', '2014-01-02 10:19:17', '2014-01-02 10:19:17', NULL, '\r\n<p>tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.&lt;/p&gt;<br><br>&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.&lt;/p&gt;<br><br>&lt;p&gt;Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(14, 542, '', 'user', '2014-01-02 10:19:43', '2014-01-02 10:19:43', NULL, '\r\n<p><br><br>&lt;p&gt;Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.&lt;/p&gt;<br><br>&lt;p&gt;Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(15, 542, '', 'user', '2014-01-02 10:20:17', '2014-01-02 10:20:17', NULL, '\r\n<p>lorem elit parturient elit magna. Rutrum Vivamus pede.&lt;/p&gt;<br><br>&lt;p&gt;Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.&lt;/p&gt;<br><br>&lt;p&gt;Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(17, 542, '', 'user', '2014-01-02 10:21:53', '2014-01-02 10:21:53', NULL, '\r\n<p><br>&lt;p&gt;Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.&lt;/p&gt;<br><br>&lt;p&gt;Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.&lt;/p&gt;<br><br>&lt;p&gt;Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.&lt;/p&gt;<br><br>&lt;p&gt;Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.&lt;/p&gt;<br><br>&lt;p&gt;Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.&lt;/p&gt;</p>', 'blog', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(18, 542, '', 'user', '2014-01-03 10:01:55', '2014-01-03 10:01:55', NULL, '\r\n<p>Dapibus pharetra hendrerit Vestibulum Lorem cursus risus tincidunt natoque at non. Tempor sed pretium Donec hendrerit pretium a justo Donec amet wisi. Libero semper nunc suscipit Vestibulum Aenean tempor congue congue nulla mauris. Et quis purus Donec interdum at Cras sit ut lorem elit. Sodales congue Ut Duis Vestibulum tristique ut dui pede Quisque Nam. Augue velit.</p>\r\n<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.</p>\r\n<p>Tincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.</p>\r\n<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.</p>', 'blog', NULL, 1, 542, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(19, 542, '', 'user', '2014-01-03 10:02:40', '2014-01-03 10:02:40', NULL, '\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>\r\n<p>Sed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.</p>', 'blog', NULL, 1, 542, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(20, 542, '', 'user', '2014-01-03 10:02:53', '2014-01-03 10:02:53', NULL, '\r\n<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo Aliquam Nulla venenatis Vestibulum nibh justo ornare. Convallis condimentum tempor sit pretium elit Curabitur vel Nam sem Quisque. Elit In.</p>\r\n<p>Lacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id. Pharetra dolor Cras ullamcorper laoreet euismod ante ipsum vitae et at. Convallis in laoreet Sed id hendrerit Vestibulum quam justo tincidunt quis. Tincidunt lorem neque nibh dolor mauris et sodales id elit turpis. Consectetuer ligula ligula et elit malesuada tempus eget Praesent interdum Integer. Morbi hendrerit dictum Sed vitae arcu aliquet interdum enim Lorem orci. Laoreet.</p>\r\n<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.</p>', 'blog', NULL, 1, 542, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(21, 542, '', 'user', '2014-01-08 08:37:32', '2014-01-08 08:37:32', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(22, 542, '', 'user', '2014-01-08 08:37:48', '2014-01-08 08:37:48', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(23, 542, '', 'user', '2014-01-08 08:37:49', '2014-01-08 08:37:49', NULL, ':D :D :D :D :D :D \r\nthanks thanks', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(24, 542, '', 'user', '2014-01-08 08:38:49', '2014-01-08 08:38:49', NULL, 'Proin congue vehicula sagittis volutpat.\r\nTincidunt auctor at eget vel congue vel leo platea ligula mi. \r\nEt amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. \r\nFringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\r\n\r\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(25, 545, '', 'user', '2014-01-08 09:10:11', '2014-01-08 09:10:11', '<a href="/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/edit-profile/anna">anna</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(27, 542, '', 'user', '2014-01-08 10:29:49', '2014-01-08 10:29:55', NULL, NULL, 'photos', 'full', 0, 1, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(28, 542, '', 'user', '2014-01-08 10:31:31', '2014-01-08 10:31:31', NULL, 'Suspendisse potenti. Etiam orci aliquam.\n', 'photos', NULL, 0, 546, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(29, 542, '', 'user', '2014-01-08 10:35:34', '2014-01-08 10:35:34', NULL, NULL, 'photos', 'full', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(30, 542, '', 'user', '2014-01-08 10:35:35', '2014-01-08 10:35:35', NULL, NULL, 'profiles', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(31, 545, '', 'user', '2014-01-08 10:36:02', '2014-01-08 10:36:02', '<a href="/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/edit-profile/anna">anna</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(32, 545, '', 'user', '2014-01-08 10:37:33', '2014-01-08 10:37:33', NULL, NULL, 'photos', 'full', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(33, 545, '', 'user', '2014-01-08 10:37:34', '2014-01-08 10:37:34', NULL, NULL, 'profiles', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(36, 546, '', 'user', '2014-01-08 10:41:57', '2014-01-08 10:41:57', '<a href="/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/edit-profile/ninja">ninja</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(37, 546, '', 'user', '2014-01-08 10:43:26', '2014-01-08 10:43:26', NULL, NULL, 'photos', 'full', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(38, 546, '', 'user', '2014-01-08 10:43:30', '2014-01-08 10:43:30', NULL, NULL, 'profiles', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(39, 546, '', 'user', '2014-01-09 03:04:34', '2014-01-09 03:04:34', '<a href="/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/edit-profile/ninja">ninja</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(40, 546, '', 'user', '2014-01-09 03:05:57', '2014-01-09 03:05:57', NULL, 'Praesent sodales eu neque ut massa nunc.\n\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.\n\n', 'story', NULL, 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(41, 546, '', 'user', '2014-01-09 03:06:31', '2014-01-09 03:06:31', NULL, NULL, 'apps', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(42, 546, '', 'user', '2014-01-09 03:06:56', '2014-01-09 03:06:56', NULL, NULL, 'apps', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(43, 546, '', 'user', '2014-01-09 03:08:48', '2014-01-09 03:08:48', NULL, NULL, 'apps', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(44, 542, '', 'user', '2014-01-09 03:16:44', '2014-01-09 03:16:44', NULL, NULL, 'friends', NULL, 0, 546, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(45, 545, '', 'user', '2014-01-09 03:23:18', '2014-01-09 03:23:19', NULL, NULL, 'photos', 'full', 0, 8, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(46, 542, '', 'user', '2014-01-09 03:26:47', '2014-01-09 03:26:47', NULL, NULL, 'shares', 'full', 0, 43, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(47, 542, '', 'user', '2014-01-09 03:27:57', '2014-01-09 03:27:57', NULL, NULL, 'photos', 'full', 0, 9, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(48, 542, '', 'user', '2014-01-09 07:08:31', '2014-01-09 07:08:31', NULL, ';) ;) ;) ;) ;) \r\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(49, 542, '', 'user', '2014-01-09 07:08:33', '2014-01-09 07:08:33', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(50, 542, '', 'user', '2014-01-09 07:09:29', '2014-01-09 07:09:29', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(51, 542, '', 'user', '2014-01-09 07:09:30', '2014-01-09 07:09:30', NULL, ':D :D :D', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(52, 542, '', 'user', '2014-01-09 07:10:48', '2014-01-09 07:10:48', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(53, 542, '', 'user', '2014-01-09 07:10:56', '2014-01-09 07:10:56', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(54, 542, '', 'user', '2014-01-09 07:10:59', '2014-01-09 07:10:59', NULL, 'Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(55, 542, '', 'user', '2014-01-09 07:12:41', '2014-01-09 07:12:41', NULL, 'Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.\r\n\r\nSed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(56, 542, '', 'user', '2014-01-09 07:12:43', '2014-01-09 07:12:43', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(58, 546, '', 'user', '2014-01-09 07:19:26', '2014-01-09 07:19:26', NULL, '[img]https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTi5TQZeODRLlZI68cgzLpEIpkTcB1V6wYmtDgOU-PAkRMm90oH[/img] :D :D \r\nLacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(59, 546, '', 'user', '2014-01-09 07:22:25', '2014-01-09 07:22:25', NULL, 'Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.\r\n\r\nTincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\r\n\r\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.\r\n[video]http://youtu.be/J8U4WGv3xvs[/video]', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(60, 546, '', 'user', '2014-01-09 07:22:26', '2014-01-09 07:22:26', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(67, 546, '', 'user', '2014-01-09 07:25:39', '2014-01-09 07:25:39', NULL, 'Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(68, 546, '', 'user', '2014-01-09 07:25:40', '2014-01-09 07:25:40', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(69, 545, '', 'user', '2014-01-09 07:33:00', '2014-01-09 07:33:00', '<a href="/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/edit-profile/anna">anna</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(70, 545, '', 'user', '2014-01-09 07:34:18', '2014-01-09 07:34:18', NULL, NULL, 'photos', 'full', 0, 10, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(71, 543, '', 'user', '2014-01-09 07:37:38', '2014-01-09 07:37:38', '<a href="/ja_monthly_temp/canvas/index.php/article-categories-view/2013-12-25-07-48-03/easysocial/edit-profile/543-khanh">khanh</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(72, 543, '', 'user', '2014-01-09 07:39:31', '2014-01-09 07:39:31', NULL, NULL, 'photos', 'full', 0, 12, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(73, 543, '', 'user', '2014-01-09 07:40:18', '2014-01-09 07:40:18', NULL, NULL, 'shares', 'full', 0, 12, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(74, 543, '', 'user', '2014-01-09 07:44:15', '2014-01-09 07:44:15', NULL, NULL, 'shares', 'full', 0, 45, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(75, 543, '', 'user', '2014-01-09 07:49:28', '2014-01-09 07:49:28', NULL, 'Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.\r\n\r\nAc Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(76, 543, '', 'user', '2014-01-09 07:50:31', '2014-01-09 07:50:31', NULL, ':o :o :o :o :o :o :o :o \r\nAenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(77, 543, '', 'user', '2014-01-09 07:50:32', '2014-01-09 07:50:32', NULL, 'New Member', 'discuss', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(87, 548, '', 'user', '2014-06-20 08:06:24', '2014-06-20 08:06:24', '<a href="/jadev2_data/sites/auto/qs.purityiii.1403249935/index.php/compatible/easysocial/edit-profile/user">Luna Gardner</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(85, 553, '', 'user', '2014-06-20 08:01:36', '2014-06-20 08:01:36', '<a href="/jadev2_data/sites/auto/qs.purityiii.1403249935/index.php/compatible/easysocial/edit-profile/alex-phill">Alex Phill</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(86, 548, '', 'user', '2014-06-20 08:04:52', '2014-06-20 08:04:52', '<a href="/jadev2_data/sites/auto/qs.purityiii.1403249935/index.php/compatible/easysocial/edit-profile/user">Luna Gardner</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(82, 547, '', 'user', '2014-01-17 04:41:14', '2014-01-17 04:41:14', '<a href="/ja_works/purity_iii/index.php/compatible/easysocial/edit-profile/duchh-joomsolutions-com">duchh@joomsolutions.com</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(83, 42, '', 'user', '2014-01-20 01:41:52', '2014-01-20 01:41:52', '<a href="/works/purityIII/index.php/compatible/easysocial/edit-profile/42-admin">admin</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(84, 42, '', 'user', '2014-06-20 07:41:05', '2014-06-20 07:41:05', '<a href="/jadev2_data/sites/auto/qs.purityiii.1403249935/index.php/compatible/easysocial/edit-profile/42-admin">admin</a> just logged in to the site.', NULL, 'users', 'mini', 0, 0, 0, 0, '', 1, NULL, 0, NULL, 0, 1, 0, 0, NULL, '', '0000-00-00 00:00:00'),
(88, 42, '', 'user', '2014-11-27 07:49:46', '2014-11-27 07:49:46', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(89, 42, '', 'user', '2014-12-03 03:33:57', '2014-12-03 03:33:57', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(90, 42, '', 'user', '2015-03-24 08:51:43', '2015-03-24 08:51:43', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(91, 42, '', 'user', '2015-03-31 04:11:35', '2015-03-31 04:11:35', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(92, 42, '', 'user', '2015-03-31 07:42:45', '2015-03-31 07:42:45', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(93, 42, '', 'user', '2015-03-31 08:01:07', '2015-03-31 08:01:07', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(94, 42, '', 'user', '2015-03-31 08:26:19', '2015-03-31 08:26:19', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(95, 42, '', 'user', '2015-04-07 03:51:35', '2015-04-07 03:51:35', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(96, 42, '', 'user', '2015-04-15 07:43:09', '2015-04-15 07:43:09', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 2, 0, '', 'login', '0000-00-00 00:00:00'),
(97, 42, '', 'user', '2015-04-16 09:47:02', '2015-04-16 09:47:02', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00'),
(98, 42, '', 'user', '2015-04-17 01:56:30', '2015-04-17 01:56:30', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00'),
(99, 42, '', 'user', '2015-04-20 03:44:28', '2015-04-20 03:44:28', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00'),
(100, 42, '', 'user', '2015-04-20 03:45:21', '2015-04-20 03:45:21', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00'),
(101, 42, '', 'user', '2015-04-20 03:54:01', '2015-04-20 03:54:01', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00'),
(102, 42, '', 'user', '2015-04-20 07:04:06', '2015-04-20 07:04:06', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00'),
(103, 42, '', 'user', '2015-04-20 07:17:07', '2015-04-20 07:17:07', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00'),
(104, 42, '', 'user', '2015-04-20 07:37:32', '2015-04-20 07:37:32', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00'),
(105, 42, '', 'user', '2015-04-21 02:34:44', '2015-04-21 02:34:44', NULL, NULL, 'users', NULL, 0, 0, 0, 0, '', 0, NULL, 0, NULL, 0, 1, 0, 0, '', 'login', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__social_stream_assets`;
CREATE TABLE `#__social_stream_assets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `stream_id` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_stream_filter`;
CREATE TABLE `#__social_stream_filter` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) unsigned NOT NULL,
  `utype` varchar(255) DEFAULT 'user',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `streamfilter_uidtype` (`uid`,`utype`),
  KEY `streamfilter_alias` (`alias`),
  KEY `streamfilter_cluster_user` (`uid`,`utype`,`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_stream_filter` (`id`, `uid`, `utype`, `title`, `alias`, `user_id`) VALUES
(1, 542, 'user', 'search 1', 'search-1', 0);

DROP TABLE IF EXISTS `#__social_stream_filter_item`;
CREATE TABLE `#__social_stream_filter_item` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `filter_id` bigint(20) unsigned NOT NULL,
  `type` varchar(255) NOT NULL,
  `content` text,
  PRIMARY KEY (`id`),
  KEY `filteritem_fid` (`filter_id`),
  KEY `filteritem_type` (`type`),
  KEY `filteritem_fidtype` (`filter_id`,`type`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_stream_filter_item` (`id`, `filter_id`, `type`, `content`) VALUES
(1, 1, 'hashtag', 'news');

DROP TABLE IF EXISTS `#__social_stream_hide`;
CREATE TABLE `#__social_stream_hide` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL,
  `uid` bigint(20) unsigned NOT NULL,
  `type` varchar(255) NOT NULL,
  `context` varchar(255) DEFAULT NULL,
  `actor_id` bigint(20) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `stream_hide_user` (`user_id`),
  KEY `stream_hide_uid` (`uid`),
  KEY `stream_hide_user_uid` (`user_id`,`uid`),
  KEY `stream_hide_actorid` (`actor_id`),
  KEY `idx_stream_hide_context` (`context`,`user_id`,`uid`,`actor_id`),
  KEY `idx_stream_hide_actor` (`actor_id`,`user_id`,`uid`,`context`),
  KEY `idx_stream_hide_uid` (`uid`,`user_id`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_stream_history`;
CREATE TABLE `#__social_stream_history` (
  `id` bigint(20) unsigned NOT NULL,
  `actor_id` bigint(20) unsigned NOT NULL,
  `alias` varchar(255) DEFAULT '',
  `actor_type` varchar(64) DEFAULT 'user',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `edited` datetime DEFAULT '0000-00-00 00:00:00',
  `title` text,
  `content` text,
  `context_type` varchar(64) DEFAULT '',
  `verb` varchar(64) DEFAULT '',
  `stream_type` varchar(15) DEFAULT NULL,
  `sitewide` tinyint(1) DEFAULT '0',
  `target_id` bigint(20) NOT NULL,
  `location_id` int(11) NOT NULL,
  `mood_id` int(11) NOT NULL,
  `with` text NOT NULL,
  `ispublic` tinyint(3) NOT NULL DEFAULT '0',
  `cluster_id` int(11) DEFAULT '0',
  `cluster_type` varchar(64) DEFAULT NULL,
  `cluster_access` tinyint(3) DEFAULT '0',
  `params` text,
  `state` tinyint(3) NOT NULL DEFAULT '1',
  `privacy_id` int(11) DEFAULT NULL,
  `access` int(11) NOT NULL DEFAULT '0',
  `custom_access` text,
  PRIMARY KEY (`id`),
  KEY `stream_history_created` (`created`),
  KEY `stream_history_modified` (`modified`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_stream_item`;
CREATE TABLE `#__social_stream_item` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `actor_id` bigint(20) unsigned NOT NULL,
  `actor_type` varchar(255) DEFAULT 'people',
  `context_type` varchar(64) DEFAULT '',
  `context_id` bigint(20) unsigned DEFAULT '0',
  `verb` varchar(64) DEFAULT '',
  `target_id` bigint(20) unsigned DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` bigint(20) unsigned NOT NULL,
  `sitewide` tinyint(1) DEFAULT '0',
  `params` text,
  `state` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `activity_actor` (`actor_id`),
  KEY `activity_created` (`created`),
  KEY `activity_context` (`context_type`),
  KEY `activity_context_id` (`context_id`),
  KEY `idx_context_verb` (`context_type`,`verb`),
  KEY `idx_uid` (`uid`)
) ENGINE=MyISAM AUTO_INCREMENT=120 DEFAULT CHARSET=utf8;

INSERT INTO `#__social_stream_item` (`id`, `actor_id`, `actor_type`, `context_type`, `context_id`, `verb`, `target_id`, `created`, `uid`, `sitewide`, `params`, `state`) VALUES
(1, 545, 'user', 'users', 545, 'login', 0, '2014-01-02 03:55:10', 1, 0, NULL, 1),
(2, 546, 'user', 'users', 546, 'login', 0, '2014-01-02 04:07:58', 2, 0, NULL, 1),
(4, 542, 'user', 'blog', 3, 'create', 0, '2014-01-02 09:45:04', 4, 0, NULL, 1),
(5, 545, 'user', 'blog', 4, 'create', 0, '2014-01-02 09:50:13', 5, 0, NULL, 1),
(6, 546, 'user', 'blog', 5, 'create', 0, '2014-01-02 10:09:50', 6, 0, NULL, 1),
(7, 542, 'user', 'blog', 6, 'create', 0, '2014-01-02 10:10:25', 7, 0, NULL, 1),
(8, 542, 'user', 'blog', 7, 'create', 0, '2014-01-02 10:10:54', 8, 0, NULL, 1),
(9, 542, 'user', 'blog', 8, 'create', 0, '2014-01-02 10:11:42', 9, 0, NULL, 1),
(10, 546, 'user', 'blog', 9, 'create', 0, '2014-01-02 10:17:20', 10, 0, NULL, 1),
(11, 542, 'user', 'blog', 10, 'create', 0, '2014-01-02 10:17:56', 11, 0, NULL, 1),
(12, 545, 'user', 'blog', 11, 'create', 0, '2014-01-02 10:18:38', 12, 0, NULL, 1),
(13, 546, 'user', 'blog', 12, 'create', 0, '2014-01-02 10:19:17', 13, 0, NULL, 1),
(14, 542, 'user', 'blog', 13, 'create', 0, '2014-01-02 10:19:43', 14, 0, NULL, 1),
(15, 542, 'user', 'blog', 14, 'create', 0, '2014-01-02 10:20:17', 15, 0, NULL, 1),
(17, 542, 'user', 'blog', 16, 'create', 0, '2014-01-02 10:21:53', 17, 0, NULL, 1),
(18, 542, 'user', 'blog', 10, 'featured', 542, '2014-01-03 10:01:55', 18, 1, NULL, 1),
(19, 542, 'user', 'blog', 7, 'featured', 542, '2014-01-03 10:02:40', 19, 1, NULL, 1),
(20, 542, 'user', 'blog', 14, 'featured', 542, '2014-01-03 10:02:53', 20, 1, NULL, 1),
(21, 542, 'user', 'discuss', 1, 'ranks', 0, '2014-01-08 08:37:32', 21, 0, '{"id":"1","user_id":"542","title":"New Member"}', 1),
(22, 542, 'user', 'discuss', 1, 'ranks', 0, '2014-01-08 08:37:48', 22, 0, '{"id":"1","user_id":"542","title":"New Member"}', 1),
(23, 542, 'user', 'discuss', 4, 'reply', 0, '2014-01-08 08:37:49', 23, 0, '{"post":{"id":"4","title":"Re: Joomla! 2.5.17 Released","modified":"2014-01-08 08:37:47","created":"2014-01-08 08:37:47","replied":"2014-01-08 08:37:47","alias":"re-joomla-2-5-17-released-1","content":":D :D :D :D :D :D \\r\\nthanks thanks","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"0","hits":"0","user_id":"542","category_id":"2","parent_id":"2","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":"","latitude":"","longitude":"","content_type":"bbcode","post_status":"0","post_type":"0","ip":"127.0.0.1","lockdate":"0000-00-00 00:00:00","isreport":"0"},"question":{"id":"2","title":"Joomla! 2.5.17 Released","modified":"2014-01-08 08:31:18","created":"2013-12-27 15:33:15","replied":"2014-01-08 08:37:31","alias":"joomla-2-5-17-released","content":"Proin congue vehicula sagittis volutpat.\\r\\nTincidunt auctor at eget vel congue vel leo platea ligula mi. \\r\\nEt amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. \\r\\nFringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\\r\\n\\r\\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"1","hits":"2","user_id":"544","category_id":"2","parent_id":"0","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":null,"latitude":"","longitude":"","content_type":"bbcode","post_status":"0","post_type":"0","ip":"","lockdate":"0000-00-00 00:00:00","isreport":"0"}}', 1),
(24, 542, 'user', 'discuss', 2, 'likes', 0, '2014-01-08 08:38:49', 24, 0, '{"post":{"id":"2","title":"Joomla! 2.5.17 Released","modified":"2014-01-08 08:31:18","created":"2013-12-27 15:33:15","replied":"2014-01-08 08:37:47","alias":"joomla-2-5-17-released","content":"Proin congue vehicula sagittis volutpat.\\r\\nTincidunt auctor at eget vel congue vel leo platea ligula mi. \\r\\nEt amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. \\r\\nFringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\\r\\n\\r\\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"1","hits":"2","user_id":"544","category_id":"2","parent_id":"0","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":null,"latitude":"","longitude":"","content_type":"bbcode","post_status":"0","post_type":"0","ip":"","lockdate":"0000-00-00 00:00:00","isreport":"0"},"question":{"id":"2","title":"Joomla! 2.5.17 Released","modified":"2014-01-08 08:31:18","created":"2013-12-27 15:33:15","replied":"2014-01-08 08:37:47","alias":"joomla-2-5-17-released","content":"Proin congue vehicula sagittis volutpat.\\r\\nTincidunt auctor at eget vel congue vel leo platea ligula mi. \\r\\nEt amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. \\r\\nFringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\\r\\n\\r\\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"1","hits":"2","user_id":"544","category_id":"2","parent_id":"0","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":null,"latitude":"","longitude":"","content_type":"bbcode","post_status":"0","post_type":"0","ip":"","lockdate":"0000-00-00 00:00:00","isreport":"0"}}', 1),
(25, 545, 'user', 'users', 545, 'login', 0, '2014-01-08 09:10:11', 25, 0, NULL, 1),
(27, 542, 'user', 'photos', 1, 'add', 1, '2014-01-08 10:29:49', 27, 0, '{"id":"1","uid":"542","type":"user","album_id":"1","title":"bl-5","caption":"","created":"2014-01-08 10:29:00","assigned_date":"2014-01-08 00:00:00","ordering":"3","featured":"0","storage":"joomla","state":"1","_uuid":"52cd289d05180"}', 1),
(28, 542, 'user', 'photos', 2, 'add', 1, '2014-01-08 10:29:49', 27, 0, '{"id":"2","uid":"542","type":"user","album_id":"1","title":"bl-7","caption":"","created":"2014-01-08 10:29:20","assigned_date":"2014-01-08 00:00:00","ordering":"2","featured":"0","storage":"joomla","state":"1","_uuid":"52cd289d2a355"}', 1),
(29, 542, 'user', 'photos', 3, 'add', 1, '2014-01-08 10:29:49', 27, 0, '{"id":"3","uid":"542","type":"user","album_id":"1","title":"bl-9","caption":"","created":"2014-01-08 10:29:22","assigned_date":"2014-01-08 00:00:00","ordering":"1","featured":"0","storage":"joomla","state":"1","_uuid":"52cd289d36ade"}', 1),
(30, 542, 'user', 'photos', 4, 'add', 1, '2014-01-08 10:29:49', 27, 0, '{"id":"4","uid":"542","type":"user","album_id":"1","title":"bl-16","caption":"","created":"2014-01-08 10:29:25","assigned_date":"2014-01-08 00:00:00","ordering":"0","featured":"0","storage":"joomla","state":"1","_uuid":"52cd289d41142"}', 1),
(31, 542, 'user', 'photos', 1, 'add', 1, '2014-01-08 10:29:54', 27, 0, '{"id":"1","uid":"542","type":"user","album_id":"1","title":"bl-5","caption":"","created":"2014-01-08 10:29:00","assigned_date":"2014-01-08 00:00:00","ordering":"3","featured":"0","storage":"joomla","state":"1","_uuid":"52cd28a2c5a56"}', 1),
(32, 542, 'user', 'photos', 2, 'add', 1, '2014-01-08 10:29:54', 27, 0, '{"id":"2","uid":"542","type":"user","album_id":"1","title":"bl-7","caption":"","created":"2014-01-08 10:29:20","assigned_date":"2014-01-08 00:00:00","ordering":"2","featured":"0","storage":"joomla","state":"1","_uuid":"52cd28a2db5de"}', 1),
(33, 542, 'user', 'photos', 3, 'add', 1, '2014-01-08 10:29:54', 27, 0, '{"id":"3","uid":"542","type":"user","album_id":"1","title":"bl-9","caption":"","created":"2014-01-08 10:29:22","assigned_date":"2014-01-08 00:00:00","ordering":"1","featured":"0","storage":"joomla","state":"1","_uuid":"52cd28a2e6b5e"}', 1),
(34, 542, 'user', 'photos', 4, 'add', 1, '2014-01-08 10:29:55', 27, 0, '{"id":"4","uid":"542","type":"user","album_id":"1","title":"bl-16","caption":"","created":"2014-01-08 10:29:25","assigned_date":"2014-01-08 00:00:00","ordering":"0","featured":"0","storage":"joomla","state":"1","_uuid":"52cd28a2f3e12"}', 1),
(35, 542, 'user', 'photos', 5, 'share', 546, '2014-01-08 10:31:31', 28, 0, NULL, 1),
(36, 542, 'user', 'photos', 6, 'uploadAvatar', 0, '2014-01-08 10:35:34', 29, 0, '{"id":6,"uid":542,"type":"user","album_id":3,"title":"us-2.jpg","caption":"","created":"2014-01-08 10:35:33","assigned_date":null,"ordering":0,"featured":null,"storage":"joomla","state":"-1","_uuid":"52cd29f55111e"}', 1),
(37, 542, 'user', 'profiles', 542, 'update', 0, '2014-01-08 10:35:35', 30, 0, NULL, 1),
(38, 545, 'user', 'users', 545, 'login', 0, '2014-01-08 10:36:02', 31, 0, NULL, 1),
(39, 545, 'user', 'photos', 8, 'uploadAvatar', 0, '2014-01-08 10:37:33', 32, 0, '{"id":8,"uid":545,"type":"user","album_id":5,"title":"us-3.jpg","caption":"","created":"2014-01-08 10:37:33","assigned_date":null,"ordering":0,"featured":null,"storage":"joomla","state":"-1","_uuid":"52cd2a6d5485a"}', 1),
(40, 545, 'user', 'profiles', 545, 'update', 0, '2014-01-08 10:37:34', 33, 0, NULL, 1),
(44, 546, 'user', 'users', 546, 'login', 0, '2014-01-08 10:41:57', 36, 0, NULL, 1),
(45, 546, 'user', 'photos', 10, 'uploadAvatar', 0, '2014-01-08 10:43:26', 37, 0, '{"id":10,"uid":546,"type":"user","album_id":7,"title":"us-5.jpg","caption":"","created":"2014-01-08 10:43:25","assigned_date":null,"ordering":0,"featured":null,"storage":"joomla","state":"-1","_uuid":"52cd2bcdab8d8"}', 1),
(46, 546, 'user', 'profiles', 546, 'update', 0, '2014-01-08 10:43:30', 38, 0, NULL, 1),
(47, 546, 'user', 'users', 546, 'login', 0, '2014-01-09 03:04:34', 39, 0, NULL, 1),
(48, 546, 'user', 'story', 0, 'create', 0, '2014-01-09 03:05:57', 40, 0, NULL, 1),
(49, 546, 'user', 'apps', 2, 'install', 0, '2014-01-09 03:06:31', 41, 0, NULL, 1),
(50, 546, 'user', 'apps', 7, 'install', 0, '2014-01-09 03:06:56', 42, 0, NULL, 1),
(51, 546, 'user', 'apps', 11, 'install', 0, '2014-01-09 03:08:48', 43, 0, NULL, 1),
(52, 542, 'user', 'friends', 1, 'add', 546, '2014-01-09 03:16:44', 44, 0, NULL, 1),
(53, 545, 'user', 'photos', 11, 'add', 8, '2014-01-09 03:23:18', 45, 0, '{"id":"11","uid":"545","type":"user","album_id":"8","title":"bl-12","caption":"","created":"2014-01-09 03:23:00","assigned_date":"2014-01-09 00:00:00","ordering":"1","featured":"0","storage":"joomla","state":"1","_uuid":"52ce1626ab19a"}', 1),
(54, 545, 'user', 'photos', 12, 'add', 8, '2014-01-09 03:23:19', 45, 0, '{"id":"12","uid":"545","type":"user","album_id":"8","title":"bl-20","caption":"","created":"2014-01-09 03:23:04","assigned_date":"2014-01-09 00:00:00","ordering":"0","featured":"0","storage":"joomla","state":"1","_uuid":"52ce1626d86b0"}', 1),
(55, 542, 'user', 'shares', 1, 'add.stream', 43, '2014-01-09 03:26:47', 46, 0, NULL, 1),
(56, 542, 'user', 'photos', 13, 'add', 9, '2014-01-09 03:27:57', 47, 0, '{"id":"13","uid":"542","type":"user","album_id":"9","title":"bl-17","caption":"the best photo","created":"2014-01-09 03:27:39","assigned_date":"2014-01-09 00:00:00","ordering":"1","featured":"0","storage":"joomla","state":"1","_uuid":"52ce173d29fb9"}', 1),
(57, 542, 'user', 'photos', 14, 'add', 9, '2014-01-09 03:27:57', 47, 0, '{"id":"14","uid":"542","type":"user","album_id":"9","title":"bl-18","caption":"","created":"2014-01-09 03:27:42","assigned_date":"2014-01-09 00:00:00","ordering":"0","featured":"0","storage":"joomla","state":"1","_uuid":"52ce173d3dabd"}', 1),
(58, 542, 'user', 'discuss', 5, 'create', 0, '2014-01-09 07:08:31', 48, 0, '{"id":5,"title":"auctor at eget vel congue vel leo","modified":"2014-01-09 07:08:31","created":"2014-01-09 07:08:31","replied":"2014-01-09 07:08:31","alias":"auctor-at-eget-vel-congue-vel-leo","content":";) ;) ;) ;) ;) \\r\\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.","published":1,"ordering":null,"vote":null,"islock":null,"featured":null,"isresolve":null,"hits":null,"user_id":"542","category_id":"4","parent_id":null,"user_type":"member","poster_name":null,"poster_email":null,"num_likes":0,"num_negvote":0,"sum_totalvote":0,"params":"","answered":null,"password":"","legacy":"0","address":"New, UK","latitude":"54.91036039999999","longitude":"-1.3652717999999595","content_type":"bbcode","post_status":null,"post_type":"bug","ip":"127.0.0.1","lockdate":null,"isreport":null,"_contentName":"content","cat":{"id":"4","created_by":"542","title":"Extensions","alias":"extensions","avatar":null,"parent_id":"0","private":"2","created":"2014-01-08 08:26:41","status":"0","published":"1","ordering":"0","description":"Nulla facilisi. Duis bibendum ultricies nisi at auctor. Aenean sed mattis ante. Suspendisse eu amet. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis.","params":"{\\"show_description\\":\\"1\\",\\"maxlength\\":\\"0\\",\\"maxlength_size\\":\\"1000\\",\\"cat_notify_custom\\":\\"\\",\\"cat_email_parser\\":\\"\\",\\"cat_email_parser_password\\":\\"\\",\\"cat_email_parser_switch\\":\\"0\\"}","container":"0","level":null,"lft":"7","rgt":"8","checked_out":null,"default":"0"}}', 1),
(59, 542, 'user', 'discuss', 1, 'ranks', 0, '2014-01-09 07:08:33', 49, 0, '{"id":"1","user_id":"542","title":"New Member"}', 1),
(60, 542, 'user', 'discuss', 1, 'ranks', 0, '2014-01-09 07:09:29', 50, 0, '{"id":"1","user_id":"542","title":"New Member"}', 1),
(61, 542, 'user', 'discuss', 6, 'reply', 0, '2014-01-09 07:09:30', 51, 0, '{"post":{"id":"6","title":"Re: auctor at eget vel congue vel leo","modified":"2014-01-09 07:09:28","created":"2014-01-09 07:09:28","replied":"2014-01-09 07:09:28","alias":"re-auctor-at-eget-vel-congue-vel-leo","content":":D :D :D","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"0","hits":"0","user_id":"542","category_id":"4","parent_id":"5","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":"","latitude":"","longitude":"","content_type":"bbcode","post_status":"0","post_type":"0","ip":"127.0.0.1","lockdate":"0000-00-00 00:00:00","isreport":"0"},"question":{"id":"5","title":"auctor at eget vel congue vel leo","modified":"2014-01-09 07:08:31","created":"2014-01-09 07:08:31","replied":"2014-01-09 07:08:31","alias":"auctor-at-eget-vel-congue-vel-leo","content":";) ;) ;) ;) ;) \\r\\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"0","hits":"1","user_id":"542","category_id":"4","parent_id":"0","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":"New, UK","latitude":"54.91036039999999","longitude":"-1.3652717999999595","content_type":"bbcode","post_status":"0","post_type":"bug","ip":"127.0.0.1","lockdate":"0000-00-00 00:00:00","isreport":"0"}}', 1),
(62, 542, 'user', 'discuss', 1, 'ranks', 0, '2014-01-09 07:10:48', 52, 0, '{"id":"1","user_id":"542","title":"New Member"}', 1),
(63, 542, 'user', 'discuss', 1, 'ranks', 0, '2014-01-09 07:10:56', 53, 0, '{"id":"1","user_id":"542","title":"New Member"}', 1),
(64, 542, 'user', 'discuss', 8, 'reply', 0, '2014-01-09 07:10:59', 54, 0, '{"post":{"id":"8","title":"Re: Joomla! 3.2.1 Released","modified":"2014-01-09 07:10:56","created":"2014-01-09 07:10:56","replied":"2014-01-09 07:10:56","alias":"re-joomla-3-2-1-released-1","content":"Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"0","hits":"0","user_id":"542","category_id":"3","parent_id":"1","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":"B, Woodville, WI 54028, USA","latitude":"44.8822285","longitude":"-92.27876170000002","content_type":"bbcode","post_status":"0","post_type":"0","ip":"127.0.0.1","lockdate":"0000-00-00 00:00:00","isreport":"0"},"question":{"id":"1","title":"Joomla! 3.2.1 Released","modified":"2014-01-08 08:32:22","created":"2013-12-27 15:33:15","replied":"2014-01-09 07:10:48","alias":"joomla-3-2-1-released","content":"Congratulations! You have successfully installed EasyDiscuss and ready to post your first question!\\r\\nQuisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. \\r\\nVolutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.\\r\\nSed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede.\\r\\n Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.","published":"1","ordering":"0","vote":"0","islock":"0","featured":"1","isresolve":"1","hits":"3","user_id":"542","category_id":"3","parent_id":"0","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":null,"latitude":"","longitude":"","content_type":"bbcode","post_status":"0","post_type":"0","ip":"","lockdate":"0000-00-00 00:00:00","isreport":"0"}}', 1),
(65, 542, 'user', 'discuss', 9, 'create', 0, '2014-01-09 07:12:41', 55, 0, '{"id":9,"title":"Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus","modified":"2014-01-09 07:12:40","created":"2014-01-09 07:12:40","replied":"2014-01-09 07:12:40","alias":"sed-morbi-pede-eget-lorem-vel-id-et-amet-est-eros-dapibus-pharetra-hendrerit-vestibulum-lorem-cursus-risus","content":"Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.\\r\\n\\r\\nSed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.","published":1,"ordering":null,"vote":null,"islock":null,"featured":null,"isresolve":null,"hits":null,"user_id":"542","category_id":"4","parent_id":null,"user_type":"member","poster_name":null,"poster_email":null,"num_likes":0,"num_negvote":0,"sum_totalvote":0,"params":"","answered":null,"password":"","legacy":"0","address":"","latitude":"","longitude":"","content_type":"bbcode","post_status":null,"post_type":"issue","ip":"127.0.0.1","lockdate":null,"isreport":null,"_contentName":"content","cat":{"id":"4","created_by":"542","title":"Extensions","alias":"extensions","avatar":null,"parent_id":"0","private":"2","created":"2014-01-08 08:26:41","status":"0","published":"1","ordering":"0","description":"Nulla facilisi. Duis bibendum ultricies nisi at auctor. Aenean sed mattis ante. Suspendisse eu amet. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis.","params":"{\\"show_description\\":\\"1\\",\\"maxlength\\":\\"0\\",\\"maxlength_size\\":\\"1000\\",\\"cat_notify_custom\\":\\"\\",\\"cat_email_parser\\":\\"\\",\\"cat_email_parser_password\\":\\"\\",\\"cat_email_parser_switch\\":\\"0\\"}","container":"0","level":null,"lft":"7","rgt":"8","checked_out":null,"default":"0"}}', 1),
(66, 542, 'user', 'discuss', 1, 'ranks', 0, '2014-01-09 07:12:43', 56, 0, '{"id":"1","user_id":"542","title":"New Member"}', 1),
(68, 546, 'user', 'discuss', 10, 'reply', 0, '2014-01-09 07:19:26', 58, 0, '{"post":{"id":"10","title":"Re: Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus","modified":"2014-01-09 07:19:25","created":"2014-01-09 07:19:25","replied":"2014-01-09 07:19:25","alias":"re-sed-morbi-pede-eget-lorem-vel-id-et-amet-est-eros-dapibus-pharetra-hendrerit-vestibulum-lorem-cursus-risus","content":"[img]https:\\/\\/encrypted-tbn0.gstatic.com\\/images?q=tbn:ANd9GcTi5TQZeODRLlZI68cgzLpEIpkTcB1V6wYmtDgOU-PAkRMm90oH[\\/img] :D :D \\r\\nLacinia urna Quisque Curabitur sed nunc consequat Morbi eget nonummy id","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"0","hits":"0","user_id":"546","category_id":"4","parent_id":"9","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":"","latitude":"","longitude":"","content_type":"bbcode","post_status":"0","post_type":"0","ip":"127.0.0.1","lockdate":"0000-00-00 00:00:00","isreport":"0"},"question":{"id":"9","title":"Sed morbi pede eget lorem vel id et amet est eros. Dapibus pharetra hendrerit Vestibulum Lorem cursus risus","modified":"2014-01-09 07:12:40","created":"2014-01-09 07:12:40","replied":"2014-01-09 07:12:40","alias":"sed-morbi-pede-eget-lorem-vel-id-et-amet-est-eros-dapibus-pharetra-hendrerit-vestibulum-lorem-cursus-risus","content":"Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut fringilla hendrerit. Adipiscing nibh Cras elit odio Ut.\\r\\n\\r\\nSed velit quis porta dui quis Nunc nascetur sem hendrerit hendrerit. Nec gravida habitasse commodo lacus Nulla augue nunc quis Curabitur pede. Cursus Morbi tincidunt nec sed laoreet orci consectetuer cursus ut eget. Sed Integer quis Ut id sit Morbi adipiscing elit dui elit. Pellentesque id laoreet ipsum porttitor nunc Sed hac dictum.","published":"1","ordering":"0","vote":"0","islock":"0","featured":"0","isresolve":"0","hits":"2","user_id":"542","category_id":"4","parent_id":"0","user_type":"member","poster_name":"","poster_email":"","num_likes":"0","num_negvote":"0","sum_totalvote":"0","params":"","answered":"0","password":"","legacy":"0","address":"","latitude":"","longitude":"","content_type":"bbcode","post_status":"0","post_type":"issue","ip":"127.0.0.1","lockdate":"0000-00-00 00:00:00","isreport":"0"}}', 1),
(69, 546, 'user', 'discuss', 11, 'create', 0, '2014-01-09 07:22:25', 59, 0, '{"id":11,"title":"Ac Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus","modified":"2014-01-09 07:22:24","created":"2014-01-09 07:22:24","replied":"2014-01-09 07:22:24","alias":"ac-aenean-curabitur-iaculis-tortor-nulla-pellentesque-fringilla-vestibulum-semper-vivamus","content":"Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui. Et est nulla est Vivamus.\\r\\n\\r\\nTincidunt auctor at eget vel congue vel leo platea ligula mi. Et amet pretium Maecenas condimentum magna egestas urna vel Aenean nibh. Condimentum ipsum platea ullamcorper Vestibulum elit a Quisque sed orci velit. Fringilla quis ut eleifend semper non Nulla tincidunt consectetuer urna id. Sem consequat id Ut id vel id tristique vitae Nunc laoreet. Enim magna non.\\r\\n\\r\\nTincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare. Laoreet Nullam a pretium et et pretium a sed.\\r\\n[video]http:\\/\\/youtu.be\\/J8U4WGv3xvs[\\/video]","published":1,"ordering":null,"vote":null,"islock":null,"featured":null,"isresolve":null,"hits":null,"user_id":"546","category_id":"2","parent_id":null,"user_type":"member","poster_name":null,"poster_email":null,"num_likes":0,"num_negvote":0,"sum_totalvote":0,"params":"","answered":null,"password":"","legacy":"0","address":"London, UK","latitude":"51.51121389999999","longitude":"-0.11982439999997041","content_type":"bbcode","post_status":null,"post_type":"task","ip":"127.0.0.1","lockdate":null,"isreport":null,"_contentName":"content","cat":{"id":"2","created_by":"542","title":"Joomla 2.5","alias":"joomla-2-5","avatar":null,"parent_id":"0","private":"2","created":"2014-01-08 08:25:03","status":"0","published":"1","ordering":"0","description":"Morbi ut nunc non nisl viverra adipiscing in eu risus. Sed placerat eget lorem id aliquam. Nulla id.\\r\\nQuisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus.","params":"{\\"show_description\\":\\"1\\",\\"maxlength\\":\\"0\\",\\"maxlength_size\\":\\"1000\\",\\"cat_notify_custom\\":\\"\\",\\"cat_email_parser\\":\\"\\",\\"cat_email_parser_password\\":\\"\\",\\"cat_email_parser_switch\\":\\"0\\"}","container":"0","level":null,"lft":"3","rgt":"4","checked_out":null,"default":"0"}}', 1),
(70, 546, 'user', 'discuss', 1, 'ranks', 0, '2014-01-09 07:22:26', 60, 0, '{"id":"1","user_id":"546","title":"New Member"}', 1),
(77, 546, 'user', 'discuss', 13, 'create', 0, '2014-01-09 07:25:39', 67, 0, '{"id":13,"title":"unlock discussion by typing \\"password\\" ","modified":"2014-01-09 07:25:38","created":"2014-01-09 07:25:38","replied":"2014-01-09 07:25:38","alias":"unlock-discussion-by-typing-password","content":"Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac","published":1,"ordering":null,"vote":null,"islock":null,"featured":null,"isresolve":null,"hits":null,"user_id":"546","category_id":"2","parent_id":null,"user_type":"member","poster_name":null,"poster_email":null,"num_likes":0,"num_negvote":0,"sum_totalvote":0,"params":"","answered":null,"password":"","legacy":"0","address":"","latitude":"","longitude":"","content_type":"bbcode","post_status":null,"post_type":"issue","ip":"127.0.0.1","lockdate":null,"isreport":null,"_contentName":"content","cat":{"id":"2","created_by":"542","title":"Joomla 2.5","alias":"joomla-2-5","avatar":null,"parent_id":"0","private":"2","created":"2014-01-08 08:25:03","status":"0","published":"1","ordering":"0","description":"Morbi ut nunc non nisl viverra adipiscing in eu risus. Sed placerat eget lorem id aliquam. Nulla id.\\r\\nQuisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus.","params":"{\\"show_description\\":\\"1\\",\\"maxlength\\":\\"0\\",\\"maxlength_size\\":\\"1000\\",\\"cat_notify_custom\\":\\"\\",\\"cat_email_parser\\":\\"\\",\\"cat_email_parser_password\\":\\"\\",\\"cat_email_parser_switch\\":\\"0\\"}","container":"0","level":null,"lft":"3","rgt":"4","checked_out":null,"default":"0"}}', 1),
(78, 546, 'user', 'discuss', 1, 'ranks', 0, '2014-01-09 07:25:40', 68, 0, '{"id":"1","user_id":"546","title":"New Member"}', 1),
(79, 545, 'user', 'users', 545, 'login', 0, '2014-01-09 07:33:00', 69, 0, NULL, 1),
(80, 545, 'user', 'photos', 15, 'add', 10, '2014-01-09 07:34:18', 70, 0, '{"id":"15","uid":"545","type":"user","album_id":"10","title":"bl-1","caption":"","created":"2014-01-09 07:33:58","assigned_date":"2014-01-09 00:00:00","ordering":"2","featured":"0","storage":"joomla","state":"1","_uuid":"52ce50fa18815"}', 1),
(81, 545, 'user', 'photos', 16, 'add', 10, '2014-01-09 07:34:18', 70, 0, '{"id":"16","uid":"545","type":"user","album_id":"10","title":"bl-7","caption":"","created":"2014-01-09 07:34:04","assigned_date":"2014-01-09 00:00:00","ordering":"1","featured":"0","storage":"joomla","state":"1","_uuid":"52ce50fa35587"}', 1),
(82, 545, 'user', 'photos', 17, 'add', 10, '2014-01-09 07:34:18', 70, 0, '{"id":"17","uid":"545","type":"user","album_id":"10","title":"bl-26","caption":"","created":"2014-01-09 07:34:07","assigned_date":"2014-01-09 00:00:00","ordering":"0","featured":"0","storage":"joomla","state":"1","_uuid":"52ce50fa42c49"}', 1),
(83, 543, 'user', 'users', 543, 'login', 0, '2014-01-09 07:37:38', 71, 0, NULL, 1),
(84, 543, 'user', 'photos', 19, 'add', 12, '2014-01-09 07:39:31', 72, 0, '{"id":"19","uid":"543","type":"user","album_id":"12","title":"bl-8","caption":"","created":"2014-01-09 07:39:13","assigned_date":"2014-01-09 00:00:00","ordering":"2","featured":"0","storage":"joomla","state":"1","_uuid":"52ce52332ff0b"}', 1),
(85, 543, 'user', 'photos', 20, 'add', 12, '2014-01-09 07:39:31', 72, 0, '{"id":"20","uid":"543","type":"user","album_id":"12","title":"bl-10","caption":"","created":"2014-01-09 07:39:17","assigned_date":"2014-01-09 00:00:00","ordering":"1","featured":"0","storage":"joomla","state":"1","_uuid":"52ce523346713"}', 1),
(86, 543, 'user', 'photos', 21, 'add', 12, '2014-01-09 07:39:31', 72, 0, '{"id":"21","uid":"543","type":"user","album_id":"12","title":"bl-11","caption":"","created":"2014-01-09 07:39:23","assigned_date":"2014-01-09 00:00:00","ordering":"0","featured":"0","storage":"joomla","state":"1","_uuid":"52ce523351ad0"}', 1),
(87, 543, 'user', 'shares', 2, 'add.albums', 12, '2014-01-09 07:40:18', 73, 0, NULL, 1),
(88, 543, 'user', 'shares', 3, 'add.stream', 45, '2014-01-09 07:44:15', 74, 0, NULL, 1),
(89, 543, 'user', 'discuss', 14, 'create', 0, '2014-01-09 07:49:28', 75, 0, '{"id":14,"title":"Is Joomla a good Platform for Blogging? ","modified":"2014-01-09 07:49:12","created":"2014-01-09 07:49:12","replied":"2014-01-09 07:49:12","alias":"is-joomla-a-good-platform-for-blogging","content":"Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique cursus vestibulum. Dis Fusce Vivamus ac Cum Donec.\\r\\n\\r\\nAc Aenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus. Cum justo consequat in non fringilla Sed In sapien Nullam turpis. Tincidunt sagittis justo et purus non pretium sed quis accumsan vestibulum. Felis auctor tincidunt ut et Duis nibh Phasellus mus ac tellus. Lobortis metus et penatibus habitasse Suspendisse lorem elit parturient elit magna. Rutrum Vivamus pede.","published":1,"ordering":null,"vote":null,"islock":null,"featured":null,"isresolve":null,"hits":null,"user_id":"543","category_id":"3","parent_id":null,"user_type":"member","poster_name":null,"poster_email":null,"num_likes":0,"num_negvote":0,"sum_totalvote":0,"params":"","answered":null,"password":"","legacy":"0","address":"","latitude":"","longitude":"","content_type":"bbcode","post_status":null,"post_type":"task","ip":"127.0.0.1","lockdate":null,"isreport":null,"_contentName":"content","cat":{"id":"3","created_by":"542","title":"Joomla 3.2","alias":"joomla-3-2","avatar":null,"parent_id":"0","private":"2","created":"2014-01-08 08:25:55","status":"0","published":"1","ordering":"0","description":"Fusce non arcu facilisis, fermentum leo vitae, molestie dui. Duis iaculis tincidunt venenatis metus. Suspendisse augue sagittis Phasellus turpis parturient Sed vel dictum auctor dis. Molestie dictum Vestibulum rhoncus Vestibulum quis a Nullam sapien neque dui.","params":"{\\"show_description\\":\\"1\\",\\"maxlength\\":\\"0\\",\\"maxlength_size\\":\\"1000\\",\\"cat_notify_custom\\":\\"\\",\\"cat_email_parser\\":\\"\\",\\"cat_email_parser_password\\":\\"\\",\\"cat_email_parser_switch\\":\\"0\\"}","container":"0","level":null,"lft":"5","rgt":"6","checked_out":null,"default":"0"}}', 1),
(90, 543, 'user', 'discuss', 15, 'create', 0, '2014-01-09 07:50:31', 76, 0, '{"id":15,"title":"Does Komento have attachments? ","modified":"2014-01-09 07:50:30","created":"2014-01-09 07:50:30","replied":"2014-01-09 07:50:30","alias":"does-komento-have-attachments","content":":o :o :o :o :o :o :o :o \\r\\nAenean Curabitur iaculis tortor nulla pellentesque fringilla Vestibulum semper Vivamus","published":1,"ordering":null,"vote":null,"islock":null,"featured":null,"isresolve":null,"hits":null,"user_id":"543","category_id":"4","parent_id":null,"user_type":"member","poster_name":null,"poster_email":null,"num_likes":0,"num_negvote":0,"sum_totalvote":0,"params":"","answered":null,"password":"","legacy":"0","address":"","latitude":"","longitude":"","content_type":"bbcode","post_status":null,"post_type":"bug","ip":"127.0.0.1","lockdate":null,"isreport":null,"_contentName":"content","cat":{"id":"4","created_by":"542","title":"Extensions","alias":"extensions","avatar":null,"parent_id":"0","private":"2","created":"2014-01-08 08:26:41","status":"0","published":"1","ordering":"0","description":"Nulla facilisi. Duis bibendum ultricies nisi at auctor. Aenean sed mattis ante. Suspendisse eu amet. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis.","params":"{\\"show_description\\":\\"1\\",\\"maxlength\\":\\"0\\",\\"maxlength_size\\":\\"1000\\",\\"cat_notify_custom\\":\\"\\",\\"cat_email_parser\\":\\"\\",\\"cat_email_parser_password\\":\\"\\",\\"cat_email_parser_switch\\":\\"0\\"}","container":"0","level":null,"lft":"7","rgt":"8","checked_out":null,"default":"0"}}', 1),
(91, 543, 'user', 'discuss', 1, 'ranks', 0, '2014-01-09 07:50:32', 77, 0, '{"id":"1","user_id":"543","title":"New Member"}', 1),
(99, 553, 'user', 'users', 553, 'login', 0, '2014-06-20 08:01:36', 85, 0, NULL, 1),
(100, 548, 'user', 'users', 548, 'login', 0, '2014-06-20 08:04:52', 86, 0, NULL, 1),
(101, 548, 'user', 'users', 548, 'login', 0, '2014-06-20 08:06:24', 87, 0, NULL, 1),
(96, 547, 'user', 'users', 547, 'login', 0, '2014-01-17 04:41:14', 82, 0, NULL, 1),
(97, 42, 'user', 'users', 42, 'login', 0, '2014-01-20 01:41:52', 83, 0, NULL, 1),
(98, 42, 'user', 'users', 42, 'login', 0, '2014-06-20 07:41:05', 84, 0, NULL, 1),
(102, 42, 'user', 'users', 42, 'login', 0, '2014-11-27 07:49:46', 88, 0, NULL, 1),
(103, 42, 'user', 'users', 42, 'login', 0, '2014-12-03 03:33:57', 89, 0, NULL, 1),
(104, 42, 'user', 'users', 42, 'login', 0, '2015-03-24 08:51:43', 90, 0, NULL, 1),
(105, 42, 'user', 'users', 42, 'login', 0, '2015-03-31 04:11:35', 91, 0, NULL, 1),
(106, 42, 'user', 'users', 42, 'login', 0, '2015-03-31 07:42:45', 92, 0, NULL, 1),
(107, 42, 'user', 'users', 42, 'login', 0, '2015-03-31 08:01:07', 93, 0, NULL, 1),
(108, 42, 'user', 'users', 42, 'login', 0, '2015-03-31 08:26:19', 94, 0, NULL, 1),
(109, 42, 'user', 'users', 42, 'login', 0, '2015-04-07 03:51:35', 95, 0, NULL, 1),
(110, 42, 'user', 'users', 42, 'login', 0, '2015-04-15 07:43:09', 96, 0, NULL, 1),
(111, 42, 'user', 'users', 42, 'login', 0, '2015-04-16 09:47:02', 97, 0, NULL, 1),
(112, 42, 'user', 'users', 42, 'login', 0, '2015-04-17 01:56:30', 98, 0, NULL, 1),
(113, 42, 'user', 'users', 42, 'login', 0, '2015-04-20 03:44:28', 99, 0, NULL, 1),
(114, 42, 'user', 'users', 42, 'login', 0, '2015-04-20 03:45:21', 100, 0, NULL, 1),
(115, 42, 'user', 'users', 42, 'login', 0, '2015-04-20 03:54:01', 101, 0, NULL, 1),
(116, 42, 'user', 'users', 42, 'login', 0, '2015-04-20 07:04:06', 102, 0, NULL, 1),
(117, 42, 'user', 'users', 42, 'login', 0, '2015-04-20 07:17:07', 103, 0, NULL, 1),
(118, 42, 'user', 'users', 42, 'login', 0, '2015-04-20 07:37:32', 104, 0, NULL, 1),
(119, 42, 'user', 'users', 42, 'login', 0, '2015-04-21 02:34:44', 105, 0, NULL, 1);

DROP TABLE IF EXISTS `#__social_stream_item_history`;
CREATE TABLE `#__social_stream_item_history` (
  `id` bigint(20) unsigned NOT NULL,
  `actor_id` bigint(20) unsigned NOT NULL,
  `actor_type` varchar(255) DEFAULT 'people',
  `context_type` varchar(64) DEFAULT '',
  `context_id` bigint(20) unsigned DEFAULT '0',
  `verb` varchar(64) DEFAULT '',
  `target_id` bigint(20) unsigned DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` bigint(20) unsigned NOT NULL,
  `sitewide` tinyint(1) DEFAULT '0',
  `params` text,
  `state` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_history_uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_stream_tags`;
CREATE TABLE `#__social_stream_tags` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `stream_id` bigint(20) unsigned NOT NULL,
  `uid` bigint(20) unsigned NOT NULL,
  `utype` varchar(255) DEFAULT 'user',
  `with` tinyint(3) unsigned DEFAULT '0',
  `offset` int(11) DEFAULT '0',
  `length` int(11) DEFAULT '0',
  `title` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `streamtags_streamid` (`stream_id`),
  KEY `streamtags_uidtype` (`uid`,`utype`),
  KEY `streamtags_uidoffset` (`stream_id`,`offset`),
  KEY `streamtags_title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_subscriptions`;
CREATE TABLE `#__social_subscriptions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL COMMENT 'object id e.g userid, groupid, streamid and etc',
  `type` varchar(64) NOT NULL COMMENT 'subscription type e.g. user, group, stream and etc',
  `user_id` int(11) DEFAULT '0',
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid_type` (`uid`,`type`),
  KEY `uid_type_user` (`uid`,`type`,`user_id`),
  KEY `uid_type_email` (`uid`,`type`),
  KEY `idx_uid` (`uid`),
  KEY `idx_type_userid` (`type`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_tags`;
CREATE TABLE `#__social_tags` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `item_id` int(11) NOT NULL,
  `item_type` varchar(255) NOT NULL,
  `target_id` int(11) NOT NULL,
  `target_type` varchar(255) NOT NULL,
  `creator_id` int(11) NOT NULL,
  `creator_type` varchar(255) NOT NULL,
  `offset` int(11) NOT NULL,
  `length` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_targets` (`target_id`,`target_type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_tasks`;
CREATE TABLE `#__social_tasks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` text NOT NULL,
  `state` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  `milestone_id` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `due` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_tasks_milestones`;
CREATE TABLE `#__social_tasks_milestones` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `owner_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created` datetime NOT NULL,
  `due` datetime NOT NULL,
  `state` tinyint(3) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id` (`id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_themes`;
CREATE TABLE `#__social_themes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `element` varchar(255) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `element` (`element`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_tmp`;
CREATE TABLE `#__social_tmp` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` text NOT NULL,
  `key` varchar(200) NOT NULL,
  `value` text NOT NULL,
  `created` datetime NOT NULL,
  `expired` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `node_id` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_uploader`;
CREATE TABLE `#__social_uploader` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `path` text NOT NULL,
  `name` text NOT NULL,
  `mime` varchar(255) NOT NULL,
  `size` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__social_users`;
CREATE TABLE `#__social_users` (
  `user_id` bigint(20) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(3) NOT NULL,
  `params` text NOT NULL,
  `connections` int(11) NOT NULL,
  `permalink` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT 'joomla',
  `auth` varchar(255) NOT NULL COMMENT 'Used in conjunction with the REST api',
  `completed_fields` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`user_id`),
  KEY `state` (`state`),
  KEY `alias` (`alias`),
  KEY `connections` (`connections`),
  KEY `permalink` (`permalink`),
  KEY `idx_types` (`user_id`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__social_users` (`user_id`, `alias`, `state`, `params`, `connections`, `permalink`, `type`, `auth`, `completed_fields`) VALUES
(542, '', 1, '', 0, '', 'joomla', '', 0),
(543, '', 1, '', 0, '', 'joomla', '', 0),
(544, '', 1, '', 0, '', 'joomla', '', 0),
(545, 'anna', 1, '', 0, '', 'joomla', '', 0),
(546, 'ninja', 1, '', 0, '', 'joomla', '', 0),
(42, '', 1, '', 0, '', 'joomla', '', 0),
(547, 'duchh-joomsolutions-com', 1, '', 0, '', 'joomla', '', 0),
(548, 'user', 1, '', 0, '', 'joomla', '', 0),
(549, 'james-co', 3, '', 0, '', 'joomla', '', 0),
(550, 'john-howe', 3, '', 0, '', 'joomla', '', 0),
(551, 'jenifer-gmail-com', 3, '', 0, '', 'joomla', '', 0),
(553, 'alex-phill', 3, '', 0, '', 'joomla', '', 0);

DROP TABLE IF EXISTS `#__tags`;
CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 17, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 42, '2011-01-01 00:00:01', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 1, 1, 2, 1, 'responsive', 'responsive', 'responsive', '', 'Leo cursus a nibh Vestibulum interdum sit nisl est lorem augue. Adipiscing hendrerit cursus et at nunc id natoque vitae mattis vitae. Curabitur tristique laoreet ut ut odio Lorem ante Integer tincidunt in.', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:06:21', '', 42, '2014-01-22 09:32:34', '', '', 2, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 1, 3, 4, 1, 'free-responsive-joomla-template', 'Free responsive Joomla template', 'free-responsive-joomla-template', '', '<p>Augue pellentesque mauris urna porttitor tristique elit rhoncus euismod quis ligula. Non senectus wisi pellentesque ante tincidunt cursus nulla nunc nonummy odio.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:06:43', '', 42, '2014-01-22 09:38:01', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 1, 5, 6, 1, 'free-joomla-template', 'Free joomla template', 'free-joomla-template', '', '<p>Leo sed nibh ut ac magnis nam hendrerit lacus convallis massa. Laoreet sed hendrerit et et penatibus tellus et curabitur lacinia curabitur. Dis quis semper fringilla nam pellentesque ipsum id odio scelerisque congue.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:06:57', '', 42, '2014-01-22 09:35:33', '', '', 3, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(5, 1, 7, 8, 1, 'bootstrap-3', 'Bootstrap 3', 'bootstrap-3', '', '<p>Sleek, intuitive, and powerful mobile first front-end framework for faster and easier web development.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:07:08', '', 42, '2014-01-22 09:33:40', '', '', 1, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(6, 1, 9, 10, 1, 'blog', 'blog', 'blog', '', '<p>Est auctor et mauris egestas at Quisque montes lacus ac pede. Felis vel tincidunt wisi elit quis vestibulum Curabitur iaculis consequat Proin. Vitae Pellentesque elit interdum.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:22:22', '', 42, '2014-01-22 09:33:18', '', '', 4, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(7, 1, 11, 12, 1, 't3-framework', 'T3 Framework', 't3-framework', '', '<p>Vestibulum lacus et nonummy id nam ut volutpat ipsum sit metus. Sed enim eros proin nullam laoreet dictumst cursus sed Fusce eu. Est auctor et mauris egestas at quisque montes lacus ac pede.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:22:48', '', 42, '2014-01-22 09:37:24', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(8, 1, 13, 14, 1, 'joomla', 'Joomla', 'joomla', '', '<p><strong>Joomla!</strong> is the mobile-ready and user-friendly way to build your website. Choose from thousands of features and designs. Joomla! is free and open source.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 07:31:43', '', 42, '2014-01-22 09:36:41', '', '', 10, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(9, 1, 15, 16, 1, 'extensions', 'Extensions', 'extensions', '', '<p>Porta dapibus laoreet id ut vestibulum phasellus magna eros quis gravida. Faucibus nunc tortor ac enim non ut nam vitaen unc ornare. Convallis id nibh id orci ligula cum nulla curabitur et aliquam. Auctor augue aliquam magna mi massa parturient sed Nullam at orci.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"tag_layout":"","tag_link_class":"label label-info","image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '', '', '{"author":"","robots":""}', 42, '2013-12-31 08:04:05', '', 42, '2014-01-22 09:34:37', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(4, 'beez3', 0, '0', 'Beez3 - Default', '{"wrapperSmall":"53","wrapperLarge":"72","logo":"images\\/joomla_black.gif","sitetitle":"Joomla!","sitedescription":"Open Source Content Management","navposition":"left","templatecolor":"personal","html5":"0"}'),
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(7, 'protostar', 0, '0', 'protostar - Default', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(8, 'isis', 1, '1', 'isis - Default', '{"templateColor":"","logoFile":""}'),
(14, 'purity_iii', 0, '1', 'Purity III - Default', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","link_titles":"","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default-content-left","sublayout":"","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":"","snippet_close_head":"","snippet_open_body":"","snippet_close_body":"","snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_easyblog":["634"],"theme_extras_com_easydiscuss":["651"],"theme_extras_com_easysocial":["693","715"],"theme_extras_com_joomprofile":["765"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"]}'),
(15, 'purity_iii', 0, '0', 'Purity III - Features Intro 1', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","mainlayout":"features-intro-1","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_easyblog":["634"],"theme_extras_com_easydiscuss":["651"],"theme_extras_com_easysocial":["693","715"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"],"mm_config_needupdate":"","link_titles":null,"theme_extras_com_joomprofile":["765"]}'),
(16, 'purity_iii', 0, '0', 'Purity III - Blog', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","mainlayout":"blog","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"],"mm_config_needupdate":"","theme_extras_com_easydiscuss":["651"],"theme_extras_com_easyblog":["634"],"theme_extras_com_easysocial":["693","715"],"link_titles":null,"theme_extras_com_joomprofile":["765"]}'),
(17, 'purity_iii', 0, '0', 'Purity III - Porfolio', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","mainlayout":"portfolio","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"],"mm_config_needupdate":"","theme_extras_com_easydiscuss":["651"],"theme_extras_com_easyblog":["634"],"theme_extras_com_easysocial":["693","715"],"link_titles":null,"theme_extras_com_joomprofile":["765"]}'),
(18, 'purity_iii', 0, '0', 'Purity III - Corporate', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","mainlayout":"corporate","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_easyblog":["634"],"theme_extras_com_easydiscuss":["651"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"],"theme_extras_com_easysocial":["693","715"],"mm_config_needupdate":"","link_titles":null,"theme_extras_com_joomprofile":["765"]}'),
(19, 'purity_iii', 0, '0', 'Purity III - Magazine', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","mainlayout":"magazine","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"],"mm_config_needupdate":"","theme_extras_com_easydiscuss":["651"],"theme_extras_com_easyblog":["634"],"theme_extras_com_easysocial":["693","715"],"link_titles":null,"theme_extras_com_joomprofile":["765"]}'),
(20, 'purity_iii', 0, '0', 'Purity III - Product Style 2', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","mainlayout":"blog","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_easydiscuss":["651"],"theme_extras_com_easysocial":["693","715"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"],"mm_config_needupdate":"","theme_extras_com_easyblog":["634"],"link_titles":null,"theme_extras_com_joomprofile":["765"]}'),
(21, 'purity_iii', 0, '0', 'Purity III - Sidebar Content', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","mainlayout":"default-content-right","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"],"mm_config_needupdate":"","theme_extras_com_easydiscuss":["651"],"theme_extras_com_easyblog":["634"],"theme_extras_com_easysocial":["693","715"],"link_titles":null,"theme_extras_com_joomprofile":["765"]}'),
(23, 'purity_iii', 0, '0', 'Purity III - Features Intro 2', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","mainlayout":"features-intro-2","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"],"mm_config_needupdate":"","theme_extras_com_easysocial":["693","715"],"theme_extras_com_community":["599","718","719"],"theme_extras_com_easydiscuss":["651"],"theme_extras_com_easyblog":["634"],"link_titles":null,"theme_extras_com_joomprofile":["765"]}'),
(24, 'purity_iii', 0, '0', 'Purity III - Docs', '{"tpl_article_info_datetime_format":"l, d F Y","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"970px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"components\\/com_community\\/assets\\/release\\/js\\/loader.js,media\\/jui\\/js\\/jquery.min.js, js\\/script.js,error.css ","link_titles":null,"theme":"","logotype":"image","sitename":"Purity III","slogan":"The last template you will ever need.","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"docs","sublayout":"","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"slide","navigation_animation_duration":"200","mm_config":"{\\"mainmenu\\":{\\"item-435\\":{\\"sub\\":{\\"width\\":850,\\"rows\\":[[{\\"item\\":743,\\"width\\":3},{\\"item\\":540,\\"width\\":3},{\\"position\\":112,\\"width\\":6}]]}},\\"item-743\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":567,\\"width\\":12}]]},\\"group\\":1},\\"item-540\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":744,\\"width\\":12}]]},\\"group\\":1},\\"item-546\\":{\\"sub\\":{\\"width\\":620,\\"rows\\":[[{\\"item\\":741,\\"width\\":4},{\\"position\\":221,\\"width\\":8}]]}},\\"item-741\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":738,\\"width\\":12}]]},\\"group\\":1},\\"item-545\\":{\\"sub\\":{\\"width\\":700,\\"rows\\":[[{\\"item\\":548,\\"width\\":4},{\\"item\\":742,\\"width\\":4},{\\"position\\":16,\\"width\\":4}]]},\\"alignsub\\":\\"left\\"},\\"item-548\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":553,\\"width\\":12}]]},\\"group\\":1},\\"item-742\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":550,\\"width\\":12}]]},\\"group\\":1},\\"item-571\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":693,\\"width\\":12}]]}},\\"item-693\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":716,\\"width\\":12}]]}},\\"item-599\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":718,\\"width\\":12}]]}},\\"item-634\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":715,\\"width\\":12}]]}},\\"item-707\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":712,\\"width\\":12}]]}}}}","navigation_collapse_enable":"1","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-4","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","theme_extras_com_community":["599","718","719"],"theme_extras_com_easyblog":["634"],"theme_extras_com_easydiscuss":["651"],"theme_extras_com_easysocial":["693","715"],"theme_extras_com_joomprofile":["765"],"theme_extras_com_kunena":["588","589","590","591","592","593","594","595","596","597"],"theme_extras_com_mijoshop":["707","712","710","713","711","745"],"theme_extras_layout_glossary":["724"]}');

DROP TABLE IF EXISTS `#__ucm_base`;
CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES
(1, 125, 1, 0),
(2, 127, 1, 0),
(3, 133, 1, 0),
(4, 134, 1, 0),
(6, 136, 1, 0),
(7, 137, 1, 0),
(8, 138, 1, 0),
(9, 141, 1, 0),
(10, 142, 1, 0),
(11, 97, 1, 0),
(12, 124, 1, 0);

DROP TABLE IF EXISTS `#__ucm_content`;
CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(255) NOT NULL,
  `core_alias` varchar(255) binary NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL,
  `core_publish_up` datetime NOT NULL,
  `core_publish_down` datetime NOT NULL,
  `core_content_item_id` int(10) unsigned DEFAULT NULL COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned DEFAULT NULL COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 COMMENT='Contains core content data in name spaced fields' DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES
(1, 'com_content.article', 'T3 Framework video – Introducing Megamenu ', 't3-framework-video-introducing-megamenu', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum Curabitur leo .</p>\r\n', 2, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-07-30 07:35:00', 42, '2014-01-22 07:07:20', '*', '2013-07-30 07:35:00', '0000-00-00 00:00:00', 125, 313, '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-10.jpg","float_intro":"","image_intro_alt":"T3 Framework video","image_intro_caption":"T3 Framework video","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-10.jpg","float_fulltext":"","image_fulltext_alt":"T3 Framework video","image_fulltext_caption":"T3 Framework video"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 3, '', '', 94, '', 1),
(2, 'com_content.article', 'JA Business is compatible with Joomla 2.5 & 3.0', 'ja-business-is-compatible-with-joomla-2-5-3-0', '<p>Lacinia risus massa urna sem Aliquam justo justo Phasellus et turpis. Tristique orci massa pellentesque vitae lobortis consequat amet fringilla libero ante. Lacus enim et laoreet ut elit Aenean pellentesque amet Vestibulum justo. Adipiscing cursus sem odio In sagittis elit at Ut .</p>\r\n', 2, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-10-17 07:39:00', 42, '2014-01-22 07:07:51', '*', '2013-10-17 07:39:00', '0000-00-00 00:00:00', 127, 316, '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-17.jpg","float_intro":"","image_intro_alt":"JA Business","image_intro_caption":"JA Business","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-17.jpg","float_fulltext":"right","image_fulltext_alt":"JA Business","image_fulltext_caption":"JA Business"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 7, 1, '', '', 94, '', 1),
(3, 'com_content.article', 'Sneakpeek - JoomlArt\'s New Demo Toolbar', 'sneakpeek-joomlart-s-new-demo-toolbar', '<p>Platea Aliquam gravida Vestibulum pede vitae Mauris sociis metus Duis Curabitur. Consequat tempor laoreet mauris consectetuer venenatis amet laoreet tortor ridiculus nunc. Elit felis interdum congue sem vestibulum lacus Ut orci semper malesuada. Justo Cum .</p>\r\n', 2, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-08-13 07:57:00', 42, '2014-01-22 07:08:35', '*', '2013-08-13 07:57:00', '0000-00-00 00:00:00', 133, 326, '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-11.jpg","float_intro":"","image_intro_alt":"Sneakpeek - JoomlArt\'s New Demo Toolbar","image_intro_caption":"Sneakpeek - JoomlArt\'s New Demo Toolbar","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-11.jpg","float_fulltext":"","image_fulltext_alt":"Sneakpeek - JoomlArt\'s New Demo Toolbar","image_fulltext_caption":"Sneakpeek - JoomlArt\'s New Demo Toolbar"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 1, 6, 0, '', '', 94, '', 1),
(4, 'com_content.article', 'Review: Responsive Joomla template for book stores- JA Bookshop', 'review-responsive-joomla-template-for-book-stores-ja-bookshop', '<p>Building up a responsive Joomla template for e-commerce site can be a lot of work. Choosing the right shopping cart extension again can be a hard decision. So far we have been providing support for JoomShopping and Virtuemart extension in our Joomla templates. </p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-12-31 07:58:13', 42, '2014-01-22 07:00:23', '*', '2013-12-31 07:58:13', '0000-00-00 00:00:00', 134, 328, '{"image_intro":"images\\/joomlart\\/blog\\/sam-2.jpg","float_intro":"","image_intro_alt":"JA Bookshop","image_intro_caption":"JA Bookshop","image_fulltext":"images\\/joomlart\\/blog\\/sam-2.jpg","float_fulltext":"","image_fulltext_alt":"JA Bookshop","image_fulltext_caption":"JA Bookshop"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 13, 12, 1, '', '', 95, '', 1),
(6, 'com_content.article', 'How to style modules in Joomla - OSTraining Video Tutorial', 'how-to-style-modules-in-joomla-ostraining-video-tutorial', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et tristique.</p>\r\n', 2, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2014-01-02 08:00:00', 42, '2014-01-22 07:12:46', '*', '2014-01-02 08:00:00', '0000-00-00 00:00:00', 136, 332, '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-5.jpg","float_intro":"","image_intro_alt":"Joomla - OSTraining Video Tutorial","image_intro_caption":"Joomla - OSTraining Video Tutorial","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-5.jpg","float_fulltext":"","image_fulltext_alt":"Joomla - OSTraining Video Tutorial","image_fulltext_caption":"Joomla - OSTraining Video Tutorial"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 0, '', '', 95, '', 1),
(7, 'com_content.article', 'Easy to use Google translate or Bing translator for your Joomla', 'easy-to-use-google-translate-or-bing-translator-for-your-joomla', '<p>Lorem ipsum dolor sit amet consectetuer sem ligula Morbi nulla wisi. Ornare cursus orci pretium pharetra vel ac Quisque quis pretium eros. Magna In vitae Aenean Sed sem augue a Aenean Donec Nullam. Est sapien venenatis pede nibh quam feugiat et  vestibulum.</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-12-31 08:04:53', 42, '2014-01-22 07:02:06', '*', '2013-12-31 08:04:53', '0000-00-00 00:00:00', 137, 334, '{"image_intro":"images\\/joomlart\\/blog-layout\\/blog-3.jpg","float_intro":"","image_intro_alt":"use Google translate or Bing translator ","image_intro_caption":"use Google translate or Bing translator ","image_fulltext":"images\\/joomlart\\/blog-layout\\/blog-3.jpg","float_fulltext":"right","image_fulltext_alt":"use Google translate or Bing translator ","image_fulltext_caption":"use Google translate or Bing translator "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 5, 6, 6, '', '', 97, '', 1),
(8, 'com_content.article', 'Introducing JA Multilingual extension for Joomla 2.5 & Joomla 3', 'introducing-ja-multilingual-extension-for-joomla-2-5-joomla-3', '<p>Quisque dui netus Phasellus ligula tellus enim Phasellus euismod leo Phasellus. Nisl et massa turpis mollis Vestibulum nulla justo leo Nullam quis. Volutpat tellus eros amet semper a metus eu libero auctor dis. Suspendisse augue sagittis Phasellus turpis parturient </p>\r\n', 2, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2014-01-02 08:08:00', 42, '2014-01-22 07:12:12', '*', '2014-01-02 08:08:00', '0000-00-00 00:00:00', 138, 336, '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-6.jpg","float_intro":"","image_intro_alt":"Introducing JA Multilingual extension ","image_intro_caption":"Introducing JA Multilingual extension ","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-6.jpg","float_fulltext":"right","image_fulltext_alt":"Introducing JA Multilingual extension ","image_fulltext_caption":"Introducing JA Multilingual extension "}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 5, 5, '', '', 97, '', 1),
(9, 'com_content.article', 'Meet JA Magz - The Joomla magazine template in 41 languages', 'meet-ja-magz-the-joomla-magazine-template-in-41-languages', '<p>Tincidunt Sed Ut hendrerit ipsum vitae Quisque sapien facilisi et ac. Id justo Proin urna dapibus ligula Nullam dui consectetuer Curabitur et. Et vel at neque amet et nibh accumsan In magnis et. Id Nulla orci congue a nibh vel Curabitur tincidunt Curabitur ornare.</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-12-31 08:14:01', 42, '2014-01-25 08:39:16', '*', '2013-12-31 08:14:01', '0000-00-00 00:00:00', 141, 340, '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-9.jpg","float_intro":"","image_intro_alt":"JA Magz","image_intro_caption":"JA Magz","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-9.jpg","float_fulltext":"right","image_fulltext_alt":"Meet JA Magz - The Joomla Magazine Template in 41 languages","image_fulltext_caption":"Meet JA Magz - The Joomla Magazine Template in 41 languages"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 1, 12, 2, '', '', 97, '', 1),
(10, 'com_content.article', 'Joomla extension - JA Multilingual extension for Joomla 2.5 & Joomla 3', 'joomla-extension-ja-multilingual-extension-for-joomla-2-5-joomla-3', '<p>Building a Joomla 2.5 or 3.x multilingual site can be tricky, we encountered difficulties while trying to setup multi-language demo site to demonstrate our RTL language layouts for our latest templates. We developed a internal tool to overcome the problems we faced .</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-12-31 08:51:41', 42, '2014-01-22 06:57:50', '*', '2013-12-31 08:51:41', '0000-00-00 00:00:00', 142, 342, '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-11.jpg","float_intro":"","image_intro_alt":"JA Multilingual","image_intro_caption":"JA Multilingual","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-11.jpg","float_fulltext":"right","image_fulltext_alt":"Joomla extension - JA Multilingual extension for Joomla 2.5 & Joomla 3","image_fulltext_caption":"Joomla extension - JA Multilingual extension for Joomla 2.5 & Joomla 3"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 3, 12, 1, '', '', 97, '', 1),
(11, 'com_content.article', 'Review: Responsive Joomla template for portfolio - JA Appolio', 'review-responsive-joomla-template-for-portfolio-ja-appolio', '<p>Developing a portfolio or showcasing Joomla site from scratch? JA Appolio will definitely help cutting down the time and efforts of the whole process with its upto date features : latest Joomla version, updated Joomla extensions, interactive UI & UX, social login authentication,</p>\r\n ', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-12-30 10:08:02', 42, '2014-01-25 08:37:49', '*', '2013-12-30 10:08:02', '0000-00-00 00:00:00', 97, 350, '{"image_intro":"images\\/joomlart\\/blog-layout\\/bl-15.jpg","float_intro":"","image_intro_alt":"JA Appolio","image_intro_caption":"JA Appolio","image_fulltext":"images\\/joomlart\\/blog-layout\\/bl-15.jpg","float_fulltext":"right","image_fulltext_alt":"JA Appolio","image_fulltext_caption":"JA Appolio"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 6, 15, 0, '', '', 96, '', 1),
(12, 'com_content.article', 'Purity III - The best free responsive Joomla template for 2014', 'purity-iii-the-best-free-responsive-joomla-template-for-2014', '<p>Responsive Joomla template JA Purity III marks the next milestone of us in crafting the best Joomla templates for our techie users. \r\nFollowing up with Purity series, JA Purity III heritages the outstanding advantages of its pioneers: brilliant adaptation for multi-purpos</p>\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","extra-class":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2013-12-31 07:34:10', 42, '2014-01-25 08:36:41', '*', '2013-12-31 07:34:10', '0000-00-00 00:00:00', 124, 360, '{"image_intro":"images\\/joomlart\\/blog\\/sam-1.jpg","float_intro":"","image_intro_alt":"Purity III","image_intro_caption":"Purity III","image_fulltext":"images\\/joomlart\\/blog\\/sam-1.jpg","float_fulltext":"right","image_fulltext_alt":"Purity III - The best free Responsive Joomla template for 2014","image_fulltext_caption":"Purity III - The best free Responsive Joomla template for 2014"}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 93, 19, 4, '', '', 94, '', 1);

DROP TABLE IF EXISTS `#__ucm_history`;
CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 COMMENT='Update Sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla Core', 'collection', 'http://update.joomla.org/core/list.xml', 1, 0, ''),
(2, 'Joomla Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', 0, 0, ''),
(3, 'Accredited Joomla! Translations', 'collection', 'http://update.joomla.org/language/translationlist_3.xml', 0, 0, '');

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB COMMENT='Links extensions to update sites' DEFAULT CHARSET=utf8;
INSERT IGNORE INTO `#__update_sites_extensions` VALUES
(1, 700),
(2, 700),
(3, 600);

DROP TABLE IF EXISTS `#__user_keys`;
CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(255) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  UNIQUE KEY `series_2` (`series`),
  UNIQUE KEY `series_3` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO `#__user_keys` (`id`, `user_id`, `token`, `series`, `invalid`, `time`, `uastring`) VALUES
(7, 'admin', '$2y$10$TUlCP766y2ET6XxVMv6P4eY4MzTlkDEfbZZEfJ0DoZrsORSMf1DAC', 'QpZcRInVHahFARIEL9DM', 0, '1434767687', 'aa57e6ef0d8995fdb4ce1de95fad2774');

DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB COMMENT='Simple user profile storage table' DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_usergroup_map`;
CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES
(542, 2),
(542, 3),
(543, 2),
(545, 2),
(546, 2),
(547, 2),
(548, 2),
(549, 2),
(550, 2),
(551, 2),
(553, 2);

DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 22, 'Public'),
(2, 1, 8, 19, 'Registered'),
(3, 2, 9, 16, 'Author'),
(4, 3, 10, 13, 'Editor'),
(5, 4, 11, 12, 'Publisher'),
(6, 1, 4, 7, 'Manager'),
(7, 6, 5, 6, 'Administrator'),
(8, 1, 20, 21, 'Super Users'),
(10, 3, 14, 15, 'Shop Suppliers (Example)'),
(12, 2, 17, 18, 'Customer Group (Example)'),
(13, 1, 2, 3, 'Guest');

DROP TABLE IF EXISTS `#__users`;
CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `sendEmail` tinyint(4) DEFAULT '0',
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT '0' COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=554 DEFAULT CHARSET=utf8;

INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`, `otpKey`, `otep`, `requireReset`) VALUES
(542, 'User', 'user', 'user@local.com', '$P$D94lyMF9Py2JDyQeXQFkyEcPbwpJQE0', 0, 0, '2014-01-22 02:40:34', '0000-00-00 00:00:00', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":"","update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(543, 'Khanh', 'khanh', 'khanh@joom.com', '$P$D5AGDTjvirRyBgTRgz8RXX471QPcAi0', 0, 0, '2013-11-23 10:23:02', '2014-01-09 07:37:40', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":"","update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(545, 'anna', 'anna', 'anna@joom.com', '$P$DI5lkOWhwk2ZJ9ZXxUQ/sjxHxWB.6M1', 0, 0, '2014-01-02 03:51:56', '2014-01-09 07:33:01', '', '{"admin_style":"","admin_language":"","language":"","editor":"none","helpsite":"","timezone":null,"update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(546, 'ninja', 'ninja', 'ninja@joom.com', '$P$DJPuV7ro4JrdHfwWO8MLDzN.keNQW6/', 0, 0, '2014-01-02 03:53:08', '2014-01-09 07:25:52', '', '{"admin_style":"","admin_language":"","language":"","editor":"none","helpsite":"","timezone":null,"update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(547, 'Css Magicican', 'duchh@joomsolutions.com', 'duchh@joomsolutions.com', '$P$DqqppEl3.dYa2saijn3s5CbhnmLFCf/', 0, 0, '2014-01-17 04:41:05', '2014-01-17 04:41:17', '', '{"update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(548, 'Luna Gardner', 'Luna Gardner', 'luna.gardner@gmail.com', '$2y$10$FkXmX8LeUBGmB/7jtU.Xsex57lqVap/5VTafF2tmPEIw0c2Dc0aXi', 0, 0, '2014-06-20 07:52:55', '2014-06-20 08:07:55', '', '{"update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(549, 'James Co', 'James Co', 'james.co@gmail.com', '$2y$10$/NetEATNI/vbegz/tXvT8ORri7u/WAFYMBQ3/3AzfGraPXDd8M4xe', 0, 0, '2014-06-20 07:53:50', '0000-00-00 00:00:00', '', '{"update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(550, 'John Howe', 'John Howe', 'john.howese@gmail.com', '$2y$10$4t4jeGJ/bNtzLCZOIMA8S.sistwf5C0HC9wAjIIHh80647vM97olu', 0, 0, '2014-06-20 07:55:01', '0000-00-00 00:00:00', '', '{"update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(551, 'jenifer@gmail.com', 'jenifer@gmail.com', 'jenifer.fall@gmail.com', '$2y$10$zZZ0KdaNWsKKzav8WEfbwu9lkSKYgFySPE.SKPFFNSfMmFFKIoWCe', 0, 0, '2014-06-20 07:56:46', '0000-00-00 00:00:00', '', '{"update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0),
(553, 'Alex Phill', 'Alex Phill', 'alex.phill@gmail.com', '$2y$10$lZ./If8sqbBx38RNuub1buWb1T.fzstq9NMOh0XBk4PF6bwO9harO', 0, 0, '2014-06-20 08:00:48', '2014-06-20 08:03:45', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":"","update_cache_list":1}', '0000-00-00 00:00:00', 0, '', '', 0);

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]'),
(4, 'Customer Access Level (Example)', 3, '[6,3,12]'),
(5, 'Guest', 0, '[13]');

